Home

E5052B
Signal Source Analyzer
Help

The E5052B help system provides an easy access to the information related to the use of Agilent Technologies E5052B series Signal Source Analyzer.

You can navigate this help system through the navigation tools provided in the left or you can directly access the chapters:

Precautions | Clock Jitter Measurement
Quick Start | Data Analysis and Data Output
Measurement | Setting Control Functions
User Calibration | Using Windows
Measurement Using E5053A and External Mixer | Programming
Specifications | Product Information
Using this Help (Read me first) | What's New

To understand the conventions and navigation system used in this help system, refer to Using this Help.

To know about the new features of E5052B, refer to What's New.

E5052B Firmware Revision | A.03.3x
Help Edition No. | 3.2
Help Revision Date | 10 May,2011

© Copyright 2004-2011 Agilent Technologies


Using this Help

This online help provides the user and programming documentation in an searchable electronic format for the E5052B Signal Source Analyzer. This section describes the usage of this help system.

  • Opening E5052B Help

  • Closing E5052B Help

  • Context Sensitive Help

  • Viewing E5052B Help on PC

  • Switching between E5052B Help and Measurement View

  • Navigating E5052B Help

  • Conventions used in E5052B Help

E5052B Online Help

Opening E5052B Help

This online help system is provided in Microsoft Compressed HTML Help format (SSA_Help.chm). This help can be also be viewed on a normal PC.

To open E5052B online help, use either of the following methods:

  • By pressing the Help key located in the ENTRY Block.

  • By pressing the F1 key on a keyboard attached with the E5052B.

  • By double-clicking SSA_Help.chm (located in C:\Program FilesAgilent\E5052\Help).

Closing E5052B Help

To close the E5052B online help, click [image], located on the top right of the E5052B help viewer.

Context Sensitive Help

Context sensitive help is a special feature of the E5052B help in firmware revision A.03.10 or later. It allows Users to get information about the selected softkey by pressing the Help key in the E5052B or by pressing F1 in a keyboard attached to the E5052B or by clicking the help button in a dialog box. This special feature is known as context sensitive help as User receive information quickly depending upon which area the user is working, in the firmware of the E5052B. It provides information relevant to the task that needs to be accomplished and reduces the time to search relevant information required to complete a task.

Viewing E5052B Help on PC

The E5052B online help can be opened and viewed on a normal PC. The help file (SSA_Help.chm) is located in the E5052B Signal Source Analyzer hard disk at C:\Program FilesAgilent\E5052\Help.

The latest version of this online help can be downloaded from http://www.agilent.com/find/ssa.

Switching between E5052B Help and Measurement View

The Focus Key, located in the ENTRY Block, can be used to switch between the E5052B Measurement View and Online Help View.

Navigating E5052B Help

The E5052B online help system provides several ways to navigate through the information related to the use of E5052B Signal Source Analyzer. This sections describes the navigation system of the E5052B online help which consists of:

  • Navigation bar

  • Quick Access

  • Toolbar

  • Browse Sequence

Navigation bar

Navigation bar comprises of tabs related to Contents, Index, Search and Glossary. The Contents tab contains the main navigational structure of the E5052B online help. The Glossary tab contains a text explanation of the terms significant to the E5052B Signal Source Analyzer. The Index tab is an additional tool that can be used to navigate different topics according to their alphabetical listing. The Search tab can be used to search any term/phrase in the E5052B online Help.

Toolbar

The toolbar can be used to navigate through the online help. The Home option can be used to return to the home page of the E5052B online help, containing Quick Access to chapters in the online help. The Back and Forward option can be used to toggle between visited topics. The Print option can be used to print the selected, or all topic of the E5052B online help.

Browse Sequence

The E5052B online help contains pre-defined browse sequence to ease the navigation and to save time needed to perform some commonly used procedures. It also enables users to toggle between steps of the browse sequence.

Quick Access

Quick access, located on the Home Page of the E5052B online help, is a convenient and quick way to access the contents of the E5052B online help.

Conventions used in E5052B Help

Naming Conventions Used in this Help

Convention

Description

Example

Normal Text

Normal text is displayed in Verdana, 12 pt.

This is normal text.

File Name/Path

File names and path associated with them as displayed as Bold in Arial with 12 pt size.

C:\Documents and Settings\test.txt

example2.xls

Hard keys

Hard Keys (Keys located on the Front panel of E5052B ) are displayed in Blue color, Bold in Verdana with 12 pt size.

Trace max

Focus

Marker

Softkeys

Also knows as menu keys, are the names of menu appearing in the Firmware (Software) of E5052B and are displayed as Bold in Arial with 12 pt size.

Auto Scale All

Frequency Band

Update

Soft Links

Soft links displays a Popup window containing detailed information about a particular topic. There are two type of Popup:

1. Graphical Popup

Graphical Popup windows can contain graphics as well as text.

2. Text Only Popup

Text only Popup windows can contain only text and are displayed with a yellow background.

  • In real images of the E5052B , all the text marking are Graphical Popup links.

Click here to see an example of a graphical popup window.

Click here to see an example of a text only popup window.

Hard Links

Hard links shifts the focus of the active window to display more information about a particular topic.

  • In real images of the E5052B, all the picture part of the components are Hard links.

BLOCK Names

E5052B Front Panel is divided into 7 blocks. These blocks are displayed in ALL CAPS, Green Color, Bold in Arial with 12 pt size, followed by the word 'Block'.

NAVIGATION Block

ENTRY Block

STIMULUS Block

Note

This Note sign denotes important information. It calls attention to a condition that is essential for the user to understand.

  • This is a Note.

Caution

This Caution sign denotes a hazard. It calls attention to a procedure, practice, or condition that, if not correctly performed or adhered to, could result in damage to or destruction of part or all of the instrument.

  • This is a Caution.

Warning

This warning sign denotes a hazard. It calls attention to a procedure, practice, or condition that, if not correctly performed or adhered to, could result in injury or death to personnel.

  • This is a Warning.


Whats New

What's New in E5052B

The E5052B with A.03.3x comes with the following new features:

A.03.3x New Function

  • The windows icon for minimize, maximize and close are replaced with resize due to windows license change.

  • Change in rear panel due to CPU board change.

See also: Revision history


Precautions

  • Safety

  • Notices

  • Installing Software

  • Protecting SSA System

  • Before Contacting us


Safety

Safety Summary

The following general safety precautions must be observed during all phases of operation, service, and repair of this instrument. Failure to comply with these precautions or with specific WARNINGS elsewhere in this manual may impair the protection provided by the equipment. Such noncompliance would also violate safety standards of design, manufacture, and intended use of the instrument. Agilent Technologies assumes no liability for the customer's failure to comply with these precautions.

  • The E5052B complies with INSTALLATION CATEGORY II as well as POLLUTION DEGREE 2 in IEC61010-1. The E5052B is an INDOOR USE product.

  • The LEDs in the E5052B are Class 1 in accordance with IEC60825-1, CLASS 1 LED PRODUCT

  • Ground the Instrument

    To avoid electric shock, the instrument chassis and cabinet must be grounded with the supplied power cable's grounding prong.

  • DO NOT Operate in an Explosive Atmosphere

    Do not operate the instrument in the presence of inflammable gasses or fumes. Operation of any electrical instrument in such an environment clearly constitutes a safety hazard.

  • Keep Away from Live Circuits

    Operators must not remove instrument covers. Component replacement and internal adjustments must be made by qualified maintenance personnel. Do not replace components with the power cable connected. Under certain conditions, dangerous voltage levels may remain even after the power cable has been disconnected. To avoid injuries, always disconnect the power and discharge circuits before touching them.

  • DO NOT Service or Adjust the Instrument Alone

    Do not attempt internal service or adjustment unless another person, capable of rendering first aid and resuscitation, is present.

  • DO NOT Substitute Parts or Modify the Instrument

    To avoid the danger of introducing additional hazards, do not install substitute parts or perform unauthorized modifications to the instrument. Return the instrument to an Agilent Technologies Sales and Service Office for service and repair to ensure that safety features are maintained in operational condition.

  • Dangerous Procedure Warnings

    Warnings, such as the example below, precede potentially dangerous procedures throughout this manual. Instructions contained in the warnings must be followed.

  • Dangerous voltage levels, capable of causing death, are present in this instrument. Use extreme caution when handling, testing, and adjusting this instrument.

Safety Symbols

Instruction Manual symbol: the product is marked with this symbol when it is necessary for the user to refer to the instrument manual.

Alternating current.

Direct current.

On (Supply).

Off (Supply).

In-position of push-button switch.

Out-position of push-button switch.

A chassis terminal; a connection to the instrument's chassis, which includes all exposed metal structure.

Stand-by.


Notices

The information contained in this document is subject to change without notice.

This document contains proprietary information that is protected by copyright. All rights are reserved. No part of this document may be photocopied, reproduced, or translated to another language without the prior written consent of Agilent Technologies.

Microsoft®,MS-DOS®,Windows®,Visual C++®,Visual Basic®,VBA® and are registered trademarks of Microsoft Corporation.

Java ™ is registered trademark of Sun Microsystems Corporation.

© Copyright 2007-2009 Agilent Technologies. All rights reserved.

Certification

Agilent Technologies certifies that this product met its published specifications at the time of shipment from the factory. Agilent Technologies further certifies that its calibration measurements are traceable to the United States National Institute of Standards and Technology, to the extent allowed by the Institution's calibration facility or by the calibration facilities of other International Standards Organization members.

Documentation Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement will control.

Exclusive Remedies

The remedies provided herein are Buyer's sole and exclusive remedies. Agilent Technologies shall not be liable for any direct, indirect, special, incidental, or consequential damages, whether based on contract, tort, or any other legal theory.

Assistance

Product maintenance agreements and other customer assistance agreements are available for Agilent Technologies products.

For any assistance, contact your nearest Agilent Technologies Sales and Service Office.

Sample Program

The customer shall have the personal, non-transferable rights to use, copy, or modify SAMPLE PROGRAMS in this manual for the customer's internal operations. The customer shall use the SAMPLE PROGRAMS solely and exclusively for their own purposes and shall not license, lease, market, or distribute the SAMPLE PROGRAMS or modification of any part thereof.

Agilent Technologies shall not be liable for the quality, performance, or behavior of the SAMPLE PROGRAMS. Agilent Technologies especially disclaims any responsibility for the operation of the SAMPLE PROGRAMS to be uninterrupted or error-free. The SAMPLE PROGRAMS are provided AS IS.

AGILENT TECHNOLOGIES DISCLAIMS ANY IMPLIED WARRANTY OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Agilent Technologies shall not be liable for any infringement of any patent, trademark, copyright, or other proprietary right by the SAMPLE PROGRAMS or their use. Agilent Technologies does not warrant that the SAMPLE PROGRAMS are free from infringements of such rights of third parties. However, Agilent Technologies will not knowingly infringe or deliver software that infringes the patent, trademark, copyright, or other proprietary right of a third party.

VBA Macro

The Agilent folder (F:\Agilent) on the hard disk of the E5052B contains the VBA macros (VBA Projects) used in this manual.

The customer shall have the personal, non-transferable rights to use, copy, or modify the VBA macros for the customer's internal operations.

The customer shall use the VBA macros solely and exclusively for their own purposes and shall not license, lease, market, or distribute the VBA macros or modification of any part thereof.

Agilent Technologies shall not be liable for any infringement of any patent, trademark, copyright, or other proprietary right by the VBA macros or their use. Agilent Technologies does not warrant that the VBA macros are free from infringements of such rights of third parties. However, Agilent Technologies will not knowingly infringe or deliver software that infringes the patent, trademark, copyright, or other proprietary right of a third party.


Installing Software

  • Updating Pre-Installed Software

  • Installing User Application Software

Other topics about Precautions

Updating Pre-Installed Software

Do not update pre-installed software besides Agilent recommends to do so. Refer to http://www.agilent.com/find/ssa for the information.

Installing User Application Software

Users can install commercial application software for Windows XP on the E5052B with their responsibilities. Some application software may affect the measurement performance, especially measurement speed.


Protecting SSA System

To protect your SSA, follow the instructions below:

  1. Read the warning labels and specifications

Do not exceed the values provided in the specifications guide or as indicated by the yellow warning labels on the front panel of SSA. Refer to the specifications for the conditions required to meet the listed specifications. There will be information regarding SSA settings.

  2. Do NOT Plug off Power Cable during Shutdown Process

If you directly interrupt the power supply to the power cable receptacle when the power supply is on, or turn off the Line Switch (Always ON), the shutdown process will not work. This could damage the HDD of the E5052B.

  3. Do NOT Modify or Reconfigure the Operating System

The Microsoft Windows operating system has been modified and optimized by Agilent to improve the performance of the SSA.

  • Do NOT install a standard version of the Windows operating system on the SSA.

  • Do NOT change advanced performance settings or group policies.

  • Do NOT add or delete any hard disk drive partitions on the SSA.

  • Do NOT delete the Agilent user account.

  • Do NOT modify any of the Agilent software registry entries.

  • Do NOT change the settings of Standards and Formats in Regional Options and Languages from default setting (English).

  4. Install Antivirus Protection

The SSA does NOT have antivirus protection when shipped. Use of an antivirus program is strongly recommended if you connect the SSA to the LAN (Internet).

In addition, the use of a firewall could help to protect the SSA from viruses. However, some firewalls could limit DCOM connectivity of the SSA.

  5. Install Windows Critical Updates

The SSA is always shipped with the latest service packs and critical updates that were available at the time that the SSA is produced. We recommend that you maintain the latest available protection for your SSA by automatically accepting and installing the latest critical security patches from the Microsoft Windows Update website: http://windowsupdate.microsoft.com

  6. Run Error Check and Disk Defragmenter

When the SSA is shutdown unexpectedly or power is removed without first shutting down, large amounts of Hard Disk Drive space is rendered unusable. If shutdown in this manner enough times, the SSA could become unstable and no longer work.

This HDD space can be recovered by first running Windows Error-checking to find and correct errors on the disk, and then the Disk Defragmenter to recover Hard Disk Drive space. See the Windows Help file for more information about Disk Defragmenter.

  7. Precaution for Use of Hard Disk

Do NOT Modify or delete any Files and Folders in Drive other than D and E: Drive.(These two drives, D and E are available to use as Data backup). Doing so will result in malfunctioning of the device. It is required to execute the System recovery if there are any troubles with the above operations.

  8. Precaution for RF input connector and cable

  • Do NOT bend, bump or flex any device under test (DUT) connected to the input of SSA (such as VCO). This will reduce the amount of strain placed on the input connector and the mounting hardware. Make sure externally connected items are properly supported (not freely suspended) from the input.

  • Do NOT bend cables repeatedly, as this may damage the cable instantly. Limit the number of connections and disconnections to reduce wear. Inspect connectors prior to using; look for dirt, nicks, and other signs of damage or wear. A bad connector can ruin a good connector instantly. Clean dirty connectors to prevent poor electrical connections and damage to the connector. For more information on cable and connector care, refer to www.agilent.com/find/cable_care

  9. Precautions for Electrostatic Discharge (ESD)

ESD can damage or destroy electronic components. Whenever possible, conduct testing at a static-safe workstation. Keep static-generating materials at least one meter away from all components. Before connecting any coaxial cable to an analyzer, momentarily short the center and outer conductors of the cable together.

  10. Maintain working environment condition

Control your environment. Maintain temperature & humidity with a satisfactory range within the instruments specification and prevent large fluctuations.

  11. Precautions for transportation

  • Do NOT pick the instrument with your hand over the front panel. If the instrument slips, damage may occur to the keypad, knob, or input connectors. Lift the Instrument by the handles when transporting.

  • Do NOT use styrene pellets as packaging materials as these may cause damage to SSA by generating static electricity.

  12. Check for Proper Ventilation

Periodically check and clean the cooling vents of the SSA. Inadequate airflow can result in excessive operating temperatures which can lead to instrument failures. When installing the product in a cabinet, the convection into and out of the instrument must not be restricted. The ambient temperature must be less then the maximum operating temperature of the product by 4°C for every 100 watts dissipated in the cabinet. If the total power dissipated in the cabinet is greater than 800 watts, then forced convection must be used.

  13. Precautions for Proper Grounding

  • Proper grounding prevents building-up of static charge which may be harmful to SSA.

  • Do NOT defeat the earth-grounding protection by using an extension cable, power cable, or autotransformer without a protective ground conductor.


Before Contacting us

If you encounter the following problems during startup or operation of the E5052B, in which initial registration of the Windows XP Operating System has been properly performed, execute system recovery and update the firmware version.

The system starts up, but the normal measurement screen does not appear

  • The system automatically shuts down immediately after the startup, or the startup process stops.

  • The measurement screen appears, but "Power on test fail" or "Calibration data lost" is displayed in the instrument message/warning area against a red background in the lower-left part of the screen. The system enters the service mode. (The instrument status bar in the lower-right displays SVC in red).

Unstable Operation

  • The system hangs up while the instrument is controlled from VBA or external PCs.

  • The blue screen appears and the system hangs up.

  • The response is much slower than usual.

When execution of system recovery does not result in normal operation, a failure may have occurred. Contact Agilent customer contacts.

For other problems, refer to Troubleshooting.


Quick Start

Quick Start helps you to understand the E5052B operation quickly.

  • Overview

  • Front Panel

  • Rear Panel

  • Screen Area

  • Three Methods of Operation

  • Measurement Example

    • VCO Measurement

    • Phase Noise Measurement for 1 GHz signal

    • Frequency, power and DC current Measurement for VCO

    • Spectrum Monitor for 1 GHz signal

    • AM Noise Measurement for 1 GHz signal

    • Baseband Noise Measurement for DC control source for VCO

    • Transient Measurement for a PLL synthesizer (1.75 GHz)

  • Overall Instrument Operation


Front Panel

Front Panel: Names and Functions of Parts

1. Standby Switch

  • Used for choosing between power-on ( | ) and standby (O) state of E5052B.

To turn off the power for the E5052B, be sure to follow the steps described below:

  1. First, press this standby switch or send a shutdown command from the external controller to activate the shutdown process (the processing of software and hardware necessary to turn off the power supply). This will put the E5052B into the standby state.

  2. Next, if necessary, turn off power supply to the Power Cable Receptacle (to LINE) on the rear panel.

  • Under normal use, never directly interrupt the power supply to the power cable receptacle on the rear panel when the power supply is on. Always keep the Line Switch (Always ON) at (|). Never turn it off (O).

    If you directly interrupt the power supply to the power cable receptacle when the power supply is on, or turn off the Line Switch (Always ON), the shutdown process will not work. This could damage the software and hardware of the E5052B and lead to device failure.

    Turning on the power supply after a faulty shutdown may cause the system to start up in a condition called "safe mode." If this occurs, first shut down the system to put it into the standby state and then turn on the power supply again to start up the system in normal mode.

2. LCD Screen

The E5052B is equipped with a 10.4-inch TFT color, touch-sensitive LCD screen for displaying traces, scales, settings, softkeys and other measurement related information. The touch screen LCD allows you to manipulate softkeys by touching the LCD screen directly with a finger. For more on the LCD screen, see Screen Area: Names and Functions of Parts.

  • Do not press the surface of the LCD screen with a sharp object (e.g., a nail, pen, or screwdriver). Pressing the surface with a sharp-pointed object will damage the LCD screen surface or cause the screen to fail.

  • Occasionally, a few pixels may appear on the screen as a fixed point of blue, green or red. Please note that this is not a failure and does not affect the performance of your product.

3. Window/Trace Block

A group of keys for selecting active measurement windows and traces. For more on the concepts of measurement windows and traces, see Setting Trace layout.

Key Name | Description
Window Next Key | Pressing this key causes the active measurement window to switch over to the next higher window number of seven measurement windows. It is possible to define sweep range and other parameters of an active measurement window. To change the settings of a window, use this key to first activate the window.
Window Max Key | Switches over between normal and maximum display of the active measurement window. In normal display, all seven measurement windows (both active and non-active) are displayed in split views on the screen. In maximum display, only the active measurement window is displayed over the entire area, without showing non-active measurement windows. You can also switch over between the normal and maximum windows by double-clicking the measurement window frame. Measurements are also carried out on the non-active measurement windows that are not displayed.
Trace Next Key | Selects the next trace as the active trace. (Each time the key is pressed causes the active trace to step up from the trace with the currently designated number to one with a higher number.) An active trace is one for which the measurement parameters are defined. To change the settings for a trace, use this key to first make the trace active.
Trace Max Key | Switches over between normal and maximum display of the active trace within the measurement window. In normal display, all traces are displayed in split views on the measurement window. For the maximum display, only the active trace is maximized, while non-active traces are not displayed. To maximize the active trace, you can also double-click the area inside the measurement window (excluding the frame). Measurements are also carried out on the non-active traces that are not displayed.

4. Measurement Block

A group of keys used mainly for setting up measurements on the E5052B.

Key Name | Description
Meas/View Key | Displays the Measurement View Menu in the right part of the screen. Manipulating in the Measurement View Menu enables you to select any active measurement window. Active measurement windows are also selectable in maximum display. In this case, the measurement window in maximum display will switch over to the one you have selected.
Input Key | Displays the Input Menu in the right part of the screen. Manipulating the Input Menu enables you to select any port for the measurement signal input.
Scale Key | Displays the Scale Menu in the right part of the screen. Manipulating the Scale Menu enables you to specify the scale for displaying a trace (magnitude per division, value of the reference line, etc.) for each trace.
Format Key | Displays the Format Menu on the right side of the screen. Manipulating the Format Menu enables you to specify the data format (data transformation and graph formats) for each trace.
Trace/View Key | Displays the Trace View Menu in the right part of the screen. Manipulating the Trace View Menu enables you to specify the data smoothing, data saving on memory, title of trace, the setup for data math, etc. for each trace.
Display Key | Displays the Display Menu on the right side of the screen. Manipulating the Display Menu enables you to specify the marker information, measurement condition, update, the title label, etc.
Avg/BW Key | Displays the Average Menu in the right part of the screen. Manipulating the Average Menu enables you to specify enabling/disabling and number of times for averaging, etc. For spectrum measurements only, you can specify the bandwidth of resolution.
Attn Key | Displays the Attenuator An RF or microwave device used to reduce the power level of a signal by precise, incremental amounts over its entire frequency range. Menu in the right part of the screen. Manipulating the Attenuator Menu enables you to change the setting of the input signal attenuator

5. Control Block

A group of keys for defining the values of DC output port, sweep and trigger settings.

Key Name

Description

Start/Center Key

Displays the data input bar in the upper part of the screen by which you can specify the start value of the sweep range for the active measurement trace or the time offset value for the transient measurement. It also displays the menu in the right part of the screen that allows you to specify the sweep range. You can use the following menus:

  • Phase noise measurement Start Menu

  • Spectrum measurement Start/Center Menu

  • Frequency power measurement Start/Center Menu

  • Transient measurement Time Offset Menu

  • AM noise measurement Start Menu

  • Baseband noise measurement Start Menu

  • Segment phase noise measurement Start Menu

Stop/Span Key

Displays the data input bar in the upper part of the screen by which you can specify the stop value of the sweep range for the active measurement trace or the span value for the transient measurement. Also displays the menu in the right part of the screen that allows you to specify the sweep range. You can use the following menus:

  • Phase noise measurement Stop Menu

  • Spectrum measurement Stop/Span Menu

  • Frequency power measurement Stop/Span Menu

  • Transient measurement Span Menu

  • AM noise measurement Stop Menu

  • Baseband noise measurement Stop Menu

  • Segment phase noise measurement Stop Menu

In these menus, the titles are different from those at the start, but the function of the softkey is the same.

DC Control Key

Displays the DC Control Voltage Menu by which you can specify the values of control voltage output for the DC CONTROL port.

DC Power Key

Displays the DC Power Voltage Menu by which you can specify the values of power voltage output for the DC power port.

Setup Key

Displays the Setup Menu on the right side of the screen. Manipulating the Setup Menu enables you to specify the frequency range, IF Intermediate Frequency: the frequency at which a signal is processed after mixing. gain, input level etc required for individual measurements.

Trigger Key

Displays the Trigger Menu on the right side of the screen. Manipulating the Trigger Menu enables you to specify the trigger mode and trigger source. You can specify the trigger mode for each measurement window.

6. Hard Disk Drive

The E5052B comes with a removable hard disk drive. For removal procedure, see Removing/Mounting Removable Hard Disk.

7. NAVIGATION Block

The keys and knob in the NAVIGATION Block are used to navigate between softkey menus or selected (highlighted) areas in a dialog box and to change a numeric value in the data entry area by stepping up or down. When selecting one of two or more objects (softkey menus, data entry areas, etc.) to manipulate with the NAVIGATION Block keys displayed on the screen, first press the Focus key in the ENTRY Block to select the object to be manipulated (placing focus on the object) and then manipulate the NAVIGATION Block keys (knob) to move among selected (highlighted) objects or change numeric values.

The following descriptions show how the NAVIGATION Block keys work both when the focus is on a softkey menu and when the focus is on the data entry area. For more on manipulating tables and dialog boxes, refer to the manipulation procedure for each of these functions.

When the focus is on a softkey menu (softkey menu is selected)

When the focus is placed on a softkey menu (the menu title area in the uppermost part is displayed in blue), the NAVIGATION Block keys work as described below.

Key Name | Description
Knob (turned clockwise or counterclockwise) | Moves the softkey selection (highlighted display) up or down.
Keys | Moves the softkey selection (highlighted display) up or down.
Key | Displays the softkey menu one layer above.
Key | Displays the softkey menu one layer below.
Knob or Enter The process of inputting information. key (pressed) | Executes the function of the selected softkey.

After pressing the data entry softkey, the focus automatically moves to the data entry area.

When the focus is on the data entry area (data entry area is selected)

When the focus is placed on the data entry area (the data entry bar is displayed in blue), the NAVIGATION Block keys work as described below.

Key Name | Description
Knob (turned clockwise or counterclockwise) | Increases or decreases the numeric value in the data entry area in small steps.
Keys | Increases or decreases the numeric value in the data entry area in large steps.
Keys | Moves the cursor (|) in the data entry area laterally back and forth. Use it together with the ENTRY Block keys to change data one character at a time.
Knob or Enter key (pressed) | Finishes the entry in the data entry area and moves the focus to the softkey menu.

8. ENTRY Block

A group of keys used for entering numeric data is provided on the front panel of the E5052B.

Key Name

Description

0, 1, 2, 3 ..... 9 , .
Keys (numeric keys)

Type numeric characters or a decimal point at the position of the cursor in the data entry area.

+/- & [image] Key

+/- alternately changes the sign (+, - ) of a numeric value in the data entry area. is the backspace key.

  • +/- key works only when there are no numerical values in the entry area. When a numerical character is entered in the entry area, the +/- key transforms into ( [image]) backspace key.

G/n, M/u, k/m, x1
Keys

Adds a prefix to the numeric data typed by using the numeric key and +/- key and then enters that data. One of the two prefixes written on the surface of the key is automatically selected depending on the parameter to be entered. x1 is entered without a prefix.

Softkey On/Off , Entry Off Key

Turns off the data entry bar if it is displayed. If the dialog box is displayed, cancels the entry and closes the dialog box. If the data entry bar and dialog box are not displayed, turns the softkey menu display on/off.

Help Key

Displays SSA help for E5052B.

Focus Key

Changes the selection (focus) among the objects to be manipulated by the NAVIGATION Block keys and ENTRY Block keys. The objects to be manipulated by the NAVIGATION Block keys and ENTRY Block keys include softkey menus, data entry areas, dialog boxes, VBA editor, other Window applications and Help window (if they are running). When two or more of these are displayed on the screen and need selecting, use this key to change the selection (focus) among the objects to be manipulated. When a softkey menu is selected, the menu name area at the top of the menu is displayed in blue. When a data entry area is selected, the data entry bar is displayed in blue. When a table is selected, the frame of the table window is displayed in light gray. While a dialog box is displayed, the focus is fixed on the dialog box and cannot be changed.

9. INSTR STATE Block

A group of keys related to the macro function, store and call function, control/management function, and the presetting of the E5052B (returning it to the preset state).

Key Name | Description
Macro Setup Key | Displays the Macro Setup Menu on the right side of the screen. Manipulating the Macro Setup Menu enables you to start up the VBA editor or to create, call, or store a VBA project.
Macro Run Key | Executes a VBA procedure called "main" that has a VBA module named Module1.
Macro Break Key | Stops the VBA procedure being executed.
Save/Recall Key | Displays the Save/Recall Menu on the right side of the screen. Manipulating the Save/Recall Menu enables you to store the setup conditions to or read from the storage devices, calibration data, and trace data of the analyzer.
Capture/System Key | First, temporarily saves the data for the image displayed on the LCD screen the moment this key is pressed to the internal memory (clipboard). Immediately after that, displays the System Menu on the right side of the screen. Manipulating the System Menu enables you to define the setup for the limit test and then execute it or to define the setup for the control and management of the analyzer. Using the Dump Screen Image option enables you to store the image data in the clipboard to a file on the storage devices. Also, using the Print option in the System menu enables you to print the image data in the clipboard to a printer.
Preset A pre-defined instrument state (that also runs an analyzer self-test). The action of pushing the Preset key. Key | Displays the Preset Menu on the right side of the screen. Clicking Factory in the Preset Menu enables you to return the analyzer to the initial setup state, called the preset setup.

10. MKR/ANALYSIS Block

A group of keys used for analyzing the measurement results by using the markers, fixture simulator, etc. For more on the functions of the keys in the MKR/ANALYSIS Block, see Overview of Functions.

Key Name | Description
Marker A graphical symbol along a display trace that is annotated with measurement characteristics of that specific data point. Key | Displays the Marker Menu on the right side of the screen. Manipulating the Marker Menu enables you to turn the markers on/off and move them by entering stimulus values. You can place up to 10 markers on each trace.
Marker Search Key | Displays the Marker Search Menu on the right side of the screen. Manipulating the Marker Search Menu enables you to move a marker to a specific point (maximum, minimum, peak,and a point with a target value) on a trace. You can also find and display the bandwidth parameters (up to six).
Marker Fctn Key | Displays the Marker Function The action or purpose that a specific item is intended to perform or serve. The network analyzer contains functions that can be executed via front panel key selections, or through programming commands. Menu on the right side of the screen. Manipulating the Marker Function Menu enables you to not only specify the marker sweep range and the coupling of markers on a channel but also to display statistics data on traces.
Marker Key | Displays the Marker To Menu in the right part of the screen. Manipulating the Marker To Menu enables you to specify the marker sweep range and the coupling of markers within a measurement and to display statistical data on traces.

11. Front USB Port

Two USB (Universal Serial Bus) ports are provided that can be used for connecting to USB, Multiport test set or a printer. Connecting a compatible printer to this port enables screen information on the E5052B to be printed. For more information on printing, see Printing Displayed Screen.

  • The specifications of this port are identical to those of the Rear USB port.

12. Optional RF Ports

These ports are used with E5053A otherwise the ports are connected with furnished two short SMA semi-rigid cables.

13. Ground Terminal

Connected to the chassis of the E5052B, a ground terminal is provided with the E5052B. You can connect a banana-type plug to this terminal for grounding.

14. Probe Power

The E5052B comes with one port that can be used to provide power to external probes. See the Data sheet for the voltage and maximum current.

15. DC Control Port

DC Control Port is a DUT Device Under Test interface port that can be used to provide control voltage to DUT. For example, this port can be used to provide tuning voltage (Vt) to a VCO.

Connector type: 50Ω, BNC, Female.

16. DC Power Port

DC Power Port is a DUT interface port that can be used to provide power voltage to DUT. For example, this port can be used to provide bias voltage (Vcc) to a VCO.
Connector type: BNC, Female.

17. Baseband IN Port

This DUT interface port is used for baseband noise measurement and can accept DC voltage up to 35V. To make baseband noise measurement mode useful for power supply noise measurement, this port is well protected for DC voltage application.

Connector type: 50Ω, AC Coupled, BNC, Female.

18. RF Port

RF Radio Frequency (from approximately 50 kHz to approximately 3 GHz). Usually referred to whenever a signal is radiated through the air. Port is a DUT interface port that gets the RF input generated from the DUT.

Connector type: 50Ω, N-type, Female.

  • Do not apply a DC voltage or current to the individual ports of the DC Control, DC Power and RF Port. Applying a DC voltage or current may lead to the breakdown of this product. In particular, there is the risk of the capacitor remaining charged. Connect the measurement sample (DUT) to the port (or the test fixture, cables, etc. connected to the port) after discharging DUT's electricity enough.


Rear Panel

Rear Panel: Names and Functions of Parts

1. 24 bit I/O Port

The terminal to which an automatic machine (handler) used on a production line is connected. See 24 bit I/O Port.

Specification | Value
Connector type | 36-pin D-Sub connector, Female
Input Signal Level | TTL level, (0 V to +5 V), Threshold Low: 0.5 V, High: 2.1V
Trigger Pulse Width | > 2 μs
Trigger Polarity | Positive/negative edge selectable

2. Ethernet Port

A terminal for connecting the E5052B to a LAN (Local Area Network). Connecting this instrument to a LAN enables you to access the hard disk drive of this instrument from an external PC or to control this instrument by using SICL-LAN or telnet.

Specification | Value
Connector type | 8-pin RJ-45 connector
Base standard | 10Base-T/100Base-T Ethernet (automatic data rate selection)

3. External Monitor Output Port

A terminal to which an external color monitor (display device) can be connected. By connecting a color monitor to this terminal, the same information shown on the LCD screen of the main body can be displayed on an external color monitor.

Connector type: 15-pin mini-D sub connector, Female.

4. GPIB Port

The connection of an external controller through General Purpose Interface Bus (GPIB) connector allows you to configure an automatic measurement system.

This GPIB connector is used only for controlling the E5052B from an external controller. Use USB/GPIB interface to control other devices from the E5052B. You cannot control other devices from the E5052B through this GPIB connector.

5. External Trigger Input Port

A connector to which external trigger signals are input. This connector detects the downward transition from the HIGH state in TTL signals as the trigger signal. To use this connector to generate a trigger, you must set the trigger source to the "external" side (key operation: Trigger > Source > External).

Connector type: BNC connector, female

6. Fan

The cooling fan for controlling the temperature inside the E5052B. This fan exhausts heated air from inside the analyzer to the outside.

7. Line Switch: Always ON (I)

Always keep this switch on (|).

  • Do not use this switch to turn off (O) the mains. Doing so may cause the analyzer to fail. For more information, see the description of the Standby Switch.

8. Power Cable Receptor

The receptacle (outlet) to which the power cable is connected.

  • To connect the device to a power source (outlet), use the supplied three-prong power cable with a ground conductor. The plug attached to the power cable (on the power outlet side or device side of the cable) serves as the disconnecting device (device that cuts off power supply) of the E5052B. When the power supply must be cut off to avoid such danger as electric shock, pull out the power cable plug (on the power outlet side or device side of the cable). For the procedure for turning off the mains in normal use, see the description in Standby Switch.

For more on the power supply, see the Installation Guide.

9. Internal Reference Signal Output Port (Ref Out)

A connector for outputting the internal frequency reference signal from the E5052B. By connecting this output connector to the external reference signal input connector of another device, the device can be phase-locked to the internal reference signal of the E5052B and used under this condition.

Specification | Value
Connector type | BNC connector, female
Output signal (Typical) | 10 MHz ± 5Hz, +2.5 dbm ± 2.5 dBm
Output impedance (Typical) | 50 ohm

  • When a reference signal is inputted to "Ref In2" and Ch2 is locked with this signal, the "Ref Out" outputs the same signal.

10. External Reference Signal Input Port (Ref In1)

The reference signal input connector for phase-locking the measurement signal from the E5052B to the external frequency reference signal. Inputting the reference signal to this connector improves the accuracy and frequency stability of the measurement signal from the E5052B.

Specification | Value
Connector type | BNC connector, female
Input signal (Typical) | 10 MHz ± 10 Hz, 0 dBm to +10 dBm

  • When the frequency reference signal is input to this connector, the measurement signal from the E5052B is automatically phase-locked to the reference signal. When an input signal is not present, the frequency reference signal inside the E5052B is automatically used. The ExtRef1 on the instrument status bar is displayed in blue when the system is phase-locked to the external reference signal and in gray when not phase-locked.

  • When Narrow-Narrow mode in the transient measurement is selected, this connector should be connected with the Ref Out connector. The error message of "291 Ref In 1 input not detected" is displayed when the clock signal is not input into this connector.

11. External Reference Signal Input Port (Ref In2)

The reference signal input connector for phase-locking the measurement signal from the E5052B to the external frequency reference signal. Inputting the reference signal to this connector improves the accuracy and frequency stability of the measurement signal from the E5052B.

Specification | Value
Connector type | BNC connector, female
Input signal (Typical) | 10 MHz ± 10 Hz, 0 dBm to +10 dBm

  • In the Phase Noise Measurement, when the frequency reference signal is input to this connector, the measurement signal from the E5052B is automatically phase-locked to the reference signal. When an input signal is not present, the frequency reference signal inside the E5052B is automatically used. The ExtRef2 on the instrument status bar is displayed in blue when the system is phase-locked to the external reference signal and in gray when not phase-locked.

12. Serial Number Plate

The seal showing the serial number of the product.

13. Certificate of Authenticity Label

The label showing the information of the "Certificate of Authenticity."

14. Rear USB Port

Two USB (Universal Serial Bus) ports are provided specifically for USB/GPIB interface or a printer.

  • The specifications of this port are identical to the Front USB Port.

15. USB (USBTMC) Interface Port

Through this port, you can control the E5052B from external controllers. For more information on the measurement system using the USB port, see the USB Remote Control System.

Specification | Value
Connector type | Universal serial bus (USB) jack, type B (4 contact positions), Female
Compliance Standards | USBTMC-USB488 and USB2.0

16. External Trigger Output Port (AUX Out)

External Trigger Output port outputs the pulse of a specified polarity at the end of measurement (EOM).

  • This port can handle maximum output current of 50mA.The port outputs to the connector through 24 Ohm resistance and 10k ohm pull-up resistance in series with the output of 74ACT14.

Symbol | Parameter | Typical | Units Dimensions on the measured quantities. Units usually refer to amplitude quantities because they can be changed. In analyzers with microprocessors, available units are dBm (dB relative to 1 mW dissipated in the nominal input impedance), dBmV (dB relative to 1 mV), dBW (dB relative to 1 1W), V (volts), W (watts). | Condition
 | Pulse Width | 1 | uSec |
VOH | HIGH Level Output Voltage | 5 | Volt | Iout=-50uA
VOL | LOW Level Output Voltage | 0 | Volt | Iout=50uA


Screen Area

Screen Area: Names and Functions of Parts

Click on the name or area for details of the topic:

1. Data Entry Bar

2. Softkey Menu Bar

3. Instrument Status Bar

4. Measurement Windows

5. Windows Status Bar - Windows Status Bar may or may not appear, depending on the Windows license. Under the same condition, either Windows resize buttons or E5052B resize button will appear. For more information, refer to Windows License.


Data Entry Bar

Used to enter numeric data into the E5052B. Press a hardkey or softkey to enter data, and the data entry bar will appear at the top of the screen. To assign a title to a measurement window, the entry bar also allows you to enter letters and symbols by using the front panel keys or mouse.

Data Entry Bar

  • To manipulate the data entry bar with the front panel keys, it has to be selected as the object to manipulate (focus placed on it). When the focus is placed on the data entry bar, the entire bar is displayed in blue. Pressing or clicking on Focus Key in ENTRY Block enables you to move the focus to the desired object.

1-1. Parameter Name

Displays the name of the parameter for which data will be entered.

1-2. Data Entry Area

When the data entry bar is displayed for the first time, the current settings are displayed on it. You can change numeric values by typing from the keyboard or in the ENTRY block on the front panel.

1-3. Step Button (Small)

Increases or decreases the numeric value in the data entry area in small steps. Use the mouse to manipulate this button.

1-4. Step Button (Large)

Increases or decreases the numeric value in the data entry area in large steps. Use the mouse to manipulate this button.

1-5. Close Button

Closes the data entry area (turns off the display). Use mouse to manipulate this button.


Softkey Menu Bar

A group of keys on the screen called by the softkeys and menu bars. You can manipulate these keys by using the NAVIGATION Block keys on the front panel, the mouse, or the keyboard. You can perform manipulations by directly touching the screen with your finger instead of using a mouse.

Softkey Menu Bar

  • To manipulate a menu bar, it has to be selected as the object to manipulate (with the focus placed on it). When the focus is placed on a menu bar, the menu title area at the top is displayed in blue. Pressing or clicking on Focus Key in the ENTRY Block enables you to move the focus to the desired object.

2-1. Softkey Menu Title

The title of the softkey menu is displayed here. Double-clicking on this part of the menu bar displays the top layer of softkeys.

2-2. Scroll Arrow (Large)

When the softkeys in a menu overflow the screen, using this key enables you to scroll the menu page by page. Both upward and downward scroll arrows are available. Use the mouse to manipulate these buttons.

2-3. Softkeys

These are the actual keys you would use to perform setup. A [image] displayed to the right of a softkey indicates that pressing that softkey will display the lower layer of softkeys.

2-4. Highlighted Softkey

Pressing [image] and Enter The process of inputting information. key on the front panel or pressing Enter key on the keyboard causes the highlighted (selected) softkey to be executed. You can change which softkey in the menu is highlighted by turning [image] or pressing [image] [image] on the front panel or by pressing [image] [image] on the keyboard. Pressing the [image] key on the front panel or the [image] key on the keyboard brings up the upper level softkey menu, and pressing the [image] key on the front panel or the [image] key on the keyboard brings up the lower level softkey menu.

2-5. Selection Mark

Shows which softkey function is currently selected.

2-6. Softkey Status Display

Displays a softkey's setup status.

2-7. Scroll Bar

When the softkeys in a menu overflow the screen, clicking on the blank part of the scroll bar enables you to scroll the softkey menu up or down.

2-8. Scroll Box

You can scroll the softkey menu up or down by using the mouse to select and drag the scroll box (pressing the button on the object to be moved and then releasing the button at the desired location). The length and position of the scroll box indicate the length and position of the currently displayed part of the softkey menu relative to the entire menu.

2-9. Scroll Arrow (Small)

Using this button, you can scroll the menu one softkey at a time. Both upward and downward scroll arrows are available. Use the mouse to manipulate these buttons.


Instrument Status Bar

The instrument status bar displays the status of the entire instrument.

Instrument Status Bar

3-1. Instrument Message/Warning

Displays instrument messages and warnings. Instrument messages are displayed in gray and warnings in red. For the meanings of the instrument messages and warnings, see Troubleshooting.

3-2. Measurement Name/Measurement Status

Displays the measurement status of E5052B.

Value | Description
Hold | Measurement on hold (idling).
Man | The trigger source is set to "Manual" and waiting for trigger.
Ext | The trigger source is set to "External" and waiting for trigger.
Bus | The trigger source is set to "Bus" and waiting for trigger.
NVideo | The trigger source is set to "Narrow Video" for transient measurement only and waiting for trigger.
N2Video | The trigger source is set to "Narrow2 Video" for transient measurement only and waiting for trigger.
WVideo | The trigger source is set to "Wide Video" for transient measurement only and waiting for trigger.
Meas | A measurement is in progress.

3-3. DC Control Voltage Calibration Indicator

When DC Control Voltage Calibration is enabled, it is displayed in blue. When disabled, it is displayed in gray.

3-4. DC Control Voltage Status

When the DC control voltage signal output is turned on, the specified voltage is displayed.

3-5. DC Power Voltage Status

When the DC power voltage signal output is turned on, the specified voltage is displayed.

3-6. Attenuator Status

The specified attenuator value is displayed.

3-7. External Reference Signal Phase Lock 1

When the frequency reference signal is input to the External Reference Signal Input Connector (Ref In1) on the rear panel and the measurement signal of the E5052B is phase-locked to the reference signal, ExtRef1 is displayed in blue.

Value | Description
ExtRef1 displayed in blue | Measurement signal is phase-locked to external reference signal.
ExtRef1 displayed in gray | Measurement signal is not phase-locked to external reference signal.

  • When the phase lock function is not operated properly, Unlock is displayed in red. Even when High Stability Frequency The number of periodic oscillations, vibrations, or waves per unit of time, usually expressed in cycles per second, or Hertz (Hz). Reference Output Connector (Ref Oven)and External Reference Signal Input Connector (Ref In) are interconnected, the measurement signal may not be phase-locked immediately after powered on under a cool-temperature environment (i.e. the display of “ExtRef1” does not change from gray to blue). In this case, wait a few minutes until the instrument warms-up and “ExtRef1” is displayed in blue.

3-8. VBA Status

Displays the state of the execution of the VBA program in the E5052B.

Value | Description
Run | VBA program is still running
Stop | VBA program has stopped

3-9. Service mode

Indicates the service mode status.

Value | Description
SVC (displayed in red) | An abnormal condition has been detected inside the E5052B. The unit may be damaged. Notify the Customer Contact listed at the end of this brochure or the distributor from whom the unit was purchased.
SVC (displayed in gray) | The E5052B is in normal mode.

3-10. Date and Time

Displays the date and time generated by the internal clock. The display format is as follows:

YYYY-MM-DD HH:MM

Where:

YYYY: Year (AD)
MM: Month
DD: Day
HH: MM: Time (0:00 to 23:59)

You can turn the date and time display on/off by: System > Misc Setup > Clock Setup > Show Clock.

3-11. Display Update OFF Indicator

When updating of information displayed on the LCD screen is turned off, this indicator is displayed.

3-12. External Reference Signal 2

When the frequency reference signal is input to the External Reference Signal Input Connector (Ref In2) on the rear panel and the measurement signal of the E5052B is phase-locked to the reference signal, ExtRef2 is displayed in blue.

Value | Description
ExtRef2 displayed in blue | Measurement signal is phase-locked to external reference signal.
ExtRef2 displayed in gray | Measurement signal is not phase-locked to external reference signal.


Measurement Window

This provides windows for displaying traces. Because a measurement corresponds to a window, it is called a measurement window. When the outer frame of a measurement window is displayed in light gray, the measurement is active (the measurement for which setup is being performed). In Measurement Window spectrum window is active. To make a measurement active, use Window Next . Clicking inside a measurement window will also make it active. The following figure shows example of a spectrum measurement displayed in maximum screen by using Window Max.

Measurement Window

4-1. Measurement Title

You can assign a title to each channel and have the title displayed in the bar. To set up the measurement title, enter a title in Display > Edit Title Label and then toggle on/off the title display by using Display > Title Label .

4-2. Trace Name

The names of the traces on the measurement are displayed here. to the left of the trace name indicates the active trace (the trace for which setup is being performed). To switch over the active trace, use Trace A series of data points containing frequency and response information. The series of data points is often called an array. The number of traces is specific to the instrument. Next. Clicking the graph of the trace will also activate the trace.

4-3. Scale Settings

The scale setting for each trace is displayed here. This example shows that “0.00dB/” corresponds to 10 dB Decibel: a relative unit of measure. The ratio in dB is given by: 10 log10 (P1/P2) where P1 and P2 are the measured powers. The dB is preferred instead of arithmetic ratios or percentages because when components are connected in series, their effect on power, expressed in dB, may be arithmetically added and subtracted. For example, if a 3dB attenuator is connected to a 10dB amplifier, the net gain of the two components is (-3dB + 10dB = +7dB). per division. “Ref -50.00.000dB” shows that the value of the reference line is -50 dB. To specify the scale settings, use each softkey that can be displayed by pressing the Scale hardkey.

4-4. Trace Status Area

The setup for each trace is displayed here.

Trace Status Display

Classification | Contents inside the [ ] | Meaning
Turning on/off traces | Nothing | Data trace: ON, Memory trace: OFF
 | M | Data trace: OFF, Memory trace: ON
 | D&M | Data trace: ON, Memory trace: ON
 | off | Data trace: OFF, Memory trace: OFF
Performing data math: Refer to the indication in parentheses when the memory trace is turned on. | D+M (D+M&M) | Execution of Data+Mem math
 | D−M (D-M&M) | Execution of Data−Mem math
 | D*M (D*M&M) | Execution of Data*Mem math
 | D/M (D/M&M) | Execution of Data/Mem math
Smoothing | Smo | Smoothing: ON

4-5. Reference Line Indicators

These indicate the position of the reference line for the Y-axis scale in the rectangular display format. There is an indicator to the right of the scale ( [image]). To enter a numeric value for the position of the reference line, open the data entry bar using the keys Scale > Reference Position. You can also move the position of the reference line by placing the mouse pointer on the reference line indicator (the pointer changes from [image] to [image]. ), moving the indicator vertically with the left mouse button kept pressed, and then releasing the button at the desired location (i.e., a drag-and-drop operation).

4-6. Measurement Status Bar

The status of each measurement is displayed here.

4-7. Measurement Status

Displays the update status of traces on the measurement.

Status | Description
# | Invalid traces. The measurement conditions have changed, but the traces on the measurement window currently displayed have not been updated to match the new conditions.
(not displayed) | Valid traces.

4-8. Averaging Status

Displays the averaging factor and averaging count when averaging is turned on.

Status | Description
n/m (displayed in blue) | Averaging A noise reduction technique that computes each data point based on consecutive sweeps and weighted by a user-specified averaging factor. Each new sweep is averaged into the trace until the total number of sweeps is equal to the averaging factor. : ON (m: averaging factor; n: averaging count)
(not displayed) | Averaging: OFF

4-9. Sweep Range

Indicates the sweep range by using the start/stop or center/span. This varies depending on the given parameters or measurements.

4-10. Measurement Name

Indicates the measurement name.

4-11. Measurement Parameters

Indicates the parameters specified to perform a measurement sweep at the bottom of each measurement screen. The content may vary depending on the measurement.

4-12. X-axis Labels

X-axis divisions in the rectangular display format. To hide the divisions, select "OFF" in -Y # of Digits. (The display/nondisplay of the X-axis divisions interlocks with that of the Y-axis divisions.)

4-13. Y-axis Labels

Y-axis divisions in the rectangular display format. The value of the reference line (the division line indicated by [image]) can be entered numerically by opening the data entry bar using the keys: Scale > Reference Value. You can change values of the reference line in one division intervals by placing the mouse pointer in the area of the graticule label (the pointer changes from [image] to [image]), moving the pointer vertically with the left mouse button pressed, and then releasing the button at the desired location. By using Display > Y # of Digits, you can select the display format of the graticule label from three options: 4 digits, 12digits, and “not displayed.”

4-14. Marker Information

The marker information is displayed in a list. It shows the marker number, marker x-axis value, and marker measurement value from left to right. For the active marker (the one for which setup and analysis are being performed), > is displayed to the left of the marker number. For the reference marker,Δ is displayed instead of the marker number.

4-15. Statistics Data

Turning on the statistics data function displays statistics data here. For more about the statistics data function, see Determining Mean, Standard Deviation, and Peak-to-Peak of the Trace

4-16. Markers

The markers used for reading values on a trace. Up to six markers can be displayed for each trace.

Status | Description
 | Active marker (ready for setup and analysis)
 | Non-active marker

Here, n denotes a marker number. For the reference marker, however, nothing is displayed at the location of n. Clicking the marker or one of the Marker A graphical symbol along a display trace that is annotated with measurement characteristics of that specific data point. Indicators makes the marker active.

4-17. Marker Indicators

These indicate the positions of markers on the x-axis.

Status | Description
 | Active marker indicator
Δ | Non-active marker indicator

You can also move a marker to desired position by placing the mouse pointer on marker indicator or the position of the marker itself (the pointer changes from [image] to [image]),moving the indicator vertically with the left mouse button pressed, and then releasing the button at the desired location.

4-18. X-axis Bandmarkers

By turning on the x-axis band marker function, the x-axis band marker is displayed in a specified position.

Status | Description
 | Indicator of start value of x-axis band marker
 | Indicator of stop value of x-axis band marker
 | Indicator of center value of x-axis band marker

You can also move a marker to the desired position by placing the mouse pointer on the marker indicator or the position of the marker itself (the pointer changes from [image] to [image]),moving the indicator vertically with the left mouse button pressed, and then releasing the button at the desired location.

4-19. Y-axis Bandmarkers

By turning on the y-axis band marker function, the y-axis band marker is displayed in a specified position

Status | Description
 | Indicator of start value of y-axis band marker
 | Indicator of stop value of y-axis band marker
 | Indicator of center value of y-axis band marker

You can also move a marker to the desired position by placing the mouse pointer on the marker indicator or the position of the marker itself (the pointer changes from [image] to [image]), moving the indicator up or down with the left mouse button pressed, and then releasing the button at the desired location.

4-20. Bandmarker information

Turning on the x-axis or y-axis band marker function will display the corresponding band marker information on a list in the order of start, stop, center and span.


Three Methods of Operation

You can operate the E5052B using one of three operating methods: using keys on the front panel, using a mouse and keyboard, and using the touch screen.

In the next section and those following it, a series of operations is expressed as follows:

Select Meas/View > Phase Noise > Window Max > Avg/BW

Operating Method Using Keys

  1. Press the Meas/View key in the Measurement Block.

  2. Press [image] or [image] key to move the cursor to Phase Noise, then press Enter The process of inputting information. or ( [image] ) key.

  3. Press Avg/BW

Operation Method Using a Mouse

  1. From the PN Menu click Measurement View, click Phase Noise and then click Return

  2. Click Average

Operation Method Using the Touch Screen

  1. Press Measurement View > Phase Noise

  2. Press Show Window and set all windows except Phase Noise to OFF status and then press Return.

  3. Press Return to get back to PN menu.

  4. Press Average


VCO_Measurement

This section describes the process to evaluate different parameters of a VCO (Voltage Controlled Oscillator) using the E5052B. The VCO used for this example has the following specification:

Parameter | Value
Vcc (Bias Voltage) | 5 ± 0.5 V
Vt (Tuning Voltage) | +1.0 ~ +4.5V
RF Radio Frequency (from approximately 50 kHz to approximately 3 GHz). Usually referred to whenever a signal is radiated through the air. Output | 800 ± 30 MHz

  1. Setting measurement conditions

    1. Preset the E5052B to factory settings by Preset > Factory.

    2. Set DUT (VCO) Bias Voltage (Vcc) Settings by DC Power:

      • Set Min Pwr Voltage Limit as 4.5 V (3 in the figure below).

      • Set Max Pwr Voltage Limit as 5.5 V (4 in the figure below).

      • Set DC Power Delay as 100ms (5 in the figure below).

      • Set DC Power Voltage as 5V (2 in the figure below).

    3. Set DUT (VCO) Tuning Voltage (Vt) Settings by DC Control:

      • Set Min Ctrl Voltage Limit as 1.0 V (3 in the figure below).

      • Set Max Ctrl Voltage Limit as 4.5 V (4 in the figure below).

      • Set DC Control Delay as 100ms (5 in the figure below).

      • Set DC Control Voltage as 1V (2 in the figure below).

  2. Connecting the Device Under Test (DUT)

      1. Connect DUT to E5052B.

    2. Set DC Power > DC Power Output ON

    3. Set DC Control > DC Control Output ON

    4. Set Display > Update

  3. Making Measurements

    1. Phase Noise

      1. Measurement

      1. Press Meas/View > Phase Noise to activate Phase Noise window. Press Window Max to maximize the window

      2. Press Setup > Frequency Band > 250M-7GHz

      3. Press Trigger > Trigger to Phase Noise > Continuous to start measurements

      4. Press Start/Center (Stop/Span), set Start > 100Hz and Stop > 40MHz

      5. Press Attn > Input Attenuator 0dB for best dynamic range. Press Entry Off to clear the warning message that appears at bottom left

      6. Press Avg/BW > Avg factor 8 > Averaging > ON to reduce fluctuation

      7. Press Scale > Auto Scale

B. Auto Frequency Control

If the 1 GHz signal is a signal of a VCO, you can control the frequency of the signal by using the automatic frequency control (AFC) function.

      1. Press DC Control > Auto Freq Control.

      2. Set Target > 1GHz.

      3. Set Tolerance > 10kHz.

      4. Set Sensitivity > 10MHz/V.

      5. Press AFC Status, then turn “ON” to activate AFC. When “AFC out of loop” message is displayed, change the value for tolerance or sensitivity to a value larger than the current setting.

C. Analysis Using Marker

      1. Press Marker > Marker1 > 20 > x1 to check phase noise at 20MHz offset

    2. Spectrum Monitor

      1. Measurement

      1. Press Meas/View > Spectrum Monitor to activate Spectrum window.

      2. Press Window Max to maximize the window.

      3. Press Trigger > Trigger to Spectrum Monitor > Continuous to start measurements

      4. Press Start/Center (Stop/Span), set Center to carrier frequency displayed in phase noise window.

      5. Press Setup > Reference Level > 5dBm to specify maximum input level of the measurement signal that is input from the RF IN port.

      6. Press Scale > Auto Scale

      2. Analysis Using Marker

      1. Press Marker Search > Search Max

    3. Frequency and Power

      1. Measurement

      1. Press Meas/View > Freq & Power to activate Frequency and Power window. Press Window Max to maximize the window

      2. Press Setup > Frequency Band > 250M-7GHz

      • Tester Mode

        3. Press Setup > Frequency Resolution > 10Hz

        4. Press Trigger > Mode > Tester

        5. Press Trigger > Trigger to Freq & Power > Continuous to start measurements

      • Analyzer Mode

        3. Press Trigger > Mode > Analyzer

        4. Press Setup > Sweep Parameter > Control Voltage

        5. Press Setup > Frequency Resolution > 10Hz

        6. Press Setup > Points > 51 to perform tuning selectivity measurement

        7. Press Start/Center (Stop/Span) > DC Control Start 1V > DC Control Stop 4.5V

        8. Press Scale > Auto Scale All

        9. Press Setup > Sweep Parameter > Power Voltage to perform frequency pushing measurement

        10. Press Start/Center (Stop/Span) > DC Power Start 4.5V > DC Power Stop 5.5V

        11. Press Scale > Auto Scale All

        12. Using touch screen touch Frequency screen to activate. Press Format > Frequency Format > Hz/V

        13. Press Scale > Auto Scale All

      2. Analysis Using Marker

      • Tuning Sensitivity

      1. Press Marker > Marker1 > 1 > Enter

      2. Press Marker > Marker2 > 1.5 > Enter

      3. Press Marker > Marker3 > 2 > Enter

      4. Press Marker > Marker4 > 2.5 > Enter

      5. Press Marker > Marker5 > 3 > Enter

      6. Press Trace Next to select Power trace in Frequency and Power window and repeat steps 1 to 5.

      7. Press Trace Next to select Current trace in Frequency and Power window and repeat steps 1 to 5.

      8. Press Trace Next to select Freq trace in Frequency and Power window and repeat steps 1 to 5.

      • Frequency Pushing

      1. Press Marker > Marker1 > 4.5 > Enter

      2. Press Marker > Marker2 > 4.7 > Enter

      3. Press Marker > Marker3 > 5 > Enter

      4. Press Trace Next to select Power trace in Frequency and Power window and repeat steps 1 to 3.

      5. Press Trace Next to select Current trace in Frequency and Power window and repeat steps 1 to 3.

      6. Press Trace Next to select Freq trace in Frequency and Power window and repeat steps 1 to 3.

    4. AM Noise Measurement

      1. Measurement

      1. Press Meas/View > AM Noise to activate AM Noise window. Press Window Max to maximize the window

      2. Press Setup > Frequency Band > 250M-7GHz

      3. Press Trigger > Trigger to AM Noise > Continuous to start measurements

      4. Press Start/Center (Stop/Span), set Start > 100Hz and Stop > 40MHz

      5. Press Attn > Input Attenuator 0dB for best dynamic range. Press Entry Off to clear the warning message that appears at bottom left

      6. Press Avg/BW > Avg factor 8 > Averaging > ON to reduce fluctuation

      7. Press Scale > Auto Scale

      2. Analysis Using Marker

      1. Press Marker > Marker1 > 100 > x1

      2. Press Marker > Marker2 > 1 > k/m

      3. Press Marker > Marker3 > 1 > M/μ

      4. Press Marker > Marker4 > 40 > M/μ

  4. Outputting measurement results

  • Store measurement file to a disk


Phase_Noise_Measurement_for_1GHz_signal

Measurement Setup

  1. Press Meas/View > Phase Noise to select the phase noise measurement window. Press Window Max to maximize the window

  2. Press Trigger > Trigger to Phase Noise > Continuous to start measurements.

  3. Press Trigger > Source > Internal.

  4. Press Setup > Capture Range > Normal for PLL method.

  5. Press Setup > Auto Setting. When "IF A/D overflow" is displayed, decrease 10 dB from the current IF Gain setting (Press Setup > IF Gain).

  6. Press Start/Center (Stop/Span), set Start > 100Hz and Stop > 40MHz.

  7. Press Avg/BW > Avg factor > 5 > Averaging > ON to reduce fluctuation, then press Averaging Restart.

  8. Press Scale > Auto Scale.

  9. Press Marker > Marker1 > 1 > M/μ to check phase noise at 1MHz offset.

The marker value is displayed in the upper part of the trace screen.

Analysis

Correlation

If the 1GHz signal is a clean signal, the correlation function can be used for noise floor reduction.

The following is an example of a 70 MHz clean signal measurement.

  1. Press Avg/BW > Correlation > 1, then set Avg factor > 5 and turn Averaging > ON, then press Averaging Restart.

  2. Press Trace/View > Data -> Mem, then press Display Trace > Data & Mem.

  3. Press Avg/BW > Correlation and input 100, then press Averaging Restart.

Auto Frequency Control

If the 1 GHz signal is a signal of a VCO, you can control the frequency of the signal by using the automatic frequency control (AFC) function.

  1. Press DC Control > Auto Freq Control.

  2. Set Target > 1GHz.

  3. Set Tolerance > 10kHz.

  4. Set Sensitivity > 10MHz/V.

  5. Press AFC Status, then turn “ON” to activate AFC. When “AFC out of loop” message is displayed, change the value for tolerance or sensitivity to a value larger than the current setting.

Spurious

  1. Press Trace/View > Spurious > Power (dBc). Then set Spur Sensibility > 3 and Minimum Spur Level > -100 dBc.

  2. Press Scale > Auto Scale.

  3. Spurious are displayed by high light. Then press Spurious List, you can view response values for the spurious in a text file.

Jitter

  1. Press Marker Fctn, then Band Marker > ON

  2. Press Start/Center (Stop/Span), set Start > 1kHz and Stop > 100kHz

  3. Press Marker Fctn, then Analysis Type > Integral. In the upper right part of the screen, you can see the Integral Phase Noise value [dBc], the RMS Noise value [rad, deg], the RMS Jitter value [sec] and Residual FM value [Hzrms].

The band marker span is derived from interpolated values (including measurement points). On the other hand the noise span is derived from measurement points directly, so the two data take different values when the band marker is at interpolated points.

Segment Phase Noise Measurement

The segment phase noise measurement allows you to analyze detail of spurious response with variable RBW setting.

This figure below shows a phase noise measurement.

The following steps are for analyzing the spurious around 700kHz frequency offset.

  1. Press Meas/View > Show Window > Segment PN to toggle ON the segment phase noise measurement.

  2. Press Meas/View > Segment PN to select the segment phase noise measurement window.

  3. Press Trigger > Trigger to Segment PN > Continuous to start measurements.

Press Trigger > Source > Internal

  4. Press Setup > Capture Range > Normal for PLL method

  5. Press Setup > Auto Setting

  6. Press Start/Center (Stop/Span), set Center > 700kHz and Span > 500kHz

  7. Press Avg/BW > RBW > 781Hz

  8. Press Avg/BW > Avg factor 5 > Averaging > ON to reduce fluctuation, then press Averaging Restart

  9. Press Scale > Auto Scale

More Information

For more information about phase noise measurement, see Phase Noise Measurement.


Frequency, power and DC current Measurement for VCO (using built-in DC sources)

The VCO used for this example has the following specification:

  • Vcc (Bias Voltage) : 12V, Vt (Tuning Voltage) : 0.5 to 18 V

  • RF Output : 612 to 1200 MHz, Output power: +10 dBm typ.

Measurement Setup

  1. Press DC Power > DC Power Voltage > 12V and Max Pwr Voltage Limit > 13V, then turn DC Power Output to ON.

  2. Press DC Control > DC Control Voltage > 12V and Max Ctrl Voltage Limit > 18V, then turn DC Control Output to ON.

  3. Press Meas/View > Freq & Power to select the frequency & power measurement window. Press Window Max to maximize the window.

  4. Press Att > Input Attenuator > 10dB.

  5. Press Trigger > Mode > Tester. Then, press Trigger > Trigger to Freq & Power > Continuous to start measurements. Press Trigger > Source > Internal.

  6. Press Setup > Frequency Band > 250M - 7GHz, then press Freq Resolution > 10Hz.

Analysis

Tuning sensitivity measurement

  1. Press Trigger > Mode > Analyzer, then press Source > Internal.

  2. Press Setup > Sweep Parameter > Control Voltage, then press Freq Resolution > 10Hz and press Points > 201.

  3. Press Start/Center (Stop/Span) > DC Control Start > 1 V and DC Control Stop > 18 V.

  4. Press Display > Allocate > x4 to set the trace layout to four-division mode.

  5. Press Trace Next key to select the frequency measurement trace (lower-right trace), then press Format > Frequency Format > Hz/V.

  6. Press Scale > Auto Scale All.

More Information

For more information about Frequency, power and DC current Measurement, see Frequency/Power Measurement.


Spectrum Monitor for 1 GHz signal

Measurement Setup

  1. Press Meas/View > Spectrum Monitor to select the Spectrum Monitor window. Press Window Max to maximize the window.

  2. Press Trigger > Trigger to Spectrum Monitor > Continuous to start measurements. Press Trigger > Source > Internal.

  3. Press Attn > Input Attenuator > 10 dB, then press Setup > Reference Level > 5dBm to specify maximum input level of the measurement signal that is input from the RF IN port.

  4. Press Start/Center (Stop/Span), Carrier To > Frequency Band > 250MHz – 7GHz, and press Return > Span > 2kHz, then Carrier To > Carrier -> Center.

  5. Press Avg/BW > RBW > 6.1Hz.

  6. Press Scale > Auto Scale.

  7. Press Marker Search > Peak > Search Peak.

The marker value is displayed in the upper part of the trace screen.

Analysis

Harmonics measurement

  1. Press Start/Center > Carrier To > Carrier x2 -> Centre. The center frequency of the sweep range is set at the second harmonic.

  2. Press Marker Search > Peak > Search Peak.

  3. Press Start/Center > Carrier To > Harmonic # > 4, then press Carrier x # -> Center. The center frequency of the sweep range is set at the fourth harmonic.

  4. Press Marker Search > Peak > Search Peak.

More Information

For more information about Spectrum Monitor Measurement, see Spectrum Monitor Measurement.


AM Noise Measurement for 1GHz signal

Measurement Setup

  1. Press Meas/View > AM Noise to select the AM noise measurement window. Press Window Max to maximize the window.

  2. Press Trigger > Trigger to AM Noise > Continuous to start measurements.

    Press     Trigger > Source > Internal.

  3. Press Setup > Auto Setting.

  4. Press Start/Center (Stop/Span), set Start > 1Hz and Stop > 40MHz.

  5. Press Avg/BW > Avg factor 5 > Averaging > ON to reduce fluctuation, then press Averaging Restart.

  6. Press Scale > Auto Scale.

  7. Press Marker > Marker1 > 1 > M/u to check phase noise at 1MHz offset.

    The marker value is displayed in the upper part of the trace screen.

Analysis

Correlation

If the 1GHz signal is a clean signal, the correlation function can be used for noise floor reduction.

  1. Press Avg/BW > Correlation > 1, then set Avg factor > 5 and turn Averaging > ON, then press Averaging Restart.

  2. In the bottom right part of screen, Averaging Status n/m is displayed. When the average status becomes “5/5”, press Trigger > Hold.

  3. Press Setup > Auto Setting.

  4. Press Trace/View > Data -> Mem, then press Display Trace > Data & Mem

  5. Press Avg/BW > Correlation > 10, then Averaging Restart.

    The measurement result (Data trace) is improved about 5dB.

  • Generally, the measurement for the AM noise of a VCO requires considerable time because the AM noise level of a VCO is small as compared with its phase noise level.

Spurious

1. Press Trace/View > Spurious > Power (dBc). Then set Spur Sensibility > 1 and Minimum Spur Level > -115 dBc.

2. Press Scale > Auto Scale.

3. Spurious are displayed by high light. Then press Spurious List, you can view response values for the spurious in a text file.

More Information

For more information about AM Noise Measurement, see AM Noise Measurement.


Baseband Noise Measurement for DC control source for VCO

Measurement Setup

  1. Press Meas/View > Baseband Noise to select the Baseband noise measurement window. Press Window Max to maximize the window.

  2. Press Trigger > Trigger to Baseband Noise > Continuous to start measurements.

  3. Press Trigger > Source > Internal.

  4. Connect the DC source (for a VCO Vtune) to the “BASEBAND IN” port with a BNC cable. Set the DC voltage to a control voltage value (12 V etc.) for the VCO.

  5. Press Start/Center (Stop/Span), set Start > 1Hz and Stop > 40MHz.

  6. Press Setup > IF Gain > 50 dB. When "IF A/D overflow" is displayed, decrease 10 dB from the current IF Gain setting (Press Setup > IF Gain).

  7. Press Avg/BW > Avg factor > 5, and Averaging > ON to reduce fluctuation, then press Averaging Restart.

  8. Press Scale > Auto Scale.

Analysis

Phase Noise vs Baseband Noise

  1. Connect the DC source to the VCO (Vtune) and connect the output of the VCO to the “RF IN” port of the E5052B.

  2. Press Meas/View > Show Window > Layout Window > Two Windows and then press the following screen layout.

  3. Press Meas/View > Show Window > Spectrum Monitor to toggle OFF, and press Freq & Power to toggle OFF, Transient to toggle OFF, AM Noise to toggle OFF.

  4. Press Window Max to display two measurement windows (Phase Noise and Baseband Noise) on the screen.

  5. Press Meas/View > Phase Noise to select the phase noise measurement window.

  6. Press Trigger > Trigger to Phase Noise > Continuous to start measurements.

  7. Press Trigger > Source > Internal.

  8. Press Setup > Capture Range > Normal for PLL method.

  9. Press Setup > Auto Setting. When "IF A/D overflow" is displayed, please try to decrease 10 dB from the current IF Gain setting (Press Setup > IF Gain).

  10. Press Start/Center (Stop/Span), set Start > 100Hz and Stop > 40MHz.

  11. Press Avg/BW > Avg factor > 5, and Averaging > ON to reduce fluctuation, then press Averaging Restart

  12. Press Scale > Auto Scale

The phase noise of the VCO is highly affected by the noise itself from the DC source.

When a commercial DC source is used, the phase noise of the VCO controlled by the commercial DC source may not be properly measured.

When the DC control of the E5052B is used for the VCO, it enables the very accurate phase noise measurement for the VCO.

The data traces for the phase noise measurement window and baseband noise measurement window are the measurement results when the built-in DC control of the E5052B is used.

More Information

For more information about Baseband Noise Measurement, see Baseband Noise Measurement.


Transient Measurement for a PLL synthesizer (1.75 GHz)

It assumes that this PLL synthesizer has an output signal for frequency change trigger. It can be used for the E5052B as a trigger source (external). Also, it is assumed that the delay of the output for frequency change trigger to the output from the synthesizer’s RF port is slight.

Measurement Setup

  1. Press Meas/View > Transient to select the transient measurement window.

  2. Press Window Max to maximize the window.

  3. Press Setup > Wide Freq Range > 800 M – 2.4 GHz, then press Target requency > 1.75GHz and Freq Range > 1.6MHz.

  4. Press Trigger > Trigger to Transient > Continuous to start measurements. Then press Source > External.

  5. Change the output frequency of the PLL synthesizer from 1749.8 MHz to 1750.0 MHz.

  6. Press Scale > Auto Scale All.

  7. Confirm the display is updated when the output frequency is 1.75 GHz.

Analysis

Frequency Transient (Optimize the E5052B display)

  1. Press Trace Next key to select the WB Freq trace (upper-left trace), then press Start/Center > Wide Span > 100 ms.

  2. Press Trace Next key to select the NB Freq trace (upper-right trace), then press Start/Center > Narrow Span > 100 us and Narrow Time Offset > 0 s. (Span Setting is changed to 100.096 us)

  3. Change the output frequency of the PLL synthesizer to 1749.8 MHz, then change to 1750.0 MHz.

  4. Press Scale > Auto Scale All. Confirm the NB Freq trace (frequency transient).

  5. Press Trace Next key to select the NB Freq trace (upper-right trace), then press Marker and move Marker 1 to the right end of the frequency trace.

  6. Press Couple to turn couple maker ON.

  7. Press Marker -> > Marker -> Target Freq > Marker -> Phase Reference, then change the output frequency of the PLL synthesizer to 1749.8 MHz, then to 1750.0 MHz again. Phase trace is calculated from the phase reference frequency on the frequency trace.

  8. Confirm that the phase is going to stable (nearly 0 degree) on the NB phase trace.

More Information

For more information about Transient Measurement, See Transient Measurement.


Overall Instrument Operation

  • Block_Diagram_of_the_E5052B

  • PLL Method for Phase Noise Measurement

  • Heterodyne (digital) Discriminator Method for Phase Noise Measurement and AM Noise Measurement

  • Cross-Correlation Technique

  • Transient Measurement

Block Diagram of the E5052B

The E5052B consists of a DC source, a frequency counter, a power meter, two receivers (down converters and A/D & FFT), two local synthesizers and a digital control (CPU) section as shown in the following figure.

E5052B simplified block diagram

The DC source generates a dc power voltage and a dc control voltage for the DUT. The DC source section also monitors the current of the DC Power output.

The test signal from the DUT flows into the RF IN port. The signal is divided into two signals. One goes to the meter section. The other goes to the receivers section. The power meter section measures the RF input power level for RF power measurement.

The receiver section has two receivers. Each receiver converts the incoming signal into IF signals (or baseband signals) using the local synthesizer, and then digital data for each measurement function. The digital output data of the receiver section is transferred to the digital control section. One receiver also transmits the incoming signal to the frequency counter section. The frequency counter section measures the frequency of the signal.

The digital section controls the analog measurement section as well as calculates the measurement items (parameters) of the DUT from the digital output data of the receivers. The calculated results are transferred to the display section and visualized by means of the color LCD.

PLL Method for Phase Noise Measurement

The E5052B has two phase noise measurement modes, a normal capture range and a wide capture range, and a cross correlation technique with two independent measurement channels is available for both modes.

The normal capture range takes a PLL (direct homodyne) method show in the following figure.

The PLL (direct homodyne) method for PN (Normal)

With a PLL method, local oscillator’s frequency (fLO) is always same as a frequency (fRF) of signal source under test and the phase difference between the two signals (fLO and fRF) is kept at 90 degree (pi/2 radian) by Digital PLL (Phase Locked Loop) operation. Then, an output of LPF is baseband signals only, there is no main (large) signal. The baseband signals converted into digital data are calculated measured by FFT. For very quiet signal sources, exceptionally stable local reference oscillators, the normal capture range mode can satisfy any requirements of ultra-low phase noise or jitter measurement.

Heterodyne (digital) Discriminator Method for Phase Noise Measurement and AM Noise Measurement

The E5052B has two phase noise measurement modes, a normal capture range and a wide capture range, and a cross correlation technique with two independent measurement channels is available for both modes.

The wide capture range takes a heterodyne (digital) discriminator method shown in the following figure.

The Heterodyne (digital) discriminator method for PN (wide) and AM noise measurements

The RF signal of Signal source under test is converted into an IF signal (fIF), then the IF signal leveled properly by the scaling amplifier goes to ADC. The frequency of the IF signal is kept by a FLL (Frequency Locked Loop). In Phase Noise (wide) of purple zoom, Digital Signal Processing separates the captured IF signal by ADC to V1(t) (signal input to mixer directly) and V2(t) (signal delayed in tau). And set delay time (tau) to get the phase difference at 90 degree between V1(t) and V2(t) into the mixer. The delay time is set at 1/(4fIF). After the LPF, digital signal processing provides the low frequency baseband components of the product of V1(t) and V2(t). The baseband components are calculated by the FFT. For noisy signal sources or drifty oscillators, the wide capture range mode provides reasonable measurement uncertainty and dynamic range in case the normal capture range mode does not work well.

The heterodyne (digital) discriminator method also provides very easy and accurate AM noise measurements (by setting the delay time zero) with the same setup and RF port connection as phase noise measurement.

Cross-Correlation Technique

The cross correlation technique for noise floor reduction is used widely in the E5052B. The basic theory of operation for cross-correlation calculation is traditionally well-known as shown in the following figure. The E5052B implemented this principle by a highly sophisticated manner and enabled its real time operation on display.

Two-channel cross correlation technique

The cross correlation technique uses two signal-channel measurement systems. Only the coherent noise present in both channels will average to a finite value. The time average of the incoherent noise will approach zero as M-1/2, where M is the number of average. The measured phase noise of the system is represented as the equation shown in the figure.

The diagram in the effect of Cross Correlation is show in the following figure.

Cross-Correlation effect

The expression (n0+n1) means the noise (source noise n0 and internal system noise n1) of the channel 1. The expression (n0+n2) means the noise　(source noise n0 and internal system noise n2) of the channel 2. The mark "*" means complex conjugate and all noise parameters are random complex variables. The red arrows show noise phasors of the source noise. The blue arrows show internal noise phasors and assuming n1 and n2 are uncorrelated. After summing up all noise phasors, the internal noise phasors cancel out each other and only the source noise phasors remain.

Transient Measurement

The E5052B has two independent measurement channels for its transient measurement as shown in the following figure. Each channel takes a different method for measuring a signal’s frequency simultaneously.

Wide-Narrow Band Mode

Direct mode (wide band) contains a frequency divider to translate the frequency of signal source under test into a lower frequency, and then it directs to ADC for signal sampling.

In Heterodyne mode (narrow band), the RF signal of the signal source under test is converted into an IF signal and then the IF signal goes to ADC. Both wide band and narrow band modes operate completely in parallel, the E5052B enables observation of the entire picture of frequency changes and detailed transient response in frequency/phase/power at the same time.

Narrow-Narrow Band Mode

Each channel works in Heterodyne mode as shown in the figure above. The frequency range in both channels can be set as identical or differently. Two LOs have the same time base as one is locked to another. Both channels operate completely in parallel.

The figure is an example of 600 MHz frequency jump (It hops from 1 GHz to 1.6 GHz in a few milliseconds) measurement using Narrow-Narrow band mode. (See bellow)

Unlike the Wide-Narrow band mode, detailed transient response at the start as well as the stop frequency can be observed. (See bellow)

Zooming traces for the analysis of detailed transient response at start and stop frequency


Measurement

  • Frequency Power Measurement

  • Phase Noise Measurement

  • Segment Phase Noise Measurement

  • Spectrum Monitor Measurement

  • Transient Measurement

  • Baseband Noise Measurement

  • AM Noise Measurement

  • Common Setting

  • User Measurement


Frequency/Power Measurement

For frequency/power measurements, the E5052B measures the corresponding frequency, power and power supply DC current by sweeping the specified range of the DC control/power given to the DUT.

The E5052B’s frequency/power measurement window has three measurement trace screens: RF power measurement trace, frequency measurement trace, and power supply DC current measurement trace. By using the individual trace screen, you can measure RF power, frequency and power supply DC current corresponding to the DC control/power of the DUT. This section describes the following topics about Frequency/Power Measurement:

  • About Analyzer and Tester mode

  • Setting Trace layout

  • Common settings in RF power, frequency and power supply DC current

  • About DC control voltage delay, DC power delay and point delay

  • Confirming result of Frequency Measurement

  • Confirming result of RF Power Measurement

  • Confirming result of Power Supply DC Current Measurement


About Analyzer and Tester mode

The frequency/power measurement has two modes: analyzer mode, which analyzes input signals for a specific range swept by DC voltage (DC control voltage or DC power voltage), and tester mode, which performs measurement on the spot without DC voltage sweeping.

In the analyzer mode, an individual change in frequency, RF power or power supply DC current of the input signals for a specified range of DC voltage will be shown in a graph and analyzed by using the marker or analysis function.

In the tester mode, the frequency, RF power or power supply DC current of the input signals will be measured on the spot as if each was measured with dedicated single power meter, frequency counter, and DC current meter. You can confirm each numeric value by viewing the screen, however in this mode you cannot observe an exact change of the signals in response to DC voltage sweeping.

Analyzer mode is not available when option 011 is installed.

Selecting Analyzer Mode or Tester Mode

  1. You can select either analyzer mode or tester mode by pressing the Trigger > Mode key. Analyzer mode is selected by default.

    The basic settings and their examples described in the following sections assume signal analysis using the analyzer mode.

  2. When option 011 is installed, switching analyzer mode and tester mode is not available; only tester mode is supported.

Example of Tester Mode Screen


Setting Trace layout

In frequency/power measurement mode, four traces will be displayed at the same time. The four traces consist of two traces in frequency measurement (the unit is Hz and Hz/V), a trace in RF power measurement (the unit is dBm) and a trace in power supply DC current measurement (the unit is mA).

You can select the trace layout from three- or four-division mode. In each trace layout, data will be assigned as Trace Layout. In the four-division mode, the upper-left trace is frequency in Hz unit and the lower-right trace is frequency in Hz/V unit. Refer to Setting Frequency Format and Sensitivity Aperture for selecting the unit (data format).

  1. Press Display > Allocate key.

  2. Press the desired softkey to select the trace layout.

Trace A series of data points containing frequency and response information. The series of data points is often called an array. The number of traces is specific to the instrument. Layout


Common settings in RF power, frequency and power supply DC current measurement

The following section describes the common setting steps to measure RF power, frequency and power supply DC current corresponding to the DUT’s DC control/power by using the E5052B’s frequency/power measurement window.

Selecting Measurement Window

  1. Press Meas/View > Freq & Power to select the frequency/power measurement window.

  2. You can maximize the frequency/power measurement window by pressing Window Max key while the window is selected. You can bring up the original size when you press the Window Max key once again.

    You can select the next trace by pressing the Trace Next key and maximize the target trace by pressing the Trace Max key. The frequency/power window will come back when you press the Trace Max key once again.

Setting Trigger

Setting Averaging Trigger

Setting Attenuator

Procedure to Select Carrier Frequency Band

  1. Press Setup > Frequency Band

  2. For analyzer mode, select a frequency band that contains the frequency of the sweep start position.

  2. Select a frequency band that contains the carrier signal to be measured from the softkey menu list. The ranges of the frequency bands are shown below.

  3. Selectable frequency bands differ depending on whether the E5053A Microwave Downconverter is used and whether the RF input is direct input or downconverter input. For setting of downconverter and external mixer, refer to Setting E5053A Microwave Downconverter

Carrier Frequency Band | Standalone E5052B or Downconverter: OFF | Downconverter: ON & RF Input: E5052B Direct | Downconverter: ON & RF Input: Downconverter and External Mixer Not Used | Downconverter: ON & RF Input: Downconverter and External Mixer ON
10 M - 1.5 MHz | Y | Y | N | Y
250M - 3 GHz | N | Y | N | N
250 M - 7 GHz | Y | N | N | Y
3 G - 10 GHz | N | N | Y | N
9 G - 26.5 GHz | N | N | Y | N

Specifying Nominal Frequency

When the downconverter setting is turned on, the RF input setting is Downconverter, and the external mixer setting is Not Used, enter the nominal value of the carrier frequency to detect the carrier signal.

  1. For analyzer mode, set the frequency of the sweep start position as the nominal frequency.

  1. Press Setup > Nominal Frequency.

  2. Enter The process of inputting information. the value of the nominal frequency in the data entry field displayed in the upper part of the screen.

  3. When using the downconverter RF IN port, the Nominal Frequency setting range is limited to within the carrier frequency band, and the Nominal Frequency should be set to the actual input signal frequency.

    In the tester mode, use the Carrier Search function to set the nominal frequency so as to the input signal frequency. See also Executing Carrier Search Function.

    In the analyzer mode, the Nominal Frequency should be set to the initial frequency at the starting voltage of the built-in DC source (either control voltage or power voltage).

Specifying Maximum Input Level

When the downconverter is turned on, the RF input is set to Downconverter, and the external mixer is set to Not Used, set the maximum input level value of the measurement signal supplied from the input port of the E5053A Microwave Downconverter.

The maximum input level is set to determine the IF gain of the E5053A Microwave Downconverter.

  1. Press Setup > Max Input Level.

  2. Enter the value of the maximum input level in the data entry field displayed in the upper part of the screen.

  3. You can set the maximum input level only when the downconverter is turned on, the RF input is set to Downconverter, and the external mixer is set to Not Used.

Specifying Sweep Range

  1. Press Setup > Sweep Parameter.

  2. Selecting from the softkey menu list, you can define a sweep operation to be performed for either DC control or DC power. Select Control Voltage for DC control and Power Voltage for DC power.

  3. Press Start/Center (Stop/Span) > DC Control(Power)Start.

  4. Enter the sweep start value in the data entry field that appears in the upper part of the screen.

  5. Press Start/Center (Stop/Span) > DC Control(Power)Stop.

  6. Enter the sweep stop value in the data entry field that appears in the upper part of the screen.

  7. Otherwise, press Start/Center (Stop/Span) > DC Control(Power)Center to enter the sweep center value in the data entry field that appears in the upper part of the screen and then press DC Control(Power) Span to enter the sweep span value in the same way.

    The same softkey will be displayed by pressing either Start/Center or Stop/Span. You can make the same settings by using either of the two keys.

Specifying Frequency Resolution, Number of Measurement Points and Delay

  1. Press Setup > Freq Resolution.

  2. Select the appropriate frequency resolution from the softkey menu list. The available frequency resolutions are as follows:

Frequency Resolution

10 Hz

1 kHz

64 kHz

  3. Press Setup > Points.

  4. Enter the number of measurement points in the data entry field that appears in the upper part of the screen.

  5. Press Setup > Points Delay.

  6. Enter the waiting time between each measurement in the data entry field that appears in the upper part of the screen.

About DC voltage setting and protection

You can specify the DC power/control that will be applied to the DUT. Refer to Setting DC power/DC control and protection for the setting procedure.

About Auto Frequency Control Function

If this function is turned on, the E5052B will adjust the control voltage automatically so that the output signal frequency from the DUT may keep the specified value. For the setting procedure, refer to the Auto Frequency Control Function.

Setting Average Function


About DC control voltage delay, DC power delay and point delay

This section describes the point delay for DC control delay, DC power delay, and common settings of E5052B. For more information about RF Power measurement settings, see Confirming Result of RF Power Measurement.

About delay while DC control is selected for sweep parameter

The following section describes how to set up DC control delay and point delay. For better understanding of each delay, "a," "b," "c" and "e" and the measurement point “d” used in the description below, refer to Delay While DC Control Selected for Sweep Parameter.

  • "a" signifies the delay until measurement of the first point starts in the single sweep, or the delay until measurement of the first point of the first sweep in the continuous sweep. This delay is equal to the addition of the setting times of DC control delay and point delay.

  • "b" signifies the individual delay between respective measurement points. The setting times of point delay is set as this delay.

  • "c" signifies the time that elapses when the setting of the voltage (DC Control Stop) at the last measurement point (“d”) of the sweep is different from the setting value of DC Control Voltage. This time is required for generating the DC Control Voltage. It is not generated when the voltage setting of the DC Control Stop (Start/Center (Stop/Span) > DC Control Stop) and that of the DC Control Voltage (DC Control > DC Control Voltage) is same.

  • "e" is signifies the time that elapses to set the voltage back to the starting voltage for next sweep in the continuous sweep. This time is required for setting of the DC Power Delay is completed.

Delay While DC Control Selected for Sweep The ability of the source to provide a specified signal level over a specified frequency range in a specified time period. Also see Sweep Mode and Sweep Type. In data processing mode, a series of consecutive data point measurements, taken over a sequence of stimulus values. Parameter

  • If the output voltage falls 0 V or exceeds 20 V, the setting time of DC control delay will be set as the delay, after the voltage is output.

About Delay While DC Power is Selected for Sweep Parameter

The following section describes how to set up DC power delay and point delay. For better understanding of each delay, "a," "b," "c" and "e" and the measurement point "d" used in the description, refer to Delay While DC power is Selected for Sweep Parameter.

  • "a" signifies the delay until measurement of the first point starts in the single sweep, or the delay until measurement of the first point of the first sweep in the continuous sweep. This delay is equal to the addition of the setting times of DC control delay and point delay.

  • "b" signifies the individual delay between respective measurement points. The setting times of point delay is set as this delay.

  • "c" signifies the time that elapses when the setting of the voltage (DC Control Stop) at the last measurement point ("d") of the sweep is different from the setting value of DC Control Voltage. This time is required for generating the DC Control Voltage. It is not generated when the voltage setting of the DC Control Stop (Start/Center (Stop/Span) - DC Control Stop) and that of the DC Control Voltage (DC Control > DC Control Voltage) is same.

  • "e" signifies the time that elapses to set the voltage back to the starting voltage for next sweep in the continuous sweep. This time is required for setting of the DC Power Delay is completed.

Delay While DC power is Selected for Sweep Parameter

About Delay in Tester Mode

In the tester mode, measurement is made for only one measurement point. The delay for the measurement point can be set by using a point delay setting.

Delay in Tester Mode


Confiriming Result of Power Supply DC Current Measurement

Confirming Result of Power Supply DC Current Measurement

The following section describes the procedure used to confirm the measurement results of the power supply DC current corresponding to the DUT’s DC control/power by using the E5052B’s frequency/power measurement window.

Selecting Trace

Press the Trace Next key to select the power supply DC current measurement trace.

  • If you want to maximize the screen, press the Trace Max key.

    To improve readability and reduce search time, few sections of this topic are combined with similar sections from other measurements in Measurement > Common Settings. Links to these new sections are provided in this topic.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

Setting X-Axis Scale (X-Axis band marker setting)

Setting Attenuator

Executing Carrier Search Function

The carrier search function is to detect the input signal frequency with the selected carrier frequency band for the downconverter RF IN (i.e. 3 to 10 GHz or 9 to 26.5 GHz) and reflect the result to the nominal frequency. Refer to Executing Carrier Search Function for the setting procedure.

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (power supply DC current characteristics)

  • By taking into account the transient of DC control/power prior to the sweep, the instrument will start the sweep after the time specified in DC Control > DC Control Delay or DC Power > DC Power Delay has elapsed. This delay time is not included in the sweep time, and it only applies to the first measurement point.


Confirming Result of Frequency Measurement

The following section describes the procedure used to confirm the measurement results of frequencies corresponding to the DUT's DC control/power by using the E5052B’s frequency/power measurement window.

Selecting Trace

  1. Press the Trace Next key to select the frequency measurement trace.

  2. If you want to maximize the screen, press the Trace Max key.

    To improve readability and reduce search time, few sections of this topic are combined with similar sections from other measurements in Measurement > Common Settings. Links to these new sections are provided in this topic.

Setting Frequency Format and Sensitivity Aperture

You can select the unit (frequency format) used in the frequency trace screen and set the sensitivity aperture.

  1. Press Format > Frequency Format.

  2. Select an appropriate frequency format from the softkey menu list. The available options are as follows.

Format List

Softkey | Overview
Hz | Displays the measurement frequency data.
Hz/V | Displays the data obtained from measurement frequency differentiated by the DC control voltage.
Δ Hz | Displays the difference subtracted from the reference frequency.
% | Displays the difference subtracted from the reference frequency in percent.
ppm | Displays the difference subtracted from the reference frequency in ppm.

  3. Press Format > Sensitivity Aperture. (This setting will be used when "Hz/V" is selected for the frequency format.)

  4. Enter the sensitivity aperture value in the data entry field that appears in the upper part of the screen. The unit is %.

  5. Press Format > Frequency Reference. (This setting will be used when either "Δ Hz", "%", "ppm" is selected for the frequency format.)

  6. Enter the frequency reference value in the data entry field that appears in the upper part of the screen. The unit is Hz.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

X-Axis Scale Setting Procedure (X-Axis band marker setting)

Setting Attenuator

Executing Carrier Search Function

The carrier search function is to detect the input signal frequency with the selected carrier frequency band for the downconverter RF IN (i.e. 3 to 10 GHz or 9 to 26.5 GHz) and reflect the result to the nominal frequency.

  1. Press Setup.

  2. Press Carrier Search to execute the carrier signal search.

  3. The detected signal frequency is reflected on the nominal frequency.

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (frequency characteristics)

  • By taking into account the transient of DC control/power prior to the sweep, the instrument will start the sweep after the time specified in DC Control > DC Control Delay or DC Power > DC Power Delay has elapsed. This delay time is not included in the sweep time, and it only applies to the first measurement point.


Confirming Result of RF Power Measurement

The following section describes the procedure to confirm the measurement results of RF power corresponding to the DUT’s DC control/power by using the E5052B’s frequency/power measurement window.

  • Measurement display indicates a measured value obtained with the power meter if the downconverter is turned off, otherwise a measurement result obtained through the FFT.

    To improve readability and reduce search time, few sections of this topic are combined with similar sections from other measurements in Measurement > Common Settings. Links to these new sections are provided in this topic.

Selecting Trace

  1. Press Trace Next key to select the RF power measurement trace.

  2. If you want to maximize the screen, press the Trace Max key.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

Setting X-Axis Scale (X-Axis band marker setting)

Setting Attenuator

Executing Carrier Search Function

The carrier search function is to detect the input signal frequency with the selected carrier frequency band for the downconverter RF IN (i.e. 3 to 10 GHz or 9 to 26.5 GHz) and reflect the result to the nominal frequency. Refer to Executing Carrier Search Function for the setting procedure.

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (RF power characteristics)

  • By taking into account the transient of DC control/power prior to the sweep, the instrument will start the sweep after the time specified in DC Control > DC Control Delay or DC Power > DC Power Delay has elapsed. This delay time is not included in the sweep time, and it only applies to the first measurement point.


Phase Noise Measurement in Phase Noise Measurement Mode

Phase Noise Measurement

This function locks on the DUT’s output signal and measures the phase of the signal in the specified offset frequency range.

The following section describes the basic measurement method of the DUT’s phase noise corresponding to the offset frequency from the carrier by using the E5052B’s phase noise measurement window. This section describes the following topics about Phase Noise Measurement:

  • Setting Phase Noise Measurement

  • Confirming Result of Phase Noise Measurement


Setting Phase Noise Measurement

Follow the steps below to measure the phase noise by using the E5052B’s phase noise measurement window.

Selecting Measurement Window

  1. Press Meas/View > Phase Noise to select the phase noise measurement window.

  2. You can maximize the phase noise measurement window by pressing the Window Max key while the window is selected. You can return to the original size when you press the Window Max key once again.

Selecting Capture Range

  1. Press Setup > Capture Range > Normal for PLL method.

  2. Press Setup > Capture Range > Wide for Discriminator method.

If the DUT response is drifting or noisy, the E5052B cannot lock the signal using PLL method. In such cases, use Discriminator method technique.

The drift should be typically smaller than both of the following limitations:

  • Normal: 40 kHz/20 msec, 0.4% of carrier frequency

  • Wide: 2 MHz/sec, 0.4% of carrier frequency

  2. PLL and Discriminator are the two types of methods available in E5052B. PLL is the default capture range setting. When Capture Range is Wide, it is possible to measure from 250MHz. In order to change the frequency range, it is recommended to change the capture range to PLL method.

    For more details on PLL method and discriminator method, refer to Overall Instrument Operation.

Setting Trigger

Setting Averaging Trigger

Switch Reference Signal

The switch reference signal option is available in both phase noise measurement and segment phase noise measurement that enables you to select as channel 1 (CH1) and channel 2 (CH2). Normally in both phase noise measurement and segment phase noise measurement, CH1 is set to internal, and CH2 is set to external and then reference signal provided from CH2 is distributed to CH1 internally. For other measurement modes, CH1 is set to internal, and CH2 is set to external.

Follow the steps below to switch reference signal:

  1. Press Meas/View > Phase Noise

  2. Press Setup > Reference Oscillator > Bandwidth > Narrow | Wide

  3. The selection of Narrow/Wide is for the Bandwidth of Reference Oscillator of PLL.

  3. Press Setup > Ref. Osc.1 Source > Internal | External

  4. Press Setup > Ref. Osc.2 Source > Internal | External

  5. When reference source is Internal, Internal Oven Controlled Crystal Oscillator signal is used as reference signal.

    External input signal is used as reference when the source is External. If E5052B cannot recognize the External input signal, it will automatically select Internal signal as the reference source.

Setting Attenuator

Selecting Carrier Frequency Band

  1. Press Setup > Frequency Band.

  2. Select the appropriate frequency band that contains the target carrier signal from the softkey menu list. The range of each frequency band is listed in the following table.

  • Selectable frequency bands differ depending on whether the E5053A Microwave Downconverter is used and whether the RF input is direct input or Downconverter input. For setting of downconverter and external mixer, refer to Setting E5053A Microwave Downconverter.

    Carrier Freq.
    Band

    Standalone E5052B
    or
    Downconverter: OFF

    Downconverter: ON
    &
    RF Input: E5052B Direct

    Downconverter: ON
    &
    RF Input: Downconverter and External Mixer Not Used

    Downconverter: ON
    &
    RF Input: Downconverter and External Mixer ON

    10M to 41MHz

    Y

    Y

    N

    Y

    39M to 101MHz

    Y

    Y

    N

    Y

    99M to 1.5GHz

    Y

    Y

    N

    Y

    250M to 3GHz

    N

    Y

    N

    N

    250M to 7GHz

    Y

    N

    N

    Y

    3G to 10GHz

    N

    N

    Y

    N

    9G to 26.5GHz

    N

    N

    Y

    N

Setting IF Gain

"IF over flow" error may be displayed when phase noise is distorted. On the other hand, internal noise level of the instrument may be significant in the measurement display when the DUT has a low-noise characteristics. In this case, follow the steps below to adjust the IF Gain value.

  1. Press Setup > IF Gain.

  2. Enter the IF Gain value in the data entry field that appears in the upper part of the screen.

    You can select the value from the options: 0 dB, 10 dB, 20 dB, 30 dB, 40 dB or 50 dB.

  • The E5052B automatically set PLL BW depending on both the carrier frequency and IF Gain when selecting "Normal" in the capture range. Refer to the table below for the relationship.

IF Gain and PLL BW

 | IF Gain is set to either 0 or 10 dB | IF Gain is set to either 20, 30, 40, or 50 dB
Carrier frequency is less than or equal to 100 MHz | PLL BW = 1 kHz | PLL BW = 1 kHz
Carrier frequency is greater than 100 MHz | PLL BW = 5 kHz | PLL BW = 350 Hz

  • When either “Phase lock loop unlocked” or "IF A/D overflow" error message is displayed, choose an appropriate IF Gain value as indicated in the table below.

IF Gain selection table

DUT type | IF Gain
Frequency drifting sources (Free-run VCO, etc.) | 0, 10 dB
Frequency locked sources (PLL Synthesizer, etc.) | 20, 30, 40, 50 dB

  • With the Option 011 configured, available IF Gain options are 0 dB, 10 dB, 20dB and 30 dB.

  • If the IF signal is not at appropriate value a “drop out” may occur as it will not be able to detect the phase noise of the DUT at the ADC resulting in strange measurement as shown in the figure below.

    In such case, it is recommended to increase the value of IF gain (default value of 20dB) as it is important to correctly measure the phase noise at close in offset.

Auto Settings in Attenuator, Carrier Frequency Band and IF Gain

From firmware rev A.3.10, Frequency band, Input Attenuator and IF Gain can be set to optimum value according to input signal through an automatic setting.

  • Enables when you selected Trigger to Phase Noise.

  1. Press Setup > Auto Setting.

  2. Carrier frequency band, Attenuator and IF Gain should be set to optimum value according to input signal.

Auto setting Parameter at each measurement status as follows.

Measurement status (PN/Normal(PLL)) | Freq Band | Attn | IF Gain
Downconverter=Off | Y | Y | Y
Downconverter=On, RF Input=E5052B Direct | Y | Y | Y
Downconverter=On, RF Input=Downconverter, Ext.Mixer=Off | User set | 10dB | Y
Downconverter=On, RF Input=DownConverter, Ext.Mixer=On | N | N | N

Measurement status (PN/Wide(Discriminator)) | Freq Band | Attn | IF Gain
Downconverter=Off | Band4 | Y | N
Downconverter=On, RF Input=E5052B Direct | Band4 | Y | N
Downconverter=On, RF Input=Downconverter, Ext.Mixer=Off | User set | 10dB | N
Downconverter=On, RF Input=DownConverter, Ext.Mixer=On | N | N | N

  • When one of the following error messages is displayed, please try to set the wide capture mode (Press Setup > Capture Range > Wide).

    "130 Auto setting failed"
    "133 Failed to find IF gain"
    "132 Try wide capture range"

    When "IF A/D overflow" is displayed, please try to decrease 10 dB from the current IF Gain setting (Press Setup > IF Gain).

  • The auto setting function of the E5052B does not change capture range from the normal capture range to wide capture range automatically. When the carrier frequency is less than 250 MHz or the DUT is noisy (or drifty) while the auto setting is being executed, a message "132 Try wide capture range" is displayed.

Specifying Nominal Frequency

Enter the nominal value of the carrier frequency.

  1. Press Setup > Nominal Frequency.

  2. Enter the value of the nominal frequency in the data entry field displayed in the upper part of the screen.

  3. You need to specify nominal frequency only when the downconverter is available.

  4. The carrier search function is to detect the input signal frequency with the selected carrier frequency band for the downconverter RF IN (i.e. 3 to 10 GHz or 9 to 26.5 GHz) and reflect the result to the nominal frequency.

    See also Executing Carrier Search Function.

Optimizing LO Phase Noise Characteristics

In the SSB phase noise measurement of the DUT, LO phase noise characteristics can be selected for optimizing the phase noise measurement accuracy.

  1. Press Setup > LO PhNoise Optimize.

  2. Select LO phase noise characteristics in the softkey menu displayed.

Softkey | Overview
L(f) for > 150 kHz | Lowering LO SSB phase noise at > 150 kHz offset frequency
L(f) for < 150 kHz | Lowering LO SSB phase noise at < 150 kHz offset frequency

  • Refer to the Phase Noise Measurement in the Specifications.

Selecting Measurement Quality

  1. Press Setup > Measurement Quality.

  2. Select the appropriate quality level from the softkey menu list. The available options are Normal and Fast.

  3. To obtain the outline of the measurement data, select “Fast” for the quality level. If you need more precise frequency resolution, select “Normal” for the quality level.

    The fast mode allows you to do faster measurement than that in the normal mode. The fast mode uses 8 times wider RBW than that in the normal mode at all offset frequency set, while the number of measurement points (Relation Table for Measurement Points and Sweep Range), which is determined by the start and stop offset frequency, are the same between two modes. With the fast mode, the ability to distinguish spurious in frequency gets less precise than that in the normal mode. The default is set to normal mode.

Specifying Sweep Range for Offset Frequency

  1. Press Start/Center (Stop/Span) > Start.

  2. Select the sweep start value from the softkey menu list.

    You can select the value from the options: 1 Hz, 10 Hz, 100 Hz or 1 kHz.

  3. Press Stop/Span (Start/Center) > Stop.

  4. Select the sweep stop value from the softkey menu list.

    You can select the value from the options: 100 kHz, 1 MHz, 5 MHz, 10 MHz, 20 MHz, 40 MHz or 100MHz.

  5. For PLL Measurement method only the offset frequency is expanded to 100MHz.

    Sweep stop values that are selectable differ depending on the selection of the carrier frequency band.

      • For 10 M - 41 MHz

        100 kHz, 1 MHz, 5 MHz

      • For 39 M -101 MHz

        100 kHz, 1 MHz, 5 MHz, 10 MHz, 20 MHz

      • For 99M - 1.5GHz

100 kHz, 1MHz, 5MHz, 10MHz, 20MHz, 40MHz

      • For frequency bands other than above

        100 kHz, 1 MHz, 5 MHz, 10 MHz, 20 MHz, 40 MHz, 100MHz

  • The number of measurement points varies depending on the setting value for the sweep range.

Relation Table for Measurement Points and Sweep Range

Start/Stop | 100 kHz | 1 MHz | 5 MHz | 10 MHz | 20 MHz | 40 MHz | 100 MHz
1 Hz | 646 | 775 | 865 | 904 | 943 | 982 | 1033
10 Hz | 517 | 646 | 736 | 775 | 814 | 853 | 904
100 Hz | 388 | 517 | 607 | 646 | 685 | 724 | 775
1 kHz | 259 | 388 | 478 | 517 | 556 | 595 | 646

  • For phase noise measurement, you cannot use the center value or span value for log sweep.

In the phase noise measurement for log sweep, the number of correlation pre-defined depends on the start offset frequency. For example, when the start offset frequency is set to 1 Hz, the correlation of 128000 times is executed in offset frequency of 10MHz or more. The specification of the phase noise sensitivity in the datasheet is when the start offset frequency is 1 Hz. Refer to Tables as follows to confirm the effect of the start offset frequency on the phase noise sensitivity.

Start offset frequency : 1 Hz

Offset Frequency Range [Hz] | 1 to 47.7 | 47.7 to 190.7 | 190.7 to 1.53k | 1.53k to 12.21k | 12.21k to 97.66k | 97.66k to 781.25k | 781.25k to 6.25M | 6.25M to 100M
Number of Correlation | 1 | 4 | 32 | 256 | 2048 | 16384 | 32000 | 128000
Improvement of sensitivity [dB] | 0 | 3.0 | 7.5 | 12.0 | 16.6 | 21.1 | 22.5 | 25.5

Start offset frequency : 10 Hz

Offset Frequency Range [Hz] | 10 to 190.7 | 190.7 to 1.5k | 1.5k to 12.21k | 12.21k to 97.66k | 97.66k to 781.25k | 781.25k to 6.25M | 6.25M to 100M
Number of Correlation | 1 | 8 | 64 | 512 | 4096 | 8000 | 32000
Improvement of sensitivity [dB] | 0 | 4.5 | 9.0 | 13.5 | 18.1 | 19.5 | 22.5

Start offset frequency : 100 Hz

Offset Frequency Range [Hz] | 100 to 1.5k | 1.5k to 12.21k | 12.21k to 97.66k | 97.66k to 781.25k | 781.25k to 6.25M | 6.25M to 100M
Number of Correlation | 1 | 8 | 64 | 512 | 1000 | 4000
Improvement of sensitivity [dB] | 0 | 4.5 | 9.0 | 13.5 | 15.0 | 18.0

Start offset frequency : 1 kHz

Offset Frequency Range [Hz] | 1k to 12.21k | 12.21k to 97.66k | 97.66k to 781.25k | 781.25k to 6.25M | 6.25M to 100M
Number of Correlation | 1 | 8 | 64 | 125 | 500
Improvement of sensitivity [dB] | 0 | 4.5 | 9.0 | 10.5 | 13.5

Setting Average Function and Correlation Number

About DC Voltage Setting and Protection

You can specify DC power/control that is applied to DUT. Refer to Setting DC power/DC control and protection for the setting procedure.

About Auto Frequency Control Function

If this function is turned on, the E5052B will adjust the control voltage automatically so that the output signal frequency from the DUT may keep the specified value. For the setting procedure, refer to the Auto Frequency Control Function.


Confirming Result of Phase Noise Measurement

Follow the steps below to confirm the results of the DUT’s phase noise measurement by using the E5052B’s phase noise measurement window.

  • To improve readability and reduce search time, few sections of this topic are combined with similar sections from other measurements in Measurement > Common Settings. Links to these new sections are provided in this topic.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

Setting X-Axis Scale (X-Axis band marker setting)

Setting IF gain

Setting Attenuator

Setting Format

Format options are not available for Phase Noise measurement.

Executing Carrier Search Function

When the downconverter is turned on, the RF input is set to Downconverter, and the external mixer is set to Not Used, the function to search for the carrier signal in the specified carrier frequency band and reflect the result to the nominal frequency is available.

  1. Press Setup

  2. Press Carrier Search to execute the carrier signal search.

  3. The detected signal frequency is reflected on the nominal frequency.

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (phase noise - offset frequency characteristics)

  • In this measurement, you cannot specify the sweep time. It will be determined automatically based on the selection of the offset frequency sweep range and the carrier frequency band.

Confirming Integral Phase Noise, Jitter and Residual FM

  1. Specify the noise integration range by using the band marker. For further detail, refer to Searching in Specified Range. You do not have to use the band marker to integrate the entire range.

  2. Press Marker Fctn > Analysis Type.

  3. Press Integral. In the upper right part of the screen, you will see the Integral Phase Noise value [dBc], the RMS Noise value [rad, deg], the RMS Jitter value [sec] and Residual FM value [Hzrms].

  4. Calculate Integral Phase Noise, Jitter and Residual FM, using the specified data by Analysis range.

    Integral Phase Noise returns the value of SSB Integral result. RMS Noise, Jitter and Residual FM returns the value after applying the DSB conversion.

    Value

    Formula

    Integral Phase Noise

    10 × log(integ(10 ^ (L(f) / 10))) [dBc]

    RMS Noise

    sqrt(2 × 10 ^ (Integral Phase Noise / 10)) [rad]

    RMS Jitter

    RMS Noise / (2 × ƒÎ × Carrier frequency) [sec]

    Residual FM

    sqrt(2 × integ(f ^ 2 × 10 ^ (L(f) / 10))) [Hz]

    where, L(f): Phase Noise [dBc/Hz] and integ(x): Integral

    When Power is selected in the Spurious measurement, it is calculated with adding the power of Spurious after integrating except Spurious.

Confirming Spurious

Confirming Allan Variance using with Phase noise measurement value

It is available to calculate the Allan Variance and Jitter using the measured average time and the measured cut-off frequency.

This operation is available to execute with SCPI commands, and it is not supported with the key operation. For more information refer to the following SCPI commands

SCPI.CALCulate.PN(1-1).TRACe(1-1).FUNCtion.AVARiance.DATA

SCPI.CALCulate.PN(1-1).TRACe(1-1).FUNCtion.AVARiance.MEMory

  • The value obtained with E5052B as Sigma is standard deviation, and the Allan Variance as the general definition is the value that is squared this Sigma.


Segment Phase Noise Measurement

This section describes the following topics about Segment Phase Noise Measurement:

  • Setting Segment Phase Noise Measurement

  • Confirming Result of Segment Phase Noise Measurement

  • This measurement is not available when option 011 is installed.


Setting Segment Phase Noise Measurement

Follow the steps below to measure the phase noise by using the E5052B’s segment phase noise measurement window.

Functional Differences Between Phase Noise Measurement and Segment Phase Noise Measurement

The table below describes the functional differences between the phase noise measurement (PN) and segment phase noise measurement (PS). As for functions other than these, it is the same as the phase noise measurement.

Phase Noise Measurement vs. Segment Phase Noise Measurement

Function | Phase Noise Measurement | Segment Phase Noise Measurement
Offset Frequency | Make a Selection | Discretionary
Correlation | Max:10,000 | Max:200,000
Sweep Type | Log | Linear
RBW Setting | Disable | Enable

In the phase noise measurement (PN), the number of correlation pre-defined depends on the start offset frequency. For example, when the start offset frequency is set to 1 Hz, the correlation of 128000 times is executed in offset frequency of 10 MHz or more. The specification of the phase noise sensitivity in the datasheet is when the start offset frequency is 1 Hz. Refer to Tables as follows to confirm the effect of the start offset frequency on the phase noise sensitivity.

Start offset frequency : 1 Hz

Offset Frequency Range [Hz] | 1 to 47.7 | 47.7 to 190.7 | 190.7 to 1.53k | 1.53k to 12.21k | 12.21k to 97.66k | 97.66k to 781.25k | 781.25k to 6.25M | 6.25M to 100M
Number of Correlation | 1 | 4 | 32 | 256 | 2048 | 16384 | 32000 | 128000
Improvement of sensitivity [dB] | 0 | 3.0 | 7.5 | 12.0 | 16.6 | 21.1 | 22.5 | 25.5

Start offset frequency : 10 Hz

Offset Frequency Range [Hz] | 10 to 190.7 | 190.7 to 1.5k | 1.5k to 12.21k | 12.21k to 97.66k | 97.66k to 781.25k | 781.25k to 6.25M | 6.25M to 100M
Number of Correlation | 1 | 8 | 64 | 512 | 4096 | 8000 | 32000
Improvement of sensitivity [dB] | 0 | 4.5 | 9.0 | 13.5 | 18.1 | 19.5 | 22.5

Start offset frequency : 100 Hz

Offset Frequency Range [Hz] | 100 to 1.5k | 1.5k to 12.21k | 12.21k to 97.66k | 97.66k to 781.25k | 781.25k to 6.25M | 6.25M to 100M
Number of Correlation | 1 | 8 | 64 | 512 | 1000 | 4000
Improvement of sensitivity [dB] | 0 | 4.5 | 9.0 | 13.5 | 15.0 | 18.0

Start offset frequency : 1 kHz

Offset Frequency Range [Hz] | 1k to 12.21k | 12.21k to 97.66k | 97.66k to 781.25k | 781.25k to 6.25M | 6.25M to 100M
Number of Correlation | 1 | 8 | 64 | 125 | 500
Improvement of sensitivity [dB] | 0 | 4.5 | 9.0 | 10.5 | 13.5

In the segment phase noise measurement (PS), pre-defined correlation is not set. Therefore, you need to set the number of correlation with considering pre-defined correlation in the regular mode to obtain enough sensitivity for your application. For more information regarding the correlation settings, see Setting Average Function.

Relation Among Carrier Frequency Band, RBW and Offset Frequency

The procedure of selecting the carrier frequency band and setting the offset frequency is shown in the figure below:

Procedure to setup offset frequency

The internal operation after setting the carrier frequency band, RBW and offset frequency is shown in the figure below.

1. Select carrier frequency band

  • Changing the offset frequency or RBW does not affect the setting of carrier frequency band.

2. Enter RBW

  • Changing the offset frequency or carrier frequency band does not affect the setting of RBW. The RBW maximum span on the RBW is shown in the table Specifying_Measurement_Resolution_Bandwidth.

3. Enter start of offset frequency

4. Enter stop of offset frequency

5. Enter center of offset frequency

6. Enter span of offset frequency

Setting Measurement Window

  1. Press Meas/View > Show Window > Segment PN to toggle ON the segment phase noise measurement.

  2. Press Meas/View > Segment PN to select the segment phase noise measurement window.

    • You can maximize the segment phase noise measurement window by pressing the Window Max key while the window is selected. You can return to the original size when you press the Window Max key once again.

Selecting Capture Range

  1. Press Setup > Capture Range > Normal for PLL method.

  2. Press Setup > Capture Range > Wide for Discriminator method.

If the DUT response is drifting or noisy, SSA cannot lock the signal using PLL method. In such cases, use Discriminator method technique.

The drift should be typically smaller than both of the following limitations.

  • Normal: 40 kHz/20 msec, 0.4 % of carrier frequency

  • Wide: 2 MHz/sec, 0.4 % of carrier frequency

    2. PLL and Discriminator are the two types of methods available in E5052B. PLL is the default capture range setting. When Capture Range is Wide, it is possible to measure from 250 MHz. In order to change the frequency range, it is recommended to change the capture range to PLL method.

      For more details on PLL method and discriminator method, refer to Overall Instrument Operation.

Setting Trigger

Setting Averaging Trigger

Switch Reference Signal

The switch reference signal option is available in both phase noise measurement and segment phase noise measurement that enables you to select as channel 1 (CH1) and channel 2 (CH2). Normally in both phase noise measurement and segment phase noise measurement, CH1 is set to internal, and CH2 is set to external and then reference signal provided from CH2 is distributed to CH1 internally. For other measurement modes, CH1 is set to internal, and CH2 is set to external.

Follow the steps below to switch reference signal:

  1. Press Meas/View > Segment PN

  2. Press Setup > Reference Oscillator > Bandwidth > Narrow | Wide

    1. The selection of Narrow/Wide is for the Bandwidth of Reference Oscillator of PLL.

  3. Press Setup > Ref. Osc.1 Source > Internal | External

  4. Press Setup > Ref. Osc.2 Source > Internal | External

    • When reference source is Internal, Internal Oven Controlled Crystal Oscillator signal is used as reference signal.

      External input signal is used as reference when the source is External. If E5052B cannot recognize the External input signal, it will automatically select Internal signal as the reference source.

Setting Attenuator

Selecting Carrier Frequency Band

  1. Press Setup > Frequency Band.

  2. Select the appropriate frequency band that contains the target carrier signal from the softkey menu list. The range of each frequency band is listed in the following table.

  • Selectable frequency bands differ depending on whether the E5053A Microwave Downconverter is used and whether the RF input is direct input or Downconverter input. For setting of downconverter and external mixer, refer to Setting E5053A Microwave Downconverter

Carrier Freq. Band | Standalone E5052B or Downconverter: OFF | Downconverter: ON & RF Input: E5052B Direct | Downconverter: ON & RF Input: Downconverter and External Mixer Not Used | Downconverter: ON & RF Input: Downconverter and External Mixer ON
10M to 41MHz | Y | Y | N | Y
39M to 101MHz | Y | Y | N | Y
99M to 1.5GHz | Y | Y | N | Y
250M to 3GHz | N | Y | N | N
250M to 7GHz | Y | N | N | Y
3G to 10GHz | N | N | Y | N
9G to 26.5GHz | N | N | Y | N

Setting IF Gain

"IF over flow" error may be displayed when segment phase noise is distorted. On the other hand, internal noise level of the instrument may be significant in the measurement display when the DUT has a low-noise characteristics. In this case, follow the steps below to adjust the IF Gain value.

  1. Press Setup > IF Gain.

  2. Enter the IF Gain value in the data entry field that appears in the upper part of the screen.

    You can select the value from the options: 0 dB, 10 dB, 20 dB, 30 dB, 40 dB or 50 dB.

  • The E5052B automatically set PLL BW depending on both the carrier frequency and IF Gain when selecting "Normal" in the capture range. Refer to the table below for the relationship.

IF Gain and PLL BW

 | IF Gain is set to either 0 or 10 dB | IF Gain is set to either 20, 30, 40, or 50 dB
Carrier frequency is less than or equal to 100 MHz | PLL BW = 1 kHz | PLL BW = 1 kHz
Carrier frequency is greater than 100 MHz | PLL BW = 5 kHz | PLL BW = 350 Hz

  • When either “Phase lock loop unlocked” or "IF A/D overflow" error message is displayed, choose an appropriate IF Gain value as indicated in the table below.

IF Gain selection table

DUT type | IF Gain
Frequency drifting sources (Free-run VCO, etc.) | 0, 10 dB
Frequency locked sources (PLL Synthesizer, etc.) | 20, 30, 40, 50 dB

Auto Settings in Attenuator, Carrier Frequency and IF Gain

From firmware revision A.3.10, Frequency band, Input Attenuator and IF Gain can be setup to optimum value according to input signal through automatic setting.

  • Enables when you selected Trigger to Segment PN.

  1. Press Setup > Auto Setting.

  2. Carrier frequency band, Attenuator and IF Gain should be set to optimum value according to input signal.

Auto setting Parameter at each measurement status.

Measurement status (PS/Normal(PLL)) | Freq Band | Attn | IF Gain
Downconverter=Off | Y | Y | Y
Downconverter=On, RF Input=E5052B Direct | Y | Y | Y
Downconverter=On, RF Input=Downconverter, Ext.Mixer=Off | User set | 10dB | Y
Downconverter=On, RF Input=DownConverter, Ext.Mixer=On | N | N | N

Measurement status (PS/Wide(Discriminator)) | Freq Band | Attn | IF Gain
Downconverter=Off | Band4 | Y | N
Downconverter=On, RF Input=E5052B Direct | Band4 | Y | N
Downconverter=On, RF Input=Downconverter, Ext.Mixer=Off | User set | 10dB | N
Downconverter=On, RF Input=DownConverter, Ext.Mixer=On | N | N | N

  • When one of the following error messages is displayed, please try to set the wide capture mode (Press Setup > Capture Range > Wide).

    "130 Auto setting failed"
    "133 Failed to find IF gain"
    "132 Try wide capture range"

    When "IF A/D overflow" is displayed, please try to decrease 10 dB from the current IF Gain setting (Press Setup > IF Gain).

  • The auto setting function of the E5052B does not change capture range from the normal capture range to wide capture range automatically. When the carrier frequency is less than 250 MHz or the DUT is noisy (or drifty) while the auto setting is being executed, a message "132 Try wide capture range" is displayed.

Specifying Nominal Frequency

Enter the nominal value of the carrier frequency.

  1. Press Setup > Nominal Frequency.

  2. Enter the value of the nominal frequency in the data entry field displayed in the upper part of the screen.

    • You need to specify nominal frequency only when the downconverter is available.

    • The carrier search function is to detect the input signal frequency with the selected carrier frequency band for the downconverter RF IN (i.e. 3 to 10 GHz or 9 to 26.5 GHz) and reflect the result to the nominal frequency.

      See also Executing Carrier Search Function.

Optimizing LO Phase Noise Characteristics

In the SSB segment phase noise measurement of the DUT, LO phase noise characteristics can be selected for optimizing the segment phase noise measurement accuracy.

  1. Press Setup > LO PhNoise Optimize.

  2. Select LO phase noise characteristics in the softkey menu displayed.

LO Phase Noise Characteristics

Softkey | Overview
L(f) for > 150 kHz | Lowering LO SSB phase noise at > 150 kHz offset frequency
L(f) for < 150 kHz | Lowering LO SSB phase noise at < 150 kHz offset frequency

  • Refer to the Segment Phase Noise Measurement in the Specifications.

Specifying Sweep Range for Offset Frequency

  1. Press Start/Center (Stop/Span) > Start.

  2. Enter the sweep start value in the data entry field that appears in the upper part of the screen.

  3. Press Stop/Span (Start/Center) > Stop.

  4. Enter the sweep stop value in the data entry field that appears in the upper part of the screen.

  • Otherwise, press Start/Center (Stop/Span) > Center to enter the sweep center value in the data entry field that appears in the upper part of the screen and then press Stop/Span (Start/Center) > Span to enter the sweep span value in the same way.

    The same softkey will be displayed by pressing either Start/Center or Stop/Span. You can make the same settings by using either of the two keys.

  • Allowable setting range for the frequency sweep varies depending on whether the E5053A is turned on/off and the RF input is set to 'E5052B Direct'/'Downconverter'.

    Device Configuration

    Carrier Frequency Bands (Hz)

    Possible Setting Range for Start Frequency (Hz)

    Possible Setting Range for Stop Frequency (Hz)

    E5052B is stand-alone, or with downconverter turned off

    10 M to 41 M

    39 M to 101 M

    99 M to 1.5 G

    250 M to 7 G

    1 to 4.999999M

    1 to 19.999999M

    1 to 39.999999M

    1 to 99.999999M

    2 to 5M

    2 to 20M

    2 to 40M

    2 to 100M

    With the downconverter turned on and RF input set to 'E5052B Direct'

    10 M to 41 M

    39 M to 101 M

    99 M to 1.5 G

    250 M to 3 G

    1 to 4.999999M

    1 to 19.999999M

    1 to 39.999999M

    1 to 99.999999M

    2 to 5M

    2 to 20M

    2 to 40M

    2 to 100M

    With the downconverter turned on and RF input set to 'Downconverter'

    3 G to 10 G

    9 G to 26.5 G

    1 to 99.999999M

    1 to 99.899999M

    2 to 100M

    2 to 99.9M

Specifying Measurement Resolution Bandwidth

  1. Press Avg/BW > RBW

  2. Enter the RBW value in the data entry field that appears in the upper part of the screen.

    You can select the value from the options as follows:

Relation between RBW and Span

RBW value | Maximum Span | Minimum Span
25kHz | 24.43MHz | 1Hz
12.5kHz | 12.215MHz | 1Hz
6.25kHz | 6.1075MHz | 1Hz
3.13kHz | 3.05375MHz | 1Hz
1.56kHz | 1.526875MHz | 1Hz
781Hz | 763.4376kHz | 1Hz
391Hz | 381.7188kHz | 1Hz
195Hz | 190.8594kHz | 1Hz
97.7Hz | 95.4296kHz | 1Hz
48.8Hz | 47.7148kHz | 1Hz
24.4Hz | 23.8574kHz | 1Hz
12.2Hz | 11.9288kHz | 1Hz
6.1Hz | 5.9644kHz | 1Hz
3.05Hz | 2.9822kHz | 1Hz
1.53Hz | 1.491kHz | 1Hz
763mHz | 745.6Hz | 1Hz
381mHz | 372.8Hz | 1Hz
191mHz | 186.4Hz | 1Hz
95.4mHz | 93.2Hz | 1Hz


Confirming Result of Segment Phase Noise Measurement

Follow the steps below to confirm the results of the DUT’s segment phase noise measurement by using the E5052B’s segment PN window.

  • Setting Format

  • Executing Carrier Search Function

  • Setting Smoothing

  • Confirming Measurement Points by Markers

  • Confirming Integral Phase Noise Jitter and Residual FM

  • Confirming Spurious

  • Confirming Allan Variance using with segment phase noise measurement value

Other topics about Common Settings

Setting Format

Format options are not available for Segment Phase Noise measurement.

Executing Carrier Search Function

When the downconverter is turned on, the RF input is set to Downconverter, and the external mixer is set to Not Used, the function to search for the carrier signal in the specified carrier frequency band and reflect the result to the nominal frequency is available.

  1. Press Setup

  2. Press Carrier Search to execute the carrier signal search.

  3. The detected signal frequency is reflected on the nominal frequency.

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (Phase Noise vs. Segment PN)

  • In this measurement, you cannot specify the sweep time. It will be determined automatically based on the selection of the offset frequency sweep range and the resolution bandwidth.

Confirming Integral Phase Noise, Jitter and Residual FM

  1. Specify the noise integration range by using the band marker. For more information, refer to Searching in Specified Range. You do not have to use the band marker to integrate the entire range.

  2. Press Marker Fctn > Analysis Type.

  3. Press Integral. In the upper right part of the screen, you will see the Integral Phase Noise Random variations of unwanted or disturbing energy in a communications system from man-made and natural sources that affects or distorts the information carried by the signal. See also Signal-to-Noise Ratio. value [dBc], the RMS Noise value [rad, deg], the RMS Jitter value [sec] and Residual FM Frequency Modulation value [Hzrms].

  4. Calculate Integral Phase Noise, Jitter and Residual FM, using the specified data by Analysis range.

    Integral Phase Noise returns the value of SSB Integral result. RMS Noise, Jitter and Residual FM returns the value after applying the DSB conversion.

    Value

    Formula

    Integral Phase Noise

    10 * log(integ(10 ^ (L(f) / 10))) [dBc]

    RMS Noise

    sqrt(2 * 10 ^ (Integral Phase Noise / 10)) [rad]

    RMS Jitter

    RMS Noise / (2 x ƒÎ x Carrier frequency) [sec]

    Residual FM

    sqrt(2 x integ(f ^ 2 * 10 ^ (L(f) / 10))) [Hz]

    where, L(f): Phase Noise [dBc/Hz] and integ(x): Integral

    When Power is selected in the Spurious measurement, it is calculated with adding the power of Spurious after integrating except Spurious.

Confirming Spurious

Confirming Allan Variance using with segment phase noise measurement value

It is available to calculate the Allan Variance and Jitter using the measured average time and the measured cut-off frequency.

This operation is available to execute with SCPI commands, and it is not supported with the key operation. For more information refer to the following SCPI commands

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.AVARiance.DATA

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.AVARiance.MEMory

  • The value obtained with E5052B as Sigma is standard deviation, and the Allan Variance as the general definition is the value that is squared this Sigma.


Spectrum Monitor Measurement

You can measure the spectrum of a specified range by sweeping the DUT’s output signals and approximate frequency range.

The following section describes the basic measurement method of spectrum monitor measurement by using the E5052B’s spectrum monitor measurement window. This section describes the following topics about Spectrum Monitor Measurement:

  • Setting Spectrum Monitor Measurement

  • Confirming Result of Spectrum Monitor Measurement


Setting Spectrum Monitor Measurement

Follow the steps below to set up the measurement by using the E5052B’s spectrum monitor measurement window.

Selecting Measurement Window

  1. Press Meas/View > Spectrum Monitor.

  • You can maximize the Spectrum Monitor measurement window by pressing the Window Max key while the window is selected. You can return to the original size when you press the Window Max key once again.

Setting Trigger

Setting Averaging Trigger

Setting Attenuator

Procedure to select a carrier frequency band

  1. Start/Center (Stop/Span) > Carrier To - Frequency Band.

  2. Select a frequency band that contains the carrier signal to be measured from the softkey menu list. The ranges of the frequency bands are shown below:

  3. Selectable frequency bands differ depending on whether the E5053A Microwave Downconverter is used and whether the RF input is direct input or downconverter input. For setting of downconverter and external mixer, refer to Setting E5053A Microwave Downconverter

Carrier Frequency Band | Standalone E5052B or Downconverter: OFF | Downconverter: ON & RF Input: E5052B Direct | Downconverter: ON & RF Input: Downconverter and External Mixer Not Used | Downconverter: ON & RF Input: Downconverter and External Mixer ON
10M - 1.5GHz | Y | Y | N | N
250M - 3GHz | N | Y | N | N
250M - 7GHz | Y | N | N | N
3G - 10GHz | N | N | Y | N
9G - 26.5GHz | N | N | Y | N

  • When the downconverter is turned on, the RF input is set to Downconverter, and the external mixer is set to on, setting the carrier frequency band is not available.

Specifying Frequency Sweep Range

  1. Press Start/Center (Stop/Span) > Center.

  2. Enter the sweep center value in the data entry field that appears in the upper part of the screen.

  3. Press Start/Center (Stop/Span) > Span.

  4. Enter the sweep span value in the data entry field that appears in the upper part of the screen.

  5. Otherwise, press Start/Center (Stop/Span) > Start to enter the sweep start value in the data entry field that appears in the upper part of the screen and then press Span (-> Stop) to enter the sweep stop value in the same way.

    The same softkey will be displayed by pressing either Start/Center or Stop/Span. You can make the same settings by using either of the two keys.

  6. Allowable setting range for the frequency sweep varies depending on whether the E5053A is turned on/off and the RF input is set to 'E5052B Direct'/'Downconverter.' Possible setting range for the center frequency is possible widest setting range of the carrier frequency bands. More specifically, when possible setting range for the carrier frequency bands are 10M to 1.5GHz and 300M to 3GHz, resultant possible setting range for the center frequency is 10M to 3GHz.

    Device Configuration

    Carrier Frequency Bands

    Possible Setting Range for Center Frequency

    E5052B is stand-alone, or with downconverter turned off

    10 M to 1.5 GHz

    250 M to 7 GHz

    10 M to 7 GHz

    With the downconverter turned on and RF input set to 'E5052B Direct'

    10 M to 1.5 GHz

    250 M to 3 GHz

    10 M to 3 GHz

    With the downconverter turned on and RF input set to 'Downconverter'

    3 G to 10 GHz

    9 G to 26.5 GHz

    3 G to 26.5 GHz

The maximum span setting depends on the center frequency:

Centre Frequency | Maximum Span
≥ 100 MHz | 15 MHz
> 50 MHz | 10 MHz
≤ 50 MHz | Center frequency *0.2

Specifying Maximum Input Level of Input Signal

Follow the steps below to enter the maximum level value of the measurement signals that are input from the RF port. For more information, refer to the Specifications.

  1. Press Setup > Reference Level.

  2. Enter the maximum input level in the data entry field that appears in the upper part of the screen.

Setting Average Function

Specifying Measurement Resolution Bandwidth

  1. Press Avg/BW > RBW.

  2. Enter the RBW value in the data entry field that appears in the upper part of the screen.

    You can select the value from the options: 1.53 Hz, 6.1 Hz, 24.4 Hz, 97.7 Hz, 391 Hz, 1.56 kHz, 6.25 kHz, 25 kHz, 100 kHz, 400 kHz, 1.6 MHz.

About DC voltage setting and protection

You can specify DC power/control that is applied to the DUT. Refer to Setting DC power/DC control and protection for the setting procedure.

About Auto Frequency Control Function

If this function is turned on, the E5052B will adjust the control voltage automatically so that the output signal frequency from the DUT may keep the specified value. For the setting procedure, refer to the Auto Frequency Control Function


Confirming Result of Spectrum Monitor Measurement

Follow the steps below to confirm the results of the DUT’s spectrum monitor measurement by using the E5052B’s spectrum monitor measurement window.

  • To improve readability and reduce search time, few sections of this topic are combined with similar sections from other measurements in Measurement > Common Settings. Links to these new sections are provided in this topic.

Moving Carrier Frequency to the Center

  1. Press Marker to display marker 1 on the screen.

  2. Press Marker Search > Peak - Search Peak to move marker 1 to the position of carrier frequency.

  3. Press Marker -> > Marker->Center to move the frequency in which the carrier resides to the center of the sweep range.

Moving harmonic Frequency to the Center

  1. Press Start/Center (Stop/Span) > Carrier to to move the frequency at which the carrier resides to the center of the sweep range.

  2. Press Carrier x1 -> Center to move the frequency at which the first harmonic resides, to the center of the sweep range. Pressing Carrier x2 -> Center or Carrier x3 -> Center moves the frequency at which the second or the third harmonic respectively resides, to the center of the sweep range.

    To move the frequency in which an n-order harmonic resides to the center of the sweep range, press Harmonic # and enter the number corresponding to n, and then press Carrier x# -> Center.

  3. “No Signal Found” may error occur when the attenuator setting is not appropriate. Refer to Error Messages for more detail explanation.

Setting Format and Detector Mode

You can select the unit (format) used in the spectrum monitor measurement trace screen and switch to the detector mode.

  • The E5052B displays the measurement value at the specified point; actually, it sweeps (measures) with the resolution determined by the RBW. The detector captures all of the signals not only at the display point but also between individual display points. If there are more measurement points than display points, you must select the detector mode so that each display point is converted from the individual value of multiple measurement points.

    In the "Positive" mode, the E5052B displays the maximum value (peak) of the measurement values between the display points. In the "Sample" mode, the E5052B displays the measurement value at the nearest measurement point to the display point.

  1. Press Format > Format.

  2. Select the appropriate format from the softkey menu list. The available options are as follows.

Format List

Format
dBm | dBm / Hz
dBV | dBV / Hz
Watt | Watt / Hz
Volt | Volt / Hz

  3. Press Format > Detector Mode.

  4. Select the appropriate detector mode from the softkey menu list. You can choose either Positive or Sample. Positive is selected by default.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

Setting X-Axis Scale (X-Axis band marker setting)

Setting Attenuator

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (spectrum)

  • In this measurement, you cannot specify the sweep time. It will be determined automatically based on the frequency sweep range and measurement resolution bandwidth.


Transient Measurement

You can measure the frequency, power and phase of the DUT along the time axis using Transient Measurement.

The E5052B's transient measurement has Wide-Narrow band mode and Narrow-Narrow band mode. The Wide-Narrow mode has four measurement trace screens to perform transient measurement of frequency, power and phase. The Narrow-Narrow mode has six measurement trace screens to perform transient 2 channel measurement of frequency, power and phase.

You can use each trace screen to measure the variation in frequency, power or phase after you have changed the output settings of the DUT.

The following sections describes the basic measurement method of the variations in the DUT’s frequency, power and phase by using the E5052B’s transient measurement window. This section describes the following topics about Transient Measurement:

  • Setting Measurement Mode

  • Setting for Transient Measurement

  • Setting Video Trigger

  • Confirming Result of Frequency Transient (Wide Band) Measurement

  • Confirming Result of Frequency Transient (Narrow Band) Measurement

  • Confirming Result of Power Transient Measurement

  • Confirming Result of Phase Transient Measurement


Setting Measurement Mode

  • Setting Measurement Mode for Narrow Band-Narrow Band.

  • Selecting Measurement Window

Other topics about Transient Measurement

Setting Measurement Mode for Narrow Band-Narrow Band

The transient measurement has two measurement modes: Wide-Narrow band mode, which consists of four traces of wide and narrow, and Narrow-Narrow band mode, which consists of six traces of narrow and narrow. For more information, refer to Overall Instrument Operation. Also refer to External Reference Signal Input Port.

You can change the measurement mode from Wide-Narrow to Narrow-Narrow mode or vice-versa. In each measurement layout, data will be assigned as measurement layout. In the Wide-Narrow mode, the upper-left is wide-band frequency, the upper-right is narrow-band frequency, the lower-left is narrow-band power and the lower-right is narrow-band phase.

  • This function is added since firmware rev. A.03.20.

Selecting Wide-Narrow Measurement or Narrow-Narrow Measurement

  1. You can select either Wide-Narrow or Narrow-Narrow by pressing the Setup > Measurement Mode key. Wide-Narrow mode is selected by default.

Measurement layout

Describe measurement in relation to trace

Displays off trace 6 to 8 when Wide-Narrow measurement, display off trace 1 when Narrow-Narrow measurement.

  • Trace 5 is always OFF.

Selecting Measurement Window

You can select the measurement window when Narrow-Narrow measurement mode is selected.

  1. Press Display > Parameters.

  2. Select the measurement window from the softkey menu list. The available measurement windows are as follows. All is selected by default.

Measurement Window List

Softkey | Overview
All | Displays all traces.
Frequency | Displays narrow band frequency by bisecting the screen vertically, with channel 1 displayed above channel 2.
Power | Displays narrow band power by bisecting the screen vertically, with channel 1 displayed above channel 2.
Phase | Displays narrow band phase by bisecting the screen vertically, with channel 1 displayed above channel 2.

Trace Layout


Setting for Transient Measurement

Follow the steps below for the common settings to perform transient measurements of frequency, power or phase by using the E5052B’s transient measurement window.

  • For more information about transient measurement specification, please refer to the data sheet.

The Data Sheet (PDF format) shows the E5052B specifications.

The latest version of data sheet is available at http://cp.literature.agilent.com/litweb/pdf/5989-6388EN.pdf

Selecting Measurement Screen

  1. Press Meas/View > Transient to select the transient measurement window.

  • You can maximize the transient measurement window by pressing the Window Max key while the window is selected. You can return to the original size when you press the Window Max key once again.

    You can select the next trace by pressing the Trace Next key and maximize the target trace by pressing the Trace Max key. The transient window will come back when you press the Trace Max key once again.

Setting Trigger

Setting Averaging Trigger

Setting Attenuator

Setting Downconverter and External Mixer

For information on settings of downconverter and external mixer, refer to Setting E5053A Microwave Downconverter

Specifying Target Frequency

Follow the steps below to specify the target frequency for the Narrow Band measurement:

  1. Press Setup > Target Freq (or N2 Target Freq).

  2. Enter the target frequency in the data entry field that appears in the upper part of the screen.

    Allowable setting range is 10 MHz to 7 GHz if the downconverter is turned OFF.

    Allowable setting range is 10 MHz to 3 GHz if the downconverter is turned on, the RF input is set to 'E5052B Direct.'

    Allowable setting range is 3 GHz to 26.5 GHz if the downconverter is turned on, the RF input is set to ‘Downconverter,’ and the external mixer is set to ‘Not Used.’

  • Among the target frequency and the frequency band or the maximum frequency of the input signal (described later), one that is specified later over-rides the other. For example, when the target frequency is set to 5 GHz, specifying the maximum frequency as 3 GHz will automatically decrease the target frequency below the maximum frequency.

Precautions for Using Downconverter

  • In Wide-Narrow mode

    • The minimum frequency of wide band is the maximum frequency minus 500 MHz (The frequency span of wide band is 500 MHz).

    • The target frequencies for Narrow should be between minimum and maximum frequencies of wide band.

  • In Narrow-Narrow mode

    • The target frequencies between Narrow and Narrow 2 should be within 500 MHz. If it exceeds over 500 MHz, the setting which is set previously will be changed automatically so that the frequency difference becomes 500 MHz. For example, the target frequency for Narrow 1 is set at 1 GHz, then one for Narrow 2 is set at 1.6 GHz. The target frequency of narrow 1 is automatically changed to 1.1 GHz.

Specifying Frequency Range

Follow the steps below to specify frequency range for the Narrow Band measurement

  1. Press Setup > Freq Range (or N2 Freq Range) to select the frequency range.

    You can select either 80MHz, 1.6 MHz, 25.6 MHz, 200 kHz, 25 kHz, or 3.125 kHz.

  2. 80MHz range is available to select when Target Frequency is set as over 750MHz.

    25.6MHz is available to select when Target Frequency is set as over 200MHz.

    When Downconverter is ON and External Mixer is ON, Target Frequency is set over 200MHz.

Specifying Frequency Band of Input Signal

Follow the steps below to specify frequency range for the Wide Band measurement.

  1. Press Setup > Wide Freq Range.

  2. Select the frequency band (Wide Band) from the softkey menu list. The available options are as follows.

Frequency Band List (Wide Band)

Frequency Band
50 M -150 MHz | 1 G - 3 GHz
100 M -300 MHz | 1.2 G -3.6 GHz
200 M -600 MHz | 1.4 G -4.2 GHz
300 M -900 MHz | 1.6 G -4.8 GHz
400 MHz -1.2 GHz | 1.8 G -5.4 GHz
500 MHz - 1.5 GHz | 2 G -6 GHz
600 MHz -1.8 GHz | 2.2 G -6.6 GHz
800 MHz -2.4 GHz | 2.4 G -7.2 GHz

  • The frequency bands shown above are all applicable only when the down-converter is turned off. When the downconverter is turned on and the RF input is set to ‘E5052B Direct,’ the maximum frequency band is “1 GHz to 3 GHz”.

    When the downconverter is turned on, the RF input set to 'Downconverter,' and the external mixer set to ‘Not Used,’ specifying the frequency band is not available. In this case, specify the maximum frequency of the input signal. For details in the procedure, refer to Specifying Maximum Frequency of Input Signal.

Specifying Maximum Frequency of Input Signal

When the downconverter is turned on, the RF input set to 'Downconverter,' and the external mixer set to 'Not Used,' specify frequency of the input signal as the maximum frequency.

  1. Press Setup > Wide Max Frequency.

  2. Enter the maximum frequency of the input signal in the data entry field that appears in the upper part of the screen.

Specifying the Maximum Input Level of Input Signal

Follow the steps below to enter the maximum level value of the measurement signals that are input from the RF port. For more information, refer to the Specifications.

  1. Press Setup > Max Input Level.

  2. Enter the maximum input level in the data entry field that appears in the upper part of the screen.

Specifying Start Time, Time Span and Reference Position for Frequency Transient (Wide Band) Measurement Trace

  1. Press the Trace Next key to select the measurement trace for the frequency transient (Wide Band). You can confirm which trace is selected by viewing the cursor, which is displayed to the left of the trace title.

  2. You can also click on the trace of the frequency transient (Wide Band) for confirmation.

  2. Press Start/Center > Wide Ref Position.

  3. Select the sweep reference position from the softkey menu list.

    You can select any of the three options: Left, Center or Right.

  4. Press Start/Center > Wide Span.

  5. Enter the time span value in the data entry field that appears in the upper part of the screen. The allowable input value may vary depending on the scale value, target frequency or frequency range of the measurement trace.

  6. Press Start/Center > Wide Time Offset.

  7. Enter the sweep offset value in the data entry field that appears in the upper part of the screen.

  8. The function of Time Offset on the softkey is same as that of the Start/Center key.

Specifying Start Time, Time Span and Reference Position for Frequency Transient (Narrow Band) Measurement Trace, Power Transient Measurement Trace and Phase Transient Measurement Trace

  1. Press the Trace Next key to select the measurement trace for the frequency transient (Narrow Band). You can confirm which trace is selected by viewing the cursor which is displayed to the left of the trace title.

  2. You can also click on the trace of the frequency transient (Narrow Band) for confirmation.

    The procedure for specifying the start time, time span and reference position for frequency transient (Narrow Band) measurement trace is also applicable to the measurement trace of power transient and phase transient.

    You can also specify the start time, time span, and reference position for the frequency transient (Narrow Band) measurement trace by selecting the measurement trace of the power transient or phase transient.

  2. Press Start/Center > Narrow Ref Position.

  3. Select the sweep reference position from the softkey menu list.

    You can select any of the three options: Left, Center or Right.

  4. Press Start/Center > Narrow Span.

  5. Enter the time span value in the data entry field that appears in the upper part of the screen. The allowable input value may vary depending on the scale value, target frequency, or frequency range of the measurement trace.

  6. Press Start/Center > Narrow Time Offset.

  7. Enter the sweep offset value in the data entry field that appears in the upper part of the screen.

  8. The function of Time Offset on the softkey is the same as that of the Start/Center key.

    You can apply the setting values of start time, time span, and reference position for the frequency transient (Wide Band) measurement trace to the frequency transient (Narrow Band) by pressing Start/Center > Wide Settings -> Narrow.

  9. The E5052B calculates the transient measurements by FFT using the data from ADC. To do FFT, several data points from ADC are required. When the time span is set to a narrow value, an overlapped FFT technique is used to obtain accurate transient measurements. The measurement result adjacent to the previous measurement point is calculated by using some of the data (overlapped data) used in the previous measurement point. The rate of overlapped data depends on the frequency range and time span you set. When you evaluate a quick response, you will see the effect of this overlap. In this case, please try to use the time span that is narrower than the current time span.

Setting Average Function

About DC Voltage Setting and Protection

You can specify DC power/control that will be applied to the DUT. Refer to Setting DC power/DC control and protection for the setting procedure.

Analyzing Data on Trace Using Marker

Setting the X-axis, Target Frequency or Frequency Range by using the mouse

Specifying the area with a mouse enables to set time span of wide band and narrow band. In the wide-narrow mode, specifying area in the wide band enables to set the start/stop time in narrow band. In the narrow-narrow mode, specifying the area in the narrow band enables to display the same area in narrow band2. This function also enables to set the target frequency and frequency range at the center frequency of the specified area.

  • When you use this function, you must connect the mouse to the E5052B.

  • About the basic setting by using the mouse, see the description in Setting the scale by using the mouse.

  • When you specify the area in the wide mode to apply to the span of the narrow (or narrow 2) time, if the specified area is below 0 ms, there is a case that the scaled narrow time span is not the same as the span which you specified in wide mode. This is because the minus time offset can not be set below 30% of span. In this case, the area of narrow mode is set to include the specified wide area. The start time of narrow is set at the specified start time in wide mode and the span of narrow becomes wider than one you specified in wide mode.

Zoom-in

  1. Drag (Press) the right button of the mouse on the measurement trace area of display.

  2. Move the mouse to the desired point with pressing the right button of the mouse. The rectangle frame is displayed.

  3. Release the right button to specify the rectangle frame area. Dialog box for action for scale is displayed. (See the following table.)

  4. Select the scale type in the dialog box.

  5. Click the OK button.

  6. If you selected to a small area, auto scale type is displayed.

Zoom-out

  1. Click a right button on a mouse in the measurement trace area of display.

  2. Dialog box for action for auto scale is displayed. (See the following table.)

  3. Select the auto scale type in the dialog box.

  4. Click the OK button.

Selecting Scale Type for Transient Measurement

Scale Type

Operation

Scale X & Y

The area of specified rectangle frame is enlarged to fit the full display area.

Scale X

The X axis of display is set at X axis of the specified rectangle frame. The scale for Y axis is not changed.

Scale Y

The Y axis of display is set at Y axis of the specified rectangle frame. The scale for X axis is not changed.

Auto Scale X & Y

Set the full scale for X axis and adjust the Y axis scale to fit the displayed trace data.

Auto Scale X

Set the full scale for X axis.

Auto Scale Y

Executing the auto scale on the Y axis.

Wide Time Span

In the wide-narrow mode,set X-axis of wide band at one of specified the area.

Narrow Time Span /
Narrow 2 Time Span

Set X-axis of narrow band at one of specified the area.

Narrow Target Frequency /
Narrow 2 Target Frequency

In the frequency transient of either wide or narrow band, set the target frequency of narrow band at the center frequency of the specified area.

Narrow Target Freq & Range /
Narrow 2 Target Freq & Range

In the frequency transient of either wide or narrow band, set the target frequency of narrow band at the center frequency of the specified area, and the frequency range is selected at the narrowest frequency range whose is wider than the specified area.

  • When the frequency span of the specified area is wider than the maximum frequency range, the maximum frequency range is selected.

Setting Advanced Mode

Advanced mode using long memory is added to Narrow Band Transient measurement. In this mode the maximum measurement span is extended to 1000 seconds. The pre-trigger can be set up to 80% of the span. However, the maximum value can be set to 20 second. In addition, not only the target frequency, frequency range and phase reference but also the frequency and time resolution can be set in Advanced mode.

Data of any continuous 1001 points out of maximum 10001 points of the measurement data (scroll available) can be displayed on a graph, and also, the complete measurement span can be displayed under the condition that the number of measurement points is below 1001.

  • This function is disabled when Narrow2 band (trace 6, 7 or 8) is selected.

Follow the steps below to use the advanced mode:

  1. Press Setup > Advanced Setup > Advanced mode > OFF | ON

  2. Default mode is OFF. ON indicates advanced mode is selected for measurement.

  2. Press Setup > Advanced Setup > Narrow Freq Reso. - select the frequency resolution based on the following table

This softkey is disabled when Advanced mode is OFF.

Frequency Range | 80 MHz | 25.6 MHz | 1.6 MHz | 200 kHz | 25 kHz | 3.125 kHz
R1 | 810 Hz | 290 Hz | 4.5 Hz | 0.2 Hz | 0.0087 Hz | 0.0004 Hz
R2 | 2.3 kHz | 810 Hz | 13 Hz | 0.56 Hz | 0.025 Hz | 0.0011 Hz
R3 | 6.5 kHz | 2.3 kHz | 36 Hz | 1.6 Hz | 0.07 Hz | 0.0031 Hz
R4 | 19 kHz | 6.5 kHz | 101 Hz | 4.5 Hz | 0.2 Hz | 0.0087 Hz

  3. Press Setup > Advanced Setup > Narrow Time Reso. > select the frequency resolution based on the following table

This softkey is disabled when Advanced mode is OFF.

Frequency Range | Time Resolution
80 MHz | 0.008u × N (N=1 - 12500000)
25.6 MHz | 0.008u × N (N=1 - 12500000)
1.6 MHz | 0.128u × N (N=1 - 781250)
200 kHz | 1.024u × N (N=1 - 97657)
25 kHz | 8.192u × N (N=1 - 12208)
3.125 kHz | 65.536u × N (N=1 - 1526)

  4. Press Setup > Advanced Setup > Narrow Zoom Out > OFF | ON

  5. OFF: Displays the graph of data of continuous 1001 measurement points out of all measurement points.
    ON: Displays the complete measurement span on the graph     when the number of measurement points is below 1001.

    The interval should be such the minimum integer that the number of display points becomes less than 1001.

    Interval = integer of ((measurement points -1)/1000) or above.

    For example, when the number of measurement points is 4900, every four points are skipped and the interval is 5.

  6. The execution of this command clears the value of Average count and Data Hold.

    This softkey cannot be used under the following conditions:

      • If NOP is small.

      • TR Narrow Trace is not 'Active'.

      • Trigger is not 'Hold'.

      • When the advanced mode is OFF.

      • When measurement is not performed with the current setting conditions.

      • While measurement is being performed.

      • When the setting was changed after measurement (when the dirty flag# is displayed to the right of the TR measurement window).

  5. Press Setup > Advanced Setup > Narrow Display Start

The leftmost value of the X-axis of the graph display. Data of 1001 measurement points after the measurement point of this setting value are displayed on a graph. The minimum value is the measurement start time. The maximum value is the (measurement end time - time_res × 1000)

  • The execution of this command clears the Average count and Data Hold.

    This softkey is disabled under the following conditions:

      • Narrow Zoom Out key is disabled.

      • Narrow Zoom Out is ON.

      • When this softkey is enabled, the horizontal scroll bar is displayed on the bottom of the TR window, which enables you to change the display area.


Setting Video Trigger

You must set up the video trigger when you select either Wide Video, Narrow Video or Narrow2 Video for the trigger source. You do not have to set up the video trigger when you select other trigger sources.

The E5052B video trigger includes the following functions:

  • A function to select the trigger polarity

  • Outbound trigger function

  • Power trigger function

  • A function to select the trigger detection bandwidth

Follow the steps below to set up the video trigger for the transient measurement:

  • Setting for wide band

  • Setting for narrow band

  5. The following figure is a simplified block diagram of the E5052B transient measurement mode as well as the frequency boundary trigger (Video trigger) detection circuit.

    The RF signal comes out of the receiver section, which is downconverted to an IF signal, and goes into the ADC. The digitized incoming data with available sampling rate of the ADC, with a maximum rate of 125 MSa/s. The data is fed into the FFT section to obtain frequency data and then recorded in the internal memory. The data is recorded continuously similar to an endless tape recorder if there is no trigger signal present.

    The digitized data is also fed into the trigger detection circuit. The circuit consists of several stages of digital filter and a digital comparator. The digitized voltage data coming out of the trigger detection circuit is compared to the threshold level for triggering. In the frequency boundary out mode, the output signal of the digital filter stage is shown in the figure above. When the frequency goes out of the frequency boundary, the voltage of the digitized data drops accordingly.

  6. The method of data processing for obtaining measurement values of frequency transient and judging the condition of video trigger is different due to different data processing time. Data processing of measurement values is done after measurement is completed, while video trigger requires real-time processing during measurement. Therefore, the following things happen.

      • The instrument is not triggered even though the conditions seem to be satisfied.

      • The instrument is triggered even though the conditions seem not to be satisfied.

In this case, change the power level of video trigger and frequency bandwidth to adjust the sensitivity of trigger. In addition, if the instrument is triggered even though the condition is not satisfied, improve the time resolution. This enables to see the frequency change that had not been seen before and to investigate the cause.

  5. The trigger standby band is determined based on a specified trigger frequency. Setting of a center frequency of the trigger standby band has limitation and therefore, the trigger frequency is not necessarily the same as the center frequency of the standby band. In this case, the standby band whose center frequency is closest to the specified trigger frequency is selected.

    This standby band consists of two bands based on its center frequency: low frequency side and high frequency side. When the video mode is positive, the instrument is triggered when an input signal comes in the low frequency side and then high frequency side. When the video mode is negative, the instrument is triggered when an input signal comes in the high frequency band and then low frequency band. Adjustment is made at the timing of post processing so that the point when an input signal cuts across the trigger frequency becomes the zero point of the time-axis.

  • Above rev. A.03.20, the synchronization capability for X axis (Time) of 2 channels has been added. The synchronization works on the condition of satisfying all of following conditions.

      • Wide-Narrow mode:

        • Frequency range of narrow is 25.6 MHz

        • Time spans of wide and narrow are the same

        • Advanced Mode for narrow is OFF

      • Narrow-Narrow mode:

        • The frequency range and time span for both channels are the same.

        • Advanced Mode for narrow is OFF

Setting for Wide Band

  1. Press Setup > Video Trigger > Wide Video Mode > OUT | IN | Positive | Negative

Mode

Description

IN

The instrument is triggered when the input signal comes in the trigger standby band.

Adjustment is made so that the first measurement point when a signal comes in the standby band becomes the zero point of the time-axis.

When the video trigger is selected in this mode, two dotted lines indicating the upper and lower limits of the standby band are displayed on the graph of the frequency measurement.

OUT

The instrument is triggered when the input signal is outside the trigger standby band.

Adjustment is made so that the first measurement point when a signal goes outside the band becomes the zero point of the time-axis.

When the video trigger is selected in this mode, two dotted lines indicating the upper and lower limits of the standby band are displayed on the graph of the frequency measurement.

POSitive

The instrument is triggered when an input signal cuts across the trigger standby frequency from the lower frequency side to the higher frequency side.

Adjustment is made so that the point when an input signal cuts across the standby frequency becomes the zero point of the time-axis.

When the video trigger is selected in this mode, three dotted lines indicating the standby frequency, the upper limit and lower limit of the standby band are displayed on the graph of the frequency measurement.

NEGative

The instrument is triggered when an input signal cuts across the trigger standby frequency from the higher frequency side to the lower frequency side.

Adjustment is made so that the point when an input signal cuts across the standby frequency becomes the zero point of the time-axis.

When the video trigger is selected in this mode, three dotted lines indicating the standby frequency, the upper limit and lower limit of the standby band are displayed on the graph of the frequency measurement.

  2. Press Setup > Video Trigger > Wide Freq.

  3. Enter the center frequency of the video trigger in the data entry field that appears in the upper part of the screen.

    Trigger Mode

    Description

    IN/OUT

    The center frequency of the trigger standby band.

    The value that can be set is a discrete value and the setting step is decided by the width of the trigger detection frequency.

    POSitive / NEGative

    The trigger standby frequency.

    Any frequency within the measurement range can be set.

  4. Press Setup > Video Trigger > Wide Width

Assuming that max_width = fspan (span of the frequency range) × 1.1, choices of width for each range are as follows:

Trigger Mode | Frequency Range Span
IN/OUT | max_width, max_width/2, max_width/4, max_width/8, max_width/16, max_width/32, max_width/64
POSitive / NEGative | max_width/8, max_width/16, max_width/32

  5. For example: When the range is 400 M - 1.2 GHz, fspan = 1.2 G - 400 M =800 MHz, max_width = 800M × 1.1 = 880 MHz,choices of width are 880 MHz, 440 MHz, 220 MHz, 110 MHz, 55 MHz, 27.5 MHz, and 13.8 MHz.

  5. This setting is restricted by the settings of frequency band or maximum fre-quency of the input signal.

    The setting is enabled when you select Wide Video from the trigger source options.

Setting for Narrow Band

  1. Press Setup > Video Trigger > Narrow Video Mode ( or Narrow2 Video Mode) > OUT | IN | Positive | Negative

Mode

Description

IN

The instrument is triggered when the input signal comes in the trigger standby band.

Adjustment is made so that the first measurement point when a signal comes in the standby band becomes the zero point of the time-axis.

When the video trigger is selected in this mode, two dotted lines indicating the upper and lower limits of the standby band are displayed on the graph of the frequency measurement.

OUT

The instrument is triggered when the input signal is outside the trigger standby band.

Adjustment is made so that the first measurement point when a signal goes outside the band becomes the zero point of the time-axis.

When the video trigger is selected in this mode, two dotted lines indicating the upper and lower limits of the standby band are displayed on the graph of the frequency measurement.

POSitive

The instrument is triggered when an input signal cuts across the trigger standby frequency from the lower frequency side to the higher frequency side.

Adjustment is made so that the point when an input signal cuts across the standby frequency becomes the zero point of the time-axis.

When the video trigger is selected in this mode, three dotted lines indicating the standby frequency, the upper limit and lower limit of the standby band are displayed on the graph of the frequency measurement.

NEGative

The instrument is triggered when an input signal cuts across the trigger standby frequency from the higher frequency side to the lower frequency side.

Adjustment is made so that the point when an input signal cuts across the standby frequency becomes the zero point of the time-axis.

When the video trigger is selected in this mode, three dotted lines indicating the standby frequency, the upper limit and lower limit of the standby band are displayed on the graph of the frequency measurement.

  2. Press Setup > Video Trigger > Narrow Freq (or Narrow2 Freq).

  3. Enter the center frequency of the video trigger in the data entry field that appears in the upper part of the screen.

Trigger Mode | Description
IN/OUT | The center frequency of the trigger standby band. The value that can be set is a discrete value and the setting step is decided by the width of the trigger detection frequency.
POSitive / NEGative | The trigger standby frequency. Any frequency within the measurement range can be set.

  4. Press Setup > Video Trigger > Narrow Width ( or Narrow2 Width).

Trigger Mode | Frequency Range | Width
IN/OUT | 80MHz | 85MHz, 55MHz, 27.5MHz, 13.8MHz, 6.88MHz, 3.44MHz, 1.72MHz, 859kHz, 430kHz, 215kHz
 | 25.6MHz | 27.5MHz, 13.8MHz, 6.88MHz, 3.44MHz, 1.72MHz, 859kHz, 430kHz, 215kHz, 107kHz, 53.7kHz
 | 1.6MHz | 1.72MHz, 859kHz, 430kHz, 215kHz, 107kHz, 53.7kHz, 26.9kHz, 13.4kHz, 6.71kHz, 3.36kHz
 | 200kHz | 215kHz, 107kHz, 53.7kHz, 26.9kHz, 13.4kHz, 6.71kHz, 3.36kHz, 1.68kHz, 839Hz, 420Hz
 | 25kHz | 26.9kHz, 13.4kHz, 6.71kHz, 3.36kHz, 1.68kHz, 839Hz, 420Hz, 210Hz, 105Hz, 52.5Hz
 | 3.125kHz | 3.36kHz, 1.68kHz, 839Hz, 420Hz, 210Hz, 105Hz, 52.5Hz, 26.2Hz, 13.1Hz, 6.56Hz
POSitive / NEGative | 80MHz | 13.8MHz, 6.88MHz, 3.44MHz
 | 25.6MHz | 3.44MHz, 1.72MHz, 859kHz
 | 1.6MHz | 215kHz, 107kHz, 53.7kHz
 | 200kHz | 26.9kHz, 13.4kHz, 6.71kHz
 | 25kHz | 3.36kHz, 1.68kHz, 839Hz
 | 3.125kHz | 420Hz, 210Hz, 105Hz

  5. When the width is set to the whole measurement frequency range (the maximum one for each range), the setting value of the VIDeo:THReshold command indicates the threshold of the input signal power (Power trigger).

    In the POSitive/NEGative mode, the setting value of the FREQuency:CENTer command doesn't necessarily mean the center of the band range. In this case, the value nearest to the setting value of the FREQuency:CENTer that can be set is selected as the center frequency of the band.

    IN/OUT width updated in firmware A.03.10.

  5. Press Setup > Video Trigger > Minimum Power Level.

  6. Enter the minimum power level of the video trigger in the data entry field that appears in the upper part of the screen.

  7. This setting is restricted to the range of Narrow Band measurement that is determined by the target frequency and frequency range.

    The setting is enabled when you select Narrow Video (or Narrow2 Video) from the trigger source options.


Confirming the Result of Frequency Transient (Wide Band) Measurement

Follow the steps below to confirm the results of the DUT’s frequency transient (Wide Band) measurement, using the E5052B’s transient measurement window.

Selecting Frequency Transient (Wide Band) Measurement Trace

  1. Press the Trace Next key to select the measurement trace for the frequency transient (Wide Band). You can confirm which trace is selected by viewing the cursor displayed to the left of the trace title.

  2. You can also click on the measurement trace of the frequency transient (Wide Band) for confirmation.

Setting Frequency Format and Sensitivity Aperture

You can select the unit (frequency format) used in the frequency trace screen and set the sensitivity aperture.

  1. Press Format > Frequency Format.

  2. Select an appropriate frequency format from the softkey menu list. The available options are as follows. The initial setting is "Hz."

Format List

Softkey | Overview
Hz | Displays the measurement frequency data.
ΔHz | Displays the difference subtracted from reference frequency.
% | Displays the difference subtracted from reference frequency in percent.
ppm | Displays the difference subtracted from reference frequency in ppm.

  3. Press Format > Frequency Reference. (This setting will be used when either "Hz", "%", "ppm" is selected for the frequency format.)

  4. Enter The process of inputting information. the frequency reference value in the data entry field that appears in the upper part of the screen. The unit is Hz.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

Setting X-Axis Scale (X-Axis band marker setting)

Setting Attenuator

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (frequency transient wide band)

Linearity Evaluation of Chirped FM Signal


Confirming the Result of Frequency Transient (Narrow Band) Measurement

Follow the steps below to confirm the results of the DUT’s frequency transient (Narrow Band) measurement by using the E5052B’s transient measurement window.

  • You can use the Narrow2 Band when Narrow-Narrow measurement mode is selected.

Selecting Frequency Transient (Narrow Band) Measurement Trace

  1. Press the Trace/Next key to select the measurement trace for the frequency transient (Narrow Band). You can confirm which trace is selected by viewing the cursor which is displayed in the left to the trace title.

  2. You can also click on the measurement trace of the frequency transient (Narrow Band) for confirmation.

Setting Frequency Format and Sensitivity Aperture

You can select the unit (frequency format) used in the frequency trace screen and set the sensitivity aperture.

  1. Press Format > Frequency Format.

  2. Select an appropriate frequency format from the softkey menu list. The available options are as follows. The initial setting is "Hz".

Format List

Softkey | Overview
Hz | Displays the measurement frequency data.
ΔHz | Displays the difference subtracted from reference frequency.
% | Displays the difference subtracted from reference frequency in percent.
ppm | Displays the difference subtracted from reference frequency in ppm.

  3. Press Format > Frequency Reference. (This setting will be used when either "ΔHz", "%", "ppm" is selected for the frequency format.)

  4. Enter the frequency reference value in the data entry field that appears in the upper part of the screen. The unit is Hz.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

Setting X-Axis Scale (X-Axis band marker setting)

Setting Attenuator

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (frequency transient narrow band)

Linearity Evaluation of Chirped FM Signal


Confirming Result of Power Transient Measurement

Follow the steps below to confirm the results of the DUT’s power transient measurement by using the E5052B’s transient measurement window.

Selecting Power Transient Measurement Trace

  1. Press the Trace Next key to select the power transient measurement trace. You can confirm which trace is selected by viewing the cursor that is displayed to the left of the trace title.

  2. You can also click on the measurement trace of the power transient for confirmation.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

Setting X-Axis Scale (X-Axis band marker setting)

Setting Attenuator

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (power transient)


Confirming Result of Phase Transient Measurement

Follow the steps below to confirm the results of the DUT’s phase transient measurement by using the E5052B’s transient measurement window.

Selecting Phase Transient Trace

  1. Press the Trace/Next key to select the phase transient measurement trace. You can confirm which measurement trace is selected by viewing the cursor that is displayed to the left of the trace title.

  2. You can also click on the phase transient measurement trace for confirmation.

Using the phase reference frequency

The instrument calculates the phase deviation within the Narrow Band measurement range based on the frequency transient (Narrow Band) measurement result. The phase reference function sets the reference value of frequency to calculate the phase transient.

In case the target frequency is equal to the final frequency (the right most measurement data obtained in the frequency transient (Narrow Band) measurement) of the DUT, it can be used as the phase reference frequency. If the target frequency is deviated from the final frequency of the DUT, use the actual frequency measured at the right end of measurement point as set the phase reference frequency. Then the phase data over time starts from zero at the right end of the measurement point, and the phase data maintains as long as the measured frequency stays at the phase reference frequency.

  1. Press Setup > Phase Reference.

  2. Enter the phase reference value, then measure the phase transient data again.

Defining Phase Reference Frequency

Confirming Result of Power Transient Measurement

  • The phase reference frequency is restricted to the range of Narrow Band measurement that is determined by the target frequency and frequency range.

    The Marker -> Phase Reference function automatically sets the phase reference frequency based on the actual frequency data where the active marker is located at the frequency over time trace.

Adjust Phase Reference by Specifying Value of X-Axis

You can set the measurement value of the X-Axis value you specified to the phase reference (phase 0). Follow the steps below.

  1. Press Format > Phase X Reference

  2. Enter the X-Axis value (position) set as the phase reference in the data entry field that appears in the upper part of the screen.

    You can also use the marker. Move the marker to the position of the phase reference and press Format > Marker -> Phase X Reference

Adjust Phase Reference at Averaged Value in Specified Span

When you measure the signal with larger trace noise repeatedly, the observed trace may go up and down on the display. This function enables to reduce it. The phase reference position is set at the point where the averaged phase of the specified X span becomes 0. The phase offset is calculated from all of points within the specified X span.

Note for calculation of the phase offset

  • If the specified Phase X Reference is lower than the start point, the start point is set as Phase X Reference.

  • If the specified Phase X Reference is higher than the stop point, the stop point is set as phase X Reference.

  • If there are no measurement points in the specified X Reference Span, the averaged phase is calculated to use the interpolated data between the closest both side measurement points.

Follow the steps below.

  1. Press Format > Phase X Reference.

  2. Enter the X-Axis value (position) set as the phase reference in the data entry field that appears in the upper part of the screen.

    You can also use the marker. Move the marker to the position of the phase reference and press Format > Marker -> Phase X Reference.

  3. Press Format > X Reference Span.

  4. Enter the span value.

The phase offset is calculated from all of points within the specified X span by the step in the figure below.

Phase X Reference and X Reference Span

(1) Calculate average phase (P_ave) in the specified range of default curve.

(2) Add offset value (-P_ave) to the default phase curve.

(3) Default phase zero point.

Using Phase Offset Frequency When Adjusting Phase Baseline Manually

If the actual measured frequency is different from the phase reference frequency you set, the recalc phase reference function also allows you to adjust the baseline of the phase transient data manually after a single measurement.

  1. This function cannot be used when you select Auto Reference to ON.

  1. Press Setup > Recalc Phase Reference.

  2. Press Phase Ref. Offset to enter the offset frequency value relative to the phase reference frequency, and then the baseline of the phase transient data will be adjusted.

Using Recalculating Phase Data Function to Adjust Baseline of Phase Transient

Automatic Phase Reference Offset Setting

This function enables to set the phase reference offset automatically so that the specified point on X-axis becomes a reference position of phase measurement. This function calculates the phase reference offset by following method.

  1. Average the measured frequency data in the specified span by X reference and X span (or N2 X reference and N2 X Span).

  2. Subtract the phase reference frequency (Phase Reference under Setup key) from the averaged frequency value.

  3. Set the phase reference offset at the above subtracted value.

Follow the steps bellow.

  1. Press Setup > Recalc Phase Reference > Auto Reference > ON.

  2. Press X Reference, then enter the X Reference value.

  3. Press X Span, then enter the X Span value.

Follow the steps bellow when you use the Narrow2 band.

  1. Press Setup > N2 Recalc Phase Reference > Auto Reference > ON.

  2. Press N2 X Reference, then enter the X Reference value.

  3. Press N2 X Span, then enter the X Span value.

Phase Reference Offset is specified by the step in the figure below.

Auto Reference : ON

(1) Averaged frequency value

(2) Phase reference frequency

(3) Phase Ref. Offset : (1) - (2)

Setting Phase Unit and Wrap Phase

You can select the unit (phase unit) used in the phase transient measurement trace screen and specify the wrap phase.

  1. Press Format > Phase Unit.

  2. Select the appropriate format from the softkey menu list. You can select any of the three options: Deg, Rad or Grad.

  3. Press Format > Wrap Phase to turn on/off the wrap phase function.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

Setting X-Axis Scale (X-Axis band marker setting)

Setting Attenuator

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (phase transient)


Baseband Measurement

Baseband Noise Measurement

This functions measures the noise voltage of a source.

The following section describes the basic measurement and the topics about Baseband Noise Random variations of unwanted or disturbing energy in a communications system from man-made and natural sources that affects or distorts the information carried by the signal. See also Signal-to-Noise Ratio. Measurement:

  • Setting Baseband Noise Measurement

  • Confirming Result of Baseband Noise Measurement


Setting Baseband Noise Measurement

Follow the steps below to measure the baseband noise by using the E5052B’s baseband noise measurement window.

Selecting Measurement Window

  1. Press Meas/View > Baseband Noise to select the baseband measurement window.

  2. You can maximize the Baseband Noise measurement window by pressing the Window Max key while the window is selected. You can return to the original size when you press the Window Max key once again.

Setting Trigger

Setting Averaging Trigger

Discharge of DC Block Capacitor

E5052B has two types of Block capacitors. Press Setup > Discharge DC Block Capacitor to discharge the DC block capacitors.

  • This option is available only when trigger mode is set as baseband noise.

Setting IF Gain

"IF over flow" error may be displayed when baseband is distorted. On the other hand, internal noise level of the instrument may be significant in the measurement display when the DUT has a low-noise characteristics. In this case, follow the steps below to adjust the IF Gain value:

  1. Press Setup > IF Gain.

  2. Enter the IF Gain value in the data entry field that appears in the upper part of the screen.

    You can select the value from the options: 0 dB, 10 dB, 20 dB, 30 dB, 40 dB or 50 dB.

  3. With the Option 011 configured, available IF Gain options are 0 dB, 10 dB, 20dB and 30 dB.

Selecting Measurement Quality

  1. Press Setup > Measurement Quality.

  2. Select the appropriate quality level from the softkey menu list. The available options are Normal and Fast.

  3. To obtain the outline of the measurement data, select “Fast” for the quality level. If you need more precise frequency resolution, select “Normal” for the quality level.

Selecting Cutoff Frequency

  1. Press Setup > Cutoff Frequency > Low | High

  • Low Frequency DC Block capacitor 1410µF, High Frequency DC Block capacitor 10µF

Specifying Sweep Range for Offset Frequency

  1. Press Start/Center (Stop/Span) > Start.

  2. Select the sweep start value from the softkey menu list.

    You can select the value from the options: 1 Hz, 10 Hz, 100 Hz or 1 kHz.

  3. When Cutoff frequency is High only 1kHz is available as the sweep range for offset frequency.

  3. Press Stop/Span (Start/Center) > Stop.

  4. Select the sweep stop value from the softkey menu list.

    You can select the value from the options: 100 kHz, 1 MHz, 5 MHz, 10 MHz, 20 MHz, 40 MHz, 100MHz.

Setting Average Function and Correlation Number

About DC Voltage Setting and Protection

You can specify DC power/control which is applied to DUT. Refer to Setting DC power/DC control and protection for the setting procedure.


Confirming Result of Baseband Noise Measurement

Follow the steps below to confirm the results of the DUT’s baseband noise measurement by using the E5052B’s baseband noise measurement window.

  • To improve readability and reduce search time, few sections of this topic are combined with similar sections from other measurements in Measurement > Common Settings. Links to these new sections are provided in this topic.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

Setting X-Axis Scale (X-Axis band marker setting)

Setting Data Format

You can select the unit (format) used in the baseband measurement trace screen.

  1. Press Format > Format.

  2. Select the appropriate format from the softkey menu list. The available options are as follows.

Format List

Format

dBV / Hz

dBm / Hz

Volt / Hz

  • Volt/Hz format is added from the firmware revision A.03.10. The scale is linear for dBV/Hz, dBm/Hz and log for Volt/Hz. When Volt/Hz is selected, the unit of displayed result is Volt/√Hz. (The notation "Volt/Hz" is used in this help as the same as softkey label.)

Setting IF Gain

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

  • In this measurement, you cannot specify the sweep time. It will be determined automatically based on the selection of the offset frequency sweep range and the carrier frequency band.

Confirming Spurious


AM Noise Measurement

This section describes the following topics about AM Noise Random variations of unwanted or disturbing energy in a communications system from man-made and natural sources that affects or distorts the information carried by the signal. See also Signal-to-Noise Ratio. Measurement:

  • Setting AM Noise Measurement

  • Confirming Result of AM Noise Measurement


Setting AM Noise Measurement

Follow the steps below to measure the AM Noise by using the E5052B’s AM Noise measurement window.

  • To improve readability and reduce search time, few sections of this topic are combined with similar sections from other measurements in Measurement > Common Settings. Links to these new sections are provided in this topic.

Selecting Measurement Window

  1. Press Meas/View > AM Noise to select the AM Noise measurement window.

  2. You can maximize the AM Noise measurement window by pressing the Window Max key while the window is selected. You can return to the original size when you press the Window Max key once again.

Setting Trigger

Setting Averaging Trigger

Setting Attenuator

Selecting Carrier Frequency Band

  1. Press Setup > Frequency Band.

  2. Select the appropriate frequency band that contains the target carrier signal from the softkey menu list. The range of each frequency band is listed in the following table.

  • Selectable frequency bands differ depending on whether the E5053A Microwave Downconverter is used and whether the RF input is direct input or Downconverter input. For setting of downconverter and external mixer, refer to Setting E5053A Microwave Downconverter

    Carrier Frequency Band

    Standalone E5052B or Downconverter: OFF

    Downconverter: ON & RF Input: E5052B Direct

    Downconverter: ON & RF Input: Downconverter and External Mixer Not Used

    Downconverter: ON & RF Input: Downconverter and External Mixer ON

    60M - 111MHz

    Y

    Y

    N

    Y

    109M - 1.5GHz

    Y

    Y

    N

    Y

    250M - 3GHz

    N

    Y

    N

    N

    250M - 7GHz

    Y

    N

    N

    Y

    3G - 10GHz

    N

    N

    Y

    N

    9G - 26.5GHz

    N

    N

    Y

    N

Auto Settings in Attenuator and Carrier Frequency Band

From firmware rev A.3.10, Frequency band and Input Attenuator can be setup to optimum value according to input signal through automatic setting.

  • It is enabled when Trigger to AM Noise is selected.

  1. Press Setup > Auto Setting.

  2. Carrier frequency band and Attenuator should be set to optimum value according to input signal.

Auto setting Parameter at each measurement status is as follows.

Measurement status (AM) | Freq Band | Attn | IF Gain
Downconverter=Off | Y | Y | N
Downconverter=On, RF Input=E5052B Direct | Y | Y | N
Downconverter=On, RF Input=Downconverter, Ext.Mixer=Off | User set | 10dB | N
Downconverter=On, RF Input=DownConverter, Ext.Mixer=On | N | N | N

Specifying Nominal Frequency

Enter the nominal value of the carrier frequency.

  1. Press Setup > Nominal Frequency.

  2. Enter the value of the nominal frequency in the data entry field displayed in the upper part of the screen.

  3. When the downconverter is turned on, the RF input is set to Downconverter, and the external mixer is set to Not Used, the function to search for the carrier signal in the specified carrier frequency band and reflect the result to the nominal frequency is available.

  4. You need to specify nominal frequency only when the downconverter is available.

  5. The carrier search function is to detect the input signal frequency with the selected carrier frequency band for the downconverter RF IN (i.e. 3 to 10 GHz or 9 to 26.5 GHz) and reflect the result to the nominal frequency.

    See also Executing Carrier Search Function.

Selecting Measurement Quality

  1. Press Setup > Measurement Quality.

  2. Select the appropriate quality level from the softkey menu list. The available options are Normal and Fast.

  3. To obtain the outline of the measurement data, select “Fast” for the quality level. If you need more precise frequency resolution, select “Normal” for the quality level.

Selecting Measurement Mode

You can select the High-speed measurement mode or Normal-speed measurement mode with the following steps.

  1. Press Setup > Fast Measurement > ON | OFF

  2. ON indicates High-speed measurement mode. When this mode is selected measurement is made only once with a single trigger.

    OFF indicates Normal-speed measurement mode. In this mode measurement is made twice with a single trigger by changing internal settings as the internal spurious are reduced with software process.

Specifying Sweep Range for Offset Frequency

  1. Press Start/Center (Stop/Span) > Start.

  2. Select the sweep start value from the softkey menu list.

    You can select the value from the options: 1 Hz, 10 Hz, 100 Hz or 1 kHz.

  3. Press Stop/Span (Start/Center) > Stop.

  4. Select the sweep stop value from the softkey menu list.

    You can select the value from the options: 100 kHz, 1 MHz, 5 MHz, 10 MHz, 20 MHz, 40 MHz.

  5. Sweep stop values that are selectable differ depending on the selection of the carrier frequency band.

      • For 60 M - 111 MHz

        100 kHz, 1 MHz, 5 MHz, 10MHz, 20MHz

      • For frequency bands other than above

        100 kHz, 1 MHz, 5 MHz, 10 MHz, 20 MHz, 40 MHz

  • The number of measurement points varies depending on the setting value for the sweep range.

Relation Table for Measurement Points and Sweep Range

Start/Stop | 100 kHz | 1 MHz | 5 MHz | 10 MHz | 20 MHz | 40 MHz
1 Hz | 646 | 775 | 865 | 904 | 943 | 982
10 Hz | 517 | 646 | 736 | 775 | 814 | 853
100 Hz | 388 | 517 | 607 | 646 | 685 | 724
1 kHz | 259 | 388 | 478 | 517 | 556 | 595

  • For AM Noise measurement, you cannot use the center value or span value for log sweep.

Setting Average Function and Correlation Number

About DC Voltage Setting and Protection

You can specify DC power/control that is applied to DUT. Refer to Setting DC power/DC control and protection for the setting procedure.

About Auto Frequency Control Function

If this function is turned on, the E5052B will adjust the control voltage automatically so that the output signal frequency from the DUT may keep the specified value. For the setting procedure, refer to the Auto Frequency Control Function.


Confirming Result of AM Noise Measurement

Follow the steps below to confirm the results of the DUT’s AM noise measurement by using the E5052B’s AM noise measurement window.

  • To improve readability and reduce search time, few sections of this topic are combined with similar sections from other measurements in Measurement > Common Settings. Links to these new sections are provided in this topic.

Setting Scale of Measurement Trace (manual setting)

Setting Scale of Measurement Trace (automatic setting)

Setting Trace Offset (manual setting)

Setting Trace Offset (Y-Axis marker setting)

Setting X-Axis Scale (manual setting)

Setting X-Axis Scale (X-Axis band marker setting)

Setting Attenuator

Setting Format

Format options are not available for AM Noise measurement.

Executing Carrier Search Function

When the downconverter is turned on, the RF input is set to Downconverter, and the external mixer is set to Not Used, the function to search for the carrier signal in the specified carrier frequency band and reflect the result to the nominal frequency is available.

  1. Press Setup.

  2. Press Carrier Search to execute the carrier signal search.

  3. The detected signal frequency is reflected on the nominal frequency.

Setting Smoothing

Confirming Measurement Points by Markers

  1. Press Marker to display marker 1 on the screen.

  2. Move marker 1 to the point you want to confirm and read the measurement value displayed in the upper part of the graph. To confirm multiple values, press Marker > Marker x (x=1 to 10), which allows you to display up to marker 10.

Example of Measurement Screen (AM noise - offset frequency characteristics)

  • In this measurement, you cannot specify the sweep time. It will be determined automatically based on the selection of the offset frequency sweep range and the carrier frequency band.

Confirming Spurious


Common Setting

Common Settings

  • Application

  • Auto Frequency Control Function

  • Setting DC power/DC control and protection

  • Setting Window Displays

  • Setting Scale Parameters

  • Setting Trace/View Parameters

  • Setting Average Parameters

  • Setting Trigger

  • Setting External Trigger


Application

The E5052B provides two VBA applications that adds to the functionality of the E5052B. The two applications provided with E5052B are:

  • mmWave

  • Jitter

  • To use Jitter function, you need to separately purchase the E5001A SSA-J Precision Clock Jitter Analysis Software option.

Other topics about Common Settings


Auto Frequency Control Function

  • Overview

  • Specifying Auto Frequency Control Function

Other topics about Common Settings

Overview

The automatic frequency control (AFC) function can quickly set and maintain the DUT output frequency to the target frequency you want. It does this by controlling the internal DC control voltage and using the measurement results obtained by its internal frequency counter. The DC control voltage has to be turned on to use the AFC function.

The AFC status appears in the lower right corner of the measurement screen. Each background color indicates the respective AFC function.

Color | Status
Blue | The function is enabled.
Gray | The function is disabled. Check if the DC Control Output is turned OFF.

  • The AFC starts immediately before the measurement. During a single measurement, the DC control voltage is maintained. Therefore, the DC control voltage will not be changed even if the actual output frequency from the DUT drifts during the measurement.

    Be sure to take this into consideration for the long time measurement, for example, by using the correlation function in the phase noise measurement.

    When the external mixer is set to OFF, the auto frequency control function is not available.

Specifying Auto Frequency Control Function

  1. Press DC Control > Auto Freq Control.

  2. Press Min Ctrl Voltage Limit.

  3. Enter the minimum allowance voltage for DC control to be used for the Auto Frequency Control function, in the data entry field that appears in the upper left of the screen.

  4. Comparing the value entered here with the value specified in Min Ctrl Voltage Limit under the DC Control menu, the E5052B will choose a higher value to apply the limit.

  4. Press Max Ctrl Voltage Limit.

  5. Enter the maximum allowance voltage for DC control to be used for the Auto Frequency Control function, in the data entry field that appears in the upper part of the screen.

  6. Comparing the value entered here with the value specified in Max Ctrl Voltage Limit under the DC Control menu, the E5052B will choose a lower value to apply the limit.

  6. Press Max Input Level.

  7. Enter the maximum level value of the measurement signal that is supplied from the Input port of the E5053A Microwave Downconverter in the Auto Frequency Control function, in the data entry field that appears in the upper part of the screen.

  8. With no settings other than the downconverter is turned on, the RF input is set to Downconverter, and the external mixer is set to Not Used, setting maximum input level is available.

  8. Press Frequency Band.

  9. Select an appropriate frequency band that contains the target carrier signal, from the softkey menu list.

  10. Selectable frequency bands differ depending on whether the E5053A Microwave Downconverter is used and whether the RF input is direct input or downconverter input.

Carrier Frequency Band | Standalone E5052B or Downconverter: OFF | Downconverter: ON & RF Input: E5052B Direct | Downconverter: ON & RF Input: Downconverter
10M - 1.5GHz | Y | Y | N
250M - 7GHz | Y | Y | N
3G - 10GHz | N | N | Y
9G - 26.5GHz | N | N | Y

  10. Press Target.

  11. Enter the target frequency of the output from the DUT in the data entry field that appears in the upper part of the screen. The unit is [Hz].

  12. In the analyzer mode, the frequency band is automatically altered so that the input signal frequency is within the band when the actual input frequency crosses the band.

    Also the E5053A downconverter is automatically controlled to offset the downconverter LO Local Oscillator. In a superheterodyne system, the LO is mixed with the received signal to produce a sum or difference equal to the intermediate frequency (IF) of the receiver. frequency to track the input signal frequency within the IF Intermediate Frequency: the frequency at which a signal is processed after mixing. frequency being fed to the E5052B. Note that the maximum frequency step between the two adjacent measurement points may be limited due to the IF frequency range. Increase the number of measurement points for the E5052B to detect the input signal frequency within the IF frequency, when "Downconverter IF not found" error message is found.

  12. Press Tolerance.

  13. Enter the tolerance (an allowable range of difference between the target frequency and the actual frequency output from the DUT) in the data entry field that appears in the upper part of the screen. The unit is [Hz].

  14. Press Sensitivity.

  15. Enter an approximate control sensitivity of the DUT in the data entry field that appears in the upper part of the screen. The unit is [Hz/V].

  16. Press Max Iteration.

  17. Enter the maximum number of times to perform repetitive measurements and calculation (control -voltage setting loop) for determining the optimum control voltage, in the data entry field that appears in the upper part of the screen.

  18. Press AFC Status.

  19. Select the status of the Auto Frequency Control function from the softkey menu list.

    Softkey

    Function

    OFF

    The Auto Frequency Control will not be performed.

    ON

    The Auto Frequency Control will be performed prior to each sweep.

    Immediate

    The Auto Frequency Control will be performed only once. If the status is changed this during sweep, the sweep will be interrupted and Auto Frequency Control will be performed.

  • The Auto Frequency Control can not be aborted during an operation.

  • The wait time specified in DC Control > DC control Delay is also applied for repetitive measurements to obtain the optimum control voltage during the execution of the Auto Frequency Control function.

  • When the downconverter is turned on, the RF input is set to Downconverter, and the external mixer is set to Not Used, the operation differs depending on whether the AFC Status is ON or Immediate.

    When executed before each sweep with the ON setting, the auto frequency control function is executed assuming that the input signal frequency is near the target frequency (within several hundred MHz). If the input signal is not near the target frequency, the auto frequency control function fails.

    When executed with the Immediate setting, as the auto frequency control function is executed after detecting the input signal by searching for inside the frequency band that is set first in the execution, the auto frequency control function can be executed provided that the input signal is within the frequency band even if it is not near the target frequency.

    As the input signal search is performed first, the time required to complete the auto frequency control function is elongated compared to when it is executed before each sweep with the AFC Status ON setting.


Setting DC power/DC control and protection

  • Overview

  • Setting DC Power

  • Setting DC Control

  • Applying DC Power/DC Control to DUT

Other topics about Common Settings

Overview

You can set the DC power or the DC control that is applied by the E5052B to the DUT not only to protect the DUT but also to perform stable measurements.

The E5052B allows you to set the maximum and minimum allowance levels of DC power/control that are applied to the DUT. This prevents excessive voltage from being applied to the DUT.

Follow the steps below to set the DC voltage and DC power for the DC control measurement.

Setting DC Power

  1. Press DC Power > Max Pwr Voltage Limit.

  2. Enter the maximum allowance voltage of DC power in the data entry field that appears in the upper part of the screen.

  3. Press DC Power > Min Pwr Voltage Limit.

  4. Enter the minimum allowance voltage of DC power in the data entry field that appears in the upper part of the screen.

  5. Press DC Power > DC Power Delay.

  6. Enter the waiting time to suppress DC power until the first measurement is finished in the data entry field that appears in the upper part of the screen.

  7. Press DC Power > DC Power Voltage.

  8. Enter DC power in the data entry field that appears in the upper part of the screen.

Setting DC Control

  1. Press DC Control > Max Ctrl Voltage Limit.

  2. Enter the maximum allowance voltage of DC control in the data entry field that appears in the upper part of the screen.

  3. Press DC Control > Min Ctrl Voltage Limit.

  4. Enter the minimum allowance voltage of DC control in the data entry field that appears in the upper part of the screen.

  5. Press DC Control > DC Control Delay.

  6. Enter the waiting time to suppress DC control until the first measurement is finished in the data entry field that appears in the upper part of the screen.

  7. Press DC Control > DC Control Voltage.

  8. Enter DC control in the data entry field that appears in the upper part of the screen.

    Pressing DC Control > Execute Control Voltage Cal automatically turns on the DC control voltage calibration function. As necessary, press DC Control > Control Voltage Cal to turn ON/OFF the DC control voltage calibration function.

  9. You must perform this calibration every time you power on the instrument, since the DC control calibration is cleared when the power is turned off.

Applying DC Power/DC Control to DUT

  1. Press DC Power > DC Power Output to turn ON/OFF the DC power output.

  2. Press DC Control > DC Control Output to turn ON/OFF the DC control output.


Setting Window Displays

  • Setting Window Layout

  • Labeling a window

  • Setting Display Magnification

  • Resizing the Screen

Other topics about Common Settings

Setting Window Layout

When displaying two or three windows in the E5052B firmware, it is possible to specify screen layout using Layout Window option.

To use Layout Windows option, press Measurement View > Show Window > Layout Window > Two Windows | Three Windows

  • Layout Window option is activated only when only two or three windows are displayed on the E5052B firmware.

    If only two windows are visible (for example: PN and BB), then only the Two Windows option will be activated.

    If only three windows are visible (for example: AM, TR and FP), then only the Three Windows option will be activated.

Labeling a window

It is possible to assign a unique name to a window/trace and display it on the screen. This feature is useful in saving and/or printing measurement result for future reference.

Labeling a window

  1. Press Window Next/Trace Next keys to select the window/trace to be labeled.

  2. Press Trace/View key.

  3. Click Trace Label, then the title label input dialog box appears.

  4. Using the keys in the dialog box, type a label (for example: "device 1") and click Enter.

Editing Title Label

  1. Press Window Next/Trace Next keys to select the window/trace to be labeled.

  2. Press Display key.

  3. Click Edit Title Label, then the title label input dialog box appears.

  4. Using the keys in the dialog box, type a label and click Enter.

  5. Click Title Label to turn on the title display. The title will appear within a frame at the top of the measurement window.

Setting Display Magnification

You can reset the display magnification to Small, Normal (default) or Large.

The selection procedure is as follows:

  1. Press System > Misc Setup > Display Setup > Magnification.

  2. Click Normal, Small or Large.

Resizing the Screen

You can resize the E5052B screen by minimizing, maximizing or restoring it to its original size.

The resizing procedure is as follows:

  1. Click Resize at the top right corner of the screen.

  2. A drop-down menu prompts and the available options are:

Softkey | Function
Restore | Restores the screen to its default size.
Minimize | Minimizes the screen.
Maximize | Displays the screen in full page size.

  3. Click Restore, Minimize or Maximize.

  4. When the screen is resized according to an option, its related softkey is disabled. For example, when the screen is displayed in full page size, Maximize is disabled.

Another option to minimize the E5052B screen is by using the Softkey and the procedure is as follows:

  1. Press Display.

  2. Click Minimize E5052B.

You can also hide and restore the Menu Bar of the E5052B screen and the procedure is as follows:

  1. Press Display.

  2. Click E5052B Menu bar.

  3. Click ON to restore the menu bar.

  4. Click OFF to hide the menu bar.


Setting Scale Parameters

  • Setting Scale of Measurement Trace (automatic setting)

  • Setting Scale of Measurement Trace (manual setting)

  • Setting X-Axis Scale (manual setting)

  • Setting X-Axis Scale (X-Axis band marker setting)

  • Setting the scale by using the mouse

Other topics about Common Settings

The following two types of setting scale of measurement trace are available in the E5052B:

  • Setting the scale using front panel keys.

  • Setting the scale using the mouse.

For setting the scale using the mouse, see Setting the scale using the mouse. The procedure to set the scale using front panel keys are as follows.

Setting Scale of Measurement Trace (automatic setting)

You can use Scale > Auto Scale to set the scale of measurement trace automatically.

  1. If you want the scale setting for Frequency Power and Transient measurement to be performed automatically for all the measurement traces, press Scale > Auto Scale All.

Setting Scale of Measurement Trace (manual setting)

Follow the steps below to set the scale of the measurement trace manually:

  1. Press Scale > Divisions.

  2. Enter the number of divisions by scale for the Y-Axis in the data entry field that appears in the upper part of the screen.

  3. Press Display > Y # of Digits.

  4. Select the number of digits for Y-Axis in the softkey menu. Available options are OFF, 4-digits, 8-digits, and 12-digits.

    • Measurement

      Note

      Frequency power

      Set the number of digits for Y-Axis display for each measurement mode. Therefore, when the number of digits for Y-Axis is changed in the frequency measurement, those for the RF Radio Frequency (from approximately 50 kHz to approximately 3 GHz, whenever a signal is radiated through the air), power measurement and the power supply DC current measurement are also changed.

      Transient

      Set the number of digits for Y-Axis display for each measurement mode. Therefore, when the number of digits for Y-Axis display is changed in the frequency transient (wide band) measurement, those for frequency transient (narrow band) measurement, power transient measurement and phase transient measurement are also automatically changed.

      Baseband

      The values of Scale top and Scale bottom can be set using Scale > Top and Scale > Bottom. Top sets the maximum value of Y-axis and Bottom sets the minimum value of Y-axis.

  5. Press Scale > Relative Y-Scale.

  6. Enter the value of Relative Y-Scale Position as ON/OFF.

  7. Press Scale > Reference Position.

  8. Enter the position of the scale reference line in the data entry field that appears in the upper part of the screen.

    The position of the scale reference line must be specified by any of the numbers assigned to the Y-Axis scale, from 0 (minimum scale) to the number of divisions (maximum scale).

  9. Press Scale > Reference Value.

  10. Enter the value of the scale reference line in the data entry field that appears in the upper part of the screen.

    1. The reference value unit varies depending upon the measurement menu and format setting.

  11. Press Scale > Marker -> Reference.

  12. Select the marker as a reference value. The value is determined by Reference Value.

  13. Press Scale > Progress Indicator.

  14. Enter the value of Progress Indicator as ON/OFF.

  15. Press Scale > Scale/Div.

  16. Enter the value per scale in the data entry field that appears in the upper part of the screen.

    1. The unit varies depending upon the measurement menu and format setting.

Setting X-Axis Scale (manual setting)

Follow the steps below to set the maximum/minimum display values of the X-Axis. This is used when you want to enlarge a part of the displayed trace.

  1. Press Scale > X Axis > Auto to turn On/Off the auto adjustment of the X-Axis scale.

  2. Press Scale > X Axis > Left

  3. Enter the display start value of the X-Axis in the data entry field that appears in the upper part of the screen.

  4. Press Scale > X Axis > Right

  5. Enter the display stop value of the X-Axis in the data entry field that appears in the upper part of the screen.

  6. For USER measurement, additional values of X Unit, Y Unit & X Axis Type can be set.

  7. Enter the label you want to provide in User Measurement X axis by pressing Scale > X Unit.

  8. Enter the label you want to provide in User Measurement Y axis by pressing Scale > Y Unit.

  9. Select the X axis type to Linear/Logarithmic by pressing Scale > X Axis Type.

  10. The unit varies depending upon the measurement menu and format setting.

  11. When you want to return the display start/stop values to the original ones, press Scale > X Axis - Auto to turn on the auto adjustment of the X-Axis scale.

Setting X-Axis Scale (X-Axis band marker setting)

When the band marker of the X-Axis is displayed, the X-Axis scale can be adjusted to the band marker setting. The procedure is as follows.

  1. Press Scale > X Axis > Band Marker -> X Axis

Setting the scale using the mouse

The displayed area of measurement trace can be scaled by specifying the area with a mouse. This function also enables an auto scale.

  • When you use this function, you must connect the mouse to the E5052B.

  • In the Transient Measurement, specifying the area on the displayed measurement trace in the wide band enables to display the same area in narrow band. See the Setting the X axis,_Target Frequency or Frequency Range by using the mouse.

Zoom-in

  1. Drag (Press) a right button on a mouse in the measurement trace area of display.

  2. Move the mouse to the desired point with pressing the right button on the mouse. The rectangle frame is displayed.

  3. Release the right button to specify the rectangle frame area. Dialog box for action for scale is displayed. (See the following table.)

  4. Select the scale type in the dialog box.

  5. Click the OK button.

  6. If you selected to a small area, auto scale type is displayed.

Zoom-out

  1. Click a right button on a mouse in the measurement trace area of display.

  2. Dialog box for action for auto scale is displayed. (See the following table.)

  3. Select the auto scale type in the dialog box.

  4. Click the OK button.

Selecting Basic Scale Type

Scale Type | Operation
Scale X & Y | The area of specified rectangle frame is enlarged to fit the full display area.
Scale X | The X axis of display is set at X axis of the specified rectangle frame. The scale for Y axis is not changed.
Scale Y | The Y axis of display is set at Y axis of the specified rectangle frame. The scale for X axis is not changed.
Auto Scale X & Y | Set the full scale for X axis and adjust the Y axis scale to fit the displayed trace data.
Auto Scale X | Set the full scale for X axis.
Auto Scale Y | Executing the auto scale on the Y axis.

The following figure is the example of the selected to "Scale X & Y".


Setting Trace/View Parameters

  • Setting Smoothing

  • Setting Data Hold

  • Setting Trace Offset (manual setting)

  • Setting Trace Offset (Y-Axis marker setting)

  • Setting Persistence

  • Recall Memory/Data Trace

Other topics about Common Settings

Setting Smoothing

You can use the smoothing function to reduce the trace noise. Follow the steps below to use this function:

  1. Press Trace/View > Aperture.

  2. Enter the value of the smoothing aperture (%) in the data entry field that appears in the upper part of the screen.

  3. Press Trace/View > Smoothing to turn on the smoothing function.

Setting Data Hold

You can use the Data Hold to hold the measurement data to Maximum or Minimum values. Follow the step below to use this function:

  1. Press Trace/View > Data Hold > Off | Maximum | Minimum

Softkey | Description
Off | Data hold is not enabled
Maximum | Maximum is to keep holding the trace data with the maximum line.
Minimum | Minimum is to keep holding the trace data with the minimum line.

Setting Trace Offset (manual setting)

You can add an offset value to the displayed trace. Follow the steps below to use this function:

  1. Press Trace/View > Offset

  2. Enter the offset value to be added to the trace in the data entry field that appears in the upper part of the screen.

  3. The unit varies depending upon the measurement menu.

Setting Trace Offset (Y-Axis marker setting)

When the marker is displayed, the value of the active marker is used as the offset value. The procedure is as follows.

Move the active marker to the position of the measurement value that you want to set as the reference.

  1. Press Trace/View > Marker->Offset

  • Even when the reference marker mode is on and the active marker displays a Δ value, the value of the active marker is used as the offset value.

    When the offset value has already been set, that value is overwritten.

    When an active marker does not exist, this function is not available.

Setting Persistence

You can set Persistence Mode to On/Off and can clear Persistence data using the E5052B Persistence. Follow the steps below to use this function:

  1. Press Trace/View > Persistence

  2. Click Persistence > Persistence Mode to set persistence mode ON/OFF.

  3. Click Persistence > Clear Persistence Data to clear persistence data.

Recall Memory/Data Trace

Recall Memory/Data trace is a function to recall previously saved information (in trace data file) for memory or data traces. On recalling, if the File data and the value of X-Axis at the display point on the screen is different, the results are computed using interpolation (liner interpolation).

  • The range of the X-Axis remains in accordance with the displayed range. However, if there is no data within the effective (displayed) range of X-axis, the value is set as a flat value.

An error occurs in Data/memory trace recall when:

• Trace Data and displayed Data X-axis range is not overlapped.

• Data is having same frequency but different Y-axis value.

• The string is having additional characters in the middle of data.

• The row corresponding to X-axis value within data is not in an ascending parallel format.

• Either X or Y data is damaged in the process.

• # of NOP is the same. (Other setting is set with Error).

Recall Memory Trace

You can recall a previously saved memory trace data using Save/Recall option of E5052B. To recall a memory trace:

  1. Press Save/Recall > Recall Memory Trace...

  2. Select the memory trace file (.csv) to be recalled.

  3. Click Open.

Recall Data Trace

You can recall a previously saved data trace data using Save/Recall option of E5052B. To recall a data trace:

  1. Press Save/Recall > Recall Data Trace...

  2. Select the data trace file (.csv) to be recalled.

  3. Click Open.


Setting Average Parameters

  • Setting Average Function

  • Setting Averaging Trigger

  • Setting Attenuator

Other topics about Common Settings

Setting Average Function

Follow the steps below to use the averaging function.

  1. Press Avg/BW > Avg Factor.

  2. Enter the number of times for averaging in the data entry field that appears in the upper part of the screen.

  3. Press Avg/BW > Averaging to turn on the averaging function.

For Phase Noise, Segment Phase Noise, AM and BaseBand measurement follow the steps below to use the Correlation Number.

  1. Press Avg/BW > Correlation.

  2. Enter the value of the correlation number in the data entry field that appears in the upper part of the screen.

  3. If it takes more than one second for one sweep, you will see a "|" character rotates on the measurement status, which indicates the measurement is in progress.

    And if it takes more than two seconds for one sweep, under the conditions that the number of correlation is set to more than two, you will see the progress bar in the left of the measurement status.

    For more details on cross-correlation technique, refer to Cross Correlation Technique.

For Spectrum Monitor measurement, follow the steps below to use averaging number and resolution bandwidth

  1. Press Avg/BW > Avg Factor.

  2. Enter the number of times for averaging in the data entry field that appears in the upper part of the screen.

  3. Press Avg/BW > Averaging Type to select the averaging type. You can choose either Log-Pwr Avg or Pwr Avg(RMS).

  4. Press Avg/BW > Averaging to turn on the averaging function.

  5. Press Avg/BW > RBW.

  6. Enter the RBW value in the data entry field that appears in the upper part of the screen.

    You can select the value from the options: 1.53 Hz, 6.1 Hz, 24.4 Hz, 97.7 Hz, 391 Hz, 1.56 kHz, 6.25 kHz, 25 kHz, 100 kHz, 400 kHz, 1.6 MHz.

Setting Averaging Trigger

Follow the steps below to use the averaging trigger.

  1. Press Trigger > Average Trigger to toggle ON/OFF the averaging trigger.

When the averaging trigger is set to ON, a single activation of the trigger system can perform the number of measurements set by the user as the averaging factor.

The following table shows how this function works by pressing Trigger > Single when the averaging trigger is on and off.

Averaging Trigger | Operation
ON | Executes state transitions among Waiting for Trigger, Trigger, and Measurement for the number of times set for averaging and then changes to the Hold state.
OFF | Enters Waiting for Trigger state once and then changes to the Hold state after measurement is completed.

  • The averaging function (Setting Average Function) must be set before enabling the averaging trigger.

Setting Attenuator

When the input level is very high, a message may appear to prompt you to adjust the attenuator. In this case, follow the steps below to adjust the attenuator.

  1. Press Attn > Input Attenuator to enter the attenuator value in the data entry field that appears in the upper part of the screen.

    You can select the value from the options: 0 dB, 5 dB, 10 dB, 15 dB, 20 dB, 25 dB, 30 dB or 35 dB. The appropriate input level is between 0 and 5 dBm, depending on the type of measurement or the characteristics of the DUT. Adjust the attenuator so that the input level of the RF port approximates this range.

    Nominal Input Range

    Attenuator (dB)

    + 15 dBm ~ + 20 dBm

    35

    + 10 dBm ~ + 20 dBm

    30

    + 5 dBm ~ + 20 dBm

    25

    0 dBm ~ + 20 dBm

    20

    - 5 dBm ~ + 20 dBm

    15

    - 10 dBm ~ + 15 dBm

    10

    - 15 dBm ~ + 10 dBm

    5

    - 20 dBm ~ + 5 dBm

    0

  2. When the downconverter is turned on, the RF input is set to Downconverter, and the external mixer is set to Not Used, the attenuator value is fixed to 10 dB.


Setting Trigger

  • Overview

  • Setting Trigger Coupling

  • Setting Trigger Source

Other topics about Common Settings

Overview

The E5052B has seven measurement function: phase noise measurement, spectrum monitor measurement, frequency/power measurement, transient measurement, AM noise measurement, baseband noise measurement and segment phase noise measurement. Because individual measurements differ in their characteristics from one another, the E5052B’s each trigger is used exclusively for a single measurement function.

In other words, only one measurement function can be triggered at a time, and only this function can perform measurement at this time.

The E5052B has a trigger model for each measurement (Trigger System); however, only one triggered measurement can take place at a time. This is because the hardware and the trigger port are shared by seven instruments. For example, even if the continuous initiation mode is enabled for all measurements and the trigger source is set to Internal, only one triggered measurement takes place.

At the default setting, activating a measurement (Window Next or Meas/View > Show Window) is independent of the trigger distribution (Trigger > Trigger to {measurement label}). Even if you change the active window, the trigger is not applied to it until the trigger distribution is changed to the measurement. From the firmware revision A.03.20, the trigger distribution can be linked with the activated measurement (see trigger coupling). This function enables changing the trigger distribution automatically when you change the active window.

Setting Trigger Source

  1. Press Trigger > Source.

  2. Select the Trigger Source from the softkey menu list.

  3. Press Trigger > Trigger to {measurement label} to send a trigger to the measurement. By default, Continuous is selected for sweep. You can also hold the trigger by selecting Trigger > Hold can provide a single trigger by selecting Trigger > Single.

Setting Trigger Coupling

This function couples the trigger mode with the active window. You can select the trigger mode coupled or trigger mode uncoupled with the following steps.

  • When trigger couple is on and trigger signal is entered continuously, the measurement is made immediately and the trace is overwritten after the active window is changed.
    To avoid this, set trigger couple to OFF, or change the active window after the trigger is hold.

  1. Press Trigger > Window Couple > ON |OFF. The default setting is OFF.

If you change the active window, the trigger mode changes. There is a possibility that active window changes because of the following operations.

  • Execute the SCPI.DISPlay.WINDow.ACTive command.

  • Execute the SCPI.DISPlay.xx.STATe command.

  • Select the Window Next or Meas/View > Show Window.

  • Click the measurement window on the screen.

  • Even if trigger mode is changed in SCPI.TRIGger.MODE command, the active window is not changed.


Setting External Trigger

  • Overview

  • Connecting to the External Trigger Input Connector

  • Selecting Trigger Source

  • Setting External Trigger Output

Other topics about Common Settings

Overview

When the trigger source is set to External, the input signal is regarded as the start trigger of measurement, which is transmitted to the external trigger input connector (Ext Trig) from the external instruments. When the connector detects more than 20 us of pulse transition upward or downward, a measurement starts. A TTL compatible signal is used as the trigger signal.

Follow the steps below to set up the external trigger.

Connecting to the External Trigger Input Connector

Connect the trigger output connector of the external instrument to the E5052B’s EXT TRIG connector on the rear panel.

Selecting Trigger Source

  1. Press Trigger > Source.

  2. Select External from the softkey menu list.

  3. Press Trigger > Ext Trig Polarity to select the polarity of the external trigger. You can select either Positive (upward) or Negative (downward).

Setting External Trigger Output

  1. Press Trigger > Ext Trig Output.

  2. Select State > ON | OFF from the softkey menu list.

  3. Select Polarity to select the polarity of the external trigger output. You can select either Positive or Negative.

  4. Select Selection to set the trigger timing. You can select either Sweep end or Analog meas end.

  • Sweep end sets the trigger timing when the measurement and data calculation are completed as shown in the figure below.

    Analog meas end     sets the trigger timing after completing the analog measurement, and before calculating the data as shown in the figure below.


User Measurement

This topic describes settings for User measurement menu.

User Format

No options are available for Format in User measurement menu.

User Start/Center

No options are available for Start/Center in User measurement menu.

User Stop/Span

No options are available for Stop/Span in User measurement menu.

User Trigger

No options are available for Trigger in User measurement menu.

User Setup

No options are available for Setup in User measurement menu.


User Calibration

User calibration is a function to correct the power value using correction data set for the following measurement results.

Measurement Mode | Measurement Value to be Corrected
Phase noise | Carrier signal level
AM Noise | Carrier signal level
Spectrum monitor | Measurement value (array)
Frequency/power measurement | Power measurement value (array)
Transient measurement | Power measurement value (array)

This section describes the following topics about User Calibration:

  • Setting User Calibration Function

  • Format of correction data

  • Correction method


Setting User Calibration Function

Loading Correction Data From CSV File

Load a correction data file written in CSV format to the E5052B. Follow these steps.

  1. Press System > Instrument Setup > Correction > Import Power Correction Table.

  2. Select a correction data file you want to load from the softkey file list.

    CSV files (extension:.csv) in the surgical folder in the F: drive are listed as softkeys.

  3. To load a correction data file from a floppy disk, other media, or another folder, follow these steps.

    1. Press System > Instrument Setup > Correction > File Dialog ....

    2. Select a correction data file you want to load from the file dialog box.

Turning On/Off User Correction Function

Reflect the loaded correction data. Follow these steps.

  1. Press System > Instrument Setup > Correction.

  2. Press Power Correction to turn on the user calibration function for correction data.

Other topics about User Calibration


Format of correction data

Format of correction data file

  • Writing Correction Data File

  • Restrictions on Writing

Other topics about User Calibration

Correction data files must be written in CSV format.

Writing Correction Data File

Write a frequency value and a correction value for the frequency with a comma (,) separator. Deal them as a pair, and write pairs for all correction points with comma separators.

Line break characters are recognized as data separators in the same way as commas. Therefore, two formats as shown below are available: writing pairs in a single line, or writing a pair of a frequency value and a correction value in each line.

Write frequencies in Hz, and correction values in dB.

Example of Data Written in Single Line

10E+6,0.04,100E+6,0.06,200E+6,0.07,300E+6,0.06

Example of Data Written in Multiple Lines

10E+6,0.04
100E+6,0.06
200E+6,0.07
300E+6,0.06

Restrictions on Writing

There are some restrictions on writing correction data files. They are:

1. The maximum number of data items is 1001. Data after that is ignored when loaded.

2. Lines that start with a pound sign (#) are skipped as comment lines. Data in those lines is not recognized.

3. Data must be written in the order from data for the smallest frequency to data for the largest. If data for a frequency equal to or smaller than the previous one is read, the read operation ends immediately. This does not cause any error, and the correction data immediately before the end of the read operation is reflected.


Correction method

Power data correction is performed as follows. (The correction value is Corr shown below.)

Data after correction (dBm) = data before correction (dBm) + Corr (dB)

If the power data frequency to be corrected is smaller than the minimum frequency in the loaded data, the correction coefficient for the minimum frequency is used for correction.

If the power data frequency to be corrected is greater than the maximum frequency in the loaded data, the correction coefficient for the maximum frequency is used for correction.

If the power data frequency to be corrected does not match any frequency in the loaded data, the correction coefficient obtained by linear interpolation of the nearest 2 points is used for correction.
In this case, a correction coefficient after linear interpolation (Corr') is used for calculation.

Data after correction (Watt) = data before correction (Watt) x correction value (Corr')

Corr' = 10 ^ (Corr / 10)

  • Note that correction is made before determining raw data. In other words, corrected values are stored as raw data. For more information on raw data, see Internal data processing in Reading/writing measurement data.

Other topics about User Calibration


Measurement Using E5053A and External Mixer

  • E5053A Microwave Downconverter

  • External Mixer

  • Frequency Offset Function

  • Making phase-noise measurement above 26.5 GHz


E5053A Microwave Downconverter

The Agilent E5053A is a microwave downconverter associated with the E5052B signal source analyzer. The E5053A expands the maximum frequency of the E5052B to 26.5 GHz.

  • Name and Function of Parts

  • Connection of E5052B and E5053A

  • Device configuration using E5052B and E5053A

  • Setting E5053A Microwave Downconverter

  • Effects of setting Downconverter


Name and Function of Parts

  • Front Panel

  • Rear Panel


Front Panel

Front Panel Name and Functions of Parts

The names and functions of the parts on the front panel of the E5053A are described below.

Front Panel

  1. Line switch

Turns ON/OFF the E5053A.

  2. IF/LO (channel 2) input/output port

When using an external mixer, disconnect this port.

  3. IF/LO (channel 1) input/output port

When using an external mixer, disconnect this port.

  4. RF (channel 2) input/output port

Connect to the E5052B (signal source analyzer) with the RF cable.

  5. RF (channel 1) input/output port

Connect to the E5052B (signal source analyzer) with the RF cable.

  • Do not apply a DC current or DC voltage to ports 2 - 5 to avoid device failures. Do not connect the measurement sample (DUT) to the port.

The individual ports comply with Installation Category I of IEC60101-1.

  6. RF input port

Input the RF output signal (signal to be measured) from the DUT. A 3.5-mm (female) connector is used.

  • Do not apply a DC voltage greater than 0 V to the connection port. In particular, there is the risk of the capacitor remaining charged. Connect the measurement sample (DUT) after the analyzer has been completely discharged.

  • Take antistatic measurements when operating the product.

  • Because the E5053A includes semiconductor internal parts that may be damaged by static electricity through the input ports, take appropriate antistatic measures when operating it.

The port complies with Installation Category I of IEC61010-1.


Rear Panel

Rear Panel Name and Functions of Parts

The names and functions of the parts on the rear panel of the E5053A are described below.

Rear Panel

1. USB interface port

Connect to the USB port on the rear panel of the E5052B signal source analyzer with the USB cable.

Connector type: Universal serial bus jack, B type (four contacts); female

  • Connection of devices other than the E5052B signal source analyzer to the USB port is not supported.

2. External reference signal input connector channel 1/channel 2 (Ref In)

A reference signal input connector in order to phase-lock the E5053A measurement signal with an external frequency reference signal. Supplying a reference signal to this connector improves the accuracy and stability of the E5053A’s measurement signal frequency.

Channel 1 | Connect to the 10 MHz Ref Out connector of the E5052B with a BNC cable.
Channel 2 | Connect to the Channel 1 Ref Out of the E5053A with a BNC cable.

Connector type: BNC connector, female
Input signal (typical): 10 MHz ± 10 Hz, 0 dBm ± 5 dB

3. Internal reference signal output connector channel 1/channel 2 (Ref Out)

Channel 1 | Connect to the Channel 2 Ref In of the E5053A with a BNC adapter.
Channel 2 | A connector for outputting the internal frequency reference signal from the E5053A. By connecting this output connector to the external reference signal input connector of another device, the device can be phase-locked to the internal reference signal of the E5053A and used under this condition.

Connector type: BNC connector, female
Output signal (typical): 10 MHz ± 50 Hz, 2.5 dBm ± 3 dB
Output impedance (nominal): 50 ohm

4. Serial number plate

The seal showing the serial number of the E5053A.

5. Power cable receptacle

The receptacle to which the power cable is connected.

  • Too feed power, use the included three-prong power cable with a ground conductor.

    The plug attached to the power cable (on the power outlet side or device side of the cable) serves as the disconnecting device (device that cuts off power supply) of the E5053A. When the power supply must be cut off to avoid danger such as eclectic shock, pull out the power cable plug (on the power outlet side or device side of the cable). The procedure for turning off the mains in normal use is given in Line switch.


Connection of E5052B and E5053A

This section describes hardware configurations and setups when using the E5053A Microwave Downconverter with the E5052B.

Connection of E5052B and E5053A

Required Devices

Following devices are required when configuring the E5052B and E5053A Microwave Downconverter:

  • E5052B

  • E5053A Microwave Downconverter

  • RF cables of 2 types × 2 (supplied with the E5053A, Agilent part number: E5053-61621, E5053-61622)

  • USB cable (supplied with the E5053A, Agilent part number: 8121-0770)

  • BNC cable (supplied with the E5053A, Agilent part number: 8120-1839)

  • BNC adapter (supplied with the E5053A, Agilent part number: 1250-1859)

Connecting E5052B and E5053A Microwave Downconverter

Check the following connections on the rear panel before turning on both the E5052B and the E5053A, as shown in Connection of the E5052B and the E5053A (rear view).

  • USB Cable (PN: 8121-0770): Connecting the USB ports of both the E5052B and E5053A.

  • BNC Cable (PN: 8120-1839): Connecting the E5052B internal reference signal output port (Ref Out) and the E5053A external reference signal input port (Ref In) of the channel 1.

  • BNC Adaptor (PN: 1250-1859): Connecting the internal reference signal output port (Ref Out) of the channel 1 and the internal reference signal input port (Ref In) of the channel 2 on the E5053A rear panel.

Connection of the E5052B and the E5053A (rear view)

When the narrow-narrow mode in the transient measurement is selected, the Ref Out 2 connector on the E5053A should be connected with the Ref In 1 connector on the E5052B as shown in the following figure. If external signal source is used, is should be connected with the Ref In 2 connector on the E5052B.

Connection of the E5052B and the E5053A (rear view) : Narrow-Narrow Mode

  • Do not connect or disconnect the USB cable during the measurement.

Check the following connections on the front panel as shown in Connection of E5052B and E5053A (front view).

  • RF Cable (PN: E5053-61621): Connecting the E5052B RF output ports and the E5053A RF input ports

  • RF Cable (PN: E5053-61622): Connecting the E5052B RF input ports and the E5053A RF output ports

  • When mounting the E5053A and the E5052B with the rack mount kit, use the following RF cables.

  • RF Cable (PN: E5053-61623): Connecting the E5052B RF output ports and the E5053A RF input ports

  • RF Cable (PN: E5053-61624): Connecting the E5052B RF input ports and the E5053A RF output ports

Connection of E5052B and E5053A (front view)

  • Use the torque wrench when the semi-rigid cable or adapter is fastened on the following connectors of E5052B and E5053A. The recommended torque and open-ended wrenches are shown below.

Connector | Recommended Torque | Recommended Wrench
SMA | 5.7 kgf-cm (56 N-cm/ 5 in-lb) | Wrench PN 8710-1582
3.5 mm | 9.2 kgf-cm (90 N-cm/ 8 in-lb) | Wrench PN 8710-1765

Turning On E5053A Microwave Downconverter

Turn on the E5053A Microwave Downconverter first, and then turn on the E5052B.

The E5052B automatically detects the E5053A Microwave Downconverter whenever it is connected. If there's an auto recall file, the instrument state is also set along with the settings defined in the auto recall file.

  • When the E5052B fails to detect the downconverter and you try to activate the E5053A Microwave Downconverter, "No downconverter unit connected" error message is displayed. In this case, the E5052B instrument state is initiated as the settings of the E5052B standalone by the firmware, even if there's an auto recall file that includes any instrument setups that relate the E5053A settings.

    See also Selecting Device Configuration for more information.


Device configuration using E5052B and E5053A

There are 4 types of device configurations using the E5052B and the E5053A Microwave Downconverter including the standalone use of the E5052B: A-1, A-2, B, and C (See the figure below).

Device Configurations Using E5052B and E5053A

The device configurations of the E5052B and the E5053A Microwave Downconverter are classified by the following factors.

  • Connection of the USB cable

  • Input port for DUT signals (the RF IN port of the E5052B or the INPUT port of the E5053A)

  • Connection of the RF1 and RF2 ports

  • The device configuration A-1 (standalone use of the E5052B) includes the configuration where the E5053A Microwave Downconverter is not turned on and the configuration where no USB cable is connected.

Selecting Device Configuration

Following items should be specified in order to identify the device configuration: A (A-1, A-2), B, or C.

Configuration | Description
Downconverter | On/off Input > Downconverter - Downconverter [ON | OFF]
Input port for DUT signals | E5052B RF IN port/E5053A INPUT port Input > Downconverter - RF Input - Downconverter | E5052B Direct

The device configuration A-2 is a configuration where the E5053A Microwave Downconverter is turned on and the USB cable is connected, but the E5053A Microwave Downconverter is disabled by the firmware. The basic functions available with this configuration is the same as those in A-1.

The device configuration B is a configuration where the E5053A Microwave Downconverter is enabled by the firmware, and the input port for the DUT signals is set to the RF IN port of the E5052B.

The device configuration C is a configuration where the E5053A Microwave Downconverter is enabled by the firmware, and the input port for the DUT signals is set to the INPUT port of the E5053A.

Discrepancy Between Device Configuration and Setting

The firmware recognizes none of discrepancy between the device configuration and settings but connection of the USB cable. Therefore, the E5052B performs processing based on the firmware setting which could be different than actual connection of the input port for the DUT signals or connection of the RF1 and RF2 ports. In this case, measurement cannot be performed properly. In addition, an error may occur during measurement.

The connection of the USB cable is recognized by the firmware, therefore discrepancy in each configuration can be eliminated as described below.

  • Configuration A-1 (when the E5053A Microwave Downconverter is not present)

    You cannot activate the downconverter setting with the softkey. You can activate it by loading a configuration file with the downconverter setting enabled, but an error "No downconverter unit connected." appears.

    To correct this error, deactivate the downconverter setting, or connect the E5053A Microwave Downconverter.

  • Configurations A-2, B, and C (when the E5053A Microwave Downconverter is present)

    When power-on the E5052B, connection is checked and the downconverter setting is automatically activated if the E5053A Microwave Downconverter is recognized. Note that, if Auto Recall is set, the setting loaded by the function will be used.

  • When the E5053A Microwave Downconverter is added to the configuration

    When the E5053A Microwave Downconverter is turned on (previously off) or the USB cable is connected (previously not connected), the downconverter setting remains disabled. It is not activated automatically. You need to activate the downconverter setting.

  • When the E5053A Microwave Downconverter is removed from the configuration

    When the E5053A Microwave Downconverter is present in the configuration and it is turned off or the USB cable is disconnected, the E5052B does no particular action if the downconverter setting is disabled. If the downconverter setting is activated, an error "No downconverter unit connected." appears.

    Take the same corrective action as that for configuration A-1.


Setting E5053A Microwave Downconverter

This section describes the differences of the settings when the E5053A Microwave Downconverter is used from that of the E5052B standalone operations.

Common to All Measurement Modes

  1. Setting Downconverter and External Mixer

Follow these steps to make the setting when using the E5053A Microwave Downconverter.

    1. Press Preset > Factory

    2. Press Input > Downconverter.

    3. Press Downconverter to toggle on/off.

    4. If the Downconverter is turned on, press RF Input > Downconverter | E5052B Direct to select an RF input source.

    5. If the Downconverter is turned on and the RF input is set to Downconverter, press External Mixer - Not Used | ON to select whether to use the external mixer.

    6. The settings when using the Downconverter and the external mixer include:

        • Setting of LO frequency and power

        • Setting of DC bias current (CH1, CH2)

        • Setting of IF gain inside Downconverter

        • Setting of Downconverter ΔIF frequency

  2. Selecting the input port

The RF input port has to be selected first depending on the device configuration as well as the carrier frequency range. Selecting External Mixer ON is available only when Downconverter ON is selected AND Downconverter is selected in the RF Input menu.

Input > Downconverter > External Mixer > Not Used | ON

  3. Setting of the attenuator

For the device configuration C in Device Configurations Using E5052B and E5053A, the attenuator setting is fixed to 10 dB when the external mixer is off. For the device configurations A (A-1, A-2) and B and the device configuration C with the external mixer on, you can change the attenuator setting.

Attn > Input Attenuator

Phase-noise Measurement

The following settings for phase-noise measurement mode differ from the settings when using the E5052B alone.

  1. Setting of the carrier frequency band

    Set the frequency band for the carrier frequency.

Setup > Frequency Band > 10 M - 41 MHz | • • • | 9 G - 26.5 GHz

Frequency Band | Range
Band 1 | 10 M - 41 MHz
Band 2 | 39 M -101 MHz
Band 3 | 99 M -1.5 GHz
Band 4 | 250 M - 7 GHz (300 M - 3 GHz)
Band 5 | 3 G -10 GHz
Band 6 | 9 G - 26.5 GHz

For the device configuration A in Device Configurations Using E5052B and E5053A, you can set Band 1 to Band 4. You cannot specify Band 5 and Band 6.

For the device configuration B, you can set Band 1 to Band 4. Note that the frequency range of Band 4 is changed to 300 M - 3 GHz. You cannot specify Band 5 and Band 6.

For the device configuration C, you can set Band 5 and Band 6 when the external mixer is off. You cannot specify Band 1 to Band 4.

  1. For the device configuration C with the external mixer ON, actual settings are dependent on the external mixer settings and/or the frequency function used. For more information, see External Mixer and Frequency Offset Function.

  2. Input of the nominal frequency

    Set the nominal frequency of the carrier frequency.

Setup > Nominal Frequency

You can make this setting only when the device configuration is C in Device Configurations Using E5052B and E5053A and the external mixer is off. If the device configuration is C with the external mixer on or if the device configuration is A or B, you cannot make this setting.

The allowable range is limited by the range of the carrier frequency band.

  3. Carrier search function

This function searches for the carrier signal, and reflects the result on the nominal frequency. To execute this function:

Setup > Carrier Search

You can execute this function only when the device configuration is C in Device Configurations Using E5052B and E5053A and the external mixer is off. If the device configuration is C with the external mixer on or if the device configuration is A or B, you cannot execute this function.

The range to be searched is the range of the carrier frequency band.

  4. Display of the carrier power

Information on the carrier signal is displayed.

For the device configuration A in Device Configurations Using E5052B and E5053A, the measurement value of the power meter of the E5052B is displayed.

For the device configurations B and C, the measurement value of FFT is displayed.

Spectrum Monitor Measurement

The following settings for spectrum monitor measurement mode differ from the settings when using the E5052B alone.

1. Start, Stop, Center, Span frequencies

Set the 4 frequencies to determine the sweep range.

Start/Center (Stop/Span) > Start (Stop, Center, Span)

For the device configuration A in Device Configurations Using E5052B and E5053A, the following limits are applied.

Setting | Range
Start | 9 M -6.99999995 GHz
Stop | 10.00005 M -7.0075 GHz
Center | 10 M -7 GHz
Span | 100 - 15 MHz

For the device configuration B, the upper limit of Center is 3 GHz, and that of Stop is 3.0075 GHz. Other settings are the same as those for the device configuration A.

For the device configuration C with the external mixer off, the range of Center is 3 G - 26.5 GHz. The range of Start is 2.9925 G - 26.49999995 GHz, the range of Stop is 3.00000005 G - 26.5075 GHz, and the range of Span is 100 - 15 MHz.

  • For the device configuration C with the external mixer ON, actual settings are dependent on the external mixer settings and/or the frequency function used. For more information, see External Mixer and Frequency Offset Function.

2. Harmonic measurement function

Set the frequency band to measure the harmonics of the carrier signal. To set the frequency band:

Start/Center (Stop/Span) > Carrier to - Frequency Band - 10 M - 1.5 GHz | • • • | 9 G - 26.5 GHz

Setting | Range
Low (Band 1) | 10 M -1.5 GHz
High (Band 2) | 250 M - 7 GHz (300 M - 3 GHz)
Band 3 | 3 G -10 GHz
Band 4 | 9 G - 26.5 GHz

For the device configuration A in Device Configurations Using E5052B and E5053A, you can set Low (Band 1) and High (Band 2). You cannot specify Band 3 and Band 4.

For the device configuration B, you can set Low (Band 1) and High (Band 2). Note that the frequency range of High (Band 2) is changed to 300 M - 3 GHz. You cannot specify Band 3 and Band 4.

For the device configuration C, you can set Band 3 and Band 4 when the external mixer is off. You cannot specify Low (Band 1) and High (Band 2).

Frequency/Power Measurement

The following settings for frequency/power measurement mode differ from the settings when using the E5052B alone.

1. Setting of the carrier frequency band

Set the frequency band for the carrier frequency.

Setup > Frequency Band > 10 M - 1.5 GHz | • • • | 9 G - 26.5 GHz

Setting | Range
Low (Band 1) | 10 M -1.5 GHz
High (Band 2) | 250 M - 7 GHz (300 M - 3 GHz)
Band 3 | 3 G -10 GHz
Band 4 | 9 G - 26.5 GHz

For the device configuration A in Device Configurations Using E5052B and E5053A, you can set Low (Band 1) and High (Band 2). You cannot specify Band 3 and Band 4.

For the device configuration B, you can set Low (Band 1) and High (Band 2). Note that the frequency range of High (Band 2) is changed to 300 M - 3 GHz. You cannot specify Band 3 and Band 4.

For the device configuration C, you can set Band 3 and Band 4 when the external mixer is off. You cannot specify Low (Band 1) and High (Band 2).

  1. For the device configuration C with the external mixer ON, actual settings are dependent on the external mixer settings and/or the frequency function used. For more information, see External Mixer and Frequency Offset Function.

  2. Input of the nominal frequency

Set the nominal frequency of the carrier frequency.

Setup > Nominal Frequency

You can make this setting only when the device configuration is C in Device Configurations Using E5052B and E5053A and the external mixer is off. If the device configuration is C with the external mixer on or if the device configuration is A or B, you cannot make this setting.

The settable range is limited to the range of the carrier frequency band.

  3. Carrier search function

This function searches for the carrier signal, and reflects the result on the nominal frequency. To execute this function:

Setup > Carrier Search

You can execute this function only when the device configuration is C in Device Configurations Using E5052B and E5053A and the external mixer is off. If the device configuration is C with the external mixer on or if the device configuration is A or B, you cannot execute this function.

The range to be searched is the range of the carrier frequency band.

  4. Setting of the maximum input level

Set the maximum input level value of the measurement signal inputted from the Input port of the E5053A Microwave Downconverter. To execute this function:

Setup > Max Input Level

You can make this setting only when the device configuration is C in Device Configurations Using E5052B and E5053A and the external mixer is off. If the device configuration is C with the external mixer on or if the device configuration is A or B, you cannot make this setting.

  5. Measurement value of power measurement

For the device configuration A in Device Configurations Using E5052B and E5053A, the measurement value of the power meter of the E5052B is displayed. For the device configurations B and C, the measurement value of FFT is displayed.

Transient Measurement

The following settings for transient measurement mode differ from the settings when using the E5052B alone.

  1. Setting of the frequency band of the input signal (wide band)

Set the frequency band (wide band) of the input signal. To execute this function:

Setup > Wide Freq Range > 50 M - 150 MHz | • • • | 2.4 G - 7.2 GHz

Frequency band
50 M -150 MHz | 1 G -3 GHz
100 M -300 MHz | 1.2 G -3.6 GHz
200 M -600 MHz | 1.4 G -4.2 GHz
300 M -900 MHz | 1.6 G -4.8 GHz
400 M -1.2 GHz | 1.8 G -5.4 GHz
500 M -1.5 GHz | 2 G -6 GHz
600 M -1.8 GHz | 2.2 G -6.6 GHz
800 M -2.4 GHz | 2.4 G -7.2 GHz

For the device configuration A in Device Configurations Using E5052B and E5053A, you can set any of the above frequency bands.

For the device configuration B, you can set 50 M - 150 MHz to 1 G - 3 GHz. You cannot set frequency bands equal to or greater than 1.2 G - 3.6 GHz.

For the device configuration C, you cannot set the frequency band of the input signal because the maximum frequency of the input signal must be specified when the external mixer is off.

  1. For the device configuration C with the external mixer ON, actual settings are dependent on the external mixer settings and/or the frequency function used. For more information, see External Mixer and Frequency Offset Function.

  2. Setting of the maximum frequency of the input signal

For the device configuration C in Device Configurations Using E5052B and E5053A with the external mixer off, you specify the maximum frequency of the input signal instead of the frequency band setting of the input signal. To execute this function:

Setup > Wide Max Frequency

For the device configuration C with the external mixer off, the settable range is 3.5 G - 26.5 GHz. The frequency span is fixed to 500 MHz, and cannot be changed.

  • For the device configuration C with the external mixer ON, actual settings are dependent on the external mixer settings and/or the frequency function used. For more information, see External Mixer and Frequency Offset Function.

  3. Setting of the center frequency (wide band) of the video trigger

    This setting is required when Wide Video is selected for the video trigger.

Setup > Video Trigger > Wide Freq

The settable range is limited to within the frequency band setting of the input signal described above, or below the maximum frequency of the input signal.

  4. Setting of the target frequency

    Set the target frequency for narrow band measurement.

Setup > Target Freq

For the device configuration A in Device Configurations Using E5052B and E5053A, the valid input range is 10 M - 7 GHz.

For the device configuration B, the valid input range is 10 M - 3 GHz.

For the device configuration C with the external mixer off, the valid input range is 3 G - 26.5 GHz.

  • For the device configuration C with the external mixer off, the setting of the target frequency or the setting of the maximum frequency of the input signal, whichever made later, has precedence.

    More specifically, if the inputted target frequency is greater than the setting value of the maximum frequency of the input signal, the setting value of the maximum frequency is changed so that it is greater than the target frequency.

    On the other hand, if the maximum frequency of the inputted input signal is smaller than the setting value of the target frequency, the setting value of the target frequency is changed so that it is smaller than the maximum frequency of the input signal.

  • For the device configuration C with the external mixer on, this setting differs depending on the setting of the external mixer and the setting of the frequency offset function. For more information, see External Mixer and Frequency Offset Function.

5. Setting of the phase reference frequency

The phase deviation within the narrow band measurement range can be calculated based on the result of frequency transient (narrow band) measurement. The phase reference frequency is a frequency used as the reference when calculating the phase deviation.

Setup > Phase Reference

The setting range is limited to within the measurement range determined by the target frequency and the measurement range.

6. Setting of the center frequency (narrow band) of the video trigger

This setting is required when Narrow Video is selected for the video trigger.

Setup > Video Trigger > Narrow Freq

The setting range is limited to within the measurement range determined by the target frequency and the measurement range.

Auto Frequency Control Function

The following settings for auto frequency control measurement mode differ from the settings when using the E5052B alone.

1. Setting of the frequency band

Set the frequency band that contains the carrier signal to be measured.

DC Control > Auto Freq Control > Frequency Band - 10 M - 1.5 GHz | • • • | 9 G - 26.5 GHz

Setting | Range
Low (Band 1) | 10 M -1.5 GHz
High (Band 2) | 250 M - 7 GHz (300 M - 3 GHz)
Band 3 | 3 G -10 GHz (added)
Band 4 | 9 G - 26.5 GHz (added)

For the device configuration A in Device Configurations Using E5052B and E5053A, you can set Low (Band 1) and High (Band 2). You cannot specify Band 3 and Band 4.

For the device configuration B, you can set Low (Band 1) and High (Band 2). Note that the frequency range of High (Band 2) is changed to 300 M - 3 GHz. You cannot specify Band 3 and Band 4.

For the device configuration C, you can set Band 3 and Band 4 when the external mixer is off. You cannot specify Low (Band 1) and High (Band 2).When the external mixer is on, you cannot make this setting because the auto frequency control function itself is not available.

2. Setting of the target frequency

Set the target frequency for the DUT output.

DC Control > Auto Freq Control > Target

For the device configuration A in Device Configurations Using E5052B and E5053A, you can set 10 M - 7 GHz.

For the device configuration B, you can set 10 M - 3 GHz.

For the device configuration C, you can set 3 G - 26.5 GHz when the external mixer is off. When the external mixer is on, you cannot make this setting because the auto frequency control function itself is not available.

3. Setting of the maximum input level

Set the maximum input level value of the measurement signal inputted from the Input port of the E5053A Microwave Downconverter. To execute this function:

DC Control > Auto Freq Control > Max Input Level

You can make this setting only when the device configuration is C in Device Configurations Using E5052B and E5053A and the external mixer is off. If the device configuration is C with the external mixer on or if the device configuration is A or B, you cannot make this setting.


Effects of setting Downconverter

Effects of Setting of Downconverter and Input Port for RF Signals

The table below lists items whose setting range changes or whose display is affected depending on the setting of the E5053A Microwave Downconverter and the setting of the input port of the RF signal.

Measurement mode | Affected items | Downconverter
 |  | OFF | ON
 |  |  | Input port
 |  |  | E5052B direct | E5053A downconverter
Common to all modes | Setting of attenuator | Available (0,5,10,15,20,25,30,35 dB) | Available (0,5,10,15,20,25,30,35 dB) | fixed to 10dB
Phase-noise measurement mode | Setting of carrier frequency band | 10 M - 41 MHz 39 M - 101 MHz 99 M -1.5 GHz 300 M -250MHz | 10 M - 41 MHz 39 M - 101 MHz 99 M -1.5 GHz 300 M - 250 MHz | 3 G -10 GHz 9 G - 26.5 GHz
 | Setting of nominal frequency | N/A | N/A | Yes (Allowable range is limited by carrier frequency band.)
 | Carrier search function | N/A | N/A | Can be executed
Spectrum monitor measurement mode | Setting of start frequency | 9 M -6.99999995 GHz | 9 M -6.99999995 GHz | 2.9925 G -26.49999995 GHz
 | Setting of stop frequency | 10.00005 M -7.0075 GHz | 10.00005 M - 3.0075 GHz | 3.00000005 G - 26.5075 GHz
 | Setting of center frequency | 10 M -7 GHz | 10 M -3 GHz | 3 G -26.5 GHz
 | Setting of span frequency | 100 - 15 MHz | 100 - 15 MHz | 100 - 15 MHz
 | Setting of carrier frequency band for harmonic measurement function | 10 M -1.5 GHz 300 M -7 GHz | 10 M -1.5 GHz 300 M - 3 GHz | 3 G -10 GHz 9 G - 26.5 GHz
Frequency The number of periodic oscillations, vibrations, or waves per unit of time, usually expressed in cycles per second, or Hertz (Hz). /power measurement mode | Setting of carrier frequency band | 10 M -1.5 GHz 300 M -7 GHz | 10 M -1.5 GHz 300 M - 3 GHz | 3 G -10 GHz 9 G - 26.5 GHz
 | Setting of nominal frequency | N/A | N/A | Yes (Allowable range is limited by carrier frequency band.)
 | Carrier search function | N/A | N/A | Yes
 | Setting of maximum input level | N/A | N/A | Yes (-45 to 30 dBm)
Transient measurement mode | Setting of frequency band of input signal (wide band) | 50 M -150 MHz 100 M -300 MHz 200 M -600 MHz 300 M -900 MHz 400 M -1.2 GHz 500 M -1.5 GHz 600 M -1.8 GHz 800 M -2.4 GHz 1 G -3 GHz 1.2 G -3.6 GHz 1.4 G -4.2 GHz 1.6 G -4.8 GHz 1.8 G -5.4 GHz 2 G -6 GHz 2.2 G -6.6 GHz 2.4 G -7.2 GHz | 50 M -150 MHz 100 M -300 MHz 200 M -600 MHz 300 M -900 MHz 400 M -1.2 GHz 500 M -1.5 GHz 600 M -1.8 GHz 800 M -2.4 GHz 1 G -3 GHz | N/A (set with maximum frequency of input signal)
 | Setting of maximum frequency of input signal (wide band) | N/A (set with frequency band of input signal (wide band)) | N/A (set with frequency band of input signal (wide band)) | Allowable range: 3 G - 26.5 GHz Setting resolution: 50 MHz (3.5 G -10.85 GHz) 150 MHz (10.85 G - 26.5 GHz) Frequency span: 500 MHz
 | Setting of center frequency of video trigger (wide band) | Limited to within setting of frequency band of input signal (wide band) | Limited to within setting of frequency band of input signal (wide band) | Limited to value less than or equal to setting value of maximum frequency of input signal (wide band)
 | Setting of target frequency (narrow band) | 10 M -7 GHz | 10 M -3 GHz | 3 G -26.5 GHz
 | Setting of phase reference frequency (narrow band) | Limited to within measurement range determined by target frequency (narrow band) and measurement range (narrow band). | Limited to within measurement range determined by target frequency (narrow band) and measurement range (narrow band). | Limited to within measurement range determined by target frequency (narrow band) and measurement range (narrow band).
 | Setting of center frequency of video trigger (narrow band) | Limited to within measurement range determined by target frequency (narrow band) and measurement range (narrow band). | Limited to within measurement range determined by target frequency (narrow band) and measurement range (narrow band). | Limited to within measurement range determined by target frequency (narrow band) and measurement range (narrow band).
Auto frequency control function (AFC) | Setting of frequency band | 10 M -1.5 GHz 300 M -7 GHz | 10 M -1.5 GHz 300 M - 3 GHz | 3 G -10 GHz 9 G - 26.5 GHz
 | Setting of target frequency | 10 M -7 GHz | 10 M -3 GHz | 3 G -26.5 GHz
 | Setting of maximum input level | N/A | N/A | Yes (-45 to 30 dBm)

  • In the above table, the setting of the external mixer and the setting of the frequency offset are not taken into consideration. The table assumes that they are disabled.


External Mixer

  • Overview

  • Setup Parameters

  • Limitations

Other topics about Measurement Using E5053A and External Mixer

This section describes settings and limitations when using the external mixer.

Overview

The E5053A Microwave Downconverter with the external mixer connected enables measurement up to 110 GHz.

Setting the E5052B when used with the E5053A Microwave Downconverter and the external mixer is based on the frequency of the RF signal ( IF Intermediate Frequency: the frequency at which a signal is processed after mixing. signal of the downconverter) supplied to the E5052B.

  • In practice, the hardware in the E5052B narrows the measurement range of a signal down-converted by the E5053A Microwave Downconverter.

    The frequency offset function described later is supported also when using the external mixer. You can use this function to display the setting values and measurement results of the E5052B in terms of DUT frequencies (frequencies before down-conversion).

Setup Parameters

The settings of the external mixer are common to all measurement modes (phase-noise measurement, spectrum monitor measurement, frequency/power measurement, and transient measurement).

The settings are applied to the hardware immediately when the device configuration is C in Device configuration using E5052B and E5053A and the external mixer is on.

Other than the phase-noise measurement mode, use the identical LO frequency for each channel (channel 1 and channel 2), while the LO frequency of channel 1 and channel2 can be set differently.

In the phase-noise measurement mode, the carrier frequency is measured using the channel2 path. In the frequency/power/DC current measurement, the carrier frequency is measured using the channel1 path.

Both channel paths are required to complete the measurement other than spectrum monitor mode, which uses channel2 path only.

In the transient measurement mode, the channel1 path is used for the wideband transient measurement, and the channel2 path is used for the narrowband transient measurement.

The settings when using the downconverter and the external mixer include:

  • Setting of LO

  • Setting of DC bias current (CH1, CH2)

  • Setting of the IF gain inside the downconverter

  • Setting of the downconverter ΔIF frequency

Setting of LO

Set the external signal source (LO).

(Channel 1 side)

System > Instrument Setup > Downconverter Manual Setup > LO1 Frequency

System > Instrument Setup > Downconverter Manual Setup > LO1 Level

(Channel 2 side)

System > Instrument Setup > Downconverter Manual Setup > LO2 Frequency

System > Instrument Setup > Downconverter Manual Setup > LO2 Level

Allowable range of the LO frequency setting is 2.975 G - 10.025 GHz, and setting resolution setting is 50 MHz.

Allowable range of the LO level setting is 10 - 16 dBm when the setting frequency is 2.975 G - 6 GHz; it is fixed to 10 dBm when the setting frequency is 6 G - 10.025 GHz.

Setting of DC Bias Current

Set a bias current supplied to the external mixer.

(Channel 1 side)

System > Instrument Setup > Downconverter Manual Setup > Mixer 1 Bias

System > Instrument Setup > Downconverter Manual Setup > Current

(Channel 2 side)

System > Instrument Setup > Downconverter Manual Setup > Mixer 2 Bias

System > Instrument Setup > Downconverter Manual Setup > Current

Valid input range of the bias current is -10 mA to 10 mA both for Channel 1 and Channel 2.

Setting of downconverter IF Gain

Set IF gain inside the downconverter.

(Channel 1 side)

System > Instrument Setup > Downconverter Manual Setup > IF Gain 1

(Channel 2 side)

System > Instrument Setup > Downconverter Manual Setup > IF Gain 2

Valid input range of the downconverter IF gain is 0 dB to 35 dB both for Channel 1 and Channel 2.

Setting of downconverter ΔIF Frequency

Set frequency difference when the IF frequency (RF frequency of the E5052B) of the downconverter differs between Channel 1 and Channel 2.

System > Instrument Setup > Downconverter Manual Setup > ΔIF = IF2 - IF1

Set the value ΔIF obtained by the following equation.

ΔIF = IF (Channel 2) - IF (Channel 1)

Limitations

Using the external mixer has following limitations:

  • Limitations on the auto frequency control function and the carrier search function

When the external mixer is enabled, the auto frequency control function (AFC) is not available. Also not available is the carrier search function.

  • The LO frequency of the downconverter is not changed automatically.

When using the external mixer, values are not changed automatically so the settings should be done manually

For example, when you make measurement in analyzer mode for frequency/power measurement, if the measurement frequency exceeds a valid measurement range during a sweep, LO frequency of the downconverter is not changed automatically. (The frequency is not changed automatically to follow the excess of frequency.)


Frequency Offset Function

  • Overview

  • Setting Items

  • Frequency Conversion Equations

  • Consideration on Frequency Setting

  • Applicable Measurement Results

Other topics about Measurement Using E5053A and External Mixer

This section describes the frequency offset function and applicable setting values/measurement values.

Overview

This function offsets the frequency readouts when using an external downconverter or external mixers. All the frequency data and marker readouts are converted along with the equation below.

RF = N × LO -/+ IF

Where RF is the DUT frequency, N is the harmonic number, LO is the LO frequency of the external downconverter or the mixer used.

You can use this function to display the setting values and measurement results of the E5052B in terms of DUT frequencies (frequencies before down-conversion).

This function supports an offset not only when the internal local signal (LO) supplied to the internal mixer is at the lower frequency side of the DUT signal, but also when it is at the higher frequency side.

The frequency offset function is available when the device configuration is A or B in Device configuration using E5052B and E5053A, and when the device configuration is C with the external mixer enabled.

Setting Items

Setting items to use the frequency offset function are as follows.

  • On/off setting of the frequency offset function

  • Setting of the conversion mode

  • Setting of the frequency of the local signal (LO)

  • Setting of the harmonic

  • Settings of the frequency offset function are common to all measurement modes (phase-noise measurement mode, spectrum monitor measurement mode, frequency/power measurement mode, and transient measurement mode).You cannot make these settings for each measurement mode separately.

On/Off Setting of Frequency Offset Function

Turn on/off the frequency offset function.

System > Instrument Setup > Frequency Offset (User Downconv.) > Frequency Offset > ON | OFF

Setting of Conversion Mode

Set the conversion mode of the frequency offset function.

System > Instrument Setup > Frequency Offset (User Downconv.) > Conversion Mode > RF = n * LO + IF | RF = n * LO - IF

When you select RF = n × LO + IF, Upper Side Band (USB) mode is used, while selecting RF = n × LO - IF, Lower Side Band (LSB) mode is used.

For information on the frequency conversion equations, see Frequency Conversion Equations.

Setting of LO Frequency

Set the LO frequency of a mixer or a downconverter used.

The LO frequency range is as follows:

  • 10 M to 110 GHz for the USB conversion mode

  • 500 M to 110 GHz for the LSB conversion mode

System > Instrument Setup > Frequency Offset (User Downconv.) > LO Frequency

The LO frequency is used for the equations as described Frequency Conversion Equations. When the conversion mode is USB, the setting range is 10 M - 330 GHz, and when the conversion mode is LSB, 500 M - 330 GHz.

Setting of Harmonic Number

Set the harmonic number of a mixer.

System > Instrument Setup > Frequency Offset (User Downconv.) > Harmonic #

The harmonic number is used for the conversion equations as described in Frequency Conversion Equations. The setting range is 1-34.

Frequency Conversion Equations

The frequency conversion equations are as follows.

  1. When the conversion mode is USB. (RF > N × LO)

RF = N × LO + IF

  2. When the conversion mode is LSB. (RF < N × LO)

RF = N × LO - IF

,where RF is the DUT frequency, LO is the LO frequency of a mixer or a downconverter used, IF is the IF frequency of the downconverted signal, and N is the harmonic number.

Consideration on Frequency Setting

All the measurement setup parameters concerning frequency can be input as DUT frequency when frequency offset function is applied. The applicable frequency range is from 20 M to 117 GHz. There are some constraints on measurement setup parameters actually depending on the IF frequency of the downconverted signal being fed into the E5052B, and it is determined by the measurement range of the E5052B.

The listed below may be needed on considering the frequency setting when using the frequency offset function.

  1. Setting common to all measurement modes

  • Setting of the target frequency of the auto frequency control function

  2. Spectrum monitor measurement mode

  • Setting of Start, Stop, and Center frequencies

  • That the start and stop frequency may be limited by the actual IF signal being inputted to the E5052B. For example, the IF frequency is 10 MHz, the maximum span is limited up to 2 MHz, 10 percent of the IF frequency, not the RF frequency.

  3. Transient measurement mode

  • Setting of the frequency range (wide band) or the maximum frequency

When the frequency offset function is on, the Wide Freq Range softkey is not available, and the Wide Freq Span softkey appears instead. Use the Wide Max Frequency softkey to set the maximum frequency.

  • Setting of the target frequency (narrow band)

  • Setting of the phase reference frequency (narrow band, phase transient measurement)

  • Setting of the video trigger frequency (wide band)

  • Setting of the video trigger frequency (narrow band)

Applicable Measurement Results

The listed below are the measurement results that the frequency data is converted by the use of frequency offset function.

  1. Phase-noise measurement mode

  • Frequency of the carrier signal

  2. Frequency/power measurement mode

  • Measurement data array for frequency measurement (frequency data of all measurement points in analyzer mode)

  • Frequency measurement data in tester mode

  3. Transient measurement mode

  • Measurement data array for frequency transient measurement (wide band)

  • Measurement data array for frequency transient measurement (narrow band)


Making phase-noise measurement above 26.5 GHz

  • Basic configuration for expanding frequency range

  • Setup considerations for >26.5 GHz measurement

  • Measurement noise floor

  • Configuring millimeter wave phase noise measurement setup

  • Advanced measurement techniques for a free running source measurement

  • Large frequency drift

  • High phase noise that may saturate phase detector

  • Prescaler techniques to suppress frequency drift and high phase noise

  • Configuring millimeter wave phase noise measurement setup

  • Operation of the AgtmmWave VBA macro

  • Setup for prescaler techniques

Other topics about Measurement Using E5053A and External Mixer

This chapter contains information on making phase-noise measurements of signal sources above 26.5 GHz. This information is fundamental to configuring millimeter-wave phase-noise measurement systems with the Agilent E5052B and E5053A.

Basic configuration for expanding frequency range

The E5053A is designed to use two independent paths for the signal downconversion from RF to IF. Above 26.5 GHz, a power divider and a pair of external mixers can be added to extend the scheme of the E5053A. External mixers can be driven by the E5053A’s built-in LOs. A block diagram of the basic setup is shown below .

Block diagram for making phase-noise measurement above 26.5 GHz

Required equipment for expanding frequency range > 26.5 GHz

Equipment | Quantity | Note
11970 Series | 2 |
Hybrid matched tee | 1 | Available from third-party vendors of millimeter-wave equipment
Waveguide termination | 1 | Available from third-party vendors of millimeter-wave equipment
Waveguide bend | 2 | Available from third-party vendors of millimeter-wave equipment
Coax cables | 4 |
70429A K89 frequency divider (prescaler) | 2 | Required if the frequency drift and/or high phase-noise pedestal of your DUT has difficulties with phase lock. Refer to Advanced measurement techniques for a free running source measurement.
8447D Option 011 Dual Channel amplifier | 1 | Required if the IF power level is insufficient. Refer to Advanced measurement techniques for a free running source measurement.

Setup considerations for > 26.5 GHz measurement

If a source is not able to provide a sufficient power level, it may be necessary to insert an amplifier between the output of the mixer and the IF input of the E5052B. The allowable power level at the E5053A IF input port depends on the equipment’s IF Gain setting (Allowable power level at E5053A IF input port). The detailed power requirements of your DUT along with the millimeter-wave mixers selected are shown in Applicable power level by selected harmonic mixer.

Allowable power level at E5053A IF input port

Applicable power level by selected harmonic mixer

Harmonic mixer | Frequency band [GHz] | Maximum conversion loss [dB] | Gain Compression [dBm] (typ.) | Minimum power level of DUT [dBm]
11970A | 26.5 to 40 | 26 | -5 | -29 approx.
11970Q | 33 to 50 | 28 | -7 | -27 approx.
11970U | 40 to 60 | 28 | -7 | -27 approx.
11970V | 50 to 75 | 40 | -3 | -15 approx.
11970W | 75 to 110 | 46 | -1 | -9 approx.

Measurement noise floor

Using harmonic mixers alone degrades the phase noise of the LO of the E5053A, depending on the harmonics number. Figure A-3 shows an example of 77-GHz millimeter-wave measurement. If you need to insert amplifiers to boost the IF signal, the noise of the inserted amplifier will also be summed into the measured noise level along with the noise of your device under test. Setting a correlation rate reduces the additive noise of the inserted dual-channel amplifier.

Example of millimeter-wave phase-noise sensitivity (start offset = 1 Hz, correlation = 1)

Configuring millimeter-wave phase-noise measurement setup

A typical millimeter-wave measurement setup is shown in the figure below.

  • To prevent damage to the Agilent E5053A hardware, input signals MUST NOT be applied to the signal output connector of the E5053A. Also, to pre-vent unexpected static discharge during operation, terminate the output signal connectors with coax-sma termination, part number 1810-0188.

Millimeter-wave measurement setup for stable source

Advanced measurement techniques for a free-running source measurement

Some free-running oscillators exhibit large frequency drift and high phase noise, especially in the millimeter-wave frequency range. Sometimes these oscillators cause measurement difficulties, such as PLL unlock and/or invalid measurement. Prescaler techniques can help you overcome these difficulties.

Large frequency drift

The E5052B automates the phase-noise measurement in several steps: measuring carrier frequency and power level, calibrating phase detector constant, tuning the built-in LO, closing the phase-locked loop, and measuring the noise signal coming out of the phase detector.

The tracking ability of the E5052B is limited by:

  • Instantaneous peak-to-peak frequency drift threw rate when attaining phase lock.

  • Peak-to-peak frequency change during a single measurement.

  1. Check whether the instantaneous peak-to-peak frequency drift threw rate exceeds the maximum allowable threw rate, which is approximately 5 kHz per 20 msec with 0 or 10 dB IF GAIN. The instantaneous peak-to-peak frequency drift can be checked with the transient measurement mode. Measure the downconverted frequency profile over time by setting the time length to 20 msec or 50 msec.

  2. Check whether your peak-to-peak frequency change exceeds 0.4% of the carrier frequency or the downconverted IF signal frequency. Note that this is also a function of measurement time depending on the start offset you select and/or the number of cross-correlations you set. (Refer to table xx for specification, page xx). Taking a longer time for a single measurement increases the chances of losing phase lock.

E5052B tracking ability

*1. Maximum E5052B PLL BW
Approximately 5 kHz (IF GAIN = 0, 10 dB)

*2. Maximum LO Tunable Range During Baseband Measurement
0.4% of downconverted IF Signal

High phase noise that may saturate phase detector

An average noise level of the input signals that exceeds approximately 0.2 radian rms, integrated outside of the phase-locked loop (PLL) bandwidth, can prevent the Agilent E5052B from attaining phase lock. Please confirm that the expected phase noise of your DUT does not exceed the limit line shown below.

Phase-noise measurement limit line

In either case, prescaler techniques can help you overcome problems related to this issue.

Prescaler techniques to suppress frequency drift and high phase noise

Inserting frequency dividers (prescaler) reduces the frequency drift as well as phase-noise level in order to make valid phase-noise measurement with the E5052B.

Note that the additive noise of the inserted frequency dividers will be summed into the noise level to determine the noise floor of the measurement. By taking advantage of the dual-prescaler technique for setting the appropriate the number of correlations, you can reduce the additive noise of the prescaler used.

Effect of prescaler techniques

Configuring millimeter-wave setup to allow prescaler techniques

  • To prevent damage to the Agilent E5052B and E5053A hardware, the input signal MUST NOT be applied to the signal input connector until the input attenuator has been correctly set for the desired configuration. Apply the input signal when the AgtmmWave VBA macro form appears. (See the section “Operation of VBA macro AgtmmWave”.)

A typical millimeter-wave measurement setup is shown below.

Setup for millimeter-wave phase-noise measurement with prescaler techniques

Operation of the AgtmmWave VBA macro

The "AgtmmWave" macro in the assistant tool, which is a VBA macro program running on the E5052B, is used to automate the setup of the E5053A and E5052B when making millimeter-wave phase-noise measurement.

Start up the AgtmmWave macro

  1. Press Macro Setup.

  2. Press Application > mmWave to start up the macro
    The macro window shown below appears on the E5052B display.

AgtmmWave macro window

Set up millimeter-wave measurement parameters

  1. Select a frequency band from the pull-down menu of the macro window (AgtmmWave macro window).

  2. If you select "User Mixer" from the menu, press the User Mixer... button to set up the necessary parameters of the harmonic mixer used (User Mixer setup menu).

User Mixer setup menu

  3. Click OK.

  4. Input DUT Frequency (SSA Input ATTN and D/C IF Gain menu).

    The AgtmmWave automatically sets the E5053A LO to output the appropriate IF frequency of the downconverted signal.

  5. The AgtmmWave VBA macro sets the downconverted IF frequency differently between channel 1 and channel 2 without prescaler techniques. This is to avoid the generation of spurs by the E5053A. The E5053A uses slightly different reference frequencies for the LOs of channel 1 and channel 2. In order to take the advantage of the cross-correlation technique, both LOs have to be incoherent to each other. If the E5053A uses the same nominal LO frequency for both channels, whose frequencies are even slightly different from each other, inter-modulation signals are generated and fall into the baseband signal as spurious signals due to the coupling of channel 1 and channel 2.

Mechanism of spurs generation due to incoherent LO of E5053A

  5. Select the appropriate SSA Input Attn and D/C IF GAIN from the pull down menus (SSA Input ATTN and D/C IF Gain menu).

    Change the SSA Input Attn value if a warning message “Set RF ATTN to xx dB” is displayed. The default setting is 35 dB ATTN for preventing damage to the E5052B from unexpectedly high applied IF power.

    Change the D/C IF Gain value from the pull down menu if an error message such as “IF A/D overflow” or “IF Level overload” is displayed. The default setting is 35 dB for maximum gain.

SSA Input ATTN and D/C IF Gain menu

  • If you fail to measure phase noise (phase-locked loop unlock error or IF not found) or get an unstable phase-noise measurement result, you can check the signal quality of the downconverted IF signal. Press Spectrum Mon. to verify that the IF signal is present. If no IF signal is present, vary the input frequency slightly until the IF signal is found. If the frequency drift is large, the use of prescaler techniques is recommended. (Refer to Advanced measurement techniques for a free-running source measurement)

Verify downconverted IF signal with spectrum monitor function

Setup for prescaler techniques (Advanced technique for measuring a free-running source)

  • To prevent damage to the Agilent E5052B hardware, the input signal MUST NOT be applied to the RF1 IN and RF2 IN connectors until the E5052B in-put attenuator has been set to 35 dB. Do not connect anything as the E5052B is turning off because the INPUT ATTN is automatically set to 0 dB during shutdown.

  • To prevent damage to the Agilent E5052B hardware, the input signal MUST:

      • NOT BE GREATER THAN 0 dBm RF OUTPUT POWER

      • NOT CONTAIN DC OFFSET VOLTAGE

        when applied to the RF1 IN and RF2 IN connectors. Use an external attenuator to ensure that the input signal to RF1 IN and RF2 IN is less than or equal to 0 dBm. Use DC Blocking Capacitors if the DC voltage is present at the output signal of the prescaler used.

  1. Set SSA Input Attn to 35 dB.

    Connect prescalers between RF1 OUT of the E5053A and RF1 IN of the E5052B and between RF2 OUT of the E5053A and RF2 IN of the E5052B.

Connecting prescalers

  2. Select Div# and input the prescaler output power level (SSA Input ATTN and D/C IF Gain menu).

  3. Set an appropriate D/C IF Gain if the downconverted signal-power level is not sufficient for the required input-power level of the prescaler used.

The phase-noise measurement amplitude is automatically corrected according to the following equation, and the results are shown in Phase-noise correction with prescaler techniques.

Corrected Phase Noise = Phase Noise at Prescaler Output + 20 * LOG(N)

N = Prescaler’s Dividing Number

Phase-noise correction with prescaler techniques


Clock Jitter measurement

  • Overview

  • Executing Clock Jitter Measurement

  • SSA-J Enhancement


Overview

  • Overview of clock jitter measurement

  • Relation between phase deviation (spurious) and jitter

  • Clock jitter measurement with the E5052B

Other topics about Clock Jitter Measurement

The E5052B provides application software that lets you perform very-low-level clock jitter measurement. To use this function, you need to separately purchase the E5001A SSA-J Precision Clock Jitter Analysis Software option. For more information, contact your local Agilent customer center listed at the end of this manual or your distributor.

Overview of clock jitter measurement

The periods (reference times) of clock sources actually vary depending on a number of factors such as noise. This variation is called jitter, which is generally evaluated using a statistical measurement method. Jitter analysis is an important measurement for applications that handle high-frequency signals.

There are two types of jitter: one dependent on data (Data Correlated or Data Dependent) and one independent of data (Data Uncorrelated or Data Independent). Each type of jitter has various components (jitter components, figure below).

Jitter Components

The E5052B can measure only data-uncorrelated jitter components. Such data-uncorrelated jitters are described below.

Types of Jitters

Jitter | Description
Random jitter (RJ) | Jitter that occurs randomly. Generally, it is expressed as a Gaussian distribution of probability density function (PDF) with an average value (m) and a standard deviation (s). Its peak-to-peak (p-p) value has no limit. As measurement time becomes longer, the p-p value measured during the time becomes larger.
Periodic jitter (PJ) | Jitter that occurs over entire periods independent of data patterns. Its peak-to-peak (p-p) value has a limit. Even when measurement time is elongated, the p-p value converges to a finite value.

The dual Dirac model is used to obtain periodic jitter (PJ). The standard deviation of a random jitter (RJ) distribution is obtained from the RMS value of actually measured random jitter. The dual Dirac model consists of two identical Gaussian defined with the RMS value of the random jitter.

The distance between the two Gaussian is adjusted so that the probability density function (PDF) of the model matches the measured jitter histogram. The model for analysis is identified under the condition that the peak-to-peak (p-p) distance representing 99.9% of the area of the model’s PDF matches the width that contains 99.9% of the area of the measured histogram (dual Dirac Model).

PJ (δ -δ), which is a parameter indicating the actual effect of the periodic jitter component, is defined by the distance between the average values of the two Gaussian. The effective value of periodic jitter independent of its waveform is calculated by rms sum analysis using the standard deviation of the random jitter. This is obtained from the random jitter/periodic jitter histogram giving the RMS value of the periodic jitter.

dual Dirac Model

Relation between phase deviation (spurious) and jitter

Equation 7-1 shows the relation between jitter (J) expressed in seconds (s) or unit intervals (UI) and phase deviation (spurious) expressed in radians Δφ, where the frequency of the clock signal is expressed as fc[Hz].

Equation 7-1

The following equation gives the relation between phase deviation Δφ and single-side-band (SSB) phase-noise spectrum, Lφ (f)[dBc/Hz]. A and B in the equation indicate the frequency range specified with the band marker.

Equation 7-2

Equation 7-3

IPN (Integrated Phase Noise)

Relative value of phase-noise power integrated over a range between frequencies A and B

The following equation gives the residual FM Frequency Modulation component (RFM) within a range of frequencies A and B.

Equation 7-4

Clock jitter measurement with the E5052B

The E5052B uses Phase-Noise measurement and Transient measurement for clock jitter measurement. The user window is used to display the jitter trend and histogram.

  • To use this function, you need to purchase the E5001A SSA-J Precision Clock Jitter Analysis Software. For more information, contact your local Agilent customer center listed at the end of this manual or your distributor.

The clock jitter measurement provides the following capabilities:

  • Displaying the jitter trend and total jitter value

  • Displaying the jitter probability distribution (histogram)

  • Displaying the periodic jitter (PJ) value and random jitter (RJ) value

The clock jitter measurement of the E5052B provides three analysis functions that you can select from the screen.

Analysis function | Description
Random jitter analysis (RJ) | Displays the clock frequency and the RMS value of the random jitter in phase-noise measurement.
Frequency The number of periodic oscillations, vibrations, or waves per unit of time, usually expressed in cycles per second, or Hertz (Hz). analysis for periodic jitter (PJ Frequency) | In phase-noise measurement, displays the clock frequency and the RMS value of the periodic jitter with the spurious power value display enabled.
Decomposition analysis for periodic jitter (PJ Decomposition) | Displays the jitter trend and histogram for jitter value analysis. The target frequency for transient measurement can be linked.

The following figure shows the decomposition analysis for periodic jitter.

Flow of decomposition analysis for periodic jitter

  • If Auto trend Correction is ON, Jitter trend is removed.


Executing Clock Jitter Measurement

  • Starting the VBA program

  • Ending the VBA program

  • Random jitter analysis

  • Frequency analysis for periodic jitter

  • Decomposition analysis for periodic jitter

  • Installing the program

  • Error messages

Starting the VBA program

Follow these steps to start up the program.

  1. Press Macro Setup.

  2. Press Application.

  3. Press Jitter.

The following screen appears.

Initial screen for jitter analysis

Ending the VBA program

It is required to push the button 9 in Screen for random jitter analysis to end the program.

  • After ending the program with this step, only the current window is active and other windows are inactive.

    It is required to preset when you need to activate another windows.

Random jitter analysis

Overview

This analysis displays the clock frequency and the rms value of random jitter in phase-noise measurement. You can use the band marker on the screen to specify an analysis range. In this case, the analysis range is also displayed.

Setting procedure

Screen for random jitter analysis

  1. Select RJ from the analysis function selection tabs (default)

  2. When you want to specify an analysis range, it is required to change the value of the integrated BW using either of the following two methods:

  1. VBA interface: When you change the value using the VBA interface,the setting of Trigger should be "Stop" (1 in Screen for random jitter analysis)

  2. Band Marker Function: When you change the value using the Band marker function, it is not required to fix the setting of trigger. It is available to set, Run or Stop (1 in Screen for random jitter analysis). For more information on band marker function,refer to Searching for Positions that Match Specified Criteria

  3. Select a jitter display unit (2 in Screen for random jitter analysis).

Button | Function
sec | Displays data in the unit of second.
UI | Displays data in the unit of unit interval.

  4. Select the RUN button (1 in Screen for random jitter analysis).

  5. The measurement starts, and the clock frequency (3 in Screen for random jitter analysis) and the random jitter rms value (4 in Screen for random jitter analysis) are displayed.

  6. Click the STOP button (1 in Screen for random jitter analysis) to finish the measurement.

  7. From Firmware ver A.03.10,the maximum and minimum frequency (5 in Screen for random jitter analysis) can be set using VBA. This setting does not change even by changing tabs (i.e. From Frequency tab to Decomposition tab or vica-versa), but once exiting SSA-J, it is initialized.

Example of screen for random jitter analysis

Saving analysis result

You can save the analysis result to a file by following the steps below.

  1. Click the tab of the analysis result that you want to save. At this time, analysis is carried out once.

  2. Use the Save/Recall function to save the analysis result. For details, refer to File Saving and Loading Instrument Status Settings.

Recalling analysis result

You can recall the analysis result from a file by following the steps below.

  1. Use the Save/Recall function. For details, refer to File Saving and Loading Instrument Status Settings

  2. Press the Refresh button (6 in Screen for random jitter analysis).

Saving analysis result to a file

You can save the result of random jitter analysis to a text file by pressing the Export button (7 in Screen for random jitter analysis) .

Pressing the Export button opens the analysis result file in the Notepad application. Pressing this button during measurement writes the analysis result displayed at that time.

Notes on measurement

If you select another analysis function tab (PJ Frequency/PJ Decomposition) during measurement, the current measurement is aborted. In this case, the # sign (8 in Screen for random jitter analysis) is displayed for the analysis result to indicate a possible mismatch of displayed information between the E5052B and VBA.

Note that the # sign is not displayed if the E5052B’s displayed information is changed without using the VBA.

Frequency analysis for periodic jitter

Overview

This analysis displays the clock frequency and the RMS value of the periodic jitter when the spurious power value display is enabled in phase-noise measurement. You can use the band marker on the screen to specify an analysis range.

Setting procedure

Screen for periodic jitter frequency analysis

  1. Select PJ Frequency from the analysis function selection tabs.

  2. When you want to specify an analysis range, use the band marker on the phase-noise measurement screen.

  3. Select a spurious sorting method displayed on the phase-noise measurement screen (3 in Screen for periodic jitter frequency analysis).

Button | Function
Jitter | Sorts jitters in ascending order.
Frequency | Sorts frequencies in ascending order.

  4. Select a display unit (2 in Screen for periodic jitter frequency analysis).

Button | Function
sec | Displays data in the unit of second.
UI | Displays data in the unit of unit interval.

  5. Select the RUN button (1 in Screen for periodic jitter frequency analysis).

  6. The measurement starts, and the lists of clock frequencies (4 in Screen for periodic jitter frequency analysis) and periodic jitter rms values (5 in Screen for periodic jitter frequency analysis) are displayed.

  7. Select the point you want to analyze from the list (5 in Screen for periodic jitter frequency analysis). When you select a point, the marker moves to the analysis point on the phase-noise measurement screen.

  8. Click the STOP button to finish the measurement (1 in Screen for periodic jitter frequency analysis).

  9. From Firmware ver A.03.10, all the frequencies of Frequency-Jitter list measured through PJ Frequency tab are displayed. Previously, only single frequency (displayed as blue) selected in the PJ Frequency tab was displayed.

Example screen of periodic jitter frequency analysis

Saving analysis result

You can save the analysis result to a file by following the steps below.

  1. Click the tab of the analysis result that you want to save. At this time analysis is carried out once.

  2. Use the Save/Recall function to save the analysis result. For details, refer to File Saving and Loading Instrument Status Settings.

Recalling analysis result

You can recall the analysis result from a file by following the steps below.

  1. Use the Save/Recall function. For details, refer to File Saving and Loading Instrument Status Settings.

  2. Press the Refresh button (6 in Screen for random jitter analysis).

Saving analysis result to a file

You can save the analysis result of random jitter analysis to a text file by pressing the Export button (7 in Screen for periodic jitter frequency analysis).

Pressing the Export button opens the analysis result file in the Notepad application. Pressing the Export button during measurement writes the analysis result displayed at that time.

Note on measurement interruption

If you select another analysis function tab (RJ/PJ Decomposition) during measurement, the current measurement is aborted. In this case, the # sign (8 in Screen for random jitter analysis) is displayed for the analysis result to indicate a possible mismatch of displayed information between the E5052B and VBA.

Note that the # sign is not displayed if the E5052B’s displayed information is changed without using the VBA.

Decomposition analysis for periodic jitter

Overview

This analysis displays the jitter trend and histogram for jitter value analysis. The target frequency for transient measurement is linked.

Setting procedure

Screen for periodic jitter decomposition analysis

  1. Select PJ Decomposition from the analysis function selection tabs.

  2. Specify a clock frequency (MHz) for the periodic jitter frequency analysis (3 in Screen for periodic jitter decomposition analysis). Frequencies added here are saved in the list.

  3. Enter The process of inputting information. the period jitter frequency you want to analyze (4 in Screen for periodic jitter decomposition analysis). Frequencies entered here are saved in the list of jitter values (5 in Screen for periodic jitter frequency analysis).

  4. Select an analysis function (5 in Screen for periodic jitter decomposition analysis).

Button | Function
Jitter Trend | Displays the jitter trend and analyzes the total jitter.
Histogram | Displays the histogram and analyzes the total jitter.
PJ Separation | Displays the histogram and Gaussian and analyzes the total jitter and periodic jitter.

  5. Turns on/off the jitter trend auto correction function (6 in Screen for periodic jitter decomposition analysis).

    The average of the narrow band measurement frequencies used in transient measurement is set to the phase reference frequency offset value.

    To turn on this function, select the Auto Trend Correction checkbox.

  6. Select a display unit (2 in Screen for periodic jitter decomposition analysis).

Button | Function
sec | Displays data in the unit of second.
UI | Displays data in the unit of unit interval.

  7. Select the RUN button (1 in Screen for periodic jitter decomposition analysis).

  8. The previous analysis result is cleared.

  8. Measurement starts, and the analysis result is displayed.

Button

Function

Jitter Trend

  • Total jitter (p-p)

  • Total jitter (rms)

  • Clock

Histogram

  • Total jitter (p-p)

  • Total jitter (rms)

  • Sampling count

  • Clock

PJ Separation

  • Total jitter (p-p)

  • Total jitter (rms)

  • Periodic jitter (d -d )

  • Sampling count

  • Clock

  • If fitting fails, ? (question mark) is added at the end of the analysis result.

  9. Click the STOP button to finish the measurement (1 in Screen for periodic jitter decomposition analysis).

Example screen for periodic jitter decomposition analysis

Adjusting the position where the analysis result is displayed

You can display the result of periodic jitter decomposition analysis at your desired position. Clicking the Adjust Position button (7 in Screen for periodic jitter decomposition analysis) will bring up another window on which you can adjust the display position as shown in the figure below.

Saving analysis result

You can save the analysis result to a file. Follow the steps below.

  1. Click the tab of the analysis result that you want to save. At this time analysis is carried out once.

  2. Use the Save/Recall function to save the analysis result. For details, refer to File Saving and Loading Instrument Status Settings.

Recalling analysis result

You can recall the analysis result from a file by following the steps below.

  1. Use the Save/Recall function. For details, refer to File Saving and Loading Instrument Status Settings.

  2. Press the Refresh button (6 in Screen for random jitter analysis).

Saving analysis result to a file

You can save the result of random jitter analysis to a text file by pressing the Export button (7 in Screen for periodic jitter decomposition analysis).

Pressing the Export button opens the analysis result file in the Notepad application. Pressing the Export button during measurement writes the analysis result displayed at that time.

Note on measurement interruption

If you select another analysis function tab (RJ/PJ Frequency) during measurement, the current measurement is aborted. In this case, the # sign (10 in Screen for random jitter analysis) is displayed for the analysis result to indicate a possible mismatch of displayed information between the E5052B and VBA.

Note that the # sign is not displayed if the E5052B’s displayed information is changed without using the VBA.

Installing the program

To install the program, you need to separately purchase the E5001A SSA-J option. After you purchase this, a license certificate is issued from Agilent Technologies.

Follow the instructions on the license certificate to access the Agilent Technologies license server and receive your license key code.

  • License key codes are managed based on the serial number of the E5052B. The license for a certain E5052B cannot be transferred to any other E5052B.

    There are two types of E5001A licenses: permanent license and limited-time license, which have different methods for entering the license code. For more information, see Example of entering a permanent license key code or Example of entering a limited-time license key code.

Follow these steps to enable this function after receiving your license key code.

Setting procedure

  1. Press System.

  2. Press the Service Menu button.

  3. Press the Install Option License button.

  4. Press the Jitter button.

  5. The screen below appears for entering the license key code (SIGN=xxxxxx). After entering it, press the Enter key. After installation, the Jitter button is enabled (on).

  6. You can enter the license key code with the keyboard.

License key code entry screen

  6. After entering the license code, the restart confirmation dialog box appears. Press Yes to restart the firmware.

Example of entering a permanent license key code

For the following sample permanent license, enter “128E234EE8B0.”

FEATURE SSA-J Agilent 1.000 permanent uncounted \

HOSTID=VDH=E5052A_JP1KL00066 SIGN=128E234EE8B0

Example of entering a limited-time license key code

For the following sample limited-time license, enter “1-apr-2006, 1-may-2006, 1269EA605D7C.”

FEATURE SSA-J Agilent 1.000 1-may-2006 uncounted \

HOSTID=VDH=E5052A_JP1KL00066 START=1-apr-2006 \

SIGN=1269EA605D7C

Confirming installation of E5001A

You can confirm that the E5001 is installed by checking the following items.

  • The return value of the *OPT? command (should be “SSA-J”)

  • Options displayed according to Checking the Product Information

  • Options displayed at the startup of the E5052B

Error messages

If an error occurs during clock jitter measurement, a dialog box appears and the measurement stops. You may encounter the following messages.

Option SSA-J not Installed.
 | The E5001 (Option SSA-J) is not installed.
Unexpected error.
 | This message may be displayed on the periodic jitter decomposition analysis screen. It indicates that the trend range of the current measurement is greatly different from those of previous measurements and thus analysis cannot be performed.
Trigger error.
 | This message is displayed when the setting of the E5052B is changed during measurement and thus measurement cannot be triggered.
No AgtJitter data on SSA.
 | This message may be displayed on the periodic jitter frequency analysis screen and the periodic jitter decomposition analysis screen. It indicates that no measurement data exists when you try to save/recall.
File write error.
 | This message is displayed when writing to a file fails.


SSA-J Enhancement

  • This information is relevant for SSA-J enhancement introduced in the E5052B Firmware revision A.03.10.

Data Save/Recall function

Previous to Firmware revision A.03.10, the SSA-J save/recall functionality used the E5052B save/recall function with using the trace data region for USER window. When the data was recalled, it required the User to press the SSA-J renewal button after the recall. From ver A.03.10, this recall is automatic and User is not required to take any action.

  • If save type value is not "State & Data" at saving time, SSA-J application Save/Recall doesn't operates.

  • Even through recall, if the update button of SSA-J is not pressed, the recalled content is not reflected to SSA-J.

Command Addition for SSA-J Remote Control

From firmware revisoin A.03.10, two new commands SCPI.PROGram.COMMand <command_string> and SCPI.PROGram.QUERy are added which can be used to control SSA-J remotely through a VBA program.

SCPI.PROGram.COMMand <command_string> sends a OnCommand event to the VBA Application and the <command_string> is passed to the event handler as the parameter.

When this command is executed, the execution is followed with the description in OnCommand event handler written by VBA Application developer. Till the processing of this command continues, executing new command is not supported and generates an error (93, Program command error).

The following section explain the Event handler specifications for OnCommand:

OnCommand(ByVal CommandStr As String)

<command_string> passed in parameter for CommandStr : PROGram:COMMand

nError : if set other than 0, PROGram:COMMand reports SCPI error.

:PROGram:QUERy? <query_string> sends a OnQuery event to the VBA Application and the <query_string> is passed to the event handler as the parameter. It can also be used to receive the return value for event handler as the query_response.

When this command is executed, the execution is followed with the description in OnQuery event handler written by VBA Application developer. Till the processing of this command continues, executing new command is not supported and generates an error (92, Program not running).

The following section explain the Event handler specifications for OnQuery:

OnQuery(ByVal QueryStr As String, RespStr As String)

<query_string> passed at the parameter for PROGram:QUERy?

This RspStr value is returned as the response of PROGram:QUERy?

nError : if set other than 0, PROGram:COMMand reports SCPI error.

Starting SSA-J

The E5052B executes the command sequence below when SSA-J application starts:

  1. Saves settings for Save type (SCPI.MMEMory.STORe.STYPe) of Save/Recall function.

  2. Sets the Save type value to STATe (E5052B State Only).

  3. Saves the current status.

  4. Sets the Save type value to DSTate (E5052B State & Data)

  5. Sets Macro Setup > E5052 Event > ON.

Refer to the command sequence below to start the SSA-J functionality remotely through VBA:

  1. MMEMory:LOAD:PROGram "C:\Program Files\Agilent\E5052\vba\AgtJitter.vba".

  2. PROGram:SELected:NAME "E5052.Module1.main".

  3. PROGram:SELected:STATe RUN.

Exiting SSA-J

The E5052B executes the command sequence below when SSA-J application exits:

  1. Restores backup setting at boot for Save type (SCPI.MMEMory.STORe.STYPe) of Save/Recall function.

  2. Recalls the state file to be saved at boot up.

  3. Sets Macro Setup > E5052 Event > OFF.

To exit SSA-J application manually, click [x] right above button of the Jitter application window.

  1. When AgtJitter.vba is terminated with Macro Break key, the SSA-J application exits without performing the normal termination processing and is not a recommended process to exit from SSA-J application.

Use PROGram:COMMand "CLOS" to exit from SSA-J functionality remotely through VBA.

  • When AgtJitter.vba is terminated with PROGram:SELected:STATe STOP Command remotely using VBA, the SSA-J application exits without performing the normal termination processing and is not a recommended process to exit from SSA-J application. A warning message in Echo window (If Echo State is ON) is displayed which can be turned ON/OFF using Macro Setup > Echo Window Menu > Echo Window.

SSA-J Remote Control (Control using VBA)

SSA-J remote control is executed through SCPI commands: SCPI.PROGram.COMMand and PROGram:QUERy?.

Following are the <command_string>that can be designated as the parameter of PROGram:COMMand.

• TRIG RUN : Trigger RUN

• TRIG STOP : Trigger STOP

• JUN SEC : jitter unit sec

• JUN UI : jitter unit UI

• UPD : Executes the renewal of the display.

• PAGE RJ : select RJ tab

• PAGE PJF : select PJ Frequency tab

• PAGE PJD : select PJ Decomposition tab

• IBWL <value> : Sets the Low side frequency of Integrated BW for RJ tab to <value>

• IBWH <value> : Sets the High side frequency of Integrated BW for RJ tab to <value>

• SORT JITT : Sort by Jitter

• SORT FREQ : Sort by Frequency

• ICL <value> : Sets the input clock frequency for PJ Decomposition tab to <value>.

• TPFR <value> : Sets the Target PJ frequency for PJ Decomposition tab to <value>

• PAN JTR : Jitter Trend

• PAN JHIS : Jitter Histogram

• PAN PJS : PJ Separation

• ATC ON|OFF : Auto trend correction setting for PJ Decomposition tab.

• CLOS : Exit SSA-J.

Following are the definition of <query_string> and <query_response> which can be designated as the parameter of PROGram:QUERy?

  • TRIG (Response: RUN|STOP|WAIT) : WAIT is returned at the waiting status for the end of measurement. (The status from TRIG STOP is received to the actual end of measurement)

• JUN (Response: SEC|UI)

• PAGE (Response: RJ|PJF|PJD>

• RJDC (Response: <value>) : Queries the Detected clock value for RJ tab [Query only]

• RJIT (Response: <value>) : Queries the Jitter value for RJ tab [Query only]

• IBWL (Response: <value>)

• IBWH (Response: <value>)

• SORT (Response: JITT|FREQ)

• PFDC (Response: <value>) : Queries the Detected clock value for PJ frequency tab [Query only]

• JLIS : Queries the content of the list ordering frequency1, jitter1, frequency2, jitter2, ... displayed in jitter list [Query only]

• ICL (Response: <value>)

• TPFR (Response: <value>)

• PAN (Response: JTR|JHIS|PJS)

• ATC (Response: ON|OFF)

• PPTJ (Response: <value>) : Queries the PP TJ value of Result window for PJ Decomposition tab [Query only]

• RTJ (Response: <value>) : Queries the RMS TJ value of Result window for PJ Decomposition tab [Query only]

• NSAM (Response: <value>) : Queries the # Samples value of Result window for PJ Decomposition tab [Query only]

• RPJ (Response: <value>) : Queries the RMS PJ dd value of Result window for PJ Decomposition tab [Query only]

• PJDD (Response: <value>): Queries the RMS PJ dd value of Result window for PJ Decomposition tab [Query only]

• PDDC (Response: <value>): Query the Det. Clock value of Result window for PJ Decomposition tab. On screen display, it is displayed when Auto trend correction value is ON.

• ERR (Response: <string>): Returns the error occurred in the end of SSA-J command/query performance. [Query only]. After query, the content of the error is cleared. A SCPI error occurs with PROGram:COMMand, PROGram:QUERy?.

When (93, Program command error) occurs, the the command is enable to get the further information and any of the following values is returned:

• No error

• Invalid character

• Invalid separator

• Parameter not allowed

• Missing parameter

• Undefined header

• Invalid character in number

• Exponent too large

• Suffix not allowed

• Character data not allowed

• Execution error

• Data out of range

• Illegal parameter value

For example, when perform PROGram:COMMand "IBWL 1.0E30000", 93, Program command erroris reported as SCPI error. After that, "Exponent too learge" is returned as the result of query if perform PROGRam: QUERy? "ERR".


Data Analysis and Data Output

  • Data Analysis

  • Data Output


Data Analysis

  • Analyzing Data on Trace Using Marker

  • Searching for Positions that Match Specified Criteria

  • Determining Mean, Standard Deviation, and Peak-to-Peak of the Trace

  • Comparing Traces/Performing Data Math

  • Comparing Measurement Results in User Window

  • Limit Test

  • Linearity Evaluation of Chirped FM Signal

  • Confirming Spurious

  • Equation Editor


Analyzing Data on Trace Using Marker

  • About Marker Functions

  • Reading Values on Trace

  • Changing Display Position of Marker Value

  • Specifying Sweep Range by Using Marker

  • Reading Relative Value From Reference Point on Trace

  • Reading Only Actual Measurement Point Reading Value Interpolated Between Measurement

  • Setting Up Markers

  • Listing All Marker Values in All Displayed Traces

Other topics about Data Analysis

About Marker Functions

The marker can be used in the following ways:

  • Reading a measured value as numerical data (as an absolute value or a relative value from the reference point)

  • Moving the marker to a specific point on the trace (marker search)

  • Using the value of the marker to change the stimulus (sweep range) and scale (value of the reference line)

For more information, refer to Searching for Positions that Match Specified Criteria.

For the procedure used to change the sweep range and scale by using the marker, refer to Specifying Sweep Range by Using Marker.

The E5052B is capable of displaying up to 10 markers (10 normal markers or 9 normal markers and 1 reference marker) on each trace. Each marker has a stimulus value (the value on the X-Axis) and a response value (the value on the Y-Axis).

Reading Values on Trace

You can read the value of a marker displayed on the trace.

You can set the marker for the selected measurement window.

The marker response value is always in the same data format as that of the Y-Axis.

Operational Procedure

  1. Press Trace Next or Trace Max to activate the trace on which you want to use the marker.

  2. Press Marker. At this point, marker 1 is turned on and becomes active (you can operate the marker). When using marker 1, you can omit Step3.

  3. Select a marker and turn it on. The softkey used to turn on a marker is used to activate that marker.

    Softkey

    Function

    Marker 1

    Turns on marker 1, which has been turned off; activates marker 1

    Marker 2

    Turns on marker 2, which has been turned off; activates marker 2

    Marker 3

    Turns on marker 3, which has been turned off; activates marker 3

    Marker 4

    Turns on marker 4, which has been turned off; activates marker 4

    :

    Marker 10

    Turns on marker 10, which has been turned off; activates marker 10

  4. Change the marker value in the entry area. This operation enables you to move the marker to a point on the desired trace.

    The marker value in the entry area can be changed by one of the following methods.

    1. To change the value in the entry area, the figure in the box should be highlighted. If the figure is not highlighted, press the softkey for the marker you are using (marker 1 to marker 10) or Focus to highlight the figure.

    • Enter a numeric value using the ENTRY block key on the front panel.

    • Turn the rotary knob [image] on the front panel.

    • Press the up or down arrow key [image] ( [image]) on the front panel.

    • Using the mouse, click one of the buttons ( [image] [image] ) on the right side of the entry area.

You can move the marker by dragging and dropping either one of the marker position pointers above or below the graph ( [image] ) (pressing the button on the object to be moved and releasing the button on the destination). You can also move a marker itself by dragging and dropping it.

  5. When using other markers, repeat Step3 and Step4.

Read the marker stimulus value and marker response value displayed in the upper part of the trace screen.

To turn off marker(s), press the Clear Marker Menu and then select the desired softkeys.

Softkey | Function
All OFF | Turns off all markers on active trace
Marker 1 to Marker 10 | Turns off one of markers 1 through 10 on active trace

Changing Display Position of Marker Value

You can change the display position of the marker value on the graph.

Operational Procedure

  1. Press Trace Next or Trace Max to activate the trace on which you want to use the marker.

  2. Press Display.

  3. Press Marker Information to change the display position.

Softkey | Function
Left | Displays marker value in upper-left part of graph
Right | Displays marker value in upper-right part of graph

You can also view the marker values in a list. For more information, refer to Listing All Marker Values in All Displayed Traces.

Specifying Sweep Range by Using Marker

You can copy the active marker value to the position of start, stop or center. If multiple markers are present on the active trace, only the active marker can be moved.

For TR Measurement: Marker to Target Frequency and Phase reference can be set using Marker --> > Marker -> Target Freq (or N2 Target Freq)and Marker --> > Marker -> Phase Reference (or N2 Phase Reference). For more information on phase reference, refer to Using the phase reference frequency.

  1. For AM / BB / PN / PS Measurement: An additional marker option is available at Marker --> > Marker -> Omit Spur.

    It is recommended to use this function with the Discrete value ON as:
    Marker     > More functions > Discrete > ON. When it is used this function with Discrete > Off, it is possible to specify the frequency data that is not effective at omit of the specific Spurious.

    In Omit Spur option, when X-axis data of Spurious List is not within the X-axis for Trace Data, the data equivalent to outside of scope is ignored. For information on Omit Spur, refer to Setting Omit Specified Spur.

Operational Procedure

  1. Press Trace Next or Trace Max to activate the trace on which you want to use the marker.

  2. Press Marker -->.

  3. Press the corresponding softkey to specify the sweep range.

    Softkey

    Function

    Marker to Start

    Changes start value to be equal to stimulus value of active marker on current active trace

    Marker to Stop

    Changes stop value to be equal to stimulus value of active marker on current active trace

    Marker to Center

    Changes center value to be equal to stimulus value of active marker on current active trace

Reading Relative Value From Reference Point on Trace

You can convert the marker reading to a relative value from the reference point.

Reference Marker Mode

Operational Procedure

  1. Press Trace Next or Trace Max to activate the trace on which you want to use the marker.

  2. Press Marker.

  3. Press More functions .

  4. Press Ref Marker to specify the reference marker (Marker 1 through 10).

    By default, marker 1 is set as the reference marker.

  5. Press Ref Marker Mode to turn on the reference mode.

    Activate the reference marker if it is not active.

    With the reference mode turned on, the stimulus values and response values are indicated in relative values referred to by the position of the reference marker.

  • While the reference marker mode is turned on, you cannot view the relative value from the reference point unless the delta marker mode is set to ‘ON’.

Following Step4in Reading Values on Trace, place the reference marker on the point to be used as the reference.

Following Step3to Step4in Reading Values on Trace, place markers 1 through 10 on the desired points to read the values.

To use the list view of the marker values, refer to Listing All Marker Values in All Displayed Traces.

Reading Only Actual Measurement Point/Reading Value Interpolated Between Measurement Points

The point on the trace on which a marker can be placed differs depending on how the discrete marker mode is set up.

Setting | Description
Turning on discrete mode (Discrete ON) | A marker moves only between actual measurement points. When a specific marker stimulus value is specified as a numerical value, the marker is placed at the measurement point closest to the specified value. A marker that is placed between interpolated points with the discrete mode off automatically moves to the nearest measurement point when the discrete mode turns on.
Turning off discrete mode (Discrete OFF) | The marker can move from one actual measurement point to another. Because it is interpolated, it can also move in the space between measurement points.

Marker Discrete Mode

Operational Procedure

  1. Press Trace Next or Trace Max to activate the trace on which you want to use the marker.

  2. Press Marker.

  3. Press More functions.

  4. Press Discrete to turn the discrete mode ON or OFF.

Setting Up Markers for Each Trace/Setting up Markers for Coupled Operations Between Traces

Markers can be set up and moved either in a coupled operation for all traces in a channel or independently for each trace.

You can set up marker coupling for frequency/power measurement, transient measurement and the user window.

Marker Coupling

Setting | Description
Marker Couple is on (Couple ON) | Markers are set up and moved in coupled operation on all traces in a channel.
Marker Couple is off (Couple OFF) | Markers are set up and moved independently for each trace.

Operational Procedure

  1. Press Trace Next or Trace Max to activate the trace on which you want to use the marker.

  2. Press Marker.

  3. Press Couple to turn the marker coupling on or off.

  • For the transient measurement, both the marker coupling (Couple) and the marker discrete mode are turned on, where the active marker on the active trace operates in the discrete mode; however, the other subsequent markers are not always on the measurement point, since they are coupled with the value.

Listing All Marker Values in All Displayed Traces

You can list all of the marker values for all traces on the marker list display.

Operational Procedure

  1. Press Marker.

  2. Press Marker List to turn on the marker list display.

    The marker list is displayed in the lower part of the screen as shown in the following figure.

Turning on Marker List


Searching for Positions that Match Specified Criteria

  • Overview

  • Setting Search Range (Bandmarkers)

  • Searching in Specified Range

  • Setting up Bandmarker for Each Trace Setting up Markers for Coupled Operations Between Traces

  • Automatically executing search each time Sweep is done (search tracking)

  • Searching for Maximum and Minimum Measured Values

  • Searching for Target value

  • Searching for Peak

  • Searching for Multiple Peaks

  • Searching for Spurious

  • Searching for Multiple Spurious

Other topics about Data Analysis

Overview

You can search for a position that matches your specified criteria by using the Marker Search feature.

Marker Search allows you to search for a position that matches the following criteria:

  • Maximum value

  • Minimum value

  • Target (a point that has a target measurement value)

  • Target nearest to marker position

  • Target nearest to left-hand side of marker position

  • Target nearest to right-hand side of marker position

  • Peak

  • Maximum peak (for a positive peak), minimum peak (for a negative peak)

  • Peak nearest to left-hand side of marker position

  • Peak nearest to right-hand side of marker position

  • Spurious

  • Spurious nearest to left-hand side of marker position

  • Spurious nearest to right-hand side of marker position

Setting Search Range (Bandmarkers)

The Marker Search feature allows you to set part of the sweep range as the search target (Bandmarker feature) as well as the entire search range.

Procedure to Set Search Range

  1. Press Trace Next or Trace Max to activate the trace on which you want to use the marker.

  2. Press Marker Fctn (or press Marker Search).

  3. To set the search range for the X-Axis, turn on Bandmarker X.

  4. Set the search range using X start, X stop, X center and X span.

    Each value for the search range can be changed by one of the following methods.
    " Enter a numeric value using the ENTRY block key on the front panel.
    " Turn the rotary knob ( [image]) on the front panel.
    " Press the up or down arrow key ( [image] [image]) on the front panel.
    " Using the mouse, click one of the buttons ( [image] [image]) on the right side of the entry area.

    You can move the search range by dragging and dropping either one of the bandmarker position pointers ( [image] [image] [image] ) above the graph (pressing the button on the object to be moved and releasing the button on the destination). You can also drag and drop the start/stop line of the search range.

  5. To set the search range for the Y-Axis, turn on Bandmarker Y.

  6. Set the search range using Y start, Y stop, Y center and Y span.

    Each value for the search range can be changed by one of the following methods.
    " Enter a numeric value using the ENTRY block key on the front panel.
    " Turn the rotary knob ( [image]) on the front panel.
    " Press the up or down arrow key ( [image] [image]) on the front panel.
    " Using the mouse, click one of the buttons ( [image] [image]) on the right side of the entry area.

    You can move the search range by dragging and dropping either one of the bandmarker position pointers ( [image] [image] [image] ) above the graph (pressing the button on the object to be moved and releasing the button on the destination). You can also drag and drop the start/stop line of the search range.

Searching in Specified Range

Procedure to Set Search Range

  1. Press Trace Next or Trace Max to activate the trace on which you want to use the marker.

  2. Press Marker Search.

  3. To perform the partial search for the stimulus value (X-Axis), press Search Range(X) to select Bandmarker.

  4. To perform the partial search for the response value (Y-Axis), press Search Range(Y) to select Bandmarker.

    Setting

    Description

    Full Range
    (Full Scale)

    All data are obtained from all traces.

    Bandmarker
    (Bandmarker)

    Partial data are obtained from within bandmarker.

Setting up Bandmarker for Each Trace/Setting up Markers for Coupled Operations Between Traces

The bandmarkers can be set up and moved either in coupled operation for all traces in a channel or independently for each trace.

You can set up bandmarker coupling for frequency/power measurement, transient measurement and the user window.

Bandmarker Coupling

Setting | Description
Bandmarker Couple is on (Couple ON) | Bandmarkers are set up and moved in coupled operation on all traces in a channel.
Bandmarker Couple is off (Couple OFF) | Bandmarkers are set up and moved independently for each trace.

Operational Procedure

  1. Press Trace Next or Trace Max to activate the trace on which you want to use the marker.

  2. Press Marker Fctn (or press Marker Search).

  3. Now you can set up the bandmarker. For more information, refer to Setting Search Range (Bandmarkers).

  4. Press Couple to turn the marker coupling on or off.

  5. You cannot turn on the bandmarker coupling for the X-Axis.

Automatically Executing Search Each Time Sweep is Done (search tracking)

Search tracking is a function that sets a search to be repeated every time a sweep is done. This function facilitates the observation of measurement results, such as the maximum value of traces.

Operational Procedure

  1. Press Trace Next or Trace Max to activate the trace on which search tracking is set up.

  2. Press Marker Search.

  3. Press Tracking and specify the parameters of the search tracking function.

    Setting

    Description

    Off

    Turns off search tracking function.

    Maximum value

    Specifies the maximum value for search tracking function.

    Minimum value

    Specifies the minimum value for search tracking function.

    Peak

    Specifies the peak for search tracking function.

    Target

    Specifies the target for search tracking function.

    Spurious

    Specifies the spurious for search tracking function.

Searching for Maximum and Minimum Measured Values

You can search for the maximum or minimum measured value on the trace and move a marker to that point.

Searching for Maximum and Minimum Measured Values

Setting | Description
Search for maximum (Max) | Moves active marker to point on trace where measured value is greatest.
Search for minimum (Min) | Moves active marker to point on the trace where measured value is lowest.

Operational Procedure

  1. Following Step1to Step3in Reading Values on Trace, activate the marker you will use to search for the maximum and minimum values.

  2. Press Marker Search.

  3. Press the corresponding softkey to move the marker to the maximum or minimum measured value.

Softkey | Function
Search Max | Performs a search for the maximum value.
Search Min | Performs a search for the minimum value.

Searching for Target Value (target search)

The target search function enables you to move the marker to the point that has the target measured value.

Target and Transition Types

A target is a point that has a specific measurement value on the trace. Targets can be divided into the two groups shown below depending on their transition type.

Setting | Description
Transition type: positive (Positive) | When the value of the target is larger than the measurement value that immediately precedes it (on the left side).
Transition type: negative (Negative) | When the value of the target is smaller than the measurement value that immediately precedes it (on the left side).

Target and Transition Types

About Target Search Function

The target search is a function that searches for a target that matches the pre-defined target value and transition type(s) (positive, negative, or both positive and negative) and then moves to the peak with maximum response value if the peak polarity is Positive or Both or to the peak with minimum response value if the peak polarity is Negative.

The following three methods are available for executing the target search:

Setting | Description
Search target (Search Target) | The marker moves to the nearest target in the stimulus value from the position of a present marker.
Left search (Search Left) | Executes search from current marker position to the smaller stimulus values and moves marker to first target encountered
Right search (Search Right) | Executes search from current marker position to the larger stimulus values and moves marker to first target encountered

Target Search (when transition type is set to both positive and negative)

Operational Procedure

  1. Following Step1through Step3 in Reading Values on Trace, activate a marker you are using for the target search.

  2. Press Marker Search.

  3. Press Target.

  4. Press Target Value and enter a target value in the entry box that appears.

    The marker target search will be executed based on the newly set target value and the transition type defined.

  5. Press Target Transition.

  6. Select a transition type.

    Softkey

    Function

    Positive

    Selects positive as transition type.

    Negative

    Selects negative as transition type.

    Both

    Selects both positive and negative as transition type.

The marker target search will be executed based on the definitions of the currently set target value and the newly set transition type. Each marker is allowed to have the peak excursion value and the peak polarity individually.

  7. Press the corresponding softkey to move the marker to the target.

    Softkey

    Function

    Search Target

    Executes target search.

    Search Left

    Executes left search.

    Search Right

    Executes right search.

Searching for Peak

The peak search function enables you to move the marker to the peak on the trace.

Definitions of Peaks

A peak is a measurement point whose value is greater or smaller than the adjoining measurement points on its right and left sides. Peaks are classified into the following types depending on the difference in magnitude from the measurement points on either side of it.

Setting | Description
Positive peak (Positive) | A peak whose measurement value is greater than those of the measurement points on either side of it (peak polarity: positive)
Negative peak (Negative) | A peak whose measurement value is smaller value than those of measurement points on either side of it (peak polarity: negative)

About the peak search function

The peak search is a function that searches for a peak that matches a pre-defined lower limit for the peak excursion value and peak polarity (positive or negative) and then moves the marker to this peak.

The peak excursion is the smaller of the differences in measurement values from the adjoining peaks of the opposite polarity.

Positive Peak, Negative Peak and Peak Excursion

The following four methods are available for executing the peak search:

Setting | Description
Search peak (Search Peak) | Moves marker to the maximum peak when peak polarity is Positive or Both; moves marker to the minimum peak when peak polarity is Negative
Search all peaks (Search Peak All) | Moves marker to the maximum peak when peak polarity is Positive or Both; moves marker to the minimum peak when peak polarity is Negative
Search left (Search Left) | Executes search from current marker position to the smaller stimulus values and moves marker to the first peak encountered
Search right (Search Right) | Executes search from current marker position to the larger stimulus values and moves marker to the first peak encountered

Peak Search (when peak polarity is positive)

Operational Procedure

  1. Following Step1 through Step3 in Reading Values on Trace, activate a marker you are using for the peak search.

  2. Press Marker Search.

  3. Press Peak.

  4. Press Peak Excursion and enter the lower limit for the peak excursion value.

    The marker peak search will be executed based on the definitions of the newly set lower limit for the peak excursion value and the currently set peak polarity.

  5. Press Peak Polarity.

  6. Select a peak polarity.

Softkey | Function
Positive | Selects Positive as the peak polarity
Negative | Selects Negative as the peak polarity
Both | Selects Both Positive and Negative as the peak polarity

The marker peak search will be executed based on the definitions of the currently set lower limit for the peak excursion value and the newly set peak polarity. Each marker is allowed to have the peak excursion value and the peak polarity individually.

  7. Press the corresponding softkey to move the marker to the peak.

    Softkey

    Function

    Search Peak

    Executes peak search

    Search Left

    Executes left search

    Search Right

    Executes right search

Searching for Multiple Peaks

The multi-peak search function enables you to display markers on multiple peaks on traces.

About Peak Search All Functions (Peak Search All)

The peak-search-all is a function that searches for peaks that match a pre-defined lower limit for the peak excursion value and peak polarity (positive or negative) and then displays the markers on these peaks. Up to 10 markers can be displayed.

The peak excursion is the smaller of the differences in measurement values from the adjoining peaks of the opposite polarity.

  • About the matched to peak definition see Searching_for_Peak.

Peak Search All (when peak polarity is positive)

Operational Procedure

  1. Following Step1 through Step3 in Reading Values on Trace, display the multiple markers you are using for the peak search.

  2. The peak search is executed as many times as the number of markers displayed (up to 10).

  2. Press Marker Search.

  3. Press Peak.

  4. Press Peak Excursion and enter the lower limit for the peak excursion value.

    This sets the multiple peak searches to be executed based on the definitions of the newly set lower limit for the peak excursion value and the currently set peak polarity.

  5. Press Peak Polarity.

  6. Select a peak polarity.

    Softkey

    Function

    Positive

    Selects Positive as the peak polarity.

    Negative

    Selects Negative as the peak polarity.

    Both

    Selects both Positive and Negative as the peak polarity.

This sets the multiple peak searches to be executed based on the definitions of the currently set lower limit for the peak excursion value and the newly set peak polarity.

  7. Press Search Peak All to move the marker to the peak.

Searching for Spurious

The spurious search function enables you to move the marker to the peak value on the trace. You can use this function when the spurious judgment is enabled. For more information, refer to Confirming Spurious.

About spurious search function

The spurious search is a function that searches for a spurious and then moves the marker to this spurious.

The following three methods are available for executing the spurious search:

Setting | Description
Search spurious (Search Spurious) | Moves marker to the maximum spurious
Search left (Search Left) | Executes search from current marker position to the smaller stimulus values and moves marker to the first spurious encountered
Search right (Search Right) | Executes search from current marker position to the larger stimulus values and moves marker to the first spurious encountered

Spurious Search

Operational Procedure

  1. Following Step1 through Step3 in Reading Values on Trace, activate a marker you are using for the peak search.

  2. Press Marker Search.

  3. Press Spurious.

  4. Press the corresponding softkey to move the marker to the peak.

Softkey | Function
Search Spurious | Executes spurious search
Search Left | Executes left search
Search Right | Executes right search

Searching for Multiple Spurious

The multi-peak spurious function enables you to display markers on multiple spurious on traces.

About Spurious Search All Functions (Spurious Search All)

The spurious-search-all is a function that searches for spurious and then displays the markers on these spurious. Up to 10 markers can be displayed.

Spurious Search All

Operational Procedure

  1. Following Step1 through Step3 in Reading Values on Trace, display the multiple markers you are using for the peak search.

  2. The spurious search is executed as many times as the number of markers displayed (up to 10).

  2. Press Marker Search.

  3. Press Spurious.

  4. Press Search Spurious All to move the marker to the spurious.


Determining Mean, Standard Deviation, and Peak-to-Peak of the Trace

  • Specifying Range for Statistical Data

  • Displaying Statistical Data

Other topics about Data Analysis

You can easily determine the statistics data for the trace between bandmarkers (mean, standard deviation, and peak-to-peak). The following figure and table show the definitions for the statistics data elements.

Parameters Used for Calculating Statistics Data

Statistics data element | Definition
Average (Mean) | (n: number of points; xi: i measured value at the i-th measurement point)
Standard deviation (S. Dev) | (n: number of points; xi: measured value at the i-th measurement point; mean: mean)
Peak-to- Peak (PtoP) | Max - Min (Max: greatest measured value; Min: smallest measured value)

Specifying Range for Statistical Data

  1. Press Trace Next or Trace Max to activate the trace for which you want to obtain statistical data.

  2. Press Marker Fctn > Analysis Range (X).

  3. Press Marker Fctn > Analysis Range (Y)

Specify the range (X/Y-Axis) from which you want to obtain statistical data.

Analysis Range | Description
Full Range (Fullscale) | Statistical data are obtained from all traces.
Bandmarker (Bandmarker) | Statistical data are obtained from within bandmarker.

To set up the bandmarker, refer to Setting Search Range (Bandmarkers).

Displaying Statistical Data

  1. Press Trace Next or Trace Max to activate the trace for which you want to obtain statistical data.

  2. Press Marker Fctn.

  3. Specify the range (X/Y-Axis) from which you want to obtain statistical data. For more information, refer to Specifying Range for Statistical Data.

  4. Set the Analysis Type to Integral | Statistics | Linear Regression.

  • The values of Analysis type depend upon selected measurement. The values are different for different measurements.

    Turning on the marker list displays statistics data in a list. To display the marker list, refer to Listing All Marker Values in All Displayed Traces.


Comparing Traces/Performing Data Math

  • Overview

  • Operational Procedure

Other topics about Data Analysis

Overview

Each of the traces for which measured data are displayed is provided with an additional trace, called a memory trace, that temporarily stores the measured data. You can use the memory trace to compare traces on the screen or to perform data math between the memory trace and measured data.

The following data math operations are available:

Operation | Description
Data / Memory | Divides measured data by the data in the memory trace; this function can be used to evaluate the ratio of two traces (e.g., evaluating gain or attenuation).
Data * Memory | Multiplies measured data by a memory trace.
Data - Memory | Subtracts a memory trace from measured data.
Data + Memory | Adds measured data and data in the memory trace.

Operational Procedure

  1. Press Trace Next or Trace Max to activate the trace that you want to save in the memory.

  2. Press Trace View.

  3. Press Data -> Mem to store the measured data in memory.

  4. Press Data Math.

  5. Select the data math operation to perform.

Softkey | Function
OFF | Turns off data math functions (Do not perform data math).
Data / Mem | Divides measured data by the memory trace and stores result in the data trace.
Data * Mem | Multiplies the data trace by the memory trace and stores result in the data trace.
Data - Mem | Subtracts the memory trace from data trace and stores result in the data trace.
Data + Mem | Add the data trace and memory trace and store the result in the data trace.
USER Equation | Applies User Equation created in Equation Editor.

  6. Press Display Trace.

  7. Select the type of data to display on the screen.

    Softkey

    Function

    Data

    Displays only data trace on the screen.

    Mem

    Displays only memory trace stored by Data > Mem operation on the screen.

    Data & Mem

    Displays data trace and memory trace on the screen (You can now easily compare the data trace and memory trace on the screen.)

    Off

    Turns off display of the trace

  8. Apply the trigger to make measurements.


Comparing Measurement Results in User Window

  • Copy Traces to User Window

  • Add Annotation to Each Trace in User Window

Other topics about Data Analysis

Up to eight measurement data can be retained in a user window. You may want to copy the multiple data that were measured with different settings to the user window so that you can compare them on the same screen.

When you copy traces of phase-noise measurement to the user window, carrier frequency and level are also copied in the upper-right area of the graph. Since this value is treated as annotation, you can change or delete it later.

Copy Traces to User Window

  1. Press Trace Next or Trace Max to activate the trace you want to copy.

  2. Press Trace View > Copy to USER

  3. From Copy to USER1 to Copy to USER8, select user window trace of the copy destination.

  4. Press Meas/View > User to select the user window. The trace that has been copied to the user window is displayed.

  • Note that you are viewing the sweep range of the active trace in the user window.

Add Annotation to Each Trace in User Window

You can add annotation to each active trace, and only the annotation of the active trace is displayed in the upper-right area of the graph.

  1. The carrier frequency and/or level information in annotation will be hidden according to the setting of security level.

  1. Press Trace Next or Trace Max to activate the trace to be copied.

  2. Press Trace View > Trace Annotation

  3. When the dialog box appears, enter the annotation using either the on-screen keyboard or a connected keyboard.


Limit Test

The limit test feature allows you to set the limit line for each trace and then perform the pass/fail judgment for the measurement result.

  • Concept of Limit Test

  • Displaying Judgment Result of Limit Test

  • Defining Limit Line

  • Initializing Limit Lines

Other topics about Data Analysis

Concept of Limit Test

The limit test is a function to perform pass/fail judgment based on the limit line you set.

In the limit test, if the upper limit or lower limit indicated by the limit line is not exceeded, the judgment result is pass; if it is exceeded, the judgment result is fail for all measurement points on the trace. Measurement points in a stimulus range with no limit line are judged as pass.

  • The targets of the pass/fail judgment are measurement points only. Parts interpolated between measurement points are not judged.

You define the limit line by specifying the stimulus value (Begin Stimulus) and response value (Begin Response) of the begin point, the stimulus value (End Stimulus) and response value (End Response) of the end point. For more information, refer to Defining Limit Line.

When the limit test is on, measurement points that fail are displayed in red on the screen and the measurement’s pass/fail judgment result based on the results of individual measurement points (fail if one or more measurement points on the trace fail) is also displayed. For more information, refer to Displaying Judgment Result of Limit Test.

In addition to viewing the screen, you can check the judgment result of the limit test by the following methods.

• Using the status register.

• 24-bit I/O.

Displaying Judgment Result of Limit Test

Measurement points determined as “Fail” will be displayed red on the screen. The determination result of a measurement can be displayed in the following two methods:

• Either “Pass” or “Fail” is displayed in the lower-right part of the measurement window. The result can be seen whenever the limit test is turned on.

• “Fail” can be displayed in the center of the measurement window. You can specify display/hide by following the steps below.

  1. Press Display.

  2. Press Limit Test to display the limit test menu.

  3. Press Fail Sign. Each press toggles between on/off.

  • In the tester mode during the frequency/power measurement mode, either “Pass” or “Fail” is displayed in the lower and the upper right part of the measurement window. Measurement data determined as “Fail” will be shown in red.

Turning On or Off the Beeper in Limit Test

Turn on the warning beeper if you want to sound an alarm when a measurement is determined as “Fail” in the limit test. Refer to the Setting the Beeper (Built-in Speaker) to turn on or off the warning beeper.

Defining Limit Line

You must define the limit lines before you can use the limit test function. The upper and lower limit lines can be retained for each trace, and up to 100 limit lines (segments) can be defined in each limit line.

Defining Segment

Follow the steps below to define the segments.

  1. Create upper and lower values for limit lines in the following format, and then save them in the CSV format (with the *.csv extension).
    x_start, y_start, x_stop, y_stop
    x_start, y_start, x_stop, y_stop
    :
    x_start, y_start, x_stop, y_stop

Parameter | Overview
x_start | The starting point for the stimulus value on the limit line
y_start | The ending point for the stimulus value on the limit line
x_stop | The starting point for the response value on the limit line
y_stop | The ending point for the response value on the limit line

  1. Save the upper limit values together into one file, and the lower limit values into another.

    One line represents one segment. Even when specifying 0 for the stimulus range, you must provide both the start and the stop values.

    For the tester mode during the frequency/power measurement mode, the response value corresponding to a stimulus value of 0 will be used as the limit value.

  2. Activate the trace to which you want to apply the limit test function.

  3. Press Display > Limit Test to display the Limit Test menu.

  4. Press Import Upper Limit Line.../Import Lower Limit Line... to open the file with the *.csv extension, which contains the predefined upper/lower values.

  5. In order to edit the predefined upper/lower values file and reflect it to the limit test, you must once again open the file by pressing Import Upper Limit Line.../Import Lower Limit Line....

  • You can specify the limit lines so that they may overlap other limit lines as you like. If you set limit lines on which stimulus ranges overlap one another, the measurement points within the range will have multiple limit values. In that case, the limit value to be used for the limit test will be as follows:

    *If multiple upper limit values exist within the same range, the lowest value will be used as the upper limit value.
    *If multiple lower limit values exist within the same range, the highest value will be used as the lower limit value.

Turning On or Off the Limit Test

You can set the limit test on/off for each trace individually. Follow the steps below to set the limit test to on/off.

Operational Procedure

The following steps describe how to save/call the limit table. Use the external keyboard and mouse for the operations listed below.

  1. Activate the trace to which you want to apply the limit test function.

  2. Press Display > Limit Test to display the Limit Test menu.

  3. Press Limit Test and turn on the Limit Test. You can also display the limit lines on the screen by turning on the Limit Line. In tester mode during the frequency/power measurement, the limit values can be turned on or off with the Limit Line softkey.

Initializing Limit Lines

The following operations initialize the limit lines.

• At power-on

• When presetting

• When Delete Upper Limit Line/Delete Lower Limit Line is pressed in the Limit Test menu


Linearity Evaluation of Chirped FM Signal

  • Overview

  • Create Reference Regression Line

  • Evaluate the Linearity

Other topics about Data Analysis

Overview

The linearity evaluation of a chirped FM signal is a function that statistically evaluates errors in test signals by using a reference regression line created by changing the test frbequency to the line’s values.

This function has two processes: creating the reference regression line and evaluating the linearity of test signals. When evaluating linearity, you can specify the analysis range by using the band marker.

The linearity evaluation of chirped signals can be used for transient measurements.

Create Reference Regression Line

This section describes steps to create a reference regression line based on the following chirped FM signal in transient measurement.

Measurement example of chirped FM signal in transient measurement

Procedure

  1. Press Trace Next or Trace Max to activate the trace in which you want to save the trace memory.

  2. Press Marker Fctn.

  3. Press Band Marker X to enable it, and then set the analysis range.

  4. Press Return

  5. Press Trace View.

  6. Press Memory Trace - Line(Y = AX + B) - A to enter the value (slope) of the regression line coefficient (Y = aX + b).

  7. Press B to enter the value of b (intercept) of the regression line coefficient (Y = aX + b).

  8. When you want to assign the measurement value currently displayed to the linear regression coefficient, the values of a and b can be obtained by pressing the DATA Trace -> A,B button.

  9. When fewer than two measurement points are in the analysis range, the values of a and b return to zero.

  8. Press Set Line to Memory to write into the memory trace.

Evaluate the Linearity

After obtaining the regression line coefficient, calculate error from reference by comparing traces. Here, statistics are used for calculating error (refer to Determining Mean, Standard Deviation, and Peak-to-Peak of the Trace).

Procedure

  1. Press Trace/View.

  2. Press Data Math and select Data - Mem to perform data math.

  3. Press Maker Fctn.

  4. Set Analysis Type to Statistics to display the analysis results.

  • When the marker list is on, statistics are displayed on the screen of another window. For display method of the marker list, refer to Listing All Marker Values in All Displayed Traces.

When you want to compare traces, set Data Math to off and display traces and trace memory on the screen. For the display method, refer to Comparing Traces/Performing Data Math.


Confirming Spurious

  • Spurious Criteria

  • Setting Minimum Spurious Level

  • Setting Spurious Sensibility

  • Confirming Spurious using Threshold table

  • Setting Omit Specified Spur

Other topics about Data Analysis

Spurious Criteria

Spurious can be defined by either of the following two methods. The threshold is defined by selected method. Then, when the measured value exceed over the threshold, it is defined as a spurious.

  • Define the threshold in terms of the standard deviation ( σ ) value which is calculated from the measurement result moving average.
    Threshold can be set at the standard deviation ( σ ) × sensitivity. Refer to Setting Spurious Sensibility.

  • Using the csv file which define the threshold. Refer to Confirming Spurious using Threshold table. The threshold csv file should be defined in advance.

Setting Minimum Spurious Level

If the spurious data is bigger than this minimum spurious level, it is omitted the spurious data, or displayed it with Power (dBc).

For example, there are two peaks (C) and (D) which are detected as a spurious in the figure below. When it is displayed with Power (dBc), the part of peak (C) which is above the minimum spurious level is colored in white.

  • This function does not affect data itself even if the peak is detected as a spurious.

  1. Press Trace/View > Spurious > Minimum Spur Level to adjust the minimum spurious level.

Setting Spurious Sensibility

Follow the steps below to use the spurious sensibility function.

  1. Press Trace/View > Spurious > Spur Sensibility

  2. Enter the spurious sensibility value in the data entry field that appears in the upper part of the screen.

    • The low peak has real sensibility when the value is small.

Spurious Judgement using spurious sensibility

Confirming Spurious using Threshold table

The E5052B obtains a reference waveform based on the moving average of the phase noise, AM noise, Baseband and segment phase noise measurement results, and regards any data as spurious that may vary significantly from the reference waveform.

  1. Press Trace/View > Spurious.

  2. Press Import Threshold table... to import the threshold data file that you defined in advance.

  3. Press Power (dBc for Phase Noise/AM noise and dBV for BaseBand). The data regarded as spurious is displayed by highlight. You can view the stimulus and response values for each peak of spurious in a text file by pressing Spurious List.

    By Pressing Omit, the data regarded as spurious is replaced by the reference waveform that the E5052B calculated. By pressing Normalized (dBc/Hz for Phase Noise/AM noise and dBV/Hz for BaseBand), the data displayed is back to the measurement data.

  4. Press Trace/View > Spurious > Minimum Spur Level to adjust the minimum spurious level.

    If the spurious data is bigger than this minimum spurious level, it is omitted the spurious data, or displayed it with Power (dBc).

  5. By pressing Clear Threshold Table, the threshold table is cleared and set to the initial value, 0, 2, 30. By pressing Explorer, the file explorer is activated to find a file.

Spurious Judgment using threshold table

You can view the measurement points regarded as spurious in power (dBc). You can also provide any user-defined threshold for determining spurious.

Spurious judgment

(A), (E) | For measurement values falling in the range for which no threshold is specified (A), or between the upper and lower thresholds (E), the E5052B determines whether or not they are spurious based on its own determination criteria.
(B) | The E5052B considers the spurious smaller than the lower threshold as non-spurious regardless of its own determination criteria.
(C), (D) | The E5052B considers the spurious greater than the upper threshold as spurious regardless of its own determination criteria.

Define the threshold table

To specify the threshold for spurious, you must define the threshold table in advance. Define the threshold data in the following format, and then save it in the CSV format (with the extension of *.csv).

freq_from, threshold_min, threshold_max

freq_from, threshold_min, threshold_max

:

freq_from, threshold_min, threshold_max

Parameter | Overview
freq_from | Setting the start point of the threshold for spurious. You can not specify the end point. If the next start point and upper/lower threshold values are not specified, this threshold is valid until the stop frequency.
threshold_min | Lower threshold value
threshold_max | Upper threshold value

  • One line represents one segment, and you can specify up to 50 segments in the threshold table.

    If the upper threshold is smaller than the lower threshold, the former will take precedence.

    You can comment out the line by placing "#" at the beginning of the line.

  2. Phase Noise is usually presented logarithmically as a plot of phase modulation sidebands in the frequency domain, expressed in dB relative to the carrier power per Hertz of bandwidth [dBc/Hz]. The default setting of the phase noise measurement on the SSA is [dBc/Hz] and the bandwidth is almost 1% of the offset frequency. The spurious is distinguished from noise, and the spurious power level is expressed in dB relative to the carrier power normally.

  3. The difference between the phase noise measurement and a spectrum analyzer in measuring single sided spurious is 6 dB. If single sided spurious is present, its level can be measured on a spectrum analyzer. However, the measured data in phase noise measurement for a single sided spurious is 6dB lower from its true amplitude because the phase noise measurement assumes double sided spurious.

    The E5052B employs a phase detector method like other phase noise measurement systems, which measures double side band (DSB) noise and then converts it to single side band (SSB) noise.

Setting Omit Specified Spur

This function analyzes the data state to omit specific spurious. Log interpolation is applied to deleted data by using the neighbouring data.

  1. Press Trace/View > Spurious > Omit specified Spur.

  2. Select Omit > On | Off from the softkey menu list.

  3. OmitS is displayed at the bottom of screen.

  3. Select Import Spurious Table... to import the spurious data file.

  4. Select Export Spurious Table... from the softkey menu list.

  5. By pressing Clear Spurious Table, the spurious list is cleared.

  6. It is available to set the value of frequency to be Omit, using marker. For information on Marker to Spurious, refer to Specifying Sweep Range by Using Marker

  7. It is not possible to be likely to omit the spurious only by specifying the frequency at one point. When it is judged the spurious still remains, it is required to expand the specified frequency and target it in omit.

Registering Spurious

The existing Spurious list data cannot be read directly due to jitter value so it is read corresponding to the X-axis frequency.

Input/Output for Spurious Frequency List

The operation for input/output is same as Limit test. Enter the number of spurious input with COUNt, then register the spurious with FLISt. The following commands are used for input/output spurious frequency list:

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Input/Output through csv file

The following command enables to read the matrix data array with csv:

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt


Equation Editor

  • Overview

  • Starting Equation Editor

  • Using Equation Editor

  • Applying User Equation

  • Equation History

  • Functions and Constants

  • Operators

Other topics about Data Analysis

Overview

Equation Editor allows you to enter an algebraic equation of standard mathematical operators and functions, referencing data that is available in the E5052B. Once a valid equation is entered and enabled, the display of the active trace is replaced with the results of the equation, and updated in real-time as new data is acquired. For equations that can be expressed with Equation Editor's supported functions, operators, and data, there is no need for off-line processing in a separate program.

Starting Equation Editor

Equation Editor can be accessed through Trace/View > Equation Editor (1 in the Figure below).

Using Equation Editor

Equation Editor can be used to enter an algebraic equation with measurement functions available in the trace. For example, "Eq1 = data + 52.555", can be applied to the measurement where the "Eq1' will be displayed on the measurement as a label. In case you do not wish to apply a label to be displayed, enter the equation directly, for example as "= data + 52.555".

  • The length of the equation should be within 254 characters, and the length of equation label should be within 20 characters. If the label is more than 20 characters, then the equation label is truncated to 20 characters.

  • If the equation label contains an invalid character, then an error (Error No: 170, Invalid equation label) is generated.

  • If the equation is more than 254 characters, or if the equation formula is invalid (For example, if the case arc is not pair), then an error (Error No: 171,Invalid equation expression) is generated.

The available data is the data that is able to be measured by an active source port in the same channel. The equation can be entered by the on-screen key board (3 and 4).

Applying User Equation

User Equation created in Equation Editor can be applied to a measurement by selecting Trace/View > Data Math > User Equation.

Equation History

The Equation Editor has the capability to store and use all previously used equations, and can be accessed by clicking the ... button shown as 5 in the figure above. The ... button in E5052B Equation Editor provides an option to view either the List or the History of Equation entered in the Equation Editor.

The key difference between History and List is that History contains all the equations that are used in the Equation Editor and List stores specific equations that are manually added using the Edit button in the Equation History dialog box. The commands visible in History are lost when the firmware is restarted but commands manually saved in List are stored permanently in a text file located at F:\Equ_list.txt.

To save the equations in List, follow this procedure:

  1. Open Equation Editor by Trace/View > Equation Editor

  2. Enter the equation you wish to store permanently, say "5kHz_filtered=data-20*log10(sqrt(1+pow(5E3,2)/pow(x,2)))”, click Apply, and click ... button (5 in the figure above). This open the Equation History dialog box.

  3. To store an equation, the equation must be applied first. This can be done by clicking on the Apply button.

  3. Click Edit. The Equation History Edit dialog box appears.

  4. Select the equation/s you wish to store permanently in History tab and click Add to add them in the List tab.

  5. Click OK to save the equations. The equations are stored in a text file located at F:\Equ_list.txt.

  6. The List/History button in Equation History dialog box (as shown in Step 2) opens the saved List of equations. If History contains 3 equations and you have saved only 1 equation in the List, then pressing this button will display only 1 equation in the List.

  7. The History can save a maximum of 10 equations and List can save a maximum of 15 equations.

Functions and Constants

The following table describes the different functions and constant available in the E5052B Equation Editor:

Functions
abs(a) | returns the absolute value of a
acos(a) | returns the arc cosine of a in radians
asin(a) | returns the arc sine of a in radians
atan(a) | returns the arc tangent of a in radians
atan2(a, b) | returns the phase of (a, b) in radians
cos(a) | gets a in radians and returns the cosine
exp(a) | returns the exponential of a
ln(a) | returns the natural logarithm of a
log10(a) | returns the base 10 logarithm of a
pow(a,b) | returns a to the power b
sin (a) | takes a in radians and returns the sine
sqrt(a) | returns the square root of a
tan(a) | takes a in radians and returns the tangent
max(a, b) | returns the maximum value a or b
min (a, b) | returns the minimum value a or b
Constants
e | 2.718281828459045
PI | 3.141592653589793

  • a and b are of double data type.

Operators

The following table describes the various operators that can be used in the E5052B Equation Editor:

Operators
+ | Addition
- | Subtraction
* | Multiplication
/ | Division
( | Open parenthesis
) | Close parenthesis
, | Comma - separator for arguments
= | Equal (optional)
E | Exponent (as in 23.45E6)


Data_Output

  • Managing Files/Folders

  • Saving Trace on File

  • Hiding Numeric Information

  • File Saving and Loading Instrument Status Settings

  • Saving Display Screen

  • Printing Screen Image


Managing_Files_Folders

Managing Files/Folders

  • Running Windows Explorer

  • Copying Files/Folders

  • Moving Files/Folders

  • Removing Files/Folders

  • Changing the Name of File/Folder

Other topics about Data Output

You can manage the files and folders by using Windows ® Explorer, which provides such standard operations as copy, move, remove, change name, and format floppy disk.

  • Do not change any content (i.e. folders or files) of the drives other than A and F: This may cause serious damage to the E5052B ’s functions and performance.

Running Windows Explorer

  1. Press Save/Recall.

  2. Press Explorer... to open Windows Explorer.

Copying Files/Folders

  1. In Windows Explorer, select any source file or folder for copying.

  2. On the menu bar, select Edit > Copy.

  3. Open the target folder for copying.

  4. On the menu bar, select Edit > Paste.

Moving Files/Folders

  1. In Windows Explorer, select the file or folder of origin.

  2. On the menu bar, select Edit > Cut.

  3. Open the destination folder.

  4. On the menu bar, select Edit > Paste.

Removing Files/Folders

  1. In Windows Explorer, select the file or folder to be removed.

  2. On the menu bar, select File > Delete.

Changing the Name of File/Folder

  1. In Windows Explorer, select the file or folder for which you want to change name.

  2. On the menu bar, select File > Rename.

  3. Type the new name for the file or folder and then press Enter on the keyboard.


Saving_Trace_on_File

  • Specifying Carrier Information

  • Saving Trace Data File

  • Saving Trace Memory

Other topics about Data Output

Specifying Carrier Information

You can set the carrier information (additional information) on/off when you want to save the trace data. Follow the steps below to set the carrier information to On/Off.

This function is available in Phase Noise, AM Noise and Segment PN.

  • This function cannot be used when you want to save the trace memory. In addition, even if you recall the file with carrier information into the trace memory, the carrier information is not set on the E5052B.

  • When the security level is set at Frequency Blank, the carrier frequency value is saved as "***" into the file.

Operational Procedure

Follow the steps below to save the trace data of the E5052B.

  1. Press Trace Next or Trace Max to activate the trace on which you want to save the trace data.

  2. Press Save/Recall.

  3. Press Additional Info to toggle ON/OFF the carrier information.

Save Condition as follows:

 | Additional Info : ON |  | Additional Info : OFF
 | DATA | MEM | DATA | MEM
SAVE | Y | N | N | N

Y:Possible N:Impossible

Recall Condition as follows:

 | Additional Info : ON |  | Additional Info : OFF
 | DATA | MEM | DATA | MEM
SAVE | Y | N | Y | N

Y:Possible N:Impossible

  • E5052B with rev. A.03.10 can recall the trace data with additional information. In that case, the additional information is not set.

  • E5052B can recall the file which has only the data of carrier information (both or either frequency and/or power). The additional information can be set.

About User Measurement

When the trace data is copied to the User Measurement with Copy to User function, the additional information is also copied.

Saving Trace Data File

You can save the trace data of the E5052B’s active trace in the CSV format (with the extension of “*.csv”) to recall them for later use on the PC application software.

The trace data are saved in following format (Carrier Information : ON)

Example of Saved Trace Data (phase noise measurement)

Carrier Frequency (Hz),+1.00000000000e+008

Carrier Power (dBm),+0.00000000000e+000

Offset Frequency (Hz),Phase Noise (dBc/Hz)

+1.00000000000e+002,-6.11082572643e+001

+1.01800975118e+002,-6.14881381403e+001

+1.03634385350e+002,-5.77826152313e+001

+1.05500814844e+002,-5.81658293608e+001

The first line is a title and a data of carrier frequency.

The second line is a title and a data of carrier power.

The third line is a header indicating the trace data items that are output from the fourth line onward.

From the fourth line, the trace data are output at an amount equivalent to the number of frequency points.

The trace data are saved in following format (Carrier Information : OFF)

Example of Saved Trace Data (phase noise measurement)

Offset Frequency (Hz),Phase Noise (dBc/Hz)

+1.00000000000e+002,-6.11082572643e+001

+1.01800975118e+002,-6.14881381403e+001

+1.03634385350e+002,-5.77826152313e+001

+1.05500814844e+002,-5.81658293608e+001

The first line is a header indicating the trace data items that are output from the second line onward.

From the second line, the trace data are output at an amount equivalent to the number of frequency points.

Operational Procedure

Follow the steps below to save the trace data of the E5052B.

  1. Press Trace Next or Trace Max to activate the trace on which you want to save the trace data.

  2. Press Save/Recall to open the Save/Recall menu.

  3. Press Save Data Trace to open the “Save As” dialog box. This operation should be conducted using the external keyboard and/or mouse. For information on the Save As dialog box, refer to the description of Save As dialog box. Here, the CSV Files (with the extension of *.csv) are selected for the file type.

  4. Specify the destination folder for saving, enter file name, and then press Save to save the file.

  5. For TR measurements, additional option to save scroll data is available at Save/Recall > Save Scroll Data...

Saving Trace Memory

You can save the trace memory of the E5052B’s active trace in the CSV format (with the extension of “.csv”) to recall them for later use on the PC application software.

The trace memory is saved in the following format:

Example of Saved Trace Memory (phase noise measurement)

Offset Frequency (Hz),Phase Noise (dBc/Hz)

+1.00000000000e+002,-6.11082572643e+001

+1.01800975118e+002,-6.14881381403e+001

+1.03634385350e+002,-5.77826152313e+001

+1.05500814844e+002,-5.81658293608e+001

The first line is a header indicating the trace memory items that are output from the second line onward.

From the second line, the trace memory is output at an amount equivalent to the number of frequency points.

Operational Procedure

Follow the steps below to save the trace memory of the E5052B.

  1. Press Trace Next or Trace Max to activate the trace on which you want to save the trace memory.

  2. Press Save/Recall to open the Save/Recall menu.

  3. Press Save Memory Trace to open the “Save As” dialog box. This operation should be done with the external keyboard and/or mouse. For information on the Save As dialog box, refer to the description of Save As dialog box. Here, the CSV Files (with the extension of *.csv) are selected for the file type.

  4. Specify the destination folder for saving, enter the file name, and then press Save to save the file.


Hiding_Numeric_Information

  • Hiding Frequency Information on Screen

  • Hiding All Numeric Information Screen

Other topics about Data Output

You can hide numeric information on the screen for purposes such as security.

Hiding Frequency Information on Screen

Follow these steps to display frequency information on the measurement screen and frequency information in softkeys and data entry box as asterisks (***...).

  1. Press Display > Security Level.

  2. Select Frequency Blank from the security level setting.

Security Level Setting

Softkey | Function
None | Displays all information on the screen.
Frequency Blank | Displays frequency information as asterisks. You cannot return the setting to None with the Security Level menu. You need to execute Preset or Recall to return the display setting to None.
All Numeric Blank | Displays all numeric information as asterisks. You cannot change the security level with the Security Level menu. You need to execute Preset or Recall to return the display setting to None or Frequency Blank.

  • Once you set the security level to Frequency Blank, the frequency readouts are disabled (any frequency readouts are marked as asterisks, “***”) unless cycling power, executing Preset or recall a setting whose security level is None.

Hiding All Numeric Information Screen

Follow these steps to display all numeric information on the measurement screen and numeric information in softkeys and data entry box as asterisks (***...).

  1. Press Display > Security Level.

  2. Select All Numeric Blank from the security level setting.

  • Once you set the security level to All Numeric Blank, the Security Level is no more changed by the user unless cycling power, executing Preset or recall a setting whose security level is None or Frequency Blank.


File Saving and Loading Instrument Status Settings

  • Saving Procedure

  • Recalling Procedure

  • Recall Procedure Using Recall by File Name Feature

Other topics about Data Output

You can save the state of the instrument as a file in a hard disk, or any storage equipment via USB connector, and recall the file for later use. You can choose one of the two options below for file saving.

Type | Content to be saved and used
State Only | You can save the E5052B's state settings and recall them later to set up the instrument to the same state as previously used.
State and Data | You can save the E5052B's state settings and trace (formatted data arrays and formatted memory arrays) and recall them later to set up the instrument to the same state as previously used. Here, the trace can also be recalled and displayed on the screen.

  • Irrespective of the selected measurement window, all of the state settings and settings/data are saved or recalled.

    If an incompatible file is recalled, the settings will be preset due to error.

Compatibility of Files Related to Saving and Recalling

 |  | Recalling
 |  | Standard | Option 011
Saving | Standard | Yes | Yes
 | Option 011 | Yes | Yes

Parameter | Value saved with the standard model | Value will be changed when recalling with the option 011
Phase noise - Correlation | Other than 1 | 1
Phase noise - IF Gain | Higher than or equal to 20 dB | Changed to 20 dB
Frequency & power - Trigger mode | Analyzer mode | Tester mode
Phase noise -- Start offset frequency | 1 (Hz) | 10 (Hz)

Type | Content to be saved and used
State Only | You can save the E5052Bs state settings and recall them later to set up the instrument to the same state as previously used.
State and Data | You can save the E5052Bs state settings and trace (formatted data arrays and formatted memory arrays) and recall them later to set up the instrument to the same state as previously used. Here, the trace can also be recalled and displayed on the screen.

Saving Procedure

Selecting Content To Be Saved

  • The following steps affect both file saving and memory saving of the instrument state.

  1. Press Save/Recall.

  2. Press Save State.

  3. Press Save Type.

  4. Press the softkey corresponding to the content of the instruments state you want to save.

Softkey | Function
State Only | Selects State Only to save only the state settings of the E5052B
State & Data | Selects State and Data to save the state settings and the trace of the E5052B

Saving Data

Follow the steps below to save the internal data of the E5052B.

  1. Press Save/Recall.

  2. Press Save State.

  3. When you save the state using the defined file on drive F (State01.sta - State06.sta, Autorec.sta):

  4. Press State01 - State06 or Autorec.

Softkey

Description

State01 to State06

Save the instrument state into the state number.

Autorec

Save the instrument state as the auto recall setting. The E5052B is automatically configured with this state at the startup.

This key saves the state into the "C:Autorec.sta".

When Autorec.sta file is found on the C: drive at startup, the E5052B is automatically configured using the saved settings. To disable the auto recall function, delete the Autorec.sta files.

You must have a preset setting file that has been saved with the state at AutoRec, to execute the user-preset function.

  • Irrespective of the selected measurement window, all of the state settings and settings/data are saved.

  • F:\Autorec.sta (F drive) can be recalled automatically whenever the E5052B is powered on. If both C:\Autorec.sta and F:\Autorec.sta exist, the former is called. To disable the auto recall function, remove Autorec.sta.

  • If the file already exists, the * mark will appear to the right of the softkey label. If you specified overwrite of the existing file, it will be copied with the name backup.sta, and then the original file will be overwritten.

When you save the state with any file name:

  1. Press File Dialog... to open the dialog box. This operation should be done with the external keyboard and/or mouse. The figure below shows the user interface elements in the Save As dialog box.

  2. Specify any folder, and enter the file name.

  3. Press Save.

Save As dialog box

The E5052B provides the following drives to save/recall files. Select a drive in the Save In area of the Save as dialog box .

Drive name | Description
[F:] | Uses a hard disk (F) drive for saving/recalling the file.

  • Do not change any content (i.e. folders or files) in the drives other than C and F. Doing this may cause serious damage to the E5052Bs functions and performance.

Recalling Procedure

  • In recalling the file in which the trace is saved (State & Data is specified for saving the content), the trigger sources are recalled and trigger mode is automatically set to HOLD.

  1. Press Save/Recall.

  2. Press Recall State.

  3. When you recall State01.sta - State06.sta - Autorec.sta:

  4. Press State01 - State06 or Autorec.

When you recall any file:

1. Press File Dialog... to open the Open dialog box. This operation should be conducted using the external keyboard and/or mouse. The figure below shows the user interface elements on the Open dialog box.

2. Specify the folder that contains the file, and then select the file. Press Open to recall the saved internal data.

  • Irrespective of the selected measurement window, all of the state settings and settings/data are recalled.

Open Dialog Box

Recall Procedure Using Recall by File Name Feature

You can use the recall feature with the Recall by File Name softkey for files you have named freely and saved in the F:\State folder. This function lets you recall a file you have named freely and saved by simple softkey operation, eliminating annoying operation using the Open dialog box.

  • Although there is no limit to the number of files saved in a folder, only up to 50 files are displayed on the softkeys. If more than 50 files are saved in a folder, they are sorted in the order of numbers 0 to 9 and alphabetic characters A to Z and the first 50 files are displayed as softkeys.

    Although there is no limit to the number of characters of a file name, only up to 12 characters are displayed on the softkey. If a file name exceeds 12 characters, the first 12 characters are displayed on the softkey and the remaining characters are omitted and replaced with ....

Note that different files may be displayed on softkeys with the same name or a saved file is not displayed on any softkey because of the above limitations.

  1. Press Save/Recall.

  2. Press Recall by File Name.

Files that have been named and saved in the F:\State folder are displayed on softkeys. Press the key for the file you want to recall.

  • E5052B firmware Rev. A.03.00 can recall files saved with State Only of E5052A firmware Rev. A.02.50.

    When attempting to recall files saved with State & Data of E5052A firmware Rev. A.02.50 or lower, a warning “Incompatible recall file" may appear and some data cannot be recalled.

    E5052A firmware Rev. A.02.50 or lower cannot recall files saved with E5052B firmware Rev. A.03.00.


Saving_Display_Screen

You can save the E5052B’s screen image on a file in the bitmap or PNG format. The saved file can be recalled for later use with PC application software.

Operational Procedure

Follow the steps below to save the screen image on a file.

  1. Display the screen that you want to save on a file.

  2. Press System to display the system menu. Use the following softkey from the System menu.

Softkey | Function
Dump Screen Image | Saves the screen information on a file

  • The image displayed on the screen just before pressing System is saved in the file.
    For more information, refer to Images You Can Print/Save.

  3. Press Dump Screen Image to open the “Save As” dialog box. For information on the Save As dialog box, refer to the description for Save As dialog box. In this case, either Bitmap Files (with the extension of *.bmp) or Portable Network Graphics (with the extension of *.png) is selected as the file type.

  4. Select the file type.

  5. Specify the folder in which you want to save the file and enter the file name. Press Save to save the screen image of the E5052B in a file.

Other topics about Data Output


Printing_Screen_Image

  • Overview

  • Images You Can Print/Save

  • Printing Procedure

Other topics about Data Output

Overview

By connecting a printer to the USB port of the E5050B, you can print the displayed screen of the E5052B.

Images You Can Print/Save

You can print/save the images that are stored in the clipboard. However, unless images are stored on the clipboard, the current screen image will be printed/saved.

Storing Images in Clipboard

The System > Dump Screen Image key provides a screen capture function as well. In other words, the image displayed on the screen just before pressing System > Dump Screen Image is saved on the clipboard.

  • The images stored on the clipboard are cleared after executing print/save operations.

Printing Procedure

Preparing Printing

Follow the steps below to prepare for printing.

  1. Power off the E5052B.

  2. Power on the printer and then connect it to the E5052B.

  3. Do not connect unsupported printers to the E5052B.

  4. Power on the E5052B.

  5. Press System.

  6. Press Printer Setup to open the “Printers” window. Select the printer you want to use and set it up by referring to the instruction manual for the printer.

  7. The Printers window will close.

Printing

Follow the steps below to print the screen image.

  1. Display the screen that you want to print out.

  2. Press System to save the current screen image on the clipboard.

  3. As required, press Invert Image to toggle the selection of printing either in the displays’s actual colors or in the image’s inverted colors. (This can save much ink by, for example, printing with a white rather than black background.)

  4. Press Print to start printing.

    Pressing Abort Printing during the printing operation stops the printing.

  • If you start printing before the printer is ready (e.g. not powered on yet), the Printers Folder dialog box may be displayed as shown below. In this case, press Cancel to close the Printers Folder dialog box and retry the operation after the printer is ready.


Setting Control Functions

Remote Control

  • Setting the GPIB

  • Remote Control Using HTTP

Display

  • Turing off the Date/Time Display

  • Turning off the LCD Screen Backlight

  • Calibration of the Touch Screen

  • Setting Display Colors

Others

  • Checking the Product Information

  • Locking the Front Keys, Keyboard, and/or Mouse (Touch Screen)

  • Setting the Beeper (Built-in Speaker)

  • Setting the preset function


Setting the GPIB

  • Setting Talker/Listener GPIB address of E5052B

  • Setting System Controller (USB/GPIB interface)

Other topics about Setting Control Functions

This section describes how to set the interface necessary to use the GPIB (General Purpose Interface Bus) of the E5052B.

Setting Talker/Listener GPIB address of E5052B

When controlling the E5052B using GPIB commands from the external controller connected to the GPIB connector, you need to set the talker/listener GPIB address of the E5052B.

Follow these steps to make this setting:

  1. Press System > Misc Setup > GPIB Setup> Talker/Listener Address.

  2. Enter the address using the ENTRY block keys on the front panel.

Setting System Controller (USB/GPIB interface)

When controlling an external device from the E5052B, connect the USB port of the E5052B and the GPIB port of the external device through the USB/GPIB interface.

  • Do not connect two or more USB/GPIB interfaces. In the connection expert window, do not click buttons other than those specified here and do not change any other settings because doing so may cause serious damage to the functions of the E5052B.

    Before following the steps mentioned below, it is required to install the driver for 82357B.

Follow these steps to set the USB/GPIB interface:

  1. Connect the USB port of the E5052B to the USB/GPIB interface.

  2. Select No, not this time, then click Next.

  3. Select Install the software automatically (Recommended), then click Next.

  4. Click Finish.

  5. The Found New Hardware Wizard appears again. Repeat the step 2 to 4 again.

  6. Select When a new 82357 is plugged in, then click OK.

If you need to check/change the setting of the USB/GPIB interface after connecting the USB/GPIB interface, follow these steps:

  1. Press System key, then click Misc Setup > GPIB Setup > System Controller Configuration.

  2. The Agilent Connection Expert appears. You can also execute Agilent Connection Expert from Task bar or Start menu in Windows XP.

  3. Select USB/GPIB (GPIBx)

  4. Click Change Propertries...

  5. Change the setting of USB/GPIB interface.

  6. It is required to connect the USB/GPIB Interface to "GPIB0" as VISA Interface ID, in order to control:

    Power Meter for the Power Calibration

    External Signal Source for the Frequency Offset


Remote Control Using HTTP

  • Enabling Web Server

  • How to Start VNC Server Configuration

Other topics about Setting Control Functions

You can access the web page installed in the E5052B by using the Hypertext Transfer Protocol (HTTP) and the E5052B's IP address from the external PC's web browser. This function is called an web-enabled analyzer. Through the built-in web page, you can control the E5052B remotely and display the measurement screen on external PCs.

The following browsers are recommended:

  • Java Script enabled browser

  • Internet Explorer

  • Netscape

The following information will help you to remotely control the E5052B via the built-in web page.

Network

Configure the E5052B's network correctly. For detailed information on configuration and notes, see Configuring the Network.

Enabling Web Server

Enable the web server for the E5052B so that it may allow access from an external PC. Follow these steps:

  1. Press System > Misc Setup > Network Setup.

  2. Click Web Server to turn it on.

  3. The external PC must have the latest version of Java Runtime Environment installed otherwise the connection to the E5052B might not work properly. To install Java Runtime Environment, see http://www.java.com/.

Access from an external PC

  1. Execute web browser on your PC.

  2. Enter The process of inputting information. the IP address in the address bar.

  3. The following screen will be displayed.

To change LAN (TCP/IP) configration of SSA

  1. Click View & Modify Configuration (1 in the Figure below). The following screen appears:

  2. Click Modify Configuration (2 in the Figure above). Modifying this setup affects the Windows XP Internet Protocol (TCP/IP) property. The following screen appears:

  3. Enter the password (Default: "Agilent") in the Password field (1 in the figure above) and click Login (2 in the figure above). The following screen appears:

How to Start VNC Server Configuration

Web-Enabled function is executed by the VNC server. To restrict external access, set a password for the VNC server configuration.

The following is a description of how to start the VNC server configuration. Visit the web site at http://www.realvnc.com for information on the password setting procedure and VNC server.

  1. Press System > Misc Setup > Network Setup.

  2. Click VNC Server Configuration to start the VNC Server Properties.


Turing off the Date/Time Display

Turning off the Date/Time Display

The date/time display in the instrument status bar can be switched on/off using the following procedure.

  1. Press System > Misc Setup > Clock Setup.

  2. Click Show Clock to toggle the date/time display ON/OFF.

Other topics about Setting Control Functions


Calibration of the Touch Screen

When you have executed system recovery on the E5052B, you have to calibrate the touch screen. Follow the procedure described below to calibrate the touch screen.

  1. Press System Key.

  2. Click Service Menu > Test Menu > Adjust Touch Screen.

  3. The touch screen calibration screen appears.

  4. Touch the x mark on the upper left with your finger. The mark x appears also on the lower left, upper right, and lower right. Touch the x marks in that order with your finger.

  5. Touching the four locations described above with your finger automatically concludes the touch screen calibration.

  6. With no operation on the touch screen calibration screen for a preset time, it automatically closes and the previous measurement screen reappears.

Other topics about Setting Control Functions


Setting Display Colors

  • Selecting Display Mode

  • Setting Display Color

  • Resetting the Display Colors to Factory Defaults

Other topics about Setting Control Functions

Selecting Display Mode

You can select the display mode of the LCD display from two options: normal display (background: black) and inverted display (background: white). In normal display, the colors of items are preset so that you can recognize them easily on the display of the instrument. On the other hand, in inverted display, items are preset to colors obtained by almost completely inverting the default settings of the normal display; this mode allows
you to use data easily when storing it into a graphic file.

The selection procedure is as follows:

  1. Press Display key.

  2. Click Color Type. Normal indicates normal display and Invert indicates Invert display.

Setting Display Color for each item

You can set the display color to the normal display or to the inverted display separately for
each of the following items:

  • Data/memory trace

  • Labels and lines of graphs

  • File display of the limit test and limit lines

  • Background

Set the color of each item by specifying the amounts of red (R), green (G), and blue (B)contained in the color. You can specify each level of R, G, and B in 256 steps (0 to 255). Therefore, 16.77 million colors in total are available by combining the color levels. The table below shows the R, G, and B values for the main colors as a reference.

Color | R | G | B
White | 255 | 255 | 255
Red | 255 | 0 | 0
Cyan | 0 | 255 | 255
Gray | 128 | 128 | 128
Yellow | 255 | 255 | 0
Blue | 0 | 0 | 255
Black | 0 | 0 | 0
Green | 0 | 255 | 0
Magenta | 255 | 0 | 255

The selection procedure is as follows:

  1. Press System > Misc Setup > Display Setup > Color Setup.

  2. Click Normal (for normal display) or Invert (for invert display).

  3. Press the softkey corresponding to the item for which you want to set the display color.

SoftKey | Function
Data Trace (1-8) | Specifies the data trace of traces 1 to 8
Memory Trace (1-8) | Specifies the memory trace of traces 1 to 8
Graticule Main | Specifies the graticule label and the outer lines of graphs
Graticule Sub | Specifies the grid lines of graphs
Limit Fail | Specifies the fail display in the limit test result
Limit Line | Specifies the limit line
Background | Specifies the background

  4. Click Red and select the amount of red (R) from 0 to 255.

  5. Click Green and select the amount of green (G) from 0 to 255.

  6. Click Blue and select the amount of blue (B) from 0 to 255.

Resetting the Display Colors to Factory Defaults

You can reset the display colors in normal display and inverted display to the values of the preset factory state.

The selection procedure is as follows.

  1. Press System > Misc Setup > Display Setup > Color Setup.

  2. Click Normal (for normal display) or Invert (for inverted display).

  3. Click Reset Color > OK.


Checking the Product Information

  • Checking the Serial Number

  • Checking the Firmware Revision

  • Checking the Option Number

  • Checking the HDD Revision

Other topics about Setting Control Functions

Checking the Serial Number

The serial number of the firmware installed in the E5052B can be checked using the following procedure.

  1. Press System > Product Information.

  2. The Product Information dialog which shows the serial number and options is displayed.

  3. Press OK to close the dialog box.

Checking the Firmware Revision

The revision number of the firmware installed in the E5052B can be checked using the following procedure.

  1. Press System > Product Information.

  2. The Product Information dialog which shows the firmware revision is displayed.

Checking the Option Number

The option number of the firmware installed in the E5052B can be checked using the following procedure.

  1. Press System > Product Information.

  2. The Product Information dialog which shows the option number is displayed..

  3. Press OK to close the dialog box.

  4. The Product Information dialog box also provides information about IP Internet Protocol Address, Mac Address and USB ID.

Checking the HDD Revision

  1. Press System > Product Information.

  2. The Product Information dialog which shows the HDD revision is displayed..

  3. Press OK to close the dialog box.

In firmware older than revision A.03.3x, the HDD revision is not displayed at the Product Information dialog box.

The HDD revision of E5052B can be checked using Windows Start Menu > My Computer > C: drive label. For example, the HDD version of the E5052B in the figure below is NM320. For more information, refer to HDD Revision History.


Locking the Front Keys, Keyboard, and/or Mouse (Touch Screen)

You can lock (disable) the front keys, keyboard, and/or mouse (touch screen). This feature prevents erroneous operation caused by inadvertently touching any of these devices.

Locking the Front Keys, Keyboard, and/or Mouse

  1. Press System > Misc Setup > Key Lock.

  2. Click the corresponding key to switch the lock ON/OFF.

    Softkey

    Function

    Front Panel & Keyboard Lock

    Switches the lock for the front panel keys and keyboard ON/OFF.

    Touch Screen & Mouse Lock

    Switches the lock for the touch screen and mouse ON/OFF.

  • You cannot use a locked device to unlock that same device. To unlock the front panel keys, keyboard, touch screen and mouse that have been locked, press the Standby switch to turn off the power supply and then turn it on again. When setting at power-on, the front panel keys, keyboard, touch screen and mouse are all in an unlocked condition.

Other topics about Setting Control Functions


Setting the Beeper (Built-in Speaker)

  • Setting the Operation Complete Beeper

  • Setting the Warning Beeper

Other topics about Setting Control Functions

The E5052B has a built-in speaker that sounds a beep tone. The beeper allows you to make two types of settings.

Type

Function

Operation complete beeper

Sounds a beep tone to inform the user that operations have completed.

  • When calibration data measurements are done

  • When data storage has completed

Warning beeper

Sounds a beep tone to prompt the user to use caution.

  • When an instrument error occurs (An error message appears at the same time.)

  • When a limit test fails

The warning beeper sounds slightly longer than the operation complete beeper.

Setting the Operation Complete Beeper

  1. Press System key.

  2. Click Misc Setup > Beeper > Beep Complete to switch the operation complete beeper ON/OFF.

  3. Clicking Test Beep Complete allows you to hear and check the beep tone of the operation complete beeper.

Setting the Warning Beeper

  1. Press System key.

  2. Click Misc Setup > Beeper > Beep Warning to switch the warning beeper ON/OFF.

  3. Clicking Test Beep Warning allows you to hear and check the beep tone of the warning beeper.


Setting the preset function

  • Setting the User Preset Function

  • Saving a User Preset instrument state

Other topics about Setting Control Functions

Setting the User Preset Function

You can save the instrument state of the E5052B into a file in the mass storage, and then recall it with the preset function to reproduce that state.

If no user preset instrument state is stored, you cannot set the user preset function.

  1. Press Preset key.

  2. Use one of the following keys for the desired setting:

    Softkey

    Function

    Factory

    Specifies the normal preset function.

    User

    Specifies the user-preset function.

    Cancel

    Returns to the softkey display in one upper level.

Saving a User Preset instrument state

To execute the user-preset function, you must have a preset setting file that has been saved with the state at AutoRec.

When AutoRec is not stored, the softkey of "User Preset" is not activated (Gray-out). For more details on saving procedure refer to File Saving and Loading Instrument Status Settings.


Turning off the LCD Screen Backlight

You can switch off the backlight (illumination) of the LCD screen of the E5052B. This extends the life of the backlight when using it continuously over a long period.

Turning off the LCD Screen Backlight

  1. Press System key.

  2. Press Backlight to switch the backlight ON/OFF.

  3. Switching off the backlight causes indications on the LCD screen to be almost invisible.

  4. The backlight that has been switched off can be turned on again by pressing Preset. When the LCD backlight is off, Preset works as a key for switching the backlight back on.

Other topics about Setting Control Functions


Using Windows

  • Windows Consideration

  • Windows License

  • Change Date/Time Settings

  • User Account and Password

  • On-Screen Keyboard

  • Configuring Network

  • Accessing Hard Disk of E5052B from External PC

  • Windows Firewall

  • Disabling-Enabling USB Mass Storage Device

  • Connecting External Accessories


Windows XP Consideration

Windows Consideration

  • Using USB

  • Plug & Play Stability and Security

  • LAN Connections

  • Single and Double Click option

  • Printing

Other topics about Using Windows

Using USB

The E5052B has six USB ports for connecting devices: two in the front panel and four on the rear panel. The main advantages of USB are instant connect and disconnect, and faster data transfer speed.

The first time you plug a device into a USB port there is some wait time. Windows reports it is identifying the hardware, then searching for the correct driver, then installing the driver (if it was found).

Connecting that same device back into that same port later is quick and easy, but if you move the device to a different USB port, you will have to wait through the hardware ID and driver search again.

  • Certain USB devices require you to be logged on with Administrator's privileges, the first time you plug them into the E5052B. This must be done for each serial number. Click Next to choose the default settings when installing new USB devices.

Plug & Play Stability and Security

Plug & Play capabilities provide both a stable and secure operating environment. You may notice also that it greatly reduces the number of required reboots.

LAN Connections

Windows supports DHCP and fixed IP addressing. Also, instant connect and disconnect of the LAN cable, as well as a visual indicator of LAN status in system tray area, makes LAN connections more intuitive. In addition, the Hardware Wizard helps users with system hardware configuration.

Single and Double Click option

By default, Windows allows a double-click method of launching icons. To revert to single-clicking, see the Windows help.

Printing

Adding a printer should be done as Windows operation. See Connecting Printer.


Windows License

There are differences in Windows display for firmware A.03.3x and above compared to previous revisions. The differences in Windows display is due to the Windows licenses used with the firmware.

E5052B with firmware revision A.03.3x and above:

  • Is labelled as Windows XP Pro for Embedded Systems (at rear panel).

  • The Windows taskbar is no longer shown at the bottom of the screen.

  • The Windows resizing buttons no longer appear at the upper-right of the Windows titlebar. It is replaced with E5071C resize button at the upper-right of the channel titlebar, as shown in the following figure:

E5052B with firmware older than revision A.03.3x (for example, A.03.2x):

  • Labelled as Windows Vista Business (at rear panel).

  • The Windows task bar is shown at the bottom of the screen.

  • The Windows resizing buttons are shown at the upper-right of the Windows titlebar. There is no E5052B resize button at the upper-right of the channel titlebar.

However, if you had the earlier firmware version and have upgraded to revision A.03.3x:

  • The Windows taskbar is still shown at the bottom of the screen.

  • However, the Windows resizing buttons no longer appear at the upper-right of the Windows titlebar. It is replaced with E5052B resize button at the upper-right of the channel titlebar.


Change Date/Time Settings

The E5052B has the built-in clock that keeps track of the date and time. This clock is used for the following functions.

  • To display the current date and time in the instrument status bar at the lower part of the screen

  • To write date and time information when saving internal data or a VBA program

  • The Date & Time of E5052B clock can be changed by double-clicking the clock on the bottom right of the taskbar.

Other topics about Using Windows


User Account and Password

  • Default Settings of User Account and Password

  • To Add Password

  • To Change Password

  • To Add New User

Other topics about Using Windows

Default Settings of User Account and Password

The default settings for user account and password defers according to the HDD revision. If you are using E5052B with HDD revision NMxxx, at initial registration setup, the account name is set as "e5052" but the password is not set and Auto Log On is activated. You may create a password for this account or add a new user.

If you are using E5052B with HDD revision NFxxx, you will find that at the factory default setting, the account name is Instrument, the password is measure4u, and Auto Log On is activated. Refer to change password.

To know E5052B HDD revision, refer to checking the HDD revision.

  • For all accounts, password is not mandatory.

To Add Password

  1. Open User Accounts in Control Panel.

  2. Click Change an Account.

  3. Select your account name.

  4. Click Create a password.

  5. Enter new password, and password hint.

  6. Click Create password.

To Change Password

  1. Open User Accounts in Control Panel.

  2. Click Change an Account.

  3. Select the icon of your account name.

  4. Click Create a password.

  5. Enter new password, new password again to confirm, and password hint.

  6. Click Change password.

  7. When the password of the account being logged in is changed, the above procedure is little different.

To require users to press CTRL+ALT+DELETE before logging on

For added security, you can require users to press CTRL+ALT+DELETE before logging on.

  1. Open User Accounts in Control Panel.

  2. Click Change the way users log on or off.

  3. Check out Use the Welcome screen.

  4. Click Apply Options.

  5. Log off Windows.

  • The E5052B must be removed from the domain for the procedure to work. When shipped, the E5052B is configured as a member of a workgroup. If the configuration of the E5052B is later changed so as to be a member of domain, then name/password must always be entered at startup. This is a security requirement of Windows.

  • If E5052B is assigned to a domain, then Change the way users log on or off will not be available in User Accounts dialogue box.

To Add New User

Accounts must be the computer administrator if you make measurements.

  1. Open User Accounts in Control Panel.

  2. Click Create a new account.

  3. Type the new account name, then click Next.

  4. Select Computer Administrator.

  5. Click Create Account.

  6. Select the icon of your account name.

  7. Click Change password.

  8. Enter new password, new password again to confirm, and password hint.

  9. Click Change password button.

    • The administrator authority is necessary for some of function in E5052B. Select computer administrator when you make the user account.


On-Screen Keyboard

  • On-Screen Keyboard overview

  • To open Windows On-Screen Keyboard

Other topics about Using Windows

On-Screen Keyboard overview

On-Screen Keyboard is a utility provided by Windows that displays a virtual keyboard on the screen. It allows the users of the E5052B to input characters without the need of a keyboard.

  • The E5052B does not requires an external keyboard for its operation. Users can input characters using an on-screen keyboard in-built with the E5052B firmware.

To open Windows On-Screen Keyboard

To open On-Screen Keyboard: click Start > All Programs > Accessories > Accessibility > On-Screen Keyboard.


Configuring Network

  • When you use the E5052B by connecting it to your LAN, consult your network administrator and make the setting of the LAN correctly.

This section describes how to set the following basic items necessary to connect the E5052B to the LAN (Local Area Network).

  • Enabling/Disabling network

  • Check/Reset IP Address

  • Setting IP address

  • Specifying computer name

If you need detail network settings, consult your network administrator and perform operation in the same way as the Windows PC.

Other topics about Using Windows

Enabling/Disabling Network

You can enable/disable the network connection function of the E5052B.

To enable/disable the network connection function

  1. Use the LAN cable to connect the E5052B to the LAN.

  2. Press System > Misc Setup > Network Setup > Network Configuration to open Network Connections window.

  3. Perform either of the following:

  • When switching from disable to enable:

Double-click the Local Area Connection icon in the Network Connections window to enable the network connection function.

  • When switching from enable to disable:

Right-click the Local Area Connection icon in the Network Connections window and click disable.

  4. Close Network Connections.

Check/Reset IP Address

The IP address of the E5052B can be checked/reset by System > Misc Setup > Network Setup > LAN Dialog.

Setting IP address

Follow these steps to set the IP address:

  1. Press System > Misc Setup > Network Setup > Network Configuration

  2. Double-click the Local Area Connection icon in the Network Connections. The Local Area Connection Status screen appears.

  3. Click Properties. The Local Area Connection Properties screen appears.

  4. In General, select (highlight) Internet Protocol (TCP/IP), and then click Properties.

  5. The Internet Protocol (TCP/IP) Properties appears. Click (select) Use the following IP address and then enter the IP address, subnet mask and gateway address.

  6. If the IP address can be obtained automatically (if the DHCP server can be used), click (select) Obtain an IP address automatically.

  7. In Internet Protocol (TCP/IP) Properties, click OK.

  8. In Local Area Connection Properties, click OK.

  9. In Local Area Connection Status, click Close.

  10. Close Network Connections.

Specifying Computer Name

Follow these steps to specify the computer name:

  1. Press System > Misc Setup > Network Setup > Network Identification.

  2. Enter The process of inputting information. the computer name in Computer Name and then click OK.

  3. Click Yes to restart the E5052B.

  • Until the E5052B is restarted, changed setting does not take effect.


Accessing Hard Disk of E5052B from External PC

If you connect the E5052B to LAN, you can access the hard disk (F drive) in the E5052B as a network drive from an external PC connected to the same LAN.

  • Enabling the access from an external PC

  • Accessing hard disk of E5052B from external PC

Other topics about Using Windows

Enabling the access from an external PC

This section shows the procedure to enable the access from the external PC.

  1. Press Save/Recall > Explorer which opens the explorer.

  2. Select (highlight) USER (F:) and then click Properties in the File menu. The USER(F:) Properties dialog box appears.

  3. Select the Sharing tab.

  4. Click New Share. The New Share dialog box appears.

  5. Enter The process of inputting information. the share name (name used when accessed from the external PC) in the Share Name box and click OK .

  6. In the USER(F:) Properties dialog box, click the OK button.

Accessing hard disk of E5052B from external PC

This section describes the procedure to connect to the hard disk (F drive) in the E5052B to which access has been made possible according to the procedure described in Enabling the access from an external PC from the external PC, taking Windows XP as an example.

  • For information on connection, see your PC's operation manual.

  1. Right-click start menu, then select Explorer to start the explorer.

  2. From the Explorer's menu, click Tools > Map Network Drive.. The Map Network Drive dialog box appears.

  3. Select an appropriate drive, enter \\C_NAME\S_NAME as the network path and then click the OK button.

  4. The dialog box to enter the user name and the password appears. Enter an appropriate user name and password and then click the OK button.

  5. C_NAME in the network path is the computer name of the E5052B and S_NAME is the share name of the F drive. For information on how to set the computer name, refer to Specifying computer name; for information on how to set the share name, refer to Enabling the access from an external PC.

  6. The user name and password (Default User Name/Password: E5052) differ depending on the setting made when enabling access from the external PC. When you have set them according to Enabling the access from an external PC you can make connection using the user name, E5052, without the password.


Windows Firewall

To turn Windows Firewall on or off

  1. Open Windows Firewall.

  2. On the General tab, click one of the following:

    • On (recommended). This is the setting that you should normally use.

    • Off (not recommended). Turning off Windows Firewall might make your computer (and your network, if you have one) more vulnerable to damage from viruses.

  • To open Windows Firewall, open Control Panel, and then double-click Windows Firewall.

Other topics about Using Windows


Disabling-Enabling USB Mass Storage Device

You can disable/enable any USB-compatible external mass storage devices in order to ensure confidentiality or for other reasons.

  • To disable a USB Mass Storage Device

  • To enable a USB Mass Storage Device

Other topics about Using Windows

To disable a USB Mass Storage Device

  1. Press Save/Recall key.

  2. Press Explorer....and navigate to F:\Agilent\Service.

  3. Double-click DisableUsbStorage.exe

  4. Click OK in the SUCCEEDED message window that appears. If any USB mass storage device is connected to the E5052B under this condition, the Hardware Wizard will start, but the USB mass storage device will not work.

To enable a USB Mass Storage Device

  1. Press Save/Recall key.

  2. Press Explorer....

  3. Double-click EnableUsbStorage.exe from F:\Agilent\Service.

  4. Click OK in the SUCCEEDED message window that appears.

  5. If you do not want any USB mass storage device to ever be enabled at any time, delete EnableUsbStorage.exe from the E5052B after DisableUsbStorage.exe has been completed. These two programs will not be recovered automatically by applying the firmware update or other such action. Before deleting any of these programs, you should make a backup copy to a recording medium such as a USB memory and store it separately.

  6. If the program fails to run, it is possible that you have not logged in as a user in the Administrators Group. When you want to execute any of the above programs, make sure to log in as a user in the Administrators Group.


Connecting External Accessories

The E5052B can be connected to external input/output devices such as printer, monitor, keyboard and mouse using any of the serial or USB ports provided in the rear or the front panel.

  • Connecting a Printer

  • Connecting a Mouse

  • Connecting a Monitor

  • Connecting a Keyboard

Other topics about Using Windows

Connecting a Printer

A printer can be connected to the E5052B using the Universal Serial Bus (USB) ports provided in the front or rear panel. The printer driver should be installed by following the instruction of your printer.

Connecting a Mouse

A mouse can be connected to the E5052B through the Universal Serial Bus (USB) ports provided in the front or rear panel.

Connecting a Monitor

A monitor can be connected to the E5052B using the External Monitor Output Terminal (Video) located in the rear panel of the E5052B.

Connecting a Keyboard

A keyboard can be connected to the E5052B through the Universal Serial Bus (USB) ports provided in the front or rear panel.


Programming

Remote Control

  • Overview

  • Making a Measurement

  • Reading/Writing Measurement Data

  • Saving and Recalling

  • Communication with External Devices

  • Status Reporting System

  • Working with Automatic Test Systems

VBA Programming

  • Introduction to VBA Programming

  • Operation Basics of the E5052B's VBA

  • Controlling the E5052B

  • Controlling Peripherals

  • User Defined Window

Command Reference

  • COM Object Model

  • Notational Conventions

  • Command Finder


Remote Control

  • Overview

  • Making a Measurement

  • Reading/Writing Measurement Data

  • Saving and Recalling

  • Communication with External Devices

  • Status Reporting System

  • Working with Automatic Test Systems


Overview

  • Types of remote control system

  • GPIB remote control system

  • LAN remote control system

  • USB Remote Control System

  • Sending SCPI command messages

  • LXI


Types of remote control system

Depending on the system controller and the interface, you can configure 4 types of remote control system as shown in the table below.

System controller | Interface A connection that allows a common communication link between two or more instruments. | Overview
External controller (external computer such as PC and workstation) | GPIB General Purpose Interface Bus - IEEE 488 bus is interconnect bus and protocol, allows linking of instruments and computer. (talker/listener mode) | System to control the E5052B and other devices connected via GPIB from the external controller. For more information, refer to GPIB remote control system.
 | LAN | System to control the E5052B and other devices connected via LAN from the external controller. For more information, refer to LAN remote control system.
 | USB | System to control the E5052B and other devices connected via USB from the external controller. For more information, refer to USB Remote Control System.
E5052B |  | System to control the E5052B itself using built-in E5052B VBA.
 | GPIB (system controller mode) | System to control the E5052B itself and external devices connected via GPIB using built-in E5052B VBA.

Other topics about Overview


GPIB remote control system

  • About GPIB

  • System Configuration

Other topics about Overview

About GPIB

GPIB (General Purpose Interface Bus) is an interface standard for connecting computers and peripherals, which supports the following international standards: IEEE 488.1, IEC-625, IEEE 488.2, and JIS-C1901. The GPIB interface allows you to control the Agilent E5052B from an external computer. The computer sends commands and instructions to the E5052B and receives data sent from the E5052B via GPIB.

System Configuration

Use GPIB cables to connect between the E5052B, the external controller (computer), and peripherals. The following figure shows the overview of the system configuration of the GPIB remote control system.

Configuration of the GPIB remote control system

  • While the E5052B is turned off, the SRQ status of the E5052B is active. To prevent an incorrect operation on the SRQ of the GPIB remote control system, disconnect the E5052B from the system when the E5052B is turned off.

Required Equipment

  • E5052B

  • External controller (PC or workstation that can be connected to LAN and Agilent I/O Library is installed into)

  • Other devices (other instruments and/or peripherals that serve your purpose)

  • GPIB cables

Scale of system you can construct

  • You can connect up to 15 devices in a single GPIB system.

  • The length of cables to connect between devices must be 4 m or less. The total length of connecting cables in a single GPIB system must be 2 m × the number of connected devices (including the controller) or less. You cannot construct the system in which the total cable length exceeds 20 m.

  • The number of connectors connected to an individual device must be 4 or less. If you connect 5 or more connectors, excessive force is applied to the connector part, which may result in failure.

  • You can choose the device connection topology from star, linear, and combined. Loop connection is not supported.

Device selector

The device selector is a unique value assigned to each device that is used by the controller to select the control target (to send/receive messages) among devices connected on the GPIB remote control system.

The device selector consists of a select code (usually, 7) and a GPIB address. For example, when the select code is 7 and the GPIB address is 17, the device selector is 717. The select code must be set for each system. The GPIB address must be set to a unique value for each device, which is used to identify devices on the same system. In the description and sample programs in this manual, it is assumed that the device selector is set to 717.

Setting the GPIB address of E5052B

To set the GPIB address for talker/listener mode, See Setting_talker_listener_GPIB_address_of_E5052B.


LAN remote control system

  • Overview

  • System Configuration

  • Required Equipment

  • Control over SICL-LAN Server

  • Control using C or Visual Basic

  • Control using Agilent VEE

  • Control with Telnet Server

Other topics about Overview

Overview

The LAN (Local Area Network) remote control system provides two methods: controlling the E5052B using the SICL-LAN server and controlling the E5052B using the telnet server.

System Configuration

Use a LAN cable to connect between the E5052B and the external controller (computer). The following figure shows the overview of the system configuration of the LAN remote control system.

Configuration of the LAN remote control system

Required Equipment

  • E5052B

  • External controller (PC or workstation that can be connected to LAN)

  • Other devices (other instruments and/or peripherals that serve your purpose)

  • LAN cables

Control over SICL-LAN Server

In the control system using the SICL-LAN server, communication between the external controller (client) and the E5052B (server) is performed using the SICL-LAN protocol. Communication is performed using SICL (Standard Instrument Control Library). You can control the E5052B by programming using SICL or VISA with the C language in the UNIX environment, or Visual C++, Visual Basic, or VEE in the Windows environment.

Preparing the E5052B

To communicate with the external controller, follow these steps to turn on the SICL-LAN server of the E5052B in advance.

  1. Turn on the SICL-LAN server of the E5052B.

System > Misc Setup > Network Setup > SICL-LAN Server [ON]

  2. Set the SICL-LAN address of the E5052B for control with the SICL-LAN server. "XX" represents an address number.

    System     > Misc Setup > Network Setup > SICL-LAN Address [XX]

  3. By default, the SICL-LAN Address does not changes until the firmware of E5052B is restarted. Restart the firmware to reset the SICL-LAN Address.

Preparing the external controller

In order to establish communication to the E5052B using the TCP/IP protocol, you need to set the I/O interface of the external controller in advance. This section shows the setting procedure when using the external controller in the Windows environment.

  • You must install the Agilent I/O Libraries on your PC in advance. Use Agilent I/O Libraries Suite 14.2 or later.

  1. From your PC's Start menu, click Program > Agilent I/O Libraries Suite > Agilent Connection Expert to open the Agilent Connection Expert setting screen.

  2. In the Agilent Connection Expert setting screen, select LAN(TCPIP0) in the Instrument I/O on this PC frame, and then click I/O Configuration > Add Instrument.

  3. In the Add Instrument screen, select LAN (if it is not selected), and then click OK.

  4. In the LAN Instrument Properties screen, set up the IP address of the E5052B (1 in the figure below) and click Test Connection (2 in the figure below). Click Identify Instrument (3 in the figure below) to identify the E5052B and then click OK. You can change settings as necessary. For details, refer to the Agilent I/O Libraries Suite documentation.

  5. In the Agilent Connection Expert screen, check that the E5052B has been added under LAN(TCPIP0) in the Instrument I/O on this PC frame.

Control using C or Visual Basic

You can control the E5052B by programming using SICL with the C language in the UNIX environment, or Visual C++ or Visual Basic in the Windows environment.

Control using Agilent VEE

Agilent VEE allows you to control the E5052B via the I/O interface. The following example shows how to control the E5052B that is set as follows: the address of the SICL-LAN server is 17 and the IP address is 146.208.116.90.

  • When using Agilent VEE for PC, use Agilent VEE Pro 7.5 for Windows or later.

  1. On the Agilent VEE's I/O menu, click Instrument Manager

  2. In Instrument Manager, click Add...

  3. A new windows appears for the selection of Interface A connection that allows a common communication link between two or more instruments. Type. Select TCPIP and click OK.

  4. In Instrument Properties, type any name for the Instrument in Name (for example: SSA or E5052B), and add TCPIP0::<IP Address> in the TCIP Address, where <IP Address> is the IP address for E5052B. For example, if the IP address for E5052B is 146.208.116.90, then the value for TCPIP Address would be TCPIP0::146.208.116.90. Click OK after entering all the parameters.

  5. The Instrument manager displays the connection with E5052B.

Control with Telnet Server

In the control system over telnet server, communications are performed through connection between the sockets provided by the processes of the external controller and the E5052B to establish a network path between them.

A socket is an endpoint for network connection; port 5024 and port 5025 are provided for the sockets for the E5052B. Port 5024 is provided for conversational control using telnet (user interface program for the TELNET protocol) and port 5025 for control from a program.

  • To use telnet, port 5024 and 5025 should be opened through Windows firewall.

  • By opening port 5024 and 5025, the E5052B can be controlled remotely using telnet. It is recommended to close port 5024 and 5025 after usage from the security prospective.

Preparing the E5052B

To communicate with the external controller, follow these steps to turn on the telnet server of the E5052B in advance.

System > Misc Setup > Network Setup > Telnet Server [ON]

Conversational control using telnet (using port 5024)

You can use telnet to perform conversational control by sending SCPI commands to the E5052B on a message-by-message basis. For telnet, the socket of port 5024 is used for communications.

In this example, in order to show you the control procedure using telnet, you control the E5052B (IP address: 146.208.116.90 and host name: E5052B) from the external controller in the Windows environment.

  1. Open the MS-DOS command prompt screen.

  2. At the MS-DOS prompt, type telnet 146.208.116.90 or telnet E5052B and press the return key.

  3. The telnet screen opens.

  4. Type a command and press the return key; it is sent to the E5052B and executed. If you enter a command that queries some data, the query response is displayed below the line you have entered the command.

  5. Press ] while holding down Ctl in the telnet screen to break the connection to the E5052B. The telnet prompt appears. At the telnet prompt, type quit and press the Enter The process of inputting information. key. The connection to the E5052B breaks and telnet finishes.

Control from a program (using port 5025)

When controlling the E5052B from a program on the external controller, use the socket of port 5025 for connection.

  • Some functions such as service requests that are available in the GPIB remote control system are not available in control over telnet server.

Control using C or Visual Basic

You can control the E5052B by socket programming using the C language in the UNIX environment, or Visual C++ or Visual Basic in the Windows environment.

For socket programming, the library for network connection on the TCP/IP protocol is required. For the UNIX environment, BSD (Berkeley Software Distribution) Sockets API is available; for the Windows environment, WinSock (WinSock1.1 and WinSock2.0) created by porting BSD Sockets to Windows and expanding it is available.

Control using Agilent VEE

Agilent VEE allows you to control the E5052B through the connection to the socket of port 5025 using To/From Socket. Enter 5025 in Host Name to specify the port for connection and enter the IP address or host name of the E5052B in the field to specify the host name.


USB Remote Control System

  • Overview

  • System Configuration

Other topics about Overview

Overview

The USB (Universal Serial Bus) remote control system provides device control via USB, which is equivalent to control via GPIB General Purpose Interface Bus - IEEE 488 bus is interconnect bus and protocol, allows linking of instruments and computer. . Connection is made through an interface in compliance with USBTMC-USB488 and USB 2.0.

System Configuration

The USB remote control system controls instruments that use the name "alias." There is no such address for GPIB connections.

Use a USB cable to connect the E5052B to an external controller (personal computer). The following figure shows an overview of the system configuration for the USB remote control system.

USB Remote A mode of operation where another device (or computer) controls an instrument via the HP-IB. In this mode, the instrument front panel keys are disabled. Front panel operation is called local operation. Control System Configuration

Required Equipment

  • E5052B

  • External controller (PC with USB host port (type A)).

  • Other USB compatible devices (instruments and/or peripherals for specific purposes).

  • USB cable connecting E5052B and external controller (with type A/4-prong male or type B/4-prong male connectors depending on device used).

USB Port Types

There are two standard types of USB ports. The external controller (PC) must be connected via the USB host port (type A), while the E5052B and other USB compatible devices must be connected via the USB interface port (type B).

Port Type | Description
 | Type A: USB host port
 | Type B: USB (USBTMC) interface port

Preparing E5052B

You do not have to configure any softkey or command of the E5052B in order to control the E5052B from an external controller. Simply connect a USB cable to the USB interface port.

Preparing External Controller

In order to establish communication with the E5052B via USB, you must set up the I/O Input/Output interface of the external controller in advance. The USB can identify devices automatically, so once you connect a USB cable to a target device, a dialog box will appear for USB device registration.

  • The E5052B will be identified as new device if its serial number has been changed.

  • You must install the Agilent I/O Libraries on your PC in advance. Use Agilent I/O Libraries Suite 14.2 or later.

1. Setting E5052B when USB Cable Is Connected

  1. When new device is connected via USB cable, the following dialog box will appear automatically. Select No, not this time, and then click Next.

  2. Select Install the software automatically (Recommended), and then click Next.

  3. The drivers for E5052B are automatically installed and the completion screen appears. Click Finish to complete the process.

2. Registering Alias

Just after finishing the setting, another screen appears that can be used to change the Alias for the connected E5052B.

  • For alias, use the ASCII format less than 127 digits. Alias is upper/lower case insensitive.

  • If Never show this dialog is selected in Show this dialog frame, the dialog box does not appear even if a new device is connected.

  • Once new device is identified, the "New Hardware Search Wizard" will start. Follow the instruction to implement the processing.

3. Changing Alias on Setting Screen

The following are steps using the Agilent I/O Libraries Suite 14.2.

  1. From the Start menu of your PC, click Programs > Agilent IO Libraries Suite > Agilent Connection Expert to open the Config setting screen.

  2. In the Config setting screen, select the alias names from USB0 onward in the Instrument I/O on this PC frame, and then use the Change Properties from I/O Configuration on the menu bar.

Control using C or Visual Basic

You can control the E5052B by programming using Visual C++ or Visual Basic in the Windows environment as well as SICL/VISA.For further information on controlling the E5052B, see the manual of SICL or VISA. For Agilent I/O Libraries, use Agilent I/O Libraries Suite 14.2 or later.

You may use alias in the programming using SICL/VISA.

The following example shows an OPEN command to control the E5052B to which alias is given as SSA_USBIF.

SICL | id = iopen("SSA_USBIF")
VISA | viOpen(...,"SSA_USBIF",...)

  • For further details of the programming using SICL/VISA, see the SICL Users Guide or the VISA Users Guide.

Control using Agilent VEE

Agilent VEE allows you to control the E5052B via the direct I/O interface. The following example shows how to control the E5052B to which alias is given as SSA_USBIF.

  • When using Agilent VEE for PC, use Agilent VEE Pro 7 for Windows or later version.

  1. On the Agilent VEE's I/O menu, click Instrument Manager.

  2. In Instrument Manager, click Add...

  3. A new windows appears for the selection of Interface A connection that allows a common communication link between two or more instruments. Type. Select USB and click OK.

  4. In Instrument Properties, type any name for the Instrument in Name (for example: SSA_USBIF or E5052B_USB), and add USB Address in the USB Address. Click OK after entering all the parameters.

    3. The USB address can be retrieved from Agilent Connection Expert.

  5. The E5052B successfully appears in the Instrument Manager.


Sending SCPI command messages

  • Type and Structure of Commands

  • Grammar of Messages

  • Remote Mode

Other topics about Overview

Type and Structure of Commands

The SCPI commands available for the E5052B are classified into 2 groups as follows.

E5052B commands

Commands specific to the E5052B. They cover all measurement functions that the E5052B has and some general-purpose functions. The commands in this group are arranged in a hierarchical structure called the command tree. Each command consists of character strings (mnemonics) indicating each hierarchical level and colon (:) separators between hierarchical levels.

IEEE common commands

Commands to cover general-purpose functions defined in IEEE488.2 that are available commonly to instruments that support this standard. The commands in this group have an asterisk (*) at the beginning. For the commands in this group, there is no hierarchical structure.

Concepts of the command tree

The commands at the top of the command tree are called "root command" or simply "root." To access lower level commands in the tree, you need to specify a specific path like a directory path in the DOS file system. After power-on or reset, the current path is set to the root. Special characters in messages change the path setting as described below.

Message terminator

A message terminator such as the
<new line> character sets the current path to the root.

Colon (:)

A colon between 2 command mnemonics lowers the level of the current path in the command tree. A colon used as the first character of a command specifies the command mnemonic that follows as the root-level command.

Semicolon (;)

A semicolon does not change the current path and separates 2 commands in the same message.

The following figure shows an example of how to use colons and semicolons to efficiently access commands in the command tree.

Using colons and semicolons

Grammar of Messages

This section describes the grammar to send program messages via GPIB General Purpose Interface Bus - IEEE 488 bus is interconnect bus and protocol, allows linking of instruments and computer. . Program messages are messages that the user sends to the instrument from the external controller to control the instrument. A program message consists of 1 or more commands and their necessary parameters.

Upper/lower case sensitivity

Upper/lower case insensitive.

Program message terminator

A program message must be terminated with one of the 3 program message terminators: <new line>, <^END>, or <new line><^END>. <^END> indicates that EOI on the GPIB interface becomes active at the instant when the immediately previous data byte is sent. For example, the OUTPUT command of HTBasic automatically sends the message terminator after the last data byte.

Parameters

A space (ASCII code: 32) is required between a command and its first parameter. When sending several parameters in a single command, separate each parameter with a comma (,).

Message including several commands

When sending 2 or more commands in a single message, separate each command with a semicolon (;). The following example shows how to send the *CLS command and the :STAT:PRES command in a single message using HTBasic.

OUTPUT 717;"*CLS;:STAT:PRES"

Remote Mode

The E5052B does not provide remote mode. Therefore, even if you send a GPIB command, it never enters into remote mode automatically. There is no local key to release remote mode.

If you need to prevent misoperation during remote control due to entry from the front panel or mouse, lock the input devices using the following commands:

  • :SYST:KLOC:KBD

  • :SYST:KLOC:MOUS


LXI

The E5052B is LXI-C compliant from revision A.03.10 onwards.

About LXI

LXI (LAN eXtensions for Instrumentation) is the LAN-based successor to GPIB and combines the advantages of Ethernet with the simplicity and familiarity of GPIB. The key features of LXI are as follows:

  • The speed, simplicity, worldwide reach, low cost, ongoing enhancement and backward compatibility of LAN.

  • Quick, easy configuration through the intuitive web interface built into compliant instruments.

  • Simplified programming and greater software reuse through IVI drivers.

  • The ability to create hybrid systems that include LXI, GPIB, VXI, PXI, CANbus, etc.

  • Enhanced system performance and event handling via hardware- and LAN-based triggering modes.

  • Synchronization of local and remote instruments through the IEEE 1588 precision time protocol.

  • For more information on LXI, please visit www.lxistandard.org

Checking LXI Compliance

The E5052B having LXI compliance will show a LXI logo at the start up screen of the firmware [image]. If this logo does not appears at the start up screen of the firmware, it means that the system is not LXI-C complaint.

Files Required for LXI for E5052B with HDD revision NM30x

The HDD revision NM303 or below does not comes with installed Dot Net architecture which is a requirement for LXI. User having HDD revision NM303 or below need to install the required components for LXI on the E5052B, and then update the firmware to A.03.10 or later to use LXI-C functionality.

LXI works only on Dot Net platform. To install dotnet framework and other software required for LXI:

  1. Exit E5052B by System > Service Menu > Administrator Menu > Exit E5052B.

  2. Install “.Net Framework 2.0” by downloading the file dotnetfx.exe from http://www.agilent.com/find/ssa, save it to User folder, and then execute it to install all the required components for LXI on the E5052B.

  3. If your E5052B firmware revision is A03.03 or below, update E5052B Firmware to A.03.10 or later.

  4. Enable Web Server by System > Misc Setup> Network Setup > Web Server [ON].


Making Measurement

Making a Measurement

  • Trigger System

  • Staring a Measurement Cycle (triggering the instrument)

  • Waiting for End of measurement


Trigger System

  • Overview

  • Trigger state and transition for each measurement

Other topics about Making Measurement

Overview

The trigger system is responsible for tasks such as detecting the start of a measurement cycle (triggering) and enabling/disabling measurement for each measurement. As shown in the following figure, the trigger system has three states for each measurement: “Hold,” “Waiting for Trigger A signal that causes the instrument to make a measurement. The user can select several options for triggering, such as manual, continuous, or external (for synchronizing measurements to an external source). ,” and “Measurement”. If any one of the measurements holds hardware and trigger port, other measurement will keep one of the states.

  • The E5052B has a trigger model for each measurement (see below); however, only one triggered measurement can take place at a time. This is because the hardware and the trigger port are shared by seven measurement interfaces. For example, even if the continuous initiation mode is enabled for all measurements and the trigger source is set to Internal, only one triggered measurement takes place.

Trigger system

  • When the windows couple is turned on, you cannot use TRIG:MODE.

Trigger state and transition for each measurement

The following subsections describe the states for each measurement and how the trigger system switches among the states.

“Hold” State

When one of the following commands has been executed, the trigger system switches to “Hold” state, interrupting the measurement which is underway (arrow “e” in “d” in the Trigger System). When the power is turned on, the phase noise measurement is triggered, while the continuous initiation mode is set to ‘ON’ for the phase noise measurement and the trigger source is set to “Internal”.

• :ABORt

• *RST

During the “Hold” state, if either one of the following commands is executed or the measurement switches to the “Initiate” state by the front panel control, then the trigger system switches to the “Waiting for Trigger” state (arrow “f” in “a” in the Trigger System). “xx” specifies the measurements (PN, AM, BB, PS, SP, FP or TR) that are now waiting for trigger.

• :INITiate:xx:IMMediate

• :INITiate:xx:CONTinuous ON

“Waiting for Trigger” State

The instrument is triggered (i.e., a trigger is detected) during the “Waiting for Trigger” state, and then the trigger system switches to the “Measurement” state (arrow “B” in “b” in the Trigger System).

As shown in the table below, how the instrument is triggered differs depending on which trigger source is specified.

Trigger Source | How instrument is triggered
Internal trigger | The instrument is automatically triggered itself.
External trigger | The instrument is triggered when a trigger signal is fed through the Ext Trig terminal.
Bus trigger | The instrument is triggered when the *TRG command is issued.
Manual trigger | The instrument is triggered when you press [Trigger] - Trigger on the front panel. Trigger > Manual Trigger
Wide band trigger | In using the wideband mode for the transient measurement, the instrument is triggered when the frequency of the measuring signal crosses the frequency value of the wideband trigger setting.
Narrow band trigger | In using the narrowband mode for the transient measurement, the instrument is triggered when the frequency of the measuring signal crosses the frequency value of the narrowband trigger setting.

To set the trigger source, use the following command (“xx” specifies the measurements (PN,AM,BB,PS,SP,FP,TR) that are now waiting for trigger):

• :TRIGger:xx:SOURce

“Measurement” State

In the “Measurement” state, the instrument starts the measurement that was in the “Initiate” state immediately before the transition to this state.

If the delay time of DC control voltage and DC power voltage are set (by :SOURce:VOLTage:CONTrol:DELay, :SOURce:VOLTage:POWer:DELay), the instrument waits for the elapse of the sweep delay time before starting a measurement.

When the instrument has finished measuring, the trigger system behaves in one of the following ways depending on the setting of the continuous initiation mode.

Continuous Initiation Mode | Trigger System Behavior
OFF | The trigger system switches to the “Hold” state; “c” in the Trigger System
ON | The trigger system switches to the “Hold” state and then to the “Waiting for Trigger” state; “c” and “a” in the Trigger System


Staring a Measurement Cycle (triggering the instrument)

  • Configuring the Instrument to Automatically Perform Continuous Measurement

  • Starting Measurement on Demand

  • Using the Averaging Trigger

Other topics about Making Measurement

Configuring the Instrument to Automatically Perform Continuous Measurement

  1. Select a measurement to be triggered using the :TRIGger:MODE command.

  2. Set the trigger source of the triggered measurement to Internal using the :TRIGger:xx:SOURce command.

  3. Set the continuous initiation mode of the enabled triggered measurement using the :INITiate:xx:CONTinuous command.

Starting Measurement on Demand

  1. Select a measurement to be triggered using the :TRIGger:MODE command.

  2. Set the trigger source of the triggered measurement to Bus using the :TRIGger:xx:SOURce command.

  3. Set the continuous initiation mode of the enabled triggered measurement using the :INITiate:xx:CONTinuous command.

  4. Trigger the instrument when you want to perform measurement. An external controller can trigger the instrument by only a single command.

Command | Applicable trigger source
*TRG | Bus trigger only

  5. To start the next measurement cycle, repeat step 4.

Using the Averaging Trigger

You can make the E5052B repeat a cycle of waiting for a trigger and performing measurement for the number of times specified by the averaging factor with a single transition to the “Initiate” state. To switch between the averaging trigger mode and the normal trigger mode, use the following command.

• :TRIGger:AVERage

Averaging trigger mode | State transition for each setting
On | Turns on the averaging trigger mode. The instrument repeats a cycle of "waiting for a trigger" to "performing measurement," as many times as specified by the averaging factor, and then transitions to the “Hold” state.
Off | Turns off the averaging trigger mode. When the instrument finishes a single cycle of “waiting for a trigger” to “performing measurement,” it transitions to “Hold” state.

The following table shows the operational difference between the trigger systems.

Continuous initiation mode | Averaging trigger mode | Operation of trigger system
Off (Single) | Off | The instrument waits for a trigger only once. When it receives a trigger, it performs measurement and then transistors to the “Hold” state. The averaging factor is not cleared; it is incremented.
 | On | The instrument repeats a cycle of “waiting for a trigger” to “receiving a trigger” to “performing measurement,” as many times as specified by the averaging factor, and then transitions to the “Hold” state. The averaging factor is cleared before the start of measurement after receiving the first trigger.
On (Continuous) | Off | The instrument repeats a cycle of “waiting for a trigger” to “receiving a trigger” to “performing measurement.” The averaging factor is not cleared; it is incremented.
 | On | The instrument repeats a cycle of “waiting for a trigger” to “receiving a trigger” to “performing measurement.” The averaging factor is cleared before the start of measurement after receiving the first trigger.

  • The setting made with this command is common to all of the measurement modes (PN, PS, SP, FP, AM, BB and TR). You cannot use a different setting for each measurement mode.

  • When the averaging mode (set with the :SENS:xx:AVER:STAT command) is off, the averaging trigger mode is not available.


Waiting for End of measurement

  • Using the Status Register

  • Using the *OPC command

  • Using Wait Time

Other topics about Making Measurement

Using the Status Register

The status of the E5052B can be detected through the status registers. This section describes how to detect the end of measurement by using the status registers. For a complete description of the status report mechanism, including the specifications of each bit, see “Status Reporting System,”.

Measurement status is reported by the operation status condition register (see Opeartion Status Condition Register). An SRQ (service request) is useful when you create a program that uses the information reported by this register to detect the end of measurement.

To detect the end of measurement via an SRQ, use one of the following commands:

• *SRE

• :STATus:OPERation:ENABle

• :STATus:OPERation:PTRansition

• :STATus:OPERation:NTRansition

Follow these steps:

  1. Configure the E5052B so that it generates an SRQ when the operation status condition register's bit 4 (a bit that is set to 1 during measurement) is changed from 1 to 0.

  2. Trigger A signal that causes the instrument to make a measurement. The user can select several options for triggering, such as manual, continuous, or external (for synchronizing measurements to an external source). the instrument to start a measurement cycle.

  3. When an SRQ is generated, the program interrupts the measurement cycle.

SRQ generation sequence (at end of measurement)

Sample program

The following is a sample program that demonstrates how to use an SRQ to interrupt the end of measurement.

This program triggers the spectrum measurement of E5052B and then terminates the program when the end signal is received.

Sample program showing how to interrupt the end of measurement

110 DIM Buff$[9]

120 INTEGER A

130 ASSIGN @Agte5052 TO 717

140 OUTPUT @Agte5052;":ABOR"

150 OUTPUT @Agte5052;":TRIG:MODE SP1"

160 OUTPUT @Agte5052;":TRIG:SP:SOUR BUS"

170 OUTPUT @Agte5052;":INIT:SP:CONT ON"

180 OUTPUT @Agte5052;":STAT:OPER:PTR 0"

190 OUTPUT @Agte5052;":STAT:OPER:NTR 16"

200 OUTPUT @Agte5052;":STAT:OPER:ENAB 16"

210 OUTPUT @Agte5052;"*SRE 128"

220 OUTPUT @Agte5052;"*CLS"

230 OUTPUT @Agte5052;"*OPC?"

240 ENTER @Agte5052;Buff$

250 ON INTR 7 GOTO Meas_end

260 ENABLE INTR 7;2

270 OUTPUT @Agte5052;"*TRG"

280 PRINT "Waiting..."

290 Meas_wait: WAIT .1

300 OUTPUT @Agte5052;"*STB?"

310 ENTER @Agte5052;A

320 PRINT "a=";A

330 GOTO Meas_wait

340 Meas_end: OFF INTR 7

350 PRINT "Measurement Complete"

360 END

Using the *OPC? command

You can detect end of measurement by executing the *OPC? command or the *WAI command in your program. This section describes how to detect the end of measurement using the *OPC? command.

To enable the *OPC?, *WAI, and *OPC commands, you need to turn on these commands with the :TRIGger:SOPC.

• :TRIGger:SOPC

  • The setting made with this command is common to all of the measurement modes (PN, PS, SP, FP, AM, BB and TR). You cannot use a different setting for each measurement mode.

The following commands work differently when the :TRIG:SOPC command is turned on.

Command | Operation when :TRIG:SOPC is on | Operation when :TRIG:SOPC is off
*OPC? | The processing of the program is suspended until the end of the measurement, and +1 is returned after the end of the measurement. | The control is returned to the program immediately without waiting for the end of the measurement.
*WAI | The processing of the program is suspended until the end of the measurement. | The control is returned to the program immediately without waiting for the end of the measurement.
*OPC | After the command is executed, the control is returned to the program without waiting for the end of the measurement. The Operation Completion bit of the Standard Event Status register is set after the end of measurement. | The control is returned to the program immediately without waiting for the end of the measurement. The Operation Completion bit of the Standard Event Status register is set without waiting for the end of measurement.

The processing of the program is suspended only during a transition period from “Waiting for Trigger” state to “Hold” state caused by the end of measurement or abortion of the measurement.

When the averaging trigger is on, the processing of the program is suspended until the “Hold” state occurs after all measurements for the averaging factor are completed.

  • When the averaging trigger is on and the continuous initiation mode is on (Continuous), the processing of the program is suspended until the “Hold” state occurs after all measurements for the averaging factor are completed. However, in this case, once the measurements for the averaging factor are completed, the control is returned to the program each time a single measurement is completed for subsequent *OPC? and *WAI commands.

Using Wait Time

Before creating your program, actually measure the time between the start and end of the measurement cycle. Then code your program so that the controller waits for the actually measured time by using the appropriate command (for example, the WAIT command for HTBasic). This is a straightforward method, but care must be taken: an incorrect wait time could result in unexpected error.


Reading Writing Measurement Data

  • Data Types for Data Transfer

  • Data Transfer Format

  • Entering Data in a Trace

  • Internal data processing

  • Retrieving Measurement Results


Data Types for Data Transfer

  • Overview

  • Array Type

  • Block Type

Other topics about Reading-Writing Measurement Data

Overview

This section describes the data types that the E5052B uses for data transfer.

Array Type

If you use any of the following commands, the data transfer will be executed using array-type data. Here, you can choose from among ASCII transfer format, IEEE 64-bit floating point binary transfer format, and IEEE 32-bit floating point binary transfer format.

For phase noise measurement

  • :CALCulate:PN[1-1]:DATA:CARRier

  • :CALCulate:PN[1-1]:DATA:PDATa

  • :CALCulate:PN[1-1]:DATA:RDATa

  • :CALCulate:PN[1-1]:DATA:XDATa

  • :CALCulate:PN[1-1]:TRACe[1-1]:DATA:FDATa

  • :CALCulate:PN[1-1]:TRACe[1-1]:DATA:FMEMory

  • :CALCulate:PN[1-1]:TRACe[1-1]:DATA:PDATa

  • :CALCulate:PN[1-1]:TRACe[1-1]:DATA:PMEMory

  • :CALCulate:PN[1-1]:TRACe[1-1]:DATA:SDATa

  • :CALCulate:PN[1-1]:TRACe[1-1]:DATA:SMEMory

  • :CALCulate:PN[1-1]:TRACe[1-1]:DATA:UDATa

  • :CALCulate:PN[1-1]:TRACe[1-1]:DATA:UMEMory

  • :CALCulate:PN[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa

  • :CALCulate:PN[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA

  • :CALCulate:PN[1-1]:TRACe[1-1]:LIMit:REPort[:DATA]

  • :CALCulate:PN[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa

  • :CALCulate:PN[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA

  • :CALCulate:PN[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA

For spectrum measurement

  • :CALCulate:SP[1-1]:DATA:RDATa

  • :CALCulate:SP[1-1]:DATA:XDATa

  • :CALCulate:SP[1-1]:TRACe[1-1]:DATA:FDATa

  • :CALCulate:SP[1-1]:TRACe[1-1]:DATA:FMEMory

  • :CALCulate:SP[1-1]:TRACe[1-1]:DATA:UDATa

  • :CALCulate:SP[1-1]:TRACe[1-1]:DATA:UMEMory

  • :CALCulate:SP[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa

  • :CALCulate:SP[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA

  • :CALCulate:SP[1-1]:TRACe[1-1]:LIMit:REPort[:DATA]

  • :CALCulate:SP[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa

  • :CALCulate:SP[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA

For frequency/power measurement

  • :CALCulate:FP[1-1]:DATA:RDATa

  • :CALCulate:FP[1-1]:DATA:TDATa

  • :CALCulate:FP[1-1]:DATA:XDATa

  • :CALCulate:FP[1-1]:TRACe[1-4]:DATA:FDATa

  • :CALCulate:FP[1-1]:TRACe[1-4]:DATA:FMEMory

  • :CALCulate:FP[1-1]:TRACe[1-4]:DATA:UDATa

  • :CALCulate:FP[1-1]:TRACe[1-4]:DATA:UMEMory

  • :CALCulate:FP[1-1]:TRACe[1-4]:LIMit:LOWer:LDATa

  • :CALCulate:FP[1-1]:TRACe[1-4]:LIMit:LOWer:SEGMent:DATA

  • :CALCulate:FP[1-1]:TRACe[1-4]:LIMit:REPort[:DATA]

  • :CALCulate:FP[1-1]:TRACe[1-4]:LIMit:UPPer:LDATa

  • :CALCulate:FP[1-1]:TRACe[1-4]:LIMit:UPPer:SEGMent:DATA

For transient measurement

  • :CALCulate:TR[1-1]:NARRow:DATA:RDATa

  • :CALCulate:TR[1-1]:NARRow:DATA:XDATa

  • :CALCulate:TR[1-1]:TRACe[1-8]:DATA:FDATa

  • :CALCulate:TR[1-1]:TRACe[1-8]:DATA:FMEMory

  • :CALCulate:TR[1-1]:TRACe[1-8]:DATA:UDATa

  • :CALCulate:TR[1-1]:TRACe[1-8]:DATA:UMEMory

  • :CALCulate:TR[1-1]:TRACe[1-8]:LIMit:LOWer:LDATa

  • :CALCulate:TR[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:DATA

  • :CALCulate:TR[1-1]:TRACe[1-8]:LIMit:REPort[:DATA]

  • :CALCulate:TR[1-1]:TRACe[1-8]:LIMit:UPPer:LDATa

  • :CALCulate:TR[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:DATA

  • :CALCulate:TR[1-1]:WIDE:DATA:RDATa

  • :CALCulate:TR[1-1]:WIDE:DATA:XDATa

  • :CALCulate:TR[1-1]:NARRow[1-2]:DATA:RDATa

  • :CALCulate:TR[1-1]:NARRow[1-2]:DATA:XDATa

For AM noise measurement

  • :CALCulate:AM[1-1]:DATA:CARRier

  • :CALCulate:AM[1-1]:DATA:PDATa

  • :CALCulate:AM[1-1]:DATA:RDATa

  • :CALCulate:AM[1-1]:DATA:XDATa

  • :CALCulate:AM[1-1]:TRACe[1-1]:DATA:FDATa

  • :CALCulate:AM[1-1]:TRACe[1-1]:DATA:FMEMory

  • :CALCulate:AM[1-1]:TRACe[1-1]:DATA:PDATa

  • :CALCulate:AM[1-1]:TRACe[1-1]:DATA:PMEMory

  • :CALCulate:AM[1-1]:TRACe[1-1]:DATA:SDATa

  • :CALCulate:AM[1-1]:TRACe[1-1]:DATA:SMEMory

  • :CALCulate:AM[1-1]:TRACe[1-1]:DATA:UDATa

  • :CALCulate:AM[1-1]:TRACe[1-1]:DATA:UMEMory

  • :CALCulate:AM[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa

  • :CALCulate:AM[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA

  • :CALCulate:AM[1-1]:TRACe[1-1]:LIMit:REPort[:DATA]

  • :CALCulate:AM[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa

  • :CALCulate:AM[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA

  • :CALCulate:AM[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA

For baseband noise measurement

  • :CALCulate:BB[1-1]:DATA:PDATa

  • :CALCulate:BB[1-1]:DATA:RDATa

  • :CALCulate:BB[1-1]:DATA:XDATa

  • :CALCulate:BB[1-1]:TRACe[1-1]:DATA:FDATa

  • :CALCulate:BB[1-1]:TRACe[1-1]:DATA:FMEMory

  • :CALCulate:BB[1-1]:TRACe[1-1]:DATA:PDATa

  • :CALCulate:BB[1-1]:TRACe[1-1]:DATA:PMEMory

  • :CALCulate:BB[1-1]:TRACe[1-1]:DATA:SDATa

  • :CALCulate:BB[1-1]:TRACe[1-1]:DATA:SMEMory

  • :CALCulate:BB[1-1]:TRACe[1-1]:DATA:UDATa

  • :CALCulate:BB[1-1]:TRACe[1-1]:DATA:UMEMory

  • :CALCulate:BB[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa

  • :CALCulate:BB[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA

  • :CALCulate:BB[1-1]:TRACe[1-1]:LIMit:REPort[:DATA]

  • :CALCulate:BB[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa

  • :CALCulate:BB[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA

  • :CALCulate:BB[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA

For user measurement

  • :CALCulate:USER[1-1]:TRACe[1-8]:DATA:FDATa

  • :CALCulate:USER[1-1]:TRACe[1-8]:DATA:FMEMory

  • :CALCulate:USER[1-1]:TRACe[1-8]:DATA:RDATa

  • :CALCulate:USER[1-1]:TRACe[1-8]:DATA:UDATa

  • :CALCulate:USER[1-1]:TRACe[1-8]:DATA:UMEMory

  • :CALCulate:USER[1-1]:TRACe[1-8]:DATA:XDATa

  • :CALCulate:USER[1-1]:TRACe[1-8]:LIMit:LOWer:LDATa

  • :CALCulate:USER[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:DATA

  • :CALCulate:USER[1-1]:TRACe[1-8]:LIMit:REPort[:DATA]

  • :CALCulate:USER[1-1]:TRACe[1-8]:LIMit:UPPer:LDATa

  • :CALCulate:USER[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:DATA

For segment phase noise measurement

  • :CALCulate:PS[1-1]:DATA:CARRier

  • :CALCulate:PS[1-1]:DATA:PDATa

  • :CALCulate:PS[1-1]:DATA:RDATa

  • :CALCulate:PS[1-1]:DATA:XDATa

  • :CALCulate:PS[1-1]:TRACe[1-1]:DATA:FDATa

  • :CALCulate:PS[1-1]:TRACe[1-1]:DATA:FMEMory

  • :CALCulate:PS[1-1]:TRACe[1-1]:DATA:PDATa

  • :CALCulate:PS[1-1]:TRACe[1-1]:DATA:PMEMory

  • :CALCulate:PS[1-1]:TRACe[1-1]:DATA:SDATa

  • :CALCulate:PS[1-1]:TRACe[1-1]:DATA:SMEMory

  • :CALCulate:PS[1-1]:TRACe[1-1]:DATA:UDATa

  • :CALCulate:PS[1-1]:TRACe[1-1]:DATA:UMEMory

  • :CALCulate:PS[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa

  • :CALCulate:PS[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA

  • :CALCulate:PS[1-1]:TRACe[1-1]:LIMit:REPort[:DATA]

  • :CALCulate:PS[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa

  • :CALCulate:PS[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA

  • :CALCulate:PS[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA

For sending and receiving data to/from VBA program

  • :PROGram:VARiable:ARRay[1-10]:DATA

  • :SENSe:CORRection:POWer:DATA

Block Type

If you use any of the following commands, the data transfer will be executed using block-type data. Here, you can choose either IEEE 64-bit floating point binary transfer format or IEEE 32-bit floating point binary transfer format.

  • :MMEM:DATA

  • The instrument always uses the ASCII transfer format when you transfer data without using array- or block-type commands.


Data Transfer Format

  • Overview

  • ASCII Transfer Format

  • Integer Format

  • Floating-Point Number Format

  • Binary Transfer Format

Other topics about Reading-Writing Measurement Data

Overview

When you transfer data using the one of the following commands, you can choose among ASCII transfer format, IEEE 64-bit floating point binary transfer format and IEEE 32-bit floating point binary transfer format.

Set the data transfer format to transfer data of either array or block type. To set the data transfer format, use the following command:

:FORMat:DATA

  • Executing the :SYSTem:PRESet or *RST does not affect the current setting of the data transfer format.

ASCII Transfer Format

When you select the ASCII transfer format as the data transfer format, numbers are transferred as ASCII bytes, each of which corresponds to one of the formats shown below. Note that numbers are separated from one another with a comma (,) in accordance with the IEEE 488.2 specification.

  • Numeric data strings vary in length. Keep this in mind when you extract some data from retrieved numeric data strings in your program.

Integer Format

The figure below shows this format. Numbers are expressed as integers. For example, 201 is expressed as "+201" or "201."

Integer format

Floating-Point Number Format

The figure below shows this format. Numbers are expressed with floating points. For example, 1000 is expressed as "+1.00000000000E+003."

Floating-point number format

Binary Transfer Format

You can select the binary transfer format from the IEEE 64-bit floating point format or the IEEE 32-bit floating point format depending on the controller you use.

IEEE 64-bit floating point format

When you select the IEEE 64-bit floating point binary transfer format as the data transfer format, numbers are transferred in the format shown in the figure below.

Binary A method of representing numbers in a scale of two (on or off, high-level or low-level, one or zero). A compact, fast format used to transfer information to and from the analyzer. transfer format

This data transfer format uses a header that consists of a sharp character (#), a number of 7 (which indicates the byte size of the <number of bytes transferred> part), and the <number of bytes transferred> part in this order. The header is followed by the binary data (each number consists of 8 bytes and the total is the byte size indicated by <number of bytes transferred>) and the message terminator <new line>^END.

The binary data is expressed in the IEEE 754 64-bit floating-point number format shown in the figure below.

64-bit floating point format

IEEE 32-bit floating point format

When you select the IEEE 32-bit floating point binary transfer format as the data transfer format, numbers are transferred in the format shown in the figure below.

IEEE 32-bit floating point binary transfer format

This data transfer format uses a header that consists of a sharp character (#), a number of 7 (which indicates the byte size of the <number of bytes transferred> part), and the <number of bytes transferred> part in this order. The header is followed by the binary data (each number consists of 4 bytes and the total is the byte size indicated by <number of bytes transferred>) and the message terminator <new line>^END.

The binary data is expressed in the IEEE 754 32-bit floating-point number format shown in the figure below.

32-bit floating point data

Byte order

When you opt to perform binary transfer, you can configure the instrument to transfer the bytes of the data in one of the following two byte orders:

NORMal

Transfer begins with the byte that contains the MSB (Most Significant Bit); that is, the leftmost byte in 64 bit floating point format and 32 bit floating point data.

SWAPped

Transfer begins with the byte that contains the LSB (Least Significant Bit); that is, the rightmost byte in 64 bit floating point format and 32 bit floating point data.

To set the byte order, use the following command:

:FORMat:BORDer

  • Executing the :SYSTem:PRESet or *RST does not affect the current setting of the byte order.


Internal Data Processing

  • Overview

  • Data Flow

  • Internal Data Arrays

Other topics about Reading-Writing Measurement Data

Overview

This section explains the internal data processing of the E5052B.

Data Flow

The following figures provide overviews of the E5052B’s internal data processing flows.

Data processing flow for phase noise, AM noise, baseband noise and segment phase noise measurement with E5052B

Data processing flow for spectrum measurement with E5052B

Data processing flow for frequency/power measurement with E5052B

Data processing flow for transient measurement with E5052B (Wide-Narrow)

Data processing flow for transient measurement with E5052B (Narrow-Narrow)

Data processing flow for user-defined function measurement with E5052B

The enclosed part of the data processing flow represents the data array. By using SCPI commands, the data array can be read for processing and written for display on the E5052B’s screen.

Internal Data Arrays

Unformatted data arrays

An unformatted array contains the raw data just as it was obtained through measurement and divided for each trace.

The instrument retains the unformatted data arrays which are associated with each trace of individual measurements. To read/write one of the unformatted data arrays, use the following command (“xx” specifies any one of the measurements (AM,BB,PN,PS,SP,FP,TR,USER) while “y” specifies the number of the trace if the measurement has multiple traces.

• :CALC:xx[1-1]:TRAC[1-y]:DATA:UDAT

There is an unformatted data array formatted in dBc only when the AM noise, Baseband noise, Phase noise and Segment phase noise measurement are performed.

• :CALCulate:AM[1-1]:TRACe[1-1]:DATA:PDATa

• :CALCulate:BB[1-1]:TRACe[1-1]:DATA:PDATa

• :CALCulate:PN[1-1]:TRACe[1-1]:DATA:PDATa

• :CALCulate:PS[1-1]:TRACe[1-1]:DATA:PDATa

Unformatted memory arrays

When the :CALC:xx[1-1]:TRAC[1-y]:MATH:MEM command is executed on a particular unformatted memory array, a copy is stored in the corresponding unformatted data array.

The instrument retains the unformatted memory arrays associated with each trace of individual measurements. To read/write one of the unformatted memory arrays, use the following command:

• :CALC:xx[1-1]:TRAC[1-y]:DATA:UMEM

There is an unformatted memory array formatted in dBc only when the AM noise, Baseband noise, Phase noise and Segment phase noise measurement are performed.

• :CALCulate:AM[1-1]:TRACe[1-1]:DATA:PMEMory

• :CALCulate:BB[1-1]:TRACe[1-1]:DATA:PMEMory

• :CALCulate:PN[1-1]:TRACe[1-1]:DATA:PMEMory

• :CALCulate:PS[1-1]:TRACe[1-1]:DATA:PMEMory

Formatted data array

A formatted data array contains the formatted data (values to be displayed) obtained by performing data math operations, measurement parameter conversion, and smoothing on a particular unformatted data array.

The instrument retains the formatted data arrays associated with each trace of individual measurements. To read/write one of the formatted data arrays, use the following command:

• :CALC:xx[1-1]:TRAC[1-y]:DATA:FDAT

Formatted memory arrays

A formatted memory array contains the formatted data (values to be displayed) obtained by performing data math operations, measurement parameter conversion, and smoothing on a particular unformatted memory array.

The instrument retains the formatted memory arrays associated with each trace of individual measurements. To read/write one of the formatted memory arrays, use the following command:

• :CALC:xx[1-1]:TRAC[1-y]:DATA:FMEM

X-axis Data Arrays

An x-axis data array contains the x-axis values for all measurement points.

The instrument retains the X-axis arrays associated with individual measurements (for the transient measurement, narrow/wide only). X-axis data arrays are read-only. To retrieve one of the X-axis data arrays, use the following command:

• :CALC:xx[1-1]:DATA:XDAT

For the transient measurement, you can use two types of command as follows.

• :CALCulate:TR[1-1]:NARRow[1-2]:DATA:XDATa

• :CALCulate:TR[1-1]:WIDE:DATA:XDATa

Raw Data Arrays

A raw data array contains the measured values just as they were obtained, without any correction or format applied.

The instrument retains the raw data arrays associated with individual measurements (for the transient measurement, Wide/Narrow or Narrow/Narrow). To read/write one of the raw data arrays, use the following command:

• :CALC:xx[1-1]:DATA:RDAT

For the transient measurement, you can use two types of command as follows:

• :CALCulate:TR[1-1]:NARRow[1-2]:DATA:RDATa

• :CALCulate:TR[1-1]:WIDE:DATA:RDATa

There is a raw data array formatted in dBc only when the AM noise, Baseband noise, Phase noise and Segment phase noise measurement are performed.

• :CALCulate:AM[1-1]:DATA:PDATa

• :CALCulate:BB[1-1]:DATA:PDATa

• :CALCulate:PN[1-1]:DATA:PDATa

• :CALCulate:PS[1-1]:DATA:PDATa


Entering Data in a Trace

By using Formatted data array, you can change the data/memory trace on the LCD by writing the new data into the Formatted memory arrays.

When you write data into the formatted data/memory array, you can choose either the ASCII or binary transfer format (see Data Types for Data Transfer).

Using ASCII Transfer Format to Write Formatted Data Arrays and Using Binary Transfer Format to Write Formatted Data Arrays (write_b.htb) show sample programs that demonstrate how to write data into formatted data arrays. The sample program in Using ASCII Transfer Format to Write Formatted Data Arrays (write_a.htb) uses the ASCII transfer format, while the sample in Using Binary A method of representing numbers in a scale of two (on or off, high-level or low-level, one or zero). A compact, fast format used to transfer information to and from the analyzer. Transfer Format to Write Formatted Data Arrays (write_b.htb) uses the binary transfer format.

These sample programs write the trace data of phase noise measurements stored in a file on the formatted data arrays.

Sample: Using ASCII Transfer Format to Write Formatted Data Arrays (write_a.htb)

110 REAL Fdata(1:1601),Freq(1:1601)

120 DIM Img$[30],File$[300]

130 INTEGER Nop,I

140 File$="a:pn_asc"

150 ASSIGN @Agte5052 TO 717

160 OUTPUT @Agte5052;":SENS:PN:SWE:POIN?"

170 ENTER @Agte5052;Nop

180 PRINT "Number of Frequency The number of periodic oscillations, vibrations, or waves per unit of time, usually expressed in cycles per second, or Hertz (Hz). points = ";Nop

190 REDIM Fdata(1:Nop),Freq(1:Nop)

200 ASSIGN @File TO File$

210 Img$="MD.4DE,2X,MD.6DE"

220 FOR I=1 TO Nop

230 ENTER @File USING Img$;Freq(I),Fdata(I)

240 NEXT I

250 ASSIGN @File TO *

260 OUTPUT @Agte5052;":FORM:DATA ASC"

270 OUTPUT @Agte5052;":CALC:PN1:TRAC1:DATA:FDAT ";Fdata(*)

390 END

Sample: Using Binary Transfer Format to Write Formatted Data Arrays (write_b.htb)

110 REAL Fdata(1:1601),Freq(1:1601)

120 DIM Img$[30],File$[300],Head$[10]

130 INTEGER Nop,I

140 File$="a:pn_asc"

150 ASSIGN @Agte5052 TO 717

160 ASSIGN @Binary TO 717;FORMAT OFF

170 OUTPUT @Agte5052;":SENS:PN:SWE:POIN?"

180 ENTER @Agte5052;Nop

190 PRINT "Number of Frequency points = ";Nop

200 REDIM Fdata(1:Nop),Freq(1:Nop)

210 ASSIGN @File TO File$

220 Img$="MD.4DE,2X,MD.6DE"

230 FOR I=1 TO Nop

240 ENTER @File USING Img$;Freq(I),Fdata(I)

250 NEXT I

260 ASSIGN @File TO *

270 OUTPUT @Agte5052;":FORM:DATA REAL64"

280 Head$="#6"&IVAL$(8*Nop,10)

290 OUTPUT @Agte5052;":CALC:PN1:TRAC1:DATA:FDAT ";Head$;

300 OUTPUT @Binary;Fdata(*),END

310 END

Other topics about Reading-Writing Measurement Data


Retrieving Measurement Results

  • Overview

  • Retrieving Measurement Results at Marker Positions

  • Retrieving Internal Data Arrays

Other topics about Reading-Writing Measurement Data

Overview

Markers allow you to retrieve measurement results at your specified points only. Internal data arrays allow you to retrieve all measurement results throughout a particular trace.

Retrieving Measurement Results at Marker Positions

In using markers to retrieve measurement results at specified points, you can use up to ten markers for each measurement graph, and you can move them to any point on the trace. You can also set any as a reference marker.

Showing/hiding markers

To show or hide each marker, use the following command (“xx” specifies any one of the measurements (AM,BB,PN,PS,SP,FP,TR,USER) while “y” specifies the number of the trace if the measurement has multiple traces.

• :CALC:xx[1-1]:TRAC[1-y]:MARK[1-10]:STAT

Turning On or Off Reference Marker Mode

Turning on Reference Marker A graphical symbol along a display trace that is annotated with measurement characteristics of that specific data point. Mode sets the specified marker number as the reference marker and makes other markers relative with respect to it. To specify the reference marker and turn on or off Reference Marker mode, use the following command:

• :CALC:xx[1-1]:ALLT:MARK:REF:NUMB

• :CALC:xx[1-1]:ALLT:MARK:REF:STAT

Changing along the frequency axis and retrieval of marker positions

To change along the frequency axis or retrieve the reference marker position, use the following command:

• :CALC:xx[1-1]:TRAC[1-y]:MARK[1-10]:X

  • When Reference Marker Mode is on, the x value at a regular marker is a relative value obtained by deducting its x value from the reference marker’s x value.

Retrieving measurement results at marker positions

To retrieve the measurement results (response values) at a particular marker or the reference marker, use the following command:

• :CALC:xx[1-1]:TRAC[1-y]:MARK[1-10]:Y?

Retrieving Internal Data Arrays

You can chose between the ASCII and binary data transfer formats when you retrieve internal data arrays. For more information, refer to Data Types for Data Transfer.

Using ASCII Transfer Format to Retrieve Internal Data Arrays and Using Binary Transfer Format to Retrieve Internal Data Arrays show sample programs that demonstrate how to retrieve formatted data arrays. The sample program in Using ASCII Transfer Format to Retrieve Internal Data Arrays uses the ASCII transfer format while the sample in Using Binary Transfer Format to Retrieve Internal Data Arrays uses the binary transfer format.

These sample programs show how to retrieve the formatted data arrays of measured phase noise.

Using ASCII Transfer Format to Retrieve Internal Data Arrays

110 REAL Fdata(1:1601),Freq(1:1601)

120 DIM Img$[30]

130 INTEGER Nop,I

140 ASSIGN @Agte5052 TO 717

150 OUTPUT @Agte5052;":SENS:PN:SWE:POIN?"

160 ENTER @Agte5052;Nop

170 PRINT "Number of Frequency The number of periodic oscillations, vibrations, or waves per unit of time, usually expressed in cycles per second, or Hertz (Hz). points = ";Nop

180 REDIM Fdata(1:Nop),Freq(1:Nop)

190 OUTPUT @Agte5052;":FORM:DATA ASC"

200 OUTPUT @Agte5052;":CALC:PN1:TRAC1:DATA:FDAT?"

210 ENTER @Agte5052;Fdata(*)

220 OUTPUT @Agte5052;":CALC:PN1:DATA:XDAT?"

230 ENTER @Agte5052;Freq(*)

240 Img$="MD.4DE,2X,MD.6DE"

250 PRINT "Frequency Data"

260 FOR I=1 TO Nop

270 PRINT USING Img$;Freq(I),Fdata(I)

280 NEXT I

290 END

Using Binary Transfer Format to Retrieve Internal Data Arrays

110 REAL Fdata(1:1601),Freq(1:1601)

120 DIM Img$[30],Buff$[9]

130 INTEGER Nop,I

140 ASSIGN @Agte5052 TO 717

150 ASSIGN @Binary TO 717;FORMAT OFF

160 OUTPUT @Agte5052;":SENS:PN:SWE:POIN?"

170 ENTER @Agte5052;Nop

180 PRINT "Number of Frequency points = ";Nop

190 REDIM Fdata(1:Nop),Freq(1:Nop)

200 OUTPUT @Agte5052;":FORM:DATA REAL64"

210 OUTPUT @Agte5052;":CALC:PN1:TRAC1:DATA:FDAT?"

220 ENTER @Agte5052 USING "#,8A";Buff$

230 ENTER @Binary;Fdata(*)

240 ENTER @Agte5052 USING "#,1A";Buff$

250 OUTPUT @Agte5052;":CALC:PN1:DATA:XDAT?"

260 ENTER @Agte5052 USING "#,8A";Buff$

270 ENTER @Binary;Freq(*)

280 ENTER @Agte5052 USING "#,1A";Buff$

290 Img$="MD.4DE,2X,MD.6DE"

300 PRINT "Frequency Data"

310 FOR I=1 TO Nop

320 PRINT USING Img$;Freq(I),Fdata(I)

330 NEXT I

340 END


Saving and Recalling

  • Saving and Recalling File

  • Managing Files


Saving and Recalling File

  • Specifying File

  • Saving and Recalling Instrument Status

  • Saving Measurement Data

  • Saving Images

  • Saving/Loading (Importing) a VBA Program

Other topics about Saving and Recalling

Specifying File

When running a command for saving, recalling, and managing files, use a filename with extension to specify a particular file. Specify "F:" in the beginning of the file name, when specifying a file on the user area of hard disk. Also, when specifying a file name with directory, use "/" (slash) or "\" (backslash) as a delimiter.

Saving and Recalling Instrument Status

You can save the instrument state using one of the following 2 methods:

  • Saving the entire instrument state into a file

  • Saving only the instrument setting into the file

Selecting content to be saved

When saving the instrument status into a file, the content to be saved can be selected among the following 2 options:

  • Entire instrument state (setting and data)

  • Instrument setting only.

To select a content to be saved, use the following command:

:MMEMory:STORe:STYPe

Saving and recalling entire instrument status

To save the instrument setting or instrument setting and data ,use the following command:

:MMEMory:STORe:STATe

Recalling a file saved with the above command can reproduce the status when it was saved. To recall the settings from a file, use the following command:

:MMEMory:LOAD:STATe

Auto recall

The file saved with the name F:\autorec.sta or A:\autorec.sta will be automatically recalled when the E5052B is powered ON.

Saving Measurement Data

Measurement data (in a formatted data array) can be saved to a file in CSV (Comma Separated Value) format.

To save measurement data in a file, use the following command:

:MMEMory:xx[1-1]:TRACe[1-y]:STORe

Here, xx indicates anyone of the measurement PN,PS,SP,FP,TR,AM,BB,USER and y indicates the number of traces.

Executing the above command will save the measurement data of the active trace.

  • The data saved using the above command cannot be recalled from the E5052B.

Saving Images

Images displayed on the LCD screen can be saved to a file in the bitmap (.bmp) or portable network graphics (.png) format.

To save the screen image to a file, use the following command:

:MMEMory:STORe:IMAGe

Executing the above command will save the screen image when the command is invoked.

  • This gives different screen image results from those obtained by pressing the Capture/System key on the front panel.

Saving/Loading (Importing) a VBA Program

Saving

Only the VBA project file can be saved using command.

To save the VBA project that is opened on the VBA editor on the file, use the following command.

:MMEMory:STORe:PROGram

Loading (importing)

To load the VBA project to the VBA editor, or to import the module/form file, use the following command.

:MMEMory:LOAD:CORRection:POWer

Executing above command will load/import the file according to its extension as follows:

Extension | File type
vba | VBA Project
bas | Standard module
frm | User Forms
cls | Class Modules


Managing Files

  • Various Commands

  • Sample Program

Other topics about Saving and Recalling

Various Commands

Creating directory (folder)

To create a directory (folder), use the following command:

:MMEMory:MDIRectory

Deleting file (directory)

To delete a file or a directory, use the following command:

:MMEMory:DELete

Copying file

To copy a file, use the following command:

:MMEMory:COPY

Transferring files

File transfer from the external controller to the E5052B can be possible by reading data from a file on the controller and then writing them to the file on the E5052B.

:MMEMory:DATA

Also, file transfer from the E5052B to the external controller can be possible by reading data from a file on the E5052B using the commands as query and then writing them to the file on the controller.

Retrieving data from storage

To retrieve information for the storage that is built in the E5052B (usage, property of file located in a specified directory), use the following command;

:MMEMory:CATAlog

Sample Program

The following example shows a sample program for transferring files between the external controller and the E5052B.This program reads out data from a specified file on the E5052B and then writes them to a specified file on the external controller.

Sample of file transfer

1000 DIM Src_file$[50],Dst_file$[50]

1010 DIM Buff$[9],Img$[32],Src_size_char$[10]

1020 INTEGER Max_bsize,Block_size

1030 REAL Src_size

1040 ASSIGN @Agte5052 TO 717

1050 Src_file$="f:\state01.sta"

1060 Dst_file$="a:state01.sta"

1070 CREATE Dst_file$,1

1080 ASSIGN @Dst_file TO Dst_file$

1090 Max_bsize=24576

1100 PRINT "Now Copying: "&Src_file$&"(@E5052) ->

"&Dst_file$&"(@Controller)"

1110 OUTPUT @Agte5052;":MMEM:DATA? """&Src_file$&""""

1120 WAIT .5

1130 ENTER @Agte5052 USING "#,A";Buff$

1140 ENTER @Agte5052 USING "#,A";Digit$

1150 Img$="#, "&Digit$&"A"

1160 ENTER @Agte5052 USING Img$;Src_size_char$

1170 Src_size=VAL(Src_size_char$)

1180 WHILE Src_size>0

1190 IF Intermediate Frequency: the frequency at which a signal is processed after mixing. Src_size>Max_bsize THEN

1200 Block_size=Max_bsize

1210 ELSE

1220 Block_size=Src_size

1230 END IF

1240 ALLOCATE Dat$[Block_size]

1250 Img$="#, "&VAL$(Block_size)&"A"

1260 ENTER @Agte5052 USING Img$;Dat$

1270 OUTPUT @Dst_file USING Img$;Dat$

1280 DEALLOCATE Dat$

1290 Src_size=Src_size-Block_size

1300 END WHILE

1310 PRINT "Done"

1320 ENTER @Agte5052 USING "#,A";Buff$

1330 ASSIGN @Dst_file TO *


Communication with External Devices

Communication with External Devices (24 bit I/O)

  • 24 bit I/O Port Overview

  • I/O Signal Pin Layout and Description

  • Inputting/Outputting Data

  • Preset states at power-on

  • Timing Chart

  • Electrical Characteristics


24 bit I/O Port Overview

The E5052B 24-bit I/O Input/Output port provides four independent parallel ports for data I/O associated with several control signal lines and the power line. All signals operate in TTL logic.

The data I/O ports are configured with 2 pairs of 8-bit output ports and 2 pairs of 4-bit bi-directional ports. Furthermore, these ports can cooperate to provide a maximum 16-bit-wide output port or a maximum 8-bit-wide input port.

The I/O signals operate on a negative logic basis. The control signal lines consist of various control output data, including completion of measurement or control signal for handshaking.

I/O ports and control signal lines

Other topics about Communication with External Devices


I/O Signal Pin Layout and Description

The layout of the I/O Input/Output signal pins on the 24 bit interface connector and its description are shown below.

A slash (/) symbol preceding signal names means that they are negative logic (active low).

Pin number | Signal name | Input/Output | Description
1 | GND | N/A | Ground.
2 | /INPUT1 | Input | When this port receives a negative pulse, /OUTPUT1 and /OUTPUT2 are changed to the Low level.
3 | /OUTPUT1 | Output | Changes to the Low level when /INPUT1 receives a negative pulse. A command can be available for altering the Low/High level logic.
4 | /OUTPUT2 | Output | Changes to the Low level when /INPUT1 receives a negative pulse. A command can be available for altering the Low/High level logic.
5 | /PORT A0 | Output | Bit 0 of port A (8 bit parallel output port)
6 | /PORT A1 | Output | Bit 1 of port A.
7 | /PORT A2 | Output | Bit 2 of port A.
8 | /PORT A3 | Output | Bit 3 of port A.
9 | /PORT A4 | Output | Bit 4 of port A.
10 | /PORT A5 | Output | Bit 5 of port A.
11 | /PORT A6 | Output | Bit 6 of port A.
12 | /PORT A7 | Output | Bit 7 of port A.
13 | /PORT B0 | Output | Bit 0 of port B (8 bit parallel output port)
14 | /PORT B1 | Output | Bit 1 of port B.
15 | /PORT B2 | Output | Bit 2 of port B.
16 | /PORT B3 | Output | Bit 3 of port B.
17 | /PORT B4 | Output | Bit 4 of port B.
18 | /PORT B5 | Output | Bit 5 of port B.
19 | /PORT B6 | Output | Bit 6 of port B.
20 | /PORT B7 | Output | Bit 7 of port B.
21 | /PORT C0 | Input/Output | Bit 0 of port C (4 bit parallel I/O port)
22 | /PORT C1 | Input/Output | Bit 1 of port C .
23 | /PORT C2 | Input/Output | Bit 2 of port C.
24 | /PORT C3 | Input/Output | Bit 3 of port C.
25 | /PORT D0 | Input/Output | Bit 0 of port D (4 bit parallel I/O port)
26 | /PORT D1 | Input/Output | Bit 1 of port D
27 | /PORT D2 | Input/Output | Bit 2 of port D.
28 | /PORT D3 | Input/Output | Bit 3 of port D.
29 | PORT C STATUS | Output | Port C status signal. This signal is changed to the High level when port C is configured to output port. It is changed to the Low level when the port is configured to input port.
30 | PORT D STATUS | Output | Port D status signal. This signal is changed to the High level when port D is configured to output port. It is changed to the Low level when the port is configured to input port.
31 | /WRITE STROBE | Output | A output port write strobe signal. When data is present (that is, output level changes) on any of the output ports, this signal provides a negative pulse.
32 | NC |  | Not Used
33 | /SWEEP END | Output | A sweep completion signal. When measurement (all sweeps of all channels) and data calculation are completed, this signal provides a negative pulse.
34 | +5V | Output | Provides +5V DC power supply for external instruments.
35 | /PASS FAIL | Output | Each limit test's results signal. This signal changes to the High level when limit test, bandwidth test, or ripple test results return FAIL. It changes to the Low level when all limit test results return PASS.
36 | /PASS FAIL STROBE | Output | Limit test result write strobe signal. When limit test result is present on /PASS FAIL, this signal provides a negative pulse.

Other topics about Communication with External Devices


Inputting/Outputting Data

  • Overview

  • Specifying Signal Direction of Port

  • Reading Data Input from Port

  • Data Output to Port

Other topics about Communication with External Devices

Overview

The E5052B 24 bit I/O Input/Output port provides the ports for data I/O shown below.

Port Name | Usage | Data Structure
Port A | Output |
Port B | Output |
Port C | Input/Output |
Port D | Input/Output |
Port E | Input/Output |
Port F | Output |

Specifying Signal Direction of Port

Signal direction (input/output) can be changed for the ports C, D, and D as shown in I/O ports and control signal lines. Thus, before the ports are used, the directions should be determined according to their usage.

To specify the signal direction for the ports C and D, use the following command. Direction for the port E depends on the setting for the ports C and D.

Port Name | Command A set of instructions that are translated into instrument actions. The actions are usually made up of individual steps that together can execute an operation.
Port C | :CONTrol:HANDler:C:MODE
Port D | :CONTrol:HANDler:D:MODE

Reading Data Input into Port

When the ports C, D, or E is configured to input ports, binary data represented with High(0)/Low(1) of each bit of the port will be read as decimal data.

To retrieve the data, use the following command as query:

Port Name | Command
Port C | :CONTrol:HANDler:C[:DATA]
Port D | :CONTrol:HANDler:D[:DATA]
Port E | :CONTrol:HANDler:E[:DATA]

Data Output to Port

To the ports A through F (the ports C, D, and E should be configured to output ports), binary data (decimal data when output data is specified with a command) represented with High(0)/Low(1) of each bit of the port can be output.

To output data, use the following command:

Port Name | Command
Port A | :CONTrol:HANDler:A[:DATA]
Port B | :CONTrol:HANDler:B[:DATA]
Port C | :CONTrol:HANDler:C[:DATA]
Port D | :CONTrol:HANDler:D[:DATA]
Port E | :CONTrol:HANDler:E[:DATA]
Port F | :CONTrol:HANDler:F[:DATA]


Preset states at power-on

The 24 bit I/O Input/Output port is set at power-on as follows (not affected at reset)

Description | Status
Port A | High (All Bits)
Port B | High (All Bits)
Port C | Input
Port D | Input
Port C STATUS | Low
Port D STATUS | Low
/OUTPUT1 | High
/OUTPUT2 | High
/SWEEP END | High
/PASS FAIL | High

Other topics about Communication with External Devices


Timing Chart

  • Overview

  • Timing Chart of Pulse Width of /SWEEP END

  • Timing Chart of Data Output and Write Strobe Signal

  • Timing Chart of /INPUT1 and /OUTPUT1 /OUTPUT2

  • Timing Chart of Data Output and Write Strobe Signal (/PASS FAIL)

Other topics about Communication with External Devices

Overview

This section shows the typical timing chart of I/O Input/Output port Signal.

Timing Chart of Pulse Width of /SWEEP END

When the formatted data calculation is completed during the sweep, a negative pulse is provided. The pulse width of the sweep completion signal is shown in the figure below:

 |  | Typical value
T1 | Pulse width of /SWEEP END | 12 µs

Timing Chart of Data Output and Write Strobe Signal

The figure below shows the timing chart for data output and write strobe signal output to ports A through F.

T1 | Response time of write strobe signal | 1 µs
T2 | Pulse width of write strobe signal | 1 µs

Timing Chart of /INPUT1 and /OUTPUT1, /OUTPUT2

 |  | Minimum value
T1 | Pulse width of /INPUT1 | 1 µs
T2 | Response time of /OUTPUT1, /OUTPUT2 | 0.5 µs

Timing Chart of Data Output and Write Strobe Signal (/PASS FAIL)

T1 | Response time of /PASS FAIL write strobe signal | 1 µs
T2 | Pulse width of /PASS FAIL write strobe signal | 1 µs


Electrical Characteristics

  • Input Signal

  • Output Signal

  • Power Supply (+5 V)

Other topics about Communication with External Devices

Input Signal

All input signals are TTL compatible.

Maximum rate input voltage |  | -0.5 V to 5.5 V
Input voltage | High level | 2.0 V to 5.0 V
 | Low level | 0 V to 0.5 V

Output Signal

All output signals are TTL compatible.

Maximum rate output current |  | -10 mA to 10 mA
Output current | High level | -5 mA
 | Low level | -5 mA
Output voltage | High level | 2.0 V to 3.3 V (when output current is from -5 mA to 0 mA) 3.20 V (when output current is -1 mA) 2.75 V (when output current is -5 mA)
 | Low level | 0 V to 0.8 V (when output current is from 0 mA to 3 mA) 0.25 V (when output current is 1 mA) 0.55 V (when output current is 3 mA)

Power Supply (+5 V)

The following table shows electrical characteristics of +5 V power supply for external instruments.

Output voltage | 4.5 V to 5.5 V
Maximum output current | 100 mA


Status Reporting System

  • General Status Register Model

  • Using the Status Reporting System

  • Status Register Structure

  • Status Bit Definition


General Status Register Model

  • Overview

  • Event Register

  • Enable Register

  • Status Byte Register

  • Condition Register and Transition Filter

Other topics about Status Reporting System

Overview

The Agilent E5052B has a status reporting system to report the condition of the instrument.

General status register model

The status reporting system has a hierarchical structure as shown in the figure above. When the instrument satisfies a particular condition, the corresponding bit of the event register is set to 1. Therefore, you can check the instrument status by reading the event register.

When the event register bit is set to "1" and a corresponding enable register bit (a bit marked with an arrow in General status register model) is also "1," the summary bit of the status byte register is set to "1." You can read the status byte register by using the serial poll.

If the bit of the service request enable register is "1," a service request (SRQ) is generated by the positive transition of the corresponding status byte register bit. By generating SRQ, you can notify the controller that the E5052B is requesting service. In other words, interruption by SRQ can be programmed. For more information on using SRQ, see Using the status register or Using the status reporting system.

  • A different status-reporting system is used for each parser, such as GPIB General Purpose Interface Bus - IEEE 488 bus is interconnect bus and protocol, allows linking of instruments and computer. , VBA, Telnet, or SICL-LAN. For example, if you mask the status register with VBA, the masking is valid only when VBA is used.

Event Register

Reflects the corresponding condition of the E5052B (e.g., occurrence of an event) as a bit status. These bits continuously monitor changes in the E5052B's state and change the bit status when the condition (e.g., change bit status to "1" if a specific event occurs) for each bit is met. You cannot change the bit status by issuing a SCPI command.

Enable Register

Setting the enable register allows you to specify event register bits that can set "1" to the summary bit of the status byte register when an event occurs. The register bits work as mask bits; setting "1" to an enable register will enable a corresponding bit in the event register.

For example, when you want to set "1" as the summary bit in the status byte register by a specific register condition, set the corresponding enable register to "1."

Status Byte Register

If the enabled event register is set to "1," a corresponding bit of the status byte register is also set to "1." This register also indicates the output queue and SRQ status.

The value of the status byte register can be read by using the *STB command or serial poll (SPOLL statement in HTBasic) from the controller.

Reading the status byte register by using the *STB command does not affect the contents of the status byte register. However, reading it with the SPOLL statement of HTBasic will clear the RQS bit in the status byte register.

Also, setting the service request enable register using the *SRE command can generate a service request synchronously with the status byte register.

Condition Register and Transition Filter

When the status register has a transition filter, there is a lower register called a condition register under the event register. The transition filter is between the event register and the condition register.

The transition filter enables you to select a positive and/or negative transition of the condition register bit in order to set a bit in the corresponding event register. For example, using the negative transition filter to set bit 3 to "1" causes bit 3 of the event register to be set to "1" when bit 3 of the condition register makes a negative transition, that is, changes from 1 to 0.

Transition filter and condition register

In the E5052B, the following registers provide a condition register and transition filter:

  • Operation status register

  • Operation user defined status register

  • Questionable status register


Using the Status Reporting System

You can manage the status reporting system using the following commands in any combination:

  • *CLS

  • *SRE

  • *STB

  • *ESE

  • *ESR

  • :STATus:OPERation:BIT12:CLEar

  • :STATus:OPERation:BIT12:CONDition

  • :STATus:OPERation:BIT12:ENABle

  • :STATus:OPERation:BIT12[:EVENt]

  • :STATus:OPERation:BIT12:NTRansition

  • :STATus:OPERation:BIT12:PTRansition

  • :STATus:OPERation:BIT12:SET

  • :STATus:OPERation:CONDition

  • :STATus:OPERation:ENABle

  • :STATus:OPERation [:EVENt]

  • :STATus:OPERation:NTRansition

  • :STATus:OPERation:PTRansition

  • :STATus:OPERation:PRESet

  • :STATus:QUEStionable:CONDition

  • :STATus:QUEStionable:CURRent:ENABle

  • :STATus:QUEStionable:CURRent[:EVENt]

  • :STATus:QUEStionable:DCONverter:ENABle

  • :STATus:QUEStionable:DCONverter[:EVENt]

  • :STATus:QUEStionable:ENABle

  • :STATus:QUEStionable:EVENt

  • :STATus:QUEStionable:LIMit:CONDition

  • :STATus:QUEStionable:LIMit:ENABle

  • :STATus:QUEStionable:LIMit[:EVENt]

  • :STATus:QUEStionable:Limit:AM[1-1]:CONDition

  • :STATus:QUEStionable:LIMit:AM[1-1]:ENABle

  • :STATus:QUEStionable:LIMit:AM[1-1][:EVENt]

  • :STATus:QUEStionable:LIMit:AM[1-1]:NTRansition

  • :STATus:QUEStionable:LIMit:AM[1-1]:PTRansition

  • :STATus:QUEStionable:Limit:BB[1-1]:CONDition

  • :STATus:QUEStionable:LIMit:BB[1-1]:ENABle

  • :STATus:QUEStionable:LIMit:BB[1-1][:EVENt]

  • :STATus:QUEStionable:LIMit:BB[1-1]:NTRansition

  • :STATus:QUEStionable:LIMit:BB[1-1]:PTRansition

  • :STATus:QUEStionable:LIMit:FP[1-1]:CONDition

  • :STATus:QUEStionable:LIMit:FP[1-1]:ENABle

  • :STATus:QUEStionable:LIMit:FP[1-1][:EVENt]

  • :STATus:QUEStionable:LIMit:FP[1-1]:NTRansition

  • :STATus:QUEStionable:LIMit:FP[1-1]:PTRansition

  • :STATus:QUEStionable:LIMit:NTRansition

  • :STATus:QUEStionable:LIMit:PN[1-1]:CONDition

  • :STATus:QUEStionable:LIMit:PN[1-1]:ENABle

  • :STATus:QUEStionable:LIMit:PN[1-1][:EVENt]

  • :STATus:QUEStionable:LIMit:PN[1-1]:NTRansition

  • :STATus:QUEStionable:LIMit:PN[1-1]:PTRansition

  • :STATus:QUEStionable:LIMit:PS[1-1]:CONDition

  • :STATus:QUEStionable:LIMit:PS[1-1]:ENABle

  • :STATus:QUEStionable:LIMit:PS[1-1][:EVENt]

  • :STATus:QUEStionable:LIMit:PS[1-1]:NTRansition

  • :STATus:QUEStionable:LIMit:PS[1-1]:PTRansition

  • :STATus:QUEStionable:LIMit:PTRansition

  • :STATus:QUEStionable:LIMit:SP[1-1]:CONDition

  • :STATus:QUEStionable:LIMit:SP[1-1]:ENABle

  • :STATus:QUEStionable:LIMit:SP[1-1][:EVENt]

  • :STATus:QUEStionable:LIMit:SP[1-1]:NTRansition

  • :STATus:QUEStionable:LIMit:SP[1-1]:PTRansition

  • :STATus:QUEStionable:LIMit:TR[1-1]:CONDition

  • :STATus:QUEStionable:LIMit:TR[1-1]:ENABle

  • :STATus:QUEStionable:LIMit:TR[1-1][:EVENt]

  • :STATus:QUEStionable:LIMit:TR[1-1]:NTRansition

  • :STATus:QUEStionable:LIMit:TR[1-1]:PTRansition

  • :STATus:QUEStionable:LIMit:USER[1-1]:CONDition

  • :STATus:QUEStionable:LIMit:USER[1-1]:ENABle

  • :STATus:QUEStionable:LIMit:USER[1-1][:EVENt]

  • :STATus:QUEStionable:LIMit:USER[1-1]:NTRansition

  • :STATus:QUEStionable:LIMit:USER[1-1]:PTRansition

  • :STATus:QUEStionable:MISC:ENABle

  • :STATus:QUEStionable:MISC[:EVENt]

  • :STATus:QUEStionable:NTRansition

  • :STATus:QUEStionable:PHASe:ENABle

  • :STATus:QUEStionable:PHASe[:EVENt]

  • :STATus:QUEStionable:POWer:ENABle

  • :STATus:QUEStionable:POWer[:EVENt]

  • :STATus:QUEStionable:PTRansition

  • :STATus:QUEStionable:REFerence:ENABle

  • :STATus:QUEStionable:REFerence[:EVENt]

Other topics about Status Reporting System


Status Register Structure

This section describes the E5052B’s status registers in each hierarchy.

  • Status Register Structure 1

  • Status Register Structure 2

  • Status Register Structure 3

  • Status Register Structure 4

  • Status Register Structure 5

  • Status Register Structure 6

  • Status Register Structure 7


Status Register Structure 1


Status Register Structure 2


Status Register Structure 3


Status Register Structure 4


Status Register Structure 5


Status Register Structure 6


Status Register Structure 7


Status Bit Definition

  • Status Byte Register

  • Standard Event Status Register (ESR)

  • Operation Status Condition Register

  • Operation User Defined Status Condition Register

  • Questionable Status Condition Register

  • Questionable Current Status Event Register

  • Questionable Power Status Event Register

  • Questionable Phase Status Event Register

  • Questionable Reference Signal Status Event Register

  • Questionable Misc Status Event Register

  • Questionable Limit Status Event Register

  • Questionable Limit PN1 Status Event Register

  • Questionable Limit SP1 Status Event Register

  • Questionable Limit FP1 Status Event Register

  • Questionable Limit TR1 Status Event Register

  • Questionable Limit USER1 Status Event Register

  • Questionable Limit BB1 Status Event Register

  • Questionable Limit AM1 Status Event Register

  • Questionable Limit PS1 Status Event Register

  • Questionable Downconverter Status Event Register


Status Byte Register

Bit Position | Name | Description
0-1 | Not used | Always 0.
2 | Error/Event Queue | Set to “1” if error/event queue contains data; reset to "0” when all data has been retrieved.
3 | Questionable Status Register Summary | Set to “1” when one of the enabled bits in status event status register is set to “1.”
4 | MAV (Message Available) | Set to “1” when output queue contains data; reset to “0” when all data has been retrieved.
5 | Standard Event Status Register Summary | Set to “1” when one of the enabled bits in status event status register is set to “1.”
6 | RQS/MSS | Set to “1” when any of the status byte register bits enabled by service request enable register is set to “1”; reset to "0” when all data has been retrieved through serial polling. See IEEE 488.1 and IEEE 488.2 standards for details.
7 | Operation Status Register Summary | Set to “1” when one of the enabled bits in operational status register is set to “1.”

  • Issuing the *CLS command will clear all of the bits from the status byte register.


Standard Event Status Register (ESR)

Bit Position

Name

Description

0

Operation Complete

Always 1.

1

Not used

Always 0.

2

Query Error

  1. Set to “1” when E5052B receives a data output request but there is no data to output.

  2. Set to “1” when the data of E5052B's output queue has been cleared for a new message received before completion of data output.

3

Instrument Dependent Error

Set to “1” for an error that is not a command, query, or execution error.

4

Execution Error

  1. Set to “1” when any parameter in an SCPI command exceeds its input range or is inconsistent with E5052B's capabilities.

  2. Set to “1” when an SCPI command cannot be properly executed due to some condition of E5052B

5

Command Error

  1. Set to “1” when an IEEE 488.2 syntax error occurs (a command sent to E5052B does not follow the IEEE 488.2 syntax). Possible violations include command parameters violating E5052B listening formats or other unacceptable conditions.

  2. Set to “1” when a semantic error occurs. Possible causes include sending to E5052B a command containing misspellings or an IEEE 488.2 command not supported by E5052B.

  3. Set to “1” when GET (Group Execution Trigger) is input while receiving a program message.

6

Not used

Always 0.

7

Power ON

Set to “1” when the E5052B is powered ON, or when the firmware is restarted.

  • Issuing the *CLS command will clear all of the bits from the standard event status register


Operation Status Condition Register

Bit Position | Name | Description
0-3 | Not used | Always 0.
4 | Measurement | Set to “1” during measurement.
5-11 | Not used | Always 0.
12 | Operation user defined status register summary | Set to “1” when one of the enable bits in operation user defined status register is set to “1.”
13-15 | Not used | Always 0.

  • Bit4 is set to “1” even in the “Waiting for Trigger” state when the trigger is set to “Ext/Video” in the transient measurement. This is because pre-triggering is performed in “Waiting for Trigger” state in the transient measurement.

  • Issuing the *CLS command will clear all bits from the operation status event register


Operation User Defined Status Condition Register

Bit Position | Name | Description
0-14 | Defined by the user | Set to “1” as defined by the user.
15 | Not used | Always 0.


Questionable Status Condition Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Questionable Current Status Register Summary | Set to “1” when one of the enable bits in questionable current status register is set to “1.”
2 | Not used | Always 0.
3 | Questionable Power Status Register Summary | Set to “1” when one of the enable bits in questionable power status register is set to “1.”
4 | Not used | Always 0.
5 | RF frequency out of range | Set to “1” when DUT’s oscillation frequency is out of E5052B’s measurement range. In this case, DUT’s oscillation frequency should be verified.
6 | Questionable Phase Status Register Summary | Set to “1” when one of the enable bits in the questionable phase status register is set to “1.”
7-8 | Not used | Always 0.
9 | Questionable Limit Status Register Summary | Set to “1” when one of the enable bits in the questionable limit status register is set to “1.”
10 | Questionable Reference Signal Status Register Summary | Set to “1” when one of the enable bits in the questionable reference signal status register is set to “1.”
11 | Questionable Misc Status Register Summary | Set to “1” when one of the enable bits in the questionable misc. status register is set to “1.”
12 | Power-on Test FAIL | Set to “1” when the power-on self test results in “FAIL.”
13-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits from the questionable status condition register.


Questionable Current Status Event Register

Bit Position | Name | Description
0 | DC Control Current Overloaded | Set to “1” when excessive DC control current is loaded.
1 | DC Power Current Overloaded | Set to “1” when excessive DC power current is loaded.
2-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits from the questionable current status event register.


Questionable Power Status Event Register

Bit Position | Name | Description
0 | RF Level Insufficient | Set to “1” when an insufficient level of RF input is applied.
1 | RF Level Overloaded | Set to “1” when an excessive level of RF input is applied.
2 | Insufficient IF Intermediate Frequency: the frequency at which a signal is processed after mixing. Level | Set to “1” when an insufficient level of IF input is applied.
3 | IF Level Overloaded | Set to “1” when an excessive level of IF input is applied.
4-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable power status event register.


Questionable Phase Status Event Register

Bit Position | Name | Description
0 | Phase Lock Loop Unlocked | Set to “1” when Phase Lock Loop is not locked.
1 | PLL Frequency Out of Range | Set to “1” when PLL frequency is out of E5052B’s measurement range.
2 | PLL Input Overflow | Set to “1” when PLL input overflows.
3 | A/D Overflow | Set to “1” when signal level saturates at A/D.
4-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable phase status event register.


Questionable Reference Signal Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | External Reference Unlock | Set to “1” when external reference is not locked.
2-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable reference signal status event register.


Questionable Misc Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Thermometer Out of Range | Set to “1” when thermometer is out of range.
2 | IF Intermediate Frequency: the frequency at which a signal is processed after mixing. not Detected | Set to “1” when IF is not detected.
3 | Local Unlock | Set to “1” when local oscillator is unlocked.
4-5 | Not used | Always 0.
6 | AFC Out of Loop | Set to “1” when an AFC out of loop error is applied.
7-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable misc status event register.


Questionable Limit Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Questionable Limit PN1 Status Register Summary | Set to “1” when one of the enable bits in questionable limit PN1 status register is set to “1.”
2 | Questionable Limit SP1 Status Register Summary | Set to “1” when one of the enable bits in questionable limit SP1 status register is set to “1.”
3 | Questionable Limit FP1 Status Register Summary | Set to “1” when one of the enable bits in questionable limit FP1 status register is set to “1.”
4 | Questionable Limit TR1 Status Register Summary | Set to “1” when one of the enable bits in questionable limit TR1 status register is set to “1.”
5 | Questionable Limit USER1 Status Register Summary | Set to “1” when one of the enable bits in questionable limit USER1 status register is set to “1.”
6 | Questionable Limit BB1 Status Register Summary | Set to “1” when one of the enable bits in questionable limit BB1 status register is set to “1.”
7 | Questionable Limit AM1 Status Register Summary | Set to “1” when one of the enable bits in questionable limit AM1 status register is set to “1.”
8 | Questionable Limit PS1 Status Register Summary | Set to “1” when one of the enable bits in questionable limit PS1 status register is set to “1.”
6-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable limit status event


Questionable Limit AM1 Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Trace 1 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 1.
2-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable limit AM1 status event register.


Questionable Limit BB1 Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Trace 1 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 1.
2-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable limit BB1 status event register.


Questionable Limit PN1 Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Trace 1 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 1.
2-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable limit PN1 status event register.


Questionable Limit SP1 Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Trace 1 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 1.
2-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable limit SP1 status event register.


Questionable Limit PS1 Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Trace 1 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 1.
2-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable limit PS1 status event register.


Questionable Limit FP1 Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Trace 1 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 1.
2 | Trace 2 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 2.
3 | Trace 3 Limit Test Fail | Set to “0” when a measurement cycle begins;set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 3.
4 | Trace 4 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 4.
5-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable limit FP1 status event register


Questionable Limit TR1 Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Trace 1 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 1.
2 | Trace 2 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 2.
3 | Trace 3 Limit Test Fail | Set to “0” when a measurement cycle begins;set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 3.
4 | Trace 4 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 4.
5 | Not used | Always 0.
6 | Trace 6 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 6.
7 | Trace 7 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 7.
8 | Trace 8 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 8.
9-15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable limit TR1 status event register.


Questionable Limit USER1 Status Event Register

Bit Position | Name | Description
0 | Not used | Always 0.
1 | Trace 1 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 1.
2 | Trace 2 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 2.
3 | Trace 3 Limit Test Fail | Set to “0” when a measurement cycle begins;set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 3.
4 | Trace 4 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 4.
5 | Trace 5 Limit Test Fail | Set to “0” when a measurement cycle begins; set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 5.
6 | Trace 6 Limit Test Fail | Set to “0” when a measurement cycle begins;set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 6.
7 | Trace 7 Limit Test Fail | Set to “0” when a measurement cycle begins;set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 7.
8 | Trace 8 Limit Test Fail | Set to “0” when a measurement cycle begins;set to “1” when the measurement cycle finishes and returns “fail” as the limit test result for trace 8.
9 - 15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the questionable limit USER1 status event register.


Questionable Downconverter Status Event Register

Bit Position | Name | Description
0 | Downconverter not connected | Set to 1 when connection to the downconverter is not detected.
1 | Downconverter Oven not ready | Set to 1 when the oven is not ready.
2 | Downconverter Ref Input Level Low | Set to 1 when the 10-MHz reference signal level is low.
3 | Downconverter IF Intermediate Frequency: the frequency at which a signal is processed after mixing. not found | Set to 1 when the downconverter IF is not found.
4-9 | Not used | Always 0.
10 | Downconverter unlocked | Set to 1 when the downconverter cannot be locked.
11 | Downconverter Ref PLL unlocked | Set to 1 when the PLL circuit of the downconverter is unlocked during measurement.
12 | Downconverter Fan Stop | Set to 1 when the fan in the downconverter stops.
13 | Downconverter P5V power failure | Set to 1 when the 5-V power to the downconverter fails.
14 | Downconverter test failed | Set to 1 when the self-test of the downconverter fails.
15 | Not used | Always 0.

  • Issuing the *CLS command will clear all of the bits in the Questionable Limit USER1 Status Event Register.


Working with Automatic Test Systems

  • Detecting Occurrence of an Error

  • Improving Command Processing Speed

  • Limit Test

  • Preventing Erroneous Key Operation on the Front Panel (Key Lock feature)


Detecting Occurrence of an Error

  • Using the Status Reporting System

  • Using the Error Queue

  • Example of Error_Detection using an SRQ

Other topics about Working with Automatic Test Systems

Using the Status Reporting System

The status of the E5052B can be monitored through the status registers. This section describes how to detect an error using the status registers. For a complete description of the status report mechanism, including the specifications of each bit, see Status Reporting System.

The occurrence of an error will be shown in the standard event status register. An SRQ (service request) is useful when you create a program that uses the information reported by this register to detect the occurrence of errors.

To detect the an error via an SRQ, use one of the following commands:

• *SRE

• *ESE

Follow these steps:

Set the E5052B so that it generates an SRQ when any of the error occurrence bits is set to 1 in the standard event status register.

When an SRQ is generated, the program interrupts the measurement cycle.

SRQ Generation Sequence (when an error occurs)

Using the Error Queue

An error queue holds the number for the error and the error message. Reading the error queue allows the user to verify the error that has occurred. To retrieve the content of the error queue, use :SYSTem:ERRor[:NEXT]

The error queue can be used in the following ways:

1. It is used as a branch for error handling. When an error queue is retrieved, it returns 0 as the error number and &dlq;No error&drq; as the error message if no error is detected. This can be used for detecting an error and for branching the flow of a program. This is also useful for handling a specific error(s). Note that using this method prevents the user from performing any processing during the occurrence of an error.

2. When an error is detected using SRQ, the error queue is used to examine the error.

Example of error detection using an SRQ is a sample program that demonstrates how to use an SRQ to detect the occurrence of an error.

This program sets the SRQs and then intentionally sets a wrong trigger to generate an error, which is handled by the program. In the error handling part, this program examines the error and then displays the error number and error message.

Example of Error Detection using an SRQ

110 DIM Buff$[9],Err_msg$[100]

120 INTEGER Err_no

130 !

140 ASSIGN @Agte5052 TO 717

150 !

160 OUTPUT @Agte5052;"*ESE 60"

170 OUTPUT @Agte5052;"*SRE 32"

180 OUTPUT @Agte5052;"*CLS"

190 OUTPUT @Agte5052;"*OPC?"

200 ENTER @Agte5052;Buff$

210 !

220 ON INTR 7 GOTO Err_proc

230 ENABLE INTR 7;2

240 OUTPUT @Agte5052;":TRIG:MODE PN1"

250 OUTPUT @Agte5052;":TRIG:SP:SOUR BUS"

260 OUTPUT @Agte5052;":INIT:SP:CONT ON"

280 OUTPUT @Agte5052;"*TRG"

290 PRINT "Waiting..."

300 GOTO Skip_err

310 Err_proc: OFF INTR 7

320 OUTPUT @Agte5052;":SYST:ERR?"

330 ENTER @Agte5052;Err_no,Err_msg$

340 PRINT "Error occured."

350 PRINT "No:";Err_no,"Description: "&Err_msg$

360 PRINT "Program Interrupt."

370 GOTO Prog_end

380 Skip_err: PRINT "Program Done"

390 Prog_end: END


Improving Command Processing Speed

  • Overview

  • When Measurement Results (trace) do not needs Updation

  • When Measurement Results (trace) need Updation

Other topics about Working with Automatic Test Systems

Overview

SCPI commands should be processed quickly to improve throughput when the commands are frequently executed (for example, reading out the trace for each measurement).

With the E5052B, the processing time for SCPI commands can be improved by decreasing the refresh rate of the LCD display.

When Measurement Results (trace) do not need Updation

When the measurement trace does not need to be updated, turn off the update function of the LCD display. This improves the processing speed of SCPI commands and eliminates the updating time needed by the screen.

To turn off the update function of the LCD display, use the following command:

• :DISPlay:ENABle

When Measurement Results (trace) need Updation

The measurement trace can be updated by using following command with the update of the LCD display turned off.

• :DISPlay:UPDate:IMMediate

The update of the LCD display is off even if you execute this command.

Turn Off the update of the LCD display.

• :DISPlay:ENABle

Execute all SCPI commands required before measurement, including settings of measurement conditions.

Perform the measurement.

Execute the commands for reading out or analyzing the measurement result. Note that reading out the result in binary format accelerates data transfer.

Execute the following command to update the LCD display once.

• :DISPlay:UPDate:IMMediate

  • When the update of the LCD display is off, “Update Off” is displayed in the instrument status bar.


Limit Test

  • Overview

  • Reading Limit Lines from Files

  • Using Commands to define Limit Lines

Other topics about Working with Automatic Test Systems

Overview

This section describes how to define the limit lines and determine pass or fail with regard to the limit test function. For more information on the concept of the limit test, refer to Data Analysis and Result Output.

Using Commands to define Limit Lines

You can define the limit lines by specifying any limit value to the parameter of SCPI commands.

The program is described in detail below:

Line 120

Define the data array (variable) for the limit lines.

Line 170 to 240

When bit 4 of the operation status condition register changes from “1” to “0” (negative transition), bit 4 of the operation status event register is set to “1”.

Line 260 to 280

Set the upper and lower limit values for the limit lines in the array.

Line 310 to 320

Specify the segment number for the upper and lower limit values.

Line 330 to 340

Specify the upper and lower limit values on the trace.

Line 360 to 400

Trigger A signal that causes the instrument to make a measurement. The user can select several options for triggering, such as manual, continuous, or external (for synchronizing measurements to an external source). the instrument.

Line 420 to 450

It repeats to the measurement end.

Line 460

Display the limit lines.

Line 470

Display the determination result. (For fail only.)

Line 480

Activate the limit test function.

Using Commands to define Limit Lines Lines input by the user that overlay the analyzer's measurement data to allow automatic detection of data that is out of the acceptable range. Pass/Fail annotation, audio alarms, or electronic output can be triggered to notify the operator or on-line computer program of the over-limit condition.

110 DIM Buff$[9]

120 REAL Udata(1:8),Ldata(1:4)

130 INTEGER St

140 !

150 ASSIGN @Agte5052 TO 717

160 !

170 OUTPUT @Agte5052;"*ESE 60"

180 OUTPUT @Agte5052;"*SRE 32"

190 OUTPUT @Agte5052;":STAT:OPER:PRT 0"

200 OUTPUT @Agte5052;":STAT:OPER:NTR 16"

210 OUTPUT @Agte5052;":STAT:OPER:ENAB 16"

220 OUTPUT @Agte5052;"*CLS"

230 OUTPUT @Agte5052;"*OPC?"

240 ENTER @Agte5052;Buff$

250 !

260 READ Udata(*), Ldata(*)

270 DATA 0,1.4E+9,2.E-5,1.4E+9,2.E-5,1.6E+9,1.E-4,1.6E+9

280 DATA 0,1.2E+9,1.E-4,1.2E+9

290 !

300 OUTPUT @Agte5052;":DISP:WIND:ACT FP1"

310 OUTPUT @Agte5052;":CALC:FP:TRAC:LIM:UPP:SEGM:COUN 2"

320 OUTPUT @Agte5052;":CALC:FP:TRAC:LIM:LOW:SEGM:COUN 1"

330 OUTPUT @Agte5052;":CALC:FP:TRAC:LIM:UPP:SEGM:DATA ";Udata(*)

340 OUTPUT @Agte5052;":CALC:FP:TRAC:LIM:LOW:SEGM:DATA ";Ldata(*)

350 !

360 OUTPUT @Agte5052;":TRIG:MODE FP1"

370 OUTPUT @Agte5052;":TRIG:FP:SOUR BUS"

380 OUTPUT @Agte5052;":INIT:FP:CONT OFF"

390 OUTPUT @Agte5052;":INIT:FP:IMM"

400 OUTPUT @Agte5052;"*TRG"

410 !

420 REPEAT

430 OUTPUT @Agte5052;":STAT:OPER:COND?"

440 ENTER @Agte5052;St

450 UNTIL BIT(St,4)=0

460 OUTPUT @Agte5052;"DISP:FP:TRAC:LIM:LINE ON"

470 OUTPUT @Agte5052;"DISP:FP:LIM:FSIG ON"

480 OUTPUT @Agte5052;"CALC:FP:TRAC:LIM:STAT ON"

490 PRINT "End"

500 ASSIGN @Agte5052 TO *

510 Prog_end: END

Reading Limit Lines from Files

You can create any upper and lower value for limit lines in the specified format in advance, and read the file later to specify the limit lines.

For information about creating upper and lower values for limit lines, refer to the chapter describing “Data analysis and Result Output” in the User’s Guide.

The file must be saved in the CSV format (with the extension *.csv).

The program is described in detail below:

Save the upper limit values together into one file, and the lower limit values into another.

Line 110

Define the data array (variable) for the limit lines.

Line 190 to 260

When bit 4 of the operation status condition register changes from “1” to “0” (negative transition), bit 4 of the operation status event register is set to “1”.

Line 290

Read the upper limit value for the limit lines from file.

Line 300

Read the lower limit value for the limit lines from file.

Line 320 to 360

Trigger the instrument.

Line 380 to 410

It repeats to the measurement end.

Line 430

Display the limit lines.

Line 440

Display the determination result. (For fail only.)

Line 450

Activate the limit test function.

Reading Limit Lines from File

110 DIM Ufile$[20],Lfile$[20],Buff$[9]

120 INTEGER St

130 !

140 Ufile$="f:\temP\upper.csv"

150 Lfile$="f:\temP\lower.csv"

160 !

170 ASSIGN @Agte5052 TO 717

180 !

190 OUTPUT @Agte5052;"*ESE 60"

200 OUTPUT @Agte5052;"*SRE 32"

210 OUTPUT @Agte5052;":STAT:OPER:PRT 0"

220 OUTPUT @Agte5052;":STAT:OPER:NTR 16"

230 OUTPUT @Agte5052;":STAT:OPER:ENAB 16"

240 OUTPUT @Agte5052;"*CLS"

250 OUTPUT @Agte5052;"*OPC?"

260 ENTER @Agte5052;Buff$

270 !

280 OUTPUT @Agte5052;":DISP:WIND:ACT FP1"

290 OUTPUT @Agte5052;":MMEM:FP:TRAC:LOAD:LIM:UPP """&Ufile$&""""

300 OUTPUT @Agte5052;":MMEM:FP:TRAC:LOAD:LIM:LOW """&Lfile$&""""

310 !

320 OUTPUT @Agte5052;":TRIG:MODE FP1"

330 OUTPUT @Agte5052;":TRIG:FP:SOUR BUS"

340 OUTPUT @Agte5052;":INIT:FP:CONT OFF"

350 OUTPUT @Agte5052;":INIT:FP:IMM"

360 OUTPUT @Agte5052;"*TRG"

370 !

380 REPEAT

390 OUTPUT @Agte5052;":STAT:OPER:COND?"

400 ENTER @Agte5052;St

410 UNTIL BIT(St,4)=0

420 !

430 OUTPUT @Agte5052;"DISP:FP:TRAC:LIM:LINE ON"

440 OUTPUT @Agte5052;"DISP:FP:LIM:FSIG ON"

450 OUTPUT @Agte5052;"CALC:FP:TRAC:LIM:STAT ON"

460 PRINT "End"

470 ASSIGN @Agte5052 TO *

480 Prog_end: END


Preventing Erroneous Key Operation on the Front Panel (Key Lock feature)

When no operation is required from the front panel controls, the mouse, or the keyboard, disabling these input devices can prevent erroneous operation that might occur due to accidental touching.

To turn on and off Key Locking, use the following commands:

Operation | Command A set of instructions that are translated into instrument actions. The actions are usually made up of individual steps that together can execute an operation.
Locking the front panel controls and the keyboard. | :SYSTem:KLOCk:KBD
Locking the mouse and the touch screen. | :SYSTem:KLOCk:MOUSe

Other topics about Working with Automatic Test Systems


VBA Programming

  • Introduction to VBA Programming

  • Operation Basics of the E5052B's VBA

  • Controlling the E5052B

  • Controlling Peripherals

  • User Defined Window


Introduction to VBA Programming

  • Introduction of the E5052B Macro Function

  • An Overview of a Control System Based on the Macro Function

  • Overview of E5052B COM Object


Introduction of the E5052B Macro Function

  • Overview

  • Macro Function

Other topics about Introduction to VBA Programming

Overview

The E5052B has a built-in macro function that allows a single instruction to substitute for multiple instructions. You can have the E5052B automatically execute your own macro program that contains a series of VBA (Visual Basic for Application) statements. The macro function allows you to run a variety of applications; you can control not only the E5052B but also various peripherals from your own macro code.

The VBA is based on the VB (Visual Basic) programming language. Although the VBA is similar to the VB, they are not the same. The VBA is decreased some of the VB's features and added characteristic features for each application. The E5052B VBA is added features for controlling the E5052B. For details of difference between the VBA and the VB, refer to Microsoft official guides, and various books on VBA.

For information on the basic operating procedures for the E5052B's VBA, see Operation Basics of the E5052B's VBA. This manual is not meant to be an in-depth guide to VBA programming basics and the syntax of VBA functions and commands. Such in-depth information is covered in VBA Help, Microsoft official guides, and various books on VBA.

Macro Function

The macro function allows you to control the E5052B itself as well as various peripherals. You can do the following:

  1. Automate repetitive tasks
    You can use the E5052B's macro function to combine several processes into one. Automating repetitive tasks provides higher efficiency and eliminates human error. Once you have contained repetitive tasks in Sub procedures, you can later call the procedures from other programs, thus allowing effective reuse of programming assets.

  2. Implement a user interface
    The E5052B VBA supports user forms that simplify creating a visual user interface. User forms guide users through common tasks such as performing measurement and entering data, without requiring familiarity with the E5052B, thus minimizing the possibility of human error.


An Overview of a Control System Based on the Macro Function

  • Overview

  • Implementing a Control System

  • Required Equipment

  • Control Methods

Other topics about Introduction to VBA Programming

Overview

This section describes how you can use the E5052B's built-in VBA macro function to implement a system that controls the E5052B and peripherals, and what command sets are available for such purposes.

Implementing a Control System

Macro-based control systems are classified into two types: As shown in the following figure, a VBA control system controls the E5052B itself while a VBA remote control system controls peripherals. When you use the macro function to control peripherals, you must connect the E5052B with the peripherals through USB/GPIB interface, USB or LAN, and configure them to communicate over VISA (Virtual Instrument Software Architecture). For information on programming using the VISA library, refer to Programming with VISA.

Configuration example of control system using macro environment

Required Equipment

  • E5052B

  • Peripherals and/or other instruments that serve your purpose

  • USB/GPIB interface, USB Cable, or LAN

Control Methods

The command set you can use differs depending on whether you use the macro function to control the E5052B or a peripheral.

Controlling the E5052B

When you want to control the E5052B itself, you can create a program using COM objects within the E5052B VBA environment. COM objects that come with the E5052B include seven objects specific to the COM interface and COM objects that correspond to SCPI commands.

Controlling a Peripheral

When you want to control a peripheral, you can create a program using VISA library functions within the E5052B VBA environment.

For information on using the VISA library, see Controlling Peripherals. For a complete description of VISA functions, refer to the VISA library's online help.

For information on the GPIB commands available with a particular peripheral, refer to the documentation that comes with the peripheral.


Overview of E5052B COM Object

  • Overview

  • About COM Object

  • Property

  • Method

  • Event

  • Using COM Object to Control E5052B

  • Major Control Difference between COM Object and SCPI Command

Other topics about Introduction to VBA Programming

Overview

The E5052B VBA environment provides COM objects that support controlling the E5052B. This section provides an overview of COM objects as well as considerations for using the E5052B's COM objects.

The definitions and specifications of COM are beyond the scope of this guide. Such in-depth information is covered in a variety of books on COM.

About COM Object

When you control the E5052B through the macro function, you can use COM objects as components of your application. The functionality of the E5052B's COM objects is exposed through properties and methods.

Property

A property allows you to read or write a setting or attribute of an object. With the E5052B, you can use properties to set or read the settings of the E5052B.

You can find properties in the list of object types in COM Object Reference.

Method

A method allows you to manipulate an object in a particular way. With the E5052B, you can use methods to perform specific tasks.

You can find methods in the list of object types in COM Object Reference.

Event

An event means an operation from outside that the program can recognize such as clicking a mouse. The E5052B detects events that a specific softkey is pressed using the UserMenu_OnPress(ByVal Key_id As Long) procedure to execute the assigned procedure.

You can find events in the list of object types in COM Object Reference.

Using COM Object to Control E5052B

When you want to control the E5052B, you can use COM objects alone or in conjunction with SCPI commands and the Parse object. The latter method is a little slower than the former method because the Parse object is used to parse the messages of SCPI commands. For instructions on using the E5052B's VBA Editor to create a program that uses COM objects, refer to Operation Basics of the E5052B's VBA.

Major Control Difference between COM Object and SCPI Command

While the control using SCPI commands allows SRQ (Service Request) interrupts through the status reporting mechanism, the control using COM objects does not support SRQ interrupts. Instead of SRQ interrupts, you can use the WaitOnSRQ object to suspend the program until the E5052B is put into the desired state.


Operation Basics

  • Displaying Visual Basic Editor

  • Closing Visual Basic Editor

  • Switching to the E5052B Measurement Screen

  • Making a Preparation Before Coding

  • Coding a VBA Program

  • Saving a VBA program

  • Loading a VBA Program

  • Running a VBA Program

  • Stopping a VBA Program

  • Errors and Debugging

  • Printing Output Values in the Echo Window

  • Uses Advanced Techniques

  • Using VBA Online Help


Displaying Visual Basic Editor

  • Overview

  • Initial Screen of Visual Basic Editor

Other topics about Operation Basics

Overview

This section describes how to launch Visual Basic Editor.

From the E5052B measurement screen, launch Visual Basic Editor using one of the following methods:

  1. Macro Setup > VBA Editor Menu > Open Editor

  2. Press Alt + F11 keys on the keyboard.

Initial Screen of Visual Basic Editor

When you launch Visual Basic Editor, it displays the initial screen, which contains a number of windows as shown in the following figure. The initial screen provides the following GUI elements:

Example of Visual Basic Editor initial screen

  1. Menu bar

  2. Toolbar

  3. Project Explorer

  4. Property Window

Menu Bar

Clicking one of the menu labels brings up the corresponding menu. The menu bar can be used as the primary method to navigate through E5052B's VBA environment.

Toolbar

The toolbar provides access to commonly used commands via icon buttons; these commands are a subset of the commands accessible from the menu bar.

Project Explorer

Within the E5052B's VBA environment, you can develop your application as a project that consists of a number of files (modules). Project Explorer shows a list of all files (modules) that make up a project. The list also includes files (modules) created or loaded in Visual Basic Editor. For information on modules, refer to A Project and Three Types of Module.

To display the project explorer, do one of the following:

  1. On the View menu, click Project Explorer.

  2. Press Ctrl + R keys on the keyboard.

  3. On the toolbar, click [image].

Property Window

A property window shows the settings (label, font, color, size, etc.) of a control (such as a command button or text box) placed on the user form. For information on user forms, refer to User Form.

You can also set properties by programming in the code window.

To display the properties window, do one of the following:

  1. On the View menu, click Properties Window.

  2. Press F4 key on the keyboard.

  3. On the toolbar, click [image].


Closing Visual Basic Editor

This section describes how to quit Visual Basic Editor. Close the Visual Basic Editor using either one of the following methods:

  • On Visual Basic Editor's File menu, click Close and Return to E5052.

  • Within Visual Basic Editor, press Alt + Q keys on the keyboard.

  • Macro Setup > VBA Editor Menu > Close Editor (E5052B measurement screen)

  • Whenever you launch Visual Basic Editor, it automatically displays the project files you were working with in the previous session. However, once you turn off the power to the E5052B, the project files kept in memory will be lost; therefore, it is strongly recommended to save your VBA programs before you turn off the power.

Other topics about Operation Basics


Switching to the E5052B Measurement Screen

You can switch to the E5052B measurement screen without closing Visual Basic Editor.

  • On the View menu, click E5052.

  • Press Alt + F11 keys on the keyboard.

  • On the toolbar, click "E5052B" icon.

  • Press Focus key on the E5052B front panel.

Other topics about Operation Basics


Making a Preparation Before Coding

  • A Project and Three Type of Modules

  • Displaying a Code Window

Other topics about Operation Basics

A Project and Three Type of Modules

Project Explorer displays a list of files (modules) that are used in the E5052B VBA. This section describes a project composed of a number of files (modules) and three types of modules ("user form", "standard," and "class"). Each type of module serves its own purposes as described below.

Project

When you develop an application within the E5052B's VBA environment, you use a number of VBA program files (modules), and manage them as one project. The project is saved with the file extension ".vba".

User Form

A user form contains controls such as buttons and text boxes. You can code event-driven procedures that are invoked when a particular event occurs on a particular control, thereby creating a user interface. The user form is saved with the file extension ".frm".

Standard module

A standard module contains a collection of one or more procedures (subprograms enclosed between Sub and End Sub). One typical use of a standard module is to contain shared subroutines and globally called functions. The standard module is saved with the file extension ".bas".

Class Module

A class module contains both data and procedures and acts as one object. Once you have created a class module that serves as an object, you can create any number of instances of that object by naming each instance as an object variable. While each procedure must be unique in a standard module, you can have multiple instances of an object created through a class module. The class module is saved with the file extension ".cls".

Displaying a Code Window

The code windows appear on the Visual Basic Editor by inserting the modules in a project. You can do coding (programming) on this code windows practically.

The E5052B's VBA environment does not allow you to manage multiple projects. When the current project is existing in the Visual Basic Editor by loading the saved project file, you can replace the current project with a new project by the following method from the E5052B measurement screen.

  1. Macro Setup > VBA Editor Menu > New Project

  2. When you replace the current project with a new project, the message whether or not the current project is saved may appear. If you want to save the project, click Yes button to display a dialog box for saving. For saving the project, see Saving a Project.

Inserting the User Form

Within Visual Basic Editor, do one of the following to add a user form to your project.

  1. On the Insert menu, click UserForm.

  2. On the toolbar, click "Insert User Form/Standard Module/Class Module/Procedure" icon, and click UserForm.

  3. In Project Explorer, right-click the "VBAProject" icon, and click Insert > UserForm.

  4. Adding a user form does not automatically open the code window for that user form. To open the code window, click the "Display Code" icon on Project Explorer in the following figure or double-click a control placed on the user form.

Adding a user form

Inserting the Standard Module

Within Visual Basic Editor, do one of the following to add a standard module to your project.

  1. On the Insert menu, click Module.

  2. On the toolbar, click "Insert User Form/Standard Module/Class Module/Procedure" icon, and click Module.

  3. In Project Explorer, right-click the "VBAProject" icon, and click Insert > Module.

Adding a standard module/class module

Inserting the Class Module

Within Visual Basic Editor, do one of the following to add a class module to your project.

  1. On the Insert menu, click ClassModule.

  2. On the toolbar, click "Insert User Form/Standard Module/Class Module/Procedure" icon, and click ClassModule.

  3. In Project Explorer, right-click the "VBAProject" icon, and click Insert > ClassModule.

Deleting Modules

You can delete any unnecessary module from the project within Visual Basic Editor. The following procedure assumes that you want to delete a class module named "Class1".

  1. In Project Explorer, click the "Class1" class module under the "Class Modules" icon to highlight it.

  2. Delete the "Class1" class module using one of the following methods:

    1. On the File menu, click Remove Class1....

    2. Click the right mouse button, and click Remove Class1....

  3. When you are prompted to confirm whether to export (save) "Class1", click No. Alternatively, you can click Yes if you want to save the module.


Coding a VBA Program

  • Overview

  • User Interface Elements of a Code Window

  • Creating a Simple VBA Program

  • Auto-complete Feature

Other topics about Operation Basics

Overview

This section provides descriptive information on the user interface elements of a code window that lets you code a VBA program, and walks through a sample program (procedure) that finds the maximum value contained in an array so you can gain insight into how to create your own programs.

User Interface Elements of a Code Window

A code window is where you code a VBA program. When you are working with a user form, you can open the code window for that user form by double-clicking a control (such as a button or text box) placed on the form. Similarly, when you are working with a standard or class module, you can open the code window associated with that module by double-clicking the module's icon in Project Explorer.

Code window for a standard module

1. Object box

Provides a list of objects currently used within the code window.

2. Procedure box

Provides a list of procedures that reside within the code window. When you are working with a user form, this provides a list of events (actions such as click or double-click).

3. Margin indicator bar

Primarily intended for use when debugging a program.

4. Show Procedure button

Displays only the procedure at the cursor position.

5. Show Module button

Displays the entire program contained in the code window.

Creating a Simple VBA Program

This section walks through a sample program that finds the maximum value contained in an array while breaking down the code into a number of blocks and describing what they do. Line numbers are added for description purpose only, and do not appear in the actual program source code.

Sample program that finds the maximum value contained in an array

10| Option Explicit

20|

30| Sub Maximum()

40|

50| Dim q As Variant

60| Dim x(100) As Integer

70| Dim i As Integer, n As Integer

80| Dim Start As Integer, Last As Integer, Num As Integer

90| Dim Maximum As Integer

100|

110| ' Defining the array

120| q = Array(7, -2, 3, -20, 15, -6, 27, -12, 9, -5, 18, 23, _

130| 9, -16, 22, 0)

140|

150| Start = LBound(q)

160| Last = UBound(q)

170| Num = Last - Start + 1

180|

190| For i = Start To Last

200| x(i) = q(i)

210| Next i

220|

230| Maximum = x(Start)

240|

250| For n = Start + 1 To Last

260| If x(n) > Maximum Then Maximum = x(n)

270| Next n

280|

290| MsgBox Maximum

300|

310| End Sub

Let us break down the code into a number of blocks and see what they do.

Line 10

This instruction mandates explicit declaration of variables.

Lines 30 to 310

The code enclosed between Sub Maximum() and End Sub will be executed within the E5052B's macro environment. Thus enclosed code is called a procedure. In this example, "Maximum" is the procedure name.

Lines 50 to 90

These lines declare data types of variables using Dim statements. A statement is the minimum instruction unit based on the syntax. The sample program declares the variable "q" as Variant, and the variables "x(100)", "i", "n", "Start", "Last", "Num", and "Maximum" as Integer. For a complete list of statements and data types supported by VBA, see VBA Online Help.

Line 110

Any text preceded by a comment indicator (') is treated as a comment.

Lines 120 to 130

These lines use VBA's Array function to initialize the array. The q() array contains elements delimited with commas in the ascending order of index numbers (zero-based). A combination of a space and underscore (_) is used to continue the statement across two or more lines.

Line 150

Stores the starting index number of the q array into the Start variable.

Line 160

Stores the last index number of the q array into the Last variable.

Line 170

Stores the number of elements in the q array into the Num variable.

Lines 190 to 210 and Lines 250 to 270

The code within each For ...Next statement is iterated until the counter reaches the specific number.

Line 200

Stores the contents of the q array (Variant) into the x variable (Integer).

Line 230

Uses the first element of the x array as the tentative maximum value.

Line 260

Compares the tentative maximum value with each of elements that follow; if an element is larger than the tentative maximum value, then that element is used as the tentative maximum value.

Line 290

Uses a message box function to display the maximum value. For a complete list of functions supported by VBA, see VBA Online Help.

  • The above sample program consists of a single procedure contained in a single module. However, when you deal with procedures and variables across multiple modules, you should be aware of the scope of variables and procedures.

Auto-complete Feature

When you use COM objects in Visual Basic Editor, the editor's auto-complete feature allows you to easily type in keywords without misspelling them.

The following procedure assumes that you are entering the SCPI.INITiate.FP.CONTinuous object.

  1. In a standard module, type sub main and press the Enter key. End Sub is automatically added.

  2. Typing scpi followed by a dot (.) brings up a list of classes under the SCPI class.

  3. Typing in automatically moves focus to INITiate in the list box.

  4. Typing INITiate followed by a dot (.) brings up a list of classes under the SCPI class

  5. Typing f automatically moves the focus to FP in the list box.

  6. Typing FP followed by a dot (.) brings up a list of classes under the SCPI class.

  7. Typing c automatically moves focus to CONTinuous in the list box.

  8. Typing = brings up a list box for setting a Boolean value (True/False).

  9. Typing t automatically moves focus to True.

  10. Pressing the Enter key completes the statement: SCPI.INITiate.FP.CONTinuous = True.


Saving a VBA program

  • Overview

  • Saving a Project

  • Saving a Module (Exporting)

Other topics about Operation Basics

Overview

You can save VBA programs either as one complete project or on a module by module basis.

Saving a Project

When you opt to save your program as one complete project, you can have the files (modules) making up the project into a single package. A project is saved as a .vba file. You can save your program to a project file using one of the following two methods:

Saving a Project from Visual Basic Editor

  1. Open the Save As dialog box by doing one of the following:

    • On the File menu, click Save xxx.VBA. "xxx" represents the file name.

    • On the toolbar, click "Save Project File" icon.

    • Press Ctrl + S keys on the keyboard.

  2. The Save As dialog box appears. Specify the file name and location (drive or folder) and click Save.

E5052B Saving a Project from the E5052B Measurement Screen

  1. Display the E5052B measurement screen following the instructions given in Switching to the E5052B Measurement Screen.

  2. Open the Save As dialog box using the following key sequence:

    • Macro Setup > VBA Editor Menu > Save Project

  3. The Save As dialog box appears. Specify the file name and location (drive or folder) and click Save.

Saving a Module (Exporting)

Alternatively, you can save each module (user form, standard, or class) of your VBA program individually. To save a module, you must use Visual Basic Editor. User forms are saved as .frm files, standard modules as .bas files, and class modules as .cls files.

  1. In Project Explorer, click the file name that appears under the desired module icon to highlight it.

  2. Open the Export File dialog box by doing one of the following:

    • On the File menu, click Export File....

    • Click the right mouse button, and click Export File....

    • Press Ctrl + E keys on the keyboard.

  3. The Export File dialog box appears. Specify the file name and location (drive or folder) and click Save.


Loading a VBA Program

  • Overview

  • Loading a Project

Other topics about Operation Basics

Overview

Once you have saved a project or module file, you can load it later whenever necessary.

Loading a Project

You can load a saved project file either from the E5052B measurement screen or by specifying that the project file be automatically loaded when the power is turned on.

Loading a Project from the E5052B Measurement Screen

  1. Select Macro Setup > VBA Editor Menu > Load Project.

    • When the another project has already been loaded on the Visual Basic Editor, the message whether or not the current project is saved may appear. If you want to save the project, click Yes button to display a dialog box for saving. For saving the project, see Saving a Project.

  2. The Open dialog box appears. Specify the file name and location (drive or folder) of the file you want to load and click Open.

The Open dialog box has the following user interface elements:

  1. Look in: Specify the location (drive or folder) where the project resides.

  2. File name: Specify the file name of the project you want to load.

  3. Files of type: Select the type of the file you want load. Normally, you should select VBA Project Files [*.vba].

  4. Open: Clicking this button loads the project.

  5. Cancel: Clicking this button closes the Open dialog box and brings you back to the main screen.

Automatically Loading a Project at Power-On

Once you have saved a project file that satisfies the following conditions, the project will be automatically loaded whenever the power is turned ON.

Auto-loaded project | Conditions
Directory where the project resides. | C:\ or F:\
Project file name | autoload.vba

If there is the file named "autoload.vba" in both the A drive and the D drive, the file in the A drive is used.

Loading a Module (Importing)

To load a saved module into a project, you must use Visual Basic Editor.

  1. In Project Explorer, click the file name that appears under the desired module icon to highlight it.

  2. Open the Import File dialog box by doing one of the following:

    • On the File menu, click Import File....

    • In Project Explorer, right-click the "VBAProject" icon, and click Import File....

    • Press Ctrl + M keys on the keyboard.

  3. The Import File dialog box appears. Specify the file name and location (drive or folder) of the file (module) you want to load and click Open.

  4. The Import File dialog box has the following user interface elements:

Import File dialog box

The Import File dialog box has the following user interface elements:

  1. Look in: Specify the location (drive or folder) where the module resides.

  2. File name: Specify the file name of the module you want to load.

  3. Files of type: Select the type of the file you want load. Normally, you should select VB Files [*.frm,*.bas,*.cls].

  4. Open: Clicking this button loads the module.

  5. Cancel: Clicking this button closes the Import File dialog box and brings you back to the main screen.

  6. Help: Clicking this button brings up VBA Online Help.


Running a VBA Program

  • Overview

  • Running a Previously Loaded VBA Program

  • Loading and Executing Programs in Batch Process

Other topics about Operation Basics

Overview

The E5052B provides 2 methods to execute a VBA program: executing a program that you previously loaded and loading and executing a program in a batch process.

Running a Previously Loaded VBA Program

Running a Program from Visual Basic Editor

The E5052B allows you to run a previous loaded VBA program using one of the four methods listed below.

  1. Open the Macros dialog box by doing either one of the following:

  • On the Run menu, click Run Macro.

  • On the Tools menu, click Macros....

  • On the toolbar, click "Run Macro" icon.

  • Press F5 key on the keyboard.

  1. Doing the above steps with the cursor positioned within a procedure in the code window immediately runs the program without displaying the Macros dialog box.

  2. In the Macros dialog box, select the VBA program (procedure name) you want to run, and click the Run button.

Macros dialog box

The Macros dialog box has the following user interface elements:

  1. Macro Name: Select the VBA program (procedure name) you want to run from the list box so its name appears here.

  2. Macro In: Specify the project that contains the VBA program you want to run. Normally, use the default.

  3. Run: Clicking this button runs the selected VBA program (procedure).

  4. Cancel: Clicking this button closes the Macros dialog box and brings you back to the main screen.

  5. Step Into: Clicking this button brings up Visual Basic Editor and put it into step-in mode, where the selected VBA program is run step by step. This mode is primarily intended for use when debugging a VBA program. For more information on step-in mode, see Debug Toolbar.

  6. Edit: Displays the code of the selected VBA program. You can use this for re-editing your code.

  7. Create: This button is normally dimmed.

  8. Delete: Clicking this button deletes the selected VBA program. Take care not to inadvertently delete your VBA program before saving it.

The Macros dialog provides access to subprograms (procedures enclosed between Sub and End Sub) created in a standard module.

Running a Program from the E5052B Measurement Screen

The E5052B allows you to run a program from E5052B screen using one of the four methods listed below.

  1. Display the E5052B measurement screen following the instructions given in Switching to the E5052B Measurement Screen.

  2. Run the VBA program (procedure) using the following key sequence:

  • Macro Setup > Select Macro - Module xxx
    where "Module" is the object name (Name property shown in the property window) and "xxx" is the procedure name.

  • Press the Macro Run key on the E5052B front panel. For a program to be run from the measurement screen, its procedure name must be "Main" (subprogram enclosed between Sub Main() and End Sub), and its object name (Name property as displayed in the property window) must be "Module1".

  • When you are working with the E5052B measurement screen, the E5052B's macro environment only provides access to those VBA programs that are created as subprograms (enclosed between Sub and End Sub) in a standard module.

Loading and Executing Programs in Batch Process

This section describes how to load and execute a program (VBA project) in a batch process by pressing the softkey corresponding to the program name.

  1. Save the VBA program (VBA project file) into the following folder.
    D:\VBA

    • This feature is available only for programs saved in F:\VBA. This feature is not available for programs saved in subfolders of F:\VBA.

    • When copying a VBA program to F:\VBA from another folder, copy all the files necessary to execute the program to appropriate folders. When copying a factory-installed VBA program into F:\VBA, choose only its VBA project file.

  2. Press Macro Seup key.

  3. Click Load & Run.

  4. Press the softkey corresponding to the VBA project file name of the program you want to execute. The pressed VBA project is loaded and the program whose procedure name is set to "Main" (subprogram enclosed between Sub Main() and End Sub) and whose object name (Name property as displayed in the property window) is set to "Module1" is executed.

  5. There is no limit to the number of VBA project files that can be saved in F:\VBA. However, the maximum number of programs that can be displayed as softkeys is 50.

  • File names of the VBA projects saved in F:\VBA are displayed as softkeys in alphabetical order.

  • The maximum number of characters that can be displayed in a softkey is 12. If a file name has 13 or more characters, "..." is added to the 12th character from the beginning of the program name and displayed. In this case a .vba extension is omitted.


Stopping a VBA Program

  • Stopping a Procedure

  • Abruptly Terminating a VBA Program

Other topics about Operation Basics

Stopping a Procedure

This section describes how to break a procedure during the execution of a VBA program.

  1. To break the running VBA program, do one of the following:

    • On the Run menu, click Break.

    • On the toolbar, click "Break Macro" icon.

    • Press Ctrl + Break keys on the keyboard.

    • Macro Setup > Stop (E5052B measurement screen)

    • Press Macro Break key on the E5052B front panel.

  2. A dialog box is displayed through forced interrupts, and the program is suspended.

    Select one of the following:

    • Continue: Resumes the execution of the program.

    • End: Terminates the VBA program.

    • Debug: Displays a run-time error.

    • Help: Brings up VBA Online Help.

Abruptly Terminating a VBA Program

This section describes how to abruptly terminate a running procedure. When abruptly terminating the VBA program by the below methods, the "Program interrupted" message is shown in the instrument status bar on the bottom of the LCD display.

To terminate the running VBA program, do one of the following:

  • On the Run menu, click Reset.

  • On the toolbar, click "Reset Macro" icon.

  • Insert an End statement into your code.


Errors and Debugging

  • Type of Errors

  • Using a Debug Tool

Other topics about Operation Basics

Type of Errors

Errors in VBA programs are classified into the following two types:

Syntax errors

A syntax error is generated when Visual Basic Editor detects an invalid statement that violates the Visual Basic syntax rules. For example, misspelled keywords generate syntax errors. An error dialog box appears that indicates the error message, and highlight the invalid statement in red. To get detailed information on the error, click the HELP button in the error dialog box to display the help topic on the error. You cannot run the macro until you correct the syntax error.

The E5052B VBA environment is by default configured to automatically check for syntax errors, but you can disable the auto syntax check feature using the following steps:

  1. On the Tools menu, click Options....

  2. On the Editor tab, clear the Auto Syntax Check check box.

  3. Click the OK button.

Run-time Errors

A run-time error is generated when a VBA program attempts to execute an invalid statement at run time. When a run-time error is generated, the program is stopped at the invalid statement, and an error dialog box appears. You can terminate the program by clicking the END button in the error dialog box. Also, you can click the DEBUG button in the error dialog box to identify the statement that caused the error. In this case, the statement in question is highlighted in yellow.

  • Some run-time errors occur under particular conditions, even though a program run without occurring the errors under normal conditions. For example, the "Target value not found" error that occurs when a program that analyzes the results using the Marker Bandwidth Search feature fail to perform bandwidth search because the marker is not in the appropriate position, the "Ecal module not in RF path" error that occurs when a program that performs calibrations using a ECal module fail to measure the calibration data because the ECal module is not appropriately connected to test ports, and so on.

Using a Debug Tool

The E5052B's VBA environment provides a variety of debug tools that help you identify logical errors. Detailed information on using the debug tools is covered in VBA Online Help and books on VBA.

Debug Toolbar

The debug toolbar provides tool buttons that allow you to easily access various debug tools.

On the View menu, click Toolbars > Debug.

Debug toolbar

  1. Set/clear break points (keyboard F9): Puts a break point at the cursor position or clears an existing break point.

  2. Step-in (keyboard: F8): Runs the VBA program step by step. If the current program contains a call to another procedure, that procedure is also run step by step.

  3. Step-over (keyboard: Shift + F8): Runs the VBA program step by step. If the current program contains a call to another procedure, that procedure is run as one line.

  4. Step-out (keyboard: Ctrl + Shift + F8): Executes the remaining lines of the function where the execution point is currently placed.

  5. Local window: Opens the local window that shows the current values of local variables.

  6. Immediate window (keyboard: Ctrl + G): Opens the immediate window that evaluates entered values of variables or expressions.

  7. Watch window: Opens the watch window that displays the current value of a specified expression.

  8. Quick window (keyboard: Shift + F9): Displays the current value of a specified expression in a dialog box.

Setting a Break Point

By placing a break point at a particular statement in a VBA program, you can automatically suspend the program when it is executed to that statement.

When you put a break point at a line, the line is highlighted in umber as shown in the following figure. To set a break point, do one of the following:

  • Place the cursor at the desired line of code, and click the "Set/clear break points" button on the debug toolbar.

  • Click anywhere in the margin indicator bar of the code window.

Setting a break point

Monitoring Variable or Property Values

With your VBA program suspended, you can use the following debug tool to monitor variables or properties. To do this, you must set a break point, run the VBA program, and suspend it.

Data Hint

When you point to the variable or expression of interest, Data Hint shows the current value as shown in the following figure.

Data Hint

Immediate Window

To display the immediate window, click [image] on the debug toolbar.

In the immediate window, enter a question mark (?) followed by the variable or expression whose value you want to check, and press the Enter key, as shown in the following figure. The current value appears in the line that follows.

Immediate window

Watch Window

To display the watch window, click the "Watch Window" button on the debug toolbar.

Watch window

  1. On the Debug menu, click Add Watch.... to open the Add Watch dialog box.

  2. As shown in the following figure, you can specify an expression of interest as a watch expression to always monitor its value.

  3. Click the OK button.

Add Watch dialog box

Quick Watch

In the code window, select a variable or expression whose value you want to watch. On the debug toolbar, click the "Quick Watch" button to open the Quick Watch dialog box. The dialog box displays the current value of your specified variable or expression.

Also, you can click the Add button in the Quick Watch dialog box to specify the current expression as a watch expression.


Printing Output Values in the Echo Window

  • Overview

  • Entering Values Output to Echo Window

  • Opening Echo Window

  • Clearing Values Output from Echo Window

  • Echo Font Size

Other topics about Operation Basics

Overview

The echo window, which appears in the lower part of the E5052B measurement screen, can be used to display a message or the return value (data) of an object.

Entering Values Output to Echo Window

You can use the COM objects listed below to enter values output to the echo window.

  • SCPI.DISPlay.ECHO.DATA

Opening Echo Window

You can use the COM objects listed below to open the echo window.

  • SCPI.DISPlay.TABLe.STATe

Alternatively, you can also open the echo window using the following key sequence:

Macro Setup > Echo Window Menu > Echo Window (ON)

Clearing Values Output from Echo Window

You can use the COM object shown below to clear values output from the echo window.

  • SCPI.DISPlay.ECHO.CLEar

Alternatively, you can also clear values output from the echo window using the following key sequence:

Macro Setup > Echo Window Menu > Clear Echo

Echo Font Size

You can use the COM object shown below to set the font size of the echo window

  • SCPI.DISPlay.ECHO.FSIZe

Alternatively, you can also set the font size using the following key sequence:

Macro Setup > Echo Window Menu > Echo Font Size


Using Advanced Techniques

  • Accessing a List of E5052B COM Objects

  • Using Automatic Library References

Other topics about Operation Basics

Accessing a List of E5052B COM Objects

The E5052B VBA environment provides COM objects that support controlling the E5052B. When you are developing a program using E5052B COM objects, you can access a list of E5052B COM objects by opening Object Browser within Visual Basic Editor.

  1. To open Object Browser, do one of the following:

    • On the View menu, click Object Browser.

    • On the toolbar, click "Object Browser" icon.

  2. Select E5052Lib from the Project/Library box to display the E5052B library as shown in the following figure.

  3. There are some COM objects NOT used in controlling with E5052B VBA in the list of the E5052B COM objects displayed on the Object Browser. The COM objects NOT used in controlling with E5052B VBA are not described in the COM object reference.

How to use Object Browser

Using Automatic Library References

For libraries that satisfy the following conditions, the library reference will be automatically set whenever a new project is created and loaded (Macro Setup > VBA Editor Menu > New Project).

Automatically referenced libraries | Conditions
Directory where the library resides. | D:\Agilent
Extensions of libraries | olb, tlb, dll, or ocx

To check the library reference setting, you must use Visual Basic Editor.

Follow these steps to check the library reference setting.

  • On the Tools menu, click References....

  • A project sets the library reference when the project is created. Therefore, if the existing project is loaded, libraries added after the development of the project are not automatically set in the library reference.


Using VBA Online Help

  • Overview

  • Accessing VBA Online Help

Other topics about Operation Basics

Overview

VBA Online Help provides useful topics, such as the VBA terminology or how to use a particular feature. In VBA Online Help, you can find a topic of interest through the Contents or by entering specific keywords.

Accessing VBA Online Help

From Visual Basic Editor, do one of the following to access the VBA Online Help screen.

  • On the Help menu, click Microsoft Visual Basic Help.

  • Press F1 key on the keyboard.

  • On the toolbar, click "VBA Help" icon.

VBA Online Help screen

Using the Contents Tab

Clicking the Contents tab in the VBA Online Help screen brings up the items listed below. The E5052B VBA Online Help has a hierarchical table of contents. Click an item to expand it, and then find a topic of interest.

  • Visual Basic User Interface Help

  • Visual Basic Conceptual Topics

  • Visual Basic How-To Topics

  • Visual Basic Language Reference

  • Visual Basic Add-In Model

  • Microsoft Forms Reference

When you need information on using Visual Basic Editor, use User Interface Help and How-To Topics as primary sources of information. Format of VBA program is covered in Visual Basic Conceptual Topics. Properties and methods supported by VBA are covered in Visual Basic Language Reference and Visual Basic Add-In Model. Information on using user forms is covered in Microsoft Forms Reference.

Using the Index Tab

In the VBA Online Help screen, click the Index tab, and enter a keyword(s) into the text box. For example, you may wish to search for "Sub" or "With" when you are writing your own code.

Looking up a Keyword in the Code within Visual Basic Editor

When you want to know the usage or meaning of a keyword contained in a sample program or some other code, you can quickly access the help topic on that keyword by moving the cursor to the keyword and pressing F1 key.


Controlling_E5052B

  • Controlling VBA Externally

  • Detecting End of Measurement

  • Executing a Procedure with a Softkey (user menu function)

  • Limit Test

  • Reading/Writing Measurement Data


Controlling VBA Externally

  • Overview

  • Executing VBA Using External Controller

  • Receiving Termination of VBA Using External Controller

  • Using User-defined Register

  • Using User-defined Variables

Other topics about Controlling E5052B

Overview

This section describes how to control the E5052B's VBA externally.

Executing VBA Using External Controller

You can execute VBA from an external PC by running either macros or the user menu.

Running Macro

To start VBA from an external PC, use the following command:

• SCPI.MMEMory.LOAD.PROGram

• SCPI.PROGram.COM.EVENt

• SCPI.PROGram.SELected.STATe

Running User Menu

To execute the user menu from an external PC, use the following command:This command executes the first of the menu.

To execute the user menu, you must execute the user menu function in advance. For more information, refer to Running User Menu and SCPI.PROGram.SKEY.Item(1).IMMediate

Receiving Termination of VBA Using External Controller

To allow the external controller to receive the termination of VBA from the E5052B, you may either confirm the operational status of VBA or use the user-defined register.

Confirming VBA’s Operational Status

To confirm the operational status of VBA, use the following command:

• SCPI.PROGram.SELected.STATe

Using User-defined Register

To use the user-defined register, use the following command:For more information, refer to Using User-defined Register.

• SCPI.STATus.OPERation.BIT12.CLEar

• SCPI.STATus.OPERation.BIT12.CONDition

• SCPI.STATus.OPERation.BIT12.ENABle

• SCPI.STATus.OPERation.BIT12.EVENt

• SCPI.STATus.OPERation.BIT12.NTRansition

• SCPI.STATus.OPERation.BIT12.PTRansition

• SCPI.STATus.OPERation.BIT12.SET

Using User-defined Register

The E5052B does not control the individual status flag of the user-defined register. In order to start the E5052B VBA using the external controller to obtain the end bit, the user must make the user-defined register to be controlled within the program.

The user can assign any register number to the user-defined register which he/she wants to use. Available register numbers are 1 to 15 (0 to 14 bit).

If you use the user-defined register, you must specify the same register number for both the external controller side and the E5052B’s program side.

Reference of User-defined Register

The following is a sample program which:

  1. Clears the first condition register to be used (bit 0).

  2. These lines configure the instrument so that the operation use-defined status event register's bit 0 is set to 1, when the operation use-defined condition register's bit 0 is changed from 0 to 1 (i.e. positive transition).

  3. Executes the user menu.

  4. Repeats until the termination of VBA is detected.

A Sample Program to Control User-defined Register (On the Controller Side

Lines 30 to 90

An event occurs when the softkey is pressed from the user menu.

Lines 50 to 60

E5052B will be reset to the initial setting, when the first softkey is pressed.

Lines 70 to 80

The message box will appear, when the second softkey is pressed.

Lines 100 to 110

An event will occur when the triggered sweep ends.

Line 110

A message box will appear when the sweep ends.

Line 130

Sets a flag to the first of the user-defined register (bit 0).

Line 140

This procedure terminates the program.

A Sample Program to Control User-defined Register (On the E5052B Side)

10|Private Sub app_OnEvent(ByVal ReasonStr As String, ByVal OptionStr As String)

20| Select Case ReasonStr

30| Case "UserLabel"

40| Select Case OptionStr

50| Case 1

60| SCPI.SYSTem.PRESet

70| Case 2

80| MsgBox "Program ended"

90| End Select

100| Case "SweepEnd"

110| MsgBox "Sweep ended"

120| End Select

130| SCPI.STATus.OPERation.BIT12.SET = 0

140| End

150|End Sub

  • For more information on the user-defined register, refer to the status reporting system.

Using User-defined Variables

The E5052B has an area for which the users may set any value. The areas are divided for each data type.

An area can be used up to 10 (1 to 10) for each command.

The values set by a command cannot be removed by executing preset.

• SCPI.PROGram.VARiable.ARRay(1-10).DATA

• SCPI.PROGram.VARiable.ARRay(1-10).POINts

• SCPI.PROGram.VARiable.DOUBle(1-10)

• SCPI.PROGram.VARiable.INTeger(1-10)

• SCPI.PROGram.VARiable.STRing(1-10)

  • These commands do not refer to or change the results within the E5052B.

The following is a sample program for configuration, which demonstrates how to use the floating-point-formatted user-defined array.

Line 30 to 50

Define the variables.

Line 70

Assign values to the variables.

Line 90

Call the function to trigger the instrument.

Line 110

Configure marker X for frequency measurement (trace 1).

Line 120

Read out marker Y for frequency measurement (trace 1).

Line 130

Configure marker X for power measurement (trace 2).

Line 140

Read out marker Y for power measurement (trace 2).

Line 160

Set the value of marker Y for frequency measurement at the beginning of the user-defined array.

Line 170

Set the value of marker Y for power measurement to that of the 2nd dimension of the user-defined array.

Example of using floating point formatted user-defined array

10| Sub Main()

20|

30| Dim Vcc1 As Double

40| Dim FP_Freq As Double

50| Dim FP_Power As Double

60|

70| Vcc1 = 0.5

80|

90| Call FP_SingleSweep

100|

110| SCPI.CALCulate.FP.Trace(1).MARKer(1).X = Vcc1

120| FP_Freq = SCPI.CALCulate.FP.Trace(1).MARKer(1).Y

130| SCPI.CALCulate.FP.Trace(2).MARKer(1).X = Vcc1

140| FP_Power = SCPI.CALCulate.FP.Trace(2).MARKer(1).Y

150|

160| SCPI.PROGram.VARiable.DOUBle(1) = FP_Freq

170| SCPI.PROGram.VARiable.DOUBle(2) = FP_Power

180| End Sub

The following sample program demonstrates how to use the array-formatted user-defined array.

Line 30 to 50

Define the variables.

Line 70

Call the function to trigger the instrument.

Line 90

Read out the number of points and set it to the variable.

Line 100 to 110

Redefine the array (variable).

Line 130

Read out the trace data and set it to the variable.

Line 140

Read out the X-axis data and set them to the variable.

Line 160

Specify the number of data points at the beginning of the user-defined array.

Line 170

Specify the trace data at the beginning of the user-defined array.

Line 190

Specify the number of data points to that of the 2nd dimension of the user-defined array.

Line 200

Specify the X-axis data to that of the 2nd dimension of the user-defined array.

Example of using array formatted user-defined array

10| Sub Main()

20|

30| Dim PN_Nop As Long

40| Dim PN_Trace() As Double

50| Dim PN_Freq() As Double

60|

70| Call PN_SingleSweep

80|

90| PN_Nop = SCPI.SENSe.PN.SWEep.POINts

100| ReDim PN_Trace(PN_Nop - 1)

110| ReDim PN_Freq(PN_Nop - 1)

120|

130| PN_Trace = SCPI.CALCulate.PN.Trace.DATA.FDATa

140| PN_Freq = SCPI.CALCulate.PN.DATA.XDATa

150|

160| SCPI.PROGram.VARiable. Array A set of numbers or characters that represents any given function. (1).POINts = PN_Nop

170| SCPI.PROGram.VARiable.Array(1).DATA = PN_Trace

180|

190| SCPI.PROGram.VARiable.Array(2).POINts = PN_Nop

200| SCPI.PROGram.VARiable.Array(2).DATA = PN_Freq

210|

220| End Sub


Detecting End of Measurement

  • Using the Status Register

  • Using Event Interruption feature

  • Interference between different interfaces

Other topics about Controlling E5052B

This section explains how to trigger the instrument to start a new measurement cycle and how to detect the end of a measurement cycle. For a detailed description of trigger detection, the trigger system, and the concept of triggering, refer to Making a Measurement.

You can detect the end of measurement by using either Using the Status Register or Using Event Interruption feature.

For the E5052B’s VBA, regardless of the setting of the SCPI.TRIGger.SOPC command, neither SCPI.IEEE4882.OPC nor SCPI.IEEE4882.WAI can detect the end of measurement. Furthermore, the Parse command is not available.

Using the Status Register

The status of the E5052B can be monitored through the status register. For a complete description of the status report mechanism, including the specifications of each bit of the status register, refer to Status Reporting System.

If your program is based on SPCI commands, you can use SRQ (Service Request) interrupts to detect the end of measurement. For more information, refer to Waiting for the End of Measurement.

The following is a sample program that demonstrates how to use an SRQ to detect the end of measurement.

In this program, you can start a measurement cycle by pressing the command button on the user form (cmdExec), and a message box will appear when the measurement finishes.

Line 40

The trigger continuous mode is turned “OFF”

Lines 50 to 60

The trigger system switches to "Idle" state and clears the operation status event register.

Lines 70 to 80

These lines configure the instrument so that operation status event register’s bit 4 is set to 1 only when the operation status condition register’s bit 4 is changed from 1 to 0 (negative transition).

Lines 100 to 120

The trigger source is set to “Bus Trigger” to start a measurement cycle.

Lines 140 to 170

These lines repeat until the end of measurement is detected.

Line 150

The control is returned to Windows so that other applications may be executed.

Line 190

A message box appears when the end of measurement is detected.

Example of Using an Status Register to Detect the End of Measurement

10| Private Sub cmdExec_Click()

20| Dim i As Long

30|

40| SCPI.INITiate.SP.CONTinuous = False

50| SCPI.ABORt

60| SCPI.IEEE4882.CLS

70| SCPI.STATus.OPERation.PTRansition = 0

80| SCPI.STATus.OPERation.NTRansition = 16

90|

100| SCPI.TRIGger.SP.Source = "bus"

110| SCPI.INITiate.SP.CONTinuous = True

120| SCPI.IEEE4882.TRG

130|

140| Do While i = 0

150| DoEvents

160| i = SCPI.STATus.OPERation.EVENt

170| Loop

180|

190| MsgBox "end"

200|

210| End Sub

The E5052B’s VBA program is executed as a part of E5052B’s applications. Therefore, if any executed VBA program takes a long time before returning control to Windows, all processing operations other than VBA are suspended during this time. To prevent this, use DoEvents to return the control to E5052B applications.

Using Event Interruption feature

The E5052B provides an event interruption feature to allow you to detect the end of measurement. By enabling the E5052B Event softkey, you can obtain an end of sweep event.

For details, refer to the section on Executing a Procedure with a Softkey (user menu function).

  • To obtain an end of sweep event, you must create and execute a VBA program.

Interference between different interfaces

For the E5052B connected with two different interfaces (except for the VBA’s COM interface), for example, GPIB and LAN, while a controller is waiting for the end of measurement with *OPC? command or *WAI command through GPIB interface, LAN interface is unavailable until the measurement completes.

On the other hand, for the E5052B connected with two different interfaces, for example, GPIB and VBA, VBA’s COM interface is available, and commands can be executed even while a controller is waiting for the end of measurement with *OPC? command or *WAI command through GPIB interface. When the Parse command is executed, however, an error occurs.


Executing a Procedure with a Softkey (user menu function)

  • Preparing to use the User Menu Function

  • How to use the User Menu Function

  • Simple usage example

  • Argument for event occurrence

Other topics about Controlling E5052B

The E5052B lets you perform procedures assigned to specific softkeys (Macro Setup > User Menu > User Label <1/2/3/4/5/6/7/8>) without using user forms for the event activated by pressing the softkey. This function is called the user menu function.

  • You must create and execute a VBA program when using the user menu function.

Preparing to use the User Menu Function

Before using the user menu function, perform the following preparation.

Settings for Softkey Label Name

When you want to change the softkey label names for the user menu function, you need to code within the VBA program. For details, refer to the Sample Program on Settings for Softkey Label and Softkey Enabled/Disabled (object name: Module1).

For more information on this object, see:

  • COM Object Model

  • SCPI.PROGram.SKEY.ITEM(1-8).LABel

Enabling/Disabling Softkey

When you want to enable or disable the softkey for the user menu function, you need to code within the VBA program. For details, refer to the Sample Program on Settings for Softkey Label and Softkey Enabled/Disabled (object name: Module1).

How to use the User Menu Function

To execute the procedure assigned to a softkey, you need to generate an event by pressing the softkey.

For this, you need to code within the VBA program to execute a procedure. For more information, refer to the Sample Program on Executing User Menu (object name: Class1).

Use the following function to execute a procedure in the user menu:

  1. Enable the softkey to generate an event using Macro Setup > E5052 Event ON.

  2. Select Macro Setup > User Menu <No>.

<No.> represents the button number. You can set the label for <No.> as you like. For details, refer to the Enabling/Disabling Softkey.

  • You can use the user menu function only when the VBA program is running. For information on how to verify whether the VBA is running, refer to Running a VBA Program.

Simple usage example

The following is a simple example that uses a standard module and a class module.

Object name | Module type | Function
Module1 | Standard module | Sets the softkey labels and enables interrupts from the softkeys
Class1 | Class module | Specifies the processing to be followed when an event occurs

The program (object name: Module1) is described in detail below:

Line 60

The instance of the class module specified by Class1 is assigned to clsEvent (Object creation).

Lines 80 to 140

Set the first and second softkey (id: 1 to 2) to enabled and set the third to eighth softkey (id: 3 to 8) to disabled.

Lines 160 to 170

Set the first softkey label (id: 1) to "Preset" and the second softkey label (id: 2) to "Exit".

Lines 190 to 210

Processing repeated until the event occurs.

Line 200

Detects an event when a specific softkey is pressed and enables the interrupt from the event.

Sample Program of Settings for Softkey Label and Softkey Enabled/Disabled (object name: Module1)

10| Sub Main()

20|

30| Dim clsEvent As Class1

40| Dim I As Long, J As Long

50|

60| Set clsEvent = New class1

70|

80| For I = 1 To 2

90| SCPI.PROGram.SKEY.Item(I).ENABle = True

100| Next I

110|

120| For J = 3 To 8

130| SCPI.PROGram.SKEY.Item(J).ENABle = False

140| Next J

150|

160| SCPI.PROGram.SKEY.Item(1).LABel = "Preset"

170| SCPI.PROGram.SKEY.Item(2).LABel = "Exit"

180|

190| Do

200| DoEvents

210| Loop

220|

230| Set clsEvent = Nothing

240|

250| End Sub

The program (object name: Class1) is described in detail below:

Lines 50 to 130

An event occurs when the softkey is pressed from the user menu.

Lines 70 to 80

E5052B is reset to the initial setting when the first softkey is pressed.

Lines 90 to 120

The program ends with a message box displayed when the second softkey is pressed.

Lines 140 to 150

An event occurs when the triggered sweep ends.

Line 150

A message box appears when the sweep ends.

Lines 190 to 210

Implement the object.

Lines 230 to 250

Release the object.

Sample Program Executing User Menu (object name: Class1)

10| Dim WithEvents app As Application

20|

30| Private Sub app_OnEvent(ByVal ReasonStr As String, ByVal OptionStr As String)

40| Select Case ReasonStr

50| Case "UserLabel"

60| Select Case OptionStr

70| Case 1

80| SCPI.SYSTem.PRESet

90| Case 2

100| SCPI.PROGram.COM.EVENt = False

110| MsgBox "Program ended"

120| End

130| End Select

140| Case "SweepEnd"

150| MsgBox "Sweep ended"

160| End Select

170| End Sub

180|

190| Private Sub Class_Initialize()

200| Set app = Application

210| End Sub

220|

230| Private Sub Class_Terminate()

240| Set app = Nothing

250| End Sub

The E5052B’s VBA program is executed as a part of E5052B’s applications. Therefore, if any executed VBA program takes a long time before returning control to Windows, all processing operations other than VBA are suspended during this time. To prevent this, use DoEvents to return the control to E5052B applications.

Argument for event occurrence

The arguments for event occurrence are described below. An event represents app_OnEvent, which is described in Simple usage example.

Event | First argument | Second argument
User menu | UserLabel | Softkey label NO. (1-8)
End of sweep | SweepEnd | Measurement window (AM/BB/FP/PN/SP/TR/PS/USER)
Request for service | RQS | Nothing

  • OnEvent(id1 As String, id2 As String) is a event handler of the events from the application and can refer to the instance (data) of the class. By declaring the object a variable “app” in the class module, it can be utilized as a procedure to obtain the event occurrence.

  • Within the event handler (lines 30-170), the processing should be the minimum necessary before an event ends. Nesting is also not allowed.


Limit Test

  • Overview

  • Using Commands to Define Limit Lines

  • Example of Using Commands to Define Limit Lines

  • Reading Limit Lines from Files

  • Example of Reading Limit Lines from Files

Other topics about Controlling E5052B

Overview

This section describes how to define the limit lines and determine pass or fail with regard to the limit test function. For more on the concept of the limit test, refer to Data Analysis and Result Output.

Using Commands to Define Limit Lines

You can define the limit lines by specifying any limit value to the parameter of SCPI commands.

The program is described in detail below:

Line 20 to 30

Define the data array (variable) for the limit lines.

Line 40 to 50

Redefine the data array (variable) depending on the number of limit lines (segments).

Line 70 to 140

Set the upper limit value for the limit lines in the array.

Line 160 to 190

Set the lower limit value for the limit lines in the array.

Line 220 to 230

Specify the segment number for the upper and lower limit values.

Line 250 to 260

Specify the upper and lower limit values on the trace.

Line 280 to 320

Trigger the instrument.

Line 340

Display the limit lines.

Line 350

Display the determination result. (For fail only.)

Line 360

Activate the limit test function.

Example of Using Commands to define Limit Lines Lines input by the user that overlay the analyzer's measurement data to allow automatic detection of data that is out of the acceptable range. Pass/Fail annotation, audio alarms, or electronic output can be triggered to notify the operator or on-line computer program of the over-limit condition.

10| Sub Main()

20| Dim Udata() As Double

30| Dim Ldata() As Double

40| ReDim Udata(7)

50| ReDim Ldata(3)

60|

70| Udata(0) = 0

80| Udata(1) = 1400000000#

90| Udata(2) = 0.00002

100| Udata(3) = 1400000000#

110| Udata(4) = 0.00002

120| Udata(5) = 1600000000#

130| Udata(6) = 0.0001

140| Udata(7) = 1600000000#

150|

160| Ldata(0) = 0

170| Ldata(1) = 1200000000#

180| Ldata(2) = 0.0001

190| Ldata(3) = 1200000000#

200|

210| SCPI.DISPlay.WINDow.ACTive = "FP1"

220| SCPI.CALCulate.FP.TRACe.LIMit.UPPer.SEGMent.Count = 2

230| SCPI.CALCulate.FP.TRACe.LIMit.LOWer.SEGMent.Count = 1

240|

250| SCPI.CALCulate.FP.TRACe.LIMit.UPPer.SEGMent.DATA = Udata

260| SCPI.CALCulate.FP.TRACe.LIMit.LOWer.SEGMent.DATA = Ldata

270|

280| SCPI.TRIGger.MODE = "FP1"

290| SCPI.TRIGger.FP.Source = "bus"

300| SCPI.INITiate.FP.CONTinuous = False

310| SCPI.INITiate.FP.IMMediate

320| SCPI.IEEE4882.TRG

330|

340| SCPI.DISPlay.FP.TRACe.LIMit.LINE = True

350| SCPI.DISPlay.FP.LIMit.FSIGn = True

360| SCPI.CALCulate.FP.TRACe.LIMit.STATe = True

370| End Sub

Reading Limit Lines from Files

You can create any upper and lower value for limit lines in the specified format in advance, and read the file later to specify the limit lines.

For information about creating upper and lower values for limit lines, refer to Data analysis and Result Output.

The file must be saved in the CSV format (with the extension *.csv).

The program is described in detail below:

Save the upper limit values together into one file, and the lower limit values into another.

Line 20

Read the lower limit value for the limit lines from the file.

Line 30

Read the upper limit value for the limit lines from the file.

Line 50 to 100

Trigger the instrument.

Line 120

Display the limit lines.

Line 130

Display the determination result. (For fail only.)

Line 140

Activate the limit test function.

Example of Reading Limit Lines from File

010| Sub Main()

020| SCPI.MMEMory.FP.TRACe.Load.LIMit.LOWer = "f:\lower.csv"

030| SCPI.MMEMory.FP.TRACe.Load.LIMit.UPPer = "f:\upper.csv"

040|

050| SCPI.DISPlay.WINDow.ACTive = "FP1"

060| SCPI.TRIGger.MODE = "FP1"

070| SCPI.TRIGger.FP.Source = "bus"

080| SCPI.INITiate.FP.CONTinuous = False

090| SCPI.INITiate.FP.IMMediate

100| SCPI.IEEE4882.TRG

110|

120| SCPI.DISPlay.FP.TRACe.LIMit.LINE = True

130| SCPI.DISPlay.FP.LIMit.FSIGn = True

140| SCPI.CALCulate.FP.TRACe.LIMit.STATe = True

150| End Sub


Reading/Writing Measurement Data

This section describes how to process the E5052B’s internal data. You can use amongst the following internal data arrays: unformatted data arrays, unformatted memory arrays, formatted data arrays, formatted memory arrays, and X-axis data arrays. For more information on the internal data arrays, see Internal Data Processing.

To read/write a formatted data array, formatted memory array, unformatted data array, or unformatted memory array, use the following objects:

• SCPI.CALCulate.xx.TRACe.DATA.FDATa

• SCPI.CALCulate.xx.TRACe.DATA.FMEMory

• SCPI.CALCulate.xx.TRACe.DATA.UDATa

• SCPI.CALCulate.xx.TRACe.DATA.UMEMory

There are unformatted data array and memory array where the AM noise measurement, the baseband noise measurement, phase noise measurement and segment phase noise measurement are contained with the unit of dBc.

• SCPI.CALCulate.AM(1-1).TRACe(1-1).DATA.PDATa

• SCPI.CALCulate.AM(1-1).TRACe(1-1).DATA.PMEMory

• SCPI.CALCulate.BB(1-1).TRACe(1-1).DATA.PDATa

• SCPI.CALCulate.BB(1-1).TRACe(1-1).DATA.PMEMory

• SCPI.CALCulate.PN(1-1).TRACe(1-1).DATA.PDATa

• SCPI.CALCulate.PN(1-1).TRACe(1-1).DATA.PMEMory

• SCPI.CALCulate.PS(1-1).TRACe(1-1).DATA.PDATa

• SCPI.CALCulate.PS(1-1).TRACe(1-1).DATA.PMEMory

To read an X-axis data array, use the following object:

• SCPI.CALCulate.xx.DATA.XDATa

For the transient measurement, you can use two types of object as follows:

• SCPI.CALCulate.TR(1-1).NARRow(1-2).DATA.XDATa

• SCPI.CALCulate.TR(1-1).WIDE.DATA.XDATa

To read a raw data array, use the following object:

• SCPI.CALClate.xx.DATA.RDATa

For the transient measurement, you can use two types of object as follows:

• SCPI.CALCulate.TR(1-1).NARRow(1-2).DATA.RDATa

• SCPI.CALCulate.TR(1-1).WIDE.DATA.RDATa

There is a raw array where the AM noise measurement, the baseband noise measurement, phase noise measurement and segment phase noise measurement are contained with the unit of dBc.

• SCPI.CALCulate.AM(1-1).DATA.PDATa

• SCPI.CALCulate.BB(1-1).DATA.PDATa

• SCPI.CALCulate.PN(1-1).DATA.PDATa

• SCPI.CALCulate.PS(1-1).DATA.PDATa

The E5052B VBA allows you to deal with multiple pieces of data through variables of the Double-precision Dynamic Array type. For example, a formatted data array that includes five measurement points is stored as shown in the figure below. For more information on contained data, see the section on “Reading/Writing Measurement Data”.

Example of storing data into a Variant variable

  • When you use one of the objects listed above, the base index number of the array is always 0 even if the declaration section contains the "Option Base 1" statement, which specifies the use of the base array index of 1.


Controlling Peripherals

  • Overview

  • Programming with VISA


Overview

  • Overview

  • Preparation

Other topics about Controlling Peripherals

Overview

The E5052B macro function (E5052B VBA) can be used not only to automate measurements but also to control external measurement instruments connected via USB/GPIB interface by acting as a self-contained system controller (see An Overview of a Control System Based on the Macro Function).

The E5052B macro function (E5052B VBA) performs communications via the COM interface when controlling the E5052B itself, but it communicates via VISA (Virtual Instrument Software Architecture) when controlling external measurement instruments.

Preparation

Importing Definition Files

To use the VISA library in the E5052B macro (E5052B VBA), you need to import two definition files into your project with the Visual Basic editor to define the VISA functions and perform other tasks. The definition files are stored on the sample programs disk under the following filenames (for information on importing modules, refer to Saving a Module (Exporting).

  • visa32.bas

  • vpptype.bas


Programming with VISA

  • Overview

  • Starting VISA

  • Connection

  • Communication

  • Disconnection

  • Sample Program

Other topics about Controlling Peripherals

Overview

The following figure shows the flow of controlling the instrument with VISA. When developing a VISA program in the Visual Basic language, a special programing notice (in the readme text filie listed below) must be reviewed.

For details on the use of the VISA library and the programing notice for using the VISA library with the E5052B macro (E5052B VBA), refer to the following files contained in IO library CD-ROM.

  • visa.hlp (on-line help for the VISA library)

  • vbreadme.txt (notes on using the VISA library with VB)

Flow of instrument control with VISA

STEP 1. Starting VISA

The VISA system startup session is processed in Line 90 in the sample program ctrl_ext.vba. VISA's viOpenDefaultRM function initializes and starts up the VISA system. The viOpenDefaultRM function must be executed before other VISA functions are called, and the parameter of this function is startup information (Defrm in ctrl_ext.vba).

Syntax

viOpenDefaultRM(param)

Parameter

Parameter | (param)
Description | Startup information (output)
Data type | Long integer type

STEP 2. Connection

The connection session is handled in Line 130. VISA's viOpen function makes connection with the specified instrument. The viOpen function returns a value so that the VISA functions can apply it to the specified instrument. The parameters of this function are startup information (Defrm), the address information of the specified instrument ("GPIB0::17::INSTR" in ctrl_ext.vba), access mode (0 in ctrl_ext.vba), timeout (0 in ctrl_ext.vba), and connection information (Equip in ctrl_ext.vba).

Syntax

viOpen(param1, param2, param3, param4, param5)

Parameters

Parameter | (param1)
Description | Startup information (input)
Data type | Long integer type

Parameter

(param2)

Description

Address information of the specified instrument (input)

Data type

Character string type

Syntax The grammar rules that specify how commands must be structured for an operating system, programming language, or applications.

"GPIB0::gpib address::INSTR"

"USB0::manufacturer ID::model code::serial number::0::INSTR"
(ex. "USB0::2391::2312::MY12345678::0::INSTR")

"TCPIP0:: IP Internet Protocol address::inst0::INSTR"

Parameter | (param3)
Description | Access mode ( Enter The process of inputting information. 0)

Parameter | (param4)
Description | Timeout (Enter 0)

Parameter | (param5)
Description | Connection information (output)
Data type | Long integer type

STEP 3. Communication

The communication session is conducted in Line 170. VISA's viVPrintf function sends a program message ( GPIB General Purpose Interface Bus - IEEE 488 bus is interconnect bus and protocol, allows linking of instruments and computer. command) to the specified instrument. The parameters of this function are connection information (Equip), the program message (*IDN?), and the variable to be formatted (0 in ctrl_ext.vba).

  • To input/output GPIB commands, the viVPrintf function and the viVScanf function are mainly used, but other VISA functions are also available. For more information, refer to visa.hlp (online help for the VISA library).

Syntax

viVPrintf(param1, param2, param3)

Parameters

Parameter | (param1)
Description | Connection information (input)
Data type | Long integer type

Parameter | (param2)
Description | Program message (input) When sending a program message of the GPIB command, a message terminator is required at the end of the message (Chr$(10) in ctrl_ext.vba)
Data type | Character string type

Parameter | (param3)
Description | A variable to be formatted. If not applicable, enter 0.
Data type | Specified data type

The receiving session is controlled in Line 210. VISA's viVScanf function receives the result from the specified instrument and stores it in the output variable. The parameters of this function are connection information (Equip in ctrl_ext.vba), the format parameter for the output variable (%t in ctrl_ext.vba), and the output variable (Prod in ctrl_ext.vba).

Syntax

viVScanf(param1, param2, param3)

Parameters

Parameter | (param1)
Description | Connection information (input)
Data type | Long integer type

Parameter | (param2)
Description | Format parameter for the output variable
Data type | Character string type

Parameter | (param3)
Description | Output variable (output)
Data type | Character string type

STEP 4. Disconnection

The disconnection session is handled in Line 280. VISA's viClose function disconnects communication and terminates the VISA system. The parameter of this function is startup information (Defrm in ctrl_ext.vba).

Syntax

viClose(param)

Parameter

Parameter | (param)
Description | Startup information (input)
Data type | Long integer type

Sample Program to Read Out the Product Information of Peripheral (Instrument)

The ctrl_ext.vba is a sample program to control instruments connected through USB/GPIB interface cable using the E5052B as the system controller. This VBA program consists of the following modules.

Object name | Module type | Content
mdlVisa | Standard module | Reads out the product information of external instrument.
Module1 Module2 | Standard module | Two definition files to use VISA library

  • When you control peripherals from E5052B VBA, use the GPIB commands provided for the instrument to communicate over VISA. On the other hand, when you control the E5052B itself from E5052B VBA, use the COM objects provided for the E5052B to communicate.

Lines 90 to 100

Initializes and starts up the VISA system and outputs the startup information to the Defrm variable. During this process, if an error occurs, the program goes to the error handling routine (Lines 320 to 360).

Lines 130 to 140

Establishes the connection to the external instrument (GPIB address: 17) connected via GPIB and outputs the connection information to the Equip variable. During this process, if an error occurs, the program goes to the error handling routine (Lines 320 to 360).

Lines 170 to 180

Queries the product information of the external instrument connected via USB/GPIB interface cable using VISA. During this process, if an error occurs, the program goes to the error handling routine (Lines 320 to 360).

Lines 210 to 250

Retrieves the product information through VISA and outputs it into the Prod variable. Displays the read-out result in the message box. During this process, if an error occurs, the program goes to the error handling routine (Lines 320 to 360).

Line 280

Breaks the communication and terminates the VISA system.

Lines 320 to 360

If an error occurs in a VISA function, displays the detail of the error and terminates the program.

Read out the product information (ctrl_ext.vba)

10| Sub Main()

20|

30| Dim status As Long 'VISA function status return code

40| Dim Defrm As Long 'Session to Default Resource Manager

50| Dim Equip As Long 'Session to instrument

60| Dim Prod As String * 100 'String to receive the result

70|

80| ' Initializes the VISA system.

90| status = viOpenDefaultRM(Defrm)

100| If (status <> VI_SUCCESS) Then GoTo VisaErrorHandler

110|

120| ' Opens the session to the specified instrument.

130| status = viOpen(Defrm, "GPIB0::17::INSTR", 0, 0, Equip)

140| If (status <> VI_SUCCESS) Then GoTo VisaErrorHandler

150|

160| ' Asks for the instrument's product information.

170| status = viVPrintf(Equip, "*IDN?" & Chr$(10), 0)

180| If (status <> VI_SUCCESS) Then GoTo VisaErrorHandler

190|

200| ' Reads the result.

210| status = viVScanf(Equip, "%t", Prod)

220| If (status <> VI_SUCCESS) Then GoTo VisaErrorHandler

230|

240| ' Displays the result.

250| MsgBox Prod

260|

270| ' Closes the resource manager session (which closes everything)

280| Call viClose(Defrm)

290|

300| GoTo Prog_end

310|

320| VisaErrorHandler:

330| Dim VisaErr As String * 200

340| Call viStatusDesc(Defrm, status, VisaErr)

350| MsgBox "Error : " & VisaErr, vbExclamation

360| Exit Sub

370|

380| Prog_end:

390|

400| End Sub


Overview

The E5052B’s user defined window provides graphics utility for tailoring the measurement and interpreting the results. Users can operates scale, trace, and marker functions as same as that of E5052B’s other instrument mode. This section contains:

  • Analysis Functions and Save/Recall Functions

  • How to use the User Defined Window


Analysis Functions and Save/Recall Functions

• Analyzing Data on the Trace Using the Marker

• Searching for Positions that Match Specified Criteria

• Determining the Mean, Standard Deviation, and p-p of the Trace

• Comparing Traces/ Performing Data Math

• Saving and Recalling Instrument State

• Saving Trace Data to a File

Other topics about User Defined Window


How to use the User Defined Window

  • Overview

  • Printing Measurement Data in the User Define Window

  • Example of Measurement Data in the User Defined Window

Other topics about User Defined Window

Overview

This section explains how to use the user defined window on the E5052B.

Printing Measurement Data in the User Defined Window

The E5052B’s user defined window enables the display traces by copying the data array to the trace array of the user defined window. Users can access all the data array of the user defined window via either VBA COM commands or SCPI commands. Up to 8 traces can be displayed in the E5052B’s user defined window.

The following example shows a sample procedure that demonstrates how to display traces that users define data array both in X-axis and Y-axis.

Lines 20 to 30

Defines data array to be displayed in the trace of user defined window.

Line 50

Selects and specifies the user defined window as active window.

Lines 80 to 90

Copies formatted data trace from the frequency-power measurement results to the data array defined in the VBA program.

Line 110

Specifies trace 1 as active trace

Line 140

Copies data array to X-axis data on trace 1

Line 170

Copies data array to Y-axis data on trace 1

Lines 200 to 210

Sets display unit of X-axis and Y-axis respectively.

Line 240

Execute autoscale

Line 260

Returns to the E5052B application

Example of Measurement Data in the User Defined Window

10| Sub Main()

20| Dim aryXdata() As Double

30| Dim aryYdata() As Double

40|

50| SCPI.DISPlay.USER.STATe = True

60| SCPI.DISPlay.WINDow.ACTive = "USER1"

70|

80| aryXdata = SCPI.CALCulate.FP.DATA.XDATa

90| aryYdata = SCPI.CALCulate.FP.TRACe(1).DATA.FDATa

100|

110| SCPI.DISPlay.USER.TRACe(1).STATe = True

120|

130| 'x data

140| SCPI.CALCulate.USER.TRACe(1).DATA.XDATa = aryXdata

150|

160| 'y data

170| SCPI.CALCulate.USER.TRACe(1).DATA.FDATa = aryYdata

180|

190| 'Unit

200| SCPI.DISPlay.USER.TRACe(1).X.UNIT = "V"

210| SCPI.DISPlay.USER.TRACe(1).Y.UNIT = "Hz"

220|

230| 'Auto scale

240| SCPI.DISPlay.USER.ALLTrace.Y.SCALe.AUTO

250|

260| DoEvents

270|

280| End Sub

The E5052B’s VBA program is executed as an application. Therefore, if any executed VBA program takes a long time before returning control to the E5052B, all processing operations other than VBA are suspended during this time. To prevent this, use DoEvents to return the control to the E5052B.

The value in the X-data array for the user defined window has to have incremental order, that means (the value at N point) < (the value at N+1 point). When the error message, “Illegal parameter value” is received, check the values of the X-data array data on point-to-point to ensure this rule.


COM Object Model

The COM objects provided for the E5052B are structured hierarchically as shown below.

Application Objects

The Application objects are at the top of the hierarchy of the E5052B COM object model. They consist of 3 objects dedicated to the COM interface and SCPI objects corresponding to SCPI commands.

SCPI Objects

The SCPI objects are created to realize the SCPI commands of the E5052B with the COM interface.

The conversion rules from the SCPI commands when writing SCPI object messages are as follows:

  • SCPI. must be at the beginning. Notice that the IEEE common commands start with SCPI.IEEE4882. and "*" is omitted.

  • Replace colons (:) used as the hierarchical separator symbol with dots (.).

  • The number written in the object message is specified with ( ).

  • You cannot omit the command message in the syntax.

SCPI command | COM object
OUTPUT 717;":SENS:SP:AVER:CONT 16" | SCPI.SENSe.SP.AVERage.COUNt = 16
OUTPUT 717;":SENS:SP:AVER:STAT?" ENTER 717;A$ | A = SCPI.SENSe.SP.AVERage.STATe
OUTPUT 717;"*CLS" | SCPI.IEEE4882.CLS


Notational Conventions

This section describes the notational conventions used for the description of commands reference.

Object Type

Object type describes different types of E5052B COM objects. The E5052B provides properties and methods as COM objects. COM objects which set (send)/read (return) the state of the E5052B using variables are defined as property and COM objects which does other processing are defined as method.

COM objects used only to read the state of the E5052B are indicated with "Read-only" and ones used only to set the state of the E5052B are indicated by "Write-only" . COM object that can both read and write data to the E5052B are indicated by 'Read-Write'.

Syntax

Syntax The grammar rules that specify how commands must be structured for an operating system, programming language, or applications. describes the syntax for sending a COM object from the E5052B VBA to the E5052B. The syntax consists of two parts: the object part and the set/read part, with an equal "=" inserted between them. Variables are indicated by italicized letters. Variables with () are indices. For indices with () having their preset values, you can omit "(variable)," and, if omitted, the preset values are automatically set.

The following table describes the 3 types of syntax for coding using objects:

Type | Description
"Object (property) = variable": | Set the stat of the E5052B.
variable=object (property): | Read the stat of the E5052B.
"Object (method)": | Perform some processing in the E5052B.

Description

Description describes how to use the COM object or the operation when executed.

Type

Description

Ch

Number of channels. For all measurement menus the number of channel is 1.

Tr

Number of traces.

  • For PN, SP, AM, PS and BB, number of trace is 1.

    For FP, number of trace is 3.

    For TR, number of trace is 8.

Mk

Number of markers. For all measurement menus the number of marker is 10.

Nr

Number of narrow is 2.

  • TR use only.

Variable

Variable provides description about different variables that can be used with the COM objects. It gives the description, data type, allowable range, preset value, unit, resolution, and notes for variable (italic) shown in the syntax.

  • Variables declared as the string data type (String) are not case-sensitive. For variables of the string type that indicate arguments (written as Param in the syntax), you can omit lower-case letters.

The data types of the E5052B COM objects include 5 types as shown in the following table. Before using variables, declare the data type of each variable. If you do not declare the data type of a variable, it is automatically processed as a variant type.

Data type | Name | Consumed memory | Range
Long | Long integer type | 4 bytes | -2,147,483,648 to 2,147,483,647
Double | Double precision floating point type | 8 bytes | For a negative value: -1.79769313486232E+308 to -4.94065645841247E-324 For a positive value: -1.79769313486232E+308 to -4.94065645841247E-324
Boolean | Boolean type | 2 bytes | For COM: True or False (For SCPI: ON or OFF)
String | Character string type | 1 byte / alphanumeric character | Up to approximately 2 billion characters
Variant | Variant type | 16 bytes | No limitation

Examples

Examples provides a sample example of using the object through coding with the E5052B VBA.

Related Objects

Related objects provides information about other objects that are similar/related with the object.

Equivalent Key

Equivalent key shows the operational procedure of the front panel keys that has the same effect as this object.

Equivalent SCPI command

Equivalent SCPI command shows the SCPI command to execute from an external controller. Its syntax, query response, and example of use are provided.


SCPI.IEEE4882.CLS

Object Type

Method (Write Only)

Syntax

SCPI.IEEE4882.CLS

Description

This command clears Status.

Examples

SCPI.IEEE4882.CLS

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*CLS

Example of use

10 OUTPUT 717;"*CLS"


SCPI.IEEE4882.ESE

Object Type

Property (Read-Write)

Syntax

SCPI.IEEE4882.ESE = Value

Value = SCPI.IEEE4882.ESE

Description

This command sets/gets the value of Standard Event Status Enable Register.

Variable

Parameter | Value
Description | Value of the Standard Event Status Enable Register
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.IEEE4882.ESE = Var
Var = SCPI.IEEE4882.ESE

Related Objects

SCPI.IEEE4882.SRE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*ESE {0 ~ 255}

*ESE?

Query Response

{0 ~ 255} <newline><^END>

Example of use

10 OUTPUT 717;"*ESE 0 "
20 OUTPUT 717;"*ESE ?"
30 ENTER 717;A


SCPI.IEEE4882.ESR

Object Type

Property (Read Only)

Syntax

Value = SCPI.IEEE4882.ESR

Description

This command gets the value of Standard Event Status Register.

Variable

Parameter | Value
Description | Value of the Standard Event Status Register
Data Type | Long integer type (Long)
Range | -
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var = SCPI.IEEE4882.ESR

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*ESR?

Query Response

{Long} <newline><^END>

Example of use

10 OUTPUT 717;"*ESR ?"
20 ENTER 717;A


SCPI.IEEE4882.IDN

Object Type

Property (Read Only)

Syntax

Value = SCPI.IEEE4882.IDN

Description

This command gets the product information (manufacturer, model number, serial number, and firmware version number) of the E5052B.

Variable

Parameter | Value
Description | Product information
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var = SCPI.IEEE4882.IDN

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*IDN?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;"*IDN ?"
20 ENTER 717;A$


SCPI.IEEE4882.LRN

Object Type

Property (Read Only)

Syntax

SCPI.IEEE4882.LRN

Description

This command gets device setup query.

Examples

SCPI.IEEE4882.LRN

Related Objects

SCPI.IEEE4882.IDN

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*LRN?

Example of use

10 OUTPUT 717;"*LRN ?"


SCPI.IEEE4882.OPC

Object Type

Property (Read-Write)

Syntax

SCPI.IEEE4882.OPC = Value

Value = SCPI.IEEE4882.OPC

Description

This command sets/gets Operation complete query.

  • OPC command in SCPI has no parameter. SCPI.IEEE4882.OPC command has a dummy parameter.".

Variable

Parameter | Value
Description | Operation complete query
Data Type | Long integer type (Long)
Range | -
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
SCPI.IEEE4882.OPC = Var
Var = SCPI.IEEE4882.OPC

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*OPC

*OPC?

Query Response

{Long} <newline><^END>

Example of use

10 OUTPUT 717;"*OPC -"
20 OUTPUT 717;"*OPC ?"
30 ENTER 717;A


SCPI.IEEE4882.OPT

Object Type

Property (Read Only)

Syntax

Value = SCPI.IEEE4882.OPT

Description

This command gets model option.

Variable

Parameter | Value
Description | Model option
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var = SCPI.IEEE4882.OPT

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*OPT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;"*OPT ?"
20 ENTER 717;A$


SCPI.IEEE4882.RST

Object Type

Method (Write Only)

Syntax

SCPI.IEEE4882.RST

Description

This command resets instrument state.

Examples

SCPI.IEEE4882.RST

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*RST

Example of use

10 OUTPUT 717;"*RST"


SCPI.IEEE4882.SRE

Object Type

Property (Read-Write)

Syntax

SCPI.IEEE4882.SRE = Value

Value = SCPI.IEEE4882.SRE

Description

This command sets/gets service request enable register.

  • Only bit[0-5,7] are used. When query, bit 6 is always 0.

Variable

Parameter | Value
Description | Service request enable register
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.IEEE4882.SRE = Var
Var = SCPI.IEEE4882.SRE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*SRE {0 ~ 255}

*SRE?

Query Response

{0 ~ 255} <newline><^END>

Example of use

10 OUTPUT 717;"*SRE 0 "
20 OUTPUT 717;"*SRE ?"
30 ENTER 717;A


SCPI.IEEE4882.STB

Object Type

Property (Read Only)

Syntax

Value = SCPI.IEEE4882.STB

Description

This command gets status byte register. 8 bits..

Variable

Parameter | Value
Description | Status byte register
Data Type | Long integer type (Long)
Range | -
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var = SCPI.IEEE4882.STB

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*STB?

Query Response

{Long} <newline><^END>

Example of use

10 OUTPUT 717;"*STB ?"
20 ENTER 717;A


SCPI.IEEE4882.TRG

Object Type

Method (Write Only)

Syntax

SCPI.IEEE4882.TRG

Description

This command sets BUS Trigger.

Examples

SCPI.IEEE4882.TRG

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*TRG

Example of use

10 OUTPUT 717;"*TRG"


SCPI.IEEE4882.TST

Object Type

Property (Read Only)

Syntax

Value = SCPI.IEEE4882.TST

Description

This command gets Self-Test Query. During the TST? command execution, the cursor of mouse shows an hourglass. From Firmware ver A.03.10, this command executes in the following manner:

• Resets (*RST) the E5052B. However, the display is not renewed.

• Executes the E5052B Self test (same as the Power On test).

• Executes the E5053A Self test (if E5053A is connected i.e. the power is On, and USB is connected)

• Resets (*RST) the E5052B again.

Depending on the Self test result, this command return the values:

• 0: Pass (Both E5052B and E5053A pass)

• 1: Fail (If either one of them fails, to be Fail)

  • When E5053A is not connected, this command determine the result of E5052B alone.

  • Do not turn off the E5053A power supply and disconnect the USB during the *TST? command execution when E5053A is connected.

  • If E5053A is disconnected during the measurement, the test time becomes longer and the test result may Fail. The E5053A should be disconnected before or after the *TST command.

Variable

Parameter | Value
Description | Self-Test Query
Data Type | Long integer type (Long)
Range | 0 or 1
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var = SCPI.IEEE4882.TST

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*TST?

Query Response

{Long} <newline><^END>

Example of use

10 OUTPUT 717;"*TST ?"
20 ENTER 717;A


SCPI.IEEE4882.WAI

Object Type

Method (Write Only)

Syntax

SCPI.IEEE4882.WAI

Description

This command sets Wait to Continue Command.

Examples

SCPI.IEEE4882.WAI

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

*WAI

Example of use

10 OUTPUT 717;"*WAI"


SCPI.ABORt

Object Type

Method (Write Only)

Syntax

SCPI.ABORt

Description

This command aborts current sweep.

Examples

SCPI.ABORt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:ABORt

Example of use

10 OUTPUT 717;":ABORt"


SCPI.CALCulate.AM(Ch).ALLTrace.LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.AM(Ch).ALLTrace.LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected channel Ch.

Variable

Parameter | Value
Description | Result of limit test
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.AM1.ALLTrace.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:ALLTrace:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:ALLTrace:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.COUPle.STATe = Value

Value = SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.COUPle.STATe

Description

This command sets/gets marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker Coupling Function state (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.ALLTrace.MARKer.COUPle.STATe = Var
Var = SCPI.CALCulate.AM1.ALLTrace.MARKer.COUPle.STATe

Related Objects

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:ALLTrace:MARKer:COUPle:STATe {ON|OFF|1|0}

:CALCulate:AM[1-1]:ALLTrace:MARKer:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:ALLTrace:MARKer:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:AM1:ALLTrace:MARKer:COUPle:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.DISCrete.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.DISCrete.STATe = Value

Value = SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.DISCrete.STATe

Description

This command sets/gets marker discrete on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Enables/Disables marker discrete
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.ALLTrace.MARKer.DISCrete.STATe = Var
Var = SCPI.CALCulate.AM1.ALLTrace.MARKer.DISCrete.STATe

Related Objects

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

AM Menu: Marker > More Functions > Discrete

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:ALLTrace:MARKer:DISCrete:STATe {ON|OFF|1|0}

:CALCulate:AM[1-1]:ALLTrace:MARKer:DISCrete:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:ALLTrace:MARKer:DISCrete:STATe 1"
20 OUTPUT 717;":CALCulate:AM1:ALLTrace:MARKer:DISCrete:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.NUMBer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.NUMBer = Value

Value = SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.NUMBer

Description

This command sets/gets reference marker number., for the selected channel Ch.

Variable

Parameter | Value
Description | Marker reference number
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.AM1.ALLTrace.MARKer.REFerence.NUMBer = Var
Var = SCPI.CALCulate.AM1.ALLTrace.MARKer.REFerence.NUMBer

Related Objects

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

AM Menu: Marker > More Functions > Ref Marker

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:ALLTrace:MARKer:REFerence:NUMBer {1 ~ 10}

:CALCulate:AM[1-1]:ALLTrace:MARKer:REFerence:NUMBer?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:ALLTrace:MARKer:REFerence:NUMBer 1 "
20 OUTPUT 717;":CALCulate:AM1:ALLTrace:MARKer:REFerence:NUMBer ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.STATe = Value

Value = SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.STATe

Description

This command sets/gets delta marker mode on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Delta marker mode (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.ALLTrace.MARKer.REFerence.STATe = Var
Var = SCPI.CALCulate.AM1.ALLTrace.MARKer.REFerence.STATe

Related Objects

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.NUMBer

Equivalent Key

AM Menu: Marker > More Functions > Ref Marker Mode

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:ALLTrace:MARKer:REFerence:STATe {ON|OFF|1|0}

:CALCulate:AM[1-1]:ALLTrace:MARKer:REFerence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:ALLTrace:MARKer:REFerence:STATe 1"
20 OUTPUT 717;":CALCulate:AM1:ALLTrace:MARKer:REFerence:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).DATA.CARRier

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).DATA.CARRier = Value

Value = SCPI.CALCulate.AM(Ch).DATA.CARRier

Description

This command sets/gets Carrier data: freq, power, for the selected channel Ch.

Variable

Parameter | Value
Description | Carrier data: Freq & Power
Data Type | Variant type Array (Range)
Range | 1...2
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 2) as Variant
SCPI.CALCulate.AM1.DATA.CARRier = Var
Var = SCPI.CALCulate.AM1.DATA.CARRier

Related Objects

SCPI.CALCulate.AM(Ch).DATA.PDATa

SCPI.CALCulate.AM(Ch).DATA.RDATa

SCPI.CALCulate.AM(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:DATA:CARRier {1...2}

:CALCulate:AM[1-1]:DATA:CARRier?

Query Response

{1...2} <newline><^END>

Example of use

10 Dim A(1:2)
20 OUTPUT 717;":CALCulate:AM1:DATA:CARRier 1,2"
30 OUTPUT 717;":CALCulate:AM1:DATA:CARRier ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).DATA.PDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).DATA.PDATa = Value

Value = SCPI.CALCulate.AM(Ch).DATA.PDATa

Description

This command sets/gets measurement raw power data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw power data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.AM1.DATA.PDATa = Var
Var = SCPI.CALCulate.AM1.DATA.PDATa

Related Objects

SCPI.CALCulate.AM(Ch).DATA.CARRier

SCPI.CALCulate.AM(Ch).DATA.RDATa

SCPI.CALCulate.AM(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:DATA:PDATa {1...1601}

:CALCulate:AM[1-1]:DATA:PDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:DATA:PDATa 1,1601"
30 OUTPUT 717;":CALCulate:AM1:DATA:PDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).DATA.RDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).DATA.RDATa = Value

Value = SCPI.CALCulate.AM(Ch).DATA.RDATa

Description

This command sets/gets measurement raw data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.AM1.DATA.RDATa = Var
Var = SCPI.CALCulate.AM1.DATA.RDATa

Related Objects

SCPI.CALCulate.AM(Ch).DATA.CARRier

SCPI.CALCulate.AM(Ch).DATA.PDATa

SCPI.CALCulate.AM(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:DATA:RDATa {1...1601}

:CALCulate:AM[1-1]:DATA:RDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:DATA:RDATa 1,1601"
30 OUTPUT 717;":CALCulate:AM1:DATA:RDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).DATA.XDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.AM(Ch).DATA.XDATa

Description

This command gets X axis data, for the selected channel Ch.

Variable

Parameter | Value
Description | X axis data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.AM1.DATA.XDATa

Related Objects

SCPI.CALCulate.AM(Ch).DATA.CARRier

SCPI.CALCulate.AM(Ch).DATA.PDATa

SCPI.CALCulate.AM(Ch).DATA.RDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:DATA:XDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:DATA:XDATa ?"
30 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.ACTive = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.ACTive

Description

This command sets/gets active marker, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Active marker
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.AM1.TRACe1.ALLMarker.ACTive = Var
Var = SCPI.CALCulate.AM1.TRACe1.ALLMarker.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:ALLMarker:ACTive {1 ~ 10}

:CALCulate:AM[1-1]:TRACe[1-1]:ALLMarker:ACTive?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:ALLMarker:ACTive 1 "
20 OUTPUT 717;":CALCulate:AM1:TRACe1:ALLMarker:ACTive ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Description

This command sets/gets marker search X range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search X range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.AM1.TRACe1.ALLMarker.SEARch.DOMain.X = Var
Var = SCPI.CALCulate.AM1.TRACe1.ALLMarker.SEARch.DOMain.X

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

AM Menu: Marker Search > Search Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:X {FRANge|BDMarker}

:CALCulate:AM[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:ALLMarker:SEARch:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:ALLMarker:SEARch:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Description

This command sets/gets marker search Y range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search Y range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.AM1.TRACe1.ALLMarker.SEARch.DOMain.Y = Var
Var = SCPI.CALCulate.AM1.TRACe1.ALLMarker.SEARch.DOMain.Y

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

AM Menu: Marker Search > Search Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:Y {FRANge|BDMarker}

:CALCulate:AM[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:ALLMarker:SEARch:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:ALLMarker:SEARch:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Description

This command sets search peak all, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.ALLMarker.SEARch.PEAK

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Equivalent Key

AM Menu: Marker Search > Peak > Search Peak All

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:ALLMarker:SEARch:PEAK

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:ALLMarker:SEARch:PEAK"


SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious

Description

This command sets search spurious all, for the selected trace Tr of the selected channel Ch. You can display up to 10 markers.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.AM1.TRACe1.ALLMarker.SEARch.SPURious

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Equivalent Key

AM Menu: Marker Search > Spurious > Search Spurious All

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:ALLMarker:SEARch:SPURious

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:ALLMarker:SEARch:SPURious"


SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer

Description

This command sets/gets band marker X center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.AM1.TRACe1.BDMarker.X.CENTer = Var
Var = SCPI.CALCulate.AM1.TRACe1.BDMarker.X.CENTer

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

AM Menu: Marker Search > Band Marker X > Center

AM Menu: Marker Function > Band Marker X > Center

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:X:CENTer {-1T ~ 1T}

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:X:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:X:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:X:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN

Description

This command sets/gets band marker X span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.AM1.TRACe1.BDMarker.X.SPAN = Var
Var = SCPI.CALCulate.AM1.TRACe1.BDMarker.X.SPAN

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

AM Menu: Marker Search > Band Marker X > Span

AM Menu: Marker Function > Band Marker X > Span

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:X:SPAN {0 ~ 2T}

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:X:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:X:SPAN 0"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:X:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt

Description

This command sets/gets band marker X start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.AM1.TRACe1.BDMarker.X.STARt = Var
Var = SCPI.CALCulate.AM1.TRACe1.BDMarker.X.STARt

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

AM Menu: Marker Search > Band Marker X > Start

AM Menu: Marker Function > Band Marker X > Start

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:X:STARt {-1T ~ 1T}

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:X:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:X:STARt -10000000000"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:X:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker visibility (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.TRACe1.BDMarker.X.STATe = Var
Var = SCPI.CALCulate.AM1.TRACe1.BDMarker.X.STATe

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

AM Menu: Marker Search > Band Marker X > Band Marker X

AM Menu: Marker Function > Band Marker X > Band Marker X

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:X:STATe {ON|OFF|1|0}

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:X:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:X:STATe 1"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:X:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP

Description

This command sets/gets band marker X stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.AM1.TRACe1.BDMarker.X.STOP = Var
Var = SCPI.CALCulate.AM1.TRACe1.BDMarker.X.STOP

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe

Equivalent Key

AM Menu: Marker Search > Band Marker X > Stop

AM Menu: Marker Function > Band Marker X > Stop

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:X:STOP {-1T ~ 1T}

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:X:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:X:STOP -10000000000"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:X:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer

Description

This command sets/gets band marker Y center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.AM1.TRACe1.BDMarker.Y.CENTer = Var
Var = SCPI.CALCulate.AM1.TRACe1.BDMarker.Y.CENTer

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

AM Menu: Marker Search > Band Marker Y > Center

AM Menu: Marker Function > Band Marker Y > Center

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:Y:CENTer {-1T ~ 1T}

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:Y:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:Y:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:Y:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN

Description

This command sets/gets band marker Y span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.AM1.TRACe1.BDMarker.Y.SPAN = Var
Var = SCPI.CALCulate.AM1.TRACe1.BDMarker.Y.SPAN

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

AM Menu: Marker Search > Band Marker Y > Span

AM Menu: Marker Function > Band Marker Y > Span

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:Y:SPAN {0 ~ 2T}

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:Y:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:Y:SPAN 0"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:Y:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt

Description

This command sets/gets band marker Y start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.AM1.TRACe1.BDMarker.Y.STARt = Var
Var = SCPI.CALCulate.AM1.TRACe1.BDMarker.Y.STARt

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

AM Menu: Marker Search > Band Marker Y > Start

AM Menu: Marker Function > Band Marker Y > Start

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:Y:STARt {-1T ~ 1T}

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:Y:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:Y:STARt -10000000000"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:Y:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.TRACe1.BDMarker.Y.STATe = Var
Var = SCPI.CALCulate.AM1.TRACe1.BDMarker.Y.STATe

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

AM Menu: Marker Search > Band Marker Y > Band Marker Y

AM Menu: Marker Function > Band Marker Y > Band Marker Y

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:Y:STATe {ON|OFF|1|0}

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:Y:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:Y:STATe 1"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:Y:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP

Description

This command sets/gets band marker Y stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.AM1.TRACe1.BDMarker.Y.STOP = Var
Var = SCPI.CALCulate.AM1.TRACe1.BDMarker.Y.STOP

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe

Equivalent Key

AM Menu: Marker Search > Band Marker Y > Stop

AM Menu: Marker Function > Band Marker Y > Stop

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:Y:STOP {-1T ~ 1T}

:CALCulate:AM[1-1]:TRACe[1-1]:BDMarker:Y:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:Y:STOP -10000000000"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:BDMarker:Y:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.COPY

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.COPY = Value

Description

This command copies data to user trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Copies data to user trace
Data Type | Long integer type (Long)
Range | 1 ~ 8
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.AM1.TRACe1.DATA.COPY = Var

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:COPY {1 ~ 8}

Query Response

{1 ~ 8} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:COPY 1 "
20 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa

Description

This command sets/gets formatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted trace data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.AM1.TRACe1.DATA.FDATa = Var
Var = SCPI.CALCulate.AM1.TRACe1.DATA.FDATa

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:FDATa {1...1601}

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:FDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:FDATa 1,1601"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:FDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory

Description

This command sets/gets formatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.AM1.TRACe1.DATA.FMEMory = Var
Var = SCPI.CALCulate.AM1.TRACe1.DATA.FMEMory

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:FMEMory {1...1601}

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:FMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:FMEMory 1,1601"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:FMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa

Description

This command sets/gets dBc data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | dBC data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.AM1.TRACe1.DATA.PDATa = Var
Var = SCPI.CALCulate.AM1.TRACe1.DATA.PDATa

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:PDATa {1...1601}

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:PDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:PDATa 1,1601"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:PDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory

Description

This command sets/gets dBc memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | dBc memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.AM1.TRACe1.DATA.PMEMory = Var
Var = SCPI.CALCulate.AM1.TRACe1.DATA.PMEMory

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:PMEMory {1...1601}

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:PMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:PMEMory 1,1601"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:PMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SDATa

Description

This command gets spurious data (0 or 1), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.AM1.TRACe1.DATA.SDATa

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:SDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:SDATa ?"
30 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SMEMory

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SMEMory

Description

This command gets spurious memory data (0 or 1), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.AM1.TRACe1.DATA.SMEMory

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:SMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:SMEMory ?"
30 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa

Description

This command sets/gets unformatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted trace data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.AM1.TRACe1.DATA.UDATa = Var
Var = SCPI.CALCulate.AM1.TRACe1.DATA.UDATa

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:UDATa {1...1601}

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:UDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:UDATa 1,1601"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:UDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UMEMory

Description

This command sets/gets unformatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.AM1.TRACe1.DATA.UMEMory = Var
Var = SCPI.CALCulate.AM1.TRACe1.DATA.UMEMory

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).DATA.UDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:UMEMory {1...1601}

:CALCulate:AM[1-1]:TRACe[1-1]:DATA:UMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:UMEMory 1,1601"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:DATA:UMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).EQUation.TEXT

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).EQUation.TEXT = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).EQUation.TEXT

Description

This command sets/gets equation string, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Equation string
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 170, "Invalid equation label" 171, "Invalid equation expression"

Examples

Dim Var as String
SCPI.CALCulate.AM1.TRACe1.EQUation.TEXT = Var
Var = SCPI.CALCulate.AM1.TRACe1.EQUation.TEXT

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:EQUation:TEXT

:CALCulate:AM[1-1]:TRACe[1-1]:EQUation:TEXT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:EQUation:TEXT Sample_Text"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:EQUation:TEXT ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.X = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.X

Description

This command sets/gets X analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.AM1.TRACe1.FUNCtion.DOMain.X = Var
Var = SCPI.CALCulate.AM1.TRACe1.FUNCtion.DOMain.X

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

AM Menu: Marker Function > Analysis Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:FUNCtion:DOMain:X {FRANge|BDMarker}

:CALCulate:AM[1-1]:TRACe[1-1]:FUNCtion:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:FUNCtion:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:FUNCtion:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.Y = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Description

This command sets/gets Y analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Y analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.AM1.TRACe1.FUNCtion.DOMain.Y = Var
Var = SCPI.CALCulate.AM1.TRACe1.FUNCtion.DOMain.Y

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

AM Menu: Marker Function > Analysis Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:FUNCtion:DOMain:Y {FRANge|BDMarker}

:CALCulate:AM[1-1]:TRACe[1-1]:FUNCtion:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:FUNCtion:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:FUNCtion:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Description

This command gets trace data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Multiple
Var= FRANge
Var = SCPI.CALCulate.AM1.TRACe1.FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:FUNCtion:STATistics:DATA?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:FUNCtion:STATistics:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Description

This command gets memory data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Memory data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Memory data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Memory data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Multiple
Var= FRANge
Var = SCPI.CALCulate.AM1.TRACe1.FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:FUNCtion:STATistics:MEMory?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:FUNCtion:STATistics:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.TYPE = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.TYPE

Description

This command sets/gets Analysis type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Analysis type
Data Type | Character string type (String)
Range | OFF|STATistics
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.AM1.TRACe1.FUNCtion.TYPE = Var
Var = SCPI.CALCulate.AM1.TRACe1.FUNCtion.TYPE

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

Equivalent Key

AM Menu: Marker Function > Analysis Type

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:FUNCtion:TYPE {OFF|STATistics}

:CALCulate:AM[1-1]:TRACe[1-1]:FUNCtion:TYPE?

Query Response

{OFF|STATistics} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:FUNCtion:TYPE OFF"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:FUNCtion:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).HOLD

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).HOLD = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).HOLD

Description

This command sets/gets Data hold, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data hold
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.AM1.TRACe1.HOLD = Var
Var = SCPI.CALCulate.AM1.TRACe1.HOLD

Equivalent Key

AM Menu: Trace View > Data Hold

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:HOLD {OFF|MAXimum|MINimum}

:CALCulate:AM[1-1]:TRACe[1-1]:HOLD?

Query Response

{OFF|MAXimum|MINimum} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:HOLD OFF"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:HOLD ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test result
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.AM1.TRACe1.LIMit.FAIL

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Description

This command sets/gets expanded lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit line
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.AM1.TRACe1.LIMit.LOWer.LDATa = Var
Var = SCPI.CALCulate.AM1.TRACe1.LIMit.LOWer.LDATa

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa {1...1601}

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:LOWer:LDATa 1,1601"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:LOWer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Description

This command sets Clear lower limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.LIMit.LOWer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:LOWer:SEGMent:CLEar"


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Description

This command sets/gets number of lower limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit segments
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.AM1.TRACe1.LIMit.LOWer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.AM1.TRACe1.LIMit.LOWer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:COUNt {1 ~ 100}

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:LOWer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:LOWer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Description

This command sets/gets lower limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.AM1.TRACe1.LIMit.LOWer.SEGMent.DATA = Var
Var = SCPI.CALCulate.AM1.TRACe1.LIMit.LOWer.SEGMent.DATA

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA {1...400}

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:LOWer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:LOWer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

Description

This command gets pass/fail list, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test report
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.AM1.TRACe1.LIMit.REPort.DATA

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:REPort[:DATA]?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:REPort[:DATA] ?"
30 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

Description

This command sets/gets limit test on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.TRACe1.LIMit.STATe = Var
Var = SCPI.CALCulate.AM1.TRACe1.LIMit.STATe

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

AM Menu: Display > Limit Test > Limit Test

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit[:STATe] 1"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit[:STATe] ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Description

This command sets/gets expanded upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.AM1.TRACe1.LIMit.UPPer.LDATa = Var
Var = SCPI.CALCulate.AM1.TRACe1.LIMit.UPPer.LDATa

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa {1...1601}

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:UPPer:LDATa 1,1601"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:UPPer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Description

This command sets Clear upper limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.LIMit.UPPer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:UPPer:SEGMent:CLEar"


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Description

This command sets/gets number of upper limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit segment
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.AM1.TRACe1.LIMit.UPPer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.AM1.TRACe1.LIMit.UPPer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:COUNt {1 ~ 100}

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:UPPer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:UPPer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Description

This command sets/gets upper limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.AM1.TRACe1.LIMit.UPPer.SEGMent.DATA = Var
Var = SCPI.CALCulate.AM1.TRACe1.LIMit.UPPer.SEGMent.DATA

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA {1...400}

:CALCulate:AM[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:UPPer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:LIMit:UPPer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Description

This command sets marker search LPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.LPEak

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

AM Menu: Marker Search > Peak > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:LPEak

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute:LPEak"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

Description

This command sets marker search LSPurious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.LSPurious

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

AM Menu: Marker Search > Spurious > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute.LSPurious

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute.LSPurious"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Description

This command sets marker search LTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.LTARget

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

AM Menu: Marker Search > Target > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:LTARget

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute:LTARget"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Description

This command sets marker search MAXimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.MAXimum

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

AM Menu: Marker Search > Search Max

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:MAXimum

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute:MAXimum"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Description

This command sets marker search MINimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.MINimum

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

AM Menu: Marker Search > Search Min

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:MINimum

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute:MINimum"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Description

This command sets marker search PEAK, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.PEAK

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

AM Menu: Marker Search > Peak > Search Peak

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:PEAK

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute:PEAK"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Description

This command sets marker search RPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.RPEak

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

AM Menu: Marker Search > Peak > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RPEak

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute:RPEak"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

Description

This command sets marker search RSPurious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.RSPurious

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

AM Menu: Marker Search > Spurious > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RSPurious

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute:RSPurious"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Description

This command sets marker search RTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.RTARget

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

AM Menu: Marker Search > Target > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RTARget

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute:RTARget"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Description

This command sets marker search SPURious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.SPURious

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

AM Menu: Marker Search > Spurious > Search Spurious

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:SPURious

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute:SPURious"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Description

This command sets marker search TARGet, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.EXECute.TARGet

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Equivalent Key

AM Menu: Marker Search > Target > Search Target

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:TARGet

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:EXECute:TARGet"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Description

This command sets/gets marker-search-peak excursion value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak excursion value
Data Type | Double precision floating point type (Double)
Range | 0 ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.PEAK.EXCursion = Var
Var = SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.PEAK.EXCursion

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Equivalent Key

AM Menu: Marker Search > Peak > Peak Excursion

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:EXCursion {0 ~ 10G}

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:EXCursion?

Query Response

{0 ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:PEAK:EXCursion 0"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:PEAK:EXCursion ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Description

This command sets/gets marker-search-peak polarity type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak polarity type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.PEAK.POLarity = Var
Var = SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.PEAK.POLarity

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Equivalent Key

AM Menu: Marker Search > Peak > Peak Polarity

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:POLarity {POSitive|NEGative|BOTH}

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:POLarity?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:PEAK:POLarity POSitive"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:PEAK:POLarity ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Description

This command sets/gets marker-target transition type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.TARGet.TRANsition = Var
Var = SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.TARGet.TRANsition

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Equivalent Key

AM Menu: Marker Search > Target > Target Transition

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:TRANsition {POSitive|NEGative|BOTH}

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:TRANsition?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:TARGet:TRANsition POSitive"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:TARGet:TRANsition ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Description

This command sets/gets marker target value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target value
Data Type | Double precision floating point type (Double)
Range | -10G ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.TARGet.Y = Var
Var = SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.TARGet.Y

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Equivalent Key

AM Menu: Marker Search > Target > Target Value

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:Y {-10G ~ 10G}

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:Y?

Query Response

{-10G ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:TARGet:Y -10000000000"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:TARGet:Y ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Description

This command sets/gets marker search tracking type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search tracking type
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum|PEAK|TARGet|SPURious
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.TRACking.TYPE = Var
Var = SCPI.CALCulate.AM1.TRACe1.MARKer10.SEARch.TRACking.TYPE

Equivalent Key

AM Menu: Marker Search > Tracking

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TRACking:TYPE {OFF|MAXimum|MINimum|PEAK|TARGet|SPURious}

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TRACking:TYPE?

Query Response

{OFF|MAXimum|MINimum|PEAK|TARGet|SPURious} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:TRACking:TYPE OFF"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:SEARch:TRACking:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).STATe = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).STATe

Description

This command sets/gets marker visible on/off, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker visible state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.TRACe1.MARKer10.STATe = Var
Var = SCPI.CALCulate.AM1.TRACe1.MARKer10.STATe

Equivalent Key

AM Menu: Marker > Clear Marker Menu > Marker 1

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:STATe {ON|OFF|1|0}

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:STATe 1"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).X = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).X

Description

This command sets/gets marker x position., for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker X position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | 1k
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
SCPI.CALCulate.AM1.TRACe1.MARKer10.X = Var
Var = SCPI.CALCulate.AM1.TRACe1.MARKer10.X

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).Y

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:X

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:X?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:X 0"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:X ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).Y

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).Y

Description

This command gets marker y position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker Y position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.CALCulate.AM1.TRACe1.MARKer10.Y

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).X

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MARKer[1-10]:Y?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MARKer10:Y ?"
20 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.FUNCtion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.FUNCtion = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.FUNCtion

Description

This command sets/gets math operation type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Math function operation
Data Type | Character string type (String)
Range | NORMal|SUBTract|DIVide|ADD|MULTiply|USER
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.CALCulate.AM1.TRACe1.MATH.FUNCtion = Var
Var = SCPI.CALCulate.AM1.TRACe1.MATH.FUNCtion

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.MEMorize

SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

AM Menu: Trace View > Data Math

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MATH:FUNCtion {NORMal|SUBTract|DIVide|ADD|MULTiply|USER}

:CALCulate:AM[1-1]:TRACe[1-1]:MATH:FUNCtion?

Query Response

{NORMal|SUBTract|DIVide|ADD|MULTiply|USER} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MATH:FUNCtion NORMal"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:MATH:FUNCtion ?"
30 ENTER 717;A$


SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.MEMorize

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.MEMorize

Description

This command copies data to memory, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.MATH.MEMorize

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MATH:MEMorize

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MATH:MEMorize"


SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.OFFSet = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.OFFSet

Description

This command sets/gets Trace Offset, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace offset
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.CALCulate.AM1.TRACe1.MATH.OFFSet = Var
Var = SCPI.CALCulate.AM1.TRACe1.MATH.OFFSet

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.MEMorize

Equivalent Key

AM Menu: Trace View > Offset

AM Menu: Trace View > Marker > -Offset

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:MATH:OFFSet {-500G ~ 500G}

:CALCulate:AM[1-1]:TRACe[1-1]:MATH:OFFSet?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:MATH:OFFSet -500000000000"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:MATH:OFFSet ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

Description

This command sets/gets Smoothing aperture, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing aperture
Data Type | Double precision floating point type (Double)
Range | 50m ~ 25
Preset Value | 1.5
Unit | %
Resolution | 10m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.05
SCPI.CALCulate.AM1.TRACe1.SMOothing.APERture = Var
Var = SCPI.CALCulate.AM1.TRACe1.SMOothing.APERture

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

AM Menu: Trace View > Aperture

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SMOothing:APERture {50m ~ 25}

:CALCulate:AM[1-1]:TRACe[1-1]:SMOothing:APERture?

Query Response

{50m ~ 25} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SMOothing:APERture 0.05"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SMOothing:APERture ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

Description

This command sets/gets Smoothing on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing (On/OFF)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.TRACe1.SMOothing.STATe = Var
Var = SCPI.CALCulate.AM1.TRACe1.SMOothing.STATe

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

AM Menu: Trace View > Smoothing

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SMOothing:STATe {ON|OFF|1|0}

:CALCulate:AM[1-1]:TRACe[1-1]:SMOothing:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SMOothing:STATe 1"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SMOothing:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

Description

This command sets/gets Spurious display omission ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display omission
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.TRACe1.SPURious.OMISsion = Var
Var = SCPI.CALCulate.AM1.TRACe1.SPURious.OMISsion

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:OMISsion {ON|OFF|1|0}

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:OMISsion?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:OMISsion 1"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:OMISsion ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

Description

This command clears threshold table, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.SPURious.OSSPur.FLISt.CLEar

Related Objects

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:CLEar

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:OSSPur:FLISt:CLEar"


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

Description

This command sets/gets Spurious Table for Omit Specified Spurious, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious table for omit specified spurious
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.AM1.TRACe1.SPURious.OSSPur.FLISt.COUNt = Var
Var = SCPI.CALCulate.AM1.TRACe1.SPURious.OSSPur.FLISt.COUNt

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:COUNt {1 ~ 100}

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:OSSPur:FLISt:COUNt 1 "
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:OSSPur:FLISt:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Description

This command sets/gets threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Threshold table
Data Type | Variant type Array (Range)
Range | 1...100
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 100) as Variant
SCPI.CALCulate.AM1.TRACe1.SPURious.OSSPur.FLISt.DATA = Var
Var = SCPI.CALCulate.AM1.TRACe1.SPURious.OSSPur.FLISt.DATA

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:DATA {1...100}

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:DATA?

Query Response

{1...100} <newline><^END>

Example of use

10 Dim A(1:100)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:OSSPur:FLISt:DATA 1,100"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:OSSPur:FLISt:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Description

This command sets/gets Specified Spurious display omission ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display mission for the selected trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.TRACe1.SPURious.OSSPur.OMISsion = Var
Var = SCPI.CALCulate.AM1.TRACe1.SPURious.OSSPur.OMISsion

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:OSSPur:OMISsion {ON|OFF|1|0}

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:OSSPur:OMISsion?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:OSSPur:OMISsion 1"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:OSSPur:OMISsion ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

Description

This command sets/gets Spurious display merging ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display merging
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.AM1.TRACe1.SPURious.POWer = Var
Var = SCPI.CALCulate.AM1.TRACe1.SPURious.POWer

Related Objects

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:POWer {ON|OFF|1|0}

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:POWer?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:POWer 1"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:POWer ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

Description

This command sets/gets spurious sensibility, for the selected trace Tr of the selected channel Ch.

The low peak has real sensibility when the value is small.

Variable

Parameter | Value
Description | Spurious sensibility
Data Type | Double precision floating point type (Double)
Range | 10m ~ 10
Preset Value | 3
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 5
SCPI.CALCulate.AM1.TRACe1.SPURious.SENSibility = Var
Var = SCPI.CALCulate.AM1.TRACe1.SPURious.SENSibility

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

AM Menu: Trace View > Spurious > Spur Sensibility

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:SENSibility {10m ~ 10}

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:SENSibility?

Query Response

{10m ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:SENSibility 5"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:SENSibility?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

Description

This command gets Spurious List, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious list
Data Type | Variant type Array (Range)
Range | 1...0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 0) as Variant
Var = SCPI.CALCulate.AM1.TRACe1.SPURious.SLISt

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:SLISt?

Query Response

{1...0} <newline><^END>

Example of use

10 Dim A(1:0)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:SLISt ?"
30 ENTER 717;A(*)


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

Description

This command sets/gets spurious minimum level definition, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious minimum level definition
Data Type | Double precision floating point type (Double)
Range | -500 ~ 500
Preset Value | -500
Unit | dBc
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.AM1.TRACe1.SPURious.THReshold.LEVel.MINimum = Var
Var = SCPI.CALCulate.AM1.TRACe1.SPURious.THReshold.LEVel.MINimum

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

AM Menu: Trace View > Spurious > Minimum Spur Level

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:THReshold:LEVel:MINimum {-500 ~ 500}

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:THReshold:LEVel:MINimum?

Query Response

{-500 ~ 500} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:THReshold:LEVel:MINimum 0"
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:THReshold:LEVel:MINimum ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

Description

This command clears threshold table, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.AM1.TRACe1.SPURious.THReshold.TABLe.CLEar

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:CLEar

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:THReshold:TABLe:CLEar"


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Description

This command sets/gets number of threshold segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Number of threshold segments
Data Type | Long integer type (Long)
Range | 1 ~ 20
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.AM1.TRACe1.SPURious.THReshold.TABLe.COUNt = Var
Var = SCPI.CALCulate.AM1.TRACe1.SPURious.THReshold.TABLe.COUNt

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:COUNt {1 ~ 20}

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:COUNt?

Query Response

{1 ~ 20} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:THReshold:TABLe:COUNt 1 "
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:THReshold:TABLe:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA = Value

Value = SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Description

This command sets/gets threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Threshold table
Data Type | Variant type Array (Range)
Range | 1...60
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 60) as Variant
SCPI.CALCulate.AM1.TRACe1.SPURious.THReshold.TABLe.DATA = Var
Var = SCPI.CALCulate.AM1.TRACe1.SPURious.THReshold.TABLe.DATA

Related Objects

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA {1...60}

:CALCulate:AM[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA?

Query Response

{1...60} <newline><^END>

Example of use

10 Dim A(1:60)
20 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:THReshold:TABLe:DATA 1,60"
30 OUTPUT 717;":CALCulate:AM1:TRACe1:SPURious:THReshold:TABLe:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).ALLTrace.LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.BB(Ch).ALLTrace.LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected channel Ch.

Variable

Parameter | Value
Description | Result of limit test
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.BB1.ALLTrace.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:ALLTrace:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:ALLTrace:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.COUPle.STATe = Value

Value = SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.COUPle.STATe

Description

This command sets/gets marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker Coupling Function state (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.ALLTrace.MARKer.COUPle.STATe = Var
Var = SCPI.CALCulate.BB1.ALLTrace.MARKer.COUPle.STATe

Related Objects

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:ALLTrace:MARKer:COUPle:STATe {ON|OFF|1|0}

:CALCulate:BB[1-1]:ALLTrace:MARKer:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:ALLTrace:MARKer:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:BB1:ALLTrace:MARKer:COUPle:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.DISCrete.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.DISCrete.STATe = Value

Value = SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.DISCrete.STATe

Description

This command sets/gets marker discrete on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Enables/Disables marker discrete
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.ALLTrace.MARKer.DISCrete.STATe = Var
Var = SCPI.CALCulate.BB1.ALLTrace.MARKer.DISCrete.STATe

Related Objects

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

BB Menu: Marker > More Functions > Discrete

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:ALLTrace:MARKer:DISCrete:STATe {ON|OFF|1|0}

:CALCulate:BB[1-1]:ALLTrace:MARKer:DISCrete:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:ALLTrace:MARKer:DISCrete:STATe 1"
20 OUTPUT 717;":CALCulate:BB1:ALLTrace:MARKer:DISCrete:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.NUMBer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.NUMBer = Value

Value = SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.NUMBer

Description

This command sets/gets reference marker number, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker reference number
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.BB1.ALLTrace.MARKer.REFerence.NUMBer = Var
Var = SCPI.CALCulate.BB1.ALLTrace.MARKer.REFerence.NUMBer

Related Objects

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

BB Menu: Marker > More Functions > Ref Marker

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:ALLTrace:MARKer:REFerence:NUMBer {1 ~ 10}

:CALCulate:BB[1-1]:ALLTrace:MARKer:REFerence:NUMBer?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:ALLTrace:MARKer:REFerence:NUMBer 1 "
20 OUTPUT 717;":CALCulate:BB1:ALLTrace:MARKer:REFerence:NUMBer ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.STATe = Value

Value = SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.STATe

Description

This command sets/gets delta marker mode on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Delta marker mode (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.ALLTrace.MARKer.REFerence.STATe = Var
Var = SCPI.CALCulate.BB1.ALLTrace.MARKer.REFerence.STATe

Related Objects

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.NUMBer

Equivalent Key

BB Menu: Marker > More Functions > Ref Marker Mode

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:ALLTrace:MARKer:REFerence:STATe {ON|OFF|1|0}

:CALCulate:BB[1-1]:ALLTrace:MARKer:REFerence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:ALLTrace:MARKer:REFerence:STATe 1"
20 OUTPUT 717;":CALCulate:BB1:ALLTrace:MARKer:REFerence:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).DATA.PDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).DATA.PDATa = Value

Value = SCPI.CALCulate.BB(Ch).DATA.PDATa

Description

This command sets/gets measurement raw power data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw power data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.BB1.DATA.PDATa = Var
Var = SCPI.CALCulate.BB1.DATA.PDATa

Related Objects

SCPI.CALCulate.BB(Ch).DATA.RDATa

SCPI.CALCulate.BB(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:DATA:PDATa {1...1601}

:CALCulate:BB[1-1]:DATA:PDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:DATA:PDATa 1,1601"
30 OUTPUT 717;":CALCulate:BB1:DATA:PDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).DATA.RDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).DATA.RDATa = Value

Value = SCPI.CALCulate.BB(Ch).DATA.RDATa

Description

This command sets/gets measurement raw data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw power data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.BB1.DATA.RDATa = Var
Var = SCPI.CALCulate.BB1.DATA.RDATa

Related Objects

SCPI.CALCulate.BB(Ch).DATA.PDATa

SCPI.CALCulate.BB(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:DATA:RDATa {1...1601}

:CALCulate:BB[1-1]:DATA:RDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:DATA:RDATa 1,1601"
30 OUTPUT 717;":CALCulate:BB1:DATA:RDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).DATA.XDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.BB(Ch).DATA.XDATa

Description

This command gets X axis data, for the selected channel Ch.

Variable

Parameter | Value
Description | X axis data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.BB1.DATA.XDATa

Related Objects

SCPI.CALCulate.BB(Ch).DATA.PDATa

SCPI.CALCulate.BB(Ch).DATA.RDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:DATA:XDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:DATA:XDATa ?"
30 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.ACTive = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.ACTive

Description

This command sets/gets active marker, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Active marker
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.BB1.TRACe1.ALLMarker.ACTive = Var
Var = SCPI.CALCulate.BB1.TRACe1.ALLMarker.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:ALLMarker:ACTive {1 ~ 10}

:CALCulate:BB[1-1]:TRACe[1-1]:ALLMarker:ACTive?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:ALLMarker:ACTive 1 "
20 OUTPUT 717;":CALCulate:BB1:TRACe1:ALLMarker:ACTive ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Description

This command sets/gets marker search X range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search X range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.BB1.TRACe1.ALLMarker.SEARch.DOMain.X = Var
Var = SCPI.CALCulate.BB1.TRACe1.ALLMarker.SEARch.DOMain.X

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

BB Menu: Marker Search > Search Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:X {FRANge|BDMarker}

:CALCulate:BB[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:ALLMarker:SEARch:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:ALLMarker:SEARch:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Description

This command sets/gets marker search Y range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search Y range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.BB1.TRACe1.ALLMarker.SEARch.DOMain.Y = Var
Var = SCPI.CALCulate.BB1.TRACe1.ALLMarker.SEARch.DOMain.Y

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

BB Menu: Marker Search > Search Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:Y {FRANge|BDMarker}

:CALCulate:BB[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:ALLMarker:SEARch:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:ALLMarker:SEARch:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Description

This command sets search peak all, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.ALLMarker.SEARch.PEAK

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Equivalent Key

BB Menu: Marker Search > Peak > Search Peak All

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:ALLMarker:SEARch:PEAK

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:ALLMarker:SEARch:PEAK"


SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious

Description

This command sets search spurious all, for the selected trace Tr of the selected channel Ch. You can display up to 10 markers.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.AM1.TRACe1.ALLMarker.SEARch.SPURious

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Equivalent Key

BB Menu: Marker Search > Spurious > Search Spurious All

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:ALLMarker:SEARch:SPURious

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:ALLMarker:SEARch:SPURious"


SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer

Description

This command sets/gets band marker X center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.BB1.TRACe1.BDMarker.X.CENTer = Var
Var = SCPI.CALCulate.BB1.TRACe1.BDMarker.X.CENTer

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

BB Menu: Marker Search > Band Marker X > Center

BB Menu: Marker Function > Band Marker X > Center

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:X:CENTer {-1T ~ 1T}

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:X:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:X:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:X:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN

Description

This command sets/gets band marker X span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.BB1.TRACe1.BDMarker.X.SPAN = Var
Var = SCPI.CALCulate.BB1.TRACe1.BDMarker.X.SPAN

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

BB Menu: Marker Search > Band Marker X > Span

BB Menu: Marker Function > Band Marker X > Span

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:X:SPAN {0 ~ 2T}

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:X:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:X:SPAN 0"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:X:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt

Description

This command sets/gets band marker X start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.BB1.TRACe1.BDMarker.X.STARt = Var
Var = SCPI.CALCulate.BB1.TRACe1.BDMarker.X.STARt

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

BB Menu: Marker Search > Band Marker X > Start

BB Menu: Marker Function > Band Marker X > Start

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:X:STARt {-1T ~ 1T}

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:X:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:X:STARt -10000000000"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:X:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker visibility (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.TRACe1.BDMarker.X.STATe = Var
Var = SCPI.CALCulate.BB1.TRACe1.BDMarker.X.STATe

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

BB Menu: Marker Search > Band Marker X > Band Marker X

BB Menu: Marker Function > Band Marker X > Band Marker X

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:X:STATe {ON|OFF|1|0}

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:X:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:X:STATe 1"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:X:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP

Description

This command sets/gets band marker X stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.BB1.TRACe1.BDMarker.X.STOP = Var
Var = SCPI.CALCulate.BB1.TRACe1.BDMarker.X.STOP

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe

Equivalent Key

BB Menu: Marker Search > Band Marker X > Stop

BB Menu: Marker Function > Band Marker X > Stop

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:X:STOP {-1T ~ 1T}

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:X:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:X:STOP -10000000000"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:X:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer

Description

This command sets/gets band marker Y center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.BB1.TRACe1.BDMarker.Y.CENTer = Var
Var = SCPI.CALCulate.BB1.TRACe1.BDMarker.Y.CENTer

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

BB Menu: Marker Search > Band Marker Y > Center

BB Menu: Marker Function > Band Marker Y > Center

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:Y:CENTer {-1T ~ 1T}

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:Y:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:Y:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:Y:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN

Description

This command sets/gets band marker Y span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.BB1.TRACe1.BDMarker.Y.SPAN = Var
Var = SCPI.CALCulate.BB1.TRACe1.BDMarker.Y.SPAN

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

BB Menu: Marker Search > Band Marker Y > Span

BB Menu: Marker Function > Band Marker Y > Span

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:Y:SPAN {0 ~ 2T}

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:Y:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:Y:SPAN 0"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:Y:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt

Description

This command sets/gets band marker Y start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.BB1.TRACe1.BDMarker.Y.STARt = Var
Var = SCPI.CALCulate.BB1.TRACe1.BDMarker.Y.STARt

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

BB Menu: Marker Search > Band Marker Y > Start

BB Menu: Marker Function > Band Marker Y > Start

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:Y:STARt {-1T ~ 1T}

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:Y:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:Y:STARt -10000000000"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:Y:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.TRACe1.BDMarker.Y.STATe = Var
Var = SCPI.CALCulate.BB1.TRACe1.BDMarker.Y.STATe

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

BB Menu: Marker Search > Band Marker Y > Band Marker Y

BB Menu: Marker Function > Band Marker Y > Band Marker Y

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:Y:STATe {ON|OFF|1|0}

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:Y:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:Y:STATe 1"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:Y:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP

Description

This command sets/gets band marker Y stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.BB1.TRACe1.BDMarker.Y.STOP = Var
Var = SCPI.CALCulate.BB1.TRACe1.BDMarker.Y.STOP

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe

Equivalent Key

BB Menu: Marker Search > Band Marker Y > Stop

BB Menu: Marker Function > Band Marker Y > Stop

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:Y:STOP {-1T ~ 1T}

:CALCulate:BB[1-1]:TRACe[1-1]:BDMarker:Y:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:Y:STOP -10000000000"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:BDMarker:Y:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.COPY

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.COPY = Value

Description

This command sets copy to user trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Copies data to user trace
Data Type | Long integer type (Long)
Range | 1 ~ 8
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.BB1.TRACe1.DATA.COPY = Var

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:COPY {1 ~ 8}

Query Response

{1 ~ 8} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:COPY 1 "
20 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa

Description

This command sets/gets formatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted trace data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.BB1.TRACe1.DATA.FDATa = Var
Var = SCPI.CALCulate.BB1.TRACe1.DATA.FDATa

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:FDATa {1...1601}

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:FDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:FDATa 1,1601"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:FDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory

Description

This command sets/gets formatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.BB1.TRACe1.DATA.FMEMory = Var
Var = SCPI.CALCulate.BB1.TRACe1.DATA.FMEMory

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:FMEMory {1...1601}

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:FMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:FMEMory 1,1601"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:FMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa

Description

This command sets/gets dBV data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | dBC data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.BB1.TRACe1.DATA.PDATa = Var
Var = SCPI.CALCulate.BB1.TRACe1.DATA.PDATa

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:PDATa {1...1601}

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:PDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:PDATa 1,1601"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:PDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory

Description

This command sets/gets dBV memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | dBc memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.BB1.TRACe1.DATA.PMEMory = Var
Var = SCPI.CALCulate.BB1.TRACe1.DATA.PMEMory

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:PMEMory {1...1601}

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:PMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:PMEMory 1,1601"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:PMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SDATa

Description

This command gets spurious data (0 or 1), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.BB1.TRACe1.DATA.SDATa

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:SDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:SDATa ?"
30 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SMEMory

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SMEMory

Description

This command gets spurious memory data (0 or 1), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.BB1.TRACe1.DATA.SMEMory

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:SMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:SMEMory ?"
30 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa

Description

This command sets/gets unformatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted trace data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.BB1.TRACe1.DATA.UDATa = Var
Var = SCPI.CALCulate.BB1.TRACe1.DATA.UDATa

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:UDATa {1...1601}

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:UDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:UDATa 1,1601"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:UDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UMEMory

Description

This command sets/gets unformatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.BB1.TRACe1.DATA.UMEMory = Var
Var = SCPI.CALCulate.BB1.TRACe1.DATA.UMEMory

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).DATA.UDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:UMEMory {1...1601}

:CALCulate:BB[1-1]:TRACe[1-1]:DATA:UMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:UMEMory 1,1601"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:DATA:UMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).EQUation.TEXT

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).EQUation.TEXT = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).EQUation.TEXT

Description

This command sets/gets equation string, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Equation string
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 170, "Invalid equation label" 171, "Invalid equation expression"

Examples

Dim Var as String
SCPI.CALCulate.BB1.TRACe1.EQUation.TEXT = Var
Var = SCPI.CALCulate.BB1.TRACe1.EQUation.TEXT

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:EQUation:TEXT

:CALCulate:BB[1-1]:TRACe[1-1]:EQUation:TEXT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:EQUation:TEXT Sample_Text"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:EQUation:TEXT ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).FORMat

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).FORMat = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).FORMat

Description

This command sets/gets BB format, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | BB format
Data Type | Character string type (String)
Range | DBVHz|DBMHz|VHz
Preset Value | DBVHz
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "DBVHz"
SCPI.CALCulate.BB1.TRACe1.FORMat = Var
Var = SCPI.CALCulate.BB1.TRACe1.FORMat

Equivalent Key

BB Menu: Format > Format

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:FORMat {DBVHz|DBMHz|VHz}

:CALCulate:BB[1-1]:TRACe[1-1]:FORMat?

Query Response

{DBVHz|DBMHz|VHz} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:FORMat DBVHz"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:FORMat ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.X = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.X

Description

This command sets/gets X analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.BB1.TRACe1.FUNCtion.DOMain.X = Var
Var = SCPI.CALCulate.BB1.TRACe1.FUNCtion.DOMain.X

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

BB Menu: Marker Function > Analysis Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:FUNCtion:DOMain:X {FRANge|BDMarker}

:CALCulate:BB[1-1]:TRACe[1-1]:FUNCtion:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:FUNCtion:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:FUNCtion:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.Y = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Description

This command sets/gets Y analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Y analysis range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.BB1.TRACe1.FUNCtion.DOMain.Y = Var
Var = SCPI.CALCulate.BB1.TRACe1.FUNCtion.DOMain.Y

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

BB Menu: Marker Function > Analysis Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:FUNCtion:DOMain:Y {FRANge|BDMarker}

:CALCulate:BB[1-1]:TRACe[1-1]:FUNCtion:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:FUNCtion:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:FUNCtion:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Description

This command gets trace data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Multiple
Var= FRANge
Var = SCPI.CALCulate.BB1.TRACe1.FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:FUNCtion:STATistics:DATA?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:FUNCtion:STATistics:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Description

This command gets memory data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Multiple
Var= FRANge
Var = SCPI.CALCulate.BB1.TRACe1.FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:FUNCtion:STATistics:MEMory?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:FUNCtion:STATistics:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.TYPE = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.TYPE

Description

This command sets/gets Analysis type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Analysis type
Data Type | Character string type (String)
Range | OFF|STATistics
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.BB1.TRACe1.FUNCtion.TYPE = Var
Var = SCPI.CALCulate.BB1.TRACe1.FUNCtion.TYPE

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

Equivalent Key

BB Menu: Marker Function > Analysis Type

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:FUNCtion:TYPE {OFF|STATistics}

:CALCulate:BB[1-1]:TRACe[1-1]:FUNCtion:TYPE?

Query Response

{OFF|STATistics} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:FUNCtion:TYPE OFF"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:FUNCtion:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).HOLD

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).HOLD = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).HOLD

Description

This command sets/gets Data hold, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data hold
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.BB1.TRACe1.HOLD = Var
Var = SCPI.CALCulate.BB1.TRACe1.HOLD

Equivalent Key

BB Menu: Trace View > Data Hold

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:HOLD {OFF|MAXimum|MINimum}

:CALCulate:BB[1-1]:TRACe[1-1]:HOLD?

Query Response

{OFF|MAXimum|MINimum} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:HOLD OFF"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:HOLD ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test result
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.BB1.TRACe1.LIMit.FAIL

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Description

This command sets/gets expanded lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit line
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.BB1.TRACe1.LIMit.LOWer.LDATa = Var
Var = SCPI.CALCulate.BB1.TRACe1.LIMit.LOWer.LDATa

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa {1...1601}

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:LOWer:LDATa 1,1601"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:LOWer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Description

This command clears lower limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.LIMit.LOWer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:LOWer:SEGMent:CLEar"


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Description

This command sets/gets number of lower limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit segments
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.BB1.TRACe1.LIMit.LOWer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.BB1.TRACe1.LIMit.LOWer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:COUNt {1 ~ 100}

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:LOWer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:LOWer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Description

This command sets/gets lower limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.BB1.TRACe1.LIMit.LOWer.SEGMent.DATA = Var
Var = SCPI.CALCulate.BB1.TRACe1.LIMit.LOWer.SEGMent.DATA

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA {1...400}

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:LOWer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:LOWer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

Description

This command gets pass/fail list, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test report
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.BB1.TRACe1.LIMit.REPort.DATA

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:REPort[:DATA]?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:REPort[:DATA] ?"
30 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

Description

This command sets/gets limit test on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.TRACe1.LIMit.STATe = Var
Var = SCPI.CALCulate.BB1.TRACe1.LIMit.STATe

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

BB Menu: Display > Limit Test > Limit Test

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit[:STATe] 1"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit[:STATe] ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Description

This command sets/gets expanded upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.BB1.TRACe1.LIMit.UPPer.LDATa = Var
Var = SCPI.CALCulate.BB1.TRACe1.LIMit.UPPer.LDATa

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa {1...1601}

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:UPPer:LDATa 1,1601"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:UPPer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Description

This command clears upper limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.LIMit.UPPer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:UPPer:SEGMent:CLEar"


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Description

This command sets/gets number of upper limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit segment
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.BB1.TRACe1.LIMit.UPPer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.BB1.TRACe1.LIMit.UPPer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:COUNt {1 ~ 100}

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:UPPer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:UPPer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Description

This command sets/gets upper limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.BB1.TRACe1.LIMit.UPPer.SEGMent.DATA = Var
Var = SCPI.CALCulate.BB1.TRACe1.LIMit.UPPer.SEGMent.DATA

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.FAIL

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.REPort.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA {1...400}

:CALCulate:BB[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:UPPer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:LIMit:UPPer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Description

This command sets marker search LPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.LPEak

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

BB Menu: Marker Search > Peak > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:LPEak

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute:LPEak"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

Description

This command sets marker search LSPurious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.LSPurious

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

BB Menu: Marker Search > Spurious > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute.LSPurious

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute.LSPurious"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Description

This command sets marker search LTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.LTARget

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

BB Menu: Marker Search > Target > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:LTARget

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute:LTARget"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Description

This command sets marker search MAXimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.MAXimum

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

BB Menu: Marker Search > Search Max

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:MAXimum

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute:MAXimum"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Description

This command sets marker search MINimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.MINimum

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

BB Menu: Marker Search > Search Min

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:MINimum

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute:MINimum"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Description

This command sets marker search PEAK, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.PEAK

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

BB Menu: Marker Search > Peak > Search Peak

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:PEAK

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute:PEAK"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Description

This command sets marker search RPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.RPEak

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

BB Menu: Marker Search > Peak > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RPEak

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute:RPEak"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

Description

This command sets marker search RSPurious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.RSPurious

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

BB Menu: Marker Search > Spurious > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RSPurious

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute:RSPurious"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Description

This command sets marker search RTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.RTARget

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

BB Menu: Marker Search > Target > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RTARget

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute:RTARget"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Description

This command sets marker search SPURious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.SPURious

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

BB Menu: Marker Search > Spurious > Search Spurious

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:SPURious

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute:SPURious"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Description

This command sets marker search TARGet, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.EXECute.TARGet

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Equivalent Key

BB Menu: Marker Search > Target > Search Target

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:TARGet

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:EXECute:TARGet"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Description

This command sets/gets marker-search-peak excursion value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak excursion value
Data Type | Double precision floating point type (Double)
Range | 0 ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.PEAK.EXCursion = Var
Var = SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.PEAK.EXCursion

Related Objects

Equivalent Key

BB Menu: Marker Search > Peak > Peak Excursion

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:EXCursion {0 ~ 10G}

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:EXCursion?

Query Response

{0 ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:PEAK:EXCursion 0"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:PEAK:EXCursion ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Description

This command sets/gets marker-search-peak polarity type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak polarity type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.PEAK.POLarity = Var
Var = SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.PEAK.POLarity

Related Objects

Equivalent Key

BB Menu: Marker Search > Peak > Peak Polarity

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:POLarity {POSitive|NEGative|BOTH}

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:POLarity?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:PEAK:POLarity POSitive"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:PEAK:POLarity ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Description

This command sets/gets marker-tar transition type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.TARGet.TRANsition = Var
Var = SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.TARGet.TRANsition

Related Objects

Equivalent Key

BB Menu: Marker Search > Target > Target Transition

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:TRANsition {POSitive|NEGative|BOTH}

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:TRANsition?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:TARGet:TRANsition POSitive"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:TARGet:TRANsition ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Description

This command sets/gets marker target value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target value
Data Type | Double precision floating point type (Double)
Range | -10G ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.TARGet.Y = Var
Var = SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.TARGet.Y

Related Objects

Equivalent Key

BB Menu: Marker Search > Target > Target Value

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:Y {-10G ~ 10G}

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:Y?

Query Response

{-10G ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:TARGet:Y -10000000000"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:TARGet:Y ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Description

This command sets/gets search tracking type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search tracking type
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum|PEAK|TARGet|SPURious
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.TRACking.TYPE = Var
Var = SCPI.CALCulate.BB1.TRACe1.MARKer10.SEARch.TRACking.TYPE

Related Objects

Equivalent Key

BB Menu: Marker Search > Tracking

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TRACking:TYPE {OFF|MAXimum|MINimum|PEAK|TARGet|SPURious}

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TRACking:TYPE?

Query Response

{OFF|MAXimum|MINimum|PEAK|TARGet|SPURious} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:TRACking:TYPE OFF"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:SEARch:TRACking:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).STATe = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).STATe

Description

This command sets/gets marker visible on/off, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker visible state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.TRACe1.MARKer10.STATe = Var
Var = SCPI.CALCulate.BB1.TRACe1.MARKer10.STATe

Equivalent Key

BB Menu: Marker > Clear Marker Menu > Marker 1

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:STATe {ON|OFF|1|0}

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:STATe 1"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).X = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).X

Description

This command sets/gets marker x position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker X position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | 1k
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
SCPI.CALCulate.BB1.TRACe1.MARKer10.X = Var
Var = SCPI.CALCulate.BB1.TRACe1.MARKer10.X

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).Y

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:X

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:X?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:X 0"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:X ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).Y

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).Y

Description

This command gets marker y position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker Y position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.CALCulate.BB1.TRACe1.MARKer10.Y

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).X

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MARKer[1-10]:Y?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MARKer10:Y ?"
20 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.FUNCtion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.FUNCtion = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.FUNCtion

Description

This command sets/gets math operation type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Math function operation
Data Type | Character string type (String)
Range | NORMal|SUBTract|DIVide|ADD|MULTiply|USER
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.CALCulate.BB1.TRACe1.MATH.FUNCtion = Var
Var = SCPI.CALCulate.BB1.TRACe1.MATH.FUNCtion

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.MEMorize

SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

BB Menu: Trace View > Data Math

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MATH:FUNCtion {NORMal|SUBTract|DIVide|ADD|MULTiply|USER}

:CALCulate:BB[1-1]:TRACe[1-1]:MATH:FUNCtion?

Query Response

{NORMal|SUBTract|DIVide|ADD|MULTiply|USER} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MATH:FUNCtion NORMal"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:MATH:FUNCtion ?"
30 ENTER 717;A$


SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.MEMorize

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.MEMorize

Description

This command copies data to memory, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.MATH.MEMorize

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MATH:MEMorize

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MATH:MEMorize"


SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.OFFSet = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.OFFSet

Description

This command sets/gets Trace Offset, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace offset
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.CALCulate.BB1.TRACe1.MATH.OFFSet = Var
Var = SCPI.CALCulate.BB1.TRACe1.MATH.OFFSet

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.MEMorize

Equivalent Key

BB Menu: Trace View > Offset

BB Menu: Trace View > Marker > -Offset

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:MATH:OFFSet {-500G ~ 500G}

:CALCulate:BB[1-1]:TRACe[1-1]:MATH:OFFSet?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:MATH:OFFSet -500000000000"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:MATH:OFFSet ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.APERture

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.APERture = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.APERture

Description

This command sets/gets Smoothing aperture, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing aperture
Data Type | Double precision floating point type (Double)
Range | 50m ~ 25
Preset Value | 1.5
Unit | %
Resolution | 10m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.05
SCPI.CALCulate.BB1.TRACe1.SMOothing.APERture = Var
Var = SCPI.CALCulate.BB1.TRACe1.SMOothing.APERture

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.STATe

Equivalent Key

BB Menu: Trace View > Aperture

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SMOothing:APERture {50m ~ 25}

:CALCulate:BB[1-1]:TRACe[1-1]:SMOothing:APERture?

Query Response

{50m ~ 25} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SMOothing:APERture 0.05"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SMOothing:APERture ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.STATe = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.STATe

Description

This command sets/gets Smoothing on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing (On/OFF)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.TRACe1.SMOothing.STATe = Var
Var = SCPI.CALCulate.BB1.TRACe1.SMOothing.STATe

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.APERture

Equivalent Key

BB Menu: Trace View > Smoothing

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SMOothing:STATe {ON|OFF|1|0}

:CALCulate:BB[1-1]:TRACe[1-1]:SMOothing:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SMOothing:STATe 1"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SMOothing:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

Description

This command sets/gets Spurious display omission ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display omission
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.TRACe1.SPURious.OMISsion = Var
Var = SCPI.CALCulate.BB1.TRACe1.SPURious.OMISsion

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:OMISsion {ON|OFF|1|0}

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:OMISsion?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:OMISsion 1"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:OMISsion ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

Description

This command clears threshold table, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.SPURious.OSSPur.FLISt.CLEar

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:CLEar

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:OSSPur:FLISt:CLEar"


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

Description

This command sets/gets Spurious Table for Omit Specified Spurious, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious table for omit specified spurious
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.BB1.TRACe1.SPURious.OSSPur.FLISt.COUNt = Var
Var = SCPI.CALCulate.BB1.TRACe1.SPURious.OSSPur.FLISt.COUNt

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:COUNt {1 ~ 100}

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:OSSPur:FLISt:COUNt 1 "
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:OSSPur:FLISt:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Description

This command sets/gets threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Threshold table
Data Type | Variant type Array (Range)
Range | 1...100
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 100) as Variant
SCPI.CALCulate.BB1.TRACe1.SPURious.OSSPur.FLISt.DATA = Var
Var = SCPI.CALCulate.BB1.TRACe1.SPURious.OSSPur.FLISt.DATA

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:DATA {1...100}

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:DATA?

Query Response

{1...100} <newline><^END>

Example of use

10 Dim A(1:100)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:OSSPur:FLISt:DATA 1,100"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:OSSPur:FLISt:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Description

This command sets/gets Specified Spurious display omission ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display mission for the selected trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.TRACe1.SPURious.OSSPur.OMISsion = Var
Var = SCPI.CALCulate.BB1.TRACe1.SPURious.OSSPur.OMISsion

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:OSSPur:OMISsion {ON|OFF|1|0}

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:OSSPur:OMISsion?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:OSSPur:OMISsion 1"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:OSSPur:OMISsion ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

Description

This command sets/gets Spurious display merging ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display merging
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.BB1.TRACe1.SPURious.POWer = Var
Var = SCPI.CALCulate.BB1.TRACe1.SPURious.POWer

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:POWer {ON|OFF|1|0}

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:POWer?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:POWer 1"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:POWer ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SENSibility

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SENSibility = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SENSibility

Description

This command sets/gets spurious sensibility, for the selected trace Tr of the selected channel Ch.

The low peak has real sensibility when the value is small.

Variable

Parameter | Value
Description | Spurious sensibility
Data Type | Double precision floating point type (Double)
Range | 10m ~ 10
Preset Value | 3
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 5
SCPI.CALCulate.BB1.TRACe1.SPURious.SENSibility = Var
Var = SCPI.CALCulate.BB1.TRACe1.SPURious.SENSibility

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

BB Menu: Trace View > Spurious > Spur Sensibility

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:SENSibility {10m ~ 10}

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:SENSibility?

Query Response

{10m ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:SENSibility 5"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:SENSibility?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

Description

This command gets Spurious List, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious List
Data Type | Variant type Array (Range)
Range | 1...0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 0) as Variant
Var = SCPI.CALCulate.BB1.TRACe1.SPURious.SLISt

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:SLISt?

Query Response

{1...0} <newline><^END>

Example of use

10 Dim A(1:0)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:SLISt ?"
30 ENTER 717;A(*)


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

Description

This command sets/gets Spurious minimum level definition, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious minimum level definition
Data Type | Double precision floating point type (Double)
Range | -500 ~ 500
Preset Value | -500
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.BB1.TRACe1.SPURious.THReshold.LEVel.MINimum = Var
Var = SCPI.CALCulate.BB1.TRACe1.SPURious.THReshold.LEVel.MINimum

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

BB Menu: Trace View > Spurious > Minimum Spur Level

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:THReshold:LEVel:MINimum {-500 ~ 500}

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:THReshold:LEVel:MINimum?

Query Response

{-500 ~ 500} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:THReshold:LEVel:MINimum 0"
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:THReshold:LEVel:MINimum ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

Description

This command clears threshold table, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.BB1.TRACe1.SPURious.THReshold.TABLe.CLEar

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:CLEar

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:THReshold:TABLe:CLEar"


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Description

This command sets/gets number of threshold segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Number of threshold segments
Data Type | Long integer type (Long)
Range | 1 ~ 20
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.BB1.TRACe1.SPURious.THReshold.TABLe.COUNt = Var
Var = SCPI.CALCulate.BB1.TRACe1.SPURious.THReshold.TABLe.COUNt

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:COUNt {1 ~ 20}

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:COUNt?

Query Response

{1 ~ 20} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:THReshold:TABLe:COUNt 1 "
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:THReshold:TABLe:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA = Value

Value = SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Description

This command sets/gets threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Threshold table
Data Type | Variant type Array (Range)
Range | 1...60
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 60) as Variant
SCPI.CALCulate.BB1.TRACe1.SPURious.THReshold.TABLe.DATA = Var
Var = SCPI.CALCulate.BB1.TRACe1.SPURious.THReshold.TABLe.DATA

Related Objects

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA {1...60}

:CALCulate:BB[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA?

Query Response

{1...60} <newline><^END>

Example of use

10 Dim A(1:60)
20 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:THReshold:TABLe:DATA 1,60"
30 OUTPUT 717;":CALCulate:BB1:TRACe1:SPURious:THReshold:TABLe:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).ALLTrace.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).ALLTrace.ACTive = Value

Value = SCPI.CALCulate.FP(Ch).ALLTrace.ACTive

Description

This command sets/gets active trace, for the selected channel Ch.

Variable

Parameter | Value
Description | Active trace
Data Type | Long integer type (Long)
Range | 1 ~ 4
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.FP1.ALLTrace.ACTive = Var
Var = SCPI.CALCulate.FP1.ALLTrace.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:ALLTrace:ACTive {1 ~ 4}

:CALCulate:FP[1-1]:ALLTrace:ACTive?

Query Response

{1 ~ 4} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:ALLTrace:ACTive 1 "
20 OUTPUT 717;":CALCulate:FP1:ALLTrace:ACTive ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).ALLTrace.BDMarker.X.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).ALLTrace.BDMarker.X.COUPle.STATe = Value

Value = SCPI.CALCulate.FP(Ch).ALLTrace.BDMarker.X.COUPle.STATe

Description

This command sets/gets x band marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | X band marker couple (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.FP1.ALLTrace.BDMarker.X.COUPle.STATe = Var
Var = SCPI.CALCulate.FP1.ALLTrace.BDMarker.X.COUPle.STATe

Equivalent Key

FP Menu: Marker Search > Couple

FP Menu: Marker Function > Couple

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:ALLTrace:BDMarker:X:COUPle:STATe {ON|OFF|1|0}

:CALCulate:FP[1-1]:ALLTrace:BDMarker:X:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:ALLTrace:BDMarker:X:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:FP1:ALLTrace:BDMarker:X:COUPle:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).ALLTrace.LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.FP(Ch).ALLTrace.LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected channel Ch.

Variable

Parameter | Value
Description | Result of limit test
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.FP1.ALLTrace.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:ALLTrace:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:ALLTrace:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.COUPle.STATe = Value

Value = SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.COUPle.STATe

Description

This command sets/gets marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker Coupling Function state (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.FP1.ALLTrace.MARKer.COUPle.STATe = Var
Var = SCPI.CALCulate.FP1.ALLTrace.MARKer.COUPle.STATe

Related Objects

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

FP Menu: Marker > Couple

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:ALLTrace:MARKer:COUPle:STATe {ON|OFF|1|0}

:CALCulate:FP[1-1]:ALLTrace:MARKer:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:ALLTrace:MARKer:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:FP1:ALLTrace:MARKer:COUPle:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.DISCrete.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.DISCrete.STATe = Value

Value = SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.DISCrete.STATe

Description

This command sets/gets marker discrete on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Enables/Disables marker discrete
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.FP1.ALLTrace.MARKer.DISCrete.STATe = Var
Var = SCPI.CALCulate.FP1.ALLTrace.MARKer.DISCrete.STATe

Related Objects

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

FP Menu: Marker > More Functions > Discrete

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:ALLTrace:MARKer:DISCrete:STATe {ON|OFF|1|0}

:CALCulate:FP[1-1]:ALLTrace:MARKer:DISCrete:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:ALLTrace:MARKer:DISCrete:STATe 1"
20 OUTPUT 717;":CALCulate:FP1:ALLTrace:MARKer:DISCrete:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.NUMBer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.NUMBer = Value

Value = SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.NUMBer

Description

This command sets/gets reference marker number., for the selected channel Ch.

Variable

Parameter | Value
Description | Marker reference number
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.FP1.ALLTrace.MARKer.REFerence.NUMBer = Var
Var = SCPI.CALCulate.FP1.ALLTrace.MARKer.REFerence.NUMBer

Related Objects

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

FP Menu: Marker > More Functions > Ref Marker

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:ALLTrace:MARKer:REFerence:NUMBer {1 ~ 10}

:CALCulate:FP[1-1]:ALLTrace:MARKer:REFerence:NUMBer?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:ALLTrace:MARKer:REFerence:NUMBer 1 "
20 OUTPUT 717;":CALCulate:FP1:ALLTrace:MARKer:REFerence:NUMBer ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.STATe = Value

Value = SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.STATe

Description

This command sets/gets delta marker mode on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Delta marker mode (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.FP1.ALLTrace.MARKer.REFerence.STATe = Var
Var = SCPI.CALCulate.FP1.ALLTrace.MARKer.REFerence.STATe

Related Objects

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.NUMBer

Equivalent Key

FP Menu: Marker > More Functions > Ref Marker Mode

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:ALLTrace:MARKer:REFerence:STATe {ON|OFF|1|0}

:CALCulate:FP[1-1]:ALLTrace:MARKer:REFerence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:ALLTrace:MARKer:REFerence:STATe 1"
20 OUTPUT 717;":CALCulate:FP1:ALLTrace:MARKer:REFerence:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).DATA.RDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).DATA.RDATa = Value

Value = SCPI.CALCulate.FP(Ch).DATA.RDATa

Description

This command sets/gets measurement raw data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw power data
Data Type | Variant type Array (Range)
Range | 1...3003
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 3003) as Variant
SCPI.CALCulate.FP1.DATA.RDATa = Var
Var = SCPI.CALCulate.FP1.DATA.RDATa

Related Objects

SCPI.CALCulate.FP(Ch).DATA.TDATa

SCPI.CALCulate.FP(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:DATA:RDATa {1...3003}

:CALCulate:FP[1-1]:DATA:RDATa?

Query Response

{1...3003} <newline><^END>

Example of use

10 Dim A(1:3003)
20 OUTPUT 717;":CALCulate:FP1:DATA:RDATa 1,3003"
30 OUTPUT 717;":CALCulate:FP1:DATA:RDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).DATA.TDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).DATA.TDATa = Value

Value = SCPI.CALCulate.FP(Ch).DATA.TDATa

Description

This command sets/gets Tester mode data, for the selected channel Ch.

Variable

Parameter | Value
Description | Tester mode data; frequency, power and current
Data Type | Variant type Array (Range)
Range | 1...3
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 3) as Variant
SCPI.CALCulate.FP1.DATA.TDATa = Var
Var = SCPI.CALCulate.FP1.DATA.TDATa

Related Objects

SCPI.CALCulate.FP(Ch).DATA.RDATa

SCPI.CALCulate.FP(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:DATA:TDATa {1...3}

:CALCulate:FP[1-1]:DATA:TDATa?

Query Response

{1...3} <newline><^END>

Example of use

10 Dim A(1:3)
20 OUTPUT 717;":CALCulate:FP1:DATA:TDATa 1,3"
30 OUTPUT 717;":CALCulate:FP1:DATA:TDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).DATA.XDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.FP(Ch).DATA.XDATa

Description

This command gets X axis data, for the selected channel Ch.

Variable

Parameter | Value
Description | X axis data
Data Type | Variant type Array (Range)
Range | 1...1001
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1001) as Variant
Var = SCPI.CALCulate.FP1.DATA.XDATa

Related Objects

SCPI.CALCulate.FP(Ch).DATA.RDATa

SCPI.CALCulate.FP(Ch).DATA.TDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:DATA:XDATa?

Query Response

{1...1001} <newline><^END>

Example of use

10 Dim A(1:1001)
20 OUTPUT 717;":CALCulate:FP1:DATA:XDATa ?"
30 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.ACTive = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.ACTive

Description

This command sets/gets active marker, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Active marker
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.FP1.TRACe4.ALLMarker.ACTive = Var
Var = SCPI.CALCulate.FP1.TRACe4.ALLMarker.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:ALLMarker:ACTive {1 ~ 10}

:CALCulate:FP[1-1]:TRACe[1-4]:ALLMarker:ACTive?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:ALLMarker:ACTive 1 "
20 OUTPUT 717;":CALCulate:FP1:TRACe4:ALLMarker:ACTive ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Description

This command sets/gets marker search X range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search X range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.FP1.TRACe4.ALLMarker.SEARch.DOMain.X = Var
Var = SCPI.CALCulate.FP1.TRACe4.ALLMarker.SEARch.DOMain.X

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

FP Menu: Marker Search > Search Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:ALLMarker:SEARch:DOMain:X {FRANge|BDMarker}

:CALCulate:FP[1-1]:TRACe[1-4]:ALLMarker:SEARch:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:ALLMarker:SEARch:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:ALLMarker:SEARch:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Description

This command sets/gets marker search Y range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search Y range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.FP1.TRACe4.ALLMarker.SEARch.DOMain.Y = Var
Var = SCPI.CALCulate.FP1.TRACe4.ALLMarker.SEARch.DOMain.Y

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

FP Menu: Marker Search > Search Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:ALLMarker:SEARch:DOMain:Y {FRANge|BDMarker}

:CALCulate:FP[1-1]:TRACe[1-4]:ALLMarker:SEARch:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:ALLMarker:SEARch:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:ALLMarker:SEARch:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Description

This command sets search peak all, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.ALLMarker.SEARch.PEAK

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Equivalent Key

FP Menu: Marker Search > Peak > Search Peak All

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:ALLMarker:SEARch:PEAK

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:ALLMarker:SEARch:PEAK"


SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer

Description

This command sets/gets band marker X center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.FP1.TRACe4.BDMarker.X.CENTer = Var
Var = SCPI.CALCulate.FP1.TRACe4.BDMarker.X.CENTer

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

FP Menu: Marker Search > Band Marker X > Center

FP Menu: Marker Function > Band Marker X > Center

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:X:CENTer {-1T ~ 1T}

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:X:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:X:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:X:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN

Description

This command sets/gets band marker X span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.FP1.TRACe4.BDMarker.X.SPAN = Var
Var = SCPI.CALCulate.FP1.TRACe4.BDMarker.X.SPAN

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

FP Menu: Marker Search > Band Marker X > Span

FP Menu: Marker Function > Band Marker X > Span

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:X:SPAN {0 ~ 2T}

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:X:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:X:SPAN 0"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:X:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt

Description

This command sets/gets band marker X start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.FP1.TRACe4.BDMarker.X.STARt = Var
Var = SCPI.CALCulate.FP1.TRACe4.BDMarker.X.STARt

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

FP Menu: Marker Search > Band Marker X > Start

FP Menu: Marker Function > Band Marker X > Start

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:X:STARt {-1T ~ 1T}

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:X:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:X:STARt -10000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:X:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker visibility (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.FP1.TRACe4.BDMarker.X.STATe = Var
Var = SCPI.CALCulate.FP1.TRACe4.BDMarker.X.STATe

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

FP Menu: Marker Search > Band Marker X > Band Marker X

FP Menu: Marker Function > Band Marker X > Band Marker X

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:X:STATe {ON|OFF|1|0}

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:X:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:X:STATe 1"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:X:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP

Description

This command sets/gets band marker X stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.FP1.TRACe4.BDMarker.X.STOP = Var
Var = SCPI.CALCulate.FP1.TRACe4.BDMarker.X.STOP

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe

Equivalent Key

FP Menu: Marker Search > Band Marker X > Stop

FP Menu: Marker Function > Band Marker X > Stop

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:X:STOP {-1T ~ 1T}

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:X:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:X:STOP -10000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:X:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer

Description

This command sets/gets band marker Y center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.FP1.TRACe4.BDMarker.Y.CENTer = Var
Var = SCPI.CALCulate.FP1.TRACe4.BDMarker.Y.CENTer

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

FP Menu: Marker Search > Band Marker Y > Center

FP Menu: Marker Function > Band Marker Y > Center

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:Y:CENTer {-1T ~ 1T}

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:Y:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:Y:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:Y:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN

Description

This command sets/gets band marker Y span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.FP1.TRACe4.BDMarker.Y.SPAN = Var
Var = SCPI.CALCulate.FP1.TRACe4.BDMarker.Y.SPAN

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

FP Menu: Marker Search > Band Marker Y > Span

FP Menu: Marker Function > Band Marker Y > Span

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:Y:SPAN {0 ~ 2T}

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:Y:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:Y:SPAN 0"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:Y:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt

Description

This command sets/gets band marker Y start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.FP1.TRACe4.BDMarker.Y.STARt = Var
Var = SCPI.CALCulate.FP1.TRACe4.BDMarker.Y.STARt

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

FP Menu: Marker Search > Band Marker Y > Start

FP Menu: Marker Function > Band Marker Y > Start

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:Y:STARt {-1T ~ 1T}

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:Y:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:Y:STARt -10000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:Y:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.FP1.TRACe4.BDMarker.Y.STATe = Var
Var = SCPI.CALCulate.FP1.TRACe4.BDMarker.Y.STATe

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

FP Menu: Marker Search > Band Marker Y > Band Marker Y

FP Menu: Marker Function > Band Marker Y > Band Marker Y

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:Y:STATe {ON|OFF|1|0}

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:Y:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:Y:STATe 1"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:Y:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP

Description

This command sets/gets band marker Y stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.FP1.TRACe4.BDMarker.Y.STOP = Var
Var = SCPI.CALCulate.FP1.TRACe4.BDMarker.Y.STOP

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe

Equivalent Key

FP Menu: Marker Search > Band Marker Y > Stop

FP Menu: Marker Function > Band Marker Y > Stop

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:Y:STOP {-1T ~ 1T}

:CALCulate:FP[1-1]:TRACe[1-4]:BDMarker:Y:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:Y:STOP -10000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:BDMarker:Y:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.COPY

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.COPY = Value

Description

This command copies data to user trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Copies data to user trace
Data Type | Long integer type (Long)
Range | 1 ~ 8
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.FP1.TRACe4.DATA.COPY = Var

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:DATA:COPY {1 ~ 8}

Query Response

{1 ~ 8} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:DATA:COPY 1 "
20 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FDATa = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FDATa

Description

This command sets/gets formatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted trace data
Data Type | Variant type Array (Range)
Range | 1...1001
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1001) as Variant
SCPI.CALCulate.FP1.TRACe4.DATA.FDATa = Var
Var = SCPI.CALCulate.FP1.TRACe4.DATA.FDATa

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:DATA:FDATa {1...1001}

:CALCulate:FP[1-1]:TRACe[1-4]:DATA:FDATa?

Query Response

{1...1001} <newline><^END>

Example of use

10 Dim A(1:1001)
20 OUTPUT 717;":CALCulate:FP1:TRACe4:DATA:FDATa 1,1001"
30 OUTPUT 717;":CALCulate:FP1:TRACe4:DATA:FDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FMEMory = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FMEMory

Description

This command sets/gets formatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted memory data
Data Type | Variant type Array (Range)
Range | 1...1001
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1001) as Variant
SCPI.CALCulate.FP1.TRACe4.DATA.FMEMory = Var
Var = SCPI.CALCulate.FP1.TRACe4.DATA.FMEMory

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:DATA:FMEMory {1...1001}

:CALCulate:FP[1-1]:TRACe[1-4]:DATA:FMEMory?

Query Response

{1...1001} <newline><^END>

Example of use

10 Dim A(1:1001)
20 OUTPUT 717;":CALCulate:FP1:TRACe4:DATA:FMEMory 1,1001"
30 OUTPUT 717;":CALCulate:FP1:TRACe4:DATA:FMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UDATa = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UDATa

Description

This command sets/gets unformatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted trace data
Data Type | Variant type Array (Range)
Range | 1...1001
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1001) as Variant
SCPI.CALCulate.FP1.TRACe4.DATA.UDATa = Var
Var = SCPI.CALCulate.FP1.TRACe4.DATA.UDATa

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:DATA:UDATa {1...1001}

:CALCulate:FP[1-1]:TRACe[1-4]:DATA:UDATa?

Query Response

{1...1001} <newline><^END>

Example of use

10 Dim A(1:1001)
20 OUTPUT 717;":CALCulate:FP1:TRACe4:DATA:UDATa 1,1001"
30 OUTPUT 717;":CALCulate:FP1:TRACe4:DATA:UDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UMEMory = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UMEMory

Description

This command sets/gets unformatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted memory data
Data Type | Variant type Array (Range)
Range | 1...1001
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1001) as Variant
SCPI.CALCulate.FP1.TRACe4.DATA.UMEMory = Var
Var = SCPI.CALCulate.FP1.TRACe4.DATA.UMEMory

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).DATA.UDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:DATA:UMEMory {1...1001}

:CALCulate:FP[1-1]:TRACe[1-4]:DATA:UMEMory?

Query Response

{1...1001} <newline><^END>

Example of use

10 Dim A(1:1001)
20 OUTPUT 717;":CALCulate:FP1:TRACe4:DATA:UMEMory 1,1001"
30 OUTPUT 717;":CALCulate:FP1:TRACe4:DATA:UMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).TRACe(Tr).EQUation.TEXT

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).EQUation.TEXT = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).EQUation.TEXT

Description

This command sets/gets equation string, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Equation string
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 170, "Invalid equation label" 171, "Invalid equation expression"

Examples

Dim Var as String
SCPI.CALCulate.FP1.TRACe4.EQUation.TEXT = Var
Var = SCPI.CALCulate.FP1.TRACe4.EQUation.TEXT

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:EQUation:TEXT

:CALCulate:FP[1-1]:TRACe[1-4]:EQUation:TEXT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:EQUation:TEXT Sample_Text"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:EQUation:TEXT ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).FORMat.FREQuency

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).FORMat.FREQuency = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).FORMat.FREQuency

Description

This command sets/gets FP-frequency format. Init value changes by tr #, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | FP-frequency format
Data Type | Character string type (String)
Range | HZ|HZV|DHZ|PCT|PPM
Preset Value | HZ
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "HZ"
SCPI.CALCulate.FP1.TRACe4.FORMat.FREQuency = Var
Var = SCPI.CALCulate.FP1.TRACe4.FORMat.FREQuency

Equivalent Key

FP Menu: Format > Frequency Format

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:FORMat:FREQuency {HZ|HZV|DHZ|PCT|PPM}

:CALCulate:FP[1-1]:TRACe[1-4]:FORMat:FREQuency?

Query Response

{HZ|HZV|DHZ|PCT|PPM} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:FORMat:FREQuency HZ"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:FORMat:FREQuency ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X

Description

This command sets/gets X analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.FP1.TRACe4.FUNCtion.DOMain.X = Var
Var = SCPI.CALCulate.FP1.TRACe4.FUNCtion.DOMain.X

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

FP Menu: Marker Function > Analysis Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:FUNCtion:DOMain:X {FRANge|BDMarker}

:CALCulate:FP[1-1]:TRACe[1-4]:FUNCtion:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:FUNCtion:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:FUNCtion:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Description

This command sets/gets Y analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Y analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.FP1.TRACe4.FUNCtion.DOMain.Y = Var
Var = SCPI.CALCulate.FP1.TRACe4.FUNCtion.DOMain.Y

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

FP Menu: Marker Function > Analysis Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:FUNCtion:DOMain:Y {FRANge|BDMarker}

:CALCulate:FP[1-1]:TRACe[1-4]:FUNCtion:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:FUNCtion:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:FUNCtion:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.DATA_Q a, b

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.DATA_Q a, b

Description

This command gets trace data linear regression, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | a
Description | Trace data linear regression
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | b
Description | Trace data linear regression
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.FP1.TRACe4.FUNCtion.LREGression.DATA_Q a, b

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:FUNCtion:LREGression:DATA?

Query Response

{ - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:FUNCtion:LREGression:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory_Q a, b

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory_Q a, b

Description

This command gets memory data linear regression, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | a
Description | Memory data linear regression
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | b
Description | Memory data linear regression
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.FP1.TRACe4.FUNCtion.LREGression.MEMory_Q a, b

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:FUNCtion:LREGression:MEMory?

Query Response

{ - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:FUNCtion:LREGression:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Description

This command gets trace data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.FP1.TRACe4.FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:FUNCtion:STATistics:DATA?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:FUNCtion:STATistics:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Description

This command gets memory data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Memory data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Memory data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Memory data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.FP1.TRACe4.FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:FUNCtion:STATistics:MEMory?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:FUNCtion:STATistics:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE

Description

This command sets/gets Analysis type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Analysis type
Data Type | Character string type (String)
Range | OFF|STATistics|LREGression
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.FP1.TRACe4.FUNCtion.TYPE = Var
Var = SCPI.CALCulate.FP1.TRACe4.FUNCtion.TYPE

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

Equivalent Key

FP Menu: Marker Function > Analysis Type

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:FUNCtion:TYPE {OFF|STATistics|LREGression}

:CALCulate:FP[1-1]:TRACe[1-4]:FUNCtion:TYPE?

Query Response

{OFF|STATistics|LREGression} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:FUNCtion:TYPE OFF"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:FUNCtion:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).HOLD

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).HOLD = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).HOLD

Description

This command sets/gets Data hold, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data hold
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.FP1.TRACe4.HOLD = Var
Var = SCPI.CALCulate.FP1.TRACe4.HOLD

Equivalent Key

FP Menu: Trace View > Data Hold

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:HOLD {OFF|MAXimum|MINimum}

:CALCulate:FP[1-1]:TRACe[1-4]:HOLD?

Query Response

{OFF|MAXimum|MINimum} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:HOLD OFF"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:HOLD ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test result
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.FP1.TRACe4.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.LDATa = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Description

This command sets/gets expanded lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Expanded lower limit line
Data Type | Variant type Array (Range)
Range | 1...1001
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1001) as Variant
SCPI.CALCulate.FP1.TRACe4.LIMit.LOWer.LDATa = Var
Var = SCPI.CALCulate.FP1.TRACe4.LIMit.LOWer.LDATa

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:LOWer:LDATa {1...1001}

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:LOWer:LDATa?

Query Response

{1...1001} <newline><^END>

Example of use

10 Dim A(1:1001)
20 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:LOWer:LDATa 1,1001"
30 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:LOWer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Description

This command clears lower limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.LIMit.LOWer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:LOWer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:LOWer:SEGMent:CLEar"


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Description

This command sets/gets number of lower limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit segments
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.FP1.TRACe4.LIMit.LOWer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.FP1.TRACe4.LIMit.LOWer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:LOWer:SEGMent:COUNt {1 ~ 100}

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:LOWer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:LOWer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:LOWer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Description

This command sets/gets lower limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.FP1.TRACe4.LIMit.LOWer.SEGMent.DATA = Var
Var = SCPI.CALCulate.FP1.TRACe4.LIMit.LOWer.SEGMent.DATA

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:LOWer:SEGMent:DATA {1...400}

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:LOWer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:LOWer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:LOWer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.REPort.DATA

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.REPort.DATA

Description

This command gets pass/fail list, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test report
Data Type | Variant type Array (Range)
Range | 1...1001
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1001) as Variant
Var = SCPI.CALCulate.FP1.TRACe4.LIMit.REPort.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:REPort[:DATA]?

Query Response

{1...1001} <newline><^END>

Example of use

10 Dim A(1:1001)
20 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:REPort[:DATA] ?"
30 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.STATe = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.STATe

Description

This command sets/gets limit test on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.FP1.TRACe4.LIMit.STATe = Var
Var = SCPI.CALCulate.FP1.TRACe4.LIMit.STATe

Equivalent Key

FP Menu: Display > Limit Test > Limit Test

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit[:STATe] 1"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit[:STATe] ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.LDATa = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Description

This command sets/gets expanded upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line
Data Type | Variant type Array (Range)
Range | 1...1001
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1001) as Variant
SCPI.CALCulate.FP1.TRACe4.LIMit.UPPer.LDATa = Var
Var = SCPI.CALCulate.FP1.TRACe4.LIMit.UPPer.LDATa

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:UPPer:LDATa {1...1001}

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:UPPer:LDATa?

Query Response

{1...1001} <newline><^END>

Example of use

10 Dim A(1:1001)
20 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:UPPer:LDATa 1,1001"
30 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:UPPer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Description

This command clears upper limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.LIMit.UPPer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:UPPer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:UPPer:SEGMent:CLEar"


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Description

This command sets/gets number of upper limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit segment
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.FP1.TRACe4.LIMit.UPPer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.FP1.TRACe4.LIMit.UPPer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:UPPer:SEGMent:COUNt {1 ~ 100}

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:UPPer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:UPPer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:UPPer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Description

This command sets/gets upper limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.FP1.TRACe4.LIMit.UPPer.SEGMent.DATA = Var
Var = SCPI.CALCulate.FP1.TRACe4.LIMit.UPPer.SEGMent.DATA

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:UPPer:SEGMent:DATA {1...400}

:CALCulate:FP[1-1]:TRACe[1-4]:LIMit:UPPer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:UPPer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:FP1:TRACe4:LIMit:UPPer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.A

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.A = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.A

Description

This command sets/gets Parameter 'A' as line (Y = AX + B), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Parameter 'A' in line (Y = AX + B)
Data Type | Double precision floating point type (Double)
Range | -500T ~ 500T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -5000000000000
SCPI.CALCulate.FP1.TRACe4.LINE.A = Var
Var = SCPI.CALCulate.FP1.TRACe4.LINE.A

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.A

SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.B

SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.MEMory

Equivalent Key

FP Menu: Trace View > Memory Trace > Line (Y = AX + B) > A

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LINE:A {-500T ~ 500T}

:CALCulate:FP[1-1]:TRACe[1-4]:LINE:A?

Query Response

{-500T ~ 500T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:LINE:A -5000000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:LINE:A ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.B

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.B = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.B

Description

This command sets/gets Parameter 'B' as line (Y = AX + B), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Parameter 'B' in line (Y = AX + B)
Data Type | Double precision floating point type (Double)
Range | -500T ~ 500T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -5000000000000
SCPI.CALCulate.FP1.TRACe4.LINE.B = Var
Var = SCPI.CALCulate.FP1.TRACe4.LINE.B

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.A

SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.MEMory

Equivalent Key

FP Menu: Trace View > Memory Trace > Line (Y = AX + B) > B

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LINE:B {-500T ~ 500T}

:CALCulate:FP[1-1]:TRACe[1-4]:LINE:B?

Query Response

{-500T ~ 500T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:LINE:B -5000000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:LINE:B ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.MEMory

Description

This command sets line (Y = AX + B) data to Memory trace, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.LINE.MEMory

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.A

SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.B

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:LINE:MEMory

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:LINE:MEMory"


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Description

This command sets marker search LPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.EXECute.LPEak

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

FP Menu: Marker Search > Peak > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:EXECute:LPEak

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:EXECute:LPEak"


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Description

This command sets marker search LTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.EXECute.LTARget

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

FP Menu: Marker Search > Target > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:EXECute:LTARget

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:EXECute:LTARget"


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Description

This command sets marker search MAXimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.EXECute.MAXimum

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

FP Menu: Marker Search > Search Max

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:EXECute:MAXimum

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:EXECute:MAXimum"


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Description

This command sets marker search MINimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.EXECute.MINimum

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

FP Menu: Marker Search > Search Min

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:EXECute:MINimum

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:EXECute:MINimum"


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Description

This command sets marker search PEAK, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.EXECute.PEAK

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

FP Menu: Marker Search > Peak > Search Peak

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:EXECute:PEAK

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:EXECute:PEAK"


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Description

This command sets marker search RPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.EXECute.RPEak

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

FP Menu: Marker Search > Peak > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:EXECute:RPEak

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:EXECute:RPEak"


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Description

This command sets marker search RTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.EXECute.RTARget

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

FP Menu: Marker Search > Target > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:EXECute:RTARget

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:EXECute:RTARget"


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Description

This command sets marker search TARGet, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.EXECute.TARGet

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Equivalent Key

FP Menu: Marker Search > Target > Search Target

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:EXECute:TARGet

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:EXECute:TARGet"


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Description

This command sets/gets marker-search-peak excursion value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker-search-peak excursion value
Data Type | Double precision floating point type (Double)
Range | 0 ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.PEAK.EXCursion = Var
Var = SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.PEAK.EXCursion

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Equivalent Key

FP Menu: Marker Search > Peak > Peak Excursion

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:PEAK:EXCursion {0 ~ 10G}

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:PEAK:EXCursion?

Query Response

{0 ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:PEAK:EXCursion 0"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:PEAK:EXCursion ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Description

This command sets/gets marker-search-peak polarity type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker-search-peak polarity type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.PEAK.POLarity = Var
Var = SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.PEAK.POLarity

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Equivalent Key

FP Menu: Marker Search > Peak > Peak Polarity

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:PEAK:POLarity {POSitive|NEGative|BOTH}

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:PEAK:POLarity?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:PEAK:POLarity POSitive"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:PEAK:POLarity ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Description

This command sets/gets marker-target transition type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.TARGet.TRANsition = Var
Var = SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.TARGet.TRANsition

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Equivalent Key

FP Menu: Marker Search > Target > Target Transition

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:TARGet:TRANsition {POSitive|NEGative|BOTH}

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:TARGet:TRANsition?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:TARGet:TRANsition POSitive"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:TARGet:TRANsition ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Description

This command sets/gets marker target value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target value
Data Type | Double precision floating point type (Double)
Range | -10G ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.TARGet.Y = Var
Var = SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.TARGet.Y

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Equivalent Key

FP Menu: Marker Search > Target > Target Value

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:TARGet:Y {-10G ~ 10G}

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:TARGet:Y?

Query Response

{-10G ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:TARGet:Y -10000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:TARGet:Y ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Description

This command sets/gets search tracking type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search tracking type
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum|PEAK|TARGet
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.TRACking.TYPE = Var
Var = SCPI.CALCulate.FP1.TRACe4.MARKer10.SEARch.TRACking.TYPE

Equivalent Key

FP Menu: Marker Search > Tracking

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:TRACking:TYPE {OFF|MAXimum|MINimum|PEAK|TARGet}

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:SEARch:TRACking:TYPE?

Query Response

{OFF|MAXimum|MINimum|PEAK|TARGet} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:TRACking:TYPE OFF"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:SEARch:TRACking:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).STATe = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).STATe

Description

This command sets/gets marker visible on/off, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker visible state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.FP1.TRACe4.MARKer10.STATe = Var
Var = SCPI.CALCulate.FP1.TRACe4.MARKer10.STATe

Equivalent Key

FP Menu: Marker > Clear Marker Menu > Marker 1

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:STATe {ON|OFF|1|0}

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:STATe 1"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).X = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).X

Description

This command sets/gets marker x position., for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker X position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
SCPI.CALCulate.FP1.TRACe4.MARKer10.X = Var
Var = SCPI.CALCulate.FP1.TRACe4.MARKer10.X

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).Y

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:X

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:X?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:X 0"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:X ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).Y

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).Y

Description

This command gets marker y position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker Y position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.CALCulate.FP1.TRACe4.MARKer10.Y

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).X

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MARKer[1-10]:Y?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MARKer10:Y ?"
20 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.FUNCtion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.FUNCtion = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.FUNCtion

Description

This command sets/gets Select math operation type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Math function operation
Data Type | Character string type (String)
Range | NORMal|SUBTract|DIVide|ADD|MULTiply|USER
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.CALCulate.FP1.TRACe4.MATH.FUNCtion = Var
Var = SCPI.CALCulate.FP1.TRACe4.MATH.FUNCtion

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.MEMorize

SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

FP Menu: Trace View > Data Math

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MATH:FUNCtion {NORMal|SUBTract|DIVide|ADD|MULTiply|USER}

:CALCulate:FP[1-1]:TRACe[1-4]:MATH:FUNCtion?

Query Response

{NORMal|SUBTract|DIVide|ADD|MULTiply|USER} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MATH:FUNCtion NORMal"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:MATH:FUNCtion ?"
30 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.MEMorize

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.MEMorize

Description

This command copies data to memory, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.FP1.TRACe4.MATH.MEMorize

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MATH:MEMorize

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MATH:MEMorize"


SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.OFFSet = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.OFFSet

Description

This command sets/gets Trace Offset, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace offset
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.CALCulate.FP1.TRACe4.MATH.OFFSet = Var
Var = SCPI.CALCulate.FP1.TRACe4.MATH.OFFSet

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.MEMorize

Equivalent Key

FP Menu: Trace View > Offset

FP Menu: Trace View > Marker > -Offset

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:MATH:OFFSet {-500G ~ 500G}

:CALCulate:FP[1-1]:TRACe[1-4]:MATH:OFFSet?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:MATH:OFFSet -500000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:MATH:OFFSet ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).PARameter

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).PARameter

Description

This command gets FP measurement type. Init value changes by tr #., for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | FP measurement type
Data Type | Character string type (String)
Range | FREQuency|POWer|CURRent
Preset Value | FREQuency
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var= "FREQuency"
Var = SCPI.CALCulate.FP1.TRACe4.PARameter

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:PARameter?

Query Response

{FREQuency|POWer|CURRent} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:PARameter ?"
20 ENTER 717;A$


SCPI.CALCulate.FP(Ch).TRACe(Tr).REFerence.FREQuency

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).REFerence.FREQuency = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).REFerence.FREQuency

Description

This command sets/gets frequency reference for DHZ, PCT, PPM, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Frequency reference for DHZ, PCT, PPM
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 0
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.CALCulate.FP1.TRACe4.REFerence.FREQuency = Var
Var = SCPI.CALCulate.FP1.TRACe4.REFerence.FREQuency

Equivalent Key

FP Menu: Format > Frequency Reference

FP Menu: Format > Marker > Frequency Reference

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:REFerence:FREQuency {-500G ~ 500G}

:CALCulate:FP[1-1]:TRACe[1-4]:REFerence:FREQuency?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:REFerence:FREQuency -500000000000"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:REFerence:FREQuency ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).SAPerture

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).SAPerture = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).SAPerture

Description

This command sets/gets Sensitivity Aperture, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Sensitivity Aperture
Data Type | Double precision floating point type (Double)
Range | 100m ~ 20
Preset Value | 1
Unit | %
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.1
SCPI.CALCulate.FP1.TRACe4.SAPerture = Var
Var = SCPI.CALCulate.FP1.TRACe4.SAPerture

Related Objects

Equivalent Key

FP Menu: Format > Sensitivity Aperture

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:SAPerture {100m ~ 20}

:CALCulate:FP[1-1]:TRACe[1-4]:SAPerture?

Query Response

{100m ~ 20} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:SAPerture 0.1"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:SAPerture ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.APERture

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.APERture = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.APERture

Description

This command sets/gets Smoothing aperture, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing aperture
Data Type | Double precision floating point type (Double)
Range | 50m ~ 25
Preset Value | 1.5
Unit | %
Resolution | 10m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.05
SCPI.CALCulate.FP1.TRACe4.SMOothing.APERture = Var
Var = SCPI.CALCulate.FP1.TRACe4.SMOothing.APERture

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.STATe

Equivalent Key

FP Menu: Trace View > Aperture

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:SMOothing:APERture {50m ~ 25}

:CALCulate:FP[1-1]:TRACe[1-4]:SMOothing:APERture?

Query Response

{50m ~ 25} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:SMOothing:APERture 0.05"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:SMOothing:APERture ?"
30 ENTER 717;A


SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.STATe = Value

Value = SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.STATe

Description

This command sets/gets Smoothing on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing on/off
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.FP1.TRACe4.SMOothing.STATe = Var
Var = SCPI.CALCulate.FP1.TRACe4.SMOothing.STATe

Related Objects

SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.APERture

Equivalent Key

FP Menu: Trace View > Smoothing

Equivalent SCPI Command

Syntax

:CALCulate:FP[1-1]:TRACe[1-4]:SMOothing:STATe {ON|OFF|1|0}

:CALCulate:FP[1-1]:TRACe[1-4]:SMOothing:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:FP1:TRACe4:SMOothing:STATe 1"
20 OUTPUT 717;":CALCulate:FP1:TRACe4:SMOothing:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).ALLTrace.LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).ALLTrace.LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected channel Ch.

Variable

Parameter | Value
Description | Result of limit test
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.PN1.ALLTrace.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:ALLTrace:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:ALLTrace:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.COUPle.STATe = Value

Value = SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.COUPle.STATe

Description

This command sets/gets marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker Coupling Function state (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.ALLTrace.MARKer.COUPle.STATe = Var
Var = SCPI.CALCulate.PN1.ALLTrace.MARKer.COUPle.STATe

Related Objects

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:ALLTrace:MARKer:COUPle:STATe {ON|OFF|1|0}

:CALCulate:PN[1-1]:ALLTrace:MARKer:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:ALLTrace:MARKer:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:PN1:ALLTrace:MARKer:COUPle:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.DISCrete.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.DISCrete.STATe = Value

Value = SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.DISCrete.STATe

Description

This command sets/gets marker discrete on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Enables/Disables marker discrete
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.ALLTrace.MARKer.DISCrete.STATe = Var
Var = SCPI.CALCulate.PN1.ALLTrace.MARKer.DISCrete.STATe

Related Objects

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

PN Menu: Marker > More Functions > Discrete

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:ALLTrace:MARKer:DISCrete:STATe {ON|OFF|1|0}

:CALCulate:PN[1-1]:ALLTrace:MARKer:DISCrete:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:ALLTrace:MARKer:DISCrete:STATe 1"
20 OUTPUT 717;":CALCulate:PN1:ALLTrace:MARKer:DISCrete:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.NUMBer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.NUMBer = Value

Value = SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.NUMBer

Description

This command sets/gets reference marker number., for the selected channel Ch.

Variable

Parameter | Value
Description | Marker reference number
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PN1.ALLTrace.MARKer.REFerence.NUMBer = Var
Var = SCPI.CALCulate.PN1.ALLTrace.MARKer.REFerence.NUMBer

Related Objects

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

PN Menu: Marker > More Functions > Ref Marker

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:ALLTrace:MARKer:REFerence:NUMBer {1 ~ 10}

:CALCulate:PN[1-1]:ALLTrace:MARKer:REFerence:NUMBer?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:ALLTrace:MARKer:REFerence:NUMBer 1 "
20 OUTPUT 717;":CALCulate:PN1:ALLTrace:MARKer:REFerence:NUMBer ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.STATe = Value

Value = SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.STATe

Description

This command sets/gets delta marker mode on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Delta marker mode (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.ALLTrace.MARKer.REFerence.STATe = Var
Var = SCPI.CALCulate.PN1.ALLTrace.MARKer.REFerence.STATe

Related Objects

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.NUMBer

Equivalent Key

PN Menu: Marker > More Functions > Ref Marker Mode

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:ALLTrace:MARKer:REFerence:STATe {ON|OFF|1|0}

:CALCulate:PN[1-1]:ALLTrace:MARKer:REFerence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:ALLTrace:MARKer:REFerence:STATe 1"
20 OUTPUT 717;":CALCulate:PN1:ALLTrace:MARKer:REFerence:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).DATA.CARRier

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).DATA.CARRier = Value

Value = SCPI.CALCulate.PN(Ch).DATA.CARRier

Description

This command sets/gets carrier data: freq, power, for the selected channel Ch.

Variable

Parameter | Value
Description | Carrier data: Freq & Power
Data Type | Variant type Array (Range)
Range | 1...2
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 2) as Variant
SCPI.CALCulate.PN1.DATA.CARRier = Var
Var = SCPI.CALCulate.PN1.DATA.CARRier

Related Objects

SCPI.CALCulate.PN(Ch).DATA.PDATa

SCPI.CALCulate.PN(Ch).DATA.RDATa

SCPI.CALCulate.PN(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:DATA:CARRier {1...2}

:CALCulate:PN[1-1]:DATA:CARRier?

Query Response

{1...2} <newline><^END>

Example of use

10 Dim A(1:2)
20 OUTPUT 717;":CALCulate:PN1:DATA:CARRier 1,2"
30 OUTPUT 717;":CALCulate:PN1:DATA:CARRier ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).DATA.PDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).DATA.PDATa = Value

Value = SCPI.CALCulate.PN(Ch).DATA.PDATa

Description

This command sets/gets measurement raw power data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw power data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PN1.DATA.PDATa = Var
Var = SCPI.CALCulate.PN1.DATA.PDATa

Related Objects

SCPI.CALCulate.PN(Ch).DATA.CARRier

SCPI.CALCulate.PN(Ch).DATA.RDATa

SCPI.CALCulate.PN(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:DATA:PDATa {1...1601}

:CALCulate:PN[1-1]:DATA:PDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:DATA:PDATa 1,1601"
30 OUTPUT 717;":CALCulate:PN1:DATA:PDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).DATA.RDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).DATA.RDATa = Value

Value = SCPI.CALCulate.PN(Ch).DATA.RDATa

Description

This command sets/gets measurement raw data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PN1.DATA.RDATa = Var
Var = SCPI.CALCulate.PN1.DATA.RDATa

Related Objects

SCPI.CALCulate.PN(Ch).DATA.CARRier

SCPI.CALCulate.PN(Ch).DATA.PDATa

SCPI.CALCulate.PN(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:DATA:RDATa {1...1601}

:CALCulate:PN[1-1]:DATA:RDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:DATA:RDATa 1,1601"
30 OUTPUT 717;":CALCulate:PN1:DATA:RDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).DATA.XDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).DATA.XDATa

Description

This command gets X axis data, for the selected channel Ch.

Variable

Parameter | Value
Description | X axis data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.PN1.DATA.XDATa

Related Objects

SCPI.CALCulate.PN(Ch).DATA.CARRier

SCPI.CALCulate.PN(Ch).DATA.PDATa

SCPI.CALCulate.PN(Ch).DATA.RDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:DATA:XDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:DATA:XDATa ?"
30 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.ACTive = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.ACTive

Description

This command sets/gets active marker, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Active marker
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PN1.TRACe1.ALLMarker.ACTive = Var
Var = SCPI.CALCulate.PN1.TRACe1.ALLMarker.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:ALLMarker:ACTive {1 ~ 10}

:CALCulate:PN[1-1]:TRACe[1-1]:ALLMarker:ACTive?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:ALLMarker:ACTive 1 "
20 OUTPUT 717;":CALCulate:PN1:TRACe1:ALLMarker:ACTive ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Description

This command sets/gets marker search X range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search X range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.PN1.TRACe1.ALLMarker.SEARch.DOMain.X = Var
Var = SCPI.CALCulate.PN1.TRACe1.ALLMarker.SEARch.DOMain.X

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

PN Menu: Marker Search > Search Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:X {FRANge|BDMarker}

:CALCulate:PN[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:ALLMarker:SEARch:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:ALLMarker:SEARch:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Description

This command sets/gets marker search Y range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search Y range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.PN1.TRACe1.ALLMarker.SEARch.DOMain.Y = Var
Var = SCPI.CALCulate.PN1.TRACe1.ALLMarker.SEARch.DOMain.Y

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

PN Menu: Marker Search > Search Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:Y {FRANge|BDMarker}

:CALCulate:PN[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:ALLMarker:SEARch:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:ALLMarker:SEARch:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Description

This command sets search peak all, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.ALLMarker.SEARch.PEAK

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Equivalent Key

PN Menu: Marker Search > Peak > Search Peak All

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:ALLMarker:SEARch:PEAK

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:ALLMarker:SEARch:PEAK"


SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious

Description

This command sets search spurious all, for the selected trace Tr of the selected channel Ch. You can display up to 10 markers.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.PN1.TRACe1.ALLMarker.SEARch.SPURious

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Equivalent Key

PN Menu: Marker Search > Spurious > Search Spurious All

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:ALLMarker:SEARch:SPURious

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:ALLMarker:SEARch:SPURious"


SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer

Description

This command sets/gets band marker X center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PN1.TRACe1.BDMarker.X.CENTer = Var
Var = SCPI.CALCulate.PN1.TRACe1.BDMarker.X.CENTer

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

PN Menu: Marker Search > Band Marker X > Center

PN Menu: Marker Function > Band Marker X > Center

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:X:CENTer {-1T ~ 1T}

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:X:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:X:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:X:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN

Description

This command sets/gets band marker X span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.PN1.TRACe1.BDMarker.X.SPAN = Var
Var = SCPI.CALCulate.PN1.TRACe1.BDMarker.X.SPAN

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

PN Menu: Marker Search > Band Marker X > Span

PN Menu: Marker Function > Band Marker X > Span

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:X:SPAN {0 ~ 2T}

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:X:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:X:SPAN 0"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:X:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt

Description

This command sets/gets band marker X start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PN1.TRACe1.BDMarker.X.STARt = Var
Var = SCPI.CALCulate.PN1.TRACe1.BDMarker.X.STARt

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

PN Menu: Marker Search > Band Marker X > Start

PN Menu: Marker Function > Band Marker X > Start

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:X:STARt {-1T ~ 1T}

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:X:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:X:STARt -10000000000"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:X:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker visibility (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.TRACe1.BDMarker.X.STATe = Var
Var = SCPI.CALCulate.PN1.TRACe1.BDMarker.X.STATe

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

PN Menu: Marker Search > Band Marker X > Band Marker X

PN Menu: Marker Function > Band Marker X > Band Marker X

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:X:STATe {ON|OFF|1|0}

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:X:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:X:STATe 1"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:X:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP

Description

This command sets/gets band marker X stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PN1.TRACe1.BDMarker.X.STOP = Var
Var = SCPI.CALCulate.PN1.TRACe1.BDMarker.X.STOP

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe

Equivalent Key

PN Menu: Marker Search > Band Marker X > Stop

PN Menu: Marker Function > Band Marker X > Stop

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:X:STOP {-1T ~ 1T}

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:X:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:X:STOP -10000000000"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:X:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer

Description

This command sets/gets band marker Y center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PN1.TRACe1.BDMarker.Y.CENTer = Var
Var = SCPI.CALCulate.PN1.TRACe1.BDMarker.Y.CENTer

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

PN Menu: Marker Search > Band Marker Y > Center

PN Menu: Marker Function > Band Marker Y > Center

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:Y:CENTer {-1T ~ 1T}

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:Y:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:Y:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:Y:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN

Description

This command sets/gets band marker Y span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.PN1.TRACe1.BDMarker.Y.SPAN = Var
Var = SCPI.CALCulate.PN1.TRACe1.BDMarker.Y.SPAN

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

PN Menu: Marker Search > Band Marker Y > Span

PN Menu: Marker Function > Band Marker Y > Span

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:Y:SPAN {0 ~ 2T}

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:Y:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:Y:SPAN 0"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:Y:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt

Description

This command sets/gets band marker Y start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PN1.TRACe1.BDMarker.Y.STARt = Var
Var = SCPI.CALCulate.PN1.TRACe1.BDMarker.Y.STARt

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

PN Menu: Marker Search > Band Marker Y > Start

PN Menu: Marker Function > Band Marker Y > Start

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:Y:STARt {-1T ~ 1T}

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:Y:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:Y:STARt -10000000000"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:Y:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.TRACe1.BDMarker.Y.STATe = Var
Var = SCPI.CALCulate.PN1.TRACe1.BDMarker.Y.STATe

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

PN Menu: Marker Search > Band Marker Y > Band Marker Y

PN Menu: Marker Function > Band Marker Y > Band Marker Y

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:Y:STATe {ON|OFF|1|0}

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:Y:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:Y:STATe 1"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:Y:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP

Description

This command sets/gets band marker Y stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PN1.TRACe1.BDMarker.Y.STOP = Var
Var = SCPI.CALCulate.PN1.TRACe1.BDMarker.Y.STOP

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe

Equivalent Key

PN Menu: Marker Search > Band Marker Y > Stop

PN Menu: Marker Function > Band Marker Y > Stop

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:Y:STOP {-1T ~ 1T}

:CALCulate:PN[1-1]:TRACe[1-1]:BDMarker:Y:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:Y:STOP -10000000000"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:BDMarker:Y:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY = Value

Description

This command copied data to user trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Copies data to user trace
Data Type | Long integer type (Long)
Range | 1 ~ 8
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PN1.TRACe1.DATA.COPY = Var

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:COPY {1 ~ 8}

Query Response

{1 ~ 8} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:COPY 1 "
20 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa

Description

This command sets/gets formatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted trace data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PN1.TRACe1.DATA.FDATa = Var
Var = SCPI.CALCulate.PN1.TRACe1.DATA.FDATa

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:FDATa {1...1601}

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:FDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:FDATa 1,1601"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:FDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory

Description

This command sets/gets formatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PN1.TRACe1.DATA.FMEMory = Var
Var = SCPI.CALCulate.PN1.TRACe1.DATA.FMEMory

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:FMEMory {1...1601}

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:FMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:FMEMory 1,1601"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:FMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa

Description

This command sets/gets dBc data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | dBC data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PN1.TRACe1.DATA.PDATa = Var
Var = SCPI.CALCulate.PN1.TRACe1.DATA.PDATa

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:PDATa {1...1601}

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:PDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:PDATa 1,1601"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:PDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory

Description

This command sets/gets dBc memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | dBc memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PN1.TRACe1.DATA.PMEMory = Var
Var = SCPI.CALCulate.PN1.TRACe1.DATA.PMEMory

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:PMEMory {1...1601}

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:PMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:PMEMory 1,1601"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:PMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SDATa

Description

This command gets spurious data (0 or 1), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.PN1.TRACe1.DATA.SDATa

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:SDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:SDATa ?"
30 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SMEMory

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SMEMory

Description

This command gets spurious memory data (0 or 1), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.PN1.TRACe1.DATA.SMEMory

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:SMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:SMEMory ?"
30 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa

Description

This command sets/gets unformatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted trace data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PN1.TRACe1.DATA.UDATa = Var
Var = SCPI.CALCulate.PN1.TRACe1.DATA.UDATa

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:UDATa {1...1601}

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:UDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:UDATa 1,1601"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:UDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UMEMory

Description

This command sets/gets unformatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PN1.TRACe1.DATA.UMEMory = Var
Var = SCPI.CALCulate.PN1.TRACe1.DATA.UMEMory

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PN(Ch).TRACe(Tr).DATA.UDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:UMEMory {1...1601}

:CALCulate:PN[1-1]:TRACe[1-1]:DATA:UMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:UMEMory 1,1601"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:DATA:UMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).EQUation.TEXT

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).EQUation.TEXT = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).EQUation.TEXT

Description

This command sets/gets equation string, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Equation string
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 170, "Invalid equation label" 171, "Invalid equation expression"

Examples

Dim Var as String
SCPI.CALCulate.PN1.TRACe1.EQUation.TEXT = Var
Var = SCPI.CALCulate.PN1.TRACe1.EQUation.TEXT

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:EQUation:TEXT

:CALCulate:PN[1-1]:TRACe[1-1]:EQUation:TEXT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:EQUation:TEXT Sample_Text"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:EQUation:TEXT ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.AVARiance.DATA_Q avg_time, fcutoff, allan_var, jitter

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.AVARiance.DATA_Q avg_time, fcutoff, allan_var, jitter

Description

This command gets Allan Variance (data trace), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | avg_time
Description | Average time
Data Type | Double precision floating point type (Double)
Range | 1n ~ 1k
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | fcutoff
Description | Frequency cutoff
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1G
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | allan_var
Description | Allan variance
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | jitter
Description | Jitter
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim avg_time As Double
Dim fcutoff As Double
Dim allan_var As Double
Dim jitter As Double
Dim var As Variant
avg_time = 0.001 'Tau = 0.001 sec
fcutoff = 10000 '10 kHz cutoff frequency
SCPI.CALCulate.PN.TRACe.FUNCtion.AVARiance.DATA_Q avg_time, fcutoff, allan_var, jitter
MsgBox "Allan Variance = " & Str$(allan_var) & " " & "Jitter(rms) = " & Str$(jitter) & " (sec)"

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.AVARiance.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:AVARiance:DATA?

Query Response

{1n ~ 1k 0 ~ 1G - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:AVARiance:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.AVARiance.MEMory_Q avg_time, fcutoff, allan_var, jitter

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.AVARiance.MEMory_Q avg_time, fcutoff, allan_var, jitter

Description

This command gets Allan Variance (memory trace), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | avg_time
Description | Average time
Data Type | Double precision floating point type (Double)
Range | 1n ~ 1k
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | fcutoff
Description | Frequency cutoff
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1G
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | allan_var
Description | Allan variance
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | jitter
Description | Jitter
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.PN1.TRACe1.FUNCtion.AVARiance.MEMory_Q avg_time, fcutoff, allan_var, jitter

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.AVARiance.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:AVARiance:MEMory?

Query Response

{1n ~ 1k 0 ~ 1G - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:AVARiance:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.X = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.X

Description

This command sets/gets X analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.PN1.TRACe1.FUNCtion.DOMain.X = Var
Var = SCPI.CALCulate.PN1.TRACe1.FUNCtion.DOMain.X

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Equivalent Key

PN Menu: Marker Function > Analysis Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:DOMain:X {FRANge|BDMarker}

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.Y = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Description

This command sets/gets Y analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Y analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.PN1.TRACe1.FUNCtion.DOMain.Y = Var
Var = SCPI.CALCulate.PN1.TRACe1.FUNCtion.DOMain.Y

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.X

Equivalent Key

PN Menu: Marker Function > Analysis Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:DOMain:Y {FRANge|BDMarker}

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.INTegral.DATA_Q integ_noise, freq_range, rms_rad, rms_deg, jitter, residual_fm

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.INTegral.DATA_Q integ_noise, freq_range, rms_rad, rms_deg, jitter, residual_fm

Description

This command gets trace data noise, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | integ_noise
Description | Integral noise
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | freq_range
Description | Frequency range
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | rms_rad
Description | Rms in radians
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | rms_deg
Description | RMS in degrees
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | jitter
Description | Jitter
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | residual_fm
Description | Residual FM
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Integ_noise As Double
Dim Freq_range As Double
Dim Rms_rad As Double
Dim Rms_deg As Double
Dim jitter As Double
Dim Residual_fm As Double
SCPI.CALCulate.PN.TRACe.FUNCtion.TYPE = "INTegral"
SCPI.CALCulate.PN.TRACe.FUNCtion.INTegral.DATA_Q Integ_noise, Freq_range, Rms_rad, Rms_deg, jitter, Residual_fm

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.INTegral.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:INTegral:DATA?

Query Response

{ - - - - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:INTegral:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.INTegral.MEMory_Q integ_noise, freq_range, rms_rad, rms_deg, jitter, residual_fm

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.INTegral.MEMory_Q integ_noise, freq_range, rms_rad, rms_deg, jitter, residual_fm

Description

This command gets memory data noise, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | integ_noise
Description | Integral noise
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | freq_range
Description | Frequency range
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | rms_rad
Description | Rms in radians
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | rms_deg
Description | RMS in degrees
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | jitter
Description | Jitter
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | residual_fm
Description | Residual FM
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.PN1.TRACe1.FUNCtion.INTegral.MEMory_Q integ_noise, freq_range, rms_rad, rms_deg, jitter, residual_fm

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.INTegral.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:INTegral:MEMory?

Query Response

{ - - - - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:INTegral:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Description

This command gets trace data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.PN1.TRACe1.FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:STATistics:DATA?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:STATistics:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Description

This command gets memory data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.PN1.TRACe1.FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:STATistics:MEMory?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:STATistics:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.TYPE = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.TYPE

Description

This command sets/gets Analysis type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Analysis type
Data Type | Character string type (String)
Range | OFF|STATistics|INTegral
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.PN1.TRACe1.FUNCtion.TYPE = Var
Var = SCPI.CALCulate.PN1.TRACe1.FUNCtion.TYPE

Equivalent Key

PN Menu: Marker Function > Analysis Type

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:TYPE {OFF|STATistics|INTegral}

:CALCulate:PN[1-1]:TRACe[1-1]:FUNCtion:TYPE?

Query Response

{OFF|STATistics|INTegral} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:TYPE OFF"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:FUNCtion:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).HOLD

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).HOLD = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).HOLD

Description

This command sets/gets Data hold, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data hold
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.PN1.TRACe1.HOLD = Var
Var = SCPI.CALCulate.PN1.TRACe1.HOLD

Equivalent Key

PN Menu: Trace View > Data Hold

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:HOLD {OFF|MAXimum|MINimum}

:CALCulate:PN[1-1]:TRACe[1-1]:HOLD?

Query Response

{OFF|MAXimum|MINimum} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:HOLD OFF"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:HOLD ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test result
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.PN1.TRACe1.LIMit.FAIL

Related Objects

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.LDATa = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Description

This command sets/gets expanded lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit line
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PN1.TRACe1.LIMit.LOWer.LDATa = Var
Var = SCPI.CALCulate.PN1.TRACe1.LIMit.LOWer.LDATa

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa {1...1601}

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:LOWer:LDATa 1,1601"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:LOWer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Description

This command clears lower limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.LIMit.LOWer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:LOWer:SEGMent:CLEar"


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Description

This command sets/gets number of lower limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit segments
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PN1.TRACe1.LIMit.LOWer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.PN1.TRACe1.LIMit.LOWer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:COUNt {1 ~ 100}

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:LOWer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:LOWer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Description

This command sets/gets lower limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.PN1.TRACe1.LIMit.LOWer.SEGMent.DATA = Var
Var = SCPI.CALCulate.PN1.TRACe1.LIMit.LOWer.SEGMent.DATA

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA {1...400}

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:LOWer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:LOWer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.REPort.DATA

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.REPort.DATA

Description

This command gets pass/fail list, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test report
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.PN1.TRACe1.LIMit.REPort.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:REPort[:DATA]?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:REPort[:DATA] ?"
30 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.STATe = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.STATe

Description

This command sets/gets limit test on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.TRACe1.LIMit.STATe = Var
Var = SCPI.CALCulate.PN1.TRACe1.LIMit.STATe

Equivalent Key

PN Menu: Display > Limit Test > Limit Test

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit[:STATe] 1"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit[:STATe] ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.LDATa = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Description

This command sets/gets expanded upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PN1.TRACe1.LIMit.UPPer.LDATa = Var
Var = SCPI.CALCulate.PN1.TRACe1.LIMit.UPPer.LDATa

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa {1...1601}

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:UPPer:LDATa 1,1601"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:UPPer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Description

This command clears upper limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.LIMit.UPPer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:UPPer:SEGMent:CLEar"


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Description

This command sets/gets number of upper limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit segment
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PN1.TRACe1.LIMit.UPPer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.PN1.TRACe1.LIMit.UPPer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:COUNt {1 ~ 100}

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:UPPer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:UPPer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Description

This command sets/gets upper limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.PN1.TRACe1.LIMit.UPPer.SEGMent.DATA = Var
Var = SCPI.CALCulate.PN1.TRACe1.LIMit.UPPer.SEGMent.DATA

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA {1...400}

:CALCulate:PN[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:UPPer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:LIMit:UPPer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Description

This command sets marker search LPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.LPEak

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PN Menu: Marker Search > Peak > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:LPEak

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute:LPEak"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

Description

This command sets marker search LSPurious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.LSPurious

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PN Menu: Marker Search > Spurious > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute.LSPurious

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute.LSPurious"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Description

This command sets marker search LTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.LTARget

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PN Menu: Marker Search > Target > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:LTARget

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute:LTARget"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Description

This command sets marker search MAXimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.MAXimum

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PN Menu: Marker Search > Search Max

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:MAXimum

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute:MAXimum"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Description

This command sets marker search MINimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.MINimum

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PN Menu: Marker Search > Search Min

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:MINimum

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute:MINimum"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Description

This command sets marker search PEAK, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.PEAK

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PN Menu: Marker Search > Peak > Search Peak

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:PEAK

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute:PEAK"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Description

This command sets marker search RPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.RPEak

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PN Menu: Marker Search > Peak > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RPEak

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute:RPEak"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

Description

This command sets marker search RSPurious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.RSPurious

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PN Menu: Marker Search > Spurious > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RSPurious

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute:RSPurious"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Description

This command sets marker search RTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.RTARget

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PN Menu: Marker Search > Target > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RTARget

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute:RTARget"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Description

This command sets marker search SPURious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.SPURious

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PN Menu: Marker Search > Spurious > Search Spurious

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:SPURious

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute:SPURious"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Description

This command sets marker search TARGet, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.EXECute.TARGet

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Equivalent Key

PN Menu: Marker Search > Target > Search Target

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:TARGet

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:EXECute:TARGet"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Description

This command sets/gets marker-search-peak excursion value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak excursion value
Data Type | Double precision floating point type (Double)
Range | 0 ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.PEAK.EXCursion = Var
Var = SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.PEAK.EXCursion

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Equivalent Key

PN Menu: Marker Search > Peak > Peak Excursion

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:EXCursion {0 ~ 10G}

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:EXCursion?

Query Response

{0 ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:PEAK:EXCursion 0"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:PEAK:EXCursion ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Description

This command sets/gets marker-search-peak polarity type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak polarity type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.PEAK.POLarity = Var
Var = SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.PEAK.POLarity

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Equivalent Key

PN Menu: Marker Search > Peak > Peak Polarity

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:POLarity {POSitive|NEGative|BOTH}

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:POLarity?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:PEAK:POLarity POSitive"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:PEAK:POLarity ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Description

This command sets/gets marker-target transition type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.TARGet.TRANsition = Var
Var = SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.TARGet.TRANsition

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Equivalent Key

PN Menu: Marker Search > Target > Target Transition

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:TRANsition {POSitive|NEGative|BOTH}

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:TRANsition?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:TARGet:TRANsition POSitive"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:TARGet:TRANsition ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Description

This command sets/gets marker target value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target value
Data Type | Double precision floating point type (Double)
Range | -10G ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.TARGet.Y = Var
Var = SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.TARGet.Y

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Equivalent Key

PN Menu: Marker Search > Target > Target Value

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:Y {-10G ~ 10G}

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:Y?

Query Response

{-10G ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:TARGet:Y -10000000000"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:TARGet:Y ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Description

This command sets/gets search tracking type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search tracking type
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum|PEAK|TARGet|SPURious
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.TRACking.TYPE = Var
Var = SCPI.CALCulate.PN1.TRACe1.MARKer10.SEARch.TRACking.TYPE

Related Objects

Equivalent Key

PN Menu: Marker Search > Tracking

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TRACking:TYPE {OFF|MAXimum|MINimum|PEAK|TARGet|SPURious}

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TRACking:TYPE?

Query Response

{OFF|MAXimum|MINimum|PEAK|TARGet|SPURious} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:TRACking:TYPE OFF"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:SEARch:TRACking:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).STATe = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).STATe

Description

This command sets/gets marker visible on/off, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker visible state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.TRACe1.MARKer10.STATe = Var
Var = SCPI.CALCulate.PN1.TRACe1.MARKer10.STATe

Equivalent Key

PN Menu: Marker > Clear Marker Menu > Marker 1

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:STATe {ON|OFF|1|0}

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:STATe 1"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).X = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).X

Description

This command sets/gets marker x position., for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker X position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | 1k
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
SCPI.CALCulate.PN1.TRACe1.MARKer10.X = Var
Var = SCPI.CALCulate.PN1.TRACe1.MARKer10.X

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).Y

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:X

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:X?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:X 0"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:X ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).Y

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).Y

Description

This command gets marker y position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker Y position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.CALCulate.PN1.TRACe1.MARKer10.Y

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).X

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MARKer[1-10]:Y?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MARKer10:Y ?"
20 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.FUNCtion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.FUNCtion = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.FUNCtion

Description

This command sets/gets math operation type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Math function operation
Data Type | Character string type (String)
Range | NORMal|SUBTract|DIVide|ADD|MULTiply|USER
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.CALCulate.PN1.TRACe1.MATH.FUNCtion = Var
Var = SCPI.CALCulate.PN1.TRACe1.MATH.FUNCtion

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.MEMorize

SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

PN Menu: Trace View > Data Math

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MATH:FUNCtion {NORMal|SUBTract|DIVide|ADD|MULTiply|USER}

:CALCulate:PN[1-1]:TRACe[1-1]:MATH:FUNCtion?

Query Response

{NORMal|SUBTract|DIVide|ADD|MULTiply|USER} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MATH:FUNCtion NORMal"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:MATH:FUNCtion ?"
30 ENTER 717;A$


SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.MEMorize

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.MEMorize

Description

This command copies data to memory, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.MATH.MEMorize

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MATH:MEMorize

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MATH:MEMorize"


SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.OFFSet = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.OFFSet

Description

This command sets/gets Trace Offset, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Offset
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.CALCulate.PN1.TRACe1.MATH.OFFSet = Var
Var = SCPI.CALCulate.PN1.TRACe1.MATH.OFFSet

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.MEMorize

Equivalent Key

PN Menu: Trace View > Offset

PN Menu: Trace View > Marker > -Offset

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:MATH:OFFSet {-500G ~ 500G}

:CALCulate:PN[1-1]:TRACe[1-1]:MATH:OFFSet?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:MATH:OFFSet -500000000000"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:MATH:OFFSet ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.APERture

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.APERture = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.APERture

Description

This command sets/gets Smoothing aperture, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing aperture
Data Type | Double precision floating point type (Double)
Range | 50m ~ 25
Preset Value | 1.5
Unit | %
Resolution | 10m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.05
SCPI.CALCulate.PN1.TRACe1.SMOothing.APERture = Var
Var = SCPI.CALCulate.PN1.TRACe1.SMOothing.APERture

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.STATe

Equivalent Key

PN Menu: Trace View > Aperture

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SMOothing:APERture {50m ~ 25}

:CALCulate:PN[1-1]:TRACe[1-1]:SMOothing:APERture?

Query Response

{50m ~ 25} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SMOothing:APERture 0.05"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SMOothing:APERture ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.STATe = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.STATe

Description

This command sets/gets Smoothing on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.TRACe1.SMOothing.STATe = Var
Var = SCPI.CALCulate.PN1.TRACe1.SMOothing.STATe

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.APERture

Equivalent Key

PN Menu: Trace View > Smoothing

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SMOothing:STATe {ON|OFF|1|0}

:CALCulate:PN[1-1]:TRACe[1-1]:SMOothing:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SMOothing:STATe 1"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SMOothing:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OMISsion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OMISsion = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OMISsion

Description

This command sets/gets Spurious display omission ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display omission
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.TRACe1.SPURious.OMISsion = Var
Var = SCPI.CALCulate.PN1.TRACe1.SPURious.OMISsion

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:OMISsion {ON|OFF|1|0}

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:OMISsion?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:OMISsion 1"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:OMISsion ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

Description

This command clears threshold table, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.SPURious.OSSPur.FLISt.CLEar

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:CLEar

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:OSSPur:FLISt:CLEar"


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

Description

This command sets/gets Spurious Table for Omit Specified Spurious, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious table for omit specified spurious
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PN1.TRACe1.SPURious.OSSPur.FLISt.COUNt = Var
Var = SCPI.CALCulate.PN1.TRACe1.SPURious.OSSPur.FLISt.COUNt

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:COUNt {1 ~ 100}

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:OSSPur:FLISt:COUNt 1 "
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:OSSPur:FLISt:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Description

This command sets/gets threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Threshold table
Data Type | Variant type Array (Range)
Range | 1...100
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 100) as Variant
SCPI.CALCulate.PN1.TRACe1.SPURious.OSSPur.FLISt.DATA = Var
Var = SCPI.CALCulate.PN1.TRACe1.SPURious.OSSPur.FLISt.DATA

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:DATA {1...100}

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:DATA?

Query Response

{1...100} <newline><^END>

Example of use

10 Dim A(1:100)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:OSSPur:FLISt:DATA 1,100"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:OSSPur:FLISt:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Description

This command sets/gets Specified Spurious display omission ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display omission (ON/OFF)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.TRACe1.SPURious.OSSPur.OMISsion = Var
Var = SCPI.CALCulate.PN1.TRACe1.SPURious.OSSPur.OMISsion

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:OSSPur:OMISsion {ON|OFF|1|0}

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:OSSPur:OMISsion?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:OSSPur:OMISsion 1"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:OSSPur:OMISsion ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.POWer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.POWer = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.POWer

Description

This command sets/gets Spurious display merging ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display merging
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PN1.TRACe1.SPURious.POWer = Var
Var = SCPI.CALCulate.PN1.TRACe1.SPURious.POWer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:POWer {ON|OFF|1|0}

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:POWer?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:POWer 1"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:POWer ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.SENSibility

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.SENSibility = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.SENSibility

Description

This command sets/gets spurious sensibility, for the selected trace Tr of the selected channel Ch.

The low peak has real sensibility when the value is small.

Variable

Parameter | Value
Description | Spurious sensibility
Data Type | Double precision floating point type (Double)
Range | 10m ~ 10
Preset Value | 3
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 5
SCPI.CALCulate.PN1.TRACe1.SPURious.SENSibility = Var
Var = SCPI.CALCulate.PN1.TRACe1.SPURious.SENSibility

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.APERture

SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.STATe

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

PN Menu: Trace View > Spurious > Spur Sensibility

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:SENSibility {10m ~ 10}

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:SENSibility?

Query Response

{10m ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:SENSibility 5"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:SENSibility?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.SLISt

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.SLISt

Description

This command gets Spurious List, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious list
Data Type | Variant type Array (Range)
Range | 1...0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 0) as Variant
Var = SCPI.CALCulate.PN1.TRACe1.SPURious.SLISt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:SLISt?

Query Response

{1...0} <newline><^END>

Example of use

10 Dim A(1:0)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:SLISt ?"
30 ENTER 717;A(*)


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

Description

This command sets/gets Spurious minimum level definition, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious minimum level definition
Data Type | Double precision floating point type (Double)
Range | -500 ~ 500
Preset Value | -500
Unit | dBc
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.PN1.TRACe1.SPURious.THReshold.LEVel.MINimum = Var
Var = SCPI.CALCulate.PN1.TRACe1.SPURious.THReshold.LEVel.MINimum

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

PN Menu: Trace View > Spurious > Minimum Spur Level

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:THReshold:LEVel:MINimum {-500 ~ 500}

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:THReshold:LEVel:MINimum?

Query Response

{-500 ~ 500} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:THReshold:LEVel:MINimum 0"
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:THReshold:LEVel:MINimum ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

Description

This command clears threshold table, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PN1.TRACe1.SPURious.THReshold.TABLe.CLEar

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:CLEar

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:THReshold:TABLe:CLEar"


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Description

This command sets/gets number of threshold segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Number of threshold segments
Data Type | Long integer type (Long)
Range | 1 ~ 20
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PN1.TRACe1.SPURious.THReshold.TABLe.COUNt = Var
Var = SCPI.CALCulate.PN1.TRACe1.SPURious.THReshold.TABLe.COUNt

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:COUNt {1 ~ 20}

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:COUNt?

Query Response

{1 ~ 20} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:THReshold:TABLe:COUNt 1 "
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:THReshold:TABLe:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA = Value

Value = SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Description

This command sets/gets threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Threshold table
Data Type | Variant type Array (Range)
Range | 1...60
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 60) as Variant
SCPI.CALCulate.PN1.TRACe1.SPURious.THReshold.TABLe.DATA = Var
Var = SCPI.CALCulate.PN1.TRACe1.SPURious.THReshold.TABLe.DATA

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA {1...60}

:CALCulate:PN[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA?

Query Response

{1...60} <newline><^END>

Example of use

10 Dim A(1:60)
20 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:THReshold:TABLe:DATA 1,60"
30 OUTPUT 717;":CALCulate:PN1:TRACe1:SPURious:THReshold:TABLe:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).ALLTrace.LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).ALLTrace.LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected channel Ch.

Variable

Parameter | Value
Description | Result of limit test
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var = SCPI.CALCulate.PS1.ALLTrace.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:ALLTrace:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:ALLTrace:LIMit:FAIL?"
20 ENTER 717;A


SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.COUPle.STATe = Value

Value = SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.COUPle.STATe

Description

This command sets/gets marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker Coupling Function state (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean

Var = 1
SCPI.CALCulate.PS1.ALLTrace.MARKer.COUPle.STATe = Var
Var = SCPI.CALCulate.PS1.ALLTrace.MARKer.COUPle.STATe

Related Objects

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:ALLTrace:MARKer:COUPle:STATe {ON|OFF|1|0}

:CALCulate:PS[1-1]:ALLTrace:MARKer:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:ALLTrace:MARKer:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:PS1:ALLTrace:MARKer:COUPle:STATe?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.DISCrete.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.DISCrete.STATe = Value

Value = SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.DISCrete.STATe

Description

This command sets/gets marker discrete on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Enables/Disables marker discrete
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean

Var = 1
SCPI.CALCulate.PS1.ALLTrace.MARKer.DISCrete.STATe = Var
Var = SCPI.CALCulate.PS1.ALLTrace.MARKer.DISCrete.STATe

Related Objects

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

PS Menu: Marker > More Functions > Discrete

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:ALLTrace:MARKer:DISCrete:STATe {ON|OFF|1|0}

:CALCulate:PS[1-1]:ALLTrace:MARKer:DISCrete:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:ALLTrace:MARKer:DISCrete:STATe 1"
20 OUTPUT 717;":CALCulate:PS1:ALLTrace:MARKer:DISCrete:STATe?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.NUMBer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.NUMBer = Value

Value = SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.NUMBer

Description

This command sets/gets reference marker number., for the selected channel Ch.

Variable

Parameter | Value
Description | Marker reference number
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PS1.ALLTrace.MARKer.REFerence.NUMBer = Var
Var = SCPI.CALCulate.PS1.ALLTrace.MARKer.REFerence.NUMBer

Related Objects

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

PS Menu: Marker > More Functions > Ref Marker

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:ALLTrace:MARKer:REFerence:NUMBer {1 ~ 10}

:CALCulate:PS[1-1]:ALLTrace:MARKer:REFerence:NUMBer?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:ALLTrace:MARKer:REFerence:NUMBer 1 "
20 OUTPUT 717;":CALCulate:PS1:ALLTrace:MARKer:REFerence:NUMBer?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.STATe = Value

Value = SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.STATe

Description

This command sets/gets delta marker mode on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Delta marker mode (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PS1.ALLTrace.MARKer.REFerence.STATe = Var
Var = SCPI.CALCulate.PS1.ALLTrace.MARKer.REFerence.STATe

Related Objects

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.NUMBer

Equivalent Key

PS Menu: Marker > More Functions > Ref Marker Mode

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:ALLTrace:MARKer:REFerence:STATe {ON|OFF|1|0}

:CALCulate:PS[1-1]:ALLTrace:MARKer:REFerence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:ALLTrace:MARKer:REFerence:STATe 1"
20 OUTPUT 717;":CALCulate:PS1:ALLTrace:MARKer:REFerence:STATe?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).DATA.CARRier

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).DATA.CARRier = Value

Value = SCPI.CALCulate.PS(Ch).DATA.CARRier

Description

This command sets/gets carrier data: freq, power, for the selected channel Ch.

Variable

Parameter | Value
Description | Carrier data: Freq & Power
Data Type | Variant type Array (Range)
Range | 1...2
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 2) as Variant
SCPI.CALCulate.PS1.DATA.CARRier = Var
Var = SCPI.CALCulate.PS1.DATA.CARRier

Related Objects

SCPI.CALCulate.PS(Ch).DATA.PDATa

SCPI.CALCulate.PS(Ch).DATA.RDATa

SCPI.CALCulate.PS(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:DATA:CARRier {1...2}

:CALCulate:PS[1-1]:DATA:CARRier?

Query Response

{1...2} <newline><^END>

Example of use

10 Dim A(1:2)
20 OUTPUT 717;":CALCulate:PS1:DATA:CARRier 1,2"
30 OUTPUT 717;":CALCulate:PS1:DATA:CARRier?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).DATA.PDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).DATA.PDATa = Value

Value = SCPI.CALCulate.PS(Ch).DATA.PDATa

Description

This command sets/gets measurement raw power data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw power data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PS1.DATA.PDATa = Var
Var = SCPI.CALCulate.PS1.DATA.PDATa

Related Objects

SCPI.CALCulate.PS(Ch).DATA.CARRier

SCPI.CALCulate.PS(Ch).DATA.RDATa

SCPI.CALCulate.PS(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:DATA:PDATa {1...1601}

:CALCulate:PS[1-1]:DATA:PDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:DATA:PDATa 1,1601"
30 OUTPUT 717;":CALCulate:PS1:DATA:PDATa?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).DATA.RDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).DATA.RDATa = Value

Value = SCPI.CALCulate.PS(Ch).DATA.RDATa

Description

This command sets/gets measurement raw data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PS1.DATA.RDATa = Var
Var = SCPI.CALCulate.PS1.DATA.RDATa

Related Objects

SCPI.CALCulate.PS(Ch).DATA.CARRier

SCPI.CALCulate.PS(Ch).DATA.PDATa

SCPI.CALCulate.PS(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:DATA:RDATa {1...1601}

:CALCulate:PS[1-1]:DATA:RDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:DATA:RDATa 1,1601"
30 OUTPUT 717;":CALCulate:PS1:DATA:RDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).DATA.XDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).DATA.XDATa

Description

This command gets X axis data, for the selected channel Ch.

Variable

Parameter | Value
Description | X axis data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.PS1.DATA.XDATa

Related Objects

SCPI.CALCulate.PS(Ch).DATA.CARRier

SCPI.CALCulate.PS(Ch).DATA.PDATa

SCPI.CALCulate.PS(Ch).DATA.RDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:DATA:XDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:DATA:XDATa?"
30 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.ACTive = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.ACTive

Description

This command sets/gets active marker, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Active marker
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PS1.TRACe1.ALLMarker.ACTive = Var
Var = SCPI.CALCulate.PS1.TRACe1.ALLMarker.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:ALLMarker:ACTive {1 ~ 10}

:CALCulate:PS[1-1]:TRACe[1-1]:ALLMarker:ACTive?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:ALLMarker:ACTive 1 "
20 OUTPUT 717;":CALCulate:PS1:TRACe1:ALLMarker:ACTive?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Description

This command sets/gets marker search X range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search X range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.PS1.TRACe1.ALLMarker.SEARch.DOMain.X = Var
Var = SCPI.CALCulate.PS1.TRACe1.ALLMarker.SEARch.DOMain.X

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

PS Menu: Marker Search > Search Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:X {FRANge|BDMarker}

:CALCulate:PS[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:ALLMarker:SEARch:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:ALLMarker:SEARch:DOMain:X?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Description

This command sets/gets marker search Y range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search Y range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.PS1.TRACe1.ALLMarker.SEARch.DOMain.Y = Var
Var = SCPI.CALCulate.PS1.TRACe1.ALLMarker.SEARch.DOMain.Y

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

PS Menu: Marker Search > Search Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:Y {FRANge|BDMarker}

:CALCulate:PS[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:ALLMarker:SEARch:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:ALLMarker:SEARch:DOMain:Y?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Description

This command sets search peak all, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.ALLMarker.SEARch.PEAK

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Equivalent Key

PS Menu: Marker Search > Peak > Search Peak All

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:ALLMarker:SEARch:PEAK

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:ALLMarker:SEARch:PEAK"


SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious

SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious

Description

This command sets search spurious all, for the selected trace Tr of the selected channel Ch.

You can display up to 10 markers.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.PS1.TRACe1.ALLMarker.SEARch.SPURious

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Equivalent Key

PS Menu: Marker Search > Spurious > Search Spurious All

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:ALLMarker:SEARch:SPURious

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:ALLMarker:SEARch:SPURious"


SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer

Description

This command sets/gets band marker X center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PS1.TRACe1.BDMarker.X.CENTer = Var
Var = SCPI.CALCulate.PS1.TRACe1.BDMarker.X.CENTer

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

PS Menu: Marker Search > Band Marker X > Center

PS Menu: Marker Function > Band Marker X > Center

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:X:CENTer {-1T ~ 1T}

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:X:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:X:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:X:CENTer?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN

Description

This command sets/gets band marker X span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.PS1.TRACe1.BDMarker.X.SPAN = Var
Var = SCPI.CALCulate.PS1.TRACe1.BDMarker.X.SPAN

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

PS Menu: Marker Search > Band Marker X > Span

PS Menu: Marker Function > Band Marker X > Span

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:X:SPAN {0 ~ 2T}

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:X:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:X:SPAN 0"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:X:SPAN?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt

Description

This command sets/gets band marker X start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PS1.TRACe1.BDMarker.X.STARt = Var
Var = SCPI.CALCulate.PS1.TRACe1.BDMarker.X.STARt

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

PS Menu: Marker Search > Band Marker X > Start

PS Menu: Marker Function > Band Marker X > Start

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:X:STARt {-1T ~ 1T}

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:X:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:X:STARt -10000000000"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:X:STARt?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker visibility (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PS1.TRACe1.BDMarker.X.STATe = Var
Var = SCPI.CALCulate.PS1.TRACe1.BDMarker.X.STATe

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

PS Menu: Marker Search > Band Marker X > Band Marker X

PS Menu: Marker Function > Band Marker X > Band Marker X

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:X:STATe {ON|OFF|1|0}

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:X:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:X:STATe 1"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:X:STATe?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP

Description

This command sets/gets band marker X stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PS1.TRACe1.BDMarker.X.STOP = Var
Var = SCPI.CALCulate.PS1.TRACe1.BDMarker.X.STOP

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe

Equivalent Key

PS Menu: Marker Search > Band Marker X > Stop

PS Menu: Marker Function > Band Marker X > Stop

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:X:STOP {-1T ~ 1T}

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:X:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:X:STOP -10000000000"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:X:STOP?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer

Description

This command sets/gets band marker Y center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PS1.TRACe1.BDMarker.Y.CENTer = Var
Var = SCPI.CALCulate.PS1.TRACe1.BDMarker.Y.CENTer

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

PS Menu: Marker Search > Band Marker Y > Center

PS Menu: Marker Function > Band Marker Y > Center

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:Y:CENTer {-1T ~ 1T}

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:Y:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:Y:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:Y:CENTer?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN

Description

This command sets/gets band marker Y span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.PS1.TRACe1.BDMarker.Y.SPAN = Var
Var = SCPI.CALCulate.PS1.TRACe1.BDMarker.Y.SPAN

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

PS Menu: Marker Search > Band Marker Y > Span

PS Menu: Marker Function > Band Marker Y > Span

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:Y:SPAN {0 ~ 2T}

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:Y:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:Y:SPAN 0"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:Y:SPAN?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt

Description

This command sets/gets band marker Y start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PS1.TRACe1.BDMarker.Y.STARt = Var
Var = SCPI.CALCulate.PS1.TRACe1.BDMarker.Y.STARt

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

PS Menu: Marker Search > Band Marker Y > Start

PS Menu: Marker Function > Band Marker Y > Start

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:Y:STARt {-1T ~ 1T}

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:Y:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:Y:STARt -10000000000"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:Y:STARt?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PS1.TRACe1.BDMarker.Y.STATe = Var
Var = SCPI.CALCulate.PS1.TRACe1.BDMarker.Y.STATe

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

PS Menu: Marker Search > Band Marker Y > Band Marker Y

PS Menu: Marker Function > Band Marker Y > Band Marker Y

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:Y:STATe {ON|OFF|1|0}

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:Y:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:Y:STATe 1"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:Y:STATe?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP

Description

This command sets/gets band marker Y stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PS1.TRACe1.BDMarker.Y.STOP = Var
Var = SCPI.CALCulate.PS1.TRACe1.BDMarker.Y.STOP

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe

Equivalent Key

PS Menu: Marker Search > Band Marker Y > Stop

PS Menu: Marker Function > Band Marker Y > Stop

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:Y:STOP {-1T ~ 1T}

:CALCulate:PS[1-1]:TRACe[1-1]:BDMarker:Y:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:Y:STOP -10000000000"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:BDMarker:Y:STOP?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.COPY

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.COPY = Value

Description

This command copied data to user trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Copies data to user trace
Data Type | Long integer type (Long)
Range | 1 ~ 8
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PS1.TRACe1.DATA.COPY = Var

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:COPY {1 ~ 8}

Query Response

{1 ~ 8} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:COPY 1"


SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa

Description

This command sets/gets formatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted trace data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PS1.TRACe1.DATA.FDATa = Var
Var = SCPI.CALCulate.PS1.TRACe1.DATA.FDATa

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:FDATa {1...1601}

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:FDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:FDATa 1,1601"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:FDATa?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory

Description

This command sets/gets formatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PS1.TRACe1.DATA.FMEMory = Var
Var = SCPI.CALCulate.PS1.TRACe1.DATA.FMEMory

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:FMEMory {1...1601}

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:FMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:FMEMory 1,1601"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:FMEMory?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa

Description

This command sets/gets dBc data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | dBC data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PS1.TRACe1.DATA.PDATa = Var
Var = SCPI.CALCulate.PS1.TRACe1.DATA.PDATa

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:PDATa {1...1601}

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:PDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:PDATa 1,1601"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:PDATa?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory

Description

This command sets/gets dBc memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | dBc memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PS1.TRACe1.DATA.PMEMory = Var
Var = SCPI.CALCulate.PS1.TRACe1.DATA.PMEMory

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:PMEMory {1...1601}

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:PMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:PMEMory 1,1601"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:PMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SDATa

Description

This command gets spurious data (0 or 1), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.PS1.TRACe1.DATA.SDATa

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:SDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:SDATa?"
30 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SMEMory

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SMEMory

Description

This command gets spurious memory data (0 or 1), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.PS1.TRACe1.DATA.SMEMory

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:SMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:SMEMory?"
30 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa

Description

This command sets/gets unformatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted trace data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PS1.TRACe1.DATA.UDATa = Var
Var = SCPI.CALCulate.PS1.TRACe1.DATA.UDATa

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:UDATa {1...1601}

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:UDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:UDATa 1,1601"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:UDATa?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UMEMory

Description

This command sets/gets unformatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PS1.TRACe1.DATA.UMEMory = Var
Var = SCPI.CALCulate.PS1.TRACe1.DATA.UMEMory

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.PMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.SMEMory

SCPI.CALCulate.PS(Ch).TRACe(Tr).DATA.UDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:UMEMory {1...1601}

:CALCulate:PS[1-1]:TRACe[1-1]:DATA:UMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:UMEMory 1,1601"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:DATA:UMEMory?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).EQUation.TEXT

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).EQUation.TEXT = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).EQUation.TEXT

Description

This command sets/gets equation string, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Equation string
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 170, "Invalid equation label" 171, "Invalid equation expression"

Examples

Dim Var as String

Var = "MyTr = DATA-MEM"
SCPI.CALCulate.PS1.TRACe1.EQUation.TEXT = Var
Var = SCPI.CALCulate.PS1.TRACe1.EQUation.TEXT

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:EQUation:TEXT

:CALCulate:PS[1-1]:TRACe[1-1]:EQUation:TEXT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:EQUation:TEXT Sample_Text"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:EQUation:TEXT?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.AVARiance.DATA_Q avg_time, fcutoff, allan_var, jitter

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.AVARiance.DATA_Q avg_time, fcutoff, allan_var, jitter

Description

This command gets Allan Variance (data trace), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | avg_time
Description | Average time
Data Type | Double precision floating point type (Double)
Range | 1n ~ 1k
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | fcutoff
Description | Frequency cutoff
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1G
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | allan_var
Description | Allan variance
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | jitter
Description | Jitter
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim avg_time As Double
Dim fcutoff As Double
Dim allan_var As Double
Dim jitter As Double
Dim var As Variant
avg_time = 0.001 'Tau = 0.001 sec
fcutoff = 10000 '10 kHz cutoff frequency
SCPI.CALCulate.PS.TRACe.FUNCtion.AVARiance.DATA_Q avg_time, fcutoff, allan_var, jitter
MsgBox "Allan Variance = " & Str$(allan_var) & " " & "Jitter(rms) = " & Str$(jitter) & " (sec)"

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.AVARiance.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:AVARiance:DATA?

Query Response

{1n ~ 1k 0 ~ 1G - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:AVARiance:DATA?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.AVARiance.MEMory_Q avg_time, fcutoff, allan_var, jitter

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.AVARiance.MEMory_Q avg_time, fcutoff, allan_var, jitter

Description

This command gets Allan Variance (memory trace), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | avg_time
Description | Average time
Data Type | Double precision floating point type (Double)
Range | 1n ~ 1k
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | fcutoff
Description | Frequency cutoff
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1G
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | allan_var
Description | Allan variance
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | jitter
Description | Jitter
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.PS1.TRACe1.FUNCtion.AVARiance.MEMory_Q avg_time, fcutoff, allan_var, jitter

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.AVARiance.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:AVARiance:MEMory?

Query Response

{1n ~ 1k 0 ~ 1G - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:AVARiance:MEMory?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.X = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.X

Description

This command sets/gets X analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.PS1.TRACe1.FUNCtion.DOMain.X = Var
Var = SCPI.CALCulate.PS1.TRACe1.FUNCtion.DOMain.X

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Equivalent Key

PS Menu: Marker Function > Analysis Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:DOMain:X {FRANge|BDMarker}

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:DOMain:X?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.Y = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Description

This command sets/gets Y analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Y analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.PS1.TRACe1.FUNCtion.DOMain.Y = Var
Var = SCPI.CALCulate.PS1.TRACe1.FUNCtion.DOMain.Y

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.X

Equivalent Key

PS Menu: Marker Function > Analysis Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:DOMain:Y {FRANge|BDMarker}

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:DOMain:Y?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.INTegral.DATA_Q integ_noise, freq_range, rms_rad, rms_deg, jitter, residual_fm

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.INTegral.DATA_Q integ_noise, freq_range, rms_rad, rms_deg, jitter, residual_fm

Description

This command gets trace data noise, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | integ_noise
Description | Integral noise
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | freq_range
Description | Frequency range
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | rms_rad
Description | Rms in radians
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | rms_deg
Description | RMS in degrees
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | jitter
Description | Jitter
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | residual_fm
Description | Residual FM
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Integ_noise As Double
Dim Freq_range As Double
Dim Rms_rad As Double
Dim Rms_deg As Double
Dim jitter As Double
Dim Residual_fm As Double
SCPI.CALCulate.PS.TRACe.FUNCtion.TYPE = "INTegral"
SCPI.CALCulate.PS.TRACe.FUNCtion.INTegral.DATA_Q Integ_noise, Freq_range, Rms_rad, Rms_deg, jitter, Residual_fm

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.INTegral.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:INTegral:DATA?

Query Response

{ - - - - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:INTegral:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.INTegral.MEMory_Q integ_noise, freq_range, rms_rad, rms_deg, jitter, residual_fm

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.INTegral.MEMory_Q integ_noise, freq_range, rms_rad, rms_deg, jitter, residual_fm

Description

This command gets memory data noise, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | integ_noise
Description | Integral noise
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | freq_range
Description | Frequency range
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | rms_rad
Description | Rms in radians
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | rms_deg
Description | RMS in degrees
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | jitter
Description | Jitter
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | residual_fm
Description | Residual FM
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.PS1.TRACe1.FUNCtion.INTegral.MEMory_Q integ_noise, freq_range, rms_rad, rms_deg, jitter, residual_fm

Related Objects

SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.INTegral.DATA

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.INTegral.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:INTegral:MEMory?

Query Response

{ - - - - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:INTegral:MEMory?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Description

This command gets trace data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.PS1.TRACe1.FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:STATistics:DATA?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:STATistics:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Description

This command gets memory data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.PS1.TRACe1.FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:STATistics:MEMory?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:STATistics:MEMory?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.TYPE = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.TYPE

Description

This command sets/gets Analysis type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Analysis type
Data Type | Character string type (String)
Range | OFF|STATistics|INTegral
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.PS1.TRACe1.FUNCtion.TYPE = Var
Var = SCPI.CALCulate.PS1.TRACe1.FUNCtion.TYPE

Equivalent Key

PS Menu: Marker Function > Analysis Type

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:TYPE {OFF|STATistics|INTegral}

:CALCulate:PS[1-1]:TRACe[1-1]:FUNCtion:TYPE?

Query Response

{OFF|STATistics|INTegral} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:TYPE OFF"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:FUNCtion:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).HOLD

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).HOLD = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).HOLD

Description

This command sets/gets Data hold, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data hold
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.PS1.TRACe1.HOLD = Var
Var = SCPI.CALCulate.PS1.TRACe1.HOLD

Equivalent Key

PN Menu: Trace View > Data Hold

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:HOLD {OFF|MAXimum|MINimum}

:CALCulate:PS[1-1]:TRACe[1-1]:HOLD?

Query Response

{OFF|MAXimum|MINimum} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:HOLD OFF"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:HOLD ?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test result
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.PS1.TRACe1.LIMit.FAIL

Related Objects

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.LDATa = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Description

This command sets/gets expanded lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit line
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PS1.TRACe1.LIMit.LOWer.LDATa = Var
Var = SCPI.CALCulate.PS1.TRACe1.LIMit.LOWer.LDATa

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa {1...1601}

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:LOWer:LDATa 1,1601"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:LOWer:LDATa?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Description

This command clears lower limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.LIMit.LOWer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:LOWer:SEGMent:CLEar"


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Description

This command sets/gets number of lower limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit segments
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PS1.TRACe1.LIMit.LOWer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.PS1.TRACe1.LIMit.LOWer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:COUNt {1 ~ 100}

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:LOWer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:LOWer:SEGMent:COUNt?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Description

This command sets/gets lower limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.PS1.TRACe1.LIMit.LOWer.SEGMent.DATA = Var
Var = SCPI.CALCulate.PS1.TRACe1.LIMit.LOWer.SEGMent.DATA

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA {1...400}

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:LOWer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:LOWer:SEGMent:DATA?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.REPort.DATA

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.REPort.DATA

Description

This command gets pass/fail list, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test report
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.PS1.TRACe1.LIMit.REPort.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:REPort[:DATA]?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:REPort[:DATA] ?"
30 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.STATe = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.STATe

Description

This command sets/gets limit test on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PS1.TRACe1.LIMit.STATe = Var
Var = SCPI.CALCulate.PS1.TRACe1.LIMit.STATe

Equivalent Key

PS Menu: Display > Limit Test > Limit Test

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit[:STATe] 1"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit[:STATe]?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.LDATa = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Description

This command sets/gets expanded upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.PS1.TRACe1.LIMit.UPPer.LDATa = Var
Var = SCPI.CALCulate.PS1.TRACe1.LIMit.UPPer.LDATa

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa {1...1601}

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:UPPer:LDATa 1,1601"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:UPPer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Description

This command clears upper limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.LIMit.UPPer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:UPPer:SEGMent:CLEar"


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Description

This command sets/gets number of upper limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit segment
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PS1.TRACe1.LIMit.UPPer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.PS1.TRACe1.LIMit.UPPer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:COUNt {1 ~ 100}

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:UPPer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:UPPer:SEGMent:COUNt?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Description

This command sets/gets upper limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.PS1.TRACe1.LIMit.UPPer.SEGMent.DATA = Var
Var = SCPI.CALCulate.PS1.TRACe1.LIMit.UPPer.SEGMent.DATA

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA {1...400}

:CALCulate:PS[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:UPPer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:LIMit:UPPer:SEGMent:DATA?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Description

This command sets marker search LPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.LPEak

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PS Menu: Marker Search > Peak > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:LPEak

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute:LPEak"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

Description

This command sets marker search LSPurious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.LSPurious

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PS Menu: Marker Search > Spurious > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute.LSPurious

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute.LSPurious"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Description

This command sets marker search LTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.LTARget

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PS Menu: Marker Search > Target > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:LTARget

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute:LTARget"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Description

This command sets marker search MAXimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.MAXimum

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PS Menu: Marker Search > Search Max

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:MAXimum

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute:MAXimum"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Description

This command sets marker search MINimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.MINimum

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PS Menu: Marker Search > Search Min

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:MINimum

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute:MINimum"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Description

This command sets marker search PEAK, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.PEAK

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PS Menu: Marker Search > Peak > Search Peak

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:PEAK

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute:PEAK"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Description

This command sets marker search RPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.RPEak

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PS Menu: Marker Search > Peak > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RPEak

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute:RPEak"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

Description

This command sets marker search RSPurious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.RSPurious

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PS Menu: Marker Search > Spurious > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RSPurious

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute:RSPurious"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Description

This command sets marker search RTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.RTARget

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PS Menu: Marker Search > Target > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RTARget

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute:RTARget"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Description

This command sets marker search SPURious, for the selected trace Tr and marker Mk of the selected channel Ch.

  • This function is allowed to use when the spurious display is power.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.SPURious

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

PS Menu: Marker Search > Spurious > Search Spurious

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:SPURious

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute:SPURious"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Description

This command sets marker search TARGet, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.EXECute.TARGet

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious

Equivalent Key

PS Menu: Marker Search > Target > Search Target

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:TARGet

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:EXECute:TARGet"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Description

This command sets/gets marker-search-peak excursion value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak excursion value
Data Type | Double precision floating point type (Double)
Range | 0 ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.PEAK.EXCursion = Var
Var = SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.PEAK.EXCursion

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Equivalent Key

PS Menu: Marker Search > Peak > Peak Excursion

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:EXCursion {0 ~ 10G}

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:EXCursion?

Query Response

{0 ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:PEAK:EXCursion 0"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:PEAK:EXCursion ?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Description

This command sets/gets marker-search-peak polarity type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak polarity type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.PEAK.POLarity = Var
Var = SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.PEAK.POLarity

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Equivalent Key

PS Menu: Marker Search > Peak > Peak Polarity

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:POLarity {POSitive|NEGative|BOTH}

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:POLarity?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:PEAK:POLarity POSitive"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:PEAK:POLarity ?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Description

This command sets/gets marker-target transition type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.TARGet.TRANsition = Var
Var = SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.TARGet.TRANsition

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Equivalent Key

PS Menu: Marker Search > Target > Target Transition

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:TRANsition {POSitive|NEGative|BOTH}

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:TRANsition?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:TARGet:TRANsition POSitive"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:TARGet:TRANsition ?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Description

This command sets/gets marker target value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target value
Data Type | Double precision floating point type (Double)
Range | -10G ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.TARGet.Y = Var
Var = SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.TARGet.Y

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Equivalent Key

PS Menu: Marker Search > Target > Target Value

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:Y {-10G ~ 10G}

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:Y?

Query Response

{-10G ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:TARGet:Y -10000000000"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:TARGet:Y?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Description

This command sets/gets search tracking type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search tracking type
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum|PEAK|TARGet|SPURious
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.TRACking.TYPE = Var
Var = SCPI.CALCulate.PS1.TRACe1.MARKer10.SEARch.TRACking.TYPE

Related Objects

Equivalent Key

PS Menu: Marker Search > Tracking

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TRACking:TYPE {OFF|MAXimum|MINimum|PEAK|TARGet|SPURious}

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TRACking:TYPE?

Query Response

{OFF|MAXimum|MINimum|PEAK|TARGet|SPURious} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:TRACking:TYPE OFF"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:SEARch:TRACking:TYPE?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).STATe = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).STATe

Description

This command sets/gets marker visible on/off, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker visible state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PS1.TRACe1.MARKer10.STATe = Var
Var = SCPI.CALCulate.PS1.TRACe1.MARKer10.STATe

Equivalent Key

PS Menu: Marker > Clear Marker Menu > Marker 1

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:STATe {ON|OFF|1|0}

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:STATe 1"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:STATe?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).X = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).X

Description

This command sets/gets marker x position., for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker X position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | 1k
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double

Var = 100
SCPI.CALCulate.PS1.TRACe1.MARKer10.X = Var
Var = SCPI.CALCulate.PS1.TRACe1.MARKer10.X

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).Y

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:X

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:X?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:X 0"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:X?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).Y

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).Y

Description

This command gets marker y position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker Y position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.CALCulate.PS1.TRACe1.MARKer10.Y

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).X

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MARKer[1-10]:Y?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MARKer10:Y ?"
20 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.FUNCtion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.FUNCtion = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.FUNCtion

Description

This command sets/gets math operation type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Math function operation
Data Type | Character string type (String)
Range | NORMal|SUBTract|DIVide|ADD|MULTiply|USER
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.CALCulate.PS1.TRACe1.MATH.FUNCtion = Var
Var = SCPI.CALCulate.PS1.TRACe1.MATH.FUNCtion

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.MEMorize

SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

PS Menu: Trace View > Data Math

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MATH:FUNCtion {NORMal|SUBTract|DIVide|ADD|MULTiply|USER}

:CALCulate:PS[1-1]:TRACe[1-1]:MATH:FUNCtion?

Query Response

{NORMal|SUBTract|DIVide|ADD|MULTiply|USER} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MATH:FUNCtion NORMal"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:MATH:FUNCtion?"
30 ENTER 717;A$


SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.MEMorize

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.MEMorize

Description

This command copies data to memory, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.MATH.MEMorize

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MATH:MEMorize

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MATH:MEMorize"


SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.OFFSet = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.OFFSet

Description

This command sets/gets Trace Offset, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Offset
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.CALCulate.PS1.TRACe1.MATH.OFFSet = Var
Var = SCPI.CALCulate.PS1.TRACe1.MATH.OFFSet

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.MEMorize

Equivalent Key

PS Menu: Trace View > Offset

PS Menu: Trace View > Marker > -Offset

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:MATH:OFFSet {-500G ~ 500G}

:CALCulate:PS[1-1]:TRACe[1-1]:MATH:OFFSet?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:MATH:OFFSet -500000000000"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:MATH:OFFSet ?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.APERture

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.APERture = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.APERture

Description

This command sets/gets Smoothing aperture, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing aperture
Data Type | Double precision floating point type (Double)
Range | 50m ~ 25
Preset Value | 1.5
Unit | %
Resolution | 10m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.05
SCPI.CALCulate.PS1.TRACe1.SMOothing.APERture = Var
Var = SCPI.CALCulate.PS1.TRACe1.SMOothing.APERture

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.STATe

Equivalent Key

PS Menu: Trace View > Aperture

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SMOothing:APERture {50m ~ 25}

:CALCulate:PS[1-1]:TRACe[1-1]:SMOothing:APERture?

Query Response

{50m ~ 25} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SMOothing:APERture 0.05"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SMOothing:APERture ?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.STATe = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.STATe

Description

This command sets/gets Smoothing on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PS1.TRACe1.SMOothing.STATe = Var
Var = SCPI.CALCulate.PS1.TRACe1.SMOothing.STATe

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.APERture

Equivalent Key

PS Menu: Trace View > Smoothing

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SMOothing:STATe {ON|OFF|1|0}

:CALCulate:PS[1-1]:TRACe[1-1]:SMOothing:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SMOothing:STATe 1"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SMOothing:STATe?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OMISsion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OMISsion = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OMISsion

Description

This command sets/gets Spurious display omission ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display omission
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PS1.TRACe1.SPURious.OMISsion = Var
Var = SCPI.CALCulate.PS1.TRACe1.SPURious.OMISsion

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:OMISsion {ON|OFF|1|0}

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:OMISsion?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:OMISsion 1"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:OMISsion?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

Description

This command clears threshold table, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.SPURious.OSSPur.FLISt.CLEar

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:CLEar

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:OSSPur:FLISt:CLEar"


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

Description

This command sets/gets Spurious Table for Omit Specified Spurious, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious table for omit specified spurious
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PS1.TRACe1.SPURious.OSSPur.FLISt.COUNt = Var
Var = SCPI.CALCulate.PS1.TRACe1.SPURious.OSSPur.FLISt.COUNt

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:COUNt {1 ~ 100}

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:OSSPur:FLISt:COUNt 1 "
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:OSSPur:FLISt:COUNt?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Description

This command sets/gets threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Threshold table
Data Type | Variant type Array (Range)
Range | 1...100
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 100) as Variant
SCPI.CALCulate.PS1.TRACe1.SPURious.OSSPur.FLISt.DATA = Var
Var = SCPI.CALCulate.PS1.TRACe1.SPURious.OSSPur.FLISt.DATA

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:DATA {1...100}

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:OSSPur:FLISt:DATA?

Query Response

{1...100} <newline><^END>

Example of use

10 Dim A(1:100)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:OSSPur:FLISt:DATA 1,100"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:OSSPur:FLISt:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

Description

This command sets/gets Specified Spurious display omission ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display omission (ON/OFF)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PS1.TRACe1.SPURious.OSSPur.OMISsion = Var
Var = SCPI.CALCulate.PS1.TRACe1.SPURious.OSSPur.OMISsion

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:OSSPur:OMISsion {ON|OFF|1|0}

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:OSSPur:OMISsion?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:OSSPur:OMISsion 1"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:OSSPur:OMISsion?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.POWer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.POWer = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.POWer

Description

This command sets/gets Spurious display merging ON/OFF, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious display merging
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.PS1.TRACe1.SPURious.POWer = Var
Var = SCPI.CALCulate.PS1.TRACe1.SPURious.POWer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:POWer {ON|OFF|1|0}

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:POWer?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:POWer 1"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:POWer?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.SENSibility

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.SENSibility = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.SENSibility

Description

This command sets/gets spurious sensibility, for the selected trace Tr of the selected channel Ch.

The low peak has real sensibility when the value is small.

Variable

Parameter | Value
Description | Spurious sensibility
Data Type | Double precision floating point type (Double)
Range | 10m ~ 10
Preset Value | 3
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 5
SCPI.CALCulate.PS1.TRACe1.SPURious.SENSibility = Var
Var = SCPI.CALCulate.PS1.TRACe1.SPURious.SENSibility

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OMISsion

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.DATA

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.POWer

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.SLISt

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

PS Menu: Trace View > Spurious > Spur Sensibility

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:SENSibility {10m ~ 10}

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:SENSibility?

Query Response

{10m ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:SENSibility 5"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:SENSibility?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.SLISt

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.SLISt

Description

This command gets Spurious List, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious list
Data Type | Variant type Array (Range)
Range | 1...0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 0) as Variant
Var = SCPI.CALCulate.PS1.TRACe1.SPURious.SLISt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:SLISt?

Query Response

{1...0} <newline><^END>

Example of use

10 Dim A(1:0)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:SLISt?"
30 ENTER 717;A(*)


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

Description

This command sets/gets Spurious minimum level definition, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Spurious minimum level definition
Data Type | Double precision floating point type (Double)
Range | -500 ~ 500
Preset Value | -500
Unit | dBc
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.PS1.TRACe1.SPURious.THReshold.LEVel.MINimum = Var
Var = SCPI.CALCulate.PS1.TRACe1.SPURious.THReshold.LEVel.MINimum

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

PS Menu: Trace View > Spurious > Minimum Spur Level

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:THReshold:LEVel:MINimum {-500 ~ 500}

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:THReshold:LEVel:MINimum?

Query Response

{-500 ~ 500} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:THReshold:LEVel:MINimum 0"
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:THReshold:LEVel:MINimum?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

Description

This command clears threshold table, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.PS1.TRACe1.SPURious.THReshold.TABLe.CLEar

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:CLEar

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:THReshold:TABLe:CLEar"


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Description

This command sets/gets number of threshold segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Number of threshold segments
Data Type | Long integer type (Long)
Range | 1 ~ 20
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.PS1.TRACe1.SPURious.THReshold.TABLe.COUNt = Var
Var = SCPI.CALCulate.PS1.TRACe1.SPURious.THReshold.TABLe.COUNt

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:COUNt {1 ~ 20}

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:COUNt?

Query Response

{1 ~ 20} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:THReshold:TABLe:COUNt 1 "
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:THReshold:TABLe:COUNt?"
30 ENTER 717;A


SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA = Value

Value = SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.DATA

Description

This command sets/gets threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Threshold table
Data Type | Variant type Array (Range)
Range | 1...60
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 60) as Variant
SCPI.CALCulate.PS1.TRACe1.SPURious.THReshold.TABLe.DATA = Var
Var = SCPI.CALCulate.PS1.TRACe1.SPURious.THReshold.TABLe.DATA

Related Objects

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar

SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA {1...60}

:CALCulate:PS[1-1]:TRACe[1-1]:SPURious:THReshold:TABLe:DATA?

Query Response

{1...60} <newline><^END>

Example of use

10 Dim A(1:60)
20 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:THReshold:TABLe:DATA 1,60"
30 OUTPUT 717;":CALCulate:PS1:TRACe1:SPURious:THReshold:TABLe:DATA?"
40 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).ALLTrace.LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.SP(Ch).ALLTrace.LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected channel Ch.

Variable

Parameter | Value
Description | Limit test
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.SP1.ALLTrace.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:ALLTrace:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:ALLTrace:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.COUPle.STATe = Value

Value = SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.COUPle.STATe

Description

This command sets/gets marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker Coupling Function state (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.SP1.ALLTrace.MARKer.COUPle.STATe = Var
Var = SCPI.CALCulate.SP1.ALLTrace.MARKer.COUPle.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:ALLTrace:MARKer:COUPle:STATe {ON|OFF|1|0}

:CALCulate:SP[1-1]:ALLTrace:MARKer:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:ALLTrace:MARKer:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:SP1:ALLTrace:MARKer:COUPle:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.DISCrete.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.DISCrete.STATe = Value

Value = SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.DISCrete.STATe

Description

This command sets/gets marker discrete on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Desc_Value
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.SP1.ALLTrace.MARKer.DISCrete.STATe = Var
Var = SCPI.CALCulate.SP1.ALLTrace.MARKer.DISCrete.STATe

Related Objects

Equivalent Key

SP Menu: Marker > More Functions > Discrete

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:ALLTrace:MARKer:DISCrete:STATe {ON|OFF|1|0}

:CALCulate:SP[1-1]:ALLTrace:MARKer:DISCrete:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:ALLTrace:MARKer:DISCrete:STATe 1"
20 OUTPUT 717;":CALCulate:SP1:ALLTrace:MARKer:DISCrete:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.NUMBer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.NUMBer = Value

Value = SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.NUMBer

Description

This command sets/gets reference marker number, for the selected channel Ch.

Variable

Parameter | Value
Description | Enables/Disables marker discrete
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.SP1.ALLTrace.MARKer.REFerence.NUMBer = Var
Var = SCPI.CALCulate.SP1.ALLTrace.MARKer.REFerence.NUMBer

Related Objects

SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

SP Menu: Marker > More Functions > Ref Marker

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:ALLTrace:MARKer:REFerence:NUMBer {1 ~ 10}

:CALCulate:SP[1-1]:ALLTrace:MARKer:REFerence:NUMBer?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:ALLTrace:MARKer:REFerence:NUMBer 1 "
20 OUTPUT 717;":CALCulate:SP1:ALLTrace:MARKer:REFerence:NUMBer ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.STATe = Value

Value = SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.STATe

Description

This command sets/gets delta marker mode on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker reference number
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.SP1.ALLTrace.MARKer.REFerence.STATe = Var
Var = SCPI.CALCulate.SP1.ALLTrace.MARKer.REFerence.STATe

Related Objects

SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.NUMBer

Equivalent Key

SP Menu: Marker > More Functions > Ref Marker Mode

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:ALLTrace:MARKer:REFerence:STATe {ON|OFF|1|0}

:CALCulate:SP[1-1]:ALLTrace:MARKer:REFerence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:ALLTrace:MARKer:REFerence:STATe 1"
20 OUTPUT 717;":CALCulate:SP1:ALLTrace:MARKer:REFerence:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).DATA.RDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).DATA.RDATa = Value

Value = SCPI.CALCulate.SP(Ch).DATA.RDATa

Description

This command sets/gets measurement raw data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw data
Data Type | Variant type Array (Range)
Range | 1...1024
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1024) as Variant
SCPI.CALCulate.SP1.DATA.RDATa = Var
Var = SCPI.CALCulate.SP1.DATA.RDATa

Related Objects

SCPI.CALCulate.SP(Ch).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:DATA:RDATa {1...1024}

:CALCulate:SP[1-1]:DATA:RDATa?

Query Response

{1...1024} <newline><^END>

Example of use

10 Dim A(1:1024)
20 OUTPUT 717;":CALCulate:SP1:DATA:RDATa 1,1024"
30 OUTPUT 717;":CALCulate:SP1:DATA:RDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).DATA.XDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.SP(Ch).DATA.XDATa

Description

This command gets X axis data, for the selected channel Ch.

Variable

Parameter | Value
Description | X axis data
Data Type | Variant type Array (Range)
Range | 1...1024
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1024) as Variant
Var = SCPI.CALCulate.SP1.DATA.XDATa

Related Objects

SCPI.CALCulate.SP(Ch).DATA.RDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:DATA:XDATa?

Query Response

{1...1024} <newline><^END>

Example of use

10 Dim A(1:1024)
20 OUTPUT 717;":CALCulate:SP1:DATA:XDATa ?"
30 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.ACTive = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.ACTive

Description

This command sets/gets active marker, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Active marker
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.SP1.TRACe1.ALLMarker.ACTive = Var
Var = SCPI.CALCulate.SP1.TRACe1.ALLMarker.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:ALLMarker:ACTive {1 ~ 10}

:CALCulate:SP[1-1]:TRACe[1-1]:ALLMarker:ACTive?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:ALLMarker:ACTive 1 "
20 OUTPUT 717;":CALCulate:SP1:TRACe1:ALLMarker:ACTive ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Description

This command sets/gets marker search X range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search X range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.SP1.TRACe1.ALLMarker.SEARch.DOMain.X = Var
Var = SCPI.CALCulate.SP1.TRACe1.ALLMarker.SEARch.DOMain.X

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

SP Menu: Marker Search > Search Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:X {FRANge|BDMarker}

:CALCulate:SP[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:ALLMarker:SEARch:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:ALLMarker:SEARch:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Description

This command sets/gets marker search Y range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search Y range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.SP1.TRACe1.ALLMarker.SEARch.DOMain.Y = Var
Var = SCPI.CALCulate.SP1.TRACe1.ALLMarker.SEARch.DOMain.Y

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

SP Menu: Marker Search > Search Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:Y {FRANge|BDMarker}

:CALCulate:SP[1-1]:TRACe[1-1]:ALLMarker:SEARch:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:ALLMarker:SEARch:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:ALLMarker:SEARch:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Description

This command sets search peak all, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.ALLMarker.SEARch.PEAK

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Equivalent Key

SP Menu: Marker Search > Peak > Search Peak All

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:ALLMarker:SEARch:PEAK

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:ALLMarker:SEARch:PEAK"


SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer

Description

This command sets/gets band marker X center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.SP1.TRACe1.BDMarker.X.CENTer = Var
Var = SCPI.CALCulate.SP1.TRACe1.BDMarker.X.CENTer

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

SP Menu: Marker Search > Band Marker X > Center

SP Menu: Marker Function > Band Marker X > Center

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:X:CENTer {-1T ~ 1T}

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:X:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:X:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:X:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN

Description

This command sets/gets band marker X span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.SP1.TRACe1.BDMarker.X.SPAN = Var
Var = SCPI.CALCulate.SP1.TRACe1.BDMarker.X.SPAN

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

SP Menu: Marker Search > Band Marker X > Span

SP Menu: Marker Function > Band Marker X > Span

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:X:SPAN {0 ~ 2T}

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:X:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:X:SPAN 0"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:X:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt

Description

This command sets/gets band marker X start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.SP1.TRACe1.BDMarker.X.STARt = Var
Var = SCPI.CALCulate.SP1.TRACe1.BDMarker.X.STARt

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

SP Menu: Marker Search > Band Marker X > Start

SP Menu: Marker Function > Band Marker X > Start

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:X:STARt {-1T ~ 1T}

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:X:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:X:STARt -10000000000"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:X:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker visibility (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.SP1.TRACe1.BDMarker.X.STATe = Var
Var = SCPI.CALCulate.SP1.TRACe1.BDMarker.X.STATe

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

SP Menu: Marker Search > Band Marker X > Band Marker X

SP Menu: Marker Function > Band Marker X > Band Marker X

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:X:STATe {ON|OFF|1|0}

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:X:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:X:STATe 1"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:X:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP

Description

This command sets/gets band marker X stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.SP1.TRACe1.BDMarker.X.STOP = Var
Var = SCPI.CALCulate.SP1.TRACe1.BDMarker.X.STOP

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe

Equivalent Key

SP Menu: Marker Search > Band Marker X > Stop

SP Menu: Marker Function > Band Marker X > Stop

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:X:STOP {-1T ~ 1T}

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:X:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:X:STOP -10000000000"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:X:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer

Description

This command sets/gets band marker Y center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.SP1.TRACe1.BDMarker.Y.CENTer = Var
Var = SCPI.CALCulate.SP1.TRACe1.BDMarker.Y.CENTer

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

SP Menu: Marker Search > Band Marker Y > Center

SP Menu: Marker Function > Band Marker Y > Center

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:Y:CENTer {-1T ~ 1T}

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:Y:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:Y:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:Y:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN

Description

This command sets/gets band marker Y span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.SP1.TRACe1.BDMarker.Y.SPAN = Var
Var = SCPI.CALCulate.SP1.TRACe1.BDMarker.Y.SPAN

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

SP Menu: Marker Search > Band Marker Y > Span

SP Menu: Marker Function > Band Marker Y > Span

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:Y:SPAN {0 ~ 2T}

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:Y:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:Y:SPAN 0"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:Y:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt

Description

This command sets/gets band marker Y start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.SP1.TRACe1.BDMarker.Y.STARt = Var
Var = SCPI.CALCulate.SP1.TRACe1.BDMarker.Y.STARt

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

SP Menu: Marker Search > Band Marker Y > Start

SP Menu: Marker Function > Band Marker Y > Start

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:Y:STARt {-1T ~ 1T}

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:Y:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:Y:STARt -10000000000"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:Y:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.SP1.TRACe1.BDMarker.Y.STATe = Var
Var = SCPI.CALCulate.SP1.TRACe1.BDMarker.Y.STATe

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

SP Menu: Marker Search > Band Marker Y > Band Marker Y

SP Menu: Marker Function > Band Marker Y > Band Marker Y

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:Y:STATe {ON|OFF|1|0}

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:Y:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:Y:STATe 1"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:Y:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP

Description

This command sets/gets band marker Y stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.SP1.TRACe1.BDMarker.Y.STOP = Var
Var = SCPI.CALCulate.SP1.TRACe1.BDMarker.Y.STOP

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe

Equivalent Key

SP Menu: Marker Search > Band Marker Y > Stop

SP Menu: Marker Function > Band Marker Y > Stop

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:Y:STOP {-1T ~ 1T}

:CALCulate:SP[1-1]:TRACe[1-1]:BDMarker:Y:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:Y:STOP -10000000000"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:BDMarker:Y:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.COPY

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.COPY = Value

Description

This command copies data to user trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Copies date to user trace
Data Type | Long integer type (Long)
Range | 1 ~ 8
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.SP1.TRACe1.DATA.COPY = Var

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:DATA:COPY {1 ~ 8}

Query Response

{1 ~ 8} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:DATA:COPY 1 "
20 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FDATa = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FDATa

Description

This command sets/gets formatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted trace data
Data Type | Variant type Array (Range)
Range | 1...1024
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1024) as Variant
SCPI.CALCulate.SP1.TRACe1.DATA.FDATa = Var
Var = SCPI.CALCulate.SP1.TRACe1.DATA.FDATa

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:DATA:FDATa {1...1024}

:CALCulate:SP[1-1]:TRACe[1-1]:DATA:FDATa?

Query Response

{1...1024} <newline><^END>

Example of use

10 Dim A(1:1024)
20 OUTPUT 717;":CALCulate:SP1:TRACe1:DATA:FDATa 1,1024"
30 OUTPUT 717;":CALCulate:SP1:TRACe1:DATA:FDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FMEMory = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FMEMory

Description

This command sets/gets formatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted memory data
Data Type | Variant type Array (Range)
Range | 1...1024
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1024) as Variant
SCPI.CALCulate.SP1.TRACe1.DATA.FMEMory = Var
Var = SCPI.CALCulate.SP1.TRACe1.DATA.FMEMory

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:DATA:FMEMory {1...1024}

:CALCulate:SP[1-1]:TRACe[1-1]:DATA:FMEMory?

Query Response

{1...1024} <newline><^END>

Example of use

10 Dim A(1:1024)
20 OUTPUT 717;":CALCulate:SP1:TRACe1:DATA:FMEMory 1,1024"
30 OUTPUT 717;":CALCulate:SP1:TRACe1:DATA:FMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UDATa = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UDATa

Description

This command sets/gets unformatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted trace data
Data Type | Variant type Array (Range)
Range | 1...1024
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1024) as Variant
SCPI.CALCulate.SP1.TRACe1.DATA.UDATa = Var
Var = SCPI.CALCulate.SP1.TRACe1.DATA.UDATa

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:DATA:UDATa {1...1024}

:CALCulate:SP[1-1]:TRACe[1-1]:DATA:UDATa?

Query Response

{1...1024} <newline><^END>

Example of use

10 Dim A(1:1024)
20 OUTPUT 717;":CALCulate:SP1:TRACe1:DATA:UDATa 1,1024"
30 OUTPUT 717;":CALCulate:SP1:TRACe1:DATA:UDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UMEMory = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UMEMory

Description

This command sets/gets unformatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted memory data
Data Type | Variant type Array (Range)
Range | 1...1024
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1024) as Variant
SCPI.CALCulate.SP1.TRACe1.DATA.UMEMory = Var
Var = SCPI.CALCulate.SP1.TRACe1.DATA.UMEMory

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.SP(Ch).TRACe(Tr).DATA.UDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:DATA:UMEMory {1...1024}

:CALCulate:SP[1-1]:TRACe[1-1]:DATA:UMEMory?

Query Response

{1...1024} <newline><^END>

Example of use

10 Dim A(1:1024)
20 OUTPUT 717;":CALCulate:SP1:TRACe1:DATA:UMEMory 1,1024"
30 OUTPUT 717;":CALCulate:SP1:TRACe1:DATA:UMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).TRACe(Tr).EQUation.TEXT

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).EQUation.TEXT = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).EQUation.TEXT

Description

This command sets/gets equation string, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Equation string
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 170, "Invalid equation label" 171, "Invalid equation expression"

Examples

Dim Var as String
SCPI.CALCulate.SP1.TRACe1.EQUation.TEXT = Var
Var = SCPI.CALCulate.SP1.TRACe1.EQUation.TEXT

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:EQUation:TEXT

:CALCulate:SP[1-1]:TRACe[1-1]:EQUation:TEXT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:EQUation:TEXT Sample_Text"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:EQUation:TEXT ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).FORMat

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).FORMat = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).FORMat

Description

This command sets/gets SP format, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | SP format
Data Type | Character string type (String)
Range | DBM|DBV|WATT|VOLT|DBMHz|DBVHz|WHZ|VHZ
Preset Value | DBM
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "DBM"
SCPI.CALCulate.SP1.TRACe1.FORMat = Var
Var = SCPI.CALCulate.SP1.TRACe1.FORMat

Equivalent Key

SP Menu: Format > Format

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:FORMat {DBM|DBV|WATT|VOLT|DBMHz|DBVHz|WHZ|VHZ}

:CALCulate:SP[1-1]:TRACe[1-1]:FORMat?

Query Response

{DBM|DBV|WATT|VOLT|DBMHz|DBVHz|WHZ|VHZ} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:FORMat DBM"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:FORMat ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.X = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.X

Description

This command sets/gets X analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X analysis range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.SP1.TRACe1.FUNCtion.DOMain.X = Var
Var = SCPI.CALCulate.SP1.TRACe1.FUNCtion.DOMain.X

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Equivalent Key

SP Menu: Marker Function > Analysis Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:FUNCtion:DOMain:X {FRANge|BDMarker}

:CALCulate:SP[1-1]:TRACe[1-1]:FUNCtion:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:FUNCtion:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:FUNCtion:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.Y = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Description

This command sets/gets Y analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Y analysis range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.SP1.TRACe1.FUNCtion.DOMain.Y = Var
Var = SCPI.CALCulate.SP1.TRACe1.FUNCtion.DOMain.Y

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.X

Equivalent Key

SP Menu: Marker Function > Analysis Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:FUNCtion:DOMain:Y {FRANge|BDMarker}

:CALCulate:SP[1-1]:TRACe[1-1]:FUNCtion:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:FUNCtion:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:FUNCtion:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Description

This command gets trace data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.SP1.TRACe1.FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:FUNCtion:STATistics:DATA?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:FUNCtion:STATistics:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Description

This command gets memory data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.SP1.TRACe1.FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:FUNCtion:STATistics:MEMory?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:FUNCtion:STATistics:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.TYPE = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.TYPE

Description

This command sets/gets analysis type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Analysis type
Data Type | Character string type (String)
Range | OFF|STATistics
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.SP1.TRACe1.FUNCtion.TYPE = Var
Var = SCPI.CALCulate.SP1.TRACe1.FUNCtion.TYPE

Equivalent Key

SP Menu: Marker Function > Analysis Type

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:FUNCtion:TYPE {OFF|STATistics}

:CALCulate:SP[1-1]:TRACe[1-1]:FUNCtion:TYPE?

Query Response

{OFF|STATistics} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:FUNCtion:TYPE OFF"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:FUNCtion:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).HOLD

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).HOLD = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).HOLD

Description

This command sets/gets Data hold, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data hold
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.SP1.TRACe1.HOLD = Var
Var = SCPI.CALCulate.SP1.TRACe1.HOLD

Equivalent Key

SP Menu: Trace View > Data Hold

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:HOLD {OFF|MAXimum|MINimum}

:CALCulate:SP[1-1]:TRACe[1-1]:HOLD?

Query Response

{OFF|MAXimum|MINimum} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:HOLD OFF"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:HOLD ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test pass/fail
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.SP1.TRACe1.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.LDATa = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Description

This command sets/gets expanded lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Expanded lower limit line
Data Type | Variant type Array (Range)
Range | 1...1024
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1024) as Variant
SCPI.CALCulate.SP1.TRACe1.LIMit.LOWer.LDATa = Var
Var = SCPI.CALCulate.SP1.TRACe1.LIMit.LOWer.LDATa

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa {1...1024}

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:LOWer:LDATa?

Query Response

{1...1024} <newline><^END>

Example of use

10 Dim A(1:1024)
20 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:LOWer:LDATa 1,1024"
30 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:LOWer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Description

This command clears lower limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.LIMit.LOWer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:LOWer:SEGMent:CLEar"


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Description

This command sets/gets number of lower limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Number of lower limit segments
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.SP1.TRACe1.LIMit.LOWer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.SP1.TRACe1.LIMit.LOWer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:COUNt {1 ~ 100}

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:LOWer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:LOWer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Description

This command sets/gets lower limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit line data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.SP1.TRACe1.LIMit.LOWer.SEGMent.DATA = Var
Var = SCPI.CALCulate.SP1.TRACe1.LIMit.LOWer.SEGMent.DATA

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA {1...400}

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:LOWer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:LOWer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:LOWer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.REPort.DATA

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.REPort.DATA

Description

This command gets pass/fail list, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Pass/fail list
Data Type | Variant type Array (Range)
Range | 1...1024
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1024) as Variant
Var = SCPI.CALCulate.SP1.TRACe1.LIMit.REPort.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:REPort[:DATA]?

Query Response

{1...1024} <newline><^END>

Example of use

10 Dim A(1:1024)
20 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:REPort[:DATA] ?"
30 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.STATe = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.STATe

Description

This command sets/gets limit test on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.SP1.TRACe1.LIMit.STATe = Var
Var = SCPI.CALCulate.SP1.TRACe1.LIMit.STATe

Equivalent Key

SP Menu: Display > Limit Test > Limit Test

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit[:STATe] 1"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit[:STATe] ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.LDATa = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Description

This command sets/gets expanded upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Expanded lower limit line
Data Type | Variant type Array (Range)
Range | 1...1024
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1024) as Variant
SCPI.CALCulate.SP1.TRACe1.LIMit.UPPer.LDATa = Var
Var = SCPI.CALCulate.SP1.TRACe1.LIMit.UPPer.LDATa

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa {1...1024}

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:UPPer:LDATa?

Query Response

{1...1024} <newline><^END>

Example of use

10 Dim A(1:1024)
20 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:UPPer:LDATa 1,1024"
30 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:UPPer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Description

This command clears upper limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.LIMit.UPPer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:UPPer:SEGMent:CLEar"


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Description

This command sets/gets number of upper limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Number of upper limit segments
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.SP1.TRACe1.LIMit.UPPer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.SP1.TRACe1.LIMit.UPPer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:COUNt {1 ~ 100}

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:UPPer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:UPPer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Description

This command sets/gets upper limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.SP1.TRACe1.LIMit.UPPer.SEGMent.DATA = Var
Var = SCPI.CALCulate.SP1.TRACe1.LIMit.UPPer.SEGMent.DATA

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA {1...400}

:CALCulate:SP[1-1]:TRACe[1-1]:LIMit:UPPer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:UPPer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:SP1:TRACe1:LIMit:UPPer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Description

This command sets marker search LPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.EXECute.LPEak

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Equivalent Key

SP Menu: Marker Search > Peak > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:LPEak

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:EXECute:LPEak"


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Description

This command sets marker search LTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.EXECute.LTARget

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Equivalent Key

SP Menu: Marker Search > Target > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:LTARget

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:EXECute:LTARget"


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Description

This command sets marker search MAXimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.EXECute.MAXimum

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Equivalent Key

SP Menu: Marker Search > Search Max

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:MAXimum

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:EXECute:MAXimum"


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Description

This command sets marker search MINimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.EXECute.MINimum

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Equivalent Key

SP Menu: Marker Search > Search Min

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:MINimum

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:EXECute:MINimum"


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Description

This command sets marker search PEAK, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.EXECute.PEAK

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Equivalent Key

SP Menu: Marker Search > Peak > Search Peak

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:PEAK

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:EXECute:PEAK"


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Description

This command sets marker search RPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.EXECute.RPEak

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Equivalent Key

SP Menu: Marker Search > Peak > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RPEak

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:EXECute:RPEak"


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Description

This command sets marker search RTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.EXECute.RTARget

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

SP Menu: Marker Search > Target > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:RTARget

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:EXECute:RTARget"


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Description

This command sets marker search TARGet, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.EXECute.TARGet

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Equivalent Key

SP Menu: Marker Search > Target > Search Target

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:EXECute:TARGet

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:EXECute:TARGet"


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Description

This command sets/gets marker-search-peak excursion value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker-search-peak excursion value
Data Type | Double precision floating point type (Double)
Range | 0 ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.PEAK.EXCursion = Var
Var = SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.PEAK.EXCursion

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Equivalent Key

SP Menu: Marker Search > Peak > Peak Excursion

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:EXCursion {0 ~ 10G}

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:EXCursion?

Query Response

{0 ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:PEAK:EXCursion 0"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:PEAK:EXCursion ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Description

This command sets/gets marker-search-peak polarity type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker-search-peak polarity type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.PEAK.POLarity = Var
Var = SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.PEAK.POLarity

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Equivalent Key

SP Menu: Marker Search > Peak > Peak Polarity

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:POLarity {POSitive|NEGative|BOTH}

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:PEAK:POLarity?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:PEAK:POLarity POSitive"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:PEAK:POLarity ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Description

This command sets/gets marker-target transition type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker-target transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.TARGet.TRANsition = Var
Var = SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.TARGet.TRANsition

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Equivalent Key

SP Menu: Marker Search > Target > Target Transition

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:TRANsition {POSitive|NEGative|BOTH}

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:TRANsition?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:TARGet:TRANsition POSitive"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:TARGet:TRANsition ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Description

This command sets/gets marker target value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target value
Data Type | Double precision floating point type (Double)
Range | -10G ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.TARGet.Y = Var
Var = SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.TARGet.Y

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Equivalent Key

SP Menu: Marker Search > Target > Target Value

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:Y {-10G ~ 10G}

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TARGet:Y?

Query Response

{-10G ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:TARGet:Y -10000000000"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:TARGet:Y ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Description

This command sets/gets search tracking type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Search tracking type
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum|PEAK|TARGet
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.TRACking.TYPE = Var
Var = SCPI.CALCulate.SP1.TRACe1.MARKer10.SEARch.TRACking.TYPE

Equivalent Key

SP Menu: Marker Search > Tracking

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TRACking:TYPE {OFF|MAXimum|MINimum|PEAK|TARGet}

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:SEARch:TRACking:TYPE?

Query Response

{OFF|MAXimum|MINimum|PEAK|TARGet} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:TRACking:TYPE OFF"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:SEARch:TRACking:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).STATe = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).STATe

Description

This command sets/gets marker visible on/off, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker visible (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.SP1.TRACe1.MARKer10.STATe = Var
Var = SCPI.CALCulate.SP1.TRACe1.MARKer10.STATe

Equivalent Key

SP Menu: Marker > Clear Marker Menu > Marker 1

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:STATe {ON|OFF|1|0}

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:STATe 1"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).X = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).X

Description

This command sets/gets marker x position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker x position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | 992.5M
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
SCPI.CALCulate.SP1.TRACe1.MARKer10.X = Var
Var = SCPI.CALCulate.SP1.TRACe1.MARKer10.X

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).Y

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:X

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:X?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:X 0"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:X ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).Y

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).Y

Description

This command gets marker y position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker y position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.CALCulate.SP1.TRACe1.MARKer10.Y

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).X

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MARKer[1-10]:Y?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MARKer10:Y ?"
20 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.FUNCtion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.FUNCtion = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.FUNCtion

Description

This command sets/gets math operation type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Math operation type
Data Type | Character string type (String)
Range | NORMal|SUBTract|DIVide|ADD|MULTiply|USER
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.CALCulate.SP1.TRACe1.MATH.FUNCtion = Var
Var = SCPI.CALCulate.SP1.TRACe1.MATH.FUNCtion

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.MEMorize

SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

SP Menu: Trace View > Data Math

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MATH:FUNCtion {NORMal|SUBTract|DIVide|ADD|MULTiply|USER}

:CALCulate:SP[1-1]:TRACe[1-1]:MATH:FUNCtion?

Query Response

{NORMal|SUBTract|DIVide|ADD|MULTiply|USER} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MATH:FUNCtion NORMal"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:MATH:FUNCtion ?"
30 ENTER 717;A$


SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.MEMorize

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.MEMorize

Description

This command copies data to memory, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.SP1.TRACe1.MATH.MEMorize

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MATH:MEMorize

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MATH:MEMorize"


SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.OFFSet = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.OFFSet

Description

This command sets/gets Trace Offset, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Offset
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.CALCulate.SP1.TRACe1.MATH.OFFSet = Var
Var = SCPI.CALCulate.SP1.TRACe1.MATH.OFFSet

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.MEMorize

Equivalent Key

SP Menu: Trace View > Offset

SP Menu: Trace View > Marker > -Offset

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:MATH:OFFSet {-500G ~ 500G}

:CALCulate:SP[1-1]:TRACe[1-1]:MATH:OFFSet?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:MATH:OFFSet -500000000000"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:MATH:OFFSet ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.APERture

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.APERture = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.APERture

Description

This command sets/gets Smoothing aperture, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing aperture
Data Type | Double precision floating point type (Double)
Range | 50m ~ 25
Preset Value | 1.5
Unit | %
Resolution | 10m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.05
SCPI.CALCulate.SP1.TRACe1.SMOothing.APERture = Var
Var = SCPI.CALCulate.SP1.TRACe1.SMOothing.APERture

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.STATe

Equivalent Key

SP Menu: Trace View > Aperture

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:SMOothing:APERture {50m ~ 25}

:CALCulate:SP[1-1]:TRACe[1-1]:SMOothing:APERture?

Query Response

{50m ~ 25} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:SMOothing:APERture 0.05"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:SMOothing:APERture ?"
30 ENTER 717;A


SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.STATe = Value

Value = SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.STATe

Description

This command sets/gets Smoothing on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Desc_Value
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.SP1.TRACe1.SMOothing.STATe = Var
Var = SCPI.CALCulate.SP1.TRACe1.SMOothing.STATe

Related Objects

SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.APERture

Equivalent Key

SP Menu: Trace View > Smoothing

Equivalent SCPI Command

Syntax

:CALCulate:SP[1-1]:TRACe[1-1]:SMOothing:STATe {ON|OFF|1|0}

:CALCulate:SP[1-1]:TRACe[1-1]:SMOothing:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:SP1:TRACe1:SMOothing:STATe 1"
20 OUTPUT 717;":CALCulate:SP1:TRACe1:SMOothing:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).ALLTrace.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).ALLTrace.ACTive = Value

Value = SCPI.CALCulate.TR(Ch).ALLTrace.ACTive

Description

This command sets/gets active trace, for the selected channel Ch.

  • When measurement mode is Wide/Narrow, trace 5 to trace 8 are disabled.
    When measurement mode is Narrow/Narrow, trace 1 or trace 5 is disabled.

Variable

Parameter | Value
Description | Active trace
Data Type | Long integer type (Long)
Range | 1 ~ 8
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.TR1.ALLTrace.ACTive = Var
Var = SCPI.CALCulate.TR1.ALLTrace.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:ALLTrace:ACTive {1 ~ 8}

:CALCulate:TR[1-1]:ALLTrace:ACTive?

Query Response

{1 ~ 8} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:ALLTrace:ACTive 1 "
20 OUTPUT 717;":CALCulate:TR1:ALLTrace:ACTive ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).ALLTrace.BDMarker.X.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).ALLTrace.BDMarker.X.COUPle.STATe = Value

Value = SCPI.CALCulate.TR(Ch).ALLTrace.BDMarker.X.COUPle.STATe

Description

This command sets/gets x band marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | X band marker couple (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.ALLTrace.BDMarker.X.COUPle.STATe = Var
Var = SCPI.CALCulate.TR1.ALLTrace.BDMarker.X.COUPle.STATe

Equivalent Key

TR Menu: Marker Search > Couple

TR Menu: Marker Function > Couple

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:ALLTrace:BDMarker:X:COUPle:STATe {ON|OFF|1|0}

:CALCulate:TR[1-1]:ALLTrace:BDMarker:X:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:ALLTrace:BDMarker:X:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:TR1:ALLTrace:BDMarker:X:COUPle:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).ALLTrace.LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).ALLTrace.LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected channel Ch.

Variable

Parameter | Value
Description | Result of limit test
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.TR1.ALLTrace.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:ALLTrace:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:ALLTrace:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.COUPle.STATe = Value

Value = SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.COUPle.STATe

Description

This command sets/gets marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker Coupling Function state (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.ALLTrace.MARKer.COUPle.STATe = Var
Var = SCPI.CALCulate.TR1.ALLTrace.MARKer.COUPle.STATe

Related Objects

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

TR Menu: Marker > Couple

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:ALLTrace:MARKer:COUPle:STATe {ON|OFF|1|0}

:CALCulate:TR[1-1]:ALLTrace:MARKer:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:ALLTrace:MARKer:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:TR1:ALLTrace:MARKer:COUPle:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.DISCrete.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.DISCrete.STATe = Value

Value = SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.DISCrete.STATe

Description

This command sets/gets marker discrete on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Enables/Disables marker discrete
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.ALLTrace.MARKer.DISCrete.STATe = Var
Var = SCPI.CALCulate.TR1.ALLTrace.MARKer.DISCrete.STATe

Related Objects

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

TR Menu: Marker > More Functions > Discrete

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:ALLTrace:MARKer:DISCrete:STATe {ON|OFF|1|0}

:CALCulate:TR[1-1]:ALLTrace:MARKer:DISCrete:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:ALLTrace:MARKer:DISCrete:STATe 1"
20 OUTPUT 717;":CALCulate:TR1:ALLTrace:MARKer:DISCrete:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.NUMBer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.NUMBer = Value

Value = SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.NUMBer

Description

This command sets/gets reference marker number., for the selected channel Ch.

Variable

Parameter | Value
Description | Marker reference number
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.TR1.ALLTrace.MARKer.REFerence.NUMBer = Var
Var = SCPI.CALCulate.TR1.ALLTrace.MARKer.REFerence.NUMBer

Related Objects

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

TR Menu: Marker > More Functions > Ref Marker

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:ALLTrace:MARKer:REFerence:NUMBer {1 ~ 10}

:CALCulate:TR[1-1]:ALLTrace:MARKer:REFerence:NUMBer?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:ALLTrace:MARKer:REFerence:NUMBer 1 "
20 OUTPUT 717;":CALCulate:TR1:ALLTrace:MARKer:REFerence:NUMBer ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.STATe = Value

Value = SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.STATe

Description

This command sets/gets delta marker mode on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Delta marker mode (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.ALLTrace.MARKer.REFerence.STATe = Var
Var = SCPI.CALCulate.TR1.ALLTrace.MARKer.REFerence.STATe

Related Objects

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.NUMBer

Equivalent Key

TR Menu: Marker > More Functions > Ref Marker Mode

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:ALLTrace:MARKer:REFerence:STATe {ON|OFF|1|0}

:CALCulate:TR[1-1]:ALLTrace:MARKer:REFerence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:ALLTrace:MARKer:REFerence:STATe 1"
20 OUTPUT 717;":CALCulate:TR1:ALLTrace:MARKer:REFerence:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).NARRow(Nr).DATA.RDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).NARRow(Nr).DATA.RDATa = Value

Value = SCPI.CALCulate.TR(Ch).NARRow(Nr).DATA.RDATa

Description

This command sets/gets measurement raw data, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw data
Data Type | Variant type Array (Range)
Range | 1...4692
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 4692) as Variant
SCPI.CALCulate.TR1.NARRow1.DATA.RDATa = Var
Var = SCPI.CALCulate.TR1.NARRow1.DATA.RDATa

Related Objects

SCPI.CALCulate.TR(Ch).NARRow(Nr).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:NARRow[1-2]:DATA:RDATa {1...4692}

:CALCulate:TR[1-1]:NARRow[1-2]:DATA:RDATa?

Query Response

{1...4692} <newline><^END>

Example of use

10 Dim A(1:4692)
20 OUTPUT 717;":CALCulate:TR1:NARRow1:DATA:RDATa 1,4692"
30 OUTPUT 717;":CALCulate:TR1:NARRow1:DATA:RDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).NARRow(Nr).DATA.XDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).NARRow(Nr).DATA.XDATa

Description

This command gets X axis data, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | X axis data
Data Type | Variant type Array (Range)
Range | 1...1564
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1564) as Variant
Var = SCPI.CALCulate.TR1.NARRow1.DATA.XDATa

Related Objects

SCPI.CALCulate.TR(Ch).NARRow(Nr).DATA.RDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:NARRow[1-2]:DATA:XDATa?

Query Response

{1...1564} <newline><^END>

Example of use

10 Dim A(1:1564)
20 OUTPUT 717;":CALCulate:TR1:NARRow1:DATA:XDATa ?"
30 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.ACTive = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.ACTive

Description

This command sets/gets active marker, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Active marker
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.TR1.TRACe4.ALLMarker.ACTive = Var
Var = SCPI.CALCulate.TR1.TRACe4.ALLMarker.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:ALLMarker:ACTive {1 ~ 10}

:CALCulate:TR[1-1]:TRACe[1-8]:ALLMarker:ACTive?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:ALLMarker:ACTive 1 "
20 OUTPUT 717;":CALCulate:TR1:TRACe4:ALLMarker:ACTive ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Description

This command sets/gets marker search X range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search X range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.TR1.TRACe4.ALLMarker.SEARch.DOMain.X = Var
Var = SCPI.CALCulate.TR1.TRACe4.ALLMarker.SEARch.DOMain.X

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

TR Menu: Marker Search > Search Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:ALLMarker:SEARch:DOMain:X {FRANge|BDMarker}

:CALCulate:TR[1-1]:TRACe[1-8]:ALLMarker:SEARch:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:ALLMarker:SEARch:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:ALLMarker:SEARch:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Description

This command sets/gets marker search Y range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search Y range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.TR1.TRACe4.ALLMarker.SEARch.DOMain.Y = Var
Var = SCPI.CALCulate.TR1.TRACe4.ALLMarker.SEARch.DOMain.Y

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

TR Menu: Marker Search > Search Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:ALLMarker:SEARch:DOMain:Y {FRANge|BDMarker}

:CALCulate:TR[1-1]:TRACe[1-8]:ALLMarker:SEARch:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:ALLMarker:SEARch:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:ALLMarker:SEARch:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Description

This command sets search peak all, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.ALLMarker.SEARch.PEAK

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Equivalent Key

TR Menu: Marker Search > Peak > Search Peak All

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:ALLMarker:SEARch:PEAK

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:ALLMarker:SEARch:PEAK"


SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer

Description

This command sets/gets band marker X center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.TR1.TRACe4.BDMarker.X.CENTer = Var
Var = SCPI.CALCulate.TR1.TRACe4.BDMarker.X.CENTer

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

TR Menu: Marker Search > Band Marker X > Center

TR Menu: Marker Function > Band Marker X > Center

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:X:CENTer {-1T ~ 1T}

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:X:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:X:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:X:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN

Description

This command sets/gets band marker X span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.TR1.TRACe4.BDMarker.X.SPAN = Var
Var = SCPI.CALCulate.TR1.TRACe4.BDMarker.X.SPAN

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

TR Menu: Marker Search > Band Marker X > Span

TR Menu: Marker Function > Band Marker X > Span

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:X:SPAN {0 ~ 2T}

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:X:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:X:SPAN 0"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:X:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt

Description

This command sets/gets band marker X start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.TR1.TRACe4.BDMarker.X.STARt = Var
Var = SCPI.CALCulate.TR1.TRACe4.BDMarker.X.STARt

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

TR Menu: Marker Search > Band Marker X > Start

TR Menu: Marker Function > Band Marker X > Start

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:X:STARt {-1T ~ 1T}

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:X:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:X:STARt -10000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:X:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker visibility (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.TRACe4.BDMarker.X.STATe = Var
Var = SCPI.CALCulate.TR1.TRACe4.BDMarker.X.STATe

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

TR Menu: Marker Search > Band Marker X > Band Marker X

TR Menu: Marker Function > Band Marker X > Band Marker X

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:X:STATe {ON|OFF|1|0}

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:X:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:X:STATe 1"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:X:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP

Description

This command sets/gets band marker X stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.TR1.TRACe4.BDMarker.X.STOP = Var
Var = SCPI.CALCulate.TR1.TRACe4.BDMarker.X.STOP

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe

Equivalent Key

TR Menu: Marker Search > Band Marker X > Stop

TR Menu: Marker Function > Band Marker X > Stop

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:X:STOP {-1T ~ 1T}

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:X:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:X:STOP -10000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:X:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer

Description

This command sets/gets band marker Y center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.TR1.TRACe4.BDMarker.Y.CENTer = Var
Var = SCPI.CALCulate.TR1.TRACe4.BDMarker.Y.CENTer

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

TR Menu: Marker Search > Band Marker Y > Center

TR Menu: Marker Function > Band Marker Y > Center

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:Y:CENTer {-1T ~ 1T}

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:Y:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:Y:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:Y:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN

Description

This command sets/gets band marker Y span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.TR1.TRACe4.BDMarker.Y.SPAN = Var
Var = SCPI.CALCulate.TR1.TRACe4.BDMarker.Y.SPAN

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

TR Menu: Marker Search > Band Marker Y > Span

TR Menu: Marker Function > Band Marker Y > Span

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:Y:SPAN {0 ~ 2T}

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:Y:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:Y:SPAN 0"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:Y:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt

Description

This command sets/gets band marker Y start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.TR1.TRACe4.BDMarker.Y.STARt = Var
Var = SCPI.CALCulate.TR1.TRACe4.BDMarker.Y.STARt

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

TR Menu: Marker Search > Band Marker Y > Start

TR Menu: Marker Function > Band Marker Y > Start

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:Y:STARt {-1T ~ 1T}

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:Y:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:Y:STARt -10000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:Y:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.TRACe4.BDMarker.Y.STATe = Var
Var = SCPI.CALCulate.TR1.TRACe4.BDMarker.Y.STATe

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

TR Menu: Marker Search > Band Marker Y > Band Marker Y

TR Menu: Marker Function > Band Marker Y > Band Marker Y

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:Y:STATe {ON|OFF|1|0}

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:Y:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:Y:STATe 1"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:Y:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP

Description

This command sets/gets band marker Y stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.TR1.TRACe4.BDMarker.Y.STOP = Var
Var = SCPI.CALCulate.TR1.TRACe4.BDMarker.Y.STOP

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe

Equivalent Key

TR Menu: Marker Search > Band Marker Y > Stop

TR Menu: Marker Function > Band Marker Y > Stop

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:Y:STOP {-1T ~ 1T}

:CALCulate:TR[1-1]:TRACe[1-8]:BDMarker:Y:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:Y:STOP -10000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:BDMarker:Y:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.COPY

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.COPY = Value

Description

This command copies data to user trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Copies data to user trace
Data Type | Long integer type (Long)
Range | 1 ~ 8
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.TR1.TRACe4.DATA.COPY = Var

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:DATA:COPY {1 ~ 8}

Query Response

{1 ~ 8} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:DATA:COPY 1 "
20 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FDATa = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FDATa

Description

This command sets/gets formatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted trace data
Data Type | Variant type Array (Range)
Range | 1...1251
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1251) as Variant
SCPI.CALCulate.TR1.TRACe4.DATA.FDATa = Var
Var = SCPI.CALCulate.TR1.TRACe4.DATA.FDATa

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:DATA:FDATa {1...1251}

:CALCulate:TR[1-1]:TRACe[1-8]:DATA:FDATa?

Query Response

{1...1251} <newline><^END>

Example of use

10 Dim A(1:1251)
20 OUTPUT 717;":CALCulate:TR1:TRACe4:DATA:FDATa 1,1251"
30 OUTPUT 717;":CALCulate:TR1:TRACe4:DATA:FDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FMEMory = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FMEMory

Description

This command sets/gets formatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted memory data
Data Type | Variant type Array (Range)
Range | 1...1251
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1251) as Variant
SCPI.CALCulate.TR1.TRACe4.DATA.FMEMory = Var
Var = SCPI.CALCulate.TR1.TRACe4.DATA.FMEMory

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:DATA:FMEMory {1...1251}

:CALCulate:TR[1-1]:TRACe[1-8]:DATA:FMEMory?

Query Response

{1...1251} <newline><^END>

Example of use

10 Dim A(1:1251)
20 OUTPUT 717;":CALCulate:TR1:TRACe4:DATA:FMEMory 1,1251"
30 OUTPUT 717;":CALCulate:TR1:TRACe4:DATA:FMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UDATa = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UDATa

Description

This command sets/gets unformatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted trace data
Data Type | Variant type Array (Range)
Range | 1...1251
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1251) as Variant
SCPI.CALCulate.TR1.TRACe4.DATA.UDATa = Var
Var = SCPI.CALCulate.TR1.TRACe4.DATA.UDATa

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:DATA:UDATa {1...1251}

:CALCulate:TR[1-1]:TRACe[1-8]:DATA:UDATa?

Query Response

{1...1251} <newline><^END>

Example of use

10 Dim A(1:1251)
20 OUTPUT 717;":CALCulate:TR1:TRACe4:DATA:UDATa 1,1251"
30 OUTPUT 717;":CALCulate:TR1:TRACe4:DATA:UDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UMEMory = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UMEMory

Description

This command sets/gets unformatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted memory data
Data Type | Variant type Array (Range)
Range | 1...1251
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1251) as Variant
SCPI.CALCulate.TR1.TRACe4.DATA.UMEMory = Var
Var = SCPI.CALCulate.TR1.TRACe4.DATA.UMEMory

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.TR(Ch).TRACe(Tr).DATA.UDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:DATA:UMEMory {1...1251}

:CALCulate:TR[1-1]:TRACe[1-8]:DATA:UMEMory?

Query Response

{1...1251} <newline><^END>

Example of use

10 Dim A(1:1251)
20 OUTPUT 717;":CALCulate:TR1:TRACe4:DATA:UMEMory 1,1251"
30 OUTPUT 717;":CALCulate:TR1:TRACe4:DATA:UMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).TRACe(Tr).EQUation.TEXT

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).EQUation.TEXT = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).EQUation.TEXT

Description

This command sets/gets equation string, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Equation string
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 170, "Invalid equation label" 171, "Invalid equation expression"

Examples

Dim Var as String
SCPI.CALCulate.TR1.TRACe4.EQUation.TEXT = Var
Var = SCPI.CALCulate.TR1.TRACe4.EQUation.TEXT

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:EQUation:TEXT

:CALCulate:TR[1-1]:TRACe[1-8]:EQUation:TEXT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:EQUation:TEXT Sample_Text"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:EQUation:TEXT ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.FREQuency

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.FREQuency = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.FREQuency

Description

This command sets/gets frequency format, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Frequency format
Data Type | Character string type (String)
Range | HZ|DHZ|PCT|PPM
Preset Value | HZ
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "HZ"
SCPI.CALCulate.TR1.TRACe4.FORMat.FREQuency = Var
Var = SCPI.CALCulate.TR1.TRACe4.FORMat.FREQuency

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.UNIT

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.WRAP

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XREFerence

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XRSPan

Equivalent Key

TR Menu: Format > Frequency Format

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:FREQuency {HZ|DHZ|PCT|PPM}

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:FREQuency?

Query Response

{HZ|DHZ|PCT|PPM} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:FREQuency HZ"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:FREQuency ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.AUTO

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.AUTO = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.AUTO

Description

This command sets/gets phase reference frequency offset auto calculation on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Phase reference frequency offset auto (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.PREFerence.AUTO = Var
Var = SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.PREFerence.AUTO

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.OFFSet

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XPOSition

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XSPan

Equivalent Key

TR Menu: Setup > Recalc Phase Reference > Auto Reference

TR Menu: Setup > Recalc Phase Reference > N2 Auto Reference

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:PREFerence:AUTO {ON|OFF|1|0}

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:PREFerence:AUTO?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:PREFerence:AUTO 1"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:PREFerence:AUTO?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.OFFSet = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.OFFSet

Description

This command sets/gets phase reference frequency offset, for the selected trace Tr of the selected channel Ch.

  • Disable this function when phase reference frequency offset auto is ON.

Variable

Parameter | Value
Description | Phase reference frequency offset
Data Type | Double precision floating point type (Double)
Range | -80M ~ 80M
Preset Value | 0
Unit | Hz
Resolution | 1m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -25600000
SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.PREFerence.OFFSet = Var
Var = SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.PREFerence.OFFSet

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.FREQuency

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.UNIT

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.WRAP

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XREFerence

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.AUTO

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XPOSition

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XSPan

Equivalent Key

TR Menu: Setup > Recalc Phase Reference > Phase Ref. Offset

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:PREFerence:OFFSet {-25.6M ~ 25.6M}

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:PREFerence:OFFSet?

Query Response

{-25.6M ~ 25.6M} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:PREFerence:OFFSet -25600000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:PREFerence:OFFSet ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XPOSition

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XPOSition = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XPOSition

Description

This command sets/gets phase reference frequency offset X reference, for the selected trace Tr of the selected channel Ch.

  • This function is disabled when phase reference frequency offset auto is OFF.

Variable

Parameter | Value
Description | Phase reference frequency offset X reference
Data Type | Double precision floating point type (Double)
Range | -20 ~ 1.00107936k
Preset Value | 1.00107936k
Unit | s
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10
SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.PREFerence.XPOSition = Var
Var = SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.PREFerence.XPOSition

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.AUTO

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.OFFSet

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XSPan

Equivalent Key

TR Menu: Setup > Recalc Phase Reference > X Reference

TR Menu: Setup > Recalc Phase Reference > N2 X Reference

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:PREFerence:XPOSition {-20 ~ 1.00107936k}

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:PREFerence:XPOSition?

Query Response

{-20 ~ 1.00107936k} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:PREFerence:XPOSition -10"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:PREFerence:XPOSition?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XSPan

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XSPan = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XSPan

Description

This command sets/gets phase reference frequency offset X reference span, for the selected trace Tr of the selected channel Ch.

  • This function is disabled when phase reference frequency offset auto is OFF.

Variable

Parameter | Value
Description | Phase reference frequency offset X reference span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1.00007936k
Preset Value | 0
Unit | s
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 100
SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.PREFerence.XSPan = Var
Var = SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.PREFerence.XSPan

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.AUTO

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.OFFSet

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XPOSition

Equivalent Key

TR Menu: Setup > Recalc Phase Reference > X Span

TR Menu: Setup > Recalc Phase Reference > N2 X Span

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:PREFerence:XSPan {0 ~ 1.00007936k}

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:PREFerence:XSPan?

Query Response

{0 ~ 1.00007936k} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:PREFerence:XSPan 100"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:PREFerence:XSPan?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.UNIT

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.UNIT = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.UNIT

Description

This command sets/gets TR-phase format, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | TR-phase format
Data Type | Character string type (String)
Range | DEG|RAD|GRAD
Preset Value | DEG
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "DEG"
SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.UNIT = Var
Var = SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.UNIT

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.FREQuency

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.WRAP

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XREFerence

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XRSPan

Equivalent Key

TR Menu: Format > Phase Unit

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:UNIT {DEG|RAD|GRAD}

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:UNIT?

Query Response

{DEG|RAD|GRAD} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:UNIT DEG"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:UNIT ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.WRAP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.WRAP = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.WRAP

Description

This command sets/gets phase wrap on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Phase wrap (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.WRAP = Var
Var = SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.WRAP

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.FREQuency

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.UNIT

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XREFerence

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XRSPan

Equivalent Key

TR Menu: Format > Wrap Phase

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:WRAP {ON|OFF|1|0}

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:WRAP?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:WRAP 1"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:WRAP ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XREFerence

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XREFerence = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XREFerence

Description

This command sets/gets zero phase X reference, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Zero phase X reference
Data Type | Double precision floating point type (Double)
Range | -20 ~ 1.00107936k
Preset Value | 1.00107936k
Unit | s
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.XREFerence = Var
Var = SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.XREFerence

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.FREQuency

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.UNIT

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.WRAP

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XRSPan

Equivalent Key

TR Menu: Format > Phase X Reference

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:XREFerence {-20 ~ 1.00107936k}

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:XREFerence?

Query Response

{-20 ~ 1.00107936k} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:XREFerence 0"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:XREFerence ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XRSPan

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XRSPan = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XRSPan

Description

This command sets/gets zero phase X reference span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Zero phase X reference span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1.00007936k
Preset Value | 0
Unit | s
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.XRSPan = Var
Var = SCPI.CALCulate.TR1.TRACe4.FORMat.PHASe.XRSPan

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.FREQuency

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.UNIT

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.WRAP

SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XREFerence

Equivalent Key

TR Menu: Format > X Reference Span

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:XRSPan {0 ~ 1.00007936k}

:CALCulate:TR[1-1]:TRACe[1-8]:FORMat:PHASe:XRSPan?

Query Response

{0 ~ 1.00007936k} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:XRSPan 0"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FORMat:PHASe:XRSPan?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.X = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.X

Description

This command sets/gets X analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.TR1.TRACe4.FUNCtion.DOMain.X = Var
Var = SCPI.CALCulate.TR1.TRACe4.FUNCtion.DOMain.X

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Equivalent Key

TR Menu: Marker Function > Analysis Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FUNCtion:DOMain:X {FRANge|BDMarker}

:CALCulate:TR[1-1]:TRACe[1-8]:FUNCtion:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FUNCtion:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FUNCtion:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.Y = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Description

This command sets/gets Y analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Y analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.TR1.TRACe4.FUNCtion.DOMain.Y = Var
Var = SCPI.CALCulate.TR1.TRACe4.FUNCtion.DOMain.Y

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.X

Equivalent Key

TR Menu: Marker Function > Analysis Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FUNCtion:DOMain:Y {FRANge|BDMarker}

:CALCulate:TR[1-1]:TRACe[1-8]:FUNCtion:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FUNCtion:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FUNCtion:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.LREGression.DATA_Q a, b

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.LREGression.DATA_Q a, b

Description

This command gets trace data linear regression, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | a
Description | Trace data linear regression
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | b
Description | Trace data linear regression
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.TR1.TRACe4.FUNCtion.LREGression.DATA_Q a, b

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FUNCtion:LREGression:DATA?

Query Response

{ - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FUNCtion:LREGression:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory_Q a, b

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.LREGression.MEMory_Q a, b

Description

This command gets memory data linear regression, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | a
Description | Trace data linear regression
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | b
Description | Trace data linear regression
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant

Var = SCPI.CALCulate.TR1.TRACe4.FUNCtion.LREGression.MEMory_Q a, b

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.LREGression.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FUNCtion:LREGression:MEMory?

Query Response

{ - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FUNCtion:LREGression:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Description

This command gets trace data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.TR1.TRACe4.FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FUNCtion:STATistics:DATA?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FUNCtion:STATistics:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Description

This command gets memory data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.TR1.TRACe4.FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FUNCtion:STATistics:MEMory?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FUNCtion:STATistics:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.TYPE = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.TYPE

Description

This command sets/gets Analysis type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Analysis type
Data Type | Character string type (String)
Range | OFF|STATistics|LREGression
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.TR1.TRACe4.FUNCtion.TYPE = Var
Var = SCPI.CALCulate.TR1.TRACe4.FUNCtion.TYPE

Equivalent Key

TR Menu: Marker Function > Analysis Type

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:FUNCtion:TYPE {OFF|STATistics|LREGression}

:CALCulate:TR[1-1]:TRACe[1-8]:FUNCtion:TYPE?

Query Response

{OFF|STATistics|LREGression} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:FUNCtion:TYPE OFF"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:FUNCtion:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).HOLD

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).HOLD = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).HOLD

Description

This command sets/gets Data hold, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data hold
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.TR1.TRACe4.HOLD = Var
Var = SCPI.CALCulate.TR1.TRACe4.HOLD

Equivalent Key

TR Menu: Trace View > Data Hold

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:HOLD {OFF|MAXimum|MINimum}

:CALCulate:TR[1-1]:TRACe[1-8]:HOLD?

Query Response

{OFF|MAXimum|MINimum} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:HOLD OFF"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:HOLD ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test result
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.TR1.TRACe4.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.LDATa = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Description

This command sets/gets expanded lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit line
Data Type | Variant type Array (Range)
Range | 1...1251
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1251) as Variant
SCPI.CALCulate.TR1.TRACe4.LIMit.LOWer.LDATa = Var
Var = SCPI.CALCulate.TR1.TRACe4.LIMit.LOWer.LDATa

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:LOWer:LDATa {1...1251}

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:LOWer:LDATa?

Query Response

{1...1251} <newline><^END>

Example of use

10 Dim A(1:1251)
20 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:LOWer:LDATa 1,1251"
30 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:LOWer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Description

This command clears lower limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.LIMit.LOWer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:LOWer:SEGMent:CLEar"


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Description

This command sets/gets number of lower limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit segments
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.TR1.TRACe4.LIMit.LOWer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.TR1.TRACe4.LIMit.LOWer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:COUNt {1 ~ 100}

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:LOWer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:LOWer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Description

This command sets/gets lower limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.TR1.TRACe4.LIMit.LOWer.SEGMent.DATA = Var
Var = SCPI.CALCulate.TR1.TRACe4.LIMit.LOWer.SEGMent.DATA

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:DATA {1...400}

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:LOWer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:LOWer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.REPort.DATA

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.REPort.DATA

Description

This command gets pass/fail list, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test report
Data Type | Variant type Array (Range)
Range | 1...1251
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1251) as Variant
Var = SCPI.CALCulate.TR1.TRACe4.LIMit.REPort.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:REPort[:DATA]?

Query Response

{1...1251} <newline><^END>

Example of use

10 Dim A(1:1251)
20 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:REPort[:DATA] ?"
30 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.STATe = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.STATe

Description

This command sets/gets limit test on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.TRACe4.LIMit.STATe = Var
Var = SCPI.CALCulate.TR1.TRACe4.LIMit.STATe

Equivalent Key

TR Menu: Display > Limit Test > Limit Test

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit[:STATe] 1"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit[:STATe] ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.LDATa = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Description

This command sets/gets expanded upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line
Data Type | Variant type Array (Range)
Range | 1...1251
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1251) as Variant
SCPI.CALCulate.TR1.TRACe4.LIMit.UPPer.LDATa = Var
Var = SCPI.CALCulate.TR1.TRACe4.LIMit.UPPer.LDATa

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:UPPer:LDATa {1...1251}

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:UPPer:LDATa?

Query Response

{1...1251} <newline><^END>

Example of use

10 Dim A(1:1251)
20 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:UPPer:LDATa 1,1251"
30 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:UPPer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Description

This command clears upper limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.LIMit.UPPer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:UPPer:SEGMent:CLEar"


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Description

This command sets/gets number of upper limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit segment
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.TR1.TRACe4.LIMit.UPPer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.TR1.TRACe4.LIMit.UPPer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:COUNt {1 ~ 100}

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:UPPer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:UPPer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Description

This command sets/gets upper limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.TR1.TRACe4.LIMit.UPPer.SEGMent.DATA = Var
Var = SCPI.CALCulate.TR1.TRACe4.LIMit.UPPer.SEGMent.DATA

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:DATA {1...400}

:CALCulate:TR[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:UPPer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:TR1:TRACe4:LIMit:UPPer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.A

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.A = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.A

Description

This command sets/gets Parameter 'A' as line (Y = AX + B), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Parameter 'A' in line (Y = AX + B)
Data Type | Double precision floating point type (Double)
Range | -500T ~ 500T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -5000000000000
SCPI.CALCulate.TR1.TRACe4.LINE.A = Var
Var = SCPI.CALCulate.TR1.TRACe4.LINE.A

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.A

SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.B

SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.MEMory

Equivalent Key

TR Menu: Trace View > Memory Trace > Line (Y = AX + B) > A

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LINE:A {-500T ~ 500T}

:CALCulate:TR[1-1]:TRACe[1-8]:LINE:A?

Query Response

{-500T ~ 500T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:LINE:A -5000000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:LINE:A ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.B

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.B = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.B

Description

This command sets/gets Parameter 'B' as line (Y = AX + B), for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Parameter 'B' in line (Y = AX + B)
Data Type | Double precision floating point type (Double)
Range | -500T ~ 500T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -5000000000000
SCPI.CALCulate.TR1.TRACe4.LINE.B = Var
Var = SCPI.CALCulate.TR1.TRACe4.LINE.B

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.A

SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.MEMory

Equivalent Key

TR Menu: Trace View > Memory Trace > Line (Y = AX + B) > B

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LINE:B {-500T ~ 500T}

:CALCulate:TR[1-1]:TRACe[1-8]:LINE:B?

Query Response

{-500T ~ 500T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:LINE:B -5000000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:LINE:B ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.MEMory

Description

This command sets line (Y = AX + B) data to Memory trace, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.LINE.MEMory

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.A

SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.B

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:LINE:MEMory

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:LINE:MEMory"


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Description

This command sets marker search LPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.EXECute.LPEak

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

TR Menu: Marker Search > Peak > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:LPEak

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:EXECute:LPEak"


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Description

This command sets marker search LTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.EXECute.LTARget

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

TR Menu: Marker Search > Target > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:LTARget

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:EXECute:LTARget"


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Description

This command sets marker search MAXimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.EXECute.MAXimum

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

TR Menu: Marker Search > Search Max

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:MAXimum

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:EXECute:MAXimum"


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Description

This command sets marker search MINimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.EXECute.MINimum

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

TR Menu: Marker Search > Search Min

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:MINimum

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:EXECute:MINimum"


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Description

This command sets marker search PEAK, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.EXECute.PEAK

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

TR Menu: Marker Search > Peak > Search Peak

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:PEAK

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:EXECute:PEAK"


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Description

This command sets marker search RPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.EXECute.RPEak

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

TR Menu: Marker Search > Peak > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:RPEak

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:EXECute:RPEak"


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Description

This command sets marker search RTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.EXECute.RTARget

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

TR Menu: Marker Search > Target > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:RTARget

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:EXECute:RTARget"


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Description

This command sets marker search TARGet, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.EXECute.TARGet

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Equivalent Key

TR Menu: Marker Search > Target > Search Target

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:TARGet

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:EXECute:TARGet"


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Description

This command sets/gets marker-search-peak excursion value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak excursion value
Data Type | Double precision floating point type (Double)
Range | 0 ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.PEAK.EXCursion = Var
Var = SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.PEAK.EXCursion

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Equivalent Key

TR Menu: Marker Search > Peak > Peak Excursion

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:PEAK:EXCursion {0 ~ 10G}

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:PEAK:EXCursion?

Query Response

{0 ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:PEAK:EXCursion 0"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:PEAK:EXCursion ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Description

This command sets/gets marker-search-peak polarity type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak polarity type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.PEAK.POLarity = Var
Var = SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.PEAK.POLarity

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Equivalent Key

TR Menu: Marker Search > Peak > Peak Polarity

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:PEAK:POLarity {POSitive|NEGative|BOTH}

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:PEAK:POLarity?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:PEAK:POLarity POSitive"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:PEAK:POLarity ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Description

This command sets/gets marker-target transition type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.TARGet.TRANsition = Var
Var = SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.TARGet.TRANsition

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Equivalent Key

TR Menu: Marker Search > Target > Target Transition

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TARGet:TRANsition {POSitive|NEGative|BOTH}

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TARGet:TRANsition?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:TARGet:TRANsition POSitive"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:TARGet:TRANsition ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Description

This command sets/gets marker target value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target value
Data Type | Double precision floating point type (Double)
Range | -10G ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.TARGet.Y = Var
Var = SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.TARGet.Y

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Equivalent Key

TR Menu: Marker Search > Target > Target Value

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TARGet:Y {-10G ~ 10G}

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TARGet:Y?

Query Response

{-10G ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:TARGet:Y -10000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:TARGet:Y ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Description

This command sets/gets search tracking type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Tracking type
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum|PEAK|TARGet
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.TRACking.TYPE = Var
Var = SCPI.CALCulate.TR1.TRACe4.MARKer10.SEARch.TRACking.TYPE

Equivalent Key

TR Menu: Marker Search > Tracking

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TRACking:TYPE {OFF|MAXimum|MINimum|PEAK|TARGet}

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TRACking:TYPE?

Query Response

{OFF|MAXimum|MINimum|PEAK|TARGet} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:TRACking:TYPE OFF"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:SEARch:TRACking:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).STATe = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).STATe

Description

This command sets/gets marker visible on/off, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker visible (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.TRACe4.MARKer10.STATe = Var
Var = SCPI.CALCulate.TR1.TRACe4.MARKer10.STATe

Related Objects

Equivalent Key

TR Menu: Marker > Clear Marker Menu > Marker 1

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:STATe {ON|OFF|1|0}

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:STATe 1"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).X = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).X

Description

This command sets/gets marker x position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker X position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -50m
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
SCPI.CALCulate.TR1.TRACe4.MARKer10.X = Var
Var = SCPI.CALCulate.TR1.TRACe4.MARKer10.X

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).Y

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:X

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:X?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:X 0"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:X ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).Y

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).Y

Description

This command gets marker y position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker Y position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.CALCulate.TR1.TRACe4.MARKer10.Y

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).X

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MARKer[1-10]:Y?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MARKer10:Y ?"
20 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.FUNCtion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.FUNCtion = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.FUNCtion

Description

This command sets/gets math operation type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Math function operation
Data Type | Character string type (String)
Range | NORMal|SUBTract|DIVide|ADD|MULTiply|USER
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.CALCulate.TR1.TRACe4.MATH.FUNCtion = Var
Var = SCPI.CALCulate.TR1.TRACe4.MATH.FUNCtion

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.MEMorize

SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

TR Menu: Trace View > Data Math

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MATH:FUNCtion {NORMal|SUBTract|DIVide|ADD|MULTiply|USER}

:CALCulate:TR[1-1]:TRACe[1-8]:MATH:FUNCtion?

Query Response

{NORMal|SUBTract|DIVide|ADD|MULTiply|USER} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MATH:FUNCtion NORMal"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:MATH:FUNCtion ?"
30 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.MEMorize

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.MEMorize

Description

This command copies data to memory, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.TR1.TRACe4.MATH.MEMorize

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MATH:MEMorize

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MATH:MEMorize"


SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.OFFSet = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.OFFSet

Description

This command sets/gets Trace Offset, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Offset
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.CALCulate.TR1.TRACe4.MATH.OFFSet = Var
Var = SCPI.CALCulate.TR1.TRACe4.MATH.OFFSet

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.MEMorize

Equivalent Key

TR Menu: Trace View > Offset

TR Menu: Trace View > Marker > -Offset

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:MATH:OFFSet {-500G ~ 500G}

:CALCulate:TR[1-1]:TRACe[1-8]:MATH:OFFSet?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:MATH:OFFSet -500000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:MATH:OFFSet ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).PARameter

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).PARameter

Description

This command gets TR measurement type. Init value changes by tr #., for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | TR measurement type
Data Type | Character string type (String)
Range | FREQuency|POWer|PHASe
Preset Value | FREQuency
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var= "FREQuency"
Var = SCPI.CALCulate.TR1.TRACe4.PARameter

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:PARameter?

Query Response

{FREQuency|POWer|PHASe} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:PARameter ?"
20 ENTER 717;A$


SCPI.CALCulate.TR(Ch).TRACe(Tr).REFerence.FREQuency

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).REFerence.FREQuency = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).REFerence.FREQuency

Description

This command sets/gets frequency reference for DHZ, PCT, PPM, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Frequency reference for DHZ, PCT & PPM
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 0
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.CALCulate.TR1.TRACe4.REFerence.FREQuency = Var
Var = SCPI.CALCulate.TR1.TRACe4.REFerence.FREQuency

Equivalent Key

TR Menu: Format > Frequency Reference

TR Menu: Format > Marker > Frequency Reference

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:REFerence:FREQuency {-500G ~ 500G}

:CALCulate:TR[1-1]:TRACe[1-8]:REFerence:FREQuency?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:REFerence:FREQuency -500000000000"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:REFerence:FREQuency ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.APERture

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.APERture = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.APERture

Description

This command sets/gets Smoothing aperture, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing aperture
Data Type | Double precision floating point type (Double)
Range | 50m ~ 25
Preset Value | 1.5
Unit | %
Resolution | 10m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.05
SCPI.CALCulate.TR1.TRACe4.SMOothing.APERture = Var
Var = SCPI.CALCulate.TR1.TRACe4.SMOothing.APERture

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.STATe

Equivalent Key

TR Menu: Trace View > Aperture

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:SMOothing:APERture {50m ~ 25}

:CALCulate:TR[1-1]:TRACe[1-8]:SMOothing:APERture?

Query Response

{50m ~ 25} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:SMOothing:APERture 0.05"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:SMOothing:APERture ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.STATe = Value

Value = SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.STATe

Description

This command sets/gets Smoothing on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.TR1.TRACe4.SMOothing.STATe = Var
Var = SCPI.CALCulate.TR1.TRACe4.SMOothing.STATe

Related Objects

SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.APERture

Equivalent Key

TR Menu: Trace View > Smoothing

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:TRACe[1-8]:SMOothing:STATe {ON|OFF|1|0}

:CALCulate:TR[1-1]:TRACe[1-8]:SMOothing:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:TR1:TRACe4:SMOothing:STATe 1"
20 OUTPUT 717;":CALCulate:TR1:TRACe4:SMOothing:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.TR(Ch).WIDE.DATA.RDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.TR(Ch).WIDE.DATA.RDATa = Value

Value = SCPI.CALCulate.TR(Ch).WIDE.DATA.RDATa

Description

This command sets/gets measurement raw data, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement raw data
Data Type | Variant type Array (Range)
Range | 1...1251
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1251) as Variant
SCPI.CALCulate.TR1.WIDE.DATA.RDATa = Var
Var = SCPI.CALCulate.TR1.WIDE.DATA.RDATa

Related Objects

SCPI.CALCulate.TR(Ch).WIDE.DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:WIDE:DATA:RDATa {1...1251}

:CALCulate:TR[1-1]:WIDE:DATA:RDATa?

Query Response

{1...1251} <newline><^END>

Example of use

10 Dim A(1:1251)
20 OUTPUT 717;":CALCulate:TR1:WIDE:DATA:RDATa 1,1251"
30 OUTPUT 717;":CALCulate:TR1:WIDE:DATA:RDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.TR(Ch).WIDE.DATA.XDATa

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.TR(Ch).WIDE.DATA.XDATa

Description

This command gets X axis data, for the selected channel Ch.

Variable

Parameter | Value
Description | X axis data
Data Type | Variant type Array (Range)
Range | 1...1251
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1251) as Variant
Var = SCPI.CALCulate.TR1.WIDE.DATA.XDATa

Related Objects

SCPI.CALCulate.TR(Ch).WIDE.DATA.RDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:TR[1-1]:WIDE:DATA:XDATa?

Query Response

{1...1251} <newline><^END>

Example of use

10 Dim A(1:1251)
20 OUTPUT 717;":CALCulate:TR1:WIDE:DATA:XDATa ?"
30 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).ALLTrace.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).ALLTrace.ACTive = Value

Value = SCPI.CALCulate.USER(Ch).ALLTrace.ACTive

Description

This command sets/gets active trace, for the selected channel Ch.

Variable

Parameter | Value
Description | Active trace
Data Type | Long integer type (Long)
Range | 1 ~ 8
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.USER1.ALLTrace.ACTive = Var
Var = SCPI.CALCulate.USER1.ALLTrace.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:ALLTrace:ACTive {1 ~ 8}

:CALCulate:USER[1-1]:ALLTrace:ACTive?

Query Response

{1 ~ 8} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:ALLTrace:ACTive 1 "
20 OUTPUT 717;":CALCulate:USER1:ALLTrace:ACTive ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).ALLTrace.BDMarker.X.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).ALLTrace.BDMarker.X.COUPle.STATe = Value

Value = SCPI.CALCulate.USER(Ch).ALLTrace.BDMarker.X.COUPle.STATe

Description

This command sets/gets x band marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | X band marker couple (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.USER1.ALLTrace.BDMarker.X.COUPle.STATe = Var
Var = SCPI.CALCulate.USER1.ALLTrace.BDMarker.X.COUPle.STATe

Related Objects

Equivalent Key

USER Menu: Marker Search > Couple

USER Menu: Marker Function > Couple

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:ALLTrace:BDMarker:X:COUPle:STATe {ON|OFF|1|0}

:CALCulate:USER[1-1]:ALLTrace:BDMarker:X:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:ALLTrace:BDMarker:X:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:USER1:ALLTrace:BDMarker:X:COUPle:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).ALLTrace.LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.USER(Ch).ALLTrace.LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected channel Ch.

Variable

Parameter | Value
Description | Result of limit test
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.USER1.ALLTrace.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:ALLTrace:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:ALLTrace:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.COUPle.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.COUPle.STATe = Value

Value = SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.COUPle.STATe

Description

This command sets/gets marker couple on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker Coupling Function state (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.USER1.ALLTrace.MARKer.COUPle.STATe = Var
Var = SCPI.CALCulate.USER1.ALLTrace.MARKer.COUPle.STATe

Related Objects

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

USER Menu: Marker > Couple

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:ALLTrace:MARKer:COUPle:STATe {ON|OFF|1|0}

:CALCulate:USER[1-1]:ALLTrace:MARKer:COUPle:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:ALLTrace:MARKer:COUPle:STATe 1"
20 OUTPUT 717;":CALCulate:USER1:ALLTrace:MARKer:COUPle:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.DISCrete.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.DISCrete.STATe = Value

Value = SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.DISCrete.STATe

Description

This command sets/gets marker discrete on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Enables/Disables marker discrete
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.USER1.ALLTrace.MARKer.DISCrete.STATe = Var
Var = SCPI.CALCulate.USER1.ALLTrace.MARKer.DISCrete.STATe

Related Objects

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.NUMBer

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

USER Menu: Marker > More Functions > Discrete

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:ALLTrace:MARKer:DISCrete:STATe {ON|OFF|1|0}

:CALCulate:USER[1-1]:ALLTrace:MARKer:DISCrete:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:ALLTrace:MARKer:DISCrete:STATe 1"
20 OUTPUT 717;":CALCulate:USER1:ALLTrace:MARKer:DISCrete:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.NUMBer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.NUMBer = Value

Value = SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.NUMBer

Description

This command sets/gets reference marker number., for the selected channel Ch.

Variable

Parameter | Value
Description | Marker reference number
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.USER1.ALLTrace.MARKer.REFerence.NUMBer = Var
Var = SCPI.CALCulate.USER1.ALLTrace.MARKer.REFerence.NUMBer

Related Objects

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.STATe

Equivalent Key

USER Menu: Marker > More Functions > Ref Marker

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:ALLTrace:MARKer:REFerence:NUMBer {1 ~ 10}

:CALCulate:USER[1-1]:ALLTrace:MARKer:REFerence:NUMBer?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:ALLTrace:MARKer:REFerence:NUMBer 1 "
20 OUTPUT 717;":CALCulate:USER1:ALLTrace:MARKer:REFerence:NUMBer ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.STATe = Value

Value = SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.STATe

Description

This command sets/gets delta marker mode on/off, for the selected channel Ch.

Variable

Parameter | Value
Description | Delta marker mode (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.USER1.ALLTrace.MARKer.REFerence.STATe = Var
Var = SCPI.CALCulate.USER1.ALLTrace.MARKer.REFerence.STATe

Related Objects

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.COUPle.STATe

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.DISCrete.STATe

SCPI.CALCulate.USER(Ch).ALLTrace.MARKer.REFerence.NUMBer

Equivalent Key

USER Menu: Marker > More Functions > Ref Marker Mode

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:ALLTrace:MARKer:REFerence:STATe {ON|OFF|1|0}

:CALCulate:USER[1-1]:ALLTrace:MARKer:REFerence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:ALLTrace:MARKer:REFerence:STATe 1"
20 OUTPUT 717;":CALCulate:USER1:ALLTrace:MARKer:REFerence:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.ACTive = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.ACTive

Description

This command sets/gets active marker, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Active marker
Data Type | Long integer type (Long)
Range | 1 ~ 10
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.USER1.TRACe8.ALLMarker.ACTive = Var
Var = SCPI.CALCulate.USER1.TRACe8.ALLMarker.ACTive

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:ALLMarker:ACTive {1 ~ 10}

:CALCulate:USER[1-1]:TRACe[1-8]:ALLMarker:ACTive?

Query Response

{1 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:ALLMarker:ACTive 1 "
20 OUTPUT 717;":CALCulate:USER1:TRACe8:ALLMarker:ACTive ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

Description

This command sets/gets marker search X range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search X range source
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.USER1.TRACe8.ALLMarker.SEARch.DOMain.X = Var
Var = SCPI.CALCulate.USER1.TRACe8.ALLMarker.SEARch.DOMain.X

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

USER Menu: Marker Search > Search Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:ALLMarker:SEARch:DOMain:X {FRANge|BDMarker}

:CALCulate:USER[1-1]:TRACe[1-8]:ALLMarker:SEARch:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:ALLMarker:SEARch:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:ALLMarker:SEARch:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Description

This command sets/gets marker search Y range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search Y range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | FRANge
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.USER1.TRACe8.ALLMarker.SEARch.DOMain.Y = Var
Var = SCPI.CALCulate.USER1.TRACe8.ALLMarker.SEARch.DOMain.Y

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Equivalent Key

USER Menu: Marker Search > Search Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:ALLMarker:SEARch:DOMain:Y {FRANge|BDMarker}

:CALCulate:USER[1-1]:TRACe[1-8]:ALLMarker:SEARch:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:ALLMarker:SEARch:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:ALLMarker:SEARch:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK

Description

This command sets search peak all, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.ALLMarker.SEARch.PEAK

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X

SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y

Equivalent Key

USER Menu: Marker Search > Peak > Search Peak All

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:ALLMarker:SEARch:PEAK

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:ALLMarker:SEARch:PEAK"


SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer

Description

This command sets/gets band marker X center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.USER1.TRACe8.BDMarker.X.CENTer = Var
Var = SCPI.CALCulate.USER1.TRACe8.BDMarker.X.CENTer

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

USER Menu: Marker Search > Band Marker X > Center

USER Menu: Marker Function > Band Marker X > Center

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:X:CENTer {-1T ~ 1T}

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:X:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:X:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:X:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN

Description

This command sets/gets band marker X span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.USER1.TRACe8.BDMarker.X.SPAN = Var
Var = SCPI.CALCulate.USER1.TRACe8.BDMarker.X.SPAN

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

USER Menu: Marker Search > Band Marker X > Span

USER Menu: Marker Function > Band Marker X > Span

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:X:SPAN {0 ~ 2T}

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:X:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:X:SPAN 0"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:X:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt

Description

This command sets/gets band marker X start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.USER1.TRACe8.BDMarker.X.STARt = Var
Var = SCPI.CALCulate.USER1.TRACe8.BDMarker.X.STARt

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

USER Menu: Marker Search > Band Marker X > Start

USER Menu: Marker Function > Band Marker X > Start

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:X:STARt {-1T ~ 1T}

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:X:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:X:STARt -10000000000"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:X:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker visibility (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.USER1.TRACe8.BDMarker.X.STATe = Var
Var = SCPI.CALCulate.USER1.TRACe8.BDMarker.X.STATe

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP

Equivalent Key

USER Menu: Marker Search > Band Marker X > Band Marker X

USER Menu: Marker Function > Band Marker X > Band Marker X

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:X:STATe {ON|OFF|1|0}

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:X:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:X:STATe 1"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:X:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP

Description

This command sets/gets band marker X stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker X stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.USER1.TRACe8.BDMarker.X.STOP = Var
Var = SCPI.CALCulate.USER1.TRACe8.BDMarker.X.STOP

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe

Equivalent Key

USER Menu: Marker Search > Band Marker X > Stop

USER Menu: Marker Function > Band Marker X > Stop

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:X:STOP {-1T ~ 1T}

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:X:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:X:STOP -10000000000"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:X:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer

Description

This command sets/gets band marker Y center, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y center
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.USER1.TRACe8.BDMarker.Y.CENTer = Var
Var = SCPI.CALCulate.USER1.TRACe8.BDMarker.Y.CENTer

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

USER Menu: Marker Search > Band Marker Y > Center

USER Menu: Marker Function > Band Marker Y > Center

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:Y:CENTer {-1T ~ 1T}

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:Y:CENTer?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:Y:CENTer -10000000000"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:Y:CENTer ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN

Description

This command sets/gets band marker Y span, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 2T
Preset Value | 2T
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.USER1.TRACe8.BDMarker.Y.SPAN = Var
Var = SCPI.CALCulate.USER1.TRACe8.BDMarker.Y.SPAN

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

USER Menu: Marker Search > Band Marker Y > Span

USER Menu: Marker Function > Band Marker Y > Span

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:Y:SPAN {0 ~ 2T}

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:Y:SPAN?

Query Response

{0 ~ 2T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:Y:SPAN 0"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:Y:SPAN ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt

Description

This command sets/gets band marker Y start, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y start
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | -1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.USER1.TRACe8.BDMarker.Y.STARt = Var
Var = SCPI.CALCulate.USER1.TRACe8.BDMarker.Y.STARt

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

USER Menu: Marker Search > Band Marker Y > Start

USER Menu: Marker Function > Band Marker Y > Start

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:Y:STARt {-1T ~ 1T}

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:Y:STARt?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:Y:STARt -10000000000"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:Y:STARt ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe

Description

This command sets/gets band marker visible on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.USER1.TRACe8.BDMarker.Y.STATe = Var
Var = SCPI.CALCulate.USER1.TRACe8.BDMarker.Y.STATe

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP

Equivalent Key

USER Menu: Marker Search > Band Marker Y > Band Marker Y

USER Menu: Marker Function > Band Marker Y > Band Marker Y

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:Y:STATe {ON|OFF|1|0}

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:Y:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:Y:STATe 1"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:Y:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP

Description

This command sets/gets band marker Y stop, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Band marker Y stop
Data Type | Double precision floating point type (Double)
Range | -1T ~ 1T
Preset Value | 1T
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.USER1.TRACe8.BDMarker.Y.STOP = Var
Var = SCPI.CALCulate.USER1.TRACe8.BDMarker.Y.STOP

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe

Equivalent Key

USER Menu: Marker Search > Band Marker Y > Stop

USER Menu: Marker Function > Band Marker Y > Stop

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:Y:STOP {-1T ~ 1T}

:CALCulate:USER[1-1]:TRACe[1-8]:BDMarker:Y:STOP?

Query Response

{-1T ~ 1T} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:Y:STOP -10000000000"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:BDMarker:Y:STOP ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY = Value

Description

This command copies data to user trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Copies data to user trace
Data Type | Long integer type (Long)
Range | 1 ~ 8
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.USER1.TRACe8.DATA.COPY = Var

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:COPY {1 ~ 8}

Query Response

{1 ~ 8} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:COPY 1 "
20 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

Description

This command sets/gets formatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted trace data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.USER1.TRACe8.DATA.FDATa = Var
Var = SCPI.CALCulate.USER1.TRACe8.DATA.FDATa

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:FDATa {1...1601}

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:FDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:FDATa 1,1601"
30 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:FDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

Description

This command sets/gets formatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Formatted memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.USER1.TRACe8.DATA.FMEMory = Var
Var = SCPI.CALCulate.USER1.TRACe8.DATA.FMEMory

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:FMEMory {1...1601}

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:FMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:FMEMory 1,1601"
30 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:FMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

Description

This command gets number of points, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | dBC data
Data Type | Long integer type (Long)
Range | 2 ~ 1601
Preset Value | 11
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 2
Var = SCPI.CALCulate.USER1.TRACe8.DATA.POINts

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:POINts?

Query Response

{2 ~ 1601} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:POINts ?"
20 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

Description

This command sets/gets raw data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Raw data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.USER1.TRACe8.DATA.RDATa = Var
Var = SCPI.CALCulate.USER1.TRACe8.DATA.RDATa

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:RDATa {1...1601}

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:RDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:RDATa 1,1601"
30 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:RDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

Description

This command gets user start x, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | User start x
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.CALCulate.USER1.TRACe8.DATA.STARt

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:STARt?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:STARt ?"
20 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

Description

This command gets user stop x, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | User stop x
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | 100
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.CALCulate.USER1.TRACe8.DATA.STOP

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:STOP?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:STOP ?"
20 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

Description

This command sets/gets unformatted trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted trace data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.USER1.TRACe8.DATA.UDATa = Var
Var = SCPI.CALCulate.USER1.TRACe8.DATA.UDATa

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:UDATa {1...1601}

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:UDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:UDATa 1,1601"
30 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:UDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

Description

This command sets/gets unformatted memory data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Unformatted memory data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.USER1.TRACe8.DATA.UMEMory = Var
Var = SCPI.CALCulate.USER1.TRACe8.DATA.UMEMory

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:UMEMory {1...1601}

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:UMEMory?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:UMEMory 1,1601"
30 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:UMEMory ?"
40 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.XDATa

Description

This command sets/gets X axis data and number of points. must be incremental order. NOP >=2., for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X axis data and number of points
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -224, "Illegal parameter value"

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.USER1.TRACe8.DATA.XDATa = Var
Var = SCPI.CALCulate.USER1.TRACe8.DATA.XDATa

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.FMEMory

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.POINts

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.RDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.UMEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:XDATa {1...1601}

:CALCulate:USER[1-1]:TRACe[1-8]:DATA:XDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:XDATa 1,1601"
30 OUTPUT 717;":CALCulate:USER1:TRACe8:DATA:XDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).EQUation.TEXT

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).EQUation.TEXT = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).EQUation.TEXT

Description

This command sets/gets equation string, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Equation string
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 170, "Invalid equation label" 171, "Invalid equation expression"

Examples

Dim Var as String
SCPI.CALCulate.USER1.TRACe8.EQUation.TEXT = Var
Var = SCPI.CALCulate.USER1.TRACe8.EQUation.TEXT

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:EQUation:TEXT

:CALCulate:USER[1-1]:TRACe[1-8]:EQUation:TEXT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:EQUation:TEXT Sample_Text"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:EQUation:TEXT ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.X = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.X

Description

This command sets/gets X analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.USER1.TRACe8.FUNCtion.DOMain.X = Var
Var = SCPI.CALCulate.USER1.TRACe8.FUNCtion.DOMain.X

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Equivalent Key

USER Menu: Marker Function > Analysis Range (X)

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:FUNCtion:DOMain:X {FRANge|BDMarker}

:CALCulate:USER[1-1]:TRACe[1-8]:FUNCtion:DOMain:X?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:FUNCtion:DOMain:X FRANge"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:FUNCtion:DOMain:X ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.Y = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.Y

Description

This command sets/gets Y analysis range source, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Y analysis range
Data Type | Character string type (String)
Range | FRANge|BDMarker
Preset Value | BDMarker
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FRANge"
SCPI.CALCulate.USER1.TRACe8.FUNCtion.DOMain.Y = Var
Var = SCPI.CALCulate.USER1.TRACe8.FUNCtion.DOMain.Y

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.X

Equivalent Key

USER Menu: Marker Function > Analysis Range (Y)

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:FUNCtion:DOMain:Y {FRANge|BDMarker}

:CALCulate:USER[1-1]:TRACe[1-8]:FUNCtion:DOMain:Y?

Query Response

{FRANge|BDMarker} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:FUNCtion:DOMain:Y FRANge"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:FUNCtion:DOMain:Y ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Description

This command gets trace data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.USER1.TRACe8.FUNCtion.STATistics.DATA_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:FUNCtion:STATistics:DATA?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:FUNCtion:STATistics:DATA ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Description

This command gets memory data statistics, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | mean
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | std_dev
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | peak_to_peak
Description | Trace data statistics
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.CALCulate.USER1.TRACe8.FUNCtion.STATistics.MEMory_Q mean, std_dev, peak_to_peak

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.STATistics.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:FUNCtion:STATistics:MEMory?

Query Response

{ - - -} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:FUNCtion:STATistics:MEMory ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.TYPE = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.TYPE

Description

This command sets/gets Analysis type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Analysis type
Data Type | Character string type (String)
Range | OFF|STATistics
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.USER1.TRACe8.FUNCtion.TYPE = Var
Var = SCPI.CALCulate.USER1.TRACe8.FUNCtion.TYPE

Equivalent Key

USER Menu: Marker Function > Analysis Type

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:FUNCtion:TYPE {OFF|STATistics}

:CALCulate:USER[1-1]:TRACe[1-8]:FUNCtion:TYPE?

Query Response

{OFF|STATistics} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:FUNCtion:TYPE OFF"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:FUNCtion:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).HOLD

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).HOLD = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).HOLD

Description

This command sets/gets Data hold, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data hold
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.USER1.TRACe8.HOLD = Var
Var = SCPI.CALCulate.USER1.TRACe8.HOLD

Equivalent Key

USER Menu: Trace View > Data Hold

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:HOLD {OFF|MAXimum|MINimum}

:CALCulate:USER[1-1]:TRACe[1-8]:HOLD?

Query Response

{OFF|MAXimum|MINimum} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:HOLD OFF"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:HOLD ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.FAIL

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.FAIL

Description

This command gets limit test pass/fail, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test result
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
Var = SCPI.CALCulate.USER1.TRACe8.LIMit.FAIL

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:FAIL?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:FAIL ?"
20 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.LDATa = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.LDATa

Description

This command sets/gets expanded lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit line
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.USER1.TRACe8.LIMit.LOWer.LDATa = Var
Var = SCPI.CALCulate.USER1.TRACe8.LIMit.LOWer.LDATa

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:LOWer:LDATa {1...1601}

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:LOWer:LDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:LOWer:LDATa 1,1601"
30 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:LOWer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

Description

This command clears lower limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.LIMit.LOWer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:LOWer:SEGMent:CLEar"


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Description

This command sets/gets number of lower limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit segments
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.USER1.TRACe8.LIMit.LOWer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.USER1.TRACe8.LIMit.LOWer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:COUNt {1 ~ 100}

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:LOWer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:LOWer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.DATA

Description

This command sets/gets lower limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.USER1.TRACe8.LIMit.LOWer.SEGMent.DATA = Var
Var = SCPI.CALCulate.USER1.TRACe8.LIMit.LOWer.SEGMent.DATA

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.LDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:DATA {1...400}

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:LOWer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:LOWer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:LOWer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.REPort.DATA

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.REPort.DATA

Description

This command gets pass/fail list, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test report
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
Var = SCPI.CALCulate.USER1.TRACe8.LIMit.REPort.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:REPort[:DATA]?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:REPort[:DATA] ?"
30 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.STATe = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.STATe

Description

This command sets/gets limit test on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Limit test (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.USER1.TRACe8.LIMit.STATe = Var
Var = SCPI.CALCulate.USER1.TRACe8.LIMit.STATe

Equivalent Key

USER Menu: Display > Limit Test > Limit Test

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit[:STATe] 1"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit[:STATe] ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.LDATa = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.LDATa

Description

This command sets/gets expanded upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.CALCulate.USER1.TRACe8.LIMit.UPPer.LDATa = Var
Var = SCPI.CALCulate.USER1.TRACe8.LIMit.UPPer.LDATa

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:UPPer:LDATa {1...1601}

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:UPPer:LDATa?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:UPPer:LDATa 1,1601"
30 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:UPPer:LDATa ?"
40 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

Description

This command clears upper limit line, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.LIMit.UPPer.SEGMent.CLEar

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:CLEar

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:UPPer:SEGMent:CLEar"


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Description

This command sets/gets number of upper limit segments, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit segment
Data Type | Long integer type (Long)
Range | 1 ~ 100
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.CALCulate.USER1.TRACe8.LIMit.UPPer.SEGMent.COUNt = Var
Var = SCPI.CALCulate.USER1.TRACe8.LIMit.UPPer.SEGMent.COUNt

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:COUNt {1 ~ 100}

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:COUNt?

Query Response

{1 ~ 100} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:UPPer:SEGMent:COUNt 1 "
20 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:UPPer:SEGMent:COUNt ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.DATA

Description

This command sets/gets upper limit line data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Upper limit line data
Data Type | Variant type Array (Range)
Range | 1...400
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var(1 to 400) as Variant
SCPI.CALCulate.USER1.TRACe8.LIMit.UPPer.SEGMent.DATA = Var
Var = SCPI.CALCulate.USER1.TRACe8.LIMit.UPPer.SEGMent.DATA

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.LDATa

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar

SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.COUNt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:DATA {1...400}

:CALCulate:USER[1-1]:TRACe[1-8]:LIMit:UPPer:SEGMent:DATA?

Query Response

{1...400} <newline><^END>

Example of use

10 Dim A(1:400)
20 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:UPPer:SEGMent:DATA 1,400"
30 OUTPUT 717;":CALCulate:USER1:TRACe8:LIMit:UPPer:SEGMent:DATA ?"
40 ENTER 717;A(*)


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

Description

This command sets marker search LPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.EXECute.LPEak

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

USER Menu: Marker Search > Peak > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:LPEak

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:EXECute:LPEak"


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

Description

This command sets marker search LTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.EXECute.LTARget

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

USER Menu: Marker Search > Target > Search Left

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:LTARget

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:EXECute:LTARget"


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

Description

This command sets marker search MAXimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.EXECute.MAXimum

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

USER Menu: Marker Search > Search Max

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:MAXimum

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:EXECute:MAXimum"


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

Description

This command sets marker search MINimum, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.EXECute.MINimum

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

USER Menu: Marker Search > Search Min

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:MINimum

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:EXECute:MINimum"


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

Description

This command sets marker search PEAK, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.EXECute.PEAK

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

USER Menu: Marker Search > Peak > Search Peak

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:PEAK

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:EXECute:PEAK"


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

Description

This command sets marker search RPEak, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.EXECute.RPEak

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

USER Menu: Marker Search > Peak > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:RPEak

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:EXECute:RPEak"


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Description

This command sets marker search RTARget, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.EXECute.RTARget

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Equivalent Key

USER Menu: Marker Search > Target > Search Right

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:RTARget

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:EXECute:RTARget"


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet

Description

This command sets marker search TARGet, for the selected trace Tr and marker Mk of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.EXECute.TARGet

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget

Equivalent Key

USER Menu: Marker Search > Target > Search Target

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:EXECute:TARGet

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:EXECute:TARGet"


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Description

This command sets/gets marker-search-peak excursion value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak excursion value
Data Type | Double precision floating point type (Double)
Range | 0 ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.PEAK.EXCursion = Var
Var = SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.PEAK.EXCursion

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Equivalent Key

USER Menu: Marker Search > Peak > Peak Excursion

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:PEAK:EXCursion {0 ~ 10G}

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:PEAK:EXCursion?

Query Response

{0 ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:PEAK:EXCursion 0"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:PEAK:EXCursion ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity

Description

This command sets/gets marker-search-peak polarity type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search peak polarity type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.PEAK.POLarity = Var
Var = SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.PEAK.POLarity

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion

Equivalent Key

USER Menu: Marker Search > Peak > Peak Polarity

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:PEAK:POLarity {POSitive|NEGative|BOTH}

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:PEAK:POLarity?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:PEAK:POLarity POSitive"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:PEAK:POLarity ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Description

This command sets/gets marker-target transition type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.TARGet.TRANsition = Var
Var = SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.TARGet.TRANsition

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Equivalent Key

USER Menu: Marker Search > Target > Target Transition

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TARGet:TRANsition {POSitive|NEGative|BOTH}

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TARGet:TRANsition?

Query Response

{POSitive|NEGative|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:TARGet:TRANsition POSitive"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:TARGet:TRANsition ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y

Description

This command sets/gets marker target value, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker target value
Data Type | Double precision floating point type (Double)
Range | -10G ~ 10G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -10000000000
SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.TARGet.Y = Var
Var = SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.TARGet.Y

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition

Equivalent Key

USER Menu: Marker Search > Target > Target Value

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TARGet:Y {-10G ~ 10G}

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TARGet:Y?

Query Response

{-10G ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:TARGet:Y -10000000000"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:TARGet:Y ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE

Description

This command sets/gets search tracking type, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker search tracking type
Data Type | Character string type (String)
Range | OFF|MAXimum|MINimum|PEAK|TARGet
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.TRACking.TYPE = Var
Var = SCPI.CALCulate.USER1.TRACe8.MARKer10.SEARch.TRACking.TYPE

Equivalent Key

USER Menu: Marker Search > Tracking

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TRACking:TYPE {OFF|MAXimum|MINimum|PEAK|TARGet}

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:SEARch:TRACking:TYPE?

Query Response

{OFF|MAXimum|MINimum|PEAK|TARGet} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:TRACking:TYPE OFF"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:SEARch:TRACking:TYPE ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).STATe = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).STATe

Description

This command sets/gets marker visible on/off, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker visible state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.USER1.TRACe8.MARKer10.STATe = Var
Var = SCPI.CALCulate.USER1.TRACe8.MARKer10.STATe

Equivalent Key

USER Menu: Marker > Clear Marker Menu > Marker 1

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:STATe {ON|OFF|1|0}

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:STATe 1"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:STATe ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).X

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).X = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).X

Description

This command sets/gets marker x position, for the selected trace Tr and marker Mk of the selected channel Ch.

  • Preset value may be clipped by SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STARt & SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.STOP

Variable

Parameter | Value
Description | Marker X position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
SCPI.CALCulate.USER1.TRACe8.MARKer10.X = Var
Var = SCPI.CALCulate.USER1.TRACe8.MARKer10.X

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).Y

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:X

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:X?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:X 0"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:X ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).Y

Object Type

Property (Read Only)

Syntax

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).Y

Description

This command gets marker Y position, for the selected trace Tr and marker Mk of the selected channel Ch.

Variable

Parameter | Value
Description | Marker Y position
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.CALCulate.USER1.TRACe8.MARKer10.Y

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).X

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MARKer[1-10]:Y?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MARKer10:Y ?"
20 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.FUNCtion

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.FUNCtion = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.FUNCtion

Description

This command sets/gets math operation type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Math function operation
Data Type | Character string type (String)
Range | NORMal|SUBTract|DIVide|ADD|MULTiply|USER
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.CALCulate.USER1.TRACe8.MATH.FUNCtion = Var
Var = SCPI.CALCulate.USER1.TRACe8.MATH.FUNCtion

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.MEMorize

SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

USER Menu: Trace View > Data Math

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MATH:FUNCtion {NORMal|SUBTract|DIVide|ADD|MULTiply|USER}

:CALCulate:USER[1-1]:TRACe[1-8]:MATH:FUNCtion?

Query Response

{NORMal|SUBTract|DIVide|ADD|MULTiply|USER} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MATH:FUNCtion NORMal"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:MATH:FUNCtion ?"
30 ENTER 717;A$


SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.MEMorize

Object Type

Method (Write Only)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.MEMorize

Description

This command copies data to memory, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.CALCulate.USER1.TRACe8.MATH.MEMorize

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.OFFSet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MATH:MEMorize

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MATH:MEMorize"


SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.OFFSet = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.OFFSet

Description

This command sets/gets Trace Offset, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace offset
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.CALCulate.USER1.TRACe8.MATH.OFFSet = Var
Var = SCPI.CALCulate.USER1.TRACe8.MATH.OFFSet

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.FUNCtion

SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.MEMorize

Equivalent Key

USER Menu: Trace View > Offset

USER Menu: Trace View > Marker > -Offset

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:MATH:OFFSet {-500G ~ 500G}

:CALCulate:USER[1-1]:TRACe[1-8]:MATH:OFFSet?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:MATH:OFFSet -500000000000"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:MATH:OFFSet ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.APERture

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.APERture = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.APERture

Description

This command sets/gets Smoothing aperture, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing aperture
Data Type | Double precision floating point type (Double)
Range | 50m ~ 25
Preset Value | 1.5
Unit | %
Resolution | 10m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.05
SCPI.CALCulate.USER1.TRACe8.SMOothing.APERture = Var
Var = SCPI.CALCulate.USER1.TRACe8.SMOothing.APERture

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.STATe

Equivalent Key

USER Menu: Trace View > Aperture

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:SMOothing:APERture {50m ~ 25}

:CALCulate:USER[1-1]:TRACe[1-8]:SMOothing:APERture?

Query Response

{50m ~ 25} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:SMOothing:APERture 0.05"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:SMOothing:APERture ?"
30 ENTER 717;A


SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.STATe = Value

Value = SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.STATe

Description

This command sets/gets Smoothing on/off, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Smoothing (On/OFF)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.CALCulate.USER1.TRACe8.SMOothing.STATe = Var
Var = SCPI.CALCulate.USER1.TRACe8.SMOothing.STATe

Related Objects

SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.APERture

Equivalent Key

USER Menu: Trace View > Smoothing

Equivalent SCPI Command

Syntax

:CALCulate:USER[1-1]:TRACe[1-8]:SMOothing:STATe {ON|OFF|1|0}

:CALCulate:USER[1-1]:TRACe[1-8]:SMOothing:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":CALCulate:USER1:TRACe8:SMOothing:STATe 1"
20 OUTPUT 717;":CALCulate:USER1:TRACe8:SMOothing:STATe ?"
30 ENTER 717;A


SCPI.CONTrol.HANDler.A.DATA

Object Type

Method (Write Only)

Syntax

SCPI.CONTrol.HANDler.A.DATA = Value

Description

This command sets data to port A. 8-bit.

Variable

Parameter | Value
Description | Data to Port A
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.CONTrol.HANDler.A.DATA = Var

Related Objects

SCPI.CONTrol.HANDler.B.DATA

SCPI.CONTrol.HANDler.C.DATA

SCPI.CONTrol.HANDler.D.DATA

SCPI.CONTrol.HANDler.E.DATA

SCPI.CONTrol.HANDler.F.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CONTrol:HANDler:A[:DATA] {0 ~ 255}

Query Response

{0 ~ 255} <newline><^END>

Example of use

10 OUTPUT 717;":CONTrol:HANDler:A[:DATA] 0 "
20 ENTER 717;A


SCPI.CONTrol.HANDler.B.DATA

Object Type

Method (Write Only)

Syntax

SCPI.CONTrol.HANDler.B.DATA = Value

Description

This command sets data to port B. 8-bit.

Variable

Parameter | Value
Description | Data to Port B
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.CONTrol.HANDler.B.DATA = Var

Related Objects

SCPI.CONTrol.HANDler.A.DATA

SCPI.CONTrol.HANDler.C.DATA

SCPI.CONTrol.HANDler.D.DATA

SCPI.CONTrol.HANDler.E.DATA

SCPI.CONTrol.HANDler.F.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CONTrol:HANDler:B[:DATA] {0 ~ 255}

Query Response

{0 ~ 255} <newline><^END>

Example of use

10 OUTPUT 717;":CONTrol:HANDler:B[:DATA] 0 "
20 ENTER 717;A


SCPI.CONTrol.HANDler.C.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CONTrol.HANDler.C.DATA = Value

Value = SCPI.CONTrol.HANDler.C.DATA

Description

This command sets/gets data to/from port C.

Variable

Parameter | Value
Description | Data to Port C
Data Type | Long integer type (Long)
Range | 0 ~ 15
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.CONTrol.HANDler.C.DATA = Var
Var = SCPI.CONTrol.HANDler.C.DATA

Related Objects

SCPI.CONTrol.HANDler.A.DATA

SCPI.CONTrol.HANDler.B.DATA

SCPI.CONTrol.HANDler.D.DATA

SCPI.CONTrol.HANDler.E.DATA

SCPI.CONTrol.HANDler.F.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CONTrol:HANDler:C[:DATA] {0 ~ 15}

:CONTrol:HANDler:C[:DATA]?

Query Response

{0 ~ 15} <newline><^END>

Example of use

10 OUTPUT 717;":CONTrol:HANDler:C[:DATA] 0 "
20 OUTPUT 717;":CONTrol:HANDler:C[:DATA] ?"
30 ENTER 717;A


SCPI.CONTrol.HANDler.C.MODE

Object Type

Property (Read-Write)

Syntax

SCPI.CONTrol.HANDler.C.MODE = Value

Value = SCPI.CONTrol.HANDler.C.MODE

Description

This command sets/gets direction of port C. 4-bit.

Variable

Parameter | Value
Description | Direction of Port C
Data Type | Character string type (String)
Range | INPut|OUTPut
Preset Value | INPut
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var= "INPut"
SCPI.CONTrol.HANDler.C.MODE = Var
Var = SCPI.CONTrol.HANDler.C.MODE

Related Objects

SCPI.CONTrol.HANDler.D.MODE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CONTrol:HANDler:C:MODE {INPut|OUTPut}

:CONTrol:HANDler:C:MODE?

Query Response

{INPut|OUTPut} <newline><^END>

Example of use

10 OUTPUT 717;":CONTrol:HANDler:C:MODE INPut"
20 OUTPUT 717;":CONTrol:HANDler:C:MODE ?"
30 ENTER 717;A$


SCPI.CONTrol.HANDler.D.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CONTrol.HANDler.D.DATA = Value

Value = SCPI.CONTrol.HANDler.D.DATA

Description

This command sets/gets data to/from port D. 4-bit.

Variable

Parameter | Value
Description | Data to Port D
Data Type | Long integer type (Long)
Range | 0 ~ 15
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.CONTrol.HANDler.D.DATA = Var
Var = SCPI.CONTrol.HANDler.D.DATA

Related Objects

SCPI.CONTrol.HANDler.A.DATA

SCPI.CONTrol.HANDler.B.DATA

SCPI.CONTrol.HANDler.C.DATA

SCPI.CONTrol.HANDler.E.DATA

SCPI.CONTrol.HANDler.F.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CONTrol:HANDler:D[:DATA] {0 ~ 15}

:CONTrol:HANDler:D[:DATA]?

Query Response

{0 ~ 15} <newline><^END>

Example of use

10 OUTPUT 717;":CONTrol:HANDler:D[:DATA] 0 "
20 OUTPUT 717;":CONTrol:HANDler:D[:DATA] ?"
30 ENTER 717;A


SCPI.CONTrol.HANDler.D.MODE

Object Type

Property (Read-Write)

Syntax

SCPI.CONTrol.HANDler.D.MODE = Value

Value = SCPI.CONTrol.HANDler.D.MODE

Description

This command sets/gets direction of port D.

Variable

Parameter | Value
Description | Direction of Port D
Data Type | Character string type (String)
Range | INPut|OUTPut
Preset Value | INPut
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var= "INPut"
SCPI.CONTrol.HANDler.D.MODE = Var
Var = SCPI.CONTrol.HANDler.D.MODE

Related Objects

SCPI.CONTrol.HANDler.C.MODE

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CONTrol:HANDler:D:MODE {INPut|OUTPut}

:CONTrol:HANDler:D:MODE?

Query Response

{INPut|OUTPut} <newline><^END>

Example of use

10 OUTPUT 717;":CONTrol:HANDler:D:MODE INPut"
20 OUTPUT 717;":CONTrol:HANDler:D:MODE ?"
30 ENTER 717;A$


SCPI.CONTrol.HANDler.E.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CONTrol.HANDler.E.DATA = Value

Value = SCPI.CONTrol.HANDler.E.DATA

Description

This command sets/gets data to/from port E. (C Port + D Port) 8-bit.

Variable

Parameter | Value
Description | Data to Port E
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.CONTrol.HANDler.E.DATA = Var
Var = SCPI.CONTrol.HANDler.E.DATA

Related Objects

SCPI.CONTrol.HANDler.A.DATA

SCPI.CONTrol.HANDler.B.DATA

SCPI.CONTrol.HANDler.C.DATA

SCPI.CONTrol.HANDler.D.DATA

SCPI.CONTrol.HANDler.F.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CONTrol:HANDler:E[:DATA] {0 ~ 255}

:CONTrol:HANDler:E[:DATA]?

Query Response

{0 ~ 255} <newline><^END>

Example of use

10 OUTPUT 717;":CONTrol:HANDler:E[:DATA] 0 "
20 OUTPUT 717;":CONTrol:HANDler:E[:DATA] ?"
30 ENTER 717;A


SCPI.CONTrol.HANDler.F.DATA

Object Type

Method (Write Only)

Syntax

SCPI.CONTrol.HANDler.F.DATA = Value

Description

This command sets data to port F. (A Port + B Port) 16-bit.

Variable

Parameter | Value
Description | Data to port F
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.CONTrol.HANDler.F.DATA = Var

Related Objects

SCPI.CONTrol.HANDler.A.DATA

SCPI.CONTrol.HANDler.B.DATA

SCPI.CONTrol.HANDler.C.DATA

SCPI.CONTrol.HANDler.D.DATA

SCPI.CONTrol.HANDler.E.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CONTrol:HANDler:F[:DATA] {0 ~ 65535}

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":CONTrol:HANDler:F[:DATA] 0 "
20 ENTER 717;A


SCPI.CONTrol.HANDler.OUTPut(1-2).DATA

Object Type

Property (Read-Write)

Syntax

SCPI.CONTrol.HANDler.OUTPut(1-2).DATA = Value

Value = SCPI.CONTrol.HANDler.OUTPut(1-2).DATA

Description

This command sets/gets data to OUTPUT1 or OUTPUT2..

Variable

Parameter | Value
Description | Data to Output1 & Output2
Data Type | Long integer type (Long)
Range | 0 ~ 1
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.CONTrol.HANDler.OUTPut2.DATA = Var
Var = SCPI.CONTrol.HANDler.OUTPut2.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:CONTrol:HANDler:OUTPut[1-2][:DATA] {0 ~ 1}

:CONTrol:HANDler:OUTPut[1-2][:DATA]?

Query Response

{0 ~ 1} <newline><^END>

Example of use

10 OUTPUT 717;":CONTrol:HANDler:OUTPut2[:DATA] 0 "
20 OUTPUT 717;":CONTrol:HANDler:OUTPut2[:DATA] ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).ALLTrace.PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.AM(Ch).ALLTrace.PERSistence.CLEar

Description

This command clears all stored traces, for the selected channel Ch.

Examples

SCPI.DISPlay.AM1.ALLTrace.PERSistence.CLEar

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:ALLTrace:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:AM1:ALLTrace:PERSistence:CLEar"


SCPI.DISPlay.AM(Ch).ANNotation.MARKer.POSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).ANNotation.MARKer.POSition = Value

Value = SCPI.DISPlay.AM(Ch).ANNotation.MARKer.POSition

Description

This command sets/gets Marker annotation position, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker annotation position
Data Type | Character string type (String)
Range | LEFT|RIGHt
Preset Value | RIGHt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LEFT"
SCPI.DISPlay.AM1.ANNotation.MARKer.POSition = Var
Var = SCPI.DISPlay.AM1.ANNotation.MARKer.POSition

Related Objects

SCPI.DISPlay.AM(Ch).ANNotation.MEASurement.STATe

Equivalent Key

AM Menu: Display > Marker Information

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:ANNotation:MARKer:POSition {LEFT|RIGHt}

:DISPlay:AM[1-1]:ANNotation:MARKer:POSition?

Query Response

{LEFT|RIGHt} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:ANNotation:MARKer:POSition LEFT"
20 OUTPUT 717;":DISPlay:AM1:ANNotation:MARKer:POSition ?"
30 ENTER 717;A$


SCPI.DISPlay.AM(Ch).ANNotation.MEASurement.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).ANNotation.MEASurement.STATe = Value

Value = SCPI.DISPlay.AM(Ch).ANNotation.MEASurement.STATe

Description

This command sets/gets Show/Hide measurement setting, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide measurement setting
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.AM1.ANNotation.MEASurement.STATe = Var
Var = SCPI.DISPlay.AM1.ANNotation.MEASurement.STATe

Related Objects

SCPI.DISPlay.AM(Ch).ANNotation.MARKer.POSition

Equivalent Key

AM Menu: Display > Meas Condition

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:ANNotation:MEASurement:STATe {ON|OFF|1|0}

:DISPlay:AM[1-1]:ANNotation:MEASurement:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:ANNotation:MEASurement:STATe 1"
20 OUTPUT 717;":DISPlay:AM1:ANNotation:MEASurement:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.RELative

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.RELative = Value

Value = SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.RELative

Description

This command sets/gets force graticule label notation relative. If OFF, absolute notation is used if possible, for the selected channel Ch.

Variable

Parameter | Value
Description | Force graticule label notation
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.AM1.GRATicule.AXIS.Y.RELative = Var
Var = SCPI.DISPlay.AM1.GRATicule.AXIS.Y.RELative

Related Objects

SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.STATe

Equivalent Key

AM Menu: Display > Relative Y-Scale

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:GRATicule:AXIS:Y:RELative {ON|OFF|1|0}

:DISPlay:AM[1-1]:GRATicule:AXIS:Y:RELative?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:GRATicule:AXIS:Y:RELative 1"
20 OUTPUT 717;":DISPlay:AM1:GRATicule:AXIS:Y:RELative ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.STATe = Value

Value = SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.STATe

Description

This command sets/gets Show/Hide Y graticule label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Y graticule label
Data Type | Character string type (String)
Range | OFF|SHORt|MIDDle|LONG
Preset Value | SHORt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.AM1.GRATicule.AXIS.Y.STATe = Var
Var = SCPI.DISPlay.AM1.GRATicule.AXIS.Y.STATe

Related Objects

SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.RELative

Equivalent Key

AM Menu: Display > Y # of Digits

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:GRATicule:AXIS:Y:STATe {OFF|SHORt|MIDDle|LONG}

:DISPlay:AM[1-1]:GRATicule:AXIS:Y:STATe?

Query Response

{OFF|SHORt|MIDDle|LONG} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:GRATicule:AXIS:Y:STATe OFF"
20 OUTPUT 717;":DISPlay:AM1:GRATicule:AXIS:Y:STATe ?"
30 ENTER 717;A$


SCPI.DISPlay.AM(Ch).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).LABel.DATA = Value

Value = SCPI.DISPlay.AM(Ch).LABel.DATA

Description

This command sets/gets Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Window Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.AM1.LABel.DATA = Var
Var = SCPI.DISPlay.AM1.LABel.DATA

Related Objects

SCPI.DISPlay.AM(Ch).LABel.STATe

Equivalent Key

AM Menu: Display > Edit Title Label

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:LABel:DATA

:DISPlay:AM[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:AM1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.AM(Ch).LABel.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).LABel.STATe = Value

Value = SCPI.DISPlay.AM(Ch).LABel.STATe

Description

This command sets/gets Show/Hide Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Window Title Label
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.AM1.LABel.STATe = Var
Var = SCPI.DISPlay.AM1.LABel.STATe

Related Objects

SCPI.DISPlay.AM(Ch).LABel.DATA

Equivalent Key

AM Menu: Display > Title Label

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:LABel:STATe {ON|OFF|1|0}

:DISPlay:AM[1-1]:LABel:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:LABel:STATe 1"
20 OUTPUT 717;":DISPlay:AM1:LABel:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).LIMit.FSIGn

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).LIMit.FSIGn = Value

Value = SCPI.DISPlay.AM(Ch).LIMit.FSIGn

Description

This command sets/gets show/hide fail sign, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide fail sign
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.AM1.LIMit.FSIGn = Var
Var = SCPI.DISPlay.AM1.LIMit.FSIGn

Equivalent Key

AM Menu: Display > Limit Test > Fail Sign

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:LIMit:FSIGn {ON|OFF|1|0}

:DISPlay:AM[1-1]:LIMit:FSIGn?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:LIMit:FSIGn 1"
20 OUTPUT 717;":DISPlay:AM1:LIMit:FSIGn ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).MAXimize

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).MAXimize = Value

Value = SCPI.DISPlay.AM(Ch).MAXimize

Description

This command sets/gets maximize active trace, for the selected channel Ch.

Variable

Parameter | Value
Description | Maximize active trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.AM1.MAXimize = Var
Var = SCPI.DISPlay.AM1.MAXimize

Related Objects

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:MAXimize {ON|OFF|1|0}

:DISPlay:AM[1-1]:MAXimize?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:MAXimize 1"
20 OUTPUT 717;":DISPlay:AM1:MAXimize ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).STATe = Value

Value = SCPI.DISPlay.AM(Ch).STATe

Description

This command sets/gets measurement display on/off. At least one measurement window must be turned on, for the selected channel Ch.

Variable

Parameter | Value
Description | measurement display on/off
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 60, "Failed to hide window" 100, "Option not installed"

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.AM1.STATe = Var
Var = SCPI.DISPlay.AM1.STATe

Equivalent Key

PN Menu: Measurement View > Show Window > AM Noise

SP Menu: Measurement View > Show Window > AM Noise

FP Menu: Measurement View > Show Window > AM Noise

TR Menu: Measurement View > Show Window > AM Noise

AM Menu: Measurement View > Show Window > AM Noise

BB Menu: Measurement View > Show Window > AM Noise

USER Menu: Measurement View > Show Window > AM Noise

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:STATe {ON|OFF|1|0}

:DISPlay:AM[1-1]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:STATe 1"
20 OUTPUT 717;":DISPlay:AM1:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).TABLe.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TABLe.STATe = Value

Value = SCPI.DISPlay.AM(Ch).TABLe.STATe

Description

This command sets/gets show/hide text area, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide text area
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.AM1.TABLe.STATe = Var
Var = SCPI.DISPlay.AM1.TABLe.STATe

Related Objects

Equivalent Key

AM Menu: Marker > Marker List

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TABLe[:STATe] {ON|OFF|1|0}

:DISPlay:AM[1-1]:TABLe[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TABLe[:STATe] 1"
20 OUTPUT 717;":DISPlay:AM1:TABLe[:STATe] ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).TRACe(Tr).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).LABel.DATA = Value

Value = SCPI.DISPlay.AM(Ch).TRACe(Tr).LABel.DATA

Description

This command sets/gets Trace Title Label, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "AM Noise"
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.AM1.TRACe1.LABel.DATA = Var
Var = SCPI.DISPlay.AM1.TRACe1.LABel.DATA

Equivalent Key

AM Menu: Trace View > Trace Label

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:LABel:DATA

:DISPlay:AM[1-1]:TRACe[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:AM1:TRACe1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.AM(Ch).TRACe(Tr).LIMit.LINE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).LIMit.LINE = Value

Value = SCPI.DISPlay.AM(Ch).TRACe(Tr).LIMit.LINE

Description

This command sets/gets show/hide limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide limit line
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.AM1.TRACe1.LIMit.LINE = Var
Var = SCPI.DISPlay.AM1.TRACe1.LIMit.LINE

Equivalent Key

AM Menu: Display > Limit Test > Limit Line

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:LIMit:LINE {ON|OFF|1|0}

:DISPlay:AM[1-1]:TRACe[1-1]:LIMit:LINE?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:LIMit:LINE 1"
20 OUTPUT 717;":DISPlay:AM1:TRACe1:LIMit:LINE ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).TRACe(Tr).MODE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).MODE = Value

Value = SCPI.DISPlay.AM(Ch).TRACe(Tr).MODE

Description

This command sets/gets show data and/or memory trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Show data and/or memory trace
Data Type | Character string type (String)
Range | OFF|DATA|MEMory|BOTH
Preset Value | DATA
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.AM1.TRACe1.MODE = Var
Var = SCPI.DISPlay.AM1.TRACe1.MODE

Equivalent Key

AM Menu: Trace View > Display Trace

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:MODE {OFF|DATA|MEMory|BOTH}

:DISPlay:AM[1-1]:TRACe[1-1]:MODE?

Query Response

{OFF|DATA|MEMory|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:MODE OFF"
20 OUTPUT 717;":DISPlay:AM1:TRACe1:MODE ?"
30 ENTER 717;A$


SCPI.DISPlay.AM(Ch).TRACe(Tr).PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).PERSistence.CLEar

Description

This command clears stored traces, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.AM1.TRACe1.PERSistence.CLEar

Related Objects

SCPI.DISPlay.AM(Ch).TRACe(Tr).PERSistence.STATe

Equivalent Key

AM Menu: Trace View > Persistence > Clear Persistent Data

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:PERSistence:CLEar"


SCPI.DISPlay.AM(Ch).TRACe(Tr).PERSistence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).PERSistence.STATe = Value

Value = SCPI.DISPlay.AM(Ch).TRACe(Tr).PERSistence.STATe

Description

This command sets/gets trace storage mode, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace storage mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.AM1.TRACe1.PERSistence.STATe = Var
Var = SCPI.DISPlay.AM1.TRACe1.PERSistence.STATe

Related Objects

SCPI.DISPlay.AM(Ch).TRACe(Tr).PERSistence.CLEar

Equivalent Key

AM Menu: Trace View > Persistence > Persistence Mode

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:PERSistence:STATe {ON|OFF|1|0}

:DISPlay:AM[1-1]:TRACe[1-1]:PERSistence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:PERSistence:STATe 1"
20 OUTPUT 717;":DISPlay:AM1:TRACe1:PERSistence:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.AUTO

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.AUTO = Value

Value = SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.AUTO

Description

This command sets/gets autoscale setting for X axis, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Autoscale setting
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.AM1.TRACe1.X.SCALe.AUTO = Var
Var = SCPI.DISPlay.AM1.TRACe1.X.SCALe.AUTO

Related Objects

SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

AM Menu: Scale > X Axis > Auto

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:X[:SCALe]:AUTO {ON|OFF|1|0}

:DISPlay:AM[1-1]:TRACe[1-1]:X[:SCALe]:AUTO?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:X[:SCALe]:AUTO 1"
20 OUTPUT 717;":DISPlay:AM1:TRACe1:X[:SCALe]:AUTO ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.LEFT

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.LEFT = Value

Value = SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.LEFT

Description

This command sets/gets left setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | left setting for X axis
Data Type | Double precision floating point type (Double)
Range | 1 ~ 39.9999999M
Preset Value | 1k
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.AM1.TRACe1.X.SCALe.LEFT = Var
Var = SCPI.DISPlay.AM1.TRACe1.X.SCALe.LEFT

Related Objects

SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

AM Menu: Scale > X Axis > Left

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:X[:SCALe]:LEFT {1 ~ 39.9999999M}

:DISPlay:AM[1-1]:TRACe[1-1]:X[:SCALe]:LEFT?

Query Response

{1 ~ 39.9999999M} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:X[:SCALe]:LEFT 0"
20 OUTPUT 717;":DISPlay:AM1:TRACe1:X[:SCALe]:LEFT ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.RIGHt

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.RIGHt = Value

Value = SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.RIGHt

Description

This command sets/gets right setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | Right setting for X axis
Data Type | Double precision floating point type (Double)
Range | 1.1 ~ 40M
Preset Value | 10M
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.AM1.TRACe1.X.SCALe.RIGHt = Var
Var = SCPI.DISPlay.AM1.TRACe1.X.SCALe.RIGHt

Related Objects

SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.LEFT

Equivalent Key

AM Menu: Scale > X Axis > Right

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:X[:SCALe]:RIGHt {1.1 ~ 40M}

:DISPlay:AM[1-1]:TRACe[1-1]:X[:SCALe]:RIGHt?

Query Response

{1.1 ~ 40M} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:X[:SCALe]:RIGHt 0"
20 OUTPUT 717;":DISPlay:AM1:TRACe1:X[:SCALe]:RIGHt ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.AUTO

Description

This command sets auto scale setting for Y axis, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.AM1.TRACe1.Y.SCALe.AUTO

Related Objects

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

AM Menu: Scale > Auto Scale

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:Y[:SCALe]:AUTO

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:Y[:SCALe]:AUTO"


SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.PDIVision

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.PDIVision = Value

Value = SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.PDIVision

Description

This command sets/gets scale per division, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale per division
Data Type | Double precision floating point type (Double)
Range | 1a ~ 10G
Preset Value | 10
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.000000000001
SCPI.DISPlay.AM1.TRACe1.Y.SCALe.PDIVision = Var
Var = SCPI.DISPlay.AM1.TRACe1.Y.SCALe.PDIVision

Related Objects

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

AM Menu: Scale > Scale/Div

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:Y[:SCALe]:PDIVision {1a ~ 10G}

:DISPlay:AM[1-1]:TRACe[1-1]:Y[:SCALe]:PDIVision?

Query Response

{1a ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:Y[:SCALe]:PDIVision 0.000000000001"
20 OUTPUT 717;":DISPlay:AM1:TRACe1:Y[:SCALe]:PDIVision ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RLEVel

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RLEVel = Value

Value = SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RLEVel

Description

This command sets/gets scale reference level, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference level
Data Type | Double precision floating point type (Double)
Range | -50G ~ 50G
Preset Value | -20
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -50000000000
SCPI.DISPlay.AM1.TRACe1.Y.SCALe.RLEVel = Var
Var = SCPI.DISPlay.AM1.TRACe1.Y.SCALe.RLEVel

Related Objects

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

AM Menu: Scale > Reference Value

AM Menu: Scale > Marker > Reference

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:Y[:SCALe]:RLEVel {-50G ~ 50G}

:DISPlay:AM[1-1]:TRACe[1-1]:Y[:SCALe]:RLEVel?

Query Response

{-50G ~ 50G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:Y[:SCALe]:RLEVel -50000000000"
20 OUTPUT 717;":DISPlay:AM1:TRACe1:Y[:SCALe]:RLEVel ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RPOSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RPOSition = Value

Value = SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RPOSition

Description

This command sets/gets scale reference position, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference position
Data Type | Long integer type (Long)
Range | 0 ~ 30
Preset Value | 12
Unit | Div
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.DISPlay.AM1.TRACe1.Y.SCALe.RPOSition = Var
Var = SCPI.DISPlay.AM1.TRACe1.Y.SCALe.RPOSition

Related Objects

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RLEVel

Equivalent Key

AM Menu: Scale > Reference Position

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:TRACe[1-1]:Y[:SCALe]:RPOSition {0 ~ 30}

:DISPlay:AM[1-1]:TRACe[1-1]:Y[:SCALe]:RPOSition?

Query Response

{0 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:TRACe1:Y[:SCALe]:RPOSition 0 "
20 OUTPUT 717;":DISPlay:AM1:TRACe1:Y[:SCALe]:RPOSition ?"
30 ENTER 717;A


SCPI.DISPlay.AM(Ch).Y.SCALe.DIVisions

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.AM(Ch).Y.SCALe.DIVisions = Value

Value = SCPI.DISPlay.AM(Ch).Y.SCALe.DIVisions

Description

This command sets/gets number of Y division, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of Y division
Data Type | Long integer type (Long)
Range | 4 ~ 30
Preset Value | 12
Unit | -
Resolution | 2
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 4
SCPI.DISPlay.AM1.Y.SCALe.DIVisions = Var
Var = SCPI.DISPlay.AM1.Y.SCALe.DIVisions

Equivalent Key

AM Menu: Scale > Divisions

Equivalent SCPI Command

Syntax

:DISPlay:AM[1-1]:Y[:SCALe]:DIVisions {4 ~ 30}

:DISPlay:AM[1-1]:Y[:SCALe]:DIVisions?

Query Response

{4 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:AM1:Y[:SCALe]:DIVisions 4 "
20 OUTPUT 717;":DISPlay:AM1:Y[:SCALe]:DIVisions ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).ALLTrace.PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.BB(Ch).ALLTrace.PERSistence.CLEar

Description

This command clears all stored traces, for the selected channel Ch.

Examples

SCPI.DISPlay.BB1.ALLTrace.PERSistence.CLEar

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:ALLTrace:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:BB1:ALLTrace:PERSistence:CLEar"


SCPI.DISPlay.BB(Ch).ANNotation.MARKer.POSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).ANNotation.MARKer.POSition = Value

Value = SCPI.DISPlay.BB(Ch).ANNotation.MARKer.POSition

Description

This command sets/gets Marker annotation position, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker annotation position
Data Type | Character string type (String)
Range | LEFT|RIGHt
Preset Value | RIGHt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LEFT"
SCPI.DISPlay.BB1.ANNotation.MARKer.POSition = Var
Var = SCPI.DISPlay.BB1.ANNotation.MARKer.POSition

Related Objects

SCPI.DISPlay.BB(Ch).ANNotation.MEASurement.STATe

Equivalent Key

BB Menu: Display > Marker Information

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:ANNotation:MARKer:POSition {LEFT|RIGHt}

:DISPlay:BB[1-1]:ANNotation:MARKer:POSition?

Query Response

{LEFT|RIGHt} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:ANNotation:MARKer:POSition LEFT"
20 OUTPUT 717;":DISPlay:BB1:ANNotation:MARKer:POSition ?"
30 ENTER 717;A$


SCPI.DISPlay.BB(Ch).ANNotation.MEASurement.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).ANNotation.MEASurement.STATe = Value

Value = SCPI.DISPlay.BB(Ch).ANNotation.MEASurement.STATe

Description

This command sets/gets Show/Hide measurement setting, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide measurement setting
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.BB1.ANNotation.MEASurement.STATe = Var
Var = SCPI.DISPlay.BB1.ANNotation.MEASurement.STATe

Related Objects

SCPI.DISPlay.BB(Ch).ANNotation.MARKer.POSition

Equivalent Key

BB Menu: Display > Meas Condition

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:ANNotation:MEASurement:STATe {ON|OFF|1|0}

:DISPlay:BB[1-1]:ANNotation:MEASurement:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:ANNotation:MEASurement:STATe 1"
20 OUTPUT 717;":DISPlay:BB1:ANNotation:MEASurement:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.RELative

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.RELative = Value

Value = SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.RELative

Description

This command sets/gets force graticule label notation relative. If OFF, absolute notation is used if possible, for the selected channel Ch.

Variable

Parameter | Value
Description | Force graticule label notation
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.BB1.GRATicule.AXIS.Y.RELative = Var
Var = SCPI.DISPlay.BB1.GRATicule.AXIS.Y.RELative

Related Objects

SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.STATe

Equivalent Key

BB Menu: Display > Relative Y-Scale

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:GRATicule:AXIS:Y:RELative {ON|OFF|1|0}

:DISPlay:BB[1-1]:GRATicule:AXIS:Y:RELative?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:GRATicule:AXIS:Y:RELative 1"
20 OUTPUT 717;":DISPlay:BB1:GRATicule:AXIS:Y:RELative ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.STATe = Value

Value = SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.STATe

Description

This command sets/gets Show/Hide Y graticule label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Y graticule label
Data Type | Character string type (String)
Range | OFF|SHORt|MIDDle|LONG
Preset Value | SHORt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.BB1.GRATicule.AXIS.Y.STATe = Var
Var = SCPI.DISPlay.BB1.GRATicule.AXIS.Y.STATe

Related Objects

SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.RELative

Equivalent Key

BB Menu: Display > Y # of Digits

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:GRATicule:AXIS:Y:STATe {OFF|SHORt|MIDDle|LONG}

:DISPlay:BB[1-1]:GRATicule:AXIS:Y:STATe?

Query Response

{OFF|SHORt|MIDDle|LONG} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:GRATicule:AXIS:Y:STATe OFF"
20 OUTPUT 717;":DISPlay:BB1:GRATicule:AXIS:Y:STATe ?"
30 ENTER 717;A$


SCPI.DISPlay.BB(Ch).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).LABel.DATA = Value

Value = SCPI.DISPlay.BB(Ch).LABel.DATA

Description

This command sets/gets Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Window Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.BB1.LABel.DATA = Var
Var = SCPI.DISPlay.BB1.LABel.DATA

Related Objects

SCPI.DISPlay.BB(Ch).LABel.STATe

Equivalent Key

BB Menu: Display > Edit Title Label

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:LABel:DATA

:DISPlay:BB[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:BB1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.BB(Ch).LABel.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).LABel.STATe = Value

Value = SCPI.DISPlay.BB(Ch).LABel.STATe

Description

This command sets/gets Show/Hide Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Window Title Label
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.BB1.LABel.STATe = Var
Var = SCPI.DISPlay.BB1.LABel.STATe

Related Objects

SCPI.DISPlay.BB(Ch).LABel.DATA

Equivalent Key

BB Menu: Display > Title Label

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:LABel:STATe {ON|OFF|1|0}

:DISPlay:BB[1-1]:LABel:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:LABel:STATe 1"
20 OUTPUT 717;":DISPlay:BB1:LABel:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).LIMit.FSIGn

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).LIMit.FSIGn = Value

Value = SCPI.DISPlay.BB(Ch).LIMit.FSIGn

Description

This command sets/gets show/hide fail sign, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide fail sign
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.BB1.LIMit.FSIGn = Var
Var = SCPI.DISPlay.BB1.LIMit.FSIGn

Equivalent Key

BB Menu: Display > Limit Test > Fail Sign

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:LIMit:FSIGn {ON|OFF|1|0}

:DISPlay:BB[1-1]:LIMit:FSIGn?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:LIMit:FSIGn 1"
20 OUTPUT 717;":DISPlay:BB1:LIMit:FSIGn ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).MAXimize

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).MAXimize = Value

Value = SCPI.DISPlay.BB(Ch).MAXimize

Description

This command sets/gets maximize active trace, for the selected channel Ch.

Variable

Parameter | Value
Description | Maximize active trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.BB1.MAXimize = Var
Var = SCPI.DISPlay.BB1.MAXimize

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:MAXimize {ON|OFF|1|0}

:DISPlay:BB[1-1]:MAXimize?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:MAXimize 1"
20 OUTPUT 717;":DISPlay:BB1:MAXimize ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).STATe = Value

Value = SCPI.DISPlay.BB(Ch).STATe

Description

This command sets/gets measurement display on/off. At least one measurement window must be turned on., for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement display (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 60, "Failed to hide window" 100, "Option not installed"

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.BB1.STATe = Var
Var = SCPI.DISPlay.BB1.STATe

Equivalent Key

PN Menu: Measurement View > Show Window > Baseband Noise

SP Menu: Measurement View > Show Window > Baseband Noise

FP Menu: Measurement View > Show Window > Baseband Noise

TR Menu: Measurement View > Show Window > Baseband Noise

AM Menu: Measurement View > Show Window > Baseband Noise

BB Menu: Measurement View > Show Window > Baseband Noise

USER Menu: Measurement View > Show Window > Baseband Noise

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:STATe {ON|OFF|1|0}

:DISPlay:BB[1-1]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:STATe 1"
20 OUTPUT 717;":DISPlay:BB1:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TABLe.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TABLe.STATe = Value

Value = SCPI.DISPlay.BB(Ch).TABLe.STATe

Description

This command sets/gets show/hide text area, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide text area
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.BB1.TABLe.STATe = Var
Var = SCPI.DISPlay.BB1.TABLe.STATe

Related Objects

Equivalent Key

BB Menu: Marker > Marker List

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TABLe[:STATe] {ON|OFF|1|0}

:DISPlay:BB[1-1]:TABLe[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TABLe[:STATe] 1"
20 OUTPUT 717;":DISPlay:BB1:TABLe[:STATe] ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TRACe(Tr).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).LABel.DATA = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).LABel.DATA

Description

This command sets/gets Trace Title Label, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "Baseband"
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.BB1.TRACe1.LABel.DATA = Var
Var = SCPI.DISPlay.BB1.TRACe1.LABel.DATA

Equivalent Key

BB Menu: Trace View > Trace Label

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:LABel:DATA

:DISPlay:BB[1-1]:TRACe[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:BB1:TRACe1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.BB(Ch).TRACe(Tr).LIMit.LINE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).LIMit.LINE = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).LIMit.LINE

Description

This command sets/gets show/hide limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide limit line
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.BB1.TRACe1.LIMit.LINE = Var
Var = SCPI.DISPlay.BB1.TRACe1.LIMit.LINE

Equivalent Key

BB Menu: Display > Limit Test > Limit Line

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:LIMit:LINE {ON|OFF|1|0}

:DISPlay:BB[1-1]:TRACe[1-1]:LIMit:LINE?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:LIMit:LINE 1"
20 OUTPUT 717;":DISPlay:BB1:TRACe1:LIMit:LINE ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TRACe(Tr).MODE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).MODE = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).MODE

Description

This command sets/gets show data and/or memory trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Show data and/or memory trace
Data Type | Character string type (String)
Range | OFF|DATA|MEMory|BOTH
Preset Value | DATA
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.BB1.TRACe1.MODE = Var
Var = SCPI.DISPlay.BB1.TRACe1.MODE

Equivalent Key

BB Menu: Trace View > Display Trace

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:MODE {OFF|DATA|MEMory|BOTH}

:DISPlay:BB[1-1]:TRACe[1-1]:MODE?

Query Response

{OFF|DATA|MEMory|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:MODE OFF"
20 OUTPUT 717;":DISPlay:BB1:TRACe1:MODE ?"
30 ENTER 717;A$


SCPI.DISPlay.BB(Ch).TRACe(Tr).PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).PERSistence.CLEar

Description

This command clears stored traces, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.BB1.TRACe1.PERSistence.CLEar

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).PERSistence.STATe

Equivalent Key

BB Menu: Trace View > Persistence > Clear Persistent Data

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:PERSistence:CLEar"


SCPI.DISPlay.BB(Ch).TRACe(Tr).PERSistence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).PERSistence.STATe = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).PERSistence.STATe

Description

This command sets/gets trace storage mode, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace storage mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.BB1.TRACe1.PERSistence.STATe = Var
Var = SCPI.DISPlay.BB1.TRACe1.PERSistence.STATe

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).PERSistence.CLEar

Equivalent Key

BB Menu: Trace View > Persistence > Persistence Mode

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:PERSistence:STATe {ON|OFF|1|0}

:DISPlay:BB[1-1]:TRACe[1-1]:PERSistence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:PERSistence:STATe 1"
20 OUTPUT 717;":DISPlay:BB1:TRACe1:PERSistence:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.AUTO

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.AUTO = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.AUTO

Description

This command sets/gets autoscale setting for X axis, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | autoscale setting for X axis
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.BB1.TRACe1.X.SCALe.AUTO = Var
Var = SCPI.DISPlay.BB1.TRACe1.X.SCALe.AUTO

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

BB Menu: Scale > X Axis > Auto

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:X[:SCALe]:AUTO {ON|OFF|1|0}

:DISPlay:BB[1-1]:TRACe[1-1]:X[:SCALe]:AUTO?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:X[:SCALe]:AUTO 1"
20 OUTPUT 717;":DISPlay:BB1:TRACe1:X[:SCALe]:AUTO ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.LEFT

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.LEFT = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.LEFT

Description

This command sets/gets left setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | Left setting for X axis
Data Type | Double precision floating point type (Double)
Range | 1 ~ 99.9999999M
Preset Value | 1k
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.BB1.TRACe1.X.SCALe.LEFT = Var
Var = SCPI.DISPlay.BB1.TRACe1.X.SCALe.LEFT

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

BB Menu: Scale > X Axis > Left

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:X[:SCALe]:LEFT {1 ~ 99.9999999M}

:DISPlay:BB[1-1]:TRACe[1-1]:X[:SCALe]:LEFT?

Query Response

{1 ~ 99.9999999M} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:X[:SCALe]:LEFT 0"
20 OUTPUT 717;":DISPlay:BB1:TRACe1:X[:SCALe]:LEFT ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.RIGHt

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.RIGHt = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.RIGHt

Description

This command sets/gets right setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF

Variable

Parameter | Value
Description | Right setting for X axis
Data Type | Double precision floating point type (Double)
Range | 1.1 ~ 100M
Preset Value | 10M
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.BB1.TRACe1.X.SCALe.RIGHt = Var
Var = SCPI.DISPlay.BB1.TRACe1.X.SCALe.RIGHt

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.LEFT

Equivalent Key

BB Menu: Scale > X Axis > Right

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:X[:SCALe]:RIGHt {1.1 ~ 100M}

:DISPlay:BB[1-1]:TRACe[1-1]:X[:SCALe]:RIGHt?

Query Response

{1.1 ~ 100M} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:X[:SCALe]:RIGHt 0"
20 OUTPUT 717;":DISPlay:BB1:TRACe1:X[:SCALe]:RIGHt ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.AUTO

Description

This command sets auto scale for Y axis, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.BB1.TRACe1.Y.SCALe.AUTO

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.BOTTom

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RPOSition

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.TOP

Equivalent Key

BB Menu: Scale > Auto Scale

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:AUTO

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:AUTO"


SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.BOTTom

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.BOTTom = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.BOTTom

Description

This command sets/gets scale bottom level, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale bottom level
Data Type | Double precision floating point type (Double)
Range | -350G ~ 70G
Preset Value | -200
Unit | V/Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -350000000000
SCPI.DISPlay.BB1.TRACe1.Y.SCALe.BOTTom = Var
Var = SCPI.DISPlay.BB1.TRACe1.Y.SCALe.BOTTom

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RPOSition

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.TOP

Equivalent Key

BB Menu: Scale > Bottom

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:BOTTom {-350G ~ 70G}

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:BOTTom?

Query Response

{-350G ~ 70G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:BOTTom -350000000000 "
20 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:BOTTom ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.PDIVision

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.PDIVision = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.PDIVision

Description

This command sets/gets scale per division, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale per division
Data Type | Double precision floating point type (Double)
Range | 1a ~ 10G
Preset Value | 10
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.000000000001
SCPI.DISPlay.BB1.TRACe1.Y.SCALe.PDIVision = Var
Var = SCPI.DISPlay.BB1.TRACe1.Y.SCALe.PDIVision

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.BOTTom

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RPOSition

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.TOP

Equivalent Key

BB Menu: Scale > Scale/Div

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:PDIVision {1a ~ 10G}

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:PDIVision?

Query Response

{1a ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:PDIVision 0.000000000001"
20 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:PDIVision ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RLEVel

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RLEVel = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RLEVel

Description

This command sets/gets scale reference level, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference level
Data Type | Double precision floating point type (Double)
Range | -50G ~ 50G
Preset Value | -80
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -50000000000
SCPI.DISPlay.BB1.TRACe1.Y.SCALe.RLEVel = Var
Var = SCPI.DISPlay.BB1.TRACe1.Y.SCALe.RLEVel

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.BOTTom

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RPOSition

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.TOP

Equivalent Key

BB Menu: Scale > Reference Value

BB Menu: Scale > Marker > Reference

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:RLEVel {-50G ~ 50G}

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:RLEVel?

Query Response

{-50G ~ 50G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:RLEVel -50000000000"
20 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:RLEVel ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RPOSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RPOSition = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RPOSition

Description

This command sets/gets scale reference position, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference position
Data Type | Long integer type (Long)
Range | 0 ~ 30
Preset Value | 12
Unit | Div
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.DISPlay.BB1.TRACe1.Y.SCALe.RPOSition = Var
Var = SCPI.DISPlay.BB1.TRACe1.Y.SCALe.RPOSition

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.BOTTom

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.TOP

Equivalent Key

BB Menu: Scale > Reference Position

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:RPOSition {0 ~ 30}

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:RPOSition?

Query Response

{0 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:RPOSition 0 "
20 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:RPOSition ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.TOP

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.TOP = Value

Value = SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.TOP

Description

This command sets/gets scale top level, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale top level
Data Type | Double precision floating point type (Double)
Range | -50G ~ 350G
Preset Value | -80
Unit | V/Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -50000000000
SCPI.DISPlay.BB1.TRACe1.Y.SCALe.TOP = Var
Var = SCPI.DISPlay.BB1.TRACe1.Y.SCALe.TOP

Related Objects

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.BOTTom

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

BB Menu: Scale > Top

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:TOP {-50G ~ 350G}

:DISPlay:BB[1-1]:TRACe[1-1]:Y[:SCALe]:TOP?

Query Response

{-50G ~ 350G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:TOP -50000000000 "
20 OUTPUT 717;":DISPlay:BB1:TRACe1:Y[:SCALe]:TOP ?"
30 ENTER 717;A


SCPI.DISPlay.BB(Ch).Y.SCALe.DIVisions

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.BB(Ch).Y.SCALe.DIVisions = Value

Value = SCPI.DISPlay.BB(Ch).Y.SCALe.DIVisions

Description

This command sets/gets number of Y division, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of Y division
Data Type | Long integer type (Long)
Range | 4 ~ 30
Preset Value | 12
Unit | -
Resolution | 2
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 4
SCPI.DISPlay.BB1.Y.SCALe.DIVisions = Var
Var = SCPI.DISPlay.BB1.Y.SCALe.DIVisions

Equivalent Key

BB Menu: Scale > Divisions

Equivalent SCPI Command

Syntax

:DISPlay:BB[1-1]:Y[:SCALe]:DIVisions {4 ~ 30}

:DISPlay:BB[1-1]:Y[:SCALe]:DIVisions?

Query Response

{4 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:BB1:Y[:SCALe]:DIVisions 4 "
20 OUTPUT 717;":DISPlay:BB1:Y[:SCALe]:DIVisions ?"
30 ENTER 717;A


SCPI.DISPlay.CLOCk

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.CLOCk = Value

Value = SCPI.DISPlay.CLOCk

Description

This command Show/Hide clock display.

Variable

Parameter | Value
Description | Show/Hide clock display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.CLOCk = Var
Var = SCPI.DISPlay.CLOCk

Equivalent Key

PN Menu: System > Misc Setup > Clock Setup > Show Clock

SP Menu: System > Misc Setup > Clock Setup > Show Clock

FP Menu: System > Misc Setup > Clock Setup > Show Clock

TR Menu: System > Misc Setup > Clock Setup > Show Clock

AM Menu: System > Misc Setup > Clock Setup > Show Clock

BB Menu: System > Misc Setup > Clock Setup > Show Clock

USER Menu: System > Misc Setup > Clock Setup > Show Clock

Equivalent SCPI Command

Syntax

:DISPlay:CLOCk {ON|OFF|1|0}

:DISPlay:CLOCk?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:CLOCk 1"
20 OUTPUT 717;":DISPlay:CLOCk ?"
30 ENTER 717;A


SCPI.DISPlay.COLor(1-2).BACK.VALue[_Q] red, green, blue

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.COLor(1-2).BACK.VALue[_Q] red, green, blue = Value

Value = SCPI.DISPlay.COLor(1-2).BACK.VALue[_Q] red, green, blue

Description

This command sets/gets Background color.

Variable

Parameter | red
Description | Red color value in background color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Parameter | green
Description | Green color value in background color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | blue
Description | Blue color value in background color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
SCPI.DISPlay.COLor2.BACK.VALue[_Q] red, green, blue = Var
Var = SCPI.DISPlay.COLor2.BACK.VALue[_Q] red, green, blue

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:COLor[1-2]:BACK[:VALue] {0 ~ 255 0 ~ 255 0 ~ 255}

:DISPlay:COLor[1-2]:BACK[:VALue]?

Query Response

{0 ~ 255 0 ~ 255 0 ~ 255} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:COLor2:BACK[:VALue] 1"
20 OUTPUT 717;":DISPlay:COLor2:BACK[:VALue] ?"
30 ENTER 717;A


SCPI.DISPlay.COLor(1-2).GRATicule(1-2).VALue[_Q] red, green, blue

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.COLor(1-2).GRATicule(1-2).VALue[_Q] red, green, blue = Value

Value = SCPI.DISPlay.COLor(1-2).GRATicule(1-2).VALue[_Q] red, green, blue

Description

This command sets/gets Graticule color.

Variable

Parameter | red
Description | Red color value in Graticule color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 127
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Parameter | green
Description | Green color value in Graticule color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 127
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | blue
Description | Blue color value in Graticule color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 127
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
SCPI.DISPlay.COLor2.GRATicule2.VALue[_Q] red, green, blue = Var
Var = SCPI.DISPlay.COLor2.GRATicule2.VALue[_Q] red, green, blue

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:COLor[1-2]:GRATicule[1-2][:VALue] {0 ~ 255 0 ~ 255 0 ~ 255}

:DISPlay:COLor[1-2]:GRATicule[1-2][:VALue]?

Query Response

{0 ~ 255 0 ~ 255 0 ~ 255} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:COLor2:GRATicule2[:VALue] 1"
20 OUTPUT 717;":DISPlay:COLor2:GRATicule2[:VALue] ?"
30 ENTER 717;A


SCPI.DISPlay.COLor(1-2).LIMit(1-2).VALue[_Q] red, green, blue

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.COLor(1-2).LIMit(1-2).VALue[_Q] red, green, blue = Value

Value = SCPI.DISPlay.COLor(1-2).LIMit(1-2).VALue[_Q] red, green, blue

Description

This command sets/gets Limit color (1:Fail color 2:Line color).

Variable

Parameter | red
Description | Red color value in Limit color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 255
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Parameter | green
Description | Green color value in Limit color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | blue
Description | Blue color value in Limit color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
SCPI.DISPlay.COLor2.LIMit2.VALue[_Q] red, green, blue = Var
Var = SCPI.DISPlay.COLor2.LIMit2.VALue[_Q] red, green, blue

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:COLor[1-2]:LIMit[1-2][:VALue] {0 ~ 255 0 ~ 255 0 ~ 255}

:DISPlay:COLor[1-2]:LIMit[1-2][:VALue]?

Query Response

{0 ~ 255 0 ~ 255 0 ~ 255} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:COLor2:LIMit2[:VALue] 1"
20 OUTPUT 717;":DISPlay:COLor2:LIMit2[:VALue] ?"
30 ENTER 717;A


SCPI.DISPlay.COLor(1-2).RESet

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.COLor(1-2).RESet

Description

This command resets the colors to their default (factory) value.

Examples

SCPI.DISPlay.COLor2.RESet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:COLor[1-2]:RESet

Example of use

10 OUTPUT 717;":DISPlay:COLor2:RESet"


SCPI.DISPlay.COLor(1-2).TRACe(Tr).DATA.VALue[_Q] red, green, blue

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.COLor(1-2).TRACe(Tr).DATA.VALue[_Q] red, green, blue = Value

Value = SCPI.DISPlay.COLor(1-2).TRACe(Tr).DATA.VALue[_Q] red, green, blue

Description

This command sets/gets Trace data color.

Variable

Parameter | red
Description | Red color value in trace data color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 255
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Parameter | green
Description | Green color value in trace data color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 255
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | blue
Description | Blue color value in trace data color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
SCPI.DISPlay.COLor2.TRACe8.DATA.VALue[_Q] red, green, blue = Var
Var = SCPI.DISPlay.COLor2.TRACe8.DATA.VALue[_Q] red, green, blue

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:COLor[1-2]:TRACe[1-8]:DATA[:VALue] {0 ~ 255 0 ~ 255 0 ~ 255}

:DISPlay:COLor[1-2]:TRACe[1-8]:DATA[:VALue]?

Query Response

{0 ~ 255 0 ~ 255 0 ~ 255} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:COLor2:TRACe8:DATA[:VALue] 1"
20 OUTPUT 717;":DISPlay:COLor2:TRACe8:DATA[:VALue] ?"


SCPI.DISPlay.COLor(1-2).TRACe(Tr).MEMory.VALue[_Q] red, green, blue

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.COLor(1-2).TRACe(Tr).MEMory.VALue[_Q] red, green, blue = Value

Value = SCPI.DISPlay.COLor(1-2).TRACe(Tr).MEMory.VALue[_Q] red, green, blue

Description

This command sets/gets Trace memory color.

Variable

Parameter | red
Description | Red color value in trace memory color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 127
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Parameter | green
Description | Green color value in trace memory color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 127
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | blue
Description | Blue color value in trace memory color
Data Type | Long integer type (Long)
Range | 0 ~ 255
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var= 1
SCPI.DISPlay.COLor2.TRACe8.MEMory.VALue[_Q] red, green, blue = Var
Var = SCPI.DISPlay.COLor2.TRACe8.MEMory.VALue[_Q] red, green, blue

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:COLor[1-2]:TRACe[1-8]:MEMory[:VALue] {0 ~ 255 0 ~ 255 0 ~ 255}

:DISPlay:COLor[1-2]:TRACe[1-8]:MEMory[:VALue]?

Query Response

{0 ~ 255 0 ~ 255 0 ~ 255} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:COLor2:TRACe8:MEMory[:VALue] 1"
20 OUTPUT 717;":DISPlay:COLor2:TRACe8:MEMory[:VALue] ?"


SCPI.DISPlay.ECHO.ADD

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.ECHO.ADD = Value

Description

This command sets add text in echo window except LineFeed(0x0a, vbLF) character. Other non-printable characters are converted to a space character. The excess portion of SCPI.DISPlay.ECHO.DATA string will be silently ignored.

Variable

Parameter | Value
Description | Text in echo window
Data Type | Character string type (String)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
SCPI.DISPlay.ECHO.ADD = Var

Related Objects

SCPI.DISPlay.ECHO.CLEar

SCPI.DISPlay.ECHO.DATA

SCPI.DISPlay.ECHO.FSIZe

SCPI.DISPlay.ECHO.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:ECHO:ADD

Query Response

{String} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:ECHO:ADD Sample_Text"
20 ENTER 717;A$


SCPI.DISPlay.ECHO.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.ECHO.CLEar

Description

This command clears echo window.

Examples

SCPI.DISPlay.ECHO.CLEar

Related Objects

SCPI.DISPlay.ECHO.ADD

SCPI.DISPlay.ECHO.DATA

SCPI.DISPlay.ECHO.FSIZe

SCPI.DISPlay.ECHO.STATe

Equivalent Key

PN Menu: Macro Setup > Echo Window Menu > Clear Echo

SP Menu: Macro Setup > Echo Window Menu > Clear Echo

FP Menu: Macro Setup > Echo Window Menu > Clear Echo

TR Menu: Macro Setup > Echo Window Menu > Clear Echo

AM Menu: Macro Setup > Echo Window Menu > Clear Echo

BB Menu: Macro Setup > Echo Window Menu > Clear Echo

USER Menu: Macro Setup > Echo Window Menu > Clear Echo

Equivalent SCPI Command

Syntax

:DISPlay:ECHO:CLEar

Example of use

10 OUTPUT 717;":DISPlay:ECHO:CLEar"


SCPI.DISPlay.ECHO.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.ECHO.DATA = Value

Value = SCPI.DISPlay.ECHO.DATA

Description

This command sets/gets text in echo window except LineFeed(0x0a, vbLF) character. Other non-printable characters are converted to a space charcter..

Variable

Parameter | Value
Description | Text in echo window
Data Type | Character string type (String)
Range | -
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
SCPI.DISPlay.ECHO.DATA = Var
Var = SCPI.DISPlay.ECHO.DATA

Related Objects

SCPI.DISPlay.ECHO.ADD

SCPI.DISPlay.ECHO.CLEar

SCPI.DISPlay.ECHO.FSIZe

SCPI.DISPlay.ECHO.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:ECHO:DATA

:DISPlay:ECHO:DATA?

Query Response

{String} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:ECHO:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:ECHO:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.ECHO.FSIZe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.ECHO.FSIZe = Value

Value = SCPI.DISPlay.ECHO.FSIZe

Description

This command sets/gets font size in echo window.

Variable

Parameter | Value
Description | Font size in echo window
Data Type | Long integer type (Long)
Range | 9|10|11|12|14|16|18|20|22|24|26|28|36|48|72|96|112
Preset Value | 11
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 9
SCPI.DISPlay.ECHO.FSIZe = Var
Var = SCPI.DISPlay.ECHO.FSIZe

Related Objects

SCPI.DISPlay.ECHO.ADD

SCPI.DISPlay.ECHO.CLEar

SCPI.DISPlay.ECHO.DATA

SCPI.DISPlay.ECHO.STATe

Equivalent Key

PN Menu: Macro Setup > Echo Window Menu > Echo Font Size

SP Menu: Macro Setup > Echo Window Menu > Echo Font Size

FP Menu: Macro Setup > Echo Window Menu > Echo Font Size

TR Menu: Macro Setup > Echo Window Menu > Echo Font Size

AM Menu: Macro Setup > Echo Window Menu > Echo Font Size

BB Menu: Macro Setup > Echo Window Menu > Echo Font Size

USER Menu: Macro Setup > Echo Window Menu > Echo Font Size

Equivalent SCPI Command

Syntax

:DISPlay:ECHO:FSIZe {9|10|11|12|14|16|18|20|22|24|26|28|36|48|72|96|112}

:DISPlay:ECHO:FSIZe?

Query Response

{9|10|11|12|14|16|18|20|22|24|26|28|36|48|72|96|112} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:ECHO:FSIZe 9"
20 OUTPUT 717;":DISPlay:ECHO:FSIZe ?"
30 ENTER 717;A


SCPI.DISPlay.ECHO.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.ECHO.STATe = Value

Value = SCPI.DISPlay.ECHO.STATe

Description

This command Show/Hide echo window.

Variable

Parameter | Value
Description | Show/Hide echo window
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.ECHO.STATe = Var
Var = SCPI.DISPlay.ECHO.STATe

Related Objects

SCPI.DISPlay.ECHO.ADD

SCPI.DISPlay.ECHO.CLEar

SCPI.DISPlay.ECHO.DATA

SCPI.DISPlay.ECHO.FSIZe

Equivalent Key

PN Menu: Macro Setup > Echo Window Menu > Echo Window

SP Menu: Macro Setup > Echo Window Menu > Echo Window

FP Menu: Macro Setup > Echo Window Menu > Echo Window

TR Menu: Macro Setup > Echo Window Menu > Echo Window

AM Menu: Macro Setup > Echo Window Menu > Echo Window

BB Menu: Macro Setup > Echo Window Menu > Echo Window

USER Menu: Macro Setup > Echo Window Menu > Echo Window

Equivalent SCPI Command

Syntax

:DISPlay:ECHO:STATe {ON|OFF|1|0}

:DISPlay:ECHO:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:ECHO:STATe 1"
20 OUTPUT 717;":DISPlay:ECHO:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.ENABle = Value

Value = SCPI.DISPlay.ENABle

Description

This command Enables/disables trace update.

Variable

Parameter | Value
Description | Enables/disables trace update
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.ENABle = Var
Var = SCPI.DISPlay.ENABle

Equivalent Key

PN Menu: Display > Update

SP Menu: Display > Update

FP Menu: Display > Update

TR Menu: Display > Update

AM Menu: Display > Update

BB Menu: Display > Update

PS Menu: Display > Update

USER Menu: Display > Update

Equivalent SCPI Command

Syntax

:DISPlay:ENABle {ON|OFF|1|0}

:DISPlay:ENABle?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:ENABle 1"
20 OUTPUT 717;":DISPlay:ENABle ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).ALLTrace.PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.FP(Ch).ALLTrace.PERSistence.CLEar

Description

This command clears all stored traces, for the selected channel Ch.

Examples

SCPI.DISPlay.FP1.ALLTrace.PERSistence.CLEar

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:ALLTrace:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:FP1:ALLTrace:PERSistence:CLEar"


SCPI.DISPlay.FP(Ch).ALLTrace.Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.FP(Ch).ALLTrace.Y.SCALe.AUTO

Description

This command sets auto scale all, for the selected channel Ch.

Examples

SCPI.DISPlay.FP1.ALLTrace.Y.SCALe.AUTO

Equivalent Key

FP Menu: Scale > Auto Scale All

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:ALLTrace:Y:SCALe:AUTO

Example of use

10 OUTPUT 717;":DISPlay:FP1:ALLTrace:Y:SCALe:AUTO"


SCPI.DISPlay.FP(Ch).ANNotation.MARKer.POSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).ANNotation.MARKer.POSition = Value

Value = SCPI.DISPlay.FP(Ch).ANNotation.MARKer.POSition

Description

This command sets/gets Marker annotation position, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker annotation position
Data Type | Character string type (String)
Range | LEFT|RIGHt
Preset Value | LEFT
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LEFT"
SCPI.DISPlay.FP1.ANNotation.MARKer.POSition = Var
Var = SCPI.DISPlay.FP1.ANNotation.MARKer.POSition

Related Objects

SCPI.DISPlay.FP(Ch).ANNotation.MEASurement.STATe

Equivalent Key

FP Menu: Display > Marker Information

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:ANNotation:MARKer:POSition {LEFT|RIGHt}

:DISPlay:FP[1-1]:ANNotation:MARKer:POSition?

Query Response

{LEFT|RIGHt} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:ANNotation:MARKer:POSition LEFT"
20 OUTPUT 717;":DISPlay:FP1:ANNotation:MARKer:POSition ?"
30 ENTER 717;A$


SCPI.DISPlay.FP(Ch).ANNotation.MEASurement.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).ANNotation.MEASurement.STATe = Value

Value = SCPI.DISPlay.FP(Ch).ANNotation.MEASurement.STATe

Description

This command sets/gets measurement setting, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement setting
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.FP1.ANNotation.MEASurement.STATe = Var
Var = SCPI.DISPlay.FP1.ANNotation.MEASurement.STATe

Related Objects

SCPI.DISPlay.FP(Ch).ANNotation.MARKer.POSition

Equivalent Key

FP Menu: Display > Meas Condition

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:ANNotation:MEASurement:STATe {ON|OFF|1|0}

:DISPlay:FP[1-1]:ANNotation:MEASurement:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:ANNotation:MEASurement:STATe 1"
20 OUTPUT 717;":DISPlay:FP1:ANNotation:MEASurement:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.RELative

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.RELative = Value

Value = SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.RELative

Description

This command sets/gets force graticule label notation relative. If OFF, absolute notation is used if possible, for the selected channel Ch.

Variable

Parameter | Value
Description | Force graticule label notation
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.FP1.GRATicule.AXIS.Y.RELative = Var
Var = SCPI.DISPlay.FP1.GRATicule.AXIS.Y.RELative

Related Objects

SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.STATe

Equivalent Key

FP Menu: Display > Relative Y-Scale

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:GRATicule:AXIS:Y:RELative {ON|OFF|1|0}

:DISPlay:FP[1-1]:GRATicule:AXIS:Y:RELative?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:GRATicule:AXIS:Y:RELative 1"
20 OUTPUT 717;":DISPlay:FP1:GRATicule:AXIS:Y:RELative ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.STATe = Value

Value = SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.STATe

Description

This command sets/gets Y graticule label, for the selected channel Ch.

Variable

Parameter | Value
Description | Y graticule label
Data Type | Character string type (String)
Range | OFF|SHORt|MIDDle|LONG
Preset Value | SHORt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.FP1.GRATicule.AXIS.Y.STATe = Var
Var = SCPI.DISPlay.FP1.GRATicule.AXIS.Y.STATe

Related Objects

SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.RELative

Equivalent Key

FP Menu: Display > Y # of Digits

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:GRATicule:AXIS:Y:STATe {OFF|SHORt|MIDDle|LONG}

:DISPlay:FP[1-1]:GRATicule:AXIS:Y:STATe?

Query Response

{OFF|SHORt|MIDDle|LONG} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:GRATicule:AXIS:Y:STATe OFF"
20 OUTPUT 717;":DISPlay:FP1:GRATicule:AXIS:Y:STATe ?"
30 ENTER 717;A$


SCPI.DISPlay.FP(Ch).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).LABel.DATA = Value

Value = SCPI.DISPlay.FP(Ch).LABel.DATA

Description

This command sets/gets Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Window Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.FP1.LABel.DATA = Var
Var = SCPI.DISPlay.FP1.LABel.DATA

Related Objects

SCPI.DISPlay.FP(Ch).LABel.STATe

Equivalent Key

FP Menu: Display > Edit Title Label

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:LABel:DATA

:DISPlay:FP[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:FP1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.FP(Ch).LABel.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).LABel.STATe = Value

Value = SCPI.DISPlay.FP(Ch).LABel.STATe

Description

This command show/hides Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/hides Window Title Label
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.FP1.LABel.STATe = Var
Var = SCPI.DISPlay.FP1.LABel.STATe

Related Objects

SCPI.DISPlay.FP(Ch).LABel.DATA

Equivalent Key

FP Menu: Display > Title Label

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:LABel:STATe {ON|OFF|1|0}

:DISPlay:FP[1-1]:LABel:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:LABel:STATe 1"
20 OUTPUT 717;":DISPlay:FP1:LABel:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).LIMit.FSIGn

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).LIMit.FSIGn = Value

Value = SCPI.DISPlay.FP(Ch).LIMit.FSIGn

Description

This command show/hide fail sign, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide fail sign
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.FP1.LIMit.FSIGn = Var
Var = SCPI.DISPlay.FP1.LIMit.FSIGn

Equivalent Key

FP Menu: Display > Limit Test > Fail Sign

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:LIMit:FSIGn {ON|OFF|1|0}

:DISPlay:FP[1-1]:LIMit:FSIGn?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:LIMit:FSIGn 1"
20 OUTPUT 717;":DISPlay:FP1:LIMit:FSIGn ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).MAXimize

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).MAXimize = Value

Value = SCPI.DISPlay.FP(Ch).MAXimize

Description

This command sets/gets maximize active trace, for the selected channel Ch.

Variable

Parameter | Value
Description | Maximize active trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.FP1.MAXimize = Var
Var = SCPI.DISPlay.FP1.MAXimize

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:MAXimize {ON|OFF|1|0}

:DISPlay:FP[1-1]:MAXimize?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:MAXimize 1"
20 OUTPUT 717;":DISPlay:FP1:MAXimize ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).SPLit

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).SPLit = Value

Value = SCPI.DISPlay.FP(Ch).SPLit

Description

This command sets/gets split window setting, for the selected channel Ch.

Variable

Parameter | Value
Description | Split window setting
Data Type | Character string type (String)
Range | D11_23|D12_34
Preset Value | D11_23
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "D11_23"
SCPI.DISPlay.FP1.SPLit = Var
Var = SCPI.DISPlay.FP1.SPLit

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:SPLit {D11_23|D12_34}

:DISPlay:FP[1-1]:SPLit?

Query Response

{D11_23|D12_34} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:SPLit D11_23"
20 OUTPUT 717;":DISPlay:FP1:SPLit ?"
30 ENTER 717;A$


SCPI.DISPlay.FP(Ch).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).STATe = Value

Value = SCPI.DISPlay.FP(Ch).STATe

Description

This command sets/gets measurement display on/off. At least one meas window must be turned on., for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement display (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 60, "Failed to hide window" 100, "Option not installed"

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.FP1.STATe = Var
Var = SCPI.DISPlay.FP1.STATe

Equivalent Key

PN Menu: Measurement View > Show Window > Freq & Power

SP Menu: Measurement View > Show Window > Freq & Power

FP Menu: Measurement View > Show Window > Freq & Power

TR Menu: Measurement View > Show Window > Freq & Power

AM Menu: Measurement View > Show Window > Freq & Power

BB Menu: Measurement View > Show Window > Freq & Power

USER Menu: Measurement View > Show Window > Freq & Power

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:STATe {ON|OFF|1|0}

:DISPlay:FP[1-1]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:STATe 1"
20 OUTPUT 717;":DISPlay:FP1:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).TABLe.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TABLe.STATe = Value

Value = SCPI.DISPlay.FP(Ch).TABLe.STATe

Description

This command show/hide text area, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide text area
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.FP1.TABLe.STATe = Var
Var = SCPI.DISPlay.FP1.TABLe.STATe

Equivalent Key

FP Menu: Marker > Marker List

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TABLe[:STATe] {ON|OFF|1|0}

:DISPlay:FP[1-1]:TABLe[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TABLe[:STATe] 1"
20 OUTPUT 717;":DISPlay:FP1:TABLe[:STATe] ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).TRACe(Tr).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).LABel.DATA = Value

Value = SCPI.DISPlay.FP(Ch).TRACe(Tr).LABel.DATA

Description

This command sets/gets Trace Title Label, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "Freq"
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.FP1.TRACe4.LABel.DATA = Var
Var = SCPI.DISPlay.FP1.TRACe4.LABel.DATA

Equivalent Key

FP Menu: Trace View > Trace Label

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:LABel:DATA

:DISPlay:FP[1-1]:TRACe[1-4]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:FP1:TRACe4:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.FP(Ch).TRACe(Tr).LIMit.LINE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).LIMit.LINE = Value

Value = SCPI.DISPlay.FP(Ch).TRACe(Tr).LIMit.LINE

Description

This command show/hide limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | show/hide limit line
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.FP1.TRACe4.LIMit.LINE = Var
Var = SCPI.DISPlay.FP1.TRACe4.LIMit.LINE

Related Objects

Equivalent Key

FP Menu: Display > Limit Test > Limit Line

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:LIMit:LINE {ON|OFF|1|0}

:DISPlay:FP[1-1]:TRACe[1-4]:LIMit:LINE?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:LIMit:LINE 1"
20 OUTPUT 717;":DISPlay:FP1:TRACe4:LIMit:LINE ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).TRACe(Tr).MODE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).MODE = Value

Value = SCPI.DISPlay.FP(Ch).TRACe(Tr).MODE

Description

This command sets/gets show data and/or memory trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Show data and/or memory trace
Data Type | Character string type (String)
Range | OFF|DATA|MEMory|BOTH
Preset Value | DATA
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.FP1.TRACe4.MODE = Var
Var = SCPI.DISPlay.FP1.TRACe4.MODE

Equivalent Key

FP Menu: Trace View > Display Trace

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:MODE {OFF|DATA|MEMory|BOTH}

:DISPlay:FP[1-1]:TRACe[1-4]:MODE?

Query Response

{OFF|DATA|MEMory|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:MODE OFF"
20 OUTPUT 717;":DISPlay:FP1:TRACe4:MODE ?"
30 ENTER 717;A$


SCPI.DISPlay.FP(Ch).TRACe(Tr).PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).PERSistence.CLEar

Description

This command clears stored traces, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.FP1.TRACe4.PERSistence.CLEar

Related Objects

SCPI.DISPlay.FP(Ch).TRACe(Tr).PERSistence.STATe

Equivalent Key

FP Menu: Trace View > Persistence > Clear Persistent Data

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:PERSistence:CLEar"


SCPI.DISPlay.FP(Ch).TRACe(Tr).PERSistence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).PERSistence.STATe = Value

Value = SCPI.DISPlay.FP(Ch).TRACe(Tr).PERSistence.STATe

Description

This command sets/gets trace storage mode, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace storage mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.FP1.TRACe4.PERSistence.STATe = Var
Var = SCPI.DISPlay.FP1.TRACe4.PERSistence.STATe

Related Objects

SCPI.DISPlay.FP(Ch).TRACe(Tr).PERSistence.CLEar

Equivalent Key

FP Menu: Trace View > Persistence > Persistence Mode

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:PERSistence:STATe {ON|OFF|1|0}

:DISPlay:FP[1-1]:TRACe[1-4]:PERSistence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:PERSistence:STATe 1"
20 OUTPUT 717;":DISPlay:FP1:TRACe4:PERSistence:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.AUTO

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.AUTO = Value

Value = SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.AUTO

Description

This command sets/gets autoscale setting for X axis, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Autoscale setting for X axis
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.FP1.TRACe4.X.SCALe.AUTO = Var
Var = SCPI.DISPlay.FP1.TRACe4.X.SCALe.AUTO

Related Objects

SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

FP Menu: Scale > X Axis > Auto

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:X[:SCALe]:AUTO {ON|OFF|1|0}

:DISPlay:FP[1-1]:TRACe[1-4]:X[:SCALe]:AUTO?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:X[:SCALe]:AUTO 1"
20 OUTPUT 717;":DISPlay:FP1:TRACe4:X[:SCALe]:AUTO ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.LEFT

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.LEFT = Value

Value = SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.LEFT

Description

This command sets/gets left setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | Left setting for X axis
Data Type | Double precision floating point type (Double)
Range | -15 ~ 1.000999999k
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.FP1.TRACe4.X.SCALe.LEFT = Var
Var = SCPI.DISPlay.FP1.TRACe4.X.SCALe.LEFT

Related Objects

SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

FP Menu: Scale > X Axis > Left

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:X[:SCALe]:LEFT {-15 ~ 1.000999999k}

:DISPlay:FP[1-1]:TRACe[1-4]:X[:SCALe]:LEFT?

Query Response

{-15 ~ 1.000999999k} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:X[:SCALe]:LEFT 0"
20 OUTPUT 717;":DISPlay:FP1:TRACe4:X[:SCALe]:LEFT ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.RIGHt

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.RIGHt = Value

Value = SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.RIGHt

Description

This command sets/gets Right setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | Right setting for X axis
Data Type | Double precision floating point type (Double)
Range | -14.999999 ~ 1.001k
Preset Value | 100u
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.FP1.TRACe4.X.SCALe.RIGHt = Var
Var = SCPI.DISPlay.FP1.TRACe4.X.SCALe.RIGHt

Related Objects

SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.LEFT

Equivalent Key

FP Menu: Scale > X Axis > Right

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:X[:SCALe]:RIGHt {-14.999999 ~ 1.001k}

:DISPlay:FP[1-1]:TRACe[1-4]:X[:SCALe]:RIGHt?

Query Response

{-14.999999 ~ 1.001k} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:X[:SCALe]:RIGHt 0"
20 OUTPUT 717;":DISPlay:FP1:TRACe4:X[:SCALe]:RIGHt ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.AUTO

Description

This command sets auto scale settings for Y axis, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.FP1.TRACe4.Y.SCALe.AUTO

Related Objects

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

FP Menu: Scale > Auto Scale

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:Y[:SCALe]:AUTO

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:Y[:SCALe]:AUTO"


SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.PDIVision

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.PDIVision = Value

Value = SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.PDIVision

Description

This command sets/gets scale per division, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale per division
Data Type | Double precision floating point type (Double)
Range | 1a ~ 10G
Preset Value | 100M
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.000000000001
SCPI.DISPlay.FP1.TRACe4.Y.SCALe.PDIVision = Var
Var = SCPI.DISPlay.FP1.TRACe4.Y.SCALe.PDIVision

Related Objects

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

FP Menu: Scale > Scale/Div

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:Y[:SCALe]:PDIVision {1a ~ 10G}

:DISPlay:FP[1-1]:TRACe[1-4]:Y[:SCALe]:PDIVision?

Query Response

{1a ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:Y[:SCALe]:PDIVision 0.000000000001"
20 OUTPUT 717;":DISPlay:FP1:TRACe4:Y[:SCALe]:PDIVision ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RLEVel

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RLEVel = Value

Value = SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RLEVel

Description

This command sets/gets scale reference level, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference level
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 1.5G
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.DISPlay.FP1.TRACe4.Y.SCALe.RLEVel = Var
Var = SCPI.DISPlay.FP1.TRACe4.Y.SCALe.RLEVel

Related Objects

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

FP Menu: Scale > Reference Value

FP Menu: Scale > Marker > Reference

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:Y[:SCALe]:RLEVel {-500G ~ 500G}

:DISPlay:FP[1-1]:TRACe[1-4]:Y[:SCALe]:RLEVel?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:Y[:SCALe]:RLEVel -500000000000"
20 OUTPUT 717;":DISPlay:FP1:TRACe4:Y[:SCALe]:RLEVel ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RPOSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RPOSition = Value

Value = SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RPOSition

Description

This command sets/gets scale reference position, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference position
Data Type | Long integer type (Long)
Range | 0 ~ 30
Preset Value | 5
Unit | Div
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.DISPlay.FP1.TRACe4.Y.SCALe.RPOSition = Var
Var = SCPI.DISPlay.FP1.TRACe4.Y.SCALe.RPOSition

Related Objects

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RLEVel

Equivalent Key

FP Menu: Scale > Reference Position

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:TRACe[1-4]:Y[:SCALe]:RPOSition {0 ~ 30}

:DISPlay:FP[1-1]:TRACe[1-4]:Y[:SCALe]:RPOSition?

Query Response

{0 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:TRACe4:Y[:SCALe]:RPOSition 0 "
20 OUTPUT 717;":DISPlay:FP1:TRACe4:Y[:SCALe]:RPOSition ?"
30 ENTER 717;A


SCPI.DISPlay.FP(Ch).Y.SCALe.DIVisions

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.FP(Ch).Y.SCALe.DIVisions = Value

Value = SCPI.DISPlay.FP(Ch).Y.SCALe.DIVisions

Description

This command sets/gets number of Y division, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of Y division
Data Type | Long integer type (Long)
Range | 4 ~ 30
Preset Value | 10
Unit | -
Resolution | 2
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 4
SCPI.DISPlay.FP1.Y.SCALe.DIVisions = Var
Var = SCPI.DISPlay.FP1.Y.SCALe.DIVisions

Equivalent Key

FP Menu: Scale > Divisions

Equivalent SCPI Command

Syntax

:DISPlay:FP[1-1]:Y[:SCALe]:DIVisions {4 ~ 30}

:DISPlay:FP[1-1]:Y[:SCALe]:DIVisions?

Query Response

{4 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:FP1:Y[:SCALe]:DIVisions 4 "
20 OUTPUT 717;":DISPlay:FP1:Y[:SCALe]:DIVisions ?"
30 ENTER 717;A


SCPI.DISPlay.IMAGe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.IMAGe = Value

Value = SCPI.DISPlay.IMAGe

Description

This command sets/gets image type (normal/inverted).

Variable

Parameter | Value
Description | Image type
Data Type | Character string type (String)
Range | NORMal|INVert
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.DISPlay.IMAGe = Var
Var = SCPI.DISPlay.IMAGe

Equivalent Key

PN Menu: Display > Color Type

SP Menu: Display > Color Type

FP Menu: Display > Color Type

TR Menu: Display > Color Type

AM Menu: Display > Color Type

BB Menu: Display > Color Type

PS Menu: Display > Color Type

USER Menu: Display > Color Type

Equivalent SCPI Command

Syntax

:DISPlay:IMAGe {NORMal|INVert}

:DISPlay:IMAGe?

Query Response

{NORMal|INVert} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:IMAGe NORMal"
20 OUTPUT 717;":DISPlay:IMAGe ?"
30 ENTER 717;A$


SCPI.DISPlay.LAYout.THRee

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.LAYout.THRee = Value

Value = SCPI.DISPlay.LAYout.THRee

Description

This command sets/gets display layout.

Variable

Parameter | Value
Description | Display layout
Data Type | Character string type (String)
Range | D12_33|D1_2_3
Preset Value | D12_33
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "D12_33"
SCPI.DISPlay.LAYout.THRee = Var
Var = SCPI.DISPlay.LAYout.THRee

Related Objects

SCPI.DISPlay.LAYout.TWO

Equivalent Key

PN Menu: Measurement View > Show Window > Layout Window > Three Windows

SP Menu: Measurement View > Show Window > Layout Window > Three Windows

FP Menu: Measurement View > Show Window > Layout Window > Three Windows

TR Menu: Measurement View > Show Window > Layout Window > Three Windows

AM Menu: Measurement View > Show Window > Layout Window > Three Windows

BB Menu: Measurement View > Show Window > Layout Window > Three Windows

USER Menu: Measurement View > Show Window > Layout Window > Three Windows

Equivalent SCPI Command

Syntax

:DISPlay:LAYout:THRee {D12_33|D1_2_3}

:DISPlay:LAYout:THRee?

Query Response

{D12_33|D1_2_3} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:LAYout:THRee D12_33"
20 OUTPUT 717;":DISPlay:LAYout:THRee ?"
30 ENTER 717;A$


SCPI.DISPlay.LAYout.TWO

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.LAYout.TWO = Value

Value = SCPI.DISPlay.LAYout.TWO

Description

This command sets/gets display layout.

Variable

Parameter | Value
Description | Display layout
Data Type | Character string type (String)
Range | D1_2|D12
Preset Value | D1_2
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "D1_2"
SCPI.DISPlay.LAYout.TWO = Var
Var = SCPI.DISPlay.LAYout.TWO

Related Objects

SCPI.DISPlay.LAYout.THRee

Equivalent Key

PN Menu: Measurement View > Show Window > Layout Window > Two Windows

SP Menu: Measurement View > Show Window > Layout Window > Two Windows

FP Menu: Measurement View > Show Window > Layout Window > Two Windows

TR Menu: Measurement View > Show Window > Layout Window > Two Windows

AM Menu: Measurement View > Show Window > Layout Window > Two Windows

BB Menu: Measurement View > Show Window > Layout Window > Two Windows

USER Menu: Measurement View > Show Window > Layout Window > Two Windows

Equivalent SCPI Command

Syntax

:DISPlay:LAYout:TWO {D1_2|D12}

:DISPlay:LAYout:TWO?

Query Response

{D1_2|D12} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:LAYout:TWO D1_2"
20 OUTPUT 717;":DISPlay:LAYout:TWO ?"
30 ENTER 717;A$


SCPI.DISPlay.MAXimize

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.MAXimize = Value

Value = SCPI.DISPlay.MAXimize

Description

This command sets/gets maximize value for active instrument window.

Variable

Parameter | Value
Description | Active instrument window
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.MAXimize = Var
Var = SCPI.DISPlay.MAXimize

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:MAXimize {ON|OFF|1|0}

:DISPlay:MAXimize?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:MAXimize 1"
20 OUTPUT 717;":DISPlay:MAXimize ?"
30 ENTER 717;A


SCPI.DISPlay.MESSage.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.MESSage.CLEar

Description

This command clears caution/message.

Examples

SCPI.DISPlay.MESSage.CLEar

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:MESSage:CLEar

Example of use

10 OUTPUT 717;":DISPlay:MESSage:CLEar"


SCPI.DISPlay.MESSage.DATA[_Q] message_str, as_error

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.MESSage.DATA[_Q] message_str, as_error = Value

Value = SCPI.DISPlay.MESSage.DATA[_Q] message_str, as_error

Description

This command sets/gets message window text and color. If second parameter is true, message will be displayed in red color. Messages in white cannot overwrite previous message in red.

Variable

Parameter | message_str
Description | Message window string
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | as_error
Description | Error parameter
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
SCPI.DISPlay.MESSage.DATA[_Q] message_str, as_error = Var
Var = SCPI.DISPlay.MESSage.DATA[_Q] message_str, as_error

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:MESSage:DATA {254 chars ON|OFF|1|0}

:DISPlay:MESSage:DATA?

Query Response

{254 chars ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:MESSage:DATA 1"
20 OUTPUT 717;":DISPlay:MESSage:DATA ?"


SCPI.DISPlay.PN(Ch).ALLTrace.PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.PN(Ch).ALLTrace.PERSistence.CLEar

Description

This command clears all stored traces, for the selected channel Ch.

Examples

SCPI.DISPlay.PN1.ALLTrace.PERSistence.CLEar

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:ALLTrace:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:PN1:ALLTrace:PERSistence:CLEar"


SCPI.DISPlay.PN(Ch).ANNotation.MARKer.POSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).ANNotation.MARKer.POSition = Value

Value = SCPI.DISPlay.PN(Ch).ANNotation.MARKer.POSition

Description

This command sets/gets Marker annotation position, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker annotation position
Data Type | Character string type (String)
Range | LEFT|RIGHt
Preset Value | RIGHt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LEFT"
SCPI.DISPlay.PN1.ANNotation.MARKer.POSition = Var
Var = SCPI.DISPlay.PN1.ANNotation.MARKer.POSition

Related Objects

SCPI.DISPlay.PN(Ch).ANNotation.MEASurement.STATe

Equivalent Key

PN Menu: Display > Marker Information

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:ANNotation:MARKer:POSition {LEFT|RIGHt}

:DISPlay:PN[1-1]:ANNotation:MARKer:POSition?

Query Response

{LEFT|RIGHt} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:ANNotation:MARKer:POSition LEFT"
20 OUTPUT 717;":DISPlay:PN1:ANNotation:MARKer:POSition ?"
30 ENTER 717;A$


SCPI.DISPlay.PN(Ch).ANNotation.MEASurement.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).ANNotation.MEASurement.STATe = Value

Value = SCPI.DISPlay.PN(Ch).ANNotation.MEASurement.STATe

Description

This command Show/Hide measurement settings, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide measurement settings
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PN1.ANNotation.MEASurement.STATe = Var
Var = SCPI.DISPlay.PN1.ANNotation.MEASurement.STATe

Related Objects

SCPI.DISPlay.PN(Ch).ANNotation.MARKer.POSition

Equivalent Key

PN Menu: Display > Meas Condition

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:ANNotation:MEASurement:STATe {ON|OFF|1|0}

:DISPlay:PN[1-1]:ANNotation:MEASurement:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:ANNotation:MEASurement:STATe 1"
20 OUTPUT 717;":DISPlay:PN1:ANNotation:MEASurement:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.RELative

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.RELative = Value

Value = SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.RELative

Description

This command sets/gets force graticule label notation relative. If OFF, absolute notation is used if possible, for the selected channel Ch.

Variable

Parameter | Value
Description | Force graticule label notation
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PN1.GRATicule.AXIS.Y.RELative = Var
Var = SCPI.DISPlay.PN1.GRATicule.AXIS.Y.RELative

Related Objects

SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.STATe

Equivalent Key

PN Menu: Display > Relative Y-Scale

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:GRATicule:AXIS:Y:RELative {ON|OFF|1|0}

:DISPlay:PN[1-1]:GRATicule:AXIS:Y:RELative?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:GRATicule:AXIS:Y:RELative 1"
20 OUTPUT 717;":DISPlay:PN1:GRATicule:AXIS:Y:RELative ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.STATe = Value

Value = SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.STATe

Description

This command Show/Hide Y graticule label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Y graticule label
Data Type | Character string type (String)
Range | OFF|SHORt|MIDDle|LONG
Preset Value | SHORt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.PN1.GRATicule.AXIS.Y.STATe = Var
Var = SCPI.DISPlay.PN1.GRATicule.AXIS.Y.STATe

Related Objects

SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.RELative

Equivalent Key

PN Menu: Display > Y # of Digits

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:GRATicule:AXIS:Y:STATe {OFF|SHORt|MIDDle|LONG}

:DISPlay:PN[1-1]:GRATicule:AXIS:Y:STATe?

Query Response

{OFF|SHORt|MIDDle|LONG} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:GRATicule:AXIS:Y:STATe OFF"
20 OUTPUT 717;":DISPlay:PN1:GRATicule:AXIS:Y:STATe ?"
30 ENTER 717;A$


SCPI.DISPlay.PN(Ch).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).LABel.DATA = Value

Value = SCPI.DISPlay.PN(Ch).LABel.DATA

Description

This command sets/gets Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Window Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.PN1.LABel.DATA = Var
Var = SCPI.DISPlay.PN1.LABel.DATA

Related Objects

SCPI.DISPlay.PN(Ch).LABel.STATe

Equivalent Key

PN Menu: Display > Edit Title Label

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:LABel:DATA

:DISPlay:PN[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:PN1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.PN(Ch).LABel.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).LABel.STATe = Value

Value = SCPI.DISPlay.PN(Ch).LABel.STATe

Description

This command Show/Hide Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Window Title Label
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PN1.LABel.STATe = Var
Var = SCPI.DISPlay.PN1.LABel.STATe

Related Objects

Equivalent Key

PN Menu: Display > Title Label

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:LABel:STATe {ON|OFF|1|0}

:DISPlay:PN[1-1]:LABel:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:LABel:STATe 1"
20 OUTPUT 717;":DISPlay:PN1:LABel:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).LIMit.FSIGn

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).LIMit.FSIGn = Value

Value = SCPI.DISPlay.PN(Ch).LIMit.FSIGn

Description

This command show/hide fail sign, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide fail sign
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PN1.LIMit.FSIGn = Var
Var = SCPI.DISPlay.PN1.LIMit.FSIGn

Equivalent Key

PN Menu: Display > Limit Test > Fail Sign

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:LIMit:FSIGn {ON|OFF|1|0}

:DISPlay:PN[1-1]:LIMit:FSIGn?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:LIMit:FSIGn 1"
20 OUTPUT 717;":DISPlay:PN1:LIMit:FSIGn ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).MAXimize

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).MAXimize = Value

Value = SCPI.DISPlay.PN(Ch).MAXimize

Description

This command sets/gets maximize active trace, for the selected channel Ch.

Variable

Parameter | Value
Description | Maximize active trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PN1.MAXimize = Var
Var = SCPI.DISPlay.PN1.MAXimize

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:MAXimize {ON|OFF|1|0}

:DISPlay:PN[1-1]:MAXimize?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:MAXimize 1"
20 OUTPUT 717;":DISPlay:PN1:MAXimize ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).STATe = Value

Value = SCPI.DISPlay.PN(Ch).STATe

Description

This command sets/gets measurement display on/off. At least one meas window must be turned on., for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement display (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 60, "Failed to hide window" 100, "Option not installed"

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PN1.STATe = Var
Var = SCPI.DISPlay.PN1.STATe

Equivalent Key

PN Menu: Measurement View > Show Window > Phase Noise

SP Menu: Measurement View > Show Window > Phase Noise

FP Menu: Measurement View > Show Window > Phase Noise

TR Menu: Measurement View > Show Window > Phase Noise

AM Menu: Measurement View > Show Window > Phase Noise

BB Menu: Measurement View > Show Window > Phase Noise

USER Menu: Measurement View > Show Window > Phase Noise

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:STATe {ON|OFF|1|0}

:DISPlay:PN[1-1]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:STATe 1"
20 OUTPUT 717;":DISPlay:PN1:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).TABLe.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TABLe.STATe = Value

Value = SCPI.DISPlay.PN(Ch).TABLe.STATe

Description

This command show/hide text area, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide text area
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PN1.TABLe.STATe = Var
Var = SCPI.DISPlay.PN1.TABLe.STATe

Equivalent Key

PN Menu: Marker > Marker List

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TABLe[:STATe] {ON|OFF|1|0}

:DISPlay:PN[1-1]:TABLe[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TABLe[:STATe] 1"
20 OUTPUT 717;":DISPlay:PN1:TABLe[:STATe] ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).TRACe(Tr).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).LABel.DATA = Value

Value = SCPI.DISPlay.PN(Ch).TRACe(Tr).LABel.DATA

Description

This command sets/gets Trace Title Label, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "Phase Noise"
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.PN1.TRACe1.LABel.DATA = Var
Var = SCPI.DISPlay.PN1.TRACe1.LABel.DATA

Equivalent Key

PN Menu: Trace View > Trace Label

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:LABel:DATA

:DISPlay:PN[1-1]:TRACe[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:PN1:TRACe1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.PN(Ch).TRACe(Tr).LIMit.LINE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).LIMit.LINE = Value

Value = SCPI.DISPlay.PN(Ch).TRACe(Tr).LIMit.LINE

Description

This command sets/gets show/hide limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide limit line
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PN1.TRACe1.LIMit.LINE = Var
Var = SCPI.DISPlay.PN1.TRACe1.LIMit.LINE

Equivalent Key

PN Menu: Display > Limit Test > Limit Line

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:LIMit:LINE {ON|OFF|1|0}

:DISPlay:PN[1-1]:TRACe[1-1]:LIMit:LINE?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:LIMit:LINE 1"
20 OUTPUT 717;":DISPlay:PN1:TRACe1:LIMit:LINE ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).TRACe(Tr).MODE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).MODE = Value

Value = SCPI.DISPlay.PN(Ch).TRACe(Tr).MODE

Description

This command sets/gets data and/or memory trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data and/or memory trace
Data Type | Character string type (String)
Range | OFF|DATA|MEMory|BOTH
Preset Value | DATA
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.PN1.TRACe1.MODE = Var
Var = SCPI.DISPlay.PN1.TRACe1.MODE

Equivalent Key

PN Menu: Trace View > Display Trace

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:MODE {OFF|DATA|MEMory|BOTH}

:DISPlay:PN[1-1]:TRACe[1-1]:MODE?

Query Response

{OFF|DATA|MEMory|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:MODE OFF"
20 OUTPUT 717;":DISPlay:PN1:TRACe1:MODE ?"
30 ENTER 717;A$


SCPI.DISPlay.PN(Ch).TRACe(Tr).PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).PERSistence.CLEar

Description

This command clears stored traces, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.PN1.TRACe1.PERSistence.CLEar

Related Objects

SCPI.DISPlay.PN(Ch).TRACe(Tr).PERSistence.STATe

Equivalent Key

PN Menu: Trace View > Persistence > Clear Persistent Data

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:PERSistence:CLEar"


SCPI.DISPlay.PN(Ch).TRACe(Tr).PERSistence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).PERSistence.STATe = Value

Value = SCPI.DISPlay.PN(Ch).TRACe(Tr).PERSistence.STATe

Description

This command sets/gets trace storage mode, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace storage mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PN1.TRACe1.PERSistence.STATe = Var
Var = SCPI.DISPlay.PN1.TRACe1.PERSistence.STATe

Related Objects

SCPI.DISPlay.PN(Ch).TRACe(Tr).PERSistence.CLEar

Equivalent Key

PN Menu: Trace View > Persistence > Persistence Mode

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:PERSistence:STATe {ON|OFF|1|0}

:DISPlay:PN[1-1]:TRACe[1-1]:PERSistence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:PERSistence:STATe 1"
20 OUTPUT 717;":DISPlay:PN1:TRACe1:PERSistence:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.AUTO

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.AUTO = Value

Value = SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.AUTO

Description

This command sets/gets autoscale setting for X axis, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Autoscale setting for X axis
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PN1.TRACe1.X.SCALe.AUTO = Var
Var = SCPI.DISPlay.PN1.TRACe1.X.SCALe.AUTO

Related Objects

SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

PN Menu: Scale > X Axis > Auto

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:X[:SCALe]:AUTO {ON|OFF|1|0}

:DISPlay:PN[1-1]:TRACe[1-1]:X[:SCALe]:AUTO?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:X[:SCALe]:AUTO 1"
20 OUTPUT 717;":DISPlay:PN1:TRACe1:X[:SCALe]:AUTO ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.LEFT

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.LEFT = Value

Value = SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.LEFT

Description

This command sets/gets left setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.AUTO is set to OFF.

Variable

Parameter | Value
Description | Left setting for X axis
Data Type | Double precision floating point type (Double)
Range | 1 ~ 99.9999999M
Preset Value | 1k
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.PN1.TRACe1.X.SCALe.LEFT = Var
Var = SCPI.DISPlay.PN1.TRACe1.X.SCALe.LEFT

Related Objects

SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

PN Menu: Scale > X Axis > Left

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:X[:SCALe]:LEFT {1 ~ 99.9999999M}

:DISPlay:PN[1-1]:TRACe[1-1]:X[:SCALe]:LEFT?

Query Response

{1 ~ 99.9999999M} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:X[:SCALe]:LEFT 0"
20 OUTPUT 717;":DISPlay:PN1:TRACe1:X[:SCALe]:LEFT ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.RIGHt

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.RIGHt = Value

Value = SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.RIGHt

Description

This command sets/gets right setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.AUTO is set to OFF.

Variable

Parameter | Value
Description | Right setting for X axis
Data Type | Double precision floating point type (Double)
Range | 1.1 ~ 100M
Preset Value | 10M
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.PN1.TRACe1.X.SCALe.RIGHt = Var
Var = SCPI.DISPlay.PN1.TRACe1.X.SCALe.RIGHt

Related Objects

SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.LEFT

Equivalent Key

PN Menu: Scale > X Axis > Right

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:X[:SCALe]:RIGHt {1.1 ~ 100M}

:DISPlay:PN[1-1]:TRACe[1-1]:X[:SCALe]:RIGHt?

Query Response

{1.1 ~ 100M} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:X[:SCALe]:RIGHt 0"
20 OUTPUT 717;":DISPlay:PN1:TRACe1:X[:SCALe]:RIGHt ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.AUTO

Description

This command sets auto scale setting for Y axis, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.PN1.TRACe1.Y.SCALe.AUTO

Related Objects

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

PN Menu: Scale > Auto Scale

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:Y[:SCALe]:AUTO

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:Y[:SCALe]:AUTO"


SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.PDIVision

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.PDIVision = Value

Value = SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.PDIVision

Description

This command sets/gets scale per division, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale per division
Data Type | Double precision floating point type (Double)
Range | 1a ~ 10G
Preset Value | 10
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.000000000001
SCPI.DISPlay.PN1.TRACe1.Y.SCALe.PDIVision = Var
Var = SCPI.DISPlay.PN1.TRACe1.Y.SCALe.PDIVision

Related Objects

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

PN Menu: Scale > Scale/Div

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:Y[:SCALe]:PDIVision {1a ~ 10G}

:DISPlay:PN[1-1]:TRACe[1-1]:Y[:SCALe]:PDIVision?

Query Response

{1a ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:Y[:SCALe]:PDIVision 0.000000000001"
20 OUTPUT 717;":DISPlay:PN1:TRACe1:Y[:SCALe]:PDIVision ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RLEVel

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RLEVel = Value

Value = SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RLEVel

Description

This command sets/gets scale reference level, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference level
Data Type | Double precision floating point type (Double)
Range | -50G ~ 50G
Preset Value | -20
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -50000000000
SCPI.DISPlay.PN1.TRACe1.Y.SCALe.RLEVel = Var
Var = SCPI.DISPlay.PN1.TRACe1.Y.SCALe.RLEVel

Related Objects

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

PN Menu: Scale > Reference Value

PN Menu: Scale > Marker > Reference

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:Y[:SCALe]:RLEVel {-50G ~ 50G}

:DISPlay:PN[1-1]:TRACe[1-1]:Y[:SCALe]:RLEVel?

Query Response

{-50G ~ 50G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:Y[:SCALe]:RLEVel -50000000000"
20 OUTPUT 717;":DISPlay:PN1:TRACe1:Y[:SCALe]:RLEVel ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RPOSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RPOSition = Value

Value = SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RPOSition

Description

This command sets/gets scale reference position, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference position
Data Type | Long integer type (Long)
Range | 0 ~ 30
Preset Value | 16
Unit | Div
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.DISPlay.PN1.TRACe1.Y.SCALe.RPOSition = Var
Var = SCPI.DISPlay.PN1.TRACe1.Y.SCALe.RPOSition

Related Objects

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RLEVel

Equivalent Key

PN Menu: Scale > Reference Position

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:TRACe[1-1]:Y[:SCALe]:RPOSition {0 ~ 30}

:DISPlay:PN[1-1]:TRACe[1-1]:Y[:SCALe]:RPOSition?

Query Response

{0 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:TRACe1:Y[:SCALe]:RPOSition 0 "
20 OUTPUT 717;":DISPlay:PN1:TRACe1:Y[:SCALe]:RPOSition ?"
30 ENTER 717;A


SCPI.DISPlay.PN(Ch).Y.SCALe.DIVisions

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PN(Ch).Y.SCALe.DIVisions = Value

Value = SCPI.DISPlay.PN(Ch).Y.SCALe.DIVisions

Description

This command sets/gets number of Y division, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of Y division
Data Type | Long integer type (Long)
Range | 4 ~ 30
Preset Value | 16
Unit | -
Resolution | 2
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 4
SCPI.DISPlay.PN1.Y.SCALe.DIVisions = Var
Var = SCPI.DISPlay.PN1.Y.SCALe.DIVisions

Equivalent Key

PN Menu: Scale > Divisions

Equivalent SCPI Command

Syntax

:DISPlay:PN[1-1]:Y[:SCALe]:DIVisions {4 ~ 30}

:DISPlay:PN[1-1]:Y[:SCALe]:DIVisions?

Query Response

{4 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PN1:Y[:SCALe]:DIVisions 4 "
20 OUTPUT 717;":DISPlay:PN1:Y[:SCALe]:DIVisions ?"
30 ENTER 717;A


SCPI.DISPlay.PROGress.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PROGress.STATe = Value

Value = SCPI.DISPlay.PROGress.STATe

Description

This command sets/gets progress display update.

Variable

Parameter | Value
Description | Progress display update
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PROGress.STATe = Var
Var = SCPI.DISPlay.PROGress.STATe

Equivalent Key

PN Menu: Display > Progress Indicator

SP Menu: Display > Progress Indicator

FP Menu: Display > Progress Indicator

TR Menu: Display > Progress Indicator

AM Menu: Display > Progress Indicator

BB Menu: Display > Progress Indicator

PS Menu: Display > Progress Indicator

USER Menu: Display > Progress Indicator

Equivalent SCPI Command

Syntax

:DISPlay:PROGress:STATe {ON|OFF|1|0}

:DISPlay:PROGress:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PROGress:STATe 1"
20 OUTPUT 717;":DISPlay:PROGress:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).ALLTrace.PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.PS(Ch).ALLTrace.PERSistence.CLEar

Description

This command clears all stored traces, for the selected channel Ch.

Examples

SCPI.DISPlay.PS1.ALLTrace.PERSistence.CLEar

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:ALLTrace:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:PS1:ALLTrace:PERSistence:CLEar"


SCPI.DISPlay.PS(Ch).ANNotation.MARKer.POSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).ANNotation.MARKer.POSition = Value

Value = SCPI.DISPlay.PS(Ch).ANNotation.MARKer.POSition

Description

This command sets/gets Marker annotation position, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker annotation position
Data Type | Character string type (String)
Range | LEFT|RIGHt
Preset Value | RIGHt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LEFT"
SCPI.DISPlay.PS1.ANNotation.MARKer.POSition = Var
Var = SCPI.DISPlay.PS1.ANNotation.MARKer.POSition

Related Objects

SCPI.DISPlay.PS(Ch).ANNotation.MEASurement.STATe

Equivalent Key

PS Menu: Display > Marker Information

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:ANNotation:MARKer:POSition {LEFT|RIGHt}

:DISPlay:PS[1-1]:ANNotation:MARKer:POSition?

Query Response

{LEFT|RIGHt} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:ANNotation:MARKer:POSition LEFT"
20 OUTPUT 717;":DISPlay:PS1:ANNotation:MARKer:POSition?"
30 ENTER 717;A$


SCPI.DISPlay.PS(Ch).ANNotation.MEASurement.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).ANNotation.MEASurement.STATe = Value

Value = SCPI.DISPlay.PS(Ch).ANNotation.MEASurement.STATe

Description

This command Show/Hide measurement settings, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide measurement settings
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PS1.ANNotation.MEASurement.STATe = Var
Var = SCPI.DISPlay.PS1.ANNotation.MEASurement.STATe

Related Objects

SCPI.DISPlay.PS(Ch).ANNotation.MARKer.POSition

Equivalent Key

PS Menu: Display > Meas Condition

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:ANNotation:MEASurement:STATe {ON|OFF|1|0}

:DISPlay:PS[1-1]:ANNotation:MEASurement:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:ANNotation:MEASurement:STATe 1"
20 OUTPUT 717;":DISPlay:PS1:ANNotation:MEASurement:STATe?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.RELative

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.RELative = Value

Value = SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.RELative

Description

This command sets/gets force graticule label notation relative. If OFF, absolute notation is used if possible, for the selected channel Ch.

Variable

Parameter | Value
Description | Force graticule label notation
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PS1.GRATicule.AXIS.Y.RELative = Var
Var = SCPI.DISPlay.PS1.GRATicule.AXIS.Y.RELative

Related Objects

SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.STATe

Equivalent Key

PS Menu: Display > Relative Y-Scale

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:GRATicule:AXIS:Y:RELative {ON|OFF|1|0}

:DISPlay:PS[1-1]:GRATicule:AXIS:Y:RELative?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:GRATicule:AXIS:Y:RELative 1"
20 OUTPUT 717;":DISPlay:PS1:GRATicule:AXIS:Y:RELative?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.STATe = Value

Value = SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.STATe

Description

This command Show/Hide Y graticule label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Y graticule label
Data Type | Character string type (String)
Range | OFF|SHORt|MIDDle|LONG
Preset Value | SHORt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.PS1.GRATicule.AXIS.Y.STATe = Var
Var = SCPI.DISPlay.PS1.GRATicule.AXIS.Y.STATe

Related Objects

SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.RELative

Equivalent Key

PS Menu: Display > Y # of Digits

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:GRATicule:AXIS:Y:STATe {OFF|SHORt|MIDDle|LONG}

:DISPlay:PS[1-1]:GRATicule:AXIS:Y:STATe?

Query Response

{OFF|SHORt|MIDDle|LONG} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:GRATicule:AXIS:Y:STATe OFF"
20 OUTPUT 717;":DISPlay:PS1:GRATicule:AXIS:Y:STATe?"
30 ENTER 717;A$


SCPI.DISPlay.PS(Ch).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).LABel.DATA = Value

Value = SCPI.DISPlay.PS(Ch).LABel.DATA

Description

This command sets/gets Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Window Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String

Var = "Sample_Text"
SCPI.DISPlay.PS1.LABel.DATA = Var
Var = SCPI.DISPlay.PS1.LABel.DATA

Related Objects

SCPI.DISPlay.PS(Ch).LABel.STATe

Equivalent Key

PS Menu: Display > Edit Title Label

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:LABel:DATA

:DISPlay:PS[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:PS1:LABel:DATA?"
30 ENTER 717;A$


SCPI.DISPlay.PS(Ch).LABel.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).LABel.STATe = Value

Value = SCPI.DISPlay.PS(Ch).LABel.STATe

Description

This command Show/Hide Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Window Title Label
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PS1.LABel.STATe = Var
Var = SCPI.DISPlay.PS1.LABel.STATe

Related Objects

SCPI.DISPlay.PS(Ch).LABel.DATA

Equivalent Key

PS Menu: Display > Title Label

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:LABel:STATe {ON|OFF|1|0}

:DISPlay:PS[1-1]:LABel:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:LABel:STATe 1"
20 OUTPUT 717;":DISPlay:PS1:LABel:STATe?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).LIMit.FSIGn

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).LIMit.FSIGn = Value

Value = SCPI.DISPlay.PS(Ch).LIMit.FSIGn

Description

This command show/hide fail sign, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide fail sign
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PS1.LIMit.FSIGn = Var
Var = SCPI.DISPlay.PS1.LIMit.FSIGn

Equivalent Key

PS Menu: Display > Limit Test > Fail Sign

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:LIMit:FSIGn {ON|OFF|1|0}

:DISPlay:PS[1-1]:LIMit:FSIGn?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:LIMit:FSIGn 1"
20 OUTPUT 717;":DISPlay:PS1:LIMit:FSIGn?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).MAXimize

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).MAXimize = Value

Value = SCPI.DISPlay.PS(Ch).MAXimize

Description

This command sets/gets maximize active trace, for the selected channel Ch.

Variable

Parameter | Value
Description | Maximize active trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PS1.MAXimize = Var
Var = SCPI.DISPlay.PS1.MAXimize

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:MAXimize {ON|OFF|1|0}

:DISPlay:PS[1-1]:MAXimize?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:MAXimize 1"
20 OUTPUT 717;":DISPlay:PS1:MAXimize?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).STATe = Value

Value = SCPI.DISPlay.PS(Ch).STATe

Description

This command sets/gets measurement display on/off. At least one meas window must be turned on., for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement display (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 60, "Failed to hide window" 100, "Option not installed"

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PS1.STATe = Var
Var = SCPI.DISPlay.PS1.STATe

Equivalent Key

PN Menu: Measurement View > Show Window > Segment PN

SP Menu: Measurement View > Show Window > Segment PN

FP Menu: Measurement View > Show Window > Segment PN

TR Menu: Measurement View > Show Window > Segment PN

AM Menu: Measurement View > Show Window > Segment PN

PS Menu: Measurement View > Show Window > Segment PN

BB Menu: Measurement View > Show Window > Segment PN

USER Menu: Measurement View > Show Window > Segment PN

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:STATe {ON|OFF|1|0}

:DISPlay:PS[1-1]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:STATe 1"
20 OUTPUT 717;":DISPlay:PS1:STATe?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).TABLe.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TABLe.STATe = Value

Value = SCPI.DISPlay.PS(Ch).TABLe.STATe

Description

This command show/hide text area, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide text area
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PS1.TABLe.STATe = Var
Var = SCPI.DISPlay.PS1.TABLe.STATe

Equivalent Key

PS Menu: Marker > Marker List

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TABLe[:STATe] {ON|OFF|1|0}

:DISPlay:PS[1-1]:TABLe[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TABLe[:STATe] 1"
20 OUTPUT 717;":DISPlay:PS1:TABLe[:STATe]?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).TRACe(Tr).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).LABel.DATA = Value

Value = SCPI.DISPlay.PS(Ch).TRACe(Tr).LABel.DATA

Description

This command sets/gets Trace Title Label, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "Segment PN"
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String

Var = "Sample_Test"
SCPI.DISPlay.PS1.TRACe1.LABel.DATA = Var
Var = SCPI.DISPlay.PS1.TRACe1.LABel.DATA

Equivalent Key

PS Menu: Trace View > Trace Label

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:LABel:DATA

:DISPlay:PS[1-1]:TRACe[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:PS1:TRACe1:LABel:DATA?"
30 ENTER 717;A$


SCPI.DISPlay.PS(Ch).TRACe(Tr).LIMit.LINE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).LIMit.LINE = Value

Value = SCPI.DISPlay.PS(Ch).TRACe(Tr).LIMit.LINE

Description

This command sets/gets show/hide limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide limit line
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PS1.TRACe1.LIMit.LINE = Var
Var = SCPI.DISPlay.PS1.TRACe1.LIMit.LINE

Equivalent Key

PS Menu: Display > Limit Test > Limit Line

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:LIMit:LINE {ON|OFF|1|0}

:DISPlay:PS[1-1]:TRACe[1-1]:LIMit:LINE?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:LIMit:LINE 1"
20 OUTPUT 717;":DISPlay:PS1:TRACe1:LIMit:LINE?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).TRACe(Tr).MODE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).MODE = Value

Value = SCPI.DISPlay.PS(Ch).TRACe(Tr).MODE

Description

This command sets/gets data and/or memory trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data and/or memory trace
Data Type | Character string type (String)
Range | OFF|DATA|MEMory|BOTH
Preset Value | DATA
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.PS1.TRACe1.MODE = Var
Var = SCPI.DISPlay.PS1.TRACe1.MODE

Equivalent Key

PS Menu: Trace View > Display Trace

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:MODE {OFF|DATA|MEMory|BOTH}

:DISPlay:PS[1-1]:TRACe[1-1]:MODE?

Query Response

{OFF|DATA|MEMory|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:MODE OFF"
20 OUTPUT 717;":DISPlay:PS1:TRACe1:MODE ?"
30 ENTER 717;A$


SCPI.DISPlay.PS(Ch).TRACe(Tr).PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).PERSistence.CLEar

Description

This command clears stored traces, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.PS1.TRACe1.PERSistence.CLEar

Related Objects

SCPI.DISPlay.PS(Ch).TRACe(Tr).PERSistence.STATe

Equivalent Key

PS Menu: Trace View > Persistence > Clear Persistent Data

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:PERSistence:CLEar"


SCPI.DISPlay.PS(Ch).TRACe(Tr).PERSistence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).PERSistence.STATe = Value

Value = SCPI.DISPlay.PS(Ch).TRACe(Tr).PERSistence.STATe

Description

This command sets/gets trace storage mode, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace storage mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PS1.TRACe1.PERSistence.STATe = Var
Var = SCPI.DISPlay.PS1.TRACe1.PERSistence.STATe

Related Objects

SCPI.DISPlay.PS(Ch).TRACe(Tr).PERSistence.CLEar

Equivalent Key

PS Menu: Trace View > Persistence > Persistence Mode

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:PERSistence:STATe {ON|OFF|1|0}

:DISPlay:PS[1-1]:TRACe[1-1]:PERSistence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:PERSistence:STATe 1"
20 OUTPUT 717;":DISPlay:PS1:TRACe1:PERSistence:STATe?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.AUTO

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.AUTO = Value

Value = SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.AUTO

Description

This command sets/gets autoscale setting for X axis, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Autoscale setting for X axis
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.PS1.TRACe1.X.SCALe.AUTO = Var
Var = SCPI.DISPlay.PS1.TRACe1.X.SCALe.AUTO

Related Objects

SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

PS Menu: Scale > X Axis > Auto

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:X[:SCALe]:AUTO {ON|OFF|1|0}

:DISPlay:PS[1-1]:TRACe[1-1]:X[:SCALe]:AUTO?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:X[:SCALe]:AUTO 1"
20 OUTPUT 717;":DISPlay:PS1:TRACe1:X[:SCALe]:AUTO?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.LEFT

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.LEFT = Value

Value = SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.LEFT

Description

This command sets/gets left setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.AUTO is set to OFF.

Variable

Parameter | Value
Description | Left setting for X axis
Data Type | Double precision floating point type (Double)
Range | 0 ~ 499.999999999G
Preset Value | 1k
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.PS1.TRACe1.X.SCALe.LEFT = Var
Var = SCPI.DISPlay.PS1.TRACe1.X.SCALe.LEFT

Related Objects

SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

PS Menu: Scale > X Axis > Left

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:X[:SCALe]:LEFT {0 ~ 499.999999999G}

:DISPlay:PS[1-1]:TRACe[1-1]:X[:SCALe]:LEFT?

Query Response

{0 ~ 499.999999999G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:X[:SCALe]:LEFT 0"
20 OUTPUT 717;":DISPlay:PS1:TRACe1:X[:SCALe]:LEFT?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.RIGHt

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.RIGHt = Value

Value = SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.RIGHt

Description

This command sets/gets right setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.AUTO is set to OFF.

Variable

Parameter | Value
Description | Right setting for X axis
Data Type | Double precision floating point type (Double)
Range | 10m ~ 500G
Preset Value | 1M
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 1e5
SCPI.DISPlay.PS1.TRACe1.X.SCALe.RIGHt = Var
Var = SCPI.DISPlay.PS1.TRACe1.X.SCALe.RIGHt

Related Objects

SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.LEFT

Equivalent Key

PS Menu: Scale > X Axis > Right

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:X[:SCALe]:RIGHt {10m ~ 500G}

:DISPlay:PS[1-1]:TRACe[1-1]:X[:SCALe]:RIGHt?

Query Response

{10m ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:X[:SCALe]:RIGHt 1e5"
20 OUTPUT 717;":DISPlay:PS1:TRACe1:X[:SCALe]:RIGHt?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.AUTO

Description

This command sets auto scale setting for Y axis, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.PS1.TRACe1.Y.SCALe.AUTO

Related Objects

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

PS Menu: Scale > Auto Scale

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:Y[:SCALe]:AUTO

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:Y[:SCALe]:AUTO"


SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.PDIVision

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.PDIVision = Value

Value = SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.PDIVision

Description

This command sets/gets scale per division, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale per division
Data Type | Double precision floating point type (Double)
Range | 1a ~ 10G
Preset Value | 10
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 1e-12
SCPI.DISPlay.PS1.TRACe1.Y.SCALe.PDIVision = Var
Var = SCPI.DISPlay.PS1.TRACe1.Y.SCALe.PDIVision

Related Objects

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

PS Menu: Scale > Scale/Div

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:Y[:SCALe]:PDIVision {1a ~ 10G}

:DISPlay:PS[1-1]:TRACe[1-1]:Y[:SCALe]:PDIVision?

Query Response

{1a ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:Y[:SCALe]:PDIVision 1e-12"
20 OUTPUT 717;":DISPlay:PS1:TRACe1:Y[:SCALe]:PDIVision?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RLEVel

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RLEVel = Value

Value = SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RLEVel

Description

This command sets/gets scale reference level, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference level
Data Type | Double precision floating point type (Double)
Range | -50G ~ 50G
Preset Value | -20
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -50e9
SCPI.DISPlay.PS1.TRACe1.Y.SCALe.RLEVel = Var
Var = SCPI.DISPlay.PS1.TRACe1.Y.SCALe.RLEVel

Related Objects

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

PS Menu: Scale > Reference Value

PS Menu: Scale > Marker > Reference

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:Y[:SCALe]:RLEVel {-50G ~ 50G}

:DISPlay:PS[1-1]:TRACe[1-1]:Y[:SCALe]:RLEVel?

Query Response

{-50G ~ 50G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:Y[:SCALe]:RLEVel -50e9"
20 OUTPUT 717;":DISPlay:PS1:TRACe1:Y[:SCALe]:RLEVel?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RPOSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RPOSition = Value

Value = SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RPOSition

Description

This command sets/gets scale reference position, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference position
Data Type | Long integer type (Long)
Range | 0 ~ 30
Preset Value | 10
Unit | Div
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.DISPlay.PS1.TRACe1.Y.SCALe.RPOSition = Var
Var = SCPI.DISPlay.PS1.TRACe1.Y.SCALe.RPOSition

Related Objects

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RLEVel

Equivalent Key

PS Menu: Scale > Reference Position

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:TRACe[1-1]:Y[:SCALe]:RPOSition {0 ~ 30}

:DISPlay:PS[1-1]:TRACe[1-1]:Y[:SCALe]:RPOSition?

Query Response

{0 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:TRACe1:Y[:SCALe]:RPOSition 0 "
20 OUTPUT 717;":DISPlay:PS1:TRACe1:Y[:SCALe]:RPOSition?"
30 ENTER 717;A


SCPI.DISPlay.PS(Ch).Y.SCALe.DIVisions

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.PS(Ch).Y.SCALe.DIVisions = Value

Value = SCPI.DISPlay.PS(Ch).Y.SCALe.DIVisions

Description

This command sets/gets number of Y division, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of Y division
Data Type | Long integer type (Long)
Range | 4 ~ 30
Preset Value | 10
Unit | -
Resolution | 2
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 4
SCPI.DISPlay.PS1.Y.SCALe.DIVisions = Var
Var = SCPI.DISPlay.PS1.Y.SCALe.DIVisions

Equivalent Key

PS Menu: Scale > Divisions

Equivalent SCPI Command

Syntax

:DISPlay:PS[1-1]:Y[:SCALe]:DIVisions {4 ~ 30}

:DISPlay:PS[1-1]:Y[:SCALe]:DIVisions?

Query Response

{4 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:PS1:Y[:SCALe]:DIVisions 4 "
20 OUTPUT 717;":DISPlay:PS1:Y[:SCALe]:DIVisions ?"
30 ENTER 717;A


SCPI.DISPlay.SKEY.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SKEY.STATe = Value

Value = SCPI.DISPlay.SKEY.STATe

Description

This command Show/Hide soft key.

Variable

Parameter | Value
Description | Show/Hide soft key
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SKEY.STATe = Var
Var = SCPI.DISPlay.SKEY.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:SKEY:STATe {ON|OFF|1|0}

:DISPlay:SKEY:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SKEY:STATe 1"
20 OUTPUT 717;":DISPlay:SKEY:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).ALLTrace.PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.SP(Ch).ALLTrace.PERSistence.CLEar

Description

This command clears all stored traces, for the selected channel Ch.

Examples

SCPI.DISPlay.SP1.ALLTrace.PERSistence.CLEar

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:ALLTrace:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:SP1:ALLTrace:PERSistence:CLEar"


SCPI.DISPlay.SP(Ch).ANNotation.MARKer.POSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).ANNotation.MARKer.POSition = Value

Value = SCPI.DISPlay.SP(Ch).ANNotation.MARKer.POSition

Description

This command sets/gets Marker annotation position, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker annotation position
Data Type | Character string type (String)
Range | LEFT|RIGHt
Preset Value | LEFT
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LEFT"
SCPI.DISPlay.SP1.ANNotation.MARKer.POSition = Var
Var = SCPI.DISPlay.SP1.ANNotation.MARKer.POSition

Related Objects

SCPI.DISPlay.SP(Ch).ANNotation.MEASurement.STATe

Equivalent Key

SP Menu: Display > Marker Information

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:ANNotation:MARKer:POSition {LEFT|RIGHt}

:DISPlay:SP[1-1]:ANNotation:MARKer:POSition?

Query Response

{LEFT|RIGHt} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:ANNotation:MARKer:POSition LEFT"
20 OUTPUT 717;":DISPlay:SP1:ANNotation:MARKer:POSition ?"
30 ENTER 717;A$


SCPI.DISPlay.SP(Ch).ANNotation.MEASurement.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).ANNotation.MEASurement.STATe = Value

Value = SCPI.DISPlay.SP(Ch).ANNotation.MEASurement.STATe

Description

This command Show/Hide measurement setting, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide measurement setting
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SP1.ANNotation.MEASurement.STATe = Var
Var = SCPI.DISPlay.SP1.ANNotation.MEASurement.STATe

Related Objects

SCPI.DISPlay.SP(Ch).ANNotation.MARKer.POSition

Equivalent Key

SP Menu: Display > Meas Condition

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:ANNotation:MEASurement:STATe {ON|OFF|1|0}

:DISPlay:SP[1-1]:ANNotation:MEASurement:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:ANNotation:MEASurement:STATe 1"
20 OUTPUT 717;":DISPlay:SP1:ANNotation:MEASurement:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.RELative

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.RELative = Value

Value = SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.RELative

Description

This command sets/gets force graticule label notation relative. If OFF, absolute notation is used if possible, for the selected channel Ch.

Variable

Parameter | Value
Description | Force graticule label notation
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SP1.GRATicule.AXIS.Y.RELative = Var
Var = SCPI.DISPlay.SP1.GRATicule.AXIS.Y.RELative

Related Objects

SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.STATe

Equivalent Key

SP Menu: Display > Relative Y-Scale

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:GRATicule:AXIS:Y:RELative {ON|OFF|1|0}

:DISPlay:SP[1-1]:GRATicule:AXIS:Y:RELative?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:GRATicule:AXIS:Y:RELative 1"
20 OUTPUT 717;":DISPlay:SP1:GRATicule:AXIS:Y:RELative ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.STATe = Value

Value = SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.STATe

Description

This command Show/Hide Y graticule label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Y graticule label
Data Type | Character string type (String)
Range | OFF|SHORt|MIDDle|LONG
Preset Value | SHORt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.SP1.GRATicule.AXIS.Y.STATe = Var
Var = SCPI.DISPlay.SP1.GRATicule.AXIS.Y.STATe

Related Objects

SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.RELative

Equivalent Key

SP Menu: Display > Y # of Digits

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:GRATicule:AXIS:Y:STATe {OFF|SHORt|MIDDle|LONG}

:DISPlay:SP[1-1]:GRATicule:AXIS:Y:STATe?

Query Response

{OFF|SHORt|MIDDle|LONG} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:GRATicule:AXIS:Y:STATe OFF"
20 OUTPUT 717;":DISPlay:SP1:GRATicule:AXIS:Y:STATe ?"
30 ENTER 717;A$


SCPI.DISPlay.SP(Ch).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).LABel.DATA = Value

Value = SCPI.DISPlay.SP(Ch).LABel.DATA

Description

This command sets/gets Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Window Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.SP1.LABel.DATA = Var
Var = SCPI.DISPlay.SP1.LABel.DATA

Related Objects

SCPI.DISPlay.SP(Ch).LABel.STATe

Equivalent Key

SP Menu: Display > Edit Title Label

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:LABel:DATA

:DISPlay:SP[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:SP1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.SP(Ch).LABel.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).LABel.STATe = Value

Value = SCPI.DISPlay.SP(Ch).LABel.STATe

Description

This command Show/Hide Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Window Title Label
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SP1.LABel.STATe = Var
Var = SCPI.DISPlay.SP1.LABel.STATe

Related Objects

SCPI.DISPlay.SP(Ch).LABel.DATA

Equivalent Key

SP Menu: Display > Title Label

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:LABel:STATe {ON|OFF|1|0}

:DISPlay:SP[1-1]:LABel:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:LABel:STATe 1"
20 OUTPUT 717;":DISPlay:SP1:LABel:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).LIMit.FSIGn

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).LIMit.FSIGn = Value

Value = SCPI.DISPlay.SP(Ch).LIMit.FSIGn

Description

This command show/hide fail sign, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide fail sign
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SP1.LIMit.FSIGn = Var
Var = SCPI.DISPlay.SP1.LIMit.FSIGn

Equivalent Key

SP Menu: Display > Limit Test > Fail Sign

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:LIMit:FSIGn {ON|OFF|1|0}

:DISPlay:SP[1-1]:LIMit:FSIGn?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:LIMit:FSIGn 1"
20 OUTPUT 717;":DISPlay:SP1:LIMit:FSIGn ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).MAXimize

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).MAXimize = Value

Value = SCPI.DISPlay.SP(Ch).MAXimize

Description

This command sets/gets maximize active trace, for the selected channel Ch.

Variable

Parameter | Value
Description | Maximize active trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SP1.MAXimize = Var
Var = SCPI.DISPlay.SP1.MAXimize

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:MAXimize {ON|OFF|1|0}

:DISPlay:SP[1-1]:MAXimize?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:MAXimize 1"
20 OUTPUT 717;":DISPlay:SP1:MAXimize ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).STATe = Value

Value = SCPI.DISPlay.SP(Ch).STATe

Description

This command sets/gets measurement display on/off. At least one meas window must be turned on, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement display (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 60, "Failed to hide window" 100, "Option not installed"

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SP1.STATe = Var
Var = SCPI.DISPlay.SP1.STATe

Equivalent Key

PN Menu: Measurement View > Show Window > Spectrum Monitor

SP Menu: Measurement View > Show Window > Spectrum Monitor

FP Menu: Measurement View > Show Window > Spectrum Monitor

TR Menu: Measurement View > Show Window > Spectrum Monitor

AM Menu: Measurement View > Show Window > Spectrum Monitor

BB Menu: Measurement View > Show Window > Spectrum Monitor

USER Menu: Measurement View > Show Window > Spectrum Monitor

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:STATe {ON|OFF|1|0}

:DISPlay:SP[1-1]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:STATe 1"
20 OUTPUT 717;":DISPlay:SP1:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).TABLe.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TABLe.STATe = Value

Value = SCPI.DISPlay.SP(Ch).TABLe.STATe

Description

This command show/hide text area, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide text area
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SP1.TABLe.STATe = Var
Var = SCPI.DISPlay.SP1.TABLe.STATe

Equivalent Key

SP Menu: Marker > Marker List

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TABLe[:STATe] {ON|OFF|1|0}

:DISPlay:SP[1-1]:TABLe[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TABLe[:STATe] 1"
20 OUTPUT 717;":DISPlay:SP1:TABLe[:STATe] ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).TRACe(Tr).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).LABel.DATA = Value

Value = SCPI.DISPlay.SP(Ch).TRACe(Tr).LABel.DATA

Description

This command sets/gets Trace Title Label, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "Spectrum"
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.SP1.TRACe1.LABel.DATA = Var
Var = SCPI.DISPlay.SP1.TRACe1.LABel.DATA

Equivalent Key

SP Menu: Trace View > Trace Label

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:LABel:DATA

:DISPlay:SP[1-1]:TRACe[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:SP1:TRACe1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.SP(Ch).TRACe(Tr).LIMit.LINE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).LIMit.LINE = Value

Value = SCPI.DISPlay.SP(Ch).TRACe(Tr).LIMit.LINE

Description

This command show/hide limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide limit line
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SP1.TRACe1.LIMit.LINE = Var
Var = SCPI.DISPlay.SP1.TRACe1.LIMit.LINE

Equivalent Key

SP Menu: Display > Limit Test > Limit Line

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:LIMit:LINE {ON|OFF|1|0}

:DISPlay:SP[1-1]:TRACe[1-1]:LIMit:LINE?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:LIMit:LINE 1"
20 OUTPUT 717;":DISPlay:SP1:TRACe1:LIMit:LINE ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).TRACe(Tr).MODE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).MODE = Value

Value = SCPI.DISPlay.SP(Ch).TRACe(Tr).MODE

Description

This command sets/gets data and/or memory trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data and/or memory trace
Data Type | Character string type (String)
Range | OFF|DATA|MEMory|BOTH
Preset Value | DATA
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.SP1.TRACe1.MODE = Var
Var = SCPI.DISPlay.SP1.TRACe1.MODE

Equivalent Key

SP Menu: Trace View > Display Trace

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:MODE {OFF|DATA|MEMory|BOTH}

:DISPlay:SP[1-1]:TRACe[1-1]:MODE?

Query Response

{OFF|DATA|MEMory|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:MODE OFF"
20 OUTPUT 717;":DISPlay:SP1:TRACe1:MODE ?"
30 ENTER 717;A$


SCPI.DISPlay.SP(Ch).TRACe(Tr).PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).PERSistence.CLEar

Description

This command clears stored traces, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.SP1.TRACe1.PERSistence.CLEar

Related Objects

SCPI.DISPlay.SP(Ch).TRACe(Tr).PERSistence.STATe

Equivalent Key

SP Menu: Trace View > Persistence > Clear Persistent Data

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:PERSistence:CLEar"


SCPI.DISPlay.SP(Ch).TRACe(Tr).PERSistence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).PERSistence.STATe = Value

Value = SCPI.DISPlay.SP(Ch).TRACe(Tr).PERSistence.STATe

Description

This command sets/gets trace storage mode, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace storage mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SP1.TRACe1.PERSistence.STATe = Var
Var = SCPI.DISPlay.SP1.TRACe1.PERSistence.STATe

Related Objects

SCPI.DISPlay.SP(Ch).TRACe(Tr).PERSistence.CLEar

Equivalent Key

SP Menu: Trace View > Persistence > Persistence Mode

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:PERSistence:STATe {ON|OFF|1|0}

:DISPlay:SP[1-1]:TRACe[1-1]:PERSistence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:PERSistence:STATe 1"
20 OUTPUT 717;":DISPlay:SP1:TRACe1:PERSistence:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.AUTO

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.AUTO = Value

Value = SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.AUTO

Description

This command sets/gets autoscale setting for X axis, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Autoscale setting for X axis
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.SP1.TRACe1.X.SCALe.AUTO = Var
Var = SCPI.DISPlay.SP1.TRACe1.X.SCALe.AUTO

Related Objects

SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

SP Menu: Scale > X Axis > Auto

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:X[:SCALe]:AUTO {ON|OFF|1|0}

:DISPlay:SP[1-1]:TRACe[1-1]:X[:SCALe]:AUTO?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:X[:SCALe]:AUTO 1"
20 OUTPUT 717;":DISPlay:SP1:TRACe1:X[:SCALe]:AUTO ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.LEFT

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.LEFT = Value

Value = SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.LEFT

Description

This command sets/gets left setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | Left setting for X axis
Data Type | Double precision floating point type (Double)
Range | 0 ~ 499.999999999G
Preset Value | 992.5M
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.SP1.TRACe1.X.SCALe.LEFT = Var
Var = SCPI.DISPlay.SP1.TRACe1.X.SCALe.LEFT

Related Objects

SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

SP Menu: Scale > X Axis > Left

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:X[:SCALe]:LEFT {0 ~ 499.999999999G}

:DISPlay:SP[1-1]:TRACe[1-1]:X[:SCALe]:LEFT?

Query Response

{0 ~ 499.999999999G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:X[:SCALe]:LEFT 0"
20 OUTPUT 717;":DISPlay:SP1:TRACe1:X[:SCALe]:LEFT ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.RIGHt

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.RIGHt = Value

Value = SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.RIGHt

Description

This command sets/gets right setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | Right setting for X axis
Data Type | Double precision floating point type (Double)
Range | 100m ~ 500G
Preset Value | 1.0075G
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.1
SCPI.DISPlay.SP1.TRACe1.X.SCALe.RIGHt = Var
Var = SCPI.DISPlay.SP1.TRACe1.X.SCALe.RIGHt

Related Objects

SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.LEFT

Equivalent Key

SP Menu: Scale > X Axis > Right

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:X[:SCALe]:RIGHt {100m ~ 500G}

:DISPlay:SP[1-1]:TRACe[1-1]:X[:SCALe]:RIGHt?

Query Response

{100m ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:X[:SCALe]:RIGHt 0.1"
20 OUTPUT 717;":DISPlay:SP1:TRACe1:X[:SCALe]:RIGHt ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.AUTO

Description

This command sets auto scale setting for Y axis, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.SP1.TRACe1.Y.SCALe.AUTO

Related Objects

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

SP Menu: Scale > Auto Scale

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:Y[:SCALe]:AUTO

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:Y[:SCALe]:AUTO"


SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.PDIVision

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.PDIVision = Value

Value = SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.PDIVision

Description

This command sets/gets scale per division, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale per division
Data Type | Double precision floating point type (Double)
Range | 1a ~ 10G
Preset Value | 10
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.000000000001
SCPI.DISPlay.SP1.TRACe1.Y.SCALe.PDIVision = Var
Var = SCPI.DISPlay.SP1.TRACe1.Y.SCALe.PDIVision

Related Objects

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

SP Menu: Scale > Scale/Div

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:Y[:SCALe]:PDIVision {1a ~ 10G}

:DISPlay:SP[1-1]:TRACe[1-1]:Y[:SCALe]:PDIVision?

Query Response

{1a ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:Y[:SCALe]:PDIVision 0.000000000001"
20 OUTPUT 717;":DISPlay:SP1:TRACe1:Y[:SCALe]:PDIVision ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RLEVel

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RLEVel = Value

Value = SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RLEVel

Description

This command sets/gets scale reference level, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference level
Data Type | Double precision floating point type (Double)
Range | -50G ~ 50G
Preset Value | 10
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -50000000000
SCPI.DISPlay.SP1.TRACe1.Y.SCALe.RLEVel = Var
Var = SCPI.DISPlay.SP1.TRACe1.Y.SCALe.RLEVel

Related Objects

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

SP Menu: Scale > Reference Value

SP Menu: Scale > Marker > Reference

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:Y[:SCALe]:RLEVel {-50G ~ 50G}

:DISPlay:SP[1-1]:TRACe[1-1]:Y[:SCALe]:RLEVel?

Query Response

{-50G ~ 50G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:Y[:SCALe]:RLEVel -50000000000"
20 OUTPUT 717;":DISPlay:SP1:TRACe1:Y[:SCALe]:RLEVel ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RPOSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RPOSition = Value

Value = SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RPOSition

Description

This command sets/gets scale reference position, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference position
Data Type | Long integer type (Long)
Range | 0 ~ 30
Preset Value | 10
Unit | Div
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.DISPlay.SP1.TRACe1.Y.SCALe.RPOSition = Var
Var = SCPI.DISPlay.SP1.TRACe1.Y.SCALe.RPOSition

Related Objects

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RLEVel

Equivalent Key

SP Menu: Scale > Reference Position

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:TRACe[1-1]:Y[:SCALe]:RPOSition {0 ~ 30}

:DISPlay:SP[1-1]:TRACe[1-1]:Y[:SCALe]:RPOSition?

Query Response

{0 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:TRACe1:Y[:SCALe]:RPOSition 0 "
20 OUTPUT 717;":DISPlay:SP1:TRACe1:Y[:SCALe]:RPOSition ?"
30 ENTER 717;A


SCPI.DISPlay.SP(Ch).Y.SCALe.DIVisions

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.SP(Ch).Y.SCALe.DIVisions = Value

Value = SCPI.DISPlay.SP(Ch).Y.SCALe.DIVisions

Description

This command sets/gets number of Y division, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of Y division
Data Type | Long integer type (Long)
Range | 4 ~ 30
Preset Value | 10
Unit | -
Resolution | 2
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 4
SCPI.DISPlay.SP1.Y.SCALe.DIVisions = Var
Var = SCPI.DISPlay.SP1.Y.SCALe.DIVisions

Equivalent Key

SP Menu: Scale > Divisions

Equivalent SCPI Command

Syntax

:DISPlay:SP[1-1]:Y[:SCALe]:DIVisions {4 ~ 30}

:DISPlay:SP[1-1]:Y[:SCALe]:DIVisions?

Query Response

{4 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:SP1:Y[:SCALe]:DIVisions 4 "
20 OUTPUT 717;":DISPlay:SP1:Y[:SCALe]:DIVisions ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).ALLTrace.PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.TR(Ch).ALLTrace.PERSistence.CLEar

Description

This command clears all stored traces, for the selected channel Ch.

Examples

SCPI.DISPlay.TR1.ALLTrace.PERSistence.CLEar

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:ALLTrace:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:TR1:ALLTrace:PERSistence:CLEar"


SCPI.DISPlay.TR(Ch).ALLTrace.Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.TR(Ch).ALLTrace.Y.SCALe.AUTO

Description

This command sets auto scale all, for the selected channel Ch.

Examples

SCPI.DISPlay.TR1.ALLTrace.Y.SCALe.AUTO

Equivalent Key

TR Menu: Scale > Auto Scale All

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:ALLTrace:Y:SCALe:AUTO

Example of use

10 OUTPUT 717;":DISPlay:TR1:ALLTrace:Y:SCALe:AUTO"


SCPI.DISPlay.TR(Ch).ANNotation.MARKer.POSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).ANNotation.MARKer.POSition = Value

Value = SCPI.DISPlay.TR(Ch).ANNotation.MARKer.POSition

Description

This command sets/gets Marker annotation position, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker annotation position
Data Type | Character string type (String)
Range | LEFT|RIGHt
Preset Value | LEFT
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LEFT"
SCPI.DISPlay.TR1.ANNotation.MARKer.POSition = Var
Var = SCPI.DISPlay.TR1.ANNotation.MARKer.POSition

Related Objects

SCPI.DISPlay.TR(Ch).ANNotation.MEASurement.STATe

Equivalent Key

TR Menu: Display > Marker Information

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:ANNotation:MARKer:POSition {LEFT|RIGHt}

:DISPlay:TR[1-1]:ANNotation:MARKer:POSition?

Query Response

{LEFT|RIGHt} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:ANNotation:MARKer:POSition LEFT"
20 OUTPUT 717;":DISPlay:TR1:ANNotation:MARKer:POSition ?"
30 ENTER 717;A$


SCPI.DISPlay.TR(Ch).ANNotation.MEASurement.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).ANNotation.MEASurement.STATe = Value

Value = SCPI.DISPlay.TR(Ch).ANNotation.MEASurement.STATe

Description

This command Show/Hide measurement setting, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide measurement setting
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.TR1.ANNotation.MEASurement.STATe = Var
Var = SCPI.DISPlay.TR1.ANNotation.MEASurement.STATe

Related Objects

SCPI.DISPlay.TR(Ch).ANNotation.MARKer.POSition

Equivalent Key

TR Menu: Display > Meas Condition

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:ANNotation:MEASurement:STATe {ON|OFF|1|0}

:DISPlay:TR[1-1]:ANNotation:MEASurement:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:ANNotation:MEASurement:STATe 1"
20 OUTPUT 717;":DISPlay:TR1:ANNotation:MEASurement:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.RELative

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.RELative = Value

Value = SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.RELative

Description

This command sets/gets force graticule label notation relative. If OFF, absolute notation is used if possible, for the selected channel Ch.

Variable

Parameter | Value
Description | Graticule label notation relative
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.TR1.GRATicule.AXIS.Y.RELative = Var
Var = SCPI.DISPlay.TR1.GRATicule.AXIS.Y.RELative

Related Objects

SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.STATe

Equivalent Key

TR Menu: Display > Relative Y-Scale

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:GRATicule:AXIS:Y:RELative {ON|OFF|1|0}

:DISPlay:TR[1-1]:GRATicule:AXIS:Y:RELative?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:GRATicule:AXIS:Y:RELative 1"
20 OUTPUT 717;":DISPlay:TR1:GRATicule:AXIS:Y:RELative ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.STATe = Value

Value = SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.STATe

Description

This command Show/Hide Y graticule label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Y graticule label
Data Type | Character string type (String)
Range | OFF|SHORt|MIDDle|LONG
Preset Value | SHORt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.TR1.GRATicule.AXIS.Y.STATe = Var
Var = SCPI.DISPlay.TR1.GRATicule.AXIS.Y.STATe

Related Objects

SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.RELative

Equivalent Key

TR Menu: Display > Y # of Digits

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:GRATicule:AXIS:Y:STATe {OFF|SHORt|MIDDle|LONG}

:DISPlay:TR[1-1]:GRATicule:AXIS:Y:STATe?

Query Response

{OFF|SHORt|MIDDle|LONG} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:GRATicule:AXIS:Y:STATe OFF"
20 OUTPUT 717;":DISPlay:TR1:GRATicule:AXIS:Y:STATe ?"
30 ENTER 717;A$


SCPI.DISPlay.TR(Ch).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).LABel.DATA = Value

Value = SCPI.DISPlay.TR(Ch).LABel.DATA

Description

This command sets/gets Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Window Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.TR1.LABel.DATA = Var
Var = SCPI.DISPlay.TR1.LABel.DATA

Related Objects

SCPI.DISPlay.TR(Ch).LABel.STATe

Equivalent Key

TR Menu: Display > Edit Title Label

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:LABel:DATA

:DISPlay:TR[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:TR1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.TR(Ch).LABel.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).LABel.STATe = Value

Value = SCPI.DISPlay.TR(Ch).LABel.STATe

Description

This command Show/Hide Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Window Title Label
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.TR1.LABel.STATe = Var
Var = SCPI.DISPlay.TR1.LABel.STATe

Equivalent Key

TR Menu: Display > Title Label

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:LABel:STATe {ON|OFF|1|0}

:DISPlay:TR[1-1]:LABel:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:LABel:STATe 1"
20 OUTPUT 717;":DISPlay:TR1:LABel:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).LIMit.FSIGn

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).LIMit.FSIGn = Value

Value = SCPI.DISPlay.TR(Ch).LIMit.FSIGn

Description

This command show/hide fail sign, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide fail sign
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.TR1.LIMit.FSIGn = Var
Var = SCPI.DISPlay.TR1.LIMit.FSIGn

Equivalent Key

TR Menu: Display > Limit Test > Fail Sign

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:LIMit:FSIGn {ON|OFF|1|0}

:DISPlay:TR[1-1]:LIMit:FSIGn?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:LIMit:FSIGn 1"
20 OUTPUT 717;":DISPlay:TR1:LIMit:FSIGn ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).MAXimize

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).MAXimize = Value

Value = SCPI.DISPlay.TR(Ch).MAXimize

Description

This command sets/gets maximize active trace, for the selected channel Ch.

Variable

Parameter | Value
Description | maximize active trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.TR1.MAXimize = Var
Var = SCPI.DISPlay.TR1.MAXimize

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:MAXimize {ON|OFF|1|0}

:DISPlay:TR[1-1]:MAXimize?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:MAXimize 1"
20 OUTPUT 717;":DISPlay:TR1:MAXimize ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).PARameter

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).PARameter = Value

Value = SCPI.DISPlay.TR(Ch).PARameter

Description

This command sets/gets window setting, for the selected channel Ch.

  • This function is available when measurement mode is Narrow/Narrow.

Variable

Parameter | Value
Description | Window setting
Data Type | Character string type (String)
Range | ALL|FREQuency|POWer|PHASe
Preset Value | ALL
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "FREQuency"
SCPI.SENSe.TR1.MMODe = "NN"
SCPI.DISPlay.TR1.PARameter = Var
Var = SCPI.DISPlay.TR1.PARameter

Equivalent Key

TR Menu: Display > Parameters

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:PARameter {ALL|FREQuency|POWer|PHASe}

:DISPlay:TR[1-1]:PARameter?

Query Response

{ALL|FREQuency|POWer|PHASe} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:MMODe NN"
20 OUTPUT 717;":DISPlay:TR1:PARameter FREQuency"
30 OUTPUT 717;":DISPlay:TR1:PARameter?"
40 ENTER 717;A$


SCPI.DISPlay.TR(Ch).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).STATe = Value

Value = SCPI.DISPlay.TR(Ch).STATe

Description

This command sets/gets measurement display on/off. At least one measurement window must be turned on, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement display (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 60, "Failed to hide window" 100, "Option not installed"

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.TR1.STATe = Var
Var = SCPI.DISPlay.TR1.STATe

Equivalent Key

PN Menu: Measurement View > Show Window > Transient

SP Menu: Measurement View > Show Window > Transient

FP Menu: Measurement View > Show Window > Transient

TR Menu: Measurement View > Show Window > Transient

AM Menu: Measurement View > Show Window > Transient

BB Menu: Measurement View > Show Window > Transient

USER Menu: Measurement View > Show Window > Transient

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:STATe {ON|OFF|1|0}

:DISPlay:TR[1-1]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:STATe 1"
20 OUTPUT 717;":DISPlay:TR1:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).TABLe.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TABLe.STATe = Value

Value = SCPI.DISPlay.TR(Ch).TABLe.STATe

Description

This command show/hide text area, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide text area
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.TR1.TABLe.STATe = Var
Var = SCPI.DISPlay.TR1.TABLe.STATe

Equivalent Key

TR Menu: Marker > Marker List

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TABLe[:STATe] {ON|OFF|1|0}

:DISPlay:TR[1-1]:TABLe[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TABLe[:STATe] 1"
20 OUTPUT 717;":DISPlay:TR1:TABLe[:STATe] ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).TRACe(Tr).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).LABel.DATA = Value

Value = SCPI.DISPlay.TR(Ch).TRACe(Tr).LABel.DATA

Description

This command sets/gets Trace Title Label, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "WB Freq"
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.TR1.TRACe4.LABel.DATA = Var
Var = SCPI.DISPlay.TR1.TRACe4.LABel.DATA

Equivalent Key

TR Menu: Trace View > Trace Label

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:LABel:DATA

:DISPlay:TR[1-1]:TRACe[1-8]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:TR1:TRACe4:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.TR(Ch).TRACe(Tr).LIMit.LINE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).LIMit.LINE = Value

Value = SCPI.DISPlay.TR(Ch).TRACe(Tr).LIMit.LINE

Description

This command show/hide limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | show/hide limit line
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.TR1.TRACe4.LIMit.LINE = Var
Var = SCPI.DISPlay.TR1.TRACe4.LIMit.LINE

Equivalent Key

TR Menu: Display > Limit Test > Limit Line

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:LIMit:LINE {ON|OFF|1|0}

:DISPlay:TR[1-1]:TRACe[1-8]:LIMit:LINE?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:LIMit:LINE 1"
20 OUTPUT 717;":DISPlay:TR1:TRACe4:LIMit:LINE ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).TRACe(Tr).MODE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).MODE = Value

Value = SCPI.DISPlay.TR(Ch).TRACe(Tr).MODE

Description

This command sets/gets data and/or memory trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Data and/or memory trace
Data Type | Character string type (String)
Range | OFF|DATA|MEMory|BOTH
Preset Value | DATA
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.TR1.TRACe4.MODE = Var
Var = SCPI.DISPlay.TR1.TRACe4.MODE

Equivalent Key

TR Menu: Trace View > Display Trace

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:MODE {OFF|DATA|MEMory|BOTH}

:DISPlay:TR[1-1]:TRACe[1-8]:MODE?

Query Response

{OFF|DATA|MEMory|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:MODE OFF"
20 OUTPUT 717;":DISPlay:TR1:TRACe4:MODE ?"
30 ENTER 717;A$


SCPI.DISPlay.TR(Ch).TRACe(Tr).PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).PERSistence.CLEar

Description

This command clears stored traces, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.TR1.TRACe4.PERSistence.CLEar

Related Objects

SCPI.DISPlay.TR(Ch).TRACe(Tr).PERSistence.STATe

Equivalent Key

TR Menu: Trace View > Persistence > Clear Persistent Data

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:PERSistence:CLEar"


SCPI.DISPlay.TR(Ch).TRACe(Tr).PERSistence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).PERSistence.STATe = Value

Value = SCPI.DISPlay.TR(Ch).TRACe(Tr).PERSistence.STATe

Description

This command sets/gets trace storage mode, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace storage mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.TR1.TRACe4.PERSistence.STATe = Var
Var = SCPI.DISPlay.TR1.TRACe4.PERSistence.STATe

Related Objects

SCPI.DISPlay.TR(Ch).TRACe(Tr).PERSistence.CLEar

Equivalent Key

TR Menu: Trace View > Persistence > Persistence Mode

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:PERSistence:STATe {ON|OFF|1|0}

:DISPlay:TR[1-1]:TRACe[1-8]:PERSistence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:PERSistence:STATe 1"
20 OUTPUT 717;":DISPlay:TR1:TRACe4:PERSistence:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.AUTO

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.AUTO = Value

Value = SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.AUTO

Description

This command sets/gets autoscale setting for X axis, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Autoscale setting for X axis
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.TR1.TRACe4.X.SCALe.AUTO = Var
Var = SCPI.DISPlay.TR1.TRACe4.X.SCALe.AUTO

Related Objects

SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

TR Menu: Scale > X Axis > Auto

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:X[:SCALe]:AUTO {ON|OFF|1|0}

:DISPlay:TR[1-1]:TRACe[1-8]:X[:SCALe]:AUTO?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:X[:SCALe]:AUTO 1"
20 OUTPUT 717;":DISPlay:TR1:TRACe4:X[:SCALe]:AUTO ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.LEFT

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.LEFT = Value

Value = SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.LEFT

Description

This command sets/gets left setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | Left setting for X axis
Data Type | Double precision floating point type (Double)
Range | -8 ~ 10.99999999
Preset Value | -50m
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.TR1.TRACe4.X.SCALe.LEFT = Var
Var = SCPI.DISPlay.TR1.TRACe4.X.SCALe.LEFT

Related Objects

SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.RIGHt

Equivalent Key

TR Menu: Scale > X Axis > Left

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:X[:SCALe]:LEFT {-8 ~ 10.99999999}

:DISPlay:TR[1-1]:TRACe[1-8]:X[:SCALe]:LEFT?

Query Response

{-8 ~ 10.99999999} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:X[:SCALe]:LEFT 0"
20 OUTPUT 717;":DISPlay:TR1:TRACe4:X[:SCALe]:LEFT ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.RIGHt

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.RIGHt = Value

Value = SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.RIGHt

Description

This command sets/gets right setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | Right setting for X axis
Data Type | Double precision floating point type (Double)
Range | -7.99999999 ~ 11
Preset Value | 50m
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.DISPlay.TR1.TRACe4.X.SCALe.RIGHt = Var
Var = SCPI.DISPlay.TR1.TRACe4.X.SCALe.RIGHt

Related Objects

SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.LEFT

Equivalent Key

TR Menu: Scale > X Axis > Right

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:X[:SCALe]:RIGHt {-7.99999999 ~ 11}

:DISPlay:TR[1-1]:TRACe[1-8]:X[:SCALe]:RIGHt?

Query Response

{-7.99999999 ~ 11} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:X[:SCALe]:RIGHt 0"
20 OUTPUT 717;":DISPlay:TR1:TRACe4:X[:SCALe]:RIGHt ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.AUTO

Description

This command sets auto scale setting for Y axis, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.TR1.TRACe4.Y.SCALe.AUTO

Related Objects

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

TR Menu: Scale > Auto Scale

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:Y[:SCALe]:AUTO

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:Y[:SCALe]:AUTO"


SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.PDIVision

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.PDIVision = Value

Value = SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.PDIVision

Description

This command sets/gets scale per division, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale per division
Data Type | Double precision floating point type (Double)
Range | 1a ~ 10G
Preset Value | 80M
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.000000000001
SCPI.DISPlay.TR1.TRACe4.Y.SCALe.PDIVision = Var
Var = SCPI.DISPlay.TR1.TRACe4.Y.SCALe.PDIVision

Related Objects

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

TR Menu: Scale > Scale/Div

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:Y[:SCALe]:PDIVision {1a ~ 10G}

:DISPlay:TR[1-1]:TRACe[1-8]:Y[:SCALe]:PDIVision?

Query Response

{1a ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:Y[:SCALe]:PDIVision 0.000000000001"
20 OUTPUT 717;":DISPlay:TR1:TRACe4:Y[:SCALe]:PDIVision ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RLEVel

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RLEVel = Value

Value = SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RLEVel

Description

This command sets/gets scale reference level, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference level
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | 800M
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.DISPlay.TR1.TRACe4.Y.SCALe.RLEVel = Var
Var = SCPI.DISPlay.TR1.TRACe4.Y.SCALe.RLEVel

Related Objects

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

TR Menu: Scale > Reference Value

TR Menu: Scale > Marker > Reference

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:Y[:SCALe]:RLEVel {-500G ~ 500G}

:DISPlay:TR[1-1]:TRACe[1-8]:Y[:SCALe]:RLEVel?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:Y[:SCALe]:RLEVel -500000000000"
20 OUTPUT 717;":DISPlay:TR1:TRACe4:Y[:SCALe]:RLEVel ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RPOSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RPOSition = Value

Value = SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RPOSition

Description

This command sets/gets scale reference position, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference position
Data Type | Long integer type (Long)
Range | 0 ~ 30
Preset Value | 5
Unit | Div
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.DISPlay.TR1.TRACe4.Y.SCALe.RPOSition = Var
Var = SCPI.DISPlay.TR1.TRACe4.Y.SCALe.RPOSition

Related Objects

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RLEVel

Equivalent Key

TR Menu: Scale > Reference Position

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:TRACe[1-8]:Y[:SCALe]:RPOSition {0 ~ 30}

:DISPlay:TR[1-1]:TRACe[1-8]:Y[:SCALe]:RPOSition?

Query Response

{0 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:TRACe4:Y[:SCALe]:RPOSition 0 "
20 OUTPUT 717;":DISPlay:TR1:TRACe4:Y[:SCALe]:RPOSition ?"
30 ENTER 717;A


SCPI.DISPlay.TR(Ch).Y.SCALe.DIVisions

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.TR(Ch).Y.SCALe.DIVisions = Value

Value = SCPI.DISPlay.TR(Ch).Y.SCALe.DIVisions

Description

This command sets/gets number of Y division, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of Y division
Data Type | Long integer type (Long)
Range | 4 ~ 30
Preset Value | 10
Unit | -
Resolution | 2
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 4
SCPI.DISPlay.TR1.Y.SCALe.DIVisions = Var
Var = SCPI.DISPlay.TR1.Y.SCALe.DIVisions

Equivalent Key

TR Menu: Scale > Divisions

Equivalent SCPI Command

Syntax

:DISPlay:TR[1-1]:Y[:SCALe]:DIVisions {4 ~ 30}

:DISPlay:TR[1-1]:Y[:SCALe]:DIVisions?

Query Response

{4 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:TR1:Y[:SCALe]:DIVisions 4 "
20 OUTPUT 717;":DISPlay:TR1:Y[:SCALe]:DIVisions ?"
30 ENTER 717;A


SCPI.DISPlay.UPDate.IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.UPDate.IMMediate

Description

This command immediately updates the display.

Examples

SCPI.DISPlay.UPDate.IMMediate

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:UPDate:IMMediate

Example of use

10 OUTPUT 717;":DISPlay:UPDate:IMMediate"


SCPI.DISPlay.USER(Ch).ALLTrace.PERSistence.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.USER(Ch).ALLTrace.PERSistence.CLEar

Description

This command clear all stored traces, for the selected channel Ch.

Examples

SCPI.DISPlay.USER1.ALLTrace.PERSistence.CLEar

Equivalent Key

USER Menu: Trace View > Persistence > Clear All Persistent Data

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:ALLTrace:PERSistence:CLEar

Example of use

10 OUTPUT 717;":DISPlay:USER1:ALLTrace:PERSistence:CLEar"


SCPI.DISPlay.USER(Ch).ALLTrace.Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.USER(Ch).ALLTrace.Y.SCALe.AUTO

Description

This command sets auto scale all, for the selected channel Ch.

Examples

SCPI.DISPlay.USER1.ALLTrace.Y.SCALe.AUTO

Equivalent Key

USER Menu: Scale > Auto Scale All

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:ALLTrace:Y:SCALe:AUTO

Example of use

10 OUTPUT 717;":DISPlay:USER1:ALLTrace:Y:SCALe:AUTO"


SCPI.DISPlay.USER(Ch).ANNotation.MARKer.POSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).ANNotation.MARKer.POSition = Value

Value = SCPI.DISPlay.USER(Ch).ANNotation.MARKer.POSition

Description

This command sets/gets Marker annotation position, for the selected channel Ch.

Variable

Parameter | Value
Description | Marker annotation position
Data Type | Character string type (String)
Range | LEFT|RIGHt
Preset Value | LEFT
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LEFT"
SCPI.DISPlay.USER1.ANNotation.MARKer.POSition = Var
Var = SCPI.DISPlay.USER1.ANNotation.MARKer.POSition

Related Objects

SCPI.DISPlay.USER(Ch).ANNotation.MEASurement.STATe

Equivalent Key

USER Menu: Display > Marker Information

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:ANNotation:MARKer:POSition {LEFT|RIGHt}

:DISPlay:USER[1-1]:ANNotation:MARKer:POSition?

Query Response

{LEFT|RIGHt} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:ANNotation:MARKer:POSition LEFT"
20 OUTPUT 717;":DISPlay:USER1:ANNotation:MARKer:POSition ?"
30 ENTER 717;A$


SCPI.DISPlay.USER(Ch).ANNotation.MEASurement.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).ANNotation.MEASurement.STATe = Value

Value = SCPI.DISPlay.USER(Ch).ANNotation.MEASurement.STATe

Description

This command Show/Hide measurement setting, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide measurement setting
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.ANNotation.MEASurement.STATe = Var
Var = SCPI.DISPlay.USER1.ANNotation.MEASurement.STATe

Related Objects

SCPI.DISPlay.USER(Ch).ANNotation.MARKer.POSition

Equivalent Key

USER Menu: Display > Meas Condition

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:ANNotation:MEASurement:STATe {ON|OFF|1|0}

:DISPlay:USER[1-1]:ANNotation:MEASurement:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:ANNotation:MEASurement:STATe 1"
20 OUTPUT 717;":DISPlay:USER1:ANNotation:MEASurement:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.RELative

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.RELative = Value

Value = SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.RELative

Description

This command sets/gets graticule label notation relative. If OFF, absolute notation is used if possible, for the selected channel Ch.

Variable

Parameter | Value
Description | Graticule label notation relative
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.GRATicule.AXIS.Y.RELative = Var
Var = SCPI.DISPlay.USER1.GRATicule.AXIS.Y.RELative

Related Objects

SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.STATe

Equivalent Key

USER Menu: Display > Relative Y-Scale

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:GRATicule:AXIS:Y:RELative {ON|OFF|1|0}

:DISPlay:USER[1-1]:GRATicule:AXIS:Y:RELative?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:GRATicule:AXIS:Y:RELative 1"
20 OUTPUT 717;":DISPlay:USER1:GRATicule:AXIS:Y:RELative ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.STATe = Value

Value = SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.STATe

Description

This command Show/Hide Y graticule label, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/Hide Y graticule label
Data Type | Character string type (String)
Range | OFF|SHORt|MIDDle|LONG
Preset Value | SHORt
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.USER1.GRATicule.AXIS.Y.STATe = Var
Var = SCPI.DISPlay.USER1.GRATicule.AXIS.Y.STATe

Related Objects

SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.RELative

Equivalent Key

USER Menu: Display > Y # of Digits

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:GRATicule:AXIS:Y:STATe {OFF|SHORt|MIDDle|LONG}

:DISPlay:USER[1-1]:GRATicule:AXIS:Y:STATe?

Query Response

{OFF|SHORt|MIDDle|LONG} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:GRATicule:AXIS:Y:STATe OFF"
20 OUTPUT 717;":DISPlay:USER1:GRATicule:AXIS:Y:STATe ?"
30 ENTER 717;A$


SCPI.DISPlay.USER(Ch).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).LABel.DATA = Value

Value = SCPI.DISPlay.USER(Ch).LABel.DATA

Description

This command sets/gets Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | Window Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.USER1.LABel.DATA = Var
Var = SCPI.DISPlay.USER1.LABel.DATA

Related Objects

SCPI.DISPlay.USER(Ch).LABel.STATe

Equivalent Key

USER Menu: Display > Edit Title Label

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:LABel:DATA

:DISPlay:USER[1-1]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:USER1:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.USER(Ch).LABel.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).LABel.STATe = Value

Value = SCPI.DISPlay.USER(Ch).LABel.STATe

Description

This command show/hide Window Title Label, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide Window Title Label
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.LABel.STATe = Var
Var = SCPI.DISPlay.USER1.LABel.STATe

Related Objects

SCPI.DISPlay.USER(Ch).LABel.DATA

Equivalent Key

USER Menu: Display > Title Label

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:LABel:STATe {ON|OFF|1|0}

:DISPlay:USER[1-1]:LABel:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:LABel:STATe 1"
20 OUTPUT 717;":DISPlay:USER1:LABel:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).LIMit.FSIGn

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).LIMit.FSIGn = Value

Value = SCPI.DISPlay.USER(Ch).LIMit.FSIGn

Description

This command show/hide fail sign, for the selected channel Ch.

Variable

Parameter | Value
Description | show/hide fail sign
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.LIMit.FSIGn = Var
Var = SCPI.DISPlay.USER1.LIMit.FSIGn

Equivalent Key

USER Menu: Display > Limit Test > Fail Sign

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:LIMit:FSIGn {ON|OFF|1|0}

:DISPlay:USER[1-1]:LIMit:FSIGn?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:LIMit:FSIGn 1"
20 OUTPUT 717;":DISPlay:USER1:LIMit:FSIGn ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).MAXimize

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).MAXimize = Value

Value = SCPI.DISPlay.USER(Ch).MAXimize

Description

This command sets/gets maximize active trace, for the selected channel Ch.

Variable

Parameter | Value
Description | Maximize active trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.MAXimize = Var
Var = SCPI.DISPlay.USER1.MAXimize

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:MAXimize {ON|OFF|1|0}

:DISPlay:USER[1-1]:MAXimize?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:MAXimize 1"
20 OUTPUT 717;":DISPlay:USER1:MAXimize ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).STATe = Value

Value = SCPI.DISPlay.USER(Ch).STATe

Description

This command sets/gets measurement display on/off. At least one meas window must be turned on, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement display (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 60, "Failed to hide window" 100, "Option not installed"

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.STATe = Var
Var = SCPI.DISPlay.USER1.STATe

Equivalent Key

PN Menu: Measurement View > Show Window > User

SP Menu: Measurement View > Show Window > User

FP Menu: Measurement View > Show Window > User

TR Menu: Measurement View > Show Window > User

AM Menu: Measurement View > Show Window > User

BB Menu: Measurement View > Show Window > User

USER Menu: Measurement View > Show Window > User

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:STATe {ON|OFF|1|0}

:DISPlay:USER[1-1]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:STATe 1"
20 OUTPUT 717;":DISPlay:USER1:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TABLe.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TABLe.STATe = Value

Value = SCPI.DISPlay.USER(Ch).TABLe.STATe

Description

This command show/hide text area, for the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide text area
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.TABLe.STATe = Var
Var = SCPI.DISPlay.USER1.TABLe.STATe

Equivalent Key

USER Menu: Marker > Marker List

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TABLe[:STATe] {ON|OFF|1|0}

:DISPlay:USER[1-1]:TABLe[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TABLe[:STATe] 1"
20 OUTPUT 717;":DISPlay:USER1:TABLe[:STATe] ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TRACe(Tr).ANNotation.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).ANNotation.DATA = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).ANNotation.DATA

Description

This command sets/gets Trace Annotation, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Annotation
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.USER1.TRACe8.ANNotation.DATA = Var
Var = SCPI.DISPlay.USER1.TRACe8.ANNotation.DATA

Equivalent Key

USER Menu: Trace View > Trace Annotation

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:ANNotation:DATA

:DISPlay:USER[1-1]:TRACe[1-8]:ANNotation:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:ANNotation:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:ANNotation:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.USER(Ch).TRACe(Tr).LABel.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).LABel.DATA = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).LABel.DATA

Description

This command sets/gets Trace Title Label, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace Title Label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "Tr1"
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.USER1.TRACe8.LABel.DATA = Var
Var = SCPI.DISPlay.USER1.TRACe8.LABel.DATA

Equivalent Key

USER Menu: Trace View > Trace Label

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:LABel:DATA

:DISPlay:USER[1-1]:TRACe[1-8]:LABel:DATA?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:LABel:DATA Sample_Text"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:LABel:DATA ?"
30 ENTER 717;A$


SCPI.DISPlay.USER(Ch).TRACe(Tr).LIMit.LINE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).LIMit.LINE = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).LIMit.LINE

Description

This command show/hide limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Show/hide limit line
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.TRACe8.LIMit.LINE = Var
Var = SCPI.DISPlay.USER1.TRACe8.LIMit.LINE

Equivalent Key

USER Menu: Display > Limit Test > Limit Line

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:LIMit:LINE {ON|OFF|1|0}

:DISPlay:USER[1-1]:TRACe[1-8]:LIMit:LINE?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:LIMit:LINE 1"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:LIMit:LINE ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TRACe(Tr).MODE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).MODE = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).MODE

Description

This command show data and/or memory trace, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Show data and/or memory trace
Data Type | Character string type (String)
Range | OFF|DATA|MEMory|BOTH
Preset Value | DATA
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.DISPlay.USER1.TRACe8.MODE = Var
Var = SCPI.DISPlay.USER1.TRACe8.MODE

Related Objects

Equivalent Key

USER Menu: Trace View > Display Trace

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:MODE {OFF|DATA|MEMory|BOTH}

:DISPlay:USER[1-1]:TRACe[1-8]:MODE?

Query Response

{OFF|DATA|MEMory|BOTH} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:MODE OFF"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:MODE ?"
30 ENTER 717;A$


SCPI.DISPlay.USER(Ch).TRACe(Tr).PERSistence.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).PERSistence.STATe = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).PERSistence.STATe

Description

This command sets/gets trace storage mode, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace storage mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.TRACe8.PERSistence.STATe = Var
Var = SCPI.DISPlay.USER1.TRACe8.PERSistence.STATe

Related Objects

Equivalent Key

USER Menu: Trace View > Persistence > Persistence Mode

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:PERSistence:STATe {ON|OFF|1|0}

:DISPlay:USER[1-1]:TRACe[1-8]:PERSistence:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:PERSistence:STATe 1"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:PERSistence:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TRACe(Tr).STATe

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).STATe = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).STATe

Description

This command sets/gets trace state i.e. enable/disable. At least one trace must be turned on., for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Trace state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 61, "Failed to hide trace"

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.TRACe8.STATe = Var
Var = SCPI.DISPlay.USER1.TRACe8.STATe

Equivalent Key

USER Menu: Trace View > Enable Trace > Trace 1

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:STATe {ON|OFF|1|0}

:DISPlay:USER[1-1]:TRACe[1-8]:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:STATe 1"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:STATe ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO

Description

This command sets/gets autoscale setting for X axis, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Autoscale setting for X axis
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.DISPlay.USER1.TRACe8.X.SCALe.AUTO = Var
Var = SCPI.DISPlay.USER1.TRACe8.X.SCALe.AUTO

Related Objects

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.RIGHt

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.TYPE

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.UNIT

Equivalent Key

USER Menu: Scale > X Axis > Auto

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:X[:SCALe]:AUTO {ON|OFF|1|0}

:DISPlay:USER[1-1]:TRACe[1-8]:X[:SCALe]:AUTO?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:X[:SCALe]:AUTO 1"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:X[:SCALe]:AUTO ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.LEFT

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.LEFT = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.LEFT

Description

This command sets/gets left setting for X axis , for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | Left setting for X axis
Data Type | Double precision floating point type (Double)
Range | -500G ~ 499.999999999G
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.DISPlay.USER1.TRACe8.X.SCALe.LEFT = Var
Var = SCPI.DISPlay.USER1.TRACe8.X.SCALe.LEFT

Related Objects

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.RIGHt

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.TYPE

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.UNIT

Equivalent Key

USER Menu: Scale > X Axis > Left

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:X[:SCALe]:LEFT {-500G ~ 499.999999999G}

:DISPlay:USER[1-1]:TRACe[1-8]:X[:SCALe]:LEFT?

Query Response

{-500G ~ 499.999999999G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:X[:SCALe]:LEFT -500000000000"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:X[:SCALe]:LEFT ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.RIGHt

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.RIGHt = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.RIGHt

Description

This command sets/gets right setting for X axis, for the selected trace Tr of the selected channel Ch.

  • This command is available only when the automatic setting of the X-axis display range (set with SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO) is set to OFF.

Variable

Parameter | Value
Description | Right setting for X axis
Data Type | Double precision floating point type (Double)
Range | -499.999999999G ~ 500G
Preset Value | 100
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -499999999999
SCPI.DISPlay.USER1.TRACe8.X.SCALe.RIGHt = Var
Var = SCPI.DISPlay.USER1.TRACe8.X.SCALe.RIGHt

Related Objects

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.TYPE

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.UNIT

Equivalent Key

USER Menu: Scale > X Axis > Right

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:X[:SCALe]:RIGHt {-499.999999999G ~ 500G}

:DISPlay:USER[1-1]:TRACe[1-8]:X[:SCALe]:RIGHt?

Query Response

{-499.999999999G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:X[:SCALe]:RIGHt -499999999999"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:X[:SCALe]:RIGHt ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TRACe(Tr).X.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.TYPE = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).X.TYPE

Description

This command sets/gets x axis type, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X axis type
Data Type | Character string type (String)
Range | LINear|LOGarithmic
Preset Value | LINear
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LINear"
SCPI.DISPlay.USER1.TRACe8.X.TYPE = Var
Var = SCPI.DISPlay.USER1.TRACe8.X.TYPE

Related Objects

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.RIGHt

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.UNIT

Equivalent Key

USER Menu: Scale > X Axis Type

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:X:TYPE {LINear|LOGarithmic}

:DISPlay:USER[1-1]:TRACe[1-8]:X:TYPE?

Query Response

{LINear|LOGarithmic} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:X:TYPE LINear"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:X:TYPE ?"
30 ENTER 717;A$


SCPI.DISPlay.USER(Ch).TRACe(Tr).X.UNIT

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.UNIT = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).X.UNIT

Description

This command sets/gets X axis unit, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | X axis unit
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "U"
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.USER1.TRACe8.X.UNIT = Var
Var = SCPI.DISPlay.USER1.TRACe8.X.UNIT

Related Objects

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.LEFT

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.RIGHt

SCPI.DISPlay.USER(Ch).TRACe(Tr).X.TYPE

Equivalent Key

USER Menu: Scale > X Unit

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:X:UNIT

:DISPlay:USER[1-1]:TRACe[1-8]:X:UNIT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:X:UNIT Sample_Text"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:X:UNIT ?"
30 ENTER 717;A$


SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.AUTO

Object Type

Method (Write Only)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.AUTO

Description

This command sets auto scale setting for Y axis, for the selected trace Tr of the selected channel Ch.

Examples

SCPI.DISPlay.USER1.TRACe8.Y.SCALe.AUTO

Related Objects

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RPOSition

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.UNIT

Equivalent Key

USER Menu: Scale > Auto Scale

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:Y[:SCALe]:AUTO

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:Y[:SCALe]:AUTO"


SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.PDIVision

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.PDIVision = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.PDIVision

Description

This command sets/gets scale per division, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale per division
Data Type | Double precision floating point type (Double)
Range | 1a ~ 10G
Preset Value | 10
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0.000000000001
SCPI.DISPlay.USER1.TRACe8.Y.SCALe.PDIVision = Var
Var = SCPI.DISPlay.USER1.TRACe8.Y.SCALe.PDIVision

Related Objects

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RPOSition

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.UNIT

Equivalent Key

USER Menu: Scale > Scale/Div

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:Y[:SCALe]:PDIVision {1a ~ 10G}

:DISPlay:USER[1-1]:TRACe[1-8]:Y[:SCALe]:PDIVision?

Query Response

{1a ~ 10G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:Y[:SCALe]:PDIVision 0.000000000001"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:Y[:SCALe]:PDIVision ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RLEVel

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RLEVel = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RLEVel

Description

This command sets/gets scale reference level, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference level
Data Type | Double precision floating point type (Double)
Range | -500G ~ 500G
Preset Value | -40
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -500000000000
SCPI.DISPlay.USER1.TRACe8.Y.SCALe.RLEVel = Var
Var = SCPI.DISPlay.USER1.TRACe8.Y.SCALe.RLEVel

Related Objects

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RPOSition

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.UNIT

Equivalent Key

USER Menu: Scale > Reference Value

USER Menu: Scale > Marker > Reference

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:Y[:SCALe]:RLEVel {-500G ~ 500G}

:DISPlay:USER[1-1]:TRACe[1-8]:Y[:SCALe]:RLEVel?

Query Response

{-500G ~ 500G} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:Y[:SCALe]:RLEVel -500000000000"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:Y[:SCALe]:RLEVel ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RPOSition

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RPOSition = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RPOSition

Description

This command sets/gets scale reference position, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Scale reference position
Data Type | Long integer type (Long)
Range | 0 ~ 30
Preset Value | 5
Unit | Div
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.DISPlay.USER1.TRACe8.Y.SCALe.RPOSition = Var
Var = SCPI.DISPlay.USER1.TRACe8.Y.SCALe.RPOSition

Related Objects

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.UNIT

Equivalent Key

USER Menu: Scale > Reference Position

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:Y[:SCALe]:RPOSition {0 ~ 30}

:DISPlay:USER[1-1]:TRACe[1-8]:Y[:SCALe]:RPOSition?

Query Response

{0 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:Y[:SCALe]:RPOSition 0 "
20 OUTPUT 717;":DISPlay:USER1:TRACe8:Y[:SCALe]:RPOSition ?"
30 ENTER 717;A


SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.UNIT

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.UNIT = Value

Value = SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.UNIT

Description

This command sets/gets Y axis unit, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Y axis unit
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "U"
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
SCPI.DISPlay.USER1.TRACe8.Y.UNIT = Var
Var = SCPI.DISPlay.USER1.TRACe8.Y.UNIT

Related Objects

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.AUTO

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.PDIVision

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RLEVel

SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RPOSition

Equivalent Key

USER Menu: Scale > Y Unit

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:TRACe[1-8]:Y:UNIT

:DISPlay:USER[1-1]:TRACe[1-8]:Y:UNIT?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:TRACe8:Y:UNIT Sample_Text"
20 OUTPUT 717;":DISPlay:USER1:TRACe8:Y:UNIT ?"
30 ENTER 717;A$


SCPI.DISPlay.USER(Ch).Y.SCALe.DIVisions

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.USER(Ch).Y.SCALe.DIVisions = Value

Value = SCPI.DISPlay.USER(Ch).Y.SCALe.DIVisions

Description

This command sets/gets number of Y division, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of Y division
Data Type | Long integer type (Long)
Range | 4 ~ 30
Preset Value | 10
Unit | -
Resolution | 2
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 4
SCPI.DISPlay.USER1.Y.SCALe.DIVisions = Var
Var = SCPI.DISPlay.USER1.Y.SCALe.DIVisions

Equivalent Key

USER Menu: Scale > Divisions

Equivalent SCPI Command

Syntax

:DISPlay:USER[1-1]:Y[:SCALe]:DIVisions {4 ~ 30}

:DISPlay:USER[1-1]:Y[:SCALe]:DIVisions?

Query Response

{4 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:USER1:Y[:SCALe]:DIVisions 4 "
20 OUTPUT 717;":DISPlay:USER1:Y[:SCALe]:DIVisions ?"
30 ENTER 717;A


SCPI.DISPlay.WINDow.ACTive

Object Type

Property (Read-Write)

Syntax

SCPI.DISPlay.WINDow.ACTive = Value

Value = SCPI.DISPlay.WINDow.ACTive

Description

This command sets/gets the specified window visible and active.

  • When trigger couple is on and trigger signal is entered continuously, the measurement is made immediately and the trace is overwritten after this command is executed.

Variable

Parameter | Value
Description | Specified window visible and active
Data Type | Character string type (String)
Range | PN1|SP1|FP1|TR1|AM1|BB1|PS1|USER1
Preset Value | PN1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 100, "Option not installed"

Examples

Dim Var as String
Var= "PN1"
SCPI.DISPlay.WINDow.ACTive = Var
Var = SCPI.DISPlay.WINDow.ACTive

Equivalent Key

PN Menu: Measurement View > Phase Noise

PN Menu: Measurement View > Spectrum Monitor

PN Menu: Measurement View > Freq & Power

PN Menu: Measurement View > Transient

PN Menu: Measurement View > AM Noise

PN Menu: Measurement View > Baseband Noise

PN Menu: Measurement View > Segment PN

PN Menu: Measurement View > User

SP Menu: Measurement View > Phase Noise

SP Menu: Measurement View > Spectrum Monitor

SP Menu: Measurement View > Freq & Power

SP Menu: Measurement View > Transient

SP Menu: Measurement View > AM Noise

SP Menu: Measurement View > Baseband Noise

SP Menu: Measurement View > Segment PN

SP Menu: Measurement View > User

FP Menu: Measurement View > Phase Noise

FP Menu: Measurement View > Spectrum Monitor

FP Menu: Measurement View > Freq & Power

FP Menu: Measurement View > Transient

FP Menu: Measurement View > AM Noise

FP Menu: Measurement View > Baseband Noise

FP Menu: Measurement View > Segment PN

FP Menu: Measurement View > User

TR Menu: Measurement View > Phase Noise

TR Menu: Measurement View > Spectrum Monitor

TR Menu: Measurement View > Freq & Power

TR Menu: Measurement View > Transient

TR Menu: Measurement View > AM Noise

TR Menu: Measurement View > Baseband Noise

TR Menu: Measurement View > Segment PN

TR Menu: Measurement View > User

AM Menu: Measurement View > Phase Noise

AM Menu: Measurement View > Spectrum Monitor

AM Menu: Measurement View > Freq & Power

AM Menu: Measurement View > Transient

AM Menu: Measurement View > AM Noise

AM Menu: Measurement View > Baseband Noise

AM Menu: Measurement View > Segment PN

AM Menu: Measurement View > User

BB Menu: Measurement View > Phase Noise

BB Menu: Measurement View > Spectrum Monitor

BB Menu: Measurement View > Freq & Power

BB Menu: Measurement View > Transient

BB Menu: Measurement View > AM Noise

BB Menu: Measurement View > Baseband Noise

BB Menu: Measurement View > Segment PN

BB Menu: Measurement View > User

PS Menu: Measurement View > Phase Noise

PS Menu: Measurement View > Spectrum Monitor

PS Menu: Measurement View > Freq & Power

PS Menu: Measurement View > Transient

PS Menu: Measurement View > AM Noise

PS Menu: Measurement View > Baseband Noise

PS Menu: Measurement View > Segment PN

PS Menu: Measurement View > User

USER Menu: Measurement View > Phase Noise

USER Menu: Measurement View > Spectrum Monitor

USER Menu: Measurement View > Freq & Power

USER Menu: Measurement View > Transient

USER Menu: Measurement View > AM Noise

USER Menu: Measurement View > Baseband Noise

USER Menu: Measurement View > Segment PN

USER Menu: Measurement View > User

Equivalent SCPI Command

Syntax

:DISPlay:WINDow:ACTive {PN1|SP1|FP1|TR1|AM1|BB1|PS1|USER1}

:DISPlay:WINDow:ACTive?

Query Response

{PN1|SP1|FP1|TR1|AM1|BB1|PS1|USER1} <newline><^END>

Example of use

10 OUTPUT 717;":DISPlay:WINDow:ACTive PN1"
20 OUTPUT 717;":DISPlay:WINDow:ACTive ?"
30 ENTER 717;A$


SCPI.FORMat.BORDer

Object Type

Property (Read-Write)

Syntax

SCPI.FORMat.BORDer = Value

Value = SCPI.FORMat.BORDer

Description

This command sets/gets byte order setting for binary transfer. Applied for all SCPI connections and array commands/queries.

Variable

Parameter | Value
Description | Byte order setting for binary transfer
Data Type | Character string type (String)
Range | NORMal: Set byte order so that a byte containing MSB (Most Significant Bit) is transferred first SWAPped: Set byte order so that a byte containing LSB (Least Significant Bit) is transferred first
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.FORMat.BORDer = Var
Var = SCPI.FORMat.BORDer

Related Objects

SCPI.FORMat.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:FORMat:BORDer {NORMal|SWAPped}

:FORMat:BORDer?

Query Response

{NORMal|SWAPped} <newline><^END>

Example of use

10 OUTPUT 717;":FORMat:BORDer NORMal"
20 OUTPUT 717;":FORMat:BORDer ?"
30 ENTER 717;A$


SCPI.FORMat.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.FORMat.DATA = Value

Value = SCPI.FORMat.DATA

Description

This command sets/gets a data transfer mode applied for all SCPI connections, applied for all array commands/queries.

Variable

Parameter | Value
Description | Data transfer mode
Data Type | Character string type (String)
Range | ASCii: Set data transfer mode to 'ASCii' REAL32:Set data transfer mode to 'IEEE 32 floating point binay' REAL64:Set data transfer mode to 'IEEE 64 floating point binay'
Preset Value | ASCii
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "ASCii"
SCPI.FORMat.DATA = Var
Var = SCPI.FORMat.DATA

Related Objects

SCPI.FORMat.BORDer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:FORMat:DATA {ASCii|REAL32|REAL64}

:FORMat:DATA?

Query Response

{ASCii|REAL32|REAL64} <newline><^END>

Example of use

10 OUTPUT 717;":FORMat:DATA ASCii"
20 OUTPUT 717;":FORMat:DATA ?"
30 ENTER 717;A$


SCPI.HCOPy.ABORt

Object Type

Method (Write Only)

Syntax

SCPI.HCOPy.ABORt

Description

This command aborts printing.

Examples

SCPI.HCOPy.ABORt

Related Objects

SCPI.HCOPy.IMMediate

Equivalent Key

PN Menu: System > Abort Printing

SP Menu: System > Abort Printing

FP Menu: System > Abort Printing

TR Menu: System > Abort Printing

AM Menu: System > Abort Printing

BB Menu: System > Abort Printing

PS Menu: System > Abort Printing

USER Menu: System > Abort Printing

Equivalent SCPI Command

Syntax

:HCOPy:ABORt

Example of use

10 OUTPUT 717;":HCOPy:ABORt"


SCPI.HCOPy.IMAGe

Object Type

Property (Read-Write)

Syntax

SCPI.HCOPy.IMAGe = Value

Value = SCPI.HCOPy.IMAGe

Description

This command sets/gets print color for output (to the printer).

Variable

Parameter | Value
Description | Print color for output to the printer
Data Type | Character string type (String)
Range | NORMal|INVert
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.HCOPy.IMAGe = Var
Var = SCPI.HCOPy.IMAGe

Related Objects

SCPI.HCOPy.IMMediate

Equivalent Key

PN Menu: System > Invert Image

SP Menu: System > Invert Image

FP Menu: System > Invert Image

TR Menu: System > Invert Image

AM Menu: System > Invert Image

BB Menu: System > Invert Image

PS Menu: System > Invert Image

USER Menu: System > Invert Image

Equivalent SCPI Command

Syntax

:HCOPy:IMAGe {NORMal|INVert}

:HCOPy:IMAGe?

Query Response

{NORMal|INVert} <newline><^END>

Example of use

10 OUTPUT 717;":HCOPy:IMAGe NORMal"
20 OUTPUT 717;":HCOPy:IMAGe ?"
30 ENTER 717;A$


SCPI.HCOPy.IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.HCOPy.IMMediate

Description

This command sets the display image on the LCD display to the printer connected to the E5052B.

Examples

SCPI.HCOPy.IMMediate

Related Objects

SCPI.HCOPy.ABORt

SCPI.HCOPy.IMAGe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:HCOPy:IMMediate

Example of use

10 OUTPUT 717;":HCOPy:IMMediate"


SCPI.HCOPy.SDUMp.DATA_(fmt)

Object Type

Property (Read Only)

Syntax

Value = SCPI.HCOPy.SDUMp.DATA fmt

Description

This command gets query display image data.

Variable

Parameter | fmt
Description | display image data
Data Type | Character string type (String)
Range | GIF|BMP|PNG
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -200, "Execution error"

Examples

Dim Var as String
Var= "PNG"
Var = SCPI.HCOPy.SDUMp.DATA_Q fmt, data

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:HCOPy:SDUMp:DATA?

Query Response

{GIF|BMP|PNG -} <newline><^END>

Example of use

10 OUTPUT 717;":HCOPy:SDUMp:DATA ?"


SCPI.INITiate.AM(Ch).CONTinuous

Object Type

Property (Read-Write)

Syntax

SCPI.INITiate.AM(Ch).CONTinuous = Value

Value = SCPI.INITiate.AM(Ch).CONTinuous

Description

This command sets/gets a property to always move to waiting-for-trigger state after measuring, for the selected channel Ch.

Variable

Parameter | Value
Description | Waiting-for-trigger state after measurement
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.INITiate.AM1.CONTinuous = Var
Var = SCPI.INITiate.AM1.CONTinuous

Related Objects

SCPI.INITiate.AM(Ch).IMMediate

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:AM[1-1]:CONTinuous {ON|OFF|1|0}

:INITiate:AM[1-1]:CONTinuous?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":INITiate:AM1:CONTinuous 1"
20 OUTPUT 717;":INITiate:AM1:CONTinuous ?"
30 ENTER 717;A


SCPI.INITiate.AM(Ch).IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.INITiate.AM(Ch).IMMediate

Description

This command sets the property to move once to waiting-for-trigger state, for the selected channel Ch.

Examples

SCPI.INITiate.AM1.IMMediate

Related Objects

SCPI.INITiate.AM(Ch).CONTinuous

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:AM[1-1]:IMMediate

Example of use

10 OUTPUT 717;":INITiate:AM1:IMMediate"


SCPI.INITiate.BB(Ch).CONTinuous

Object Type

Property (Read-Write)

Syntax

SCPI.INITiate.BB(Ch).CONTinuous = Value

Value = SCPI.INITiate.BB(Ch).CONTinuous

Description

This command sets/gets always move to waiting-for-trigger state after measuring, for the selected channel Ch.

Variable

Parameter | Value
Description | Waiting-for-trigger state after measurement
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.INITiate.BB1.CONTinuous = Var
Var = SCPI.INITiate.BB1.CONTinuous

Related Objects

SCPI.INITiate.BB(Ch).IMMediate

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:BB[1-1]:CONTinuous {ON|OFF|1|0}

:INITiate:BB[1-1]:CONTinuous?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":INITiate:BB1:CONTinuous 1"
20 OUTPUT 717;":INITiate:BB1:CONTinuous ?"
30 ENTER 717;A


SCPI.INITiate.BB(Ch).IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.INITiate.BB(Ch).IMMediate

Description

This command sets the property to move once to waiting-for-trigger state, for the selected channel Ch.

Examples

SCPI.INITiate.BB1.IMMediate

Related Objects

SCPI.INITiate.BB(Ch).CONTinuous

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:BB[1-1]:IMMediate

Example of use

10 OUTPUT 717;":INITiate:BB1:IMMediate"


SCPI.INITiate.FP(Ch).CONTinuous

Object Type

Property (Read-Write)

Syntax

SCPI.INITiate.FP(Ch).CONTinuous = Value

Value = SCPI.INITiate.FP(Ch).CONTinuous

Description

This command sets/gets always move to waiting-for-trigger state after measuring, for the selected channel Ch.

Variable

Parameter | Value
Description | Waiting-for-trigger state after measurement
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.INITiate.FP1.CONTinuous = Var
Var = SCPI.INITiate.FP1.CONTinuous

Related Objects

SCPI.INITiate.FP(Ch).IMMediate

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:FP[1-1]:CONTinuous {ON|OFF|1|0}

:INITiate:FP[1-1]:CONTinuous?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":INITiate:FP1:CONTinuous 1"
20 OUTPUT 717;":INITiate:FP1:CONTinuous ?"
30 ENTER 717;A


SCPI.INITiate.FP(Ch).IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.INITiate.FP(Ch).IMMediate

Description

This command sets the property to move once to waiting-for-trigger state, for the selected channel Ch.

Examples

SCPI.INITiate.FP1.IMMediate

Related Objects

SCPI.INITiate.FP(Ch).CONTinuous

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:FP[1-1]:IMMediate

Example of use

10 OUTPUT 717;":INITiate:FP1:IMMediate"


SCPI.INITiate.PN(Ch).CONTinuous

Object Type

Property (Read-Write)

Syntax

SCPI.INITiate.PN(Ch).CONTinuous = Value

Value = SCPI.INITiate.PN(Ch).CONTinuous

Description

This command sets/gets always move to waiting-for-trigger state after measuring, for the selected channel Ch.

Variable

Parameter | Value
Description | Waiting-for-trigger state after measurement
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.INITiate.PN1.CONTinuous = Var
Var = SCPI.INITiate.PN1.CONTinuous

Related Objects

SCPI.INITiate.PN(Ch).IMMediate

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:PN[1-1]:CONTinuous {ON|OFF|1|0}

:INITiate:PN[1-1]:CONTinuous?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":INITiate:PN1:CONTinuous 1"
20 OUTPUT 717;":INITiate:PN1:CONTinuous ?"
30 ENTER 717;A


SCPI.INITiate.PN(Ch).IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.INITiate.PN(Ch).IMMediate

Description

This command sets the property to move once to waiting-for-trigger state, for the selected channel Ch.

Examples

SCPI.INITiate.PN1.IMMediate

Related Objects

SCPI.INITiate.PN(Ch).CONTinuous

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:PN[1-1]:IMMediate

Example of use

10 OUTPUT 717;":INITiate:PN1:IMMediate"


SCPI.INITiate.PS(Ch).CONTinuous

Object Type

Property (Read-Write)

Syntax

SCPI.INITiate.PS(Ch).CONTinuous = Value

Value = SCPI.INITiate.PS(Ch).CONTinuous

Description

This command sets/gets always move to waiting-for-trigger state after measuring, for the selected channel Ch.

Variable

Parameter | Value
Description | Waiting-for-trigger state after measurement
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.INITiate.PS1.CONTinuous = Var
Var = SCPI.INITiate.PS1.CONTinuous

Related Objects

SCPI.INITiate.PS(Ch).IMMediate

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:PS[1-1]:CONTinuous {ON|OFF|1|0}

:INITiate:PS[1-1]:CONTinuous?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":INITiate:PS1:CONTinuous 1"
20 OUTPUT 717;":INITiate:PS1:CONTinuous?"
30 ENTER 717;A


SCPI.INITiate.PS(Ch).IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.INITiate.PS(Ch).IMMediate

Description

This command sets the property to move once to waiting-for-trigger state, for the selected channel Ch.

Examples

SCPI.INITiate.PS1.IMMediate

Related Objects

SCPI.INITiate.PS(Ch).CONTinuous

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:PS[1-1]:IMMediate

Example of use

10 OUTPUT 717;":INITiate:PS1:IMMediate"


SCPI.INITiate.SP(Ch).CONTinuous

Object Type

Property (Read-Write)

Syntax

SCPI.INITiate.SP(Ch).CONTinuous = Value

Value = SCPI.INITiate.SP(Ch).CONTinuous

Description

This command sets/gets always move to waiting-for-trigger state after measuring, for the selected channel Ch.

Variable

Parameter | Value
Description | Waiting-for-trigger state after measurement
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.INITiate.SP1.CONTinuous = Var
Var = SCPI.INITiate.SP1.CONTinuous

Related Objects

SCPI.INITiate.SP(Ch).IMMediate

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:SP[1-1]:CONTinuous {ON|OFF|1|0}

:INITiate:SP[1-1]:CONTinuous?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":INITiate:SP1:CONTinuous 1"
20 OUTPUT 717;":INITiate:SP1:CONTinuous ?"
30 ENTER 717;A


SCPI.INITiate.SP(Ch).IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.INITiate.SP(Ch).IMMediate

Description

This command sets the property to move once to waiting-for-trigger state, for the selected channel Ch.

Examples

SCPI.INITiate.SP1.IMMediate

Related Objects

SCPI.INITiate.SP(Ch).CONTinuous

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:SP[1-1]:IMMediate

Example of use

10 OUTPUT 717;":INITiate:SP1:IMMediate"


SCPI.INITiate.TR(Ch).CONTinuous

Object Type

Property (Read-Write)

Syntax

SCPI.INITiate.TR(Ch).CONTinuous = Value

Value = SCPI.INITiate.TR(Ch).CONTinuous

Description

This command sets/gets always move to waiting-for-trigger state after measuring, for the selected channel Ch.

Variable

Parameter | Value
Description | Waiting-for-trigger state after measurement
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.INITiate.TR1.CONTinuous = Var
Var = SCPI.INITiate.TR1.CONTinuous

Related Objects

SCPI.INITiate.TR(Ch).IMMediate

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:TR[1-1]:CONTinuous {ON|OFF|1|0}

:INITiate:TR[1-1]:CONTinuous?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":INITiate:TR1:CONTinuous 1"
20 OUTPUT 717;":INITiate:TR1:CONTinuous ?"
30 ENTER 717;A


SCPI.INITiate.TR(Ch).IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.INITiate.TR(Ch).IMMediate

Description

This command sets the property to move once to waiting-for-trigger state, for the selected channel Ch.

  • Trigger is not detected while sampling pre-trigger data. Make sure to add a certain time after initiation of trigger system when programming so that the instrument is triggered after a time for pre-trigger passed. This certain time is required when trigger source is selected, "external", "Wide Video" or "Narrow Video".

Examples

SCPI.INITiate.TR1.IMMediate

Related Objects

SCPI.INITiate.TR(Ch).CONTinuous

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:INITiate:TR[1-1]:IMMediate

Example of use

10 OUTPUT 717;":INITiate:TR1:IMMediate"


SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.DATA = Value

Description

This command recalls data trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls data trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.AM1.TRACe1.LOAD.DATA = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:AM[1-1]:TRACe[1-1]:LOAD:DATA

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:AM1:TRACe1:LOAD:DATA Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.LIMit.LOWer = Value

Description

This command imports lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports lower limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.AM1.TRACe1.LOAD.LIMit.LOWer = Var

Related Objects

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:AM[1-1]:TRACe[1-1]:LOAD:LIMit:LOWer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:AM1:TRACe1:LOAD:LIMit:LOWer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.LIMit.UPPer = Value

Description

This command imports upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports upper limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.AM1.TRACe1.LOAD.LIMit.UPPer = Var

Related Objects

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:AM[1-1]:TRACe[1-1]:LOAD:LIMit:UPPer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:AM1:TRACe1:LOAD:LIMit:UPPer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.MEMory = Value

Description

This command recalls memory trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls memory trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.AM1.TRACe1.LOAD.MEMory = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:AM[1-1]:TRACe[1-1]:LOAD:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:AM1:TRACe1:LOAD:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt = Value

Description

This command Imports Spurious Table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports Spurious Table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.AM1.TRACe1.LOAD.SPURious.OSSPur.FLISt = Var

Related Objects

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:AM[1-1]:TRACe[1-1]:LOAD:SPURious:OSSPur:FLISt

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:AM1:TRACe1:LOAD:SPURious:OSSPur:FLISt Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.THReshold = Value

Description

This command imports threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports threshold table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.AM1.TRACe1.LOAD.SPURious.THReshold = Var

Related Objects

SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:AM[1-1]:TRACe[1-1]:LOAD:SPURious:THReshold

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:AM1:TRACe1:LOAD:SPURious:THReshold Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.DATA = Value

Description

This command saves active trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.AM1.TRACe1.STORe.DATA = Var

Related Objects

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.DATA

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.MEMory

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:AM[1-1]:TRACe[1-1]:STORe[:DATA]

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:AM1:TRACe1:STORe[:DATA] Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.MEMory = Value

Description

This command saves active trace memory, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace memory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.AM1.TRACe1.STORe.MEMory = Var

Related Objects

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.DATA

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:AM[1-1]:TRACe[1-1]:STORe:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:AM1:TRACe1:STORe:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt = Value

Description

This command exports Spurious Table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Exports Spurious Table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file"

Examples

Dim Var as String
SCPI.MMEMory.AM1.TRACe1.STORe.SPURious.OSSPur.FLISt = Var

Related Objects

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.DATA

SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:AM[1-1]:TRACe[1-1]:STORe:SPURious:OSSPur:FLISt

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:AM1:TRACe1:STORe:SPURious:OSSPur:FLISt Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.DATA = Value

Description

This command Recalls data trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls data trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.BB1.TRACe1.LOAD.DATA = Var

Related Objects

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.DATA

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.LOWer

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.UPPer

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.MEMory

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:BB[1-1]:TRACe[1-1]:LOAD:DATA

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:BB1:TRACe1:LOAD:DATA Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.LOWer = Value

Description

This command imports lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports lower limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.BB1.TRACe1.LOAD.LIMit.LOWer = Var

Related Objects

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.DATA

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.UPPer

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.MEMory

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:BB[1-1]:TRACe[1-1]:LOAD:LIMit:LOWer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:BB1:TRACe1:LOAD:LIMit:LOWer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.UPPer = Value

Description

This command imports upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports upper limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.BB1.TRACe1.LOAD.LIMit.UPPer = Var

Related Objects

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.DATA

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.LOWer

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.MEMory

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:BB[1-1]:TRACe[1-1]:LOAD:LIMit:UPPer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:BB1:TRACe1:LOAD:LIMit:UPPer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.MEMory = Value

Description

This command recalls memory trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recall memory trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.BB1.TRACe1.LOAD.MEMory = Var

Related Objects

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.DATA

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.LOWer

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.UPPer

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:BB[1-1]:TRACe[1-1]:LOAD:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:BB1:TRACe1:LOAD:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt = Value

Description

This command imports Spurious Table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports Spurious Table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.BB1.TRACe1.LOAD.SPURious.OSSPur.FLISt = Var

Related Objects

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.DATA

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.LOWer

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.UPPer

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.MEMory

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:BB[1-1]:TRACe[1-1]:LOAD:SPURious:OSSPur:FLISt

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:BB1:TRACe1:LOAD:SPURious:OSSPur:FLISt Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.THReshold = Value

Description

This command imports threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports threshold table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.BB1.TRACe1.LOAD.SPURious.THReshold = Var

Related Objects

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.DATA

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.LOWer

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.UPPer

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.MEMory

SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:BB[1-1]:TRACe[1-1]:LOAD:SPURious:THReshold

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:BB1:TRACe1:LOAD:SPURious:THReshold Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.DATA = Value

Description

This command saves active trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.BB1.TRACe1.STORe.DATA = Var

Related Objects

SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.MEMory

SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:BB[1-1]:TRACe[1-1]:STORe[:DATA]

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:BB1:TRACe1:STORe[:DATA] Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.MEMory = Value

Description

This command saves active trace memory, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace memory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.BB1.TRACe1.STORe.MEMory = Var

Related Objects

SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.DATA

SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:BB[1-1]:TRACe[1-1]:STORe:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:BB1:TRACe1:STORe:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt = Value

Description

This command exports Spurious Table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Exports Spurious Table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file"

Examples

Dim Var as String
SCPI.MMEMory.BB1.TRACe1.STORe.SPURious.OSSPur.FLISt = Var

Related Objects

SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.DATA

SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:BB[1-1]:TRACe[1-1]:STORe:SPURious:OSSPur:FLISt

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:BB1:TRACe1:STORe:SPURious:OSSPur:FLISt Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.CATalog_Q dir, list

Object Type

Property (Read Only)

Syntax

Value = SCPI.MMEMory.CATalog_Q dir, list

Description

This command gets Catalog directory. The return data will be in the format: ,{,}. Each indicates the name and size in bytes of one file in the directory list in the form: ;,, Directories are indicated by following back slash..

Variable

Parameter | dir
Description | Catalog directory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error"

Parameter | list
Description | Catalog directory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error"

Examples

Dim Var as Variant
Var = SCPI.MMEMory.CATalog_Q dir, list

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:CATalog?

Query Response

{254 chars 254 chars} <newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:CATalog ?"
20 ENTER 717;A$


SCPI.MMEMory.COPY src, dst

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.COPY src, dst = Value

Description

This command copies file.

Variable

Parameter | src
Description | Copy file
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 72 "Failed to copy file"

Parameter | dst
Description | Copy file
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 72 "Failed to copy file"

Examples

Dim Var as Variant
SCPI.MMEMory.COPY src, dst = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:COPY {254 chars 254 chars}

Query Response

{254 chars 254 chars} <newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:COPY Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.DATA[_Q] file

Object Type

Property (Read-Write)

Syntax

SCPI.MMEMory.DATA[_Q] file = Value

Value = SCPI.MMEMory.DATA[_Q] file

Description

This command sets/gets file transfer through SCPI.

  • The data transfer format when this commands is executed depends on the setting with the SCPI.FORMat.DATA command.

Variable

Parameter | file
Description | File transfer
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 70, "Failed to read file" 71, "Failed to write file"

Examples

Dim Var as Multiple
Var= Sample_Text
SCPI.MMEMory.DATA[_Q] file, data = Var
Var = SCPI.MMEMory.DATA[_Q] file, data

Related Objects

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:DATA {254 chars -}

:MMEMory:DATA?

Query Response

{254 chars -} <newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:DATA Sample_Text"
20 OUTPUT 717;":MMEMory:DATA ?"
20 ENTER 717;A$


SCPI.MMEMory.DELete

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.DELete = Value

Description

This command deletes file/directory.

Variable

Parameter | Value
Description | Deletes file/directory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 73, "Failed to delete file"

Examples

Dim Var as String
SCPI.MMEMory.DELete = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:DELete

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:DELete Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.DATA = Value

Description

This command recalls data trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls data trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.FP1.TRACe4.LOAD.DATA = Var

Related Objects

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.DATA

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.LOWer

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.UPPer

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:FP[1-1]:TRACe[1-4]:LOAD:DATA

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:FP1:TRACe4:LOAD:DATA Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.LOWer = Value

Description

This command imports lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports lower limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.FP1.TRACe4.LOAD.LIMit.LOWer = Var

Related Objects

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.DATA

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.UPPer

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:FP[1-1]:TRACe[1-4]:LOAD:LIMit:LOWer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:FP1:TRACe4:LOAD:LIMit:LOWer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.UPPer = Value

Description

This command imports upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports upper limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.FP1.TRACe4.LOAD.LIMit.UPPer = Var

Related Objects

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.DATA

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.LOWer

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:FP[1-1]:TRACe[1-4]:LOAD:LIMit:UPPer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:FP1:TRACe4:LOAD:LIMit:UPPer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.MEMory = Value

Description

This command recalls memory trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls memory trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.FP1.TRACe4.LOAD.MEMory = Var

Related Objects

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.DATA

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.LOWer

SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:FP[1-1]:TRACe[1-4]:LOAD:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:FP1:TRACe4:LOAD:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.FP(Ch).TRACe(Tr).STORe.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.FP(Ch).TRACe(Tr).STORe.DATA = Value

Description

This command saves active trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.FP1.TRACe4.STORe.DATA = Var

Related Objects

SCPI.MMEMory.FP(Ch).TRACe(Tr).STORe.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:FP[1-1]:TRACe[1-4]:STORe[:DATA]

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:FP1:TRACe4:STORe[:DATA] Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.FP(Ch).TRACe(Tr).STORe.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.FP(Ch).TRACe(Tr).STORe.MEMory = Value

Description

This command saves active trace memory, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace memory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.FP1.TRACe4.STORe.MEMory = Var

Related Objects

SCPI.MMEMory.FP(Ch).TRACe(Tr).STORe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:FP[1-1]:TRACe[1-4]:STORe:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:FP1:TRACe4:STORe:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.LOAD.CORRection.POWer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.LOAD.CORRection.POWer = Value

Description

This command imports power correction table.

Variable

Parameter | Value
Description | Imports power correction table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.LOAD.CORRection.POWer = Var

Related Objects

SCPI.MMEMory.LOAD.CORRection.POWer

SCPI.MMEMory.LOAD.PROGram

SCPI.MMEMory.LOAD.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:LOAD:CORRection:POWer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:LOAD:CORRection:POWer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.LOAD.PROGram

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.LOAD.PROGram = Value

Description

This command load programs.

Variable

Parameter | Value
Description | Load programs
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 70, "Failed to read file" 77, "Load VBA program failed" -284, "Program currently running"

Examples

Dim Var as String
SCPI.MMEMory.LOAD.PROGram = Var

Related Objects

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:LOAD:PROGram

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:LOAD:PROGram Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.LOAD.STATe

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.LOAD.STATe = Value

Description

This command recalls settings.

Variable

Parameter | Value
Description | Recalls settings
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 75, "Recall failed"

Examples

Dim Var as String
SCPI.MMEMory.LOAD.STATe = Var

Related Objects

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:LOAD:STATe

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:LOAD:STATe Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.MDIRectory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.MDIRectory = Value

Description

This command creates directory.

Variable

Parameter | Value
Description | Creates directory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 74, "Failed to create directory"

Examples

Dim Var as String
SCPI.MMEMory.MDIRectory = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:MDIRectory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:MDIRectory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.DATA = Value

Description

This command recalls data trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls data trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.PN1.TRACe1.LOAD.DATA = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PN[1-1]:TRACe[1-1]:LOAD:DATA

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PN1:TRACe1:LOAD:DATA Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.LIMit.LOWer = Value

Description

This command imports lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.PN1.TRACe1.LOAD.LIMit.LOWer = Var

Related Objects

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PN[1-1]:TRACe[1-1]:LOAD:LIMit:LOWer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PN1:TRACe1:LOAD:LIMit:LOWer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.LIMit.UPPer = Value

Description

This command imports upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports upper limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.PN1.TRACe1.LOAD.LIMit.UPPer = Var

Related Objects

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PN[1-1]:TRACe[1-1]:LOAD:LIMit:UPPer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PN1:TRACe1:LOAD:LIMit:UPPer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.MEMory = Value

Description

This command recalls memory trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls memory trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.PN1.TRACe1.LOAD.MEMory = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PN[1-1]:TRACe[1-1]:LOAD:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PN1:TRACe1:LOAD:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt = Value

Description

This command imports Spurious Table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports Spurious Table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.PN1.TRACe1.LOAD.SPURious.OSSPur.FLISt = Var

Related Objects

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PN[1-1]:TRACe[1-1]:LOAD:SPURious:OSSPur:FLISt

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PN1:TRACe1:LOAD:SPURious:OSSPur:FLISt Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.THReshold = Value

Description

This command imports threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports threshold table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.PN1.TRACe1.LOAD.SPURious.THReshold = Var

Related Objects

SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PN[1-1]:TRACe[1-1]:LOAD:SPURious:THReshold

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PN1:TRACe1:LOAD:SPURious:THReshold Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.DATA = Value

Description

This command saves active trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.PN1.TRACe1.STORe.DATA = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PN[1-1]:TRACe[1-1]:STORe[:DATA]

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PN1:TRACe1:STORe[:DATA] Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.MEMory = Value

Description

This command saves active trace memory, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace memory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.PN1.TRACe1.STORe.MEMory = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PN[1-1]:TRACe[1-1]:STORe:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PN1:TRACe1:STORe:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt = Value

Description

This command exports Spurious Table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Exports Spurious Table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file"

Examples

Dim Var as String
SCPI.MMEMory.PN1.TRACe1.STORe.SPURious.OSSPur.FLISt = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PN[1-1]:TRACe[1-1]:STORe:SPURious:OSSPur:FLISt

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PN1:TRACe1:STORe:SPURious:OSSPur:FLISt Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.DATA = Value

Description

This command recalls data trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls data trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String

Var = "Sample_Text"
SCPI.MMEMory.PS1.TRACe1.LOAD.DATA = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PS[1-1]:TRACe[1-1]:LOAD:DATA

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PS1:TRACe1:LOAD:DATA Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.LIMit.LOWer = Value

Description

This command imports lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Lower limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String

Var = "Sample_Text"
SCPI.MMEMory.PS1.TRACe1.LOAD.LIMit.LOWer = Var

Related Objects

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PS[1-1]:TRACe[1-1]:LOAD:LIMit:LOWer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PS1:TRACe1:LOAD:LIMit:LOWer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.LIMit.UPPer = Value

Description

This command imports upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports upper limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String

Var = "Sample_Text"
SCPI.MMEMory.PS1.TRACe1.LOAD.LIMit.UPPer = Var

Related Objects

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PS[1-1]:TRACe[1-1]:LOAD:LIMit:UPPer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PS1:TRACe1:LOAD:LIMit:UPPer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.MEMory = Value

Description

This command recalls memory trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls memory trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String

Var = "Sample_Text"
SCPI.MMEMory.PS1.TRACe1.LOAD.MEMory = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PS[1-1]:TRACe[1-1]:LOAD:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PS1:TRACe1:LOAD:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt = Value

Description

This command imports Spurious Table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports Spurious Table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String

Var = "Sample_Text"
SCPI.MMEMory.PS1.TRACe1.LOAD.SPURious.OSSPur.FLISt = Var

Related Objects

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PS[1-1]:TRACe[1-1]:LOAD:SPURious:OSSPur:FLISt

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PS1:TRACe1:LOAD:SPURious:OSSPur:FLISt Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.THReshold

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.THReshold = Value

Description

This command imports threshold table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports threshold table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String

Var = "Sample_Text"
SCPI.MMEMory.PS1.TRACe1.LOAD.SPURious.THReshold = Var

Related Objects

SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PS[1-1]:TRACe[1-1]:LOAD:SPURious:THReshold

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PS1:TRACe1:LOAD:SPURious:THReshold Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.DATA = Value

Description

This command saves active trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String

Var = "Sample_Text"
SCPI.MMEMory.PS1.TRACe1.STORe.DATA = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PS[1-1]:TRACe[1-1]:STORe[:DATA]

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PS1:TRACe1:STORe[:DATA] Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.MEMory = Value

Description

This command saves active trace memory, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace memory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String

Var = "Sample_Text"
SCPI.MMEMory.PS1.TRACe1.STORe.MEMory = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PS[1-1]:TRACe[1-1]:STORe:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PS1:TRACe1:STORe:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt = Value

Description

This command exports Spurious Table, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Exports Spurious Table
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file"

Examples

Dim Var as String

Var = "Sample_Text"
SCPI.MMEMory.PS1.TRACe1.STORe.SPURious.OSSPur.FLISt = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:PS[1-1]:TRACe[1-1]:STORe:SPURious:OSSPur:FLISt

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:PS1:TRACe1:STORe:SPURious:OSSPur:FLISt Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.DATA = Value

Description

This command recalls data trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls data trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.SP1.TRACe1.LOAD.DATA = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:SP[1-1]:TRACe[1-1]:LOAD:DATA

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:SP1:TRACe1:LOAD:DATA Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.LIMit.LOWer = Value

Description

This command imports lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports lower limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.SP1.TRACe1.LOAD.LIMit.LOWer = Var

Related Objects

SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:SP[1-1]:TRACe[1-1]:LOAD:LIMit:LOWer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:SP1:TRACe1:LOAD:LIMit:LOWer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.LIMit.UPPer = Value

Description

This command imports upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports upper limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.SP1.TRACe1.LOAD.LIMit.UPPer = Var

Related Objects

SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:SP[1-1]:TRACe[1-1]:LOAD:LIMit:UPPer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:SP1:TRACe1:LOAD:LIMit:UPPer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.MEMory = Value

Description

This command recalls memory trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls memory trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.SP1.TRACe1.LOAD.MEMory = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:SP[1-1]:TRACe[1-1]:LOAD:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:SP1:TRACe1:LOAD:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.DATA = Value

Description

This command saves active trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.SP1.TRACe1.STORe.DATA = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:SP[1-1]:TRACe[1-1]:STORe[:DATA]

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:SP1:TRACe1:STORe[:DATA] Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.MEMory = Value

Description

This command saves active trace memory, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace memory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.SP1.TRACe1.STORe.MEMory = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:SP[1-1]:TRACe[1-1]:STORe:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:SP1:TRACe1:STORe:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.STORe.IMAGe

Object Type

Property (Write Only)

Syntax

SCPI.MMEMory.STORe.IMAGe = File

Description

This command saves the display image on the LCD display at the execution of the object into a file in the bitmap (extension ".bmp") or portable network graphics (extension ".png") format.

  • When saving the E5052B measurement screen, execute the VBA program with the Visual Basic editor closed. For more information, see Running_a_Program_from_the_E5052B_Measurement_Screen.

  • Specify the file name with the extension When you use directory names and file name, separate them with "\ " (back slash), or "/" (slash).

Variable

Parameter | File
Description | File name in which you want to save the display image on the LCD display (extension ".bmp" or ".png")
Data Type | Character string type (String)
Range | 254 characters or less
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file"

  • If a file with the same name as the specified file name exists, its contents are overwritten.

Examples

SCPI.MMEMory.STORe.IMAGe = "f:\image01.bmp"

SCPI.MMEMory.STORe.IMAGe = "test/image01.png"

Equivalent Key

System > Dump Screen Image

When performing the operation from the front panel, the image on the LCD display memorized in the volatile memory (clipboard) (the image on the LCD display when the Capture (System) key is pressed) is saved.

If no image is memorized in the clipboard, in the same way as the SCPI.MMEMory.STORe.IMAGe object, the image on the LCD display at the execution is memorized in the clipboard and then it is saved.

Equivalent SCPI Command

Syntax

:MMEMory:STORe:IMAGe <string>

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:STORe:IMAGe ""Result/Image01.bmp"""
20 OUTPUT 717;":MMEMory:STORe:IMAGe ""D:Image01.png"""


SCPI.MMEMory.STORe.PROGram

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.STORe.PROGram = Value

Description

This command saves VBA project.

Variable

Parameter | Value
Description | Saves VBA project
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 78, "Save VBA program failed"

Examples

Dim Var as String
SCPI.MMEMory.STORe.PROGram = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:STORe:PROGram

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:STORe:PROGram Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.STORe.STATe

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.STORe.STATe = Value

Description

This command saves settings.

Variable

Parameter | Value
Description | Saves settings
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.STORe.STATe = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:STORe:STATe

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:STORe:STATe Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.STORe.STYPe

Object Type

Property (Read-Write)

Syntax

SCPI.MMEMory.STORe.STYPe = Value

Value = SCPI.MMEMory.STORe.STYPe

Description

This command sets/gets E5052B state type.

Variable

Parameter | Value
Description | State type
Data Type | Character string type (String)
Range | STATe: Instrument States Only DSTate:Instrument States and Data
Preset Value | STATe
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var= "STATe"
SCPI.MMEMory.STORe.STYPe = Var
Var = SCPI.MMEMory.STORe.STYPe

Equivalent Key

PN Menu: Save/Recall > Save State > Save Type

SP Menu: Save/Recall > Save State > Save Type

FP Menu: Save/Recall > Save State > Save Type

TR Menu: Save/Recall > Save State > Save Type

AM Menu: Save/Recall > Save State > Save Type

BB Menu: Save/Recall > Save State > Save Type

PS Menu: Save/Recall > Save State > Save Type

USER Menu: Save/Recall > Save State > Save Type

Equivalent SCPI Command

Syntax

:MMEMory:STORe:STYPe {STATe|DSTate}

:MMEMory:STORe:STYPe?

Query Response

{STATe|DSTate} <newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:STORe:STYPe STATe"
20 OUTPUT 717;":MMEMory:STORe:STYPe ?"
30 ENTER 717;A$


SCPI.MMEMory.STORe.TRACe.AINFormation

Object Type

Property (Read-Write)

Syntax

SCPI.MMEMory.STORe.TRACe.AINFormation = Value

Value = SCPI.MMEMory.STORe.TRACe.AINFormation

Description

This command sets/gets trace/memory header.

  • This function is available when measurements mode are AM, PN and PS.

Variable

Parameter | Value
Description | trace/memory header
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.MMEMory.STORe.TRACe.AINFormation = Var
Var = SCPI.MMEMory.STORe.TRACe.AINFormation

Equivalent Key

AM Menu: Save/Recall > Additional Info

PN Menu: Save/Recall > Additional Info

PS Menu: Save/Recall > Additional Info

Equivalent SCPI Command

Syntax

:MMEMory:STORe:TRACe:AINFormation {ON|OFF|1|0}

:MMEMory:STORe:TRACe:AINFormation?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:STORe:TRACe:AINFormation 1"
20 OUTPUT 717;":MMEMory:STORe:TRACe:AINFormation?"
30 ENTER 717;A


SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.DATA = Value

Description

This command recalls data trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls data trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.TR1.TRACe4.LOAD.DATA = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:TR[1-1]:TRACe[1-8]:LOAD:DATA

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:TR1:TRACe4:LOAD:DATA Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.LIMit.LOWer = Value

Description

This command import lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Import lower limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.TR1.TRACe4.LOAD.LIMit.LOWer = Var

Related Objects

SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:TR[1-1]:TRACe[1-8]:LOAD:LIMit:LOWer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:TR1:TRACe4:LOAD:LIMit:LOWer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.LIMit.UPPer = Value

Description

This command imports upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports upper limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.TR1.TRACe4.LOAD.LIMit.UPPer = Var

Related Objects

SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:TR[1-1]:TRACe[1-8]:LOAD:LIMit:UPPer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:TR1:TRACe4:LOAD:LIMit:UPPer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.MEMory = Value

Description

This command recalls memory trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls memory trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.TR1.TRACe4.LOAD.MEMory = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:TR[1-1]:TRACe[1-8]:LOAD:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:TR1:TRACe4:LOAD:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.DATA = Value

Description

This command saves active trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.TR1.TRACe4.STORe.DATA = Var

Related Objects

SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:TR[1-1]:TRACe[1-8]:STORe[:DATA]

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:TR1:TRACe4:STORe[:DATA] Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.MEMory = Value

Description

This command saves active trace memory, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace memory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.TR1.TRACe4.STORe.MEMory = Var

Related Objects

SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:TR[1-1]:TRACe[1-8]:STORe:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:TR1:TRACe4:STORe:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.DATA = Value

Description

This command recalls data trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls data trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.USER1.TRACe8.LOAD.DATA = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:USER[1-1]:TRACe[1-8]:LOAD:DATA

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:USER1:TRACe8:LOAD:DATA Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.LIMit.LOWer = Value

Description

This command imports lower limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports lower limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.USER1.TRACe8.LOAD.LIMit.LOWer = Var

Related Objects

SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:USER[1-1]:TRACe[1-8]:LOAD:LIMit:LOWer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:USER1:TRACe8:LOAD:LIMit:LOWer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.LIMit.UPPer

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.LIMit.UPPer = Value

Description

This command imports upper limit line, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Imports upper limit line
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" -256, "File name not found" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.USER1.TRACe8.LOAD.LIMit.UPPer = Var

Related Objects

SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.LIMit.LOWer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:USER[1-1]:TRACe[1-8]:LOAD:LIMit:UPPer

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:USER1:TRACe8:LOAD:LIMit:UPPer Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.MEMory = Value

Description

This command recalls memory trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Recalls memory trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -256, "File name not found" -257, "File name error" 70, "Failed to read file"

Examples

Dim Var as String
SCPI.MMEMory.USER1.TRACe8.LOAD.MEMory = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:USER[1-1]:TRACe[1-8]:LOAD:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:USER1:TRACe8:LOAD:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.DATA

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.DATA = Value

Description

This command saves active trace data, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace data
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.USER1.TRACe8.STORe.DATA = Var

Related Objects

SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.MEMory

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:USER[1-1]:TRACe[1-8]:STORe[:DATA]

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:USER1:TRACe8:STORe[:DATA] Sample_Text"
20 ENTER 717;A$


SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.MEMory

Object Type

Method (Write Only)

Syntax

SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.MEMory = Value

Description

This command saves active trace memory, for the selected trace Tr of the selected channel Ch.

Variable

Parameter | Value
Description | Saves active trace memory
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -257, "File name error" 71, "Failed to write file" 76, "Save failed"

Examples

Dim Var as String
SCPI.MMEMory.USER1.TRACe8.STORe.MEMory = Var

Related Objects

SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:MMEMory:USER[1-1]:TRACe[1-8]:STORe:MEMory

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":MMEMory:USER1:TRACe8:STORe:MEMory Sample_Text"
20 ENTER 717;A$


SCPI.PROGram.CATalog

Object Type

Property (Read Only)

Syntax

Value = SCPI.PROGram.CATalog

Description

This command gets the list of all defined programs.

Variable

Parameter | Value
Description | Gets the list of all defined programs
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var = SCPI.PROGram.CATalog

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:CATalog?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":PROGram:CATalog ?"
20 ENTER 717;A$


SCPI.PROGram.COM.EVENt

Object Type

Property (Read-Write)

Syntax

SCPI.PROGram.COM.EVENt = Value

Value = SCPI.PROGram.COM.EVENt

Description

This command sets/gets VBA callback.

Variable

Parameter | Value
Description | VBA callback
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.PROGram.COM.EVENt = Var
Var = SCPI.PROGram.COM.EVENt

Equivalent Key

PN Menu: Macro Setup > E5052 Event

SP Menu: Macro Setup > E5052 Event

FP Menu: Macro Setup > E5052 Event

TR Menu: Macro Setup > E5052 Event

AM Menu: Macro Setup > E5052 Event

BB Menu: Macro Setup > E5052 Event

PS Menu: Macro Setup > E5052 Event

USER Menu: Macro Setup > E5052 Event

Equivalent SCPI Command

Syntax

:PROGram:COM:EVENt {ON|OFF|1|0}

:PROGram:COM:EVENt?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":PROGram:COM:EVENt 1"
20 OUTPUT 717;":PROGram:COM:EVENt ?"
30 ENTER 717;A


SCPI.PROGram.COMMand

Object Type

Method (Write Only)

Syntax

SCPI.PROGram.COMMand = Value

Description

This command sends command to VBA.

Variable

Parameter | Value
Description | Sends command to VBA
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | 92, "Program not running" 93, "Program command error"

Examples

Dim Var as String
SCPI.PROGram.COMMand = Var

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:COMMand

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":PROGram:COMMand Sample_Text"
20 ENTER 717;A$


SCPI.PROGram.QUERy_Q cmd, ret

Object Type

Property (Read Only)

Syntax

Value = SCPI.PROGram.QUERy_Q cmd, ret

Description

This command gets query to VBA.

Variable

Parameter | cmd
Description | Query to VBA
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | 92, "Program not running"

Parameter | ret
Description | Query to VBA
Data Type | Character string type (String)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | 93, "Program command error"

Examples

Dim Var as Variant
Var = SCPI.PROGram.QUERy_Q cmd, ret

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:QUERy?

Query Response

{254 chars -} <newline><^END>

Example of use

10 OUTPUT 717;":PROGram:QUERy ?"
20 ENTER 717;A$


SCPI.PROGram.SELected.NAME

Object Type

Property (Read-Write)

Syntax

SCPI.PROGram.SELected.NAME = Value

Value = SCPI.PROGram.SELected.NAME

Description

This command sets/gets the name of the program to be selected.

Variable

Parameter | Value
Description | Name of the program to be selected
Data Type | Character string type (String)
Range | 254 chars
Preset Value | "E5052.Module1.Main"
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
SCPI.PROGram.SELected.NAME = Var
Var = SCPI.PROGram.SELected.NAME

Related Objects

SCPI.PROGram.SELected.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:SELected:NAME

:PROGram:SELected:NAME?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":PROGram:SELected:NAME Sample_Text"
20 OUTPUT 717;":PROGram:SELected:NAME ?"
30 ENTER 717;A$


SCPI.PROGram.SELected.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.PROGram.SELected.STATe = Value

Value = SCPI.PROGram.SELected.STATe

Description

This command sets/gets the state of a selected program.

Variable

Parameter | Value
Description | State of a selected program
Data Type | Character string type (String)
Range | STOP|RUN
Preset Value | STOP
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -286, "Program runtime error" -284, "Program currently running" -282, "Illegal program name" 90, "Failed to stop program"

Examples

Dim Var as String
Var= "STOP"
SCPI.PROGram.SELected.STATe = Var
Var = SCPI.PROGram.SELected.STATe

Related Objects

SCPI.PROGram.SELected.NAME

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:SELected:STATe {STOP|RUN}

:PROGram:SELected:STATe?

Query Response

{STOP|RUN} <newline><^END>

Example of use

10 OUTPUT 717;":PROGram:SELected:STATe STOP"
20 OUTPUT 717;":PROGram:SELected:STATe ?"
30 ENTER 717;A$


SCPI.PROGram.SKEY.ITEM(1-8).ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.PROGram.SKEY.ITEM(1-8).ENABle = Value

Value = SCPI.PROGram.SKEY.ITEM(1-8).ENABle

Description

This command enable/disable user defined key label.

Variable

Parameter | Value
Description | User defined key label
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.PROGram.SKEY.ITEM8.ENABle = Var
Var = SCPI.PROGram.SKEY.ITEM8.ENABle

Related Objects

SCPI.PROGram.SKEY.ITEM(1-8).ENABle

SCPI.PROGram.SKEY.ITEM(1-8).IMMediate

SCPI.PROGram.SKEY.ITEM(1-8).LABel

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:SKEY:ITEM[1-8]:ENABle {ON|OFF|1|0}

:PROGram:SKEY:ITEM[1-8]:ENABle?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":PROGram:SKEY:ITEM8:ENABle 1"
20 OUTPUT 717;":PROGram:SKEY:ITEM8:ENABle ?"
30 ENTER 717;A


SCPI.PROGram.SKEY.ITEM(1-8).IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.PROGram.SKEY.ITEM(1-8).IMMediate

Description

This command executes user defined key. This command generates an error if either the program is not running, event is not enabled or if the item is not enabled.

Examples

SCPI.PROGram.SKEY.ITEM8.IMMediate

Related Objects

SCPI.PROGram.SKEY.ITEM(1-8).ENABle

SCPI.PROGram.SKEY.ITEM(1-8).LABel

Equivalent Key

PN Menu: Macro Setup > User Menu > User Label 1

SP Menu: Macro Setup > User Menu > User Label 1

FP Menu: Macro Setup > User Menu > User Label 1

TR Menu: Macro Setup > User Menu > User Label 1

AM Menu: Macro Setup > User Menu > User Label 1

BB Menu: Macro Setup > User Menu > User Label 1

USER Menu: Macro Setup > User Menu > User Label 1

Equivalent SCPI Command

Syntax

:PROGram:SKEY:ITEM[1-8]:IMMediate

Example of use

10 OUTPUT 717;":PROGram:SKEY:ITEM8:IMMediate"


SCPI.PROGram.SKEY.ITEM(1-8).LABel

Object Type

Property (Read-Write)

Syntax

SCPI.PROGram.SKEY.ITEM(1-8).LABel = Value

Value = SCPI.PROGram.SKEY.ITEM(1-8).LABel

Description

This command sets/gets user defined key label.

Variable

Parameter | Value
Description | User defined key label
Data Type | Character string type (String)
Range | 30 chars
Preset Value | "User Label 1"
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var= "STOP"
SCPI.PROGram.SKEY.ITEM8.LABel = Var
Var = SCPI.PROGram.SKEY.ITEM8.LABel

Related Objects

SCPI.PROGram.SKEY.ITEM(1-8).ENABle

SCPI.PROGram.SKEY.ITEM(1-8).IMMediate

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:SKEY:ITEM[1-8]:LABel {30 chars}

:PROGram:SKEY:ITEM[1-8]:LABel?

Query Response

{30 chars} <newline><^END>

Example of use

10 OUTPUT 717;":PROGram:SKEY:ITEM8:LABel Sample_Text"
20 OUTPUT 717;":PROGram:SKEY:ITEM8:LABel ?"
30 ENTER 717;A$


SCPI.PROGram.VARiable.ARRay(1-10).DATA

Object Type

Property (Read-Write)

Syntax

SCPI.PROGram.VARiable.ARRay(1-10).DATA = Value

Value = SCPI.PROGram.VARiable.ARRay(1-10).DATA

Description

This command sets/gets user defined array data.

Variable

Parameter | Value
Description | User defined array data
Data Type | Variant type Array (Range)
Range | 1...1601
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var(1 to 1601) as Variant
SCPI.PROGram.VARiable.ARRay10.DATA = Var
Var = SCPI.PROGram.VARiable.ARRay10.DATA

Related Objects

SCPI.PROGram.VARiable.ARRay(1-10).POINts

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:VARiable:ARRay[1-10]:DATA {1...1601}

:PROGram:VARiable:ARRay[1-10]:DATA?

Query Response

{1...1601} <newline><^END>

Example of use

10 Dim A(1:1601)
20 OUTPUT 717;":PROGram:VARiable:ARRay10:DATA 1,1601"
30 OUTPUT 717;":PROGram:VARiable:ARRay10:DATA ?"
40 ENTER 717;A(*)


SCPI.PROGram.VARiable.ARRay(1-10).POINts

Object Type

Property (Read-Write)

Syntax

SCPI.PROGram.VARiable.ARRay(1-10).POINts = Value

Value = SCPI.PROGram.VARiable.ARRay(1-10).POINts

Description

This command sets/gets number of points in a user defined array.

Variable

Parameter | Value
Description | Number of points in a user defined array
Data Type | Long integer type (Long)
Range | 2 ~ 1601
Preset Value | 1601
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 2
SCPI.PROGram.VARiable.ARRay10.POINts = Var
Var = SCPI.PROGram.VARiable.ARRay10.POINts

Related Objects

SCPI.PROGram.VARiable.ARRay(1-10).DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:VARiable:ARRay[1-10]:POINts {2 ~ 1601}

:PROGram:VARiable:ARRay[1-10]:POINts?

Query Response

{2 ~ 1601} <newline><^END>

Example of use

10 OUTPUT 717;":PROGram:VARiable:ARRay10:POINts 2 "
20 OUTPUT 717;":PROGram:VARiable:ARRay10:POINts ?"
30 ENTER 717;A


SCPI.PROGram.VARiable.DOUBle(1-10)

Object Type

Property (Read-Write)

Syntax

SCPI.PROGram.VARiable.DOUBle(1-10) = Value

Value = SCPI.PROGram.VARiable.DOUBle(1-10)

Description

This command sets/gets user defined 64bit floating variable.

Variable

Parameter | Value
Description | User defined 64bit floating variable
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
SCPI.PROGram.VARiable.DOUBle10 = Var
Var = SCPI.PROGram.VARiable.DOUBle10

Related Objects

SCPI.PROGram.VARiable.INTeger(1-10)

SCPI.PROGram.VARiable.STRing(1-10)

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:VARiable:DOUBle[1-10]

:PROGram:VARiable:DOUBle[1-10]?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":PROGram:VARiable:DOUBle10 0"
20 OUTPUT 717;":PROGram:VARiable:DOUBle10 ?"
30 ENTER 717;A


SCPI.PROGram.VARiable.INTeger(1-10)

Object Type

Property (Read-Write)

Syntax

SCPI.PROGram.VARiable.INTeger(1-10) = Value

Value = SCPI.PROGram.VARiable.INTeger(1-10)

Description

This command sets/gets user defined integer variable.

Variable

Parameter | Value
Description | User defined integer variable
Data Type | Long integer type (Long)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
SCPI.PROGram.VARiable.INTeger10 = Var
Var = SCPI.PROGram.VARiable.INTeger10

Related Objects

SCPI.PROGram.VARiable.DOUBle(1-10)

SCPI.PROGram.VARiable.STRing(1-10)

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:VARiable:INTeger[1-10]

:PROGram:VARiable:INTeger[1-10]?

Query Response

{Long} <newline><^END>

Example of use

10 OUTPUT 717;":PROGram:VARiable:INTeger10 -"
20 OUTPUT 717;":PROGram:VARiable:INTeger10 ?"
30 ENTER 717;A


SCPI.PROGram.VARiable.STRing(1-10)

Object Type

Property (Read-Write)

Syntax

SCPI.PROGram.VARiable.STRing(1-10) = Value

Value = SCPI.PROGram.VARiable.STRing(1-10)

Description

This command sets/gets user defined string.

Variable

Parameter | Value
Description | User defined string
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
SCPI.PROGram.VARiable.STRing10 = Var
Var = SCPI.PROGram.VARiable.STRing10

Related Objects

SCPI.PROGram.VARiable.DOUBle(1-10)

SCPI.PROGram.VARiable.INTeger(1-10)

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:PROGram:VARiable:STRing[1-10]

:PROGram:VARiable:STRing[1-10]?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":PROGram:VARiable:STRing10 Sample_Text"
20 OUTPUT 717;":PROGram:VARiable:STRing10 ?"
30 ENTER 717;A$


SCPI.SENSe.AM(Ch).ASET

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.AM(Ch).ASET

Description

This command sets Attn, Freq Band and IF Gain Auto Set, for the selected channel Ch.

Examples

SCPI.SENSe.AM1.ASET

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:ASET

Example of use

10 OUTPUT 717;":SENSe:AM1:ASET"


SCPI.SENSe.AM(Ch).AVERage.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.AM(Ch).AVERage.CLEar

Description

This command sets average clear, for the selected channel Ch.

Examples

SCPI.SENSe.AM1.AVERage.CLEar

Related Objects

SCPI.SENSe.AM(Ch).AVERage.COUNt

SCPI.SENSe.AM(Ch).AVERage.STATe

Equivalent Key

AM Menu: Average > Averaging Restart

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:AVERage:CLEar

Example of use

10 OUTPUT 717;":SENSe:AM1:AVERage:CLEar"


SCPI.SENSe.AM(Ch).AVERage.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.AM(Ch).AVERage.COUNt = Value

Value = SCPI.SENSe.AM(Ch).AVERage.COUNt

Description

This command sets/gets average count, for the selected channel Ch.

Variable

Parameter | Value
Description | Average count
Data Type | Long integer type (Long)
Range | 1 ~ 999
Preset Value | 16
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.AM1.AVERage.COUNt = Var
Var = SCPI.SENSe.AM1.AVERage.COUNt

Related Objects

SCPI.SENSe.AM(Ch).AVERage.CLEar

SCPI.SENSe.AM(Ch).AVERage.STATe

Equivalent Key

AM Menu: Average > Avg Factor

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:AVERage:COUNt {1 ~ 999}

:SENSe:AM[1-1]:AVERage:COUNt?

Query Response

{1 ~ 999} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:AM1:AVERage:COUNt 1 "
20 OUTPUT 717;":SENSe:AM1:AVERage:COUNt ?"
30 ENTER 717;A


SCPI.SENSe.AM(Ch).AVERage.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.AM(Ch).AVERage.STATe = Value

Value = SCPI.SENSe.AM(Ch).AVERage.STATe

Description

This command sets/gets average ON/OFF, for the selected channel Ch.

Variable

Parameter | Value
Description | Average (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.AM1.AVERage.STATe = Var
Var = SCPI.SENSe.AM1.AVERage.STATe

Related Objects

SCPI.SENSe.AM(Ch).AVERage.CLEar

SCPI.SENSe.AM(Ch).AVERage.COUNt

Equivalent Key

AM Menu: Average > Averaging

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:AVERage:STATe {ON|OFF|1|0}

:SENSe:AM[1-1]:AVERage:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:AM1:AVERage:STATe 1"
20 OUTPUT 717;":SENSe:AM1:AVERage:STATe ?"
30 ENTER 717;A


SCPI.SENSe.AM(Ch).CORRelation.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.AM(Ch).CORRelation.COUNt = Value

Value = SCPI.SENSe.AM(Ch).CORRelation.COUNt

Description

This command sets/gets correlation count, for the selected channel Ch.

Variable

Parameter | Value
Description | Correlation count
Data Type | Long integer type (Long)
Range | 1 ~ 10000
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.AM1.CORRelation.COUNt = Var
Var = SCPI.SENSe.AM1.CORRelation.COUNt

Equivalent Key

AM Menu: Average > Correlation

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:CORRelation:COUNt {1 ~ 10000}

:SENSe:AM[1-1]:CORRelation:COUNt?

Query Response

{1 ~ 10000} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:AM1:CORRelation:COUNt 1 "
20 OUTPUT 717;":SENSe:AM1:CORRelation:COUNt ?"
30 ENTER 717;A


SCPI.SENSe.AM(Ch).DCONverter.FREQuency

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.AM(Ch).DCONverter.FREQuency = Value

Value = SCPI.SENSe.AM(Ch).DCONverter.FREQuency

Description

This command sets/gets downconverter input frequency (carrier nominal frequency), for the selected channel Ch.

Variable

Parameter | Value
Description | Downconverter input frequency (carrier nominal frequency)
Data Type | Double precision floating point type (Double)
Range | 3G ~ 26.5G
Preset Value | 3G
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 3000000000
SCPI.SENSe.AM1.DCONverter.FREQuency = Var
Var = SCPI.SENSe.AM1.DCONverter.FREQuency

Related Objects

SCPI.SENSe.AM(Ch).DCONverter.SSEarch.EXECute

Equivalent Key

AM Menu: Setup > Nominal Frequency

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:DCONverter:FREQuency {3G ~ 26.5G}

:SENSe:AM[1-1]:DCONverter:FREQuency?

Query Response

{3G ~ 26.5G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:AM1:DCONverter:FREQuency 3000000000"
20 OUTPUT 717;":SENSe:AM1:DCONverter:FREQuency ?"
30 ENTER 717;A


SCPI.SENSe.AM(Ch).DCONverter.SSEarch.EXECute

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.AM(Ch).DCONverter.SSEarch.EXECute

Description

This command searches carrier signal, for the selected channel Ch.

Examples

SCPI.SENSe.AM1.DCONverter.SSEarch.EXECute

Related Objects

SCPI.SENSe.AM(Ch).DCONverter.FREQuency

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:DCONverter:SSEarch:EXECute

Example of use

10 OUTPUT 717;":SENSe:AM1:DCONverter:SSEarch:EXECute"


SCPI.SENSe.AM(Ch).FAST

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.AM(Ch).FAST = Value

Value = SCPI.SENSe.AM(Ch).FAST

Description

This command sets/gets fast measurement mode, for the selected channel Ch.

Variable

Parameter | Value
Description | Fast measurement mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.AM1.FAST = Var
Var = SCPI.SENSe.AM1.FAST

Equivalent Key

AM Menu: Setup > Fast Measurement

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:FAST {ON|OFF|1|0}

:SENSe:AM[1-1]:FAST?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:AM1:FAST 1"
20 OUTPUT 717;":SENSe:AM1:FAST ?"
30 ENTER 717;A


SCPI.SENSe.AM(Ch).FBANd

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.AM(Ch).FBANd = Value

Value = SCPI.SENSe.AM(Ch).FBANd

Description

This command sets/gets frequency band, for the selected channel Ch.

Variable

Parameter | Value
Description | Frequency band
Data Type | Character string type (String)
Range | BAND2|BAND3|BAND4|BAND5|BAND6
Preset Value | BAND4
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "BAND2"
SCPI.SENSe.AM1.FBANd = Var
Var = SCPI.SENSe.AM1.FBANd

Equivalent Key

AM Menu: Setup > Frequency Band

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:FBANd {BAND2|BAND3|BAND4|BAND5|BAND6}

:SENSe:AM[1-1]:FBANd?

Query Response

{BAND2|BAND3|BAND4|BAND5|BAND6} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:AM1:FBANd BAND2"
20 OUTPUT 717;":SENSe:AM1:FBANd ?"
30 ENTER 717;A$


SCPI.SENSe.AM(Ch).FREQuency.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.AM(Ch).FREQuency.STARt = Value

Value = SCPI.SENSe.AM(Ch).FREQuency.STARt

Description

This command sets/gets start frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Start frequency
Data Type | Double precision floating point type (Double)
Range | 1|10|100|1k
Preset Value | 1k
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.AM1.FREQuency.STARt = Var
Var = SCPI.SENSe.AM1.FREQuency.STARt

Related Objects

SCPI.SENSe.AM(Ch).FREQuency.STOP

Equivalent Key

AM Menu: Start > 1Hz

AM Menu: Start > 10Hz

AM Menu: Start > 100Hz

AM Menu: Start > 1kHz

AM Menu: Marker To > Marker > Start

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:FREQuency:STARt {1|10|100|1k}

:SENSe:AM[1-1]:FREQuency:STARt?

Query Response

{1|10|100|1k} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:AM1:FREQuency:STARt 0"
20 OUTPUT 717;":SENSe:AM1:FREQuency:STARt ?"
30 ENTER 717;A


SCPI.SENSe.AM(Ch).FREQuency.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.AM(Ch).FREQuency.STOP = Value

Value = SCPI.SENSe.AM(Ch).FREQuency.STOP

Description

This command sets/gets stop frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Stop frequency
Data Type | Double precision floating point type (Double)
Range | 100k|1M|5M|10M|20M|40M
Preset Value | 10M
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 100000
SCPI.SENSe.AM1.FREQuency.STOP = Var
Var = SCPI.SENSe.AM1.FREQuency.STOP

Related Objects

SCPI.SENSe.AM(Ch).FREQuency.STARt

Equivalent Key

AM Menu: Stop > 100kHz

AM Menu: Stop > 1MHz

AM Menu: Stop > 5MHz

AM Menu: Stop > 10MHz

AM Menu: Stop > 20MHz

AM Menu: Stop > 40MHz

AM Menu: Marker To > Marker > Stop

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:FREQuency:STOP {100k|1M|5M|10M|20M|40M}

:SENSe:AM[1-1]:FREQuency:STOP?

Query Response

{100k|1M|5M|10M|20M|40M} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:AM1:FREQuency:STOP 100000"
20 OUTPUT 717;":SENSe:AM1:FREQuency:STOP ?"
30 ENTER 717;A


SCPI.SENSe.AM(Ch).SEGTable.MEASurement.QUALity

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.AM(Ch).SEGTable.MEASurement.QUALity = Value

Value = SCPI.SENSe.AM(Ch).SEGTable.MEASurement.QUALity

Description

This command specifies the segment table to be used, for the selected channel Ch.

Variable

Parameter | Value
Description | Specifies the segment table to be used
Data Type | Character string type (String)
Range | NORMal|FAST
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.SENSe.AM1.SEGTable.MEASurement.QUALity = Var
Var = SCPI.SENSe.AM1.SEGTable.MEASurement.QUALity

Equivalent Key

AM Menu: Setup > Measurement Quality

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:SEGTable[:MEASurement][:QUALity] {NORMal|FAST}

:SENSe:AM[1-1]:SEGTable[:MEASurement][:QUALity]?

Query Response

{NORMal|FAST} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:AM1:SEGTable[:MEASurement][:QUALity] NORMal"
20 OUTPUT 717;":SENSe:AM1:SEGTable[:MEASurement][:QUALity] ?"
30 ENTER 717;A$


SCPI.SENSe.AM(Ch).SWEep.POINts

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.AM(Ch).SWEep.POINts

Description

This command gets number of points, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of points
Data Type | Long integer type (Long)
Range | 2 ~ 1601
Preset Value | 517
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 2
Var = SCPI.SENSe.AM1.SWEep.POINts

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:AM[1-1]:SWEep:POINts?

Query Response

{2 ~ 1601} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:AM1:SWEep:POINts ?"
20 ENTER 717;A


SCPI.SENSe.ATTenuation.LEVel

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.ATTenuation.LEVel = Value

Value = SCPI.SENSe.ATTenuation.LEVel

Description

This command sets/gets Input Attenuator level on 5dB Step.

Variable

Parameter | Value
Description | Input Attenuator level on 5dB Step
Data Type | Double precision floating point type (Double)
Range | 0 ~ 35
Preset Value | 5
Unit | dB
Resolution | 5
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.ATTenuation.LEVel = Var
Var = SCPI.SENSe.ATTenuation.LEVel

Equivalent Key

PN Menu: Attenuator > Input Attenuator

SP Menu: Attenuator > Input Attenuator

FP Menu: Attenuator > Input Attenuator

TR Menu: Attenuator > Input Attenuator

AM Menu: Attenuator > Input Attenuator

BB Menu: Attenuator > Input Attenuator

USER Menu: Attenuator > Input Attenuator

Equivalent SCPI Command

Syntax

:SENSe:ATTenuation:LEVel {0 ~ 35}

:SENSe:ATTenuation:LEVel?

Query Response

{0 ~ 35} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:ATTenuation:LEVel 0"
20 OUTPUT 717;":SENSe:ATTenuation:LEVel ?"
30 ENTER 717;A


SCPI.SENSe.BB(Ch).AVERage.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.BB(Ch).AVERage.CLEar

Description

This command clears average, for the selected channel Ch.

Examples

SCPI.SENSe.BB1.AVERage.CLEar

Related Objects

SCPI.SENSe.BB(Ch).AVERage.COUNt

SCPI.SENSe.BB(Ch).AVERage.STATe

Equivalent Key

BB Menu: Average > Averaging Restart

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:AVERage:CLEar

Example of use

10 OUTPUT 717;":SENSe:BB1:AVERage:CLEar"


SCPI.SENSe.BB(Ch).AVERage.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.BB(Ch).AVERage.COUNt = Value

Value = SCPI.SENSe.BB(Ch).AVERage.COUNt

Description

This command sets/gets average count, for the selected channel Ch.

Variable

Parameter | Value
Description | Average count
Data Type | Long integer type (Long)
Range | 1 ~ 999
Preset Value | 16
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.BB1.AVERage.COUNt = Var
Var = SCPI.SENSe.BB1.AVERage.COUNt

Related Objects

SCPI.SENSe.BB(Ch).AVERage.CLEar

SCPI.SENSe.BB(Ch).AVERage.STATe

Equivalent Key

BB Menu: Average > Avg Factor

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:AVERage:COUNt {1 ~ 999}

:SENSe:BB[1-1]:AVERage:COUNt?

Query Response

{1 ~ 999} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:BB1:AVERage:COUNt 1 "
20 OUTPUT 717;":SENSe:BB1:AVERage:COUNt ?"
30 ENTER 717;A


SCPI.SENSe.BB(Ch).AVERage.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.BB(Ch).AVERage.STATe = Value

Value = SCPI.SENSe.BB(Ch).AVERage.STATe

Description

This command sets/gets average ON/OFF, for the selected channel Ch.

Variable

Parameter | Value
Description | Average (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.BB1.AVERage.STATe = Var
Var = SCPI.SENSe.BB1.AVERage.STATe

Related Objects

SCPI.SENSe.BB(Ch).AVERage.CLEar

SCPI.SENSe.BB(Ch).AVERage.COUNt

Equivalent Key

BB Menu: Average > Averaging

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:AVERage:STATe {ON|OFF|1|0}

:SENSe:BB[1-1]:AVERage:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:BB1:AVERage:STATe 1"
20 OUTPUT 717;":SENSe:BB1:AVERage:STATe ?"
30 ENTER 717;A


SCPI.SENSe.BB(Ch).COFRequency

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.BB(Ch).COFRequency = Value

Value = SCPI.SENSe.BB(Ch).COFRequency

Description

This command sets/gets DC Block cut off frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | DC Block cut off frequency
Data Type | Character string type (String)
Range | LOW|HIGH
Preset Value | LOW
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LOW"
SCPI.SENSe.BB1.COFRequency = Var
Var = SCPI.SENSe.BB1.COFRequency

Equivalent Key

BB Menu: Setup > Cutoff Frequency

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:COFRequency {LOW|HIGH}

:SENSe:BB[1-1]:COFRequency?

Query Response

{LOW|HIGH} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:BB1:COFRequency LOW"
20 OUTPUT 717;":SENSe:BB1:COFRequency ?"
30 ENTER 717;A$


SCPI.SENSe.BB(Ch).CORRelation.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.BB(Ch).CORRelation.COUNt = Value

Value = SCPI.SENSe.BB(Ch).CORRelation.COUNt

Description

This command sets/gets correlation count, for the selected channel Ch.

Variable

Parameter | Value
Description | Correlation count
Data Type | Long integer type (Long)
Range | 1 ~ 10000
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.BB1.CORRelation.COUNt = Var
Var = SCPI.SENSe.BB1.CORRelation.COUNt

Equivalent Key

BB Menu: Average > Correlation

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:CORRelation:COUNt {1 ~ 10000}

:SENSe:BB[1-1]:CORRelation:COUNt?

Query Response

{1 ~ 10000} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:BB1:CORRelation:COUNt 1 "
20 OUTPUT 717;":SENSe:BB1:CORRelation:COUNt ?"
30 ENTER 717;A


SCPI.SENSe.BB(Ch).DISCharge

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.BB(Ch).DISCharge

Description

This command sets Discharge DC Block capacitor, for the selected channel Ch.

Examples

SCPI.SENSe.BB1.DISCharge

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:DISCharge

Example of use

10 OUTPUT 717;":SENSe:BB1:DISCharge"


SCPI.SENSe.BB(Ch).FREQuency.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.BB(Ch).FREQuency.STARt = Value

Value = SCPI.SENSe.BB(Ch).FREQuency.STARt

Description

This command sets/gets start frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Start frequency
Data Type | Double precision floating point type (Double)
Range | 1|10|100|1k
Preset Value | 1k
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.BB1.FREQuency.STARt = Var
Var = SCPI.SENSe.BB1.FREQuency.STARt

Related Objects

SCPI.SENSe.BB(Ch).FREQuency.STOP

Equivalent Key

BB Menu: Start > 1Hz

BB Menu: Start > 10Hz

BB Menu: Start > 100Hz

BB Menu: Start > 1kHz

BB Menu: Marker To > Marker > Start

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:FREQuency:STARt {1|10|100|1k}

:SENSe:BB[1-1]:FREQuency:STARt?

Query Response

{1|10|100|1k} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:BB1:FREQuency:STARt 0"
20 OUTPUT 717;":SENSe:BB1:FREQuency:STARt ?"
30 ENTER 717;A


SCPI.SENSe.BB(Ch).FREQuency.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.BB(Ch).FREQuency.STOP = Value

Value = SCPI.SENSe.BB(Ch).FREQuency.STOP

Description

This command sets/gets stop frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Stop frequency
Data Type | Double precision floating point type (Double)
Range | 100k|1M|5M|10M|20M|40M|100M
Preset Value | 10M
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 100000
SCPI.SENSe.BB1.FREQuency.STOP = Var
Var = SCPI.SENSe.BB1.FREQuency.STOP

Related Objects

SCPI.SENSe.BB(Ch).FREQuency.STARt

Equivalent Key

BB Menu: Stop > 100kHz

BB Menu: Stop > 1MHz

BB Menu: Stop > 5MHz

BB Menu: Stop > 10MHz

BB Menu: Stop > 20MHz

BB Menu: Stop > 40MHz

BB Menu: Stop > 100MHz

BB Menu: Marker To > Marker > Stop

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:FREQuency:STOP {100k|1M|5M|10M|20M|40M|100M}

:SENSe:BB[1-1]:FREQuency:STOP?

Query Response

{100k|1M|5M|10M|20M|40M|100M} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:BB1:FREQuency:STOP 100000"
20 OUTPUT 717;":SENSe:BB1:FREQuency:STOP ?"
30 ENTER 717;A


SCPI.SENSe.BB(Ch).IFGain

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.BB(Ch).IFGain = Value

Value = SCPI.SENSe.BB(Ch).IFGain

Description

This command sets/gets IF IFGain 10dB Step, for the selected channel Ch.

Variable

Parameter | Value
Description | IF IFGain 10dB Step
Data Type | Double precision floating point type (Double)
Range | 0 ~ 50
Preset Value | 20
Unit | dB
Resolution | 10
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.BB1.IFGain = Var
Var = SCPI.SENSe.BB1.IFGain

Equivalent Key

BB Menu: Setup > IF Gain

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:IFGain {0 ~ 50}

:SENSe:BB[1-1]:IFGain?

Query Response

{0 ~ 50} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:BB1:IFGain 0"
20 OUTPUT 717;":SENSe:BB1:IFGain ?"
30 ENTER 717;A


SCPI.SENSe.BB(Ch).SEGTable.MEASurement.QUALity

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.BB(Ch).SEGTable.MEASurement.QUALity = Value

Value = SCPI.SENSe.BB(Ch).SEGTable.MEASurement.QUALity

Description

This command sets/gets specifies which segment table to use, for the selected channel Ch.

Variable

Parameter | Value
Description | Specifies which segment table to use
Data Type | Character string type (String)
Range | NORMal|FAST
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.SENSe.BB1.SEGTable.MEASurement.QUALity = Var
Var = SCPI.SENSe.BB1.SEGTable.MEASurement.QUALity

Equivalent Key

BB Menu: Setup > Measurement Quality

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:SEGTable[:MEASurement][:QUALity] {NORMal|FAST}

:SENSe:BB[1-1]:SEGTable[:MEASurement][:QUALity]?

Query Response

{NORMal|FAST} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:BB1:SEGTable[:MEASurement][:QUALity] NORMal"
20 OUTPUT 717;":SENSe:BB1:SEGTable[:MEASurement][:QUALity] ?"
30 ENTER 717;A$


SCPI.SENSe.BB(Ch).SWEep.POINts

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.BB(Ch).SWEep.POINts

Description

This command gets number of points, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of points
Data Type | Long integer type (Long)
Range | 2 ~ 1601
Preset Value | 517
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 2
Var = SCPI.SENSe.BB1.SWEep.POINts

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:BB[1-1]:SWEep:POINts?

Query Response

{2 ~ 1601} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:BB1:SWEep:POINts ?"
20 ENTER 717;A


SCPI.SENSe.CORRection.POWer.DATA

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.CORRection.POWer.DATA = Value

Value = SCPI.SENSe.CORRection.POWer.DATA

Description

This command sets/gets correction table (list of ). freq must be incremental order..

Variable

Parameter | Value
Description | Correction table
Data Type | Variant type Array (Range)
Range | 1...2002
Preset Value | -
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -224, "Illegal parameter value"

Examples

Dim Var(1 to 2002) as Variant
SCPI.SENSe.CORRection.POWer.DATA = Var
Var = SCPI.SENSe.CORRection.POWer.DATA

Related Objects

SCPI.SENSe.CORRection.POWer.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:CORRection:POWer:DATA {1...2002}

:SENSe:CORRection:POWer:DATA?

Query Response

{1...2002} <newline><^END>

Example of use

10 Dim A(1:2002)
20 OUTPUT 717;":SENSe:CORRection:POWer:DATA 1,2002"
30 OUTPUT 717;":SENSe:CORRection:POWer:DATA ?"
40 ENTER 717;A(*)


SCPI.SENSe.CORRection.POWer.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.CORRection.POWer.STATe = Value

Value = SCPI.SENSe.CORRection.POWer.STATe

Description

This command sets/gets power correction On/Off.

Variable

Parameter | Value
Description | Power correction (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.CORRection.POWer.STATe = Var
Var = SCPI.SENSe.CORRection.POWer.STATe

Related Objects

SCPI.SENSe.CORRection.POWer.DATA

Equivalent Key

PN Menu: System > Instrument Setup > Correction > Power Correction

SP Menu: System > Instrument Setup > Correction > Power Correction

FP Menu: System > Instrument Setup > Correction > Power Correction

TR Menu: System > Instrument Setup > Correction > Power Correction

AM Menu: System > Instrument Setup > Correction > Power Correction

BB Menu: System > Instrument Setup > Correction > Power Correction

USER Menu: System > Instrument Setup > Correction > Power Correction

Equivalent SCPI Command

Syntax

:SENSe:CORRection:POWer:STATe {ON|OFF|1|0}

:SENSe:CORRection:POWer:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:CORRection:POWer:STATe 1"
20 OUTPUT 717;":SENSe:CORRection:POWer:STATe ?"
30 ENTER 717;A


SCPI.SENSe.DCONverter.IDN

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.DCONverter.IDN

Description

This command gets downconverter model information.

Variable

Parameter | Value
Description | Downconverter model information
Data Type | Character string type (String)
Range | 254 chars
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var = SCPI.SENSe.DCONverter.IDN

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:DCONverter:IDN?

Query Response

{String}<newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter:IDN ?"
20 ENTER 717;A$


SCPI.SENSe.DCONverter.INPut

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.DCONverter.INPut = Value

Value = SCPI.SENSe.DCONverter.INPut

Description

This command sets/gets RF Input port.

Variable

Parameter | Value
Description | RF Input port
Data Type | Character string type (String)
Range | DCONverter|DIRect
Preset Value | DCONverter
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "DCONverter"
SCPI.SENSe.DCONverter.INPut = Var
Var = SCPI.SENSe.DCONverter.INPut

Equivalent Key

PN Menu: Input Port > Downconverter > RF Input

SP Menu: Input Port > Downconverter > RF Input

FP Menu: Input Port > Downconverter > RF Input

TR Menu: Input Port > Downconverter > RF Input

AM Menu: Input Port > Downconverter > RF Input

BB Menu: Input Port > Downconverter > RF Input

USER Menu: Input Port > Downconverter > RF Input

Equivalent SCPI Command

Syntax

:SENSe:DCONverter:INPut {DCONverter|DIRect}

:SENSe:DCONverter:INPut?

Query Response

{DCONverter|DIRect} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter:INPut DCONverter"
20 OUTPUT 717;":SENSe:DCONverter:INPut ?"
30 ENTER 717;A$


SCPI.SENSe.DCONverter.MANual.CALCulate.LO_Q harmonic, in_freq, lo1, lo2

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.DCONverter.MANual.CALCulate.LO_Q harmonic, in_freq, lo1, lo2

Description

This command gets Query recommended LO1, LO2 frequency for the specified input frequency and harmonic number.

Variable

Parameter | Value
Description | LO1, LO2 frequency for the specified input frequency and harmonic number
Data Type | Variant type Array (Range)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | harmonic
Description | Harmonic number
Data Type | Long integer type (Long)
Range | 1 ~ 34
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | input frequency
Description | Input frequency
Data Type | Double precision floating point type (Double)
Range | 3G ~ 327G
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | LO1
Description | LO 1
Data Type | Character string type (String)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | LO2
Description | LO 2
Data Type | Character string type (String)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.SENSe.DCONverter.MANual.CALCulate.LO_Q harmonic, in_freq, lo1, lo2

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:DCONverter:MANual:CALCulate:LO?

Query Response

{1 ~ 34 3G ~ 327G - -} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter:MANual:CALCulate:LO ?"
30 ENTER 717;A$


SCPI.SENSe.DCONverter.MANual.IFDelta

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.DCONverter.MANual.IFDelta = Value

Value = SCPI.SENSe.DCONverter.MANual.IFDelta

Description

This command sets/gets down converter delta IF frequency (IF2 - IF1).

Variable

Parameter | Value
Description | Down converter delta IF frequency (IF2 - IF1)
Data Type | Double precision floating point type (Double)
Range | -3G ~ 3G
Preset Value | 0
Unit | Hz
Resolution | 1
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -1000000000
SCPI.SENSe.DCONverter.MANual.IFDelta = Var
Var = SCPI.SENSe.DCONverter.MANual.IFDelta

Related Objects

SCPI.SENSe.DCONverter.MANual.IFGain(1-2)

Equivalent Key

PN Menu: System > Instrument Setup > Downconverter Manual Setup > ÄIF = IF2 - IF1

SP Menu: System > Instrument Setup > Downconverter Manual Setup > ÄIF = IF2 - IF1

FP Menu: System > Instrument Setup > Downconverter Manual Setup > ÄIF = IF2 - IF1

TR Menu: System > Instrument Setup > Downconverter Manual Setup > ÄIF = IF2 - IF1

AM Menu: System > Instrument Setup > Downconverter Manual Setup > ÄIF = IF2 - IF1

BB Menu: System > Instrument Setup > Downconverter Manual Setup > ÄIF = IF2 - IF1

USER Menu: System > Instrument Setup > Downconverter Manual Setup > ÄIF = IF2 - IF1

Equivalent SCPI Command

Syntax

:SENSe:DCONverter:MANual:IFDelta {-3G ~ 3G}

:SENSe:DCONverter:MANual:IFDelta?

Query Response

{-3G ~ 3G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter:MANual:IFDelta -1000000000"
20 OUTPUT 717;":SENSe:DCONverter:MANual:IFDelta ?"
30 ENTER 717;A


SCPI.SENSe.DCONverter.MANual.IFGain(1-2)

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.DCONverter.MANual.IFGain(1-2) = Value

Value = SCPI.SENSe.DCONverter.MANual.IFGain(1-2)

Description

This command sets/gets down converter IF Gain.

Variable

Parameter | Value
Description | Down converter IF Gain
Data Type | Double precision floating point type (Double)
Range | 0 ~ 35
Preset Value | 0
Unit | dB
Resolution | 5
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.DCONverter.MANual.IFGain2 = Var
Var = SCPI.SENSe.DCONverter.MANual.IFGain2

Related Objects

SCPI.SENSe.DCONverter.MANual.IFDelta

Equivalent Key

PN Menu: System > Instrument Setup > Downconverter Manual Setup > IF Gain 1

SP Menu: System > Instrument Setup > Downconverter Manual Setup > IF Gain 1

FP Menu: System > Instrument Setup > Downconverter Manual Setup > IF Gain 1

TR Menu: System > Instrument Setup > Downconverter Manual Setup > IF Gain 1

AM Menu: System > Instrument Setup > Downconverter Manual Setup > IF Gain 1

BB Menu: System > Instrument Setup > Downconverter Manual Setup > IF Gain 1

USER Menu: System > Instrument Setup > Downconverter Manual Setup > IF Gain 1

Equivalent SCPI Command

Syntax

:SENSe:DCONverter:MANual:IFGain[1-2] {0 ~ 35}

:SENSe:DCONverter:MANual:IFGain[1-2]?

Query Response

{0 ~ 35} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter:MANual:IFGain2 0"
20 OUTPUT 717;":SENSe:DCONverter:MANual:IFGain2 ?"
30 ENTER 717;A


SCPI.SENSe.DCONverter.MANual.LO(1-2).FREQuency

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.DCONverter.MANual.LO(1-2).FREQuency = Value

Value = SCPI.SENSe.DCONverter.MANual.LO(1-2).FREQuency

Description

This command sets/gets down converter LO Frequency.

Variable

Parameter | Value
Description | Down converter LO Frequency
Data Type | Double precision floating point type (Double)
Range | 2.975G ~ 10.025G
Preset Value | 2.975G
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 2975000000
SCPI.SENSe.DCONverter.MANual.LO2.FREQuency = Var
Var = SCPI.SENSe.DCONverter.MANual.LO2.FREQuency

Related Objects

SCPI.SENSe.DCONverter.MANual.LO(1-2).LEVel

Equivalent Key

PN Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Frequency

SP Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Frequency

FP Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Frequency

TR Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Frequency

AM Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Frequency

BB Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Frequency

USER Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Frequency

Equivalent SCPI Command

Syntax

:SENSe:DCONverter:MANual:LO[1-2]:FREQuency {2.975G ~ 10.025G}

:SENSe:DCONverter:MANual:LO[1-2]:FREQuency?

Query Response

{2.975G ~ 10.025G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter:MANual:LO2:FREQuency 2975000000"
20 OUTPUT 717;":SENSe:DCONverter:MANual:LO2:FREQuency ?"
30 ENTER 717;A


SCPI.SENSe.DCONverter.MANual.LO(1-2).LEVel

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.DCONverter.MANual.LO(1-2).LEVel = Value

Value = SCPI.SENSe.DCONverter.MANual.LO(1-2).LEVel

Description

This command sets/gets down converter LO Output Level.

Variable

Parameter | Value
Description | Down converter LO Output Level
Data Type | Double precision floating point type (Double)
Range | 10 ~ 16
Preset Value | 10
Unit | dBm
Resolution | 500m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.DCONverter.MANual.LO2.LEVel = Var
Var = SCPI.SENSe.DCONverter.MANual.LO2.LEVel

Related Objects

SCPI.SENSe.DCONverter.MANual.LO(1-2).FREQuency

Equivalent Key

PN Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Level

SP Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Level

FP Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Level

TR Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Level

AM Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Level

BB Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Level

USER Menu: System > Instrument Setup > Downconverter Manual Setup > LO1 Level

Equivalent SCPI Command

Syntax

:SENSe:DCONverter:MANual:LO[1-2]:LEVel {10 ~ 16}

:SENSe:DCONverter:MANual:LO[1-2]:LEVel?

Query Response

{10 ~ 16} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter:MANual:LO2:LEVel 0"
20 OUTPUT 717;":SENSe:DCONverter:MANual:LO2:LEVel ?"
30 ENTER 717;A


SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.CURRent

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.CURRent = Value

Value = SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.CURRent

Description

This command sets/gets external mixer bias current.

Variable

Parameter | Value
Description | External mixer bias current
Data Type | Double precision floating point type (Double)
Range | -10m ~ 10m
Preset Value | 0
Unit | A
Resolution | 10u
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -0.01
SCPI.SENSe.DCONverter.MANual.MEXTernal2.BIAS.CURRent = Var
Var = SCPI.SENSe.DCONverter.MANual.MEXTernal2.BIAS.CURRent

Related Objects

SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.STATe

Equivalent Key

PN Menu: System > Instrument Setup > Downconverter Manual Setup > Current

SP Menu: System > Instrument Setup > Downconverter Manual Setup > Current

FP Menu: System > Instrument Setup > Downconverter Manual Setup > Current

TR Menu: System > Instrument Setup > Downconverter Manual Setup > Current

AM Menu: System > Instrument Setup > Downconverter Manual Setup > Current

BB Menu: System > Instrument Setup > Downconverter Manual Setup > Current

USER Menu: System > Instrument Setup > Downconverter Manual Setup > Current

Equivalent SCPI Command

Syntax

:SENSe:DCONverter:MANual:MEXTernal[1-2]:BIAS:CURRent {-10m ~ 10m}

:SENSe:DCONverter:MANual:MEXTernal[1-2]:BIAS:CURRent?

Query Response

{-10m ~ 10m} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter:MANual:MEXTernal2:BIAS:CURRent -0.01"
20 OUTPUT 717;":SENSe:DCONverter:MANual:MEXTernal2:BIAS:CURRent ?"
30 ENTER 717;A


SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.STATe = Value

Value = SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.STATe

Description

This command sets/gets external mixer bias state.

Variable

Parameter | Value
Description | External mixer bias state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.DCONverter.MANual.MEXTernal2.BIAS.STATe = Var
Var = SCPI.SENSe.DCONverter.MANual.MEXTernal2.BIAS.STATe

Related Objects

SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.CURRent

Equivalent Key

PN Menu: System > Instrument Setup > Downconverter Manual Setup > Mixer 1 Bias

SP Menu: System > Instrument Setup > Downconverter Manual Setup > Mixer 1 Bias

FP Menu: System > Instrument Setup > Downconverter Manual Setup > Mixer 1 Bias

TR Menu: System > Instrument Setup > Downconverter Manual Setup > Mixer 1 Bias

AM Menu: System > Instrument Setup > Downconverter Manual Setup > Mixer 1 Bias

BB Menu: System > Instrument Setup > Downconverter Manual Setup > Mixer 1 Bias

USER Menu: System > Instrument Setup > Downconverter Manual Setup > Mixer 1 Bias

Equivalent SCPI Command

Syntax

:SENSe:DCONverter:MANual:MEXTernal[1-2]:BIAS:STATe {ON|OFF|1|0}

:SENSe:DCONverter:MANual:MEXTernal[1-2]:BIAS:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter:MANual:MEXTernal2:BIAS:STATe 1"
20 OUTPUT 717;":SENSe:DCONverter:MANual:MEXTernal2:BIAS:STATe ?"
30 ENTER 717;A


SCPI.SENSe.DCONverter.MEXTernal

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.DCONverter.MEXTernal = Value

Value = SCPI.SENSe.DCONverter.MEXTernal

Description

This command sets/gets external mixer selection.

Variable

Parameter | Value
Description | External mixer selection
Data Type | Character string type (String)
Range | OFF|ON
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "OFF"
SCPI.SENSe.DCONverter.MEXTernal = Var
Var = SCPI.SENSe.DCONverter.MEXTernal

Equivalent Key

PN Menu: Input Port > Downconverter > External Mixer

SP Menu: Input Port > Downconverter > External Mixer

FP Menu: Input Port > Downconverter > External Mixer

TR Menu: Input Port > Downconverter > External Mixer

AM Menu: Input Port > Downconverter > External Mixer

BB Menu: Input Port > Downconverter > External Mixer

USER Menu: Input Port > Downconverter > External Mixer

Equivalent SCPI Command

Syntax

:SENSe:DCONverter:MEXTernal {OFF|ON}

:SENSe:DCONverter:MEXTernal?

Query Response

{OFF|ON} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter:MEXTernal OFF"
20 OUTPUT 717;":SENSe:DCONverter:MEXTernal ?"
30 ENTER 717;A$


SCPI.SENSe.DCONverter.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.DCONverter.STATe = Value

Value = SCPI.SENSe.DCONverter.STATe

Description

This command sets/gets down converter usage.

Variable

Parameter | Value
Description | Down converter usage
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.DCONverter.STATe = Var
Var = SCPI.SENSe.DCONverter.STATe

Equivalent Key

PN Menu: Input Port > Downconverter > Downconverter

SP Menu: Input Port > Downconverter > Downconverter

FP Menu: Input Port > Downconverter > Downconverter

TR Menu: Input Port > Downconverter > Downconverter

AM Menu: Input Port > Downconverter > Downconverter

BB Menu: Input Port > Downconverter > Downconverter

USER Menu: Input Port > Downconverter > Downconverter

Equivalent SCPI Command

Syntax

:SENSe:DCONverter[:STATe] {ON|OFF|1|0}

:SENSe:DCONverter[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:DCONverter[:STATe] 1"
20 OUTPUT 717;":SENSe:DCONverter[:STATe] ?"
30 ENTER 717;A


SCPI.SENSe.FP(Ch).AVERage.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.FP(Ch).AVERage.CLEar

Description

This command clears average, for the selected channel Ch.

Examples

SCPI.SENSe.FP1.AVERage.CLEar

Related Objects

SCPI.SENSe.FP(Ch).AVERage.COUNt

SCPI.SENSe.FP(Ch).AVERage.STATe

Equivalent Key

FP Menu: Average > Averaging Restart

Equivalent SCPI Command

Syntax

:SENSe:FP[1-1]:AVERage:CLEar

Example of use

10 OUTPUT 717;":SENSe:FP1:AVERage:CLEar"


SCPI.SENSe.FP(Ch).AVERage.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.FP(Ch).AVERage.COUNt = Value

Value = SCPI.SENSe.FP(Ch).AVERage.COUNt

Description

This command sets/gets average count, for the selected channel Ch.

Variable

Parameter | Value
Description | Average count
Data Type | Long integer type (Long)
Range | 1 ~ 999
Preset Value | 16
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.FP1.AVERage.COUNt = Var
Var = SCPI.SENSe.FP1.AVERage.COUNt

Related Objects

SCPI.SENSe.FP(Ch).AVERage.CLEar

SCPI.SENSe.FP(Ch).AVERage.STATe

Equivalent Key

FP Menu: Average > Avg Factor

Equivalent SCPI Command

Syntax

:SENSe:FP[1-1]:AVERage:COUNt {1 ~ 999}

:SENSe:FP[1-1]:AVERage:COUNt?

Query Response

{1 ~ 999} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:FP1:AVERage:COUNt 1 "
20 OUTPUT 717;":SENSe:FP1:AVERage:COUNt ?"
30 ENTER 717;A


SCPI.SENSe.FP(Ch).AVERage.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.FP(Ch).AVERage.STATe = Value

Value = SCPI.SENSe.FP(Ch).AVERage.STATe

Description

This command sets/gets average ON/OFF, for the selected channel Ch.

Variable

Parameter | Value
Description | Average (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.FP1.AVERage.STATe = Var
Var = SCPI.SENSe.FP1.AVERage.STATe

Related Objects

SCPI.SENSe.FP(Ch).AVERage.CLEar

SCPI.SENSe.FP(Ch).AVERage.COUNt

Equivalent Key

FP Menu: Average > Averaging

Equivalent SCPI Command

Syntax

:SENSe:FP[1-1]:AVERage:STATe {ON|OFF|1|0}

:SENSe:FP[1-1]:AVERage:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:FP1:AVERage:STATe 1"
20 OUTPUT 717;":SENSe:FP1:AVERage:STATe ?"
30 ENTER 717;A


SCPI.SENSe.FP(Ch).DCONverter.FREQuency

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.FP(Ch).DCONverter.FREQuency = Value

Value = SCPI.SENSe.FP(Ch).DCONverter.FREQuency

Description

This command sets/gets downconverter input frequency (carrier nominal frequency), for the selected channel Ch.

Variable

Parameter | Value
Description | Downconverter input frequency (carrier nominal frequency)
Data Type | Double precision floating point type (Double)
Range | 3G ~ 26.5G
Preset Value | 3G
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 3000000000
SCPI.SENSe.FP1.DCONverter.FREQuency = Var
Var = SCPI.SENSe.FP1.DCONverter.FREQuency

Equivalent Key

FP Menu: Setup > Nominal Frequency

Equivalent SCPI Command

Syntax

:SENSe:FP[1-1]:DCONverter:FREQuency {3G ~ 26.5G}

:SENSe:FP[1-1]:DCONverter:FREQuency?

Query Response

{3G ~ 26.5G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:FP1:DCONverter:FREQuency 3000000000"
20 OUTPUT 717;":SENSe:FP1:DCONverter:FREQuency ?"
30 ENTER 717;A


SCPI.SENSe.FP(Ch).DCONverter.SSEarch.EXECute

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.FP(Ch).DCONverter.SSEarch.EXECute

Description

This command searches carrier signal, for the selected channel Ch.

Examples

SCPI.SENSe.FP1.DCONverter.SSEarch.EXECute

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:FP[1-1]:DCONverter:SSEarch:EXECute

Example of use

10 OUTPUT 717;":SENSe:FP1:DCONverter:SSEarch:EXECute"


SCPI.SENSe.FP(Ch).FBANd

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.FP(Ch).FBANd = Value

Value = SCPI.SENSe.FP(Ch).FBANd

Description

This command sets/gets frequency band, for the selected channel Ch.

Variable

Parameter | Value
Description | Frequency band
Data Type | Character string type (String)
Range | LOW|HIGH|BAND3|BAND4
Preset Value | HIGH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

When the E5052B is used stand-alone, or with the downconverter turned off

Parameter | <string>
LOW | Set frequency band to '10M - 1.5GHz'
HIGH( Preset A pre-defined instrument state (that also runs an analyzer self-test). The action of pushing the Preset key. value) | Set frequency band to '250M - 7GHz'

When the downconverter is turned on and with the RF Radio Frequency (from approximately 50 kHz to approximately 3 GHz). Usually referred to whenever a signal is radiated through the air. input is set to ’E5052B Direct’

Parameter | <string>
LOW | Set frequency band to '10M - 1.5GHz'
HIGH(Preset value) | Set frequency band to '250M - 3GHz'

When the downconverter is turned on and with the RF input is set to ’Downconverter’

Parameter | <string>
BAND3 (Preset value) | Set frequency band to '3G - 10GHz'
BAND4 | Set frequency band to '9G - 26.5GHz'

Examples

Dim Var as String
Var= "LOW"
SCPI.SENSe.FP1.FBANd = Var
Var = SCPI.SENSe.FP1.FBANd

Equivalent Key

FP Menu: Setup > Frequency Band

Equivalent SCPI Command

Syntax

:SENSe:FP[1-1]:FBANd {LOW|HIGH|BAND3|BAND4}

:SENSe:FP[1-1]:FBANd?

Query Response

{LOW|HIGH|BAND3|BAND4} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:FP1:FBANd LOW"
20 OUTPUT 717;":SENSe:FP1:FBANd ?"
30 ENTER 717;A$


SCPI.SENSe.FP(Ch).FREQuency.RESolution

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.FP(Ch).FREQuency.RESolution = Value

Value = SCPI.SENSe.FP(Ch).FREQuency.RESolution

Description

This command sets/gets frequency resolution 1KHz or 64KHz, for the selected channel Ch.

Variable

Parameter | Value
Description | Frequency Resolution 1KHz or 64KHz
Data Type | Character string type (String)
Range | NARRow|MIDDle|WIDE
Preset Value | WIDE
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NARRow"
SCPI.SENSe.FP1.FREQuency.RESolution = Var
Var = SCPI.SENSe.FP1.FREQuency.RESolution

Equivalent Key

FP Menu: Setup > Freq Resolution

Equivalent SCPI Command

Syntax

:SENSe:FP[1-1]:FREQuency:RESolution {NARRow|MIDDle|WIDE}

:SENSe:FP[1-1]:FREQuency:RESolution?

Query Response

{NARRow|MIDDle|WIDE} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:FP1:FREQuency:RESolution NARRow"
20 OUTPUT 717;":SENSe:FP1:FREQuency:RESolution ?"
30 ENTER 717;A$


SCPI.SENSe.FP(Ch).POWer.INPut.LEVel.MAXimum

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.FP(Ch).POWer.INPut.LEVel.MAXimum = Value

Value = SCPI.SENSe.FP(Ch).POWer.INPut.LEVel.MAXimum

Description

This command sets/gets max input level, for the selected channel Ch.

Variable

Parameter | Value
Description | Max Input Level
Data Type | Double precision floating point type (Double)
Range | -45 ~ 30
Preset Value | 0
Unit | dBm
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.FP1.POWer.INPut.LEVel.MAXimum = Var
Var = SCPI.SENSe.FP1.POWer.INPut.LEVel.MAXimum

Equivalent Key

FP Menu: Setup > Max Input Level

Equivalent SCPI Command

Syntax

:SENSe:FP[1-1]:POWer:INPut:LEVel:MAXimum {-45 ~ 30}

:SENSe:FP[1-1]:POWer:INPut:LEVel:MAXimum?

Query Response

{-45 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:FP1:POWer:INPut:LEVel:MAXimum 0"
20 OUTPUT 717;":SENSe:FP1:POWer:INPut:LEVel:MAXimum ?"
30 ENTER 717;A


SCPI.SENSe.FP(Ch).SWEep.DWELl

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.FP(Ch).SWEep.DWELl = Value

Value = SCPI.SENSe.FP(Ch).SWEep.DWELl

Description

This command sets/gets point delay, for the selected channel Ch.

Variable

Parameter | Value
Description | Point delay
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1
Preset Value | 0
Unit | s
Resolution | 100u
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.FP1.SWEep.DWELl = Var
Var = SCPI.SENSe.FP1.SWEep.DWELl

Equivalent Key

FP Menu: Setup > Point Delay

Equivalent SCPI Command

Syntax

:SENSe:FP[1-1]:SWEep:DWELl {0 ~ 1}

:SENSe:FP[1-1]:SWEep:DWELl?

Query Response

{0 ~ 1} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:FP1:SWEep:DWELl 0"
20 OUTPUT 717;":SENSe:FP1:SWEep:DWELl ?"
30 ENTER 717;A


SCPI.SENSe.FP(Ch).SWEep.TIME.DATA

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.FP(Ch).SWEep.TIME.DATA

Description

This command gets sweep time resolution (1mSec), for the selected channel Ch.

Variable

Parameter | Value
Description | Sweep time Resolution (1mSec)
Data Type | Double precision floating point type (Double)
Range | -
Preset Value | -
Unit | s
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var = SCPI.SENSe.FP1.SWEep.TIME.DATA

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:FP[1-1]:SWEep:TIME:DATA?

Query Response

{Double} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:FP1:SWEep:TIME:DATA ?"
20 ENTER 717;A


SCPI.SENSe.PN(Ch).ASET

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.PN(Ch).ASET

Description

This command sets Attn, Freq Band and IF Gain Auto Set, for the selected channel Ch.

Examples

SCPI.SENSe.PN1.ASET

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:ASET

Example of use

10 OUTPUT 717;":SENSe:PN1:ASET"


SCPI.SENSe.PN(Ch).AVERage.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.PN(Ch).AVERage.CLEar

Description

This command clears average, for the selected channel Ch.

Examples

SCPI.SENSe.PN1.AVERage.CLEar

Related Objects

SCPI.SENSe.PN(Ch).AVERage.COUNt

SCPI.SENSe.PN(Ch).AVERage.STATe

Equivalent Key

PN Menu: Average > Averaging Restart

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:AVERage:CLEar

Example of use

10 OUTPUT 717;":SENSe:PN1:AVERage:CLEar"


SCPI.SENSe.PN(Ch).AVERage.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).AVERage.COUNt = Value

Value = SCPI.SENSe.PN(Ch).AVERage.COUNt

Description

This command sets/gets average count, for the selected channel Ch.

Variable

Parameter | Value
Description | Average count
Data Type | Long integer type (Long)
Range | 1 ~ 999
Preset Value | 16
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.PN1.AVERage.COUNt = Var
Var = SCPI.SENSe.PN1.AVERage.COUNt

Related Objects

SCPI.SENSe.PN(Ch).AVERage.CLEar

SCPI.SENSe.PN(Ch).AVERage.STATe

Equivalent Key

PN Menu: Average > Avg Factor

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:AVERage:COUNt {1 ~ 999}

:SENSe:PN[1-1]:AVERage:COUNt?

Query Response

{1 ~ 999} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:AVERage:COUNt 1 "
20 OUTPUT 717;":SENSe:PN1:AVERage:COUNt ?"
30 ENTER 717;A


SCPI.SENSe.PN(Ch).AVERage.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).AVERage.STATe = Value

Value = SCPI.SENSe.PN(Ch).AVERage.STATe

Description

This command sets/gets average ON/OFF, for the selected channel Ch.

Variable

Parameter | Value
Description | Average (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.PN1.AVERage.STATe = Var
Var = SCPI.SENSe.PN1.AVERage.STATe

Related Objects

SCPI.SENSe.PN(Ch).AVERage.CLEar

SCPI.SENSe.PN(Ch).AVERage.COUNt

Equivalent Key

PN Menu: Average > Averaging

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:AVERage:STATe {ON|OFF|1|0}

:SENSe:PN[1-1]:AVERage:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:AVERage:STATe 1"
20 OUTPUT 717;":SENSe:PN1:AVERage:STATe ?"
30 ENTER 717;A


SCPI.SENSe.PN(Ch).CORRelation.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).CORRelation.COUNt = Value

Value = SCPI.SENSe.PN(Ch).CORRelation.COUNt

Description

This command sets/gets correlation count, for the selected channel Ch.

Variable

Parameter | Value
Description | Correlation count
Data Type | Long integer type (Long)
Range | 1 ~ 10000
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.PN1.CORRelation.COUNt = Var
Var = SCPI.SENSe.PN1.CORRelation.COUNt

Equivalent Key

PN Menu: Average > Correlation

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:CORRelation:COUNt {1 ~ 10000}

:SENSe:PN[1-1]:CORRelation:COUNt?

Query Response

{1 ~ 10000} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:CORRelation:COUNt 1 "
20 OUTPUT 717;":SENSe:PN1:CORRelation:COUNt ?"
30 ENTER 717;A


SCPI.SENSe.PN(Ch).CRANge

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).CRANge = Value

Value = SCPI.SENSe.PN(Ch).CRANge

Description

This command sets/gets capture range, for the selected channel Ch.

Variable

Parameter | Value
Description | Capture range
Data Type | Character string type (String)
Range | NORMal|WIDE
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.SENSe.PN1.CRANge = Var
Var = SCPI.SENSe.PN1.CRANge

Equivalent Key

PN Menu: Setup > Capture Range

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:CRANge {NORMal|WIDE}

:SENSe:PN[1-1]:CRANge?

Query Response

{NORMal|WIDE} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:CRANge NORMal"
20 OUTPUT 717;":SENSe:PN1:CRANge ?"
30 ENTER 717;A$


SCPI.SENSe.PN(Ch).DCONverter.FREQuency

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).DCONverter.FREQuency = Value

Value = SCPI.SENSe.PN(Ch).DCONverter.FREQuency

Description

This command sets/gets downconverter input frequency (carrier nominal frequency), for the selected channel Ch.

Variable

Parameter | Value
Description | Downconverter input frequency (carrier nominal frequency)
Data Type | Double precision floating point type (Double)
Range | 3G ~ 26.5G
Preset Value | 3G
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

When the frequency band is 3G to 10GHz

Parameter | <Double>
Range | 3G to 10G
Preset A pre-defined instrument state (that also runs an analyzer self-test). The action of pushing the Preset key. value | 3G
Unit | Hz
Resolution | 100m

When the frequency band is 9G to 26.5GHz

Parameter | <Double>
Range | 9G to 26.5G
Preset value | 9G
Unit | Hz
Resolution | 100m

Examples

Dim Var as Double
Var= 3000000000
SCPI.SENSe.PN1.DCONverter.FREQuency = Var
Var = SCPI.SENSe.PN1.DCONverter.FREQuency

Related Objects

SCPI.SENSe.PN(Ch).DCONverter.SSEarch.EXECute

Equivalent Key

PN Menu: Setup > Nominal Frequency

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:DCONverter:FREQuency {3G ~ 26.5G}

:SENSe:PN[1-1]:DCONverter:FREQuency?

Query Response

{3G ~ 26.5G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:DCONverter:FREQuency 3000000000"
20 OUTPUT 717;":SENSe:PN1:DCONverter:FREQuency ?"
30 ENTER 717;A


SCPI.SENSe.PN(Ch).DCONverter.SSEarch.EXECute

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.PN(Ch).DCONverter.SSEarch.EXECute

Description

This command searches carrier signal, for the selected channel Ch.

Examples

SCPI.SENSe.PN1.DCONverter.SSEarch.EXECute

Related Objects

SCPI.SENSe.PN(Ch).DCONverter.FREQuency

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:DCONverter:SSEarch:EXECute

Example of use

10 OUTPUT 717;":SENSe:PN1:DCONverter:SSEarch:EXECute"


SCPI.SENSe.PN(Ch).EPRescaler.DIVision

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).EPRescaler.DIVision = Value

Value = SCPI.SENSe.PN(Ch).EPRescaler.DIVision

Description

This command sets/gets external prescaler division, for the selected channel Ch.

Variable

Parameter | Value
Description | External prescaler division
Data Type | Long integer type (Long)
Range | 1|2|4|8|16|32|64|128|256
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.PN1.EPRescaler.DIVision = Var
Var = SCPI.SENSe.PN1.EPRescaler.DIVision

Related Objects

SCPI.SENSe.PN(Ch).EPRescaler.POWer

Equivalent Key

PN Menu: System > Instrument Setup > PN Ext. Prescaler > Division

SP Menu: System > Instrument Setup > PN Ext. Prescaler > Division

FP Menu: System > Instrument Setup > PN Ext. Prescaler > Division

TR Menu: System > Instrument Setup > PN Ext. Prescaler > Division

AM Menu: System > Instrument Setup > PN Ext. Prescaler > Division

BB Menu: System > Instrument Setup > PN Ext. Prescaler > Division

USER Menu: System > Instrument Setup > PN Ext. Prescaler > Division

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:EPRescaler:DIVision {1|2|4|8|16|32|64|128|256}

:SENSe:PN[1-1]:EPRescaler:DIVision?

Query Response

{1|2|4|8|16|32|64|128|256} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:EPRescaler:DIVision 1"
20 OUTPUT 717;":SENSe:PN1:EPRescaler:DIVision ?"
30 ENTER 717;A


SCPI.SENSe.PN(Ch).EPRescaler.POWer

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).EPRescaler.POWer = Value

Value = SCPI.SENSe.PN(Ch).EPRescaler.POWer

Description

This command sets/gets external prescaler output power (input power of RF1/RF2 of E5052), for the selected channel Ch.

Variable

Parameter | Value
Description | External prescaler output power
Data Type | Double precision floating point type (Double)
Range | -15 ~ 0
Preset Value | 0
Unit | dBm
Resolution | 100u
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.PN1.EPRescaler.POWer = Var
Var = SCPI.SENSe.PN1.EPRescaler.POWer

Related Objects

SCPI.SENSe.PN(Ch).EPRescaler.DIVision

Equivalent Key

PN Menu: System > Instrument Setup > PN Ext. Prescaler > Output Power Level

SP Menu: System > Instrument Setup > PN Ext. Prescaler > Output Power Level

FP Menu: System > Instrument Setup > PN Ext. Prescaler > Output Power Level

TR Menu: System > Instrument Setup > PN Ext. Prescaler > Output Power Level

AM Menu: System > Instrument Setup > PN Ext. Prescaler > Output Power Level

BB Menu: System > Instrument Setup > PN Ext. Prescaler > Output Power Level

USER Menu: System > Instrument Setup > PN Ext. Prescaler > Output Power Level

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:EPRescaler:POWer {-15 ~ 0}

:SENSe:PN[1-1]:EPRescaler:POWer?

Query Response

{-15 ~ 0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:EPRescaler:POWer 0"
20 OUTPUT 717;":SENSe:PN1:EPRescaler:POWer ?"
30 ENTER 717;A


SCPI.SENSe.PN(Ch).FBANd

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).FBANd = Value

Value = SCPI.SENSe.PN(Ch).FBANd

Description

This command sets/gets frequency band, for the selected channel Ch.

Variable

Parameter | Value
Description | Frequency band
Data Type | Character string type (String)
Range | BAND1|BAND2|BAND3|BAND4|BAND5|BAND6
Preset Value | BAND4
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

When the E5052B is used stand-alone, or with the downconverter turned off

Parameter | <string>
BAND1 | Set frequency band to '10M - 41MHz'
BAND2 | Set frequency band to '39M - 101MHz'
BAND3 | Set frequency band to '99M - 1.5GHz'
BAND4( Preset A pre-defined instrument state (that also runs an analyzer self-test). The action of pushing the Preset key. value) | Set frequency band to '250M - 7GHz'

When the downconverter is turned on and with the RF input is set to ’E5052B Direct’

Parameter | <string>
BAND1 | Set frequency band to '10M - 41MHz'
BAND2 | Set frequency band to '39M - 101MHz'
BAND3 | Set frequency band to '99M - 1.5GHz'
BAND4(Preset value) | Set frequency band to '250M - 3GHz'

When the downconverter is turned on and with the RF input is set to ’Downconverter’

Parameter | <string>
BAND5 (Preset Value) | Set frequency band to '3G - 10GHz'
BAND6 | Set frequency band to '9G - 26.5GHz'

Examples

Dim Var as String
Var= "BAND1"
SCPI.SENSe.PN1.FBANd = Var
Var = SCPI.SENSe.PN1.FBANd

Equivalent Key

PN Menu: Setup > Frequency Band

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:FBANd {BAND1|BAND2|BAND3|BAND4|BAND5|BAND6}

:SENSe:PN[1-1]:FBANd?

Query Response

{BAND1|BAND2|BAND3|BAND4|BAND5|BAND6} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:FBANd BAND1"
20 OUTPUT 717;":SENSe:PN1:FBANd ?"
30 ENTER 717;A$


SCPI.SENSe.PN(Ch).FREQuency.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).FREQuency.STARt = Value

Value = SCPI.SENSe.PN(Ch).FREQuency.STARt

Description

This command sets/gets start frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Start frequency
Data Type | Double precision floating point type (Double)
Range | 1|10|100|1k
Preset Value | 1k
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.PN1.FREQuency.STARt = Var
Var = SCPI.SENSe.PN1.FREQuency.STARt

Related Objects

SCPI.SENSe.PN(Ch).FREQuency.STOP

Equivalent Key

PN Menu: Start > 1Hz

PN Menu: Start > 10Hz

PN Menu: Start > 100Hz

PN Menu: Start > 1kHz

PN Menu: Marker To > Marker > Start

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:FREQuency:STARt {1|10|100|1k}

:SENSe:PN[1-1]:FREQuency:STARt?

Query Response

{1|10|100|1k} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:FREQuency:STARt 0"
20 OUTPUT 717;":SENSe:PN1:FREQuency:STARt ?"
30 ENTER 717;A


SCPI.SENSe.PN(Ch).FREQuency.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).FREQuency.STOP = Value

Value = SCPI.SENSe.PN(Ch).FREQuency.STOP

Description

This command sets/gets stop frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Stop frequency
Data Type | Double precision floating point type (Double)
Range | 100k|1M|5M|10M|20M|40M|100M
Preset Value | 10M
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 100000
SCPI.SENSe.PN1.FREQuency.STOP = Var
Var = SCPI.SENSe.PN1.FREQuency.STOP

Related Objects

SCPI.SENSe.PN(Ch).FREQuency.STARt

Equivalent Key

PN Menu: Stop > 100kHz

PN Menu: Stop > 1MHz

PN Menu: Stop > 5MHz

PN Menu: Stop > 10MHz

PN Menu: Stop > 20MHz

PN Menu: Stop > 40MHz

PN Menu: Stop > 100MHz

PN Menu: Marker To > Marker > Stop

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:FREQuency:STOP {100k|1M|5M|10M|20M|40M|100M}

:SENSe:PN[1-1]:FREQuency:STOP?

Query Response

{100k|1M|5M|10M|20M|40M|100M} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:FREQuency:STOP 100000"
20 OUTPUT 717;":SENSe:PN1:FREQuency:STOP ?"
30 ENTER 717;A


SCPI.SENSe.PN(Ch).IFGain

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).IFGain = Value

Value = SCPI.SENSe.PN(Ch).IFGain

Description

This command sets/gets IFGain 10dB Step, for the selected channel Ch.

Variable

Parameter | Value
Description | IFGain 10dB Step
Data Type | Double precision floating point type (Double)
Range | 0 ~ 50
Preset Value | 20
Unit | dB
Resolution | 10
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.PN1.IFGain = Var
Var = SCPI.SENSe.PN1.IFGain

Equivalent Key

PN Menu: Setup > IF Gain

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:IFGain {0 ~ 50}

:SENSe:PN[1-1]:IFGain?

Query Response

{0 ~ 50} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:IFGain 0"
20 OUTPUT 717;":SENSe:PN1:IFGain ?"
30 ENTER 717;A


SCPI.SENSe.PN(Ch).LOBandwidth

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).LOBandwidth = Value

Value = SCPI.SENSe.PN(Ch).LOBandwidth

Description

This command sets/gets phase noise Local bandwidth optimization for the selected channel Ch.

Variable

Parameter | Value
Description | Phase noise Local bandwidth optimization
Data Type | Character string type (String)
Range | NARRow|WIDE
Preset Value | WIDE
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NARRow"
SCPI.SENSe.PN1.LOBandwidth = Var
Var = SCPI.SENSe.PN1.LOBandwidth

Equivalent Key

PN Menu: Setup > LO PhNoise Optimize

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:LOBandwidth {NARRow|WIDE}

:SENSe:PN[1-1]:LOBandwidth?

Query Response

{NARRow|WIDE} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:LOBandwidth NARRow"
20 OUTPUT 717;":SENSe:PN1:LOBandwidth ?"
30 ENTER 717;A$


SCPI.SENSe.PN(Ch).ROSCillator.BANDwidth

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).ROSCillator.BANDwidth = Value

Value = SCPI.SENSe.PN(Ch).ROSCillator.BANDwidth

Description

This command sets/gets bandwidth of reference oscillator, for the selected channel Ch.

Variable

Parameter | Value
Description | Bandwidth of reference oscillator
Data Type | Character string type (String)
Range | NARRow|WIDE
Preset Value | NARRow
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NARRow"
SCPI.SENSe.PN1.ROSCillator.BANDwidth = Var
Var = SCPI.SENSe.PN1.ROSCillator.BANDwidth

Related Objects

SCPI.SENSe.PN(Ch).ROSCillator.REFerence(1-2).SOURce

Equivalent Key

PN Menu: Setup > Reference Oscillator > Bandwidth

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:ROSCillator:BANDwidth {NARRow|WIDE}

:SENSe:PN[1-1]:ROSCillator:BANDwidth?

Query Response

{NARRow|WIDE} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:ROSCillator:BANDwidth NARRow"
20 OUTPUT 717;":SENSe:PN1:ROSCillator:BANDwidth ?"
30 ENTER 717;A$


SCPI.SENSe.PN(Ch).ROSCillator.REFerence(1-2).SOURce

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).ROSCillator.REFerence(1-2).SOURce = Value

Value = SCPI.SENSe.PN(Ch).ROSCillator.REFerence(1-2).SOURce

Description

This command sets/gets source of reference oscillator, for the selected channel Ch.

Variable

Parameter | Value
Description | Source of reference oscillator
Data Type | Character string type (String)
Range | INTernal|EXTernal
Preset Value | INTernal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "INTernal"
SCPI.SENSe.PN1.ROSCillator.REFerence2.SOURce = Var
Var = SCPI.SENSe.PN1.ROSCillator.REFerence2.SOURce

Related Objects

SCPI.SENSe.PN(Ch).ROSCillator.BANDwidth

Equivalent Key

PN Menu: Setup > Reference Oscillator > Ref. Osc.1 Source

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:ROSCillator:REFerence[1-2]:SOURce {INTernal|EXTernal}

:SENSe:PN[1-1]:ROSCillator:REFerence[1-2]:SOURce?

Query Response

{INTernal|EXTernal} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:ROSCillator:REFerence2:SOURce INTernal"
20 OUTPUT 717;":SENSe:PN1:ROSCillator:REFerence2:SOURce ?"
30 ENTER 717;A$


SCPI.SENSe.PN(Ch).SEGTable.MEASurement.QUALity

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PN(Ch).SEGTable.MEASurement.QUALity = Value

Value = SCPI.SENSe.PN(Ch).SEGTable.MEASurement.QUALity

Description

This command specifies the segment table to be used, for the selected channel Ch.

Variable

Parameter | Value
Description | Specifies the segment table to be used
Data Type | Character string type (String)
Range | NORMal|FAST
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.SENSe.PN1.SEGTable.MEASurement.QUALity = Var
Var = SCPI.SENSe.PN1.SEGTable.MEASurement.QUALity

Equivalent Key

PN Menu: Setup > Measurement Quality

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:SEGTable[:MEASurement][:QUALity] {NORMal|FAST}

:SENSe:PN[1-1]:SEGTable[:MEASurement][:QUALity]?

Query Response

{NORMal|FAST} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:SEGTable[:MEASurement][:QUALity] NORMal"
20 OUTPUT 717;":SENSe:PN1:SEGTable[:MEASurement][:QUALity] ?"
30 ENTER 717;A$


SCPI.SENSe.PN(Ch).SWEep.POINts

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.PN(Ch).SWEep.POINts

Description

This command gets number of points, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of points
Data Type | Long integer type (Long)
Range | 2 ~ 1601
Preset Value | 517
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 2
Var = SCPI.SENSe.PN1.SWEep.POINts

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:PN[1-1]:SWEep:POINts?

Query Response

{2 ~ 1601} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PN1:SWEep:POINts ?"
20 ENTER 717;A


SCPI.SENSe.PS(Ch).ASET

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.PS(Ch).ASET

Description

This command sets Attn, Freq Band and IF Gain Auto Set, for the selected channel Ch.

Examples

SCPI.SENSe.PS1.ASET

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:ASET

Example of use

10 OUTPUT 717;":SENSe:PS1:ASET"


SCPI.SENSe.PS(Ch).AVERage.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.PS(Ch).AVERage.CLEar

Description

This command clears average, for the selected channel Ch.

Examples

SCPI.SENSe.PS1.AVERage.CLEar

Related Objects

SCPI.SENSe.PS(Ch).AVERage.COUNt

SCPI.SENSe.PS(Ch).AVERage.STATe

Equivalent Key

PS Menu: Average/BW > Averaging Restart

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:AVERage:CLEar

Example of use

10 OUTPUT 717;":SENSe:PS1:AVERage:CLEar"


SCPI.SENSe.PS(Ch).AVERage.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).AVERage.COUNt = Value

Value = SCPI.SENSe.PS(Ch).AVERage.COUNt

Description

This command sets/gets average count, for the selected channel Ch.

Variable

Parameter | Value
Description | Average count
Data Type | Long integer type (Long)
Range | 1 ~ 999
Preset Value | 16
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.PS1.AVERage.COUNt = Var
Var = SCPI.SENSe.PS1.AVERage.COUNt

Related Objects

SCPI.SENSe.PS(Ch).AVERage.CLEar

SCPI.SENSe.PS(Ch).AVERage.STATe

Equivalent Key

PS Menu: Average/BW > Avg Factor

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:AVERage:COUNt {1 ~ 999}

:SENSe:PS[1-1]:AVERage:COUNt?

Query Response

{1 ~ 999} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:AVERage:COUNt 1 "
20 OUTPUT 717;":SENSe:PS1:AVERage:COUNt?"
30 ENTER 717;A


SCPI.SENSe.PS(Ch).AVERage.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).AVERage.STATe = Value

Value = SCPI.SENSe.PS(Ch).AVERage.STATe

Description

This command sets/gets average ON/OFF, for the selected channel Ch.

Variable

Parameter | Value
Description | Average (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.PS1.AVERage.STATe = Var
Var = SCPI.SENSe.PS1.AVERage.STATe

Related Objects

SCPI.SENSe.PS(Ch).AVERage.CLEar

SCPI.SENSe.PS(Ch).AVERage.COUNt

Equivalent Key

PS Menu: Average/BW > Averaging

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:AVERage:STATe {ON|OFF|1|0}

:SENSe:PS[1-1]:AVERage:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:AVERage:STATe 1"
20 OUTPUT 717;":SENSe:PS1:AVERage:STATe?"
30 ENTER 717;A


SCPI.SENSe.PS(Ch).BANDwidth:RESolution

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).BANDwidth:RESolution = Value

Value = SCPI.SENSe.PS(Ch).BANDwidth:RESolution

Description

This command sets/gets RBW, for the selected channel Ch.

Variable

Parameter | Value
Description | Resolution bandwidth
Data Type | Double precision floating point type (Double)
Range | 95.4m ~ 25k
Preset Value | 25k
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 1e3
SCPI.SENSe.PS1.BANDwidth:RESolution = Var
Var = SCPI.SENSe.PS1.BANDwidth:RESolution

Equivalent Key

PS Menu: Average/BW > RBW

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:BANDwidth:RESolution {95.4m ~ 25k}

:SENSe:PS[1-1]:BANDwidth:RESolution?

Query Response

{95.4m ~ 25k} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:BANDwidth:RESolution 1e3"
20 OUTPUT 717;":SENSe:PS1:BANDwidth:RESolution?"
30 ENTER 717;A


SCPI.SENSe.PS(Ch).CORRelation.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).CORRelation.COUNt = Value

Value = SCPI.SENSe.PS(Ch).CORRelation.COUNt

Description

This command sets/gets correlation count, for the selected channel Ch.

Variable

Parameter | Value
Description | Correlation count
Data Type | Double precision floating point type (Double)
Range | 1 ~ 200k
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 1
SCPI.SENSe.PS1.CORRelation.COUNt = Var
Var = SCPI.SENSe.PS1.CORRelation.COUNt

Equivalent Key

PS Menu: Average/BW > Correlation

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:CORRelation:COUNt {1 ~ 200k}

:SENSe:PS[1-1]:CORRelation:COUNt?

Query Response

{1 ~ 200k} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:CORRelation:COUNt 1 "
20 OUTPUT 717;":SENSe:PS1:CORRelation:COUNt?"
30 ENTER 717;A


SCPI.SENSe.PS(Ch).CRANge

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).CRANge = Value

Value = SCPI.SENSe.PS(Ch).CRANge

Description

This command sets/gets capture range, for the selected channel Ch.

Variable

Parameter | Value
Description | Capture range
Data Type | Character string type (String)
Range | NORMal|WIDE
Preset Value | NORMal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NORMal"
SCPI.SENSe.PS1.CRANge = Var
Var = SCPI.SENSe.PS1.CRANge

Equivalent Key

PS Menu: Setup > Capture Range

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:CRANge {NORMal|WIDE}

:SENSe:PS[1-1]:CRANge?

Query Response

{NORMal|WIDE} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:CRANge NORMal"
20 OUTPUT 717;":SENSe:PS1:CRANge ?"
30 ENTER 717;A$


SCPI.SENSe.PS(Ch).DCONverter.FREQuency

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).DCONverter.FREQuency = Value

Value = SCPI.SENSe.PS(Ch).DCONverter.FREQuency

Description

This command sets/gets downconverter input frequency (carrier nominal frequency), for the selected channel Ch.

Variable

Parameter | Value
Description | Downconverter input frequency (carrier nominal frequency)
Data Type | Double precision floating point type (Double)
Range | 3G ~ 26.5G
Preset Value | 3G
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

When the frequency band is 3G to 10GHz

Parameter | <Double>
Range | 3G to 10G
Preset A pre-defined instrument state (that also runs an analyzer self-test). The action of pushing the Preset key. value | 3G
Unit | Hz
Resolution | 100m

When the frequency band is 9G to 26.5GHz

Parameter | <Double>
Range | 9G to 26.5G
Preset value | 9G
Unit | Hz
Resolution | 100m

Examples

Dim Var as Double
Var= 3000000000
SCPI.SENSe.PS1.DCONverter.FREQuency = Var
Var = SCPI.SENSe.PS1.DCONverter.FREQuency

Related Objects

SCPI.SENSe.PS(Ch).DCONverter.SSEarch.EXECute

Equivalent Key

PS Menu: Setup > Nominal Frequency

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:DCONverter:FREQuency {3G ~ 26.5G}

:SENSe:PS[1-1]:DCONverter:FREQuency?

Query Response

{3G ~ 26.5G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:DCONverter:FREQuency 3000000000"
20 OUTPUT 717;":SENSe:PS1:DCONverter:FREQuency ?"
30 ENTER 717;A


SCPI.SENSe.PS(Ch).DCONverter.SSEarch.EXECute

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.PS(Ch).DCONverter.SSEarch.EXECute

Description

This command searches carrier signal, for the selected channel Ch.

Examples

SCPI.SENSe.PS1.DCONverter.SSEarch.EXECute

Related Objects

SCPI.SENSe.PS(Ch).DCONverter.FREQuency

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:DCONverter:SSEarch:EXECute

Example of use

10 OUTPUT 717;":SENSe:PS1:DCONverter:SSEarch:EXECute"


SCPI.SENSe.PS(Ch).FBANd

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).FBANd = Value

Value = SCPI.SENSe.PS(Ch).FBANd

Description

This command sets/gets frequency band, for the selected channel Ch.

Variable

Parameter | Value
Description | Frequency band
Data Type | Character string type (String)
Range | BAND1|BAND2|BAND3|BAND4|BAND5|BAND6
Preset Value | BAND4
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

When the E5052B is used stand-alone, or with the downconverter turned off

Parameter | <string>
BAND1 | Set frequency band to '10M - 41MHz'
BAND2 | Set frequency band to '39M - 101MHz'
BAND3 | Set frequency band to '99M - 1.5GHz'
BAND4( Preset A pre-defined instrument state (that also runs an analyzer self-test). The action of pushing the Preset key. value) | Set frequency band to '250M - 7GHz'

When the downconverter is turned on and with the RF Radio Frequency (from approximately 50 kHz to approximately 3 GHz). Usually referred to whenever a signal is radiated through the air. input is set to ’E5052B Direct’

Parameter | <string>
BAND1 | Set frequency band to '10M - 41MHz'
BAND2 | Set frequency band to '39M - 101MHz'
BAND3 | Set frequency band to '99M - 1.5GHz'
BAND4(Preset value) | Set frequency band to '250M - 3GHz'

When the downconverter is turned on and with the RF input is set to ’Downconverter’

Parameter | <string>
BAND5 (Preset Value) | Set frequency band to '3G - 10GHz'
BAND6 | Set frequency band to '9G - 26.5GHz'

Examples

Dim Var as String
Var= "BAND1"
SCPI.SENSe.PS1.FBANd = Var
Var = SCPI.SENSe.PS1.FBANd

Equivalent Key

PS Menu: Setup > Frequency Band

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:FBANd {BAND1|BAND2|BAND3|BAND4|BAND5|BAND6}

:SENSe:PS[1-1]:FBANd?

Query Response

{BAND1|BAND2|BAND3|BAND4|BAND5|BAND6} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:FBANd BAND1"
20 OUTPUT 717;":SENSe:PS1:FBANd?"
30 ENTER 717;A$


SCPI.SENSe.PS(Ch).FREQuency.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).FREQuency.CENTer = Value

Value = SCPI.SENSe.PS(Ch).FREQuency.CENTer

Description

This command sets/gets center frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Center frequency
Data Type | Double precision floating point type (Double)
Range | 1.1 ~ 99.9999998M
Preset Value | 500.5k
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 10e6
SCPI.SENSe.PS1.FREQuency.CENTer = Var
Var = SCPI.SENSe.PS1.FREQuency.CENTer

Related Objects

SCPI.SENSe.PS(Ch).FREQuency.SPAN

SCPI.SENSe.PS(Ch).FREQuency.STARt

SCPI.SENSe.PS(Ch).FREQuency.STOP

Equivalent Key

PS Menu: Start/Center > Center

PS Menu: Stop/Span > Center

PS Menu: Marker To > Marker -> Center

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:FREQuency:CENTer {1.1 ~ 99.9999998M}

:SENSe:PS[1-1]:FREQuency:CENTer?

Query Response

{1.1 ~ 99.9999998M} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:FREQuency:CENTer 10e6"
20 OUTPUT 717;":SENSe:PS1:FREQuency:CENTer ?"
30 ENTER 717;A


SCPI.SENSe.PS(Ch).FREQuency.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).FREQuency.SPAN = Value

Value = SCPI.SENSe.PS(Ch).FREQuency.SPAN

Description

This command sets/gets span frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Span frequency
Data Type | Double precision floating point type (Double)
Range | 200m ~ 25M
Preset Value | 999k
Unit | Hz
Resolution | 200m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 10e6
SCPI.SENSe.PS1.FREQuency.SPAN = Var
Var = SCPI.SENSe.PS1.FREQuency.SPAN

Related Objects

SCPI.SENSe.PS(Ch).FREQuency.CENTer

SCPI.SENSe.PS(Ch).FREQuency.STARt

SCPI.SENSe.PS(Ch).FREQuency.STOP

Equivalent Key

PS Menu: Start/Center > Span

PS Menu: Stop/Span > Span

PS Menu: Marker To > Marker -> Span

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:FREQuency:SPAN {200m ~ 25M }

:SENSe:PS[1-1]:FREQuency:SPAN?

Query Response

{200m ~ 25M } <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:FREQuency:SPAN 10e6"
20 OUTPUT 717;":SENSe:PS1:FREQuency:SPAN ?"
30 ENTER 717;A


SCPI.SENSe.PS(Ch).FREQuency.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).FREQuency.STARt = Value

Value = SCPI.SENSe.PS(Ch).FREQuency.STARt

Description

This command sets/gets start frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Start frequency
Data Type | Double precision floating point type (Double)
Range | 1 ~ 99.9999998M
Preset Value | 1k
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 10e6
SCPI.SENSe.PS1.FREQuency.STARt = Var
Var = SCPI.SENSe.PS1.FREQuency.STARt

Related Objects

SCPI.SENSe.PS(Ch).FREQuency.STOP

SCPI.SENSe.PS(Ch).FREQuency.CENTer

SCPI.SENSe.PS(Ch).FREQuency.SPAN

Equivalent Key

PS Menu: Start/Center > Start

PS Menu: Stop/Span > Start

PS Menu: Marker To > Marker -> Start

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:FREQuency:STARt {1 ~ 99.9999998M}

:SENSe:PS[1-1]:FREQuency:STARt?

Query Response

{1 ~ 99.9999998M} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:FREQuency:STARt 10e6"
20 OUTPUT 717;":SENSe:PS1:FREQuency:STARt ?"
30 ENTER 717;A


SCPI.SENSe.PS(Ch).FREQuency.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).FREQuency.STOP = Value

Value = SCPI.SENSe.PS(Ch).FREQuency.STOP

Description

This command sets/gets stop frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Stop frequency
Data Type | Double precision floating point type (Double)
Range | 1.2 ~ 100M
Preset Value | 1M
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 100e3
SCPI.SENSe.PS1.FREQuency.STOP = Var
Var = SCPI.SENSe.PS1.FREQuency.STOP

Related Objects

SCPI.SENSe.PN(Ch).FREQuency.STARt

SCPI.SENSe.PS(Ch).FREQuency.CENTer

SCPI.SENSe.PS(Ch).FREQuency.SPAN

Equivalent Key

PS Menu: Start/Center > Stop

PS Menu: Stop/Span > Stop

PS Menu: Marker To > Marker -> Stop

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:FREQuency:STOP {1.2 ~ 100M}

:SENSe:PS[1-1]:FREQuency:STOP?

Query Response

{1.2 ~ 100M} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:FREQuency:STOP 100e3"
20 OUTPUT 717;":SENSe:PS1:FREQuency:STOP?"
30 ENTER 717;A


SCPI.SENSe.PS(Ch).IFGain

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).IFGain = Value

Value = SCPI.SENSe.PS(Ch).IFGain

Description

This command sets/gets IFGain 10dB Step, for the selected channel Ch.

Variable

Parameter | Value
Description | IFGain 10dB Step
Data Type | Double precision floating point type (Double)
Range | 0 ~ 50
Preset Value | 20
Unit | dB
Resolution | 10
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.PS1.IFGain = Var
Var = SCPI.SENSe.PS1.IFGain

Equivalent Key

PS Menu: Setup > IF Gain

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:IFGain {0 ~ 50}

:SENSe:PS[1-1]:IFGain?

Query Response

{0 ~ 50} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:IFGain 0"
20 OUTPUT 717;":SENSe:PS1:IFGain?"
30 ENTER 717;A


SCPI.SENSe.PS(Ch).LOBandwidth

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).LOBandwidth = Value

Value = SCPI.SENSe.PS(Ch).LOBandwidth

Description

This command sets/gets phase noise Local bandwidth optimization for the selected channel Ch.

Variable

Parameter | Value
Description | Phase noise Local bandwidth optimization
Data Type | Character string type (String)
Range | NARRow|WIDE
Preset Value | WIDE
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NARRow"
SCPI.SENSe.PS1.LOBandwidth = Var
Var = SCPI.SENSe.PS1.LOBandwidth

Equivalent Key

PS Menu: Setup > LO PhNoise Optimize

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:LOBandwidth {NARRow|WIDE}

:SENSe:PS[1-1]:LOBandwidth?

Query Response

{NARRow|WIDE} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:LOBandwidth NARRow"
20 OUTPUT 717;":SENSe:PS1:LOBandwidth?"
30 ENTER 717;A$


SCPI.SENSe.PS(Ch).ROSCillator.BANDwidth

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).ROSCillator.BANDwidth = Value

Value = SCPI.SENSe.PS(Ch).ROSCillator.BANDwidth

Description

This command sets/gets bandwidth of reference oscillator, for the selected channel Ch.

Variable

Parameter | Value
Description | Bandwidth of reference oscillator
Data Type | Character string type (String)
Range | NARRow|WIDE
Preset Value | NARRow
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NARRow"
SCPI.SENSe.PS1.ROSCillator.BANDwidth = Var
Var = SCPI.SENSe.PS1.ROSCillator.BANDwidth

Related Objects

SCPI.SENSe.PS(Ch).ROSCillator.REFerence(1-2).SOURce

Equivalent Key

PS Menu: Setup > Reference Oscillator > Bandwidth

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:ROSCillator:BANDwidth {NARRow|WIDE}

:SENSe:PS[1-1]:ROSCillator:BANDwidth?

Query Response

{NARRow|WIDE} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:ROSCillator:BANDwidth NARRow"
20 OUTPUT 717;":SENSe:PS1:ROSCillator:BANDwidth?"
30 ENTER 717;A$


SCPI.SENSe.PS(Ch).ROSCillator.REFerence(1-2).SOURce

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.PS(Ch).ROSCillator.REFerence(1-2).SOURce = Value

Value = SCPI.SENSe.PS(Ch).ROSCillator.REFerence(1-2).SOURce

Description

This command sets/gets source of reference oscillator, for the selected channel Ch.

Variable

Parameter | Value
Description | Source of reference oscillator
Data Type | Character string type (String)
Range | INTernal|EXTernal
Preset Value | INTernal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "INTernal"
SCPI.SENSe.PS1.ROSCillator.REFerence2.SOURce = Var
Var = SCPI.SENSe.PS1.ROSCillator.REFerence2.SOURce

Related Objects

SCPI.SENSe.PS(Ch).ROSCillator.BANDwidth

Equivalent Key

PS Menu: Setup > Reference Oscillator > Ref. Osc.1 Source

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:ROSCillator:REFerence[1-2]:SOURce {INTernal|EXTernal}

:SENSe:PS[1-1]:ROSCillator:REFerence[1-2]:SOURce?

Query Response

{INTernal|EXTernal} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:ROSCillator:REFerence2:SOURce INTernal"
20 OUTPUT 717;":SENSe:PS1:ROSCillator:REFerence2:SOURce?"
30 ENTER 717;A$


SCPI.SENSe.PS(Ch).SWEep.POINts

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.PS(Ch).SWEep.POINts

Description

This command gets number of points, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of points
Data Type | Long integer type (Long)
Range | 2 ~ 1601
Preset Value | 17
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var = SCPI.SENSe.PS1.SWEep.POINts

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:PS[1-1]:SWEep:POINts?

Query Response

{2 ~ 1601} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:PS1:SWEep:POINts?"
20 ENTER 717;A


SCPI.SENSe.ROSCillator.REF1.SOURce

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.ROSCillator.REF1.SOURce = Value

Value = SCPI.SENSe.ROSCillator.REF1.SOURce

Description

This command sets/gets source of reference oscillator 1.

  • This command is available only in Phase Noise Measurement.

Variable

Parameter | Value
Description | Source of reference oscillator 1
Data Type | Character string type (String)
Range | INTernal|EXTernal
Preset Value | INTernal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "INTernal"
SCPI.SENSe.ROSCillator.REF1.SOURce = Var
Var = SCPI.SENSe.ROSCillator.REF1.SOURce

Related Objects

SCPI.SENSe.ROSCillator.SOURce

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:ROSCillator:REF1:SOURce {INTernal|EXTernal}

:SENSe:ROSCillator:REF1:SOURce?

Query Response

{INTernal|EXTernal} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:ROSCillator:REF1:SOURce INTernal"
20 OUTPUT 717;":SENSe:ROSCillator:REF1:SOURce ?"
30 ENTER 717;A$


SCPI.SENSe.ROSCillator.SOURce

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.ROSCillator.SOURce

Description

This command gets source of reference oscillator.

Variable

Parameter | Value
Description | Source of reference oscillator
Data Type | Character string type (String)
Range | INTernal|EXTernal|UNLock
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as String
Var= "INTernal"
Var = SCPI.SENSe.ROSCillator.SOURce

Related Objects

SCPI.SENSe.ROSCillator.REF1.SOURce

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:ROSCillator:SOURce?

Query Response

{INTernal|EXTernal|UNLock} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:ROSCillator:SOURce ?"
20 ENTER 717;A$


SCPI.SENSe.SP(Ch).AVERage.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.SP(Ch).AVERage.CLEar

Description

This command clears average, for the selected channel Ch.

Examples

SCPI.SENSe.SP1.AVERage.CLEar

Related Objects

SCPI.SENSe.SP(Ch).AVERage.CLEar

SCPI.SENSe.SP(Ch).AVERage.COUNt

SCPI.SENSe.SP(Ch).AVERage.STATe

SCPI.SENSe.SP(Ch).AVERage.TYPE

Equivalent Key

SP Menu: Average/BW > Averaging Restart

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:AVERage:CLEar

Example of use

10 OUTPUT 717;":SENSe:SP1:AVERage:CLEar"


SCPI.SENSe.SP(Ch).AVERage.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).AVERage.COUNt = Value

Value = SCPI.SENSe.SP(Ch).AVERage.COUNt

Description

This command sets/gets average count, for the selected channel Ch.

Variable

Parameter | Value
Description | Average count
Data Type | Long integer type (Long)
Range | 1 ~ 999
Preset Value | 16
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.SP1.AVERage.COUNt = Var
Var = SCPI.SENSe.SP1.AVERage.COUNt

Related Objects

SCPI.SENSe.SP(Ch).AVERage.CLEar

SCPI.SENSe.SP(Ch).AVERage.STATe

SCPI.SENSe.SP(Ch).AVERage.TYPE

Equivalent Key

SP Menu: Average/BW > Avg Factor

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:AVERage:COUNt {1 ~ 999}

:SENSe:SP[1-1]:AVERage:COUNt?

Query Response

{1 ~ 999} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:AVERage:COUNt 1 "
20 OUTPUT 717;":SENSe:SP1:AVERage:COUNt ?"
30 ENTER 717;A


SCPI.SENSe.SP(Ch).AVERage.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).AVERage.STATe = Value

Value = SCPI.SENSe.SP(Ch).AVERage.STATe

Description

This command sets/gets average ON/OFF, for the selected channel Ch.

Variable

Parameter | Value
Description | Average (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.SP1.AVERage.STATe = Var
Var = SCPI.SENSe.SP1.AVERage.STATe

Related Objects

SCPI.SENSe.SP(Ch).AVERage.CLEar

SCPI.SENSe.SP(Ch).AVERage.COUNt

SCPI.SENSe.SP(Ch).AVERage.TYPE

Equivalent Key

SP Menu: Average/BW > Averaging

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:AVERage:STATe {ON|OFF|1|0}

:SENSe:SP[1-1]:AVERage:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:AVERage:STATe 1"
20 OUTPUT 717;":SENSe:SP1:AVERage:STATe ?"
30 ENTER 717;A


SCPI.SENSe.SP(Ch).AVERage.TYPE

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).AVERage.TYPE = Value

Value = SCPI.SENSe.SP(Ch).AVERage.TYPE

Description

This command sets/gets average mode, for the selected channel Ch.

Variable

Parameter | Value
Description | Average mode
Data Type | Character string type (String)
Range | RMS|LOGarithmic
Preset Value | LOGarithmic
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "RMS"
SCPI.SENSe.SP1.AVERage.TYPE = Var
Var = SCPI.SENSe.SP1.AVERage.TYPE

Related Objects

SCPI.SENSe.SP(Ch).AVERage.CLEar

SCPI.SENSe.SP(Ch).AVERage.COUNt

SCPI.SENSe.SP(Ch).AVERage.STATe

Equivalent Key

SP Menu: Average/BW > Averaging Type

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:AVERage:TYPE {RMS|LOGarithmic}

:SENSe:SP[1-1]:AVERage:TYPE?

Query Response

{RMS|LOGarithmic} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:AVERage:TYPE RMS"
20 OUTPUT 717;":SENSe:SP1:AVERage:TYPE ?"
30 ENTER 717;A$


SCPI.SENSe.SP(Ch).BANDwidth.RESolution

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).BANDwidth.RESolution = Value

Value = SCPI.SENSe.SP(Ch).BANDwidth.RESolution

Description

This command sets/gets bandwidth resolution, for the selected channel Ch.

Variable

Parameter | Value
Description | Bandwidth resolution
Data Type | Double precision floating point type (Double)
Range | 1.53 ~ 1.6M
Preset Value | 25k
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.SP1.BANDwidth.RESolution = Var
Var = SCPI.SENSe.SP1.BANDwidth.RESolution

Equivalent Key

SP Menu: Average/BW > RBW

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:BANDwidth:RESolution {1.53 ~ 1.6M}

:SENSe:SP[1-1]:BANDwidth:RESolution?

Query Response

{1.53 ~ 1.6M} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:BANDwidth:RESolution 0"
20 OUTPUT 717;":SENSe:SP1:BANDwidth:RESolution ?"
30 ENTER 717;A


SCPI.SENSe.SP(Ch).CARRier.FBANd

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).CARRier.FBANd = Value

Value = SCPI.SENSe.SP(Ch).CARRier.FBANd

Description

This command sets/gets carrier frequency band, for the selected channel Ch.

Variable

Parameter | Value
Description | Carrier frequency band
Data Type | Character string type (String)
Range | LOW|HIGH|BAND3|BAND4
Preset Value | HIGH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

When the E5052B is used stand-alone, or with the downconverter turned off, or with the downconverter on and the RF Radio Frequency (from approximately 50 kHz to approximately 3 GHz). Usually referred to whenever a signal is radiated through the air. input is set to 'E5052B Direct'

Parameter | <string>
LOW | Set the carrier frequency band to '10M-1.5GHz'
HIGH ( Preset A pre-defined instrument state (that also runs an analyzer self-test). The action of pushing the Preset key. value) | Set the carrier frequency band to '300M-7GHz'

When the downconverter is turned on and the RF input is set to 'Downconverter'

Parameter | <string>
BAND3 (Preset value) | Set the carrier frequency band to '3G-10GHz'
BAND4 | Set the carrier frequency band to '9G-26.5GHz'

Examples

Dim Var as String
Var= "LOW"
SCPI.SENSe.SP1.CARRier.FBANd = Var
Var = SCPI.SENSe.SP1.CARRier.FBANd

Related Objects

SCPI.SENSe.SP(Ch).CARRier.SET.CENTer

Equivalent Key

SP Menu: Start/Center > Carrier To > Frequency Band

SP Menu: Stop/Span > Carrier To > Frequency Band

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:CARRier:FBANd {LOW|HIGH|BAND3|BAND4}

:SENSe:SP[1-1]:CARRier:FBANd?

Query Response

{LOW|HIGH|BAND3|BAND4} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:CARRier:FBANd LOW"
20 OUTPUT 717;":SENSe:SP1:CARRier:FBANd ?"
30 ENTER 717;A$


SCPI.SENSe.SP(Ch).CARRier.SET.CENTer

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.SP(Ch).CARRier.SET.CENTer = Value

Description

This command sets carrier freq x number to center freq, for the selected channel Ch.

Variable

Parameter | Value
Description | Carrier freq x number to center freq
Data Type | Double precision floating point type (Double)
Range | 1 ~ 20
Preset Value | -
Unit | -
Resolution | 1
Preset Effect | No
Save-Recall Effect | No
Error | 110, "Target freq out of range" 111, "No signal found"

Examples

Dim Var as Double
Var= 1
SCPI.SENSe.SP1.CARRier.SET.CENTer = Var

Related Objects

SCPI.SENSe.SP(Ch).CARRier.FBANd

Equivalent Key

SP Menu : Start/Center > Carrier To > Carrier -> Center

SP Menu : Start/Center > Carrier To > Carrier x2 -> Center

SP Menu : Start/Center > Carrier To > Carrier x3 -> Center

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:CARRier:SET:CENTer {1 ~ 20}

Example of use

10 OUTPUT 717;":SENSe:SP1:CARRier:SET:CENTer 1"
20 ENTER 717;A


SCPI.SENSe.SP(Ch).DETector.FUNCtion

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).DETector.FUNCtion = Value

Value = SCPI.SENSe.SP(Ch).DETector.FUNCtion

Description

This command sets/gets detect mode, for the selected channel Ch.

Variable

Parameter | Value
Description | Detect Mode
Data Type | Character string type (String)
Range | POSitive|SAMPle
Preset Value | POSitive
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.SENSe.SP1.DETector.FUNCtion = Var
Var = SCPI.SENSe.SP1.DETector.FUNCtion

Equivalent Key

SP Menu: Format > Detector Mode

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:DETector:FUNCtion {POSitive|SAMPle}

:SENSe:SP[1-1]:DETector:FUNCtion?

Query Response

{POSitive|SAMPle} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:DETector:FUNCtion POSitive"
20 OUTPUT 717;":SENSe:SP1:DETector:FUNCtion ?"
30 ENTER 717;A$


SCPI.SENSe.SP(Ch).FREQuency.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).FREQuency.CENTer = Value

Value = SCPI.SENSe.SP(Ch).FREQuency.CENTer

Description

This command sets/gets center frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Center frequency
Data Type | Double precision floating point type (Double)
Range | 10M ~ 337G
Preset Value | 1G
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 10000000
SCPI.SENSe.SP1.FREQuency.CENTer = Var
Var = SCPI.SENSe.SP1.FREQuency.CENTer

Related Objects

SCPI.SENSe.SP(Ch).FREQuency.CENTer

SCPI.SENSe.SP(Ch).FREQuency.SPAN

SCPI.SENSe.SP(Ch).FREQuency.STARt

SCPI.SENSe.SP(Ch).FREQuency.STOP

Equivalent Key

SP Menu: Start/Center > Center

SP Menu: Stop/Span > Center

SP Menu: Marker To > Marker > Center

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:FREQuency:CENTer {10M ~ 337G}

:SENSe:SP[1-1]:FREQuency:CENTer?

Query Response

{10M ~ 337G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:FREQuency:CENTer 10000000"
20 OUTPUT 717;":SENSe:SP1:FREQuency:CENTer ?"
30 ENTER 717;A


SCPI.SENSe.SP(Ch).FREQuency.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).FREQuency.SPAN = Value

Value = SCPI.SENSe.SP(Ch).FREQuency.SPAN

Description

This command sets/gets frequency span, for the selected channel Ch.

Variable

Parameter | Value
Description | Frequency span
Data Type | Double precision floating point type (Double)
Range | 100 ~ 15M
Preset Value | 15M
Unit | Hz
Resolution | 200m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.SP1.FREQuency.SPAN = Var
Var = SCPI.SENSe.SP1.FREQuency.SPAN

Related Objects

SCPI.SENSe.SP(Ch).FREQuency.CENTer

SCPI.SENSe.SP(Ch).FREQuency.STARt

SCPI.SENSe.SP(Ch).FREQuency.STOP

Equivalent Key

SP Menu: Start/Center > Span

SP Menu: Stop/Span > Span

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:FREQuency:SPAN {100 ~ 15M}

:SENSe:SP[1-1]:FREQuency:SPAN?

Query Response

{100 ~ 15M} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:FREQuency:SPAN 0"
20 OUTPUT 717;":SENSe:SP1:FREQuency:SPAN ?"
30 ENTER 717;A


SCPI.SENSe.SP(Ch).FREQuency.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).FREQuency.STARt = Value

Value = SCPI.SENSe.SP(Ch).FREQuency.STARt

Description

This command sets/gets start frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Start frequency
Data Type | Double precision floating point type (Double)
Range | 9M ~ 336.99999995G
Preset Value | 992.5M
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 9000000
SCPI.SENSe.SP1.FREQuency.STARt = Var
Var = SCPI.SENSe.SP1.FREQuency.STARt

Related Objects

SCPI.SENSe.SP(Ch).FREQuency.CENTer

SCPI.SENSe.SP(Ch).FREQuency.SPAN

SCPI.SENSe.SP(Ch).FREQuency.STOP

Equivalent Key

SP Menu: Start/Center > Start

SP Menu: Stop/Span > Start

SP Menu: Marker To > Marker > Start

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:FREQuency:STARt {9M ~ 336.99999995G}

:SENSe:SP[1-1]:FREQuency:STARt?

Query Response

{9M ~ 336.99999995G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:FREQuency:STARt 9000000"
20 OUTPUT 717;":SENSe:SP1:FREQuency:STARt ?"
30 ENTER 717;A


SCPI.SENSe.SP(Ch).FREQuency.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).FREQuency.STOP = Value

Value = SCPI.SENSe.SP(Ch).FREQuency.STOP

Description

This command sets/gets stop frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Stop frequency
Data Type | Double precision floating point type (Double)
Range | 10.00005M ~ 337.0075G
Preset Value | 1.0075G
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 10000050
SCPI.SENSe.SP1.FREQuency.STOP = Var
Var = SCPI.SENSe.SP1.FREQuency.STOP

Related Objects

SCPI.SENSe.SP(Ch).FREQuency.CENTer

SCPI.SENSe.SP(Ch).FREQuency.SPAN

SCPI.SENSe.SP(Ch).FREQuency.STARt

Equivalent Key

SP Menu: Start/Center > Stop

SP Menu: Stop/Span > Stop

SP Menu: Marker To > Marker > Stop

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:FREQuency:STOP {10.00005M ~ 337.0075G}

:SENSe:SP[1-1]:FREQuency:STOP?

Query Response

{10.00005M ~ 337.0075G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:FREQuency:STOP 10000050"
20 OUTPUT 717;":SENSe:SP1:FREQuency:STOP ?"
30 ENTER 717;A


SCPI.SENSe.SP(Ch).POWer.RLEVel

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.SP(Ch).POWer.RLEVel = Value

Value = SCPI.SENSe.SP(Ch).POWer.RLEVel

Description

This command sets/gets reference level, for the selected channel Ch.

Variable

Parameter | Value
Description | Reference level
Data Type | Double precision floating point type (Double)
Range | -45 ~ 30
Preset Value | 5
Unit | dBm
Resolution | 5
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.SP1.POWer.RLEVel = Var
Var = SCPI.SENSe.SP1.POWer.RLEVel

Equivalent Key

SP Menu: Setup > Reference Level

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:POWer:RLEVel {-45 ~ 30}

:SENSe:SP[1-1]:POWer:RLEVel?

Query Response

{-45 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:POWer:RLEVel 0"
20 OUTPUT 717;":SENSe:SP1:POWer:RLEVel ?"
30 ENTER 717;A


SCPI.SENSe.SP(Ch).SWEep.POINts

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.SP(Ch).SWEep.POINts

Description

This command gets number of points, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of points
Data Type | Long integer type (Long)
Range | 2 ~ 1024
Preset Value | 154
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 2
Var = SCPI.SENSe.SP1.SWEep.POINts

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:SP[1-1]:SWEep:POINts?

Query Response

{2 ~ 1024} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:SP1:SWEep:POINts ?"
20 ENTER 717;A


SCPI.SENSe.TR(Ch).AVERage.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.SENSe.TR(Ch).AVERage.CLEar

Description

This command clears average, for the selected channel Ch.

Examples

SCPI.SENSe.TR1.AVERage.CLEar

Related Objects

SCPI.SENSe.TR(Ch).AVERage.CLEar

SCPI.SENSe.TR(Ch).AVERage.COUNt

SCPI.SENSe.TR(Ch).AVERage.STATe

Equivalent Key

TR Menu: Average > Averaging Restart

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:AVERage:CLEar

Example of use

10 OUTPUT 717;":SENSe:TR1:AVERage:CLEar"


SCPI.SENSe.TR(Ch).AVERage.COUNt

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).AVERage.COUNt = Value

Value = SCPI.SENSe.TR(Ch).AVERage.COUNt

Description

This command sets/gets average count, for the selected channel Ch.

Variable

Parameter | Value
Description | Average count
Data Type | Long integer type (Long)
Range | 1 ~ 999
Preset Value | 16
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.TR1.AVERage.COUNt = Var
Var = SCPI.SENSe.TR1.AVERage.COUNt

Related Objects

SCPI.SENSe.TR(Ch).AVERage.CLEar

SCPI.SENSe.TR(Ch).AVERage.STATe

Equivalent Key

TR Menu: Average > Avg Factor

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:AVERage:COUNt {1 ~ 999}

:SENSe:TR[1-1]:AVERage:COUNt?

Query Response

{1 ~ 999} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:AVERage:COUNt 1 "
20 OUTPUT 717;":SENSe:TR1:AVERage:COUNt ?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).AVERage.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).AVERage.STATe = Value

Value = SCPI.SENSe.TR(Ch).AVERage.STATe

Description

This command sets/gets average ON/OFF, for the selected channel Ch.

Variable

Parameter | Value
Description | Average (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.TR1.AVERage.STATe = Var
Var = SCPI.SENSe.TR1.AVERage.STATe

Related Objects

SCPI.SENSe.TR(Ch).AVERage.CLEar

SCPI.SENSe.TR(Ch).AVERage.COUNt

Equivalent Key

TR Menu: Average > Averaging

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:AVERage:STATe {ON|OFF|1|0}

:SENSe:TR[1-1]:AVERage:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:AVERage:STATe 1"
20 OUTPUT 717;":SENSe:TR1:AVERage:STATe ?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).MMODe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).MMODe = Value

Value = SCPI.SENSe.TR(Ch).MMODe

Description

This command sets/gets measurement mode, for the selected channel Ch.

Variable

Parameter | Value
Description | Measurement mode
Data Type | Character string type (String)
Range | WN|NN
Preset Value | WN
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NN"
SCPI.SENSe.TR1.MMODe = Var
Var = SCPI.SENSe.TR1.MMODe

Equivalent Key

TR Menu: Setup > Measurement Mode

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:MMODe {WN|NN}

:SENSe:TR[1-1]:MMODe?

Query Response

{WN|NN} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:MMODe NN"
20 OUTPUT 717;":SENSe:TR1:MMODe?"
30 ENTER 717;A$


SCPI.SENSe.TR(Ch).NARRow(Nr).AMODe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).AMODe = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).AMODe

Description

This command sets/gets narrow advanced setup mode, for the selected narrow Nr of the selected channel Ch.

  • This command is available when narrow 1.

Variable

Parameter | Value
Description | Narrow advanced setup mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.TR1.NARRow1.AMODe = Var
Var = SCPI.SENSe.TR1.NARRow1.AMODe

Equivalent Key

TR Menu: Setup > Advanced Setup > Advanced mode

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:AMODe {ON|OFF|1|0}

:SENSe:TR[1-1]:NARRow[1-2]:AMODe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:AMODe 1"
20 OUTPUT 717;":SENSe:TR1:NARRow1:AMODe?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.PREFerence

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.PREFerence = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.PREFerence

Description

This command sets/gets phase reference frequency, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Phase reference frequency
Data Type | Double precision floating point type (Double)
Range | 9.2M ~ 337.04G
Preset Value | 1G
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 9200000
SCPI.SENSe.TR1.NARRow1.FREQuency.PREFerence = Var
Var = SCPI.SENSe.TR1.NARRow1.FREQuency.PREFerence

Related Objects

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RANGe

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RESolution

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet

Equivalent Key

TR Menu: Setup > Phase Reference

TR Menu: Setup > N2 Phase Reference

TR Menu: Marker To > Marker > Phase Reference

TR Menu: Marker To > Marker > N2 Phase Reference

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:FREQuency:PREFerence {9.2M ~ 337.04G}

:SENSe:TR[1-1]:NARRow[1-2]:FREQuency:PREFerence?

Query Response

{9.2M ~ 337.04G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:FREQuency:PREFerence 9200000"
20 OUTPUT 717;":SENSe:TR1:NARRow1:FREQuency:PREFerence?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RANGe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RANGe = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RANGe

Description

This command sets/gets frequency span, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Frequency span
Data Type | Character string type (String)
Range | R80|R25_6|R1_6|R0_2|R25K|R3K
Preset Value | R25_6
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "R80"
SCPI.SENSe.TR1.NARRow1.FREQuency.RANGe = Var
Var = SCPI.SENSe.TR1.NARRow1.FREQuency.RANGe

Related Objects

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.PREFerence

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RESolution

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet

Equivalent Key

TR Menu: Setup > Freq Range

TR Menu: Setup > N2 Freq Range

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:FREQuency:RANGe {R80|R25_6|R1_6|R0_2|R25K|R3K}

:SENSe:TR[1-1]:NARRow[1-2]:FREQuency:RANGe?

Query Response

{R80|R25_6|R1_6|R0_2|R25K|R3K} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:FREQuency:RANGe R80"
20 OUTPUT 717;":SENSe:TR1:NARRow1:FREQuency:RANGe?"
30 ENTER 717;A$


SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RESolution

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RESolution = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RESolution

Description

This command sets/gets Frequency resolution, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Frequency resolution
Data Type | Character string type (String)
Range | R1|R2|R3|R4
Preset Value | R1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "R1"
SCPI.SENSe.TR1.NARRow1.FREQuency.RESolution = Var
Var = SCPI.SENSe.TR1.NARRow1.FREQuency.RESolution

Related Objects

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.PREFerence

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RANGe

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet

Equivalent Key

TR Menu: Setup > Advanced Setup > Narrow Freq Reso.

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:FREQuency:RESolution {R1|R2|R3|R4}

:SENSe:TR[1-1]:NARRow[1-2]:FREQuency:RESolution?

Query Response

{R1|R2|R3|R4} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:FREQuency:RESolution R1"
20 OUTPUT 717;":SENSe:TR1:NARRow1:FREQuency:RESolution?"
30 ENTER 717;A$


SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet

Description

This command sets/gets target frequency, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Target frequency
Data Type | Double precision floating point type (Double)
Range | 10M ~ 337G
Preset Value | 1G
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 10000000
SCPI.SENSe.TR1.NARRow1.FREQuency.TARGet = Var
Var = SCPI.SENSe.TR1.NARRow1.FREQuency.TARGet

Related Objects

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.PREFerence

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RANGe

SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RESolution

Equivalent Key

TR Menu: Setup > Target Freq

TR Menu: Setup > N2 Target Freq

TR Menu: Marker To > Marker > Target Freq

TR Menu: Marker To > Marker > N2 Target Freq

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:FREQuency:TARGet {10M ~ 337G}

:SENSe:TR[1-1]:NARRow[1-2]:FREQuency:TARGet?

Query Response

{10M ~ 337G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:FREQuency:TARGet 10000000"
20 OUTPUT 717;":SENSe:TR1:NARRow1:FREQuency:TARGet?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).NARRow(Nr).SWEep.POINts

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).SWEep.POINts

Description

This command gets number of points, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Number of points
Data Type | Long integer type (Long)
Range | 626 ~ 1564
Preset Value | 801
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 626
Var = SCPI.SENSe.TR1.NARRow1.SWEep.POINts

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:SWEep:POINts?

Query Response

{626 ~ 1564} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:SWEep:POINts?"
20 ENTER 717;A


SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.DSTart

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.DSTart = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.DSTart

Description

This command sets/gets narrow display start value, for the selected narrow Nr of the selected channel Ch.

  • This command is available when narrow 1.

Variable

Parameter | Value
Description | Narrow display start value
Data Type | Double precision floating point type (Double)
Range | -20 ~ 1.00107935999k
Preset Value | -50m
Unit | s
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.TR1.NARRow1.TIME.DSTart = Var
Var = SCPI.SENSe.TR1.NARRow1.TIME.DSTart

Related Objects

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.OFFSet

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.REFerence

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.RESolution

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.SPAN

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.ZOUT

Equivalent Key

TR Menu: Setup > Advanced Setup > Narrow Display Start

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:TIME:DSTart {-20 ~ 1.00107935999k}

:SENSe:TR[1-1]:NARRow[1-2]:TIME:DSTart?

Query Response

{-20 ~ 1.00107935999k} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:DSTart 0"
20 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:DSTart?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.OFFSet = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.OFFSet

Description

This command sets/gets offset for reference point, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Offset for reference point
Data Type | Double precision floating point type (Double)
Range | -20 ~ 1.00107936k
Preset Value | 0
Unit | s
Resolution | 1n
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.TR1.NARRow1.TIME.OFFSet = Var
Var = SCPI.SENSe.TR1.NARRow1.TIME.OFFSet

Related Objects

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.DSTart

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.REFerence

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.RESolution

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.SPAN

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.ZOUT

Equivalent Key

TR Menu: Span > Narrow Time Offset

TR Menu: Span > Narrow2 Time Offset

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:TIME:OFFSet {-20 ~ 1.00107936k}

:SENSe:TR[1-1]:NARRow[1-2]:TIME:OFFSet?

Query Response

{-20 ~ 1.00107936k} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:OFFSet 0"
20 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:OFFSet?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.REFerence

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.REFerence = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.REFerence

Description

This command sets/gets reference position for span, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Reference position for span
Data Type | Character string type (String)
Range | LEFT|CENTer|RIGHt
Preset Value | CENTer
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LEFT"
SCPI.SENSe.TR1.NARRow1.TIME.REFerence = Var
Var = SCPI.SENSe.TR1.NARRow1.TIME.REFerence

Related Objects

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.DSTart

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.OFFSet

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.RESolution

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.SPAN

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.ZOUT

Equivalent Key

TR Menu: Span > Narrow Ref Position

TR Menu: Span > Narrow2 Ref Position

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:TIME:REFerence {LEFT|CENTer|RIGHt}

:SENSe:TR[1-1]:NARRow[1-2]:TIME:REFerence?

Query Response

{LEFT|CENTer|RIGHt} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:REFerence LEFT"
20 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:REFerence?"
30 ENTER 717;A$


SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.RESolution

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.RESolution = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.RESolution

Description

This command sets/gets narrow time resolution, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Narrow time resolution
Data Type | Double precision floating point type (Double)
Range | 8n ~ 100.007936m
Preset Value | 100u
Unit | s
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.TR1.NARRow1.TIME.RESolution = Var
Var = SCPI.SENSe.TR1.NARRow1.TIME.RESolution

Related Objects

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.DSTart

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.OFFSet

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.REFerence

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.SPAN

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.ZOUT

Equivalent Key

TR Menu: Setup > Advanced Setup > Narrow Time Reso.

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:TIME:RESolution {8n ~ 100.007936m}

:SENSe:TR[1-1]:NARRow[1-2]:TIME:RESolution?

Query Response

{8n ~ 100.007936m} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:RESolution 0"
20 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:RESolution?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.SPAN = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.SPAN

Description

This command sets/gets time span, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Time span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1.00007936k
Preset Value | 100m
Unit | s
Resolution | 1n
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.TR1.NARRow1.TIME.SPAN = Var
Var = SCPI.SENSe.TR1.NARRow1.TIME.SPAN

Related Objects

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.DSTart

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.OFFSet

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.REFerence

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.RESolution

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.ZOUT

Equivalent Key

TR Menu: Time Offset > Narrow Span

TR Menu: Time Offset > Narrow2 Span

TR Menu: Span > Narrow Span

TR Menu: Span > Narrow2 Span

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:TIME:SPAN {0 ~ 1.00007936k}

:SENSe:TR[1-1]:NARRow[1-2]:TIME:SPAN?

Query Response

{0 ~ 1.00007936k} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:SPAN 0"
20 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:SPAN?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.ZOUT

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.ZOUT = Value

Value = SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.ZOUT

Description

This command sets/gets narrow display zoom out, for the selected narrow Nr of the selected channel Ch.

  • This command is available when narrow 1.

Variable

Parameter | Value
Description | Narrow display zoom out
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.TR1.NARRow1.TIME.ZOUT = Var
Var = SCPI.SENSe.TR1.NARRow1.TIME.ZOUT

Related Objects

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.DSTart

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.OFFSet

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.REFerence

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.RESolution

SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.SPAN

Equivalent Key

TR Menu: Setup > Advanced Setup > Narrow Zoom Out

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:NARRow[1-2]:TIME:ZOUT {ON|OFF|1|0}

:SENSe:TR[1-1]:NARRow[1-2]:TIME:ZOUT?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:ZOUT 1"
20 OUTPUT 717;":SENSe:TR1:NARRow1:TIME:ZOUT?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).POWer.INPut.LEVel.MAXimum

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).POWer.INPut.LEVel.MAXimum = Value

Value = SCPI.SENSe.TR(Ch).POWer.INPut.LEVel.MAXimum

Description

This command sets/gets max input level, for the selected channel Ch.

Variable

Parameter | Value
Description | Max Input Level
Data Type | Double precision floating point type (Double)
Range | -45 ~ 30
Preset Value | 0
Unit | dBm
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.TR1.POWer.INPut.LEVel.MAXimum = Var
Var = SCPI.SENSe.TR1.POWer.INPut.LEVel.MAXimum

Equivalent Key

TR Menu: Setup > Max Input Level

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:POWer:INPut:LEVel:MAXimum {-45 ~ 30}

:SENSe:TR[1-1]:POWer:INPut:LEVel:MAXimum?

Query Response

{-45 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:POWer:INPut:LEVel:MAXimum 0"
20 OUTPUT 717;":SENSe:TR1:POWer:INPut:LEVel:MAXimum ?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).WIDE.FREQuency.MAXimum

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).WIDE.FREQuency.MAXimum = Value

Value = SCPI.SENSe.TR(Ch).WIDE.FREQuency.MAXimum

Description

This command sets/gets max frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Max frequency
Data Type | Double precision floating point type (Double)
Range | 150M ~ 337G
Preset Value | 1.2G
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 150000000
SCPI.SENSe.TR1.WIDE.FREQuency.MAXimum = Var
Var = SCPI.SENSe.TR1.WIDE.FREQuency.MAXimum

Equivalent Key

TR Menu: Setup > Wide Max Frequency

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:WIDE:FREQuency:MAXimum {150M ~ 337G}

:SENSe:TR[1-1]:WIDE:FREQuency:MAXimum?

Query Response

{150M ~ 337G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:WIDE:FREQuency:MAXimum 150000000"
20 OUTPUT 717;":SENSe:TR1:WIDE:FREQuency:MAXimum ?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).WIDE.SWEep.POINts

Object Type

Property (Read Only)

Syntax

Value = SCPI.SENSe.TR(Ch).WIDE.SWEep.POINts

Description

This command gets number of points, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of points
Data Type | Long integer type (Long)
Range | 801 ~ 1251
Preset Value | 801
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 801
Var = SCPI.SENSe.TR1.WIDE.SWEep.POINts

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:WIDE:SWEep:POINts?

Query Response

{801 ~ 1251} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:WIDE:SWEep:POINts ?"
20 ENTER 717;A


SCPI.SENSe.TR(Ch).WIDE.TIME.OFFSet

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).WIDE.TIME.OFFSet = Value

Value = SCPI.SENSe.TR(Ch).WIDE.TIME.OFFSet

Description

This command sets/gets offset for reference point, for the selected channel Ch.

Variable

Parameter | Value
Description | Offset for reference point
Data Type | Double precision floating point type (Double)
Range | -8 ~ 11
Preset Value | 0
Unit | s
Resolution | 10n
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.TR1.WIDE.TIME.OFFSet = Var
Var = SCPI.SENSe.TR1.WIDE.TIME.OFFSet

Related Objects

SCPI.SENSe.TR(Ch).WIDE.TIME.OFFSet

SCPI.SENSe.TR(Ch).WIDE.TIME.REFerence

SCPI.SENSe.TR(Ch).WIDE.TIME.SPAN

Equivalent Key

TR Menu: Span > Wide Time Offset

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:WIDE:TIME:OFFSet {-8 ~ 11}

:SENSe:TR[1-1]:WIDE:TIME:OFFSet?

Query Response

{-8 ~ 11} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:WIDE:TIME:OFFSet 0"
20 OUTPUT 717;":SENSe:TR1:WIDE:TIME:OFFSet ?"
30 ENTER 717;A


SCPI.SENSe.TR(Ch).WIDE.TIME.REFerence

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).WIDE.TIME.REFerence = Value

Value = SCPI.SENSe.TR(Ch).WIDE.TIME.REFerence

Description

This command sets/gets reference position for span, for the selected channel Ch.

Variable

Parameter | Value
Description | Reference position for span
Data Type | Character string type (String)
Range | LEFT|CENTer|RIGHt
Preset Value | CENTer
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LEFT"
SCPI.SENSe.TR1.WIDE.TIME.REFerence = Var
Var = SCPI.SENSe.TR1.WIDE.TIME.REFerence

Related Objects

SCPI.SENSe.TR(Ch).WIDE.TIME.OFFSet

SCPI.SENSe.TR(Ch).WIDE.TIME.SPAN

Equivalent Key

TR Menu: Span > Wide Ref Position

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:WIDE:TIME:REFerence {LEFT|CENTer|RIGHt}

:SENSe:TR[1-1]:WIDE:TIME:REFerence?

Query Response

{LEFT|CENTer|RIGHt} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:WIDE:TIME:REFerence LEFT"
20 OUTPUT 717;":SENSe:TR1:WIDE:TIME:REFerence ?"
30 ENTER 717;A$


SCPI.SENSe.TR(Ch).WIDE.TIME.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.TR(Ch).WIDE.TIME.SPAN = Value

Value = SCPI.SENSe.TR(Ch).WIDE.TIME.SPAN

Description

This command sets/gets time span, for the selected channel Ch.

Variable

Parameter | Value
Description | Time span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 10
Preset Value | 100m
Unit | s
Resolution | 10n
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SENSe.TR1.WIDE.TIME.SPAN = Var
Var = SCPI.SENSe.TR1.WIDE.TIME.SPAN

Related Objects

SCPI.SENSe.TR(Ch).WIDE.TIME.OFFSet

SCPI.SENSe.TR(Ch).WIDE.TIME.REFerence

Equivalent Key

TR Menu: Span > Wide Span

Equivalent SCPI Command

Syntax

:SENSe:TR[1-1]:WIDE:TIME:SPAN {0 ~ 10}

:SENSe:TR[1-1]:WIDE:TIME:SPAN?

Query Response

{0 ~ 10} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:TR1:WIDE:TIME:SPAN 0"
20 OUTPUT 717;":SENSe:TR1:WIDE:TIME:SPAN ?"
30 ENTER 717;A


SCPI.SENSe.UDConverter.HARMonic

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.UDConverter.HARMonic = Value

Value = SCPI.SENSe.UDConverter.HARMonic

Description

This command sets/gets user downconverter harmonic of LO for mixing.

Variable

Parameter | Value
Description | User downconverter harmonic of LO for mixing
Data Type | Long integer type (Long)
Range | 1 ~ 34
Preset Value | 1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SENSe.UDConverter.HARMonic = Var
Var = SCPI.SENSe.UDConverter.HARMonic

Related Objects

SCPI.SENSe.UDConverter.LO

SCPI.SENSe.UDConverter.MODE

SCPI.SENSe.UDConverter.STATe

Equivalent Key

PN Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Harmonic #

SP Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Harmonic #

FP Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Harmonic #

TR Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Harmonic #

AM Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Harmonic #

BB Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Harmonic #

USER Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Harmonic #

Equivalent SCPI Command

Syntax

:SENSe:UDConverter:HARMonic {1 ~ 34}

:SENSe:UDConverter:HARMonic?

Query Response

{1 ~ 34} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:UDConverter:HARMonic 1 "
20 OUTPUT 717;":SENSe:UDConverter:HARMonic ?"
30 ENTER 717;A


SCPI.SENSe.UDConverter.LO

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.UDConverter.LO = Value

Value = SCPI.SENSe.UDConverter.LO

Description

This command sets/gets user downconverter local frequency.

Variable

Parameter | Value
Description | User downconverter local frequency
Data Type | Double precision floating point type (Double)
Range | 10M ~ 330G
Preset Value | 3G
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 10000000
SCPI.SENSe.UDConverter.LO = Var
Var = SCPI.SENSe.UDConverter.LO

Related Objects

SCPI.SENSe.UDConverter.HARMonic

SCPI.SENSe.UDConverter.MODE

SCPI.SENSe.UDConverter.STATe

Equivalent Key

PN Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > LO Frequency

SP Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > LO Frequency

FP Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > LO Frequency

TR Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > LO Frequency

AM Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > LO Frequency

BB Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > LO Frequency

USER Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > LO Frequency

Equivalent SCPI Command

Syntax

:SENSe:UDConverter:LO {10M ~ 330G}

:SENSe:UDConverter:LO?

Query Response

{10M ~ 330G} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:UDConverter:LO 10000000"
20 OUTPUT 717;":SENSe:UDConverter:LO ?"
30 ENTER 717;A


SCPI.SENSe.UDConverter.MODE

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.UDConverter.MODE = Value

Value = SCPI.SENSe.UDConverter.MODE

Description

This command sets/gets user downconverter mixer mode.

Variable

Parameter | Value
Description | User downconverter mixer mode
Data Type | Character string type (String)
Range | USB|LSB
Preset Value | USB
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "USB"
SCPI.SENSe.UDConverter.MODE = Var
Var = SCPI.SENSe.UDConverter.MODE

Related Objects

SCPI.SENSe.UDConverter.HARMonic

SCPI.SENSe.UDConverter.LO

SCPI.SENSe.UDConverter.STATe

Equivalent Key

PN Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Conversion Mode

SP Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Conversion Mode

FP Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Conversion Mode

TR Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Conversion Mode

AM Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Conversion Mode

BB Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Conversion Mode

USER Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Conversion Mode

Equivalent SCPI Command

Syntax

:SENSe:UDConverter:MODE {USB|LSB}

:SENSe:UDConverter:MODE?

Query Response

{USB|LSB} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:UDConverter:MODE USB"
20 OUTPUT 717;":SENSe:UDConverter:MODE ?"
30 ENTER 717;A$


SCPI.SENSe.UDConverter.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SENSe.UDConverter.STATe = Value

Value = SCPI.SENSe.UDConverter.STATe

Description

This command sets/gets user downconverter ON/OFF.

Variable

Parameter | Value
Description | User downconverter (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SENSe.UDConverter.STATe = Var
Var = SCPI.SENSe.UDConverter.STATe

Related Objects

SCPI.SENSe.UDConverter.HARMonic

SCPI.SENSe.UDConverter.LO

SCPI.SENSe.UDConverter.MODE

Equivalent Key

PN Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Frequency Offset

SP Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Frequency Offset

FP Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Frequency Offset

TR Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Frequency Offset

AM Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Frequency Offset

BB Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Frequency Offset

USER Menu: System > Instrument Setup > Frequency Offset (User Downconv.) > Frequency Offset

Equivalent SCPI Command

Syntax

:SENSe:UDConverter:STATe {ON|OFF|1|0}

:SENSe:UDConverter:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SENSe:UDConverter:STATe 1"
20 OUTPUT 717;":SENSe:UDConverter:STATe ?"
30 ENTER 717;A


SCPI.SOURce.FP(Ch).SWEep.PARameter

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.FP(Ch).SWEep.PARameter = Value

Value = SCPI.SOURce.FP(Ch).SWEep.PARameter

Description

This command sets/gets sweep parameter, for the selected channel Ch.

Variable

Parameter | Value
Description | Sweep parameter
Data Type | Character string type (String)
Range | CONTrol|POWer
Preset Value | CONTrol
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "CONTrol"
SCPI.SOURce.FP1.SWEep.PARameter = Var
Var = SCPI.SOURce.FP1.SWEep.PARameter

Related Objects

SCPI.SOURce.FP(Ch).SWEep.POINts

Equivalent Key

FP Menu: Setup > Sweep Parameter

Equivalent SCPI Command

Syntax

:SOURce:FP[1-1]:SWEep:PARameter {CONTrol|POWer}

:SOURce:FP[1-1]:SWEep:PARameter?

Query Response

{CONTrol|POWer} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:FP1:SWEep:PARameter CONTrol"
20 OUTPUT 717;":SOURce:FP1:SWEep:PARameter ?"
30 ENTER 717;A$


SCPI.SOURce.FP(Ch).SWEep.POINts

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.FP(Ch).SWEep.POINts = Value

Value = SCPI.SOURce.FP(Ch).SWEep.POINts

Description

This command sets/gets number of points, for the selected channel Ch.

Variable

Parameter | Value
Description | Number of points
Data Type | Long integer type (Long)
Range | 2 ~ 1001
Preset Value | 201
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 2
SCPI.SOURce.FP1.SWEep.POINts = Var
Var = SCPI.SOURce.FP1.SWEep.POINts

Related Objects

SCPI.SOURce.FP(Ch).SWEep.PARameter

Equivalent Key

FP Menu: Setup > Points

Equivalent SCPI Command

Syntax

:SOURce:FP[1-1]:SWEep:POINts {2 ~ 1001}

:SOURce:FP[1-1]:SWEep:POINts?

Query Response

{2 ~ 1001} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:FP1:SWEep:POINts 2 "
20 OUTPUT 717;":SOURce:FP1:SWEep:POINts ?"
30 ENTER 717;A


SCPI.SOURce.FP(Ch).VOLTage.CONTrol.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.CENTer = Value

Value = SCPI.SOURce.FP(Ch).VOLTage.CONTrol.CENTer

Description

This command sets/gets voltage control center, for the selected channel Ch.

Variable

Parameter | Value
Description | Voltage control center
Data Type | Double precision floating point type (Double)
Range | -15 ~ 35
Preset Value | 50u
Unit | V
Resolution | 50u
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.FP1.VOLTage.CONTrol.CENTer = Var
Var = SCPI.SOURce.FP1.VOLTage.CONTrol.CENTer

Related Objects

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.SPAN

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STARt

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STOP

Equivalent Key

FP Menu: Start/Center > DC Control Center

FP Menu: Stop/Span > DC Control Center

Equivalent SCPI Command

Syntax

:SOURce:FP[1-1]:VOLTage:CONTrol:CENTer {-15 ~ 35}

:SOURce:FP[1-1]:VOLTage:CONTrol:CENTer?

Query Response

{-15 ~ 35} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:FP1:VOLTage:CONTrol:CENTer 0"
20 OUTPUT 717;":SOURce:FP1:VOLTage:CONTrol:CENTer ?"
30 ENTER 717;A


SCPI.SOURce.FP(Ch).VOLTage.CONTrol.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.SPAN = Value

Value = SCPI.SOURce.FP(Ch).VOLTage.CONTrol.SPAN

Description

This command sets/gets voltage control span, for the selected channel Ch.

Variable

Parameter | Value
Description | Voltage control span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 50
Preset Value | 100u
Unit | V
Resolution | 100u
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.FP1.VOLTage.CONTrol.SPAN = Var
Var = SCPI.SOURce.FP1.VOLTage.CONTrol.SPAN

Related Objects

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.CENTer

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STARt

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STOP

Equivalent Key

FP Menu: Start/Center > DC Control Span

FP Menu: Stop/Span > DC Control Span

Equivalent SCPI Command

Syntax

:SOURce:FP[1-1]:VOLTage:CONTrol:SPAN {0 ~ 50}

:SOURce:FP[1-1]:VOLTage:CONTrol:SPAN?

Query Response

{0 ~ 50} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:FP1:VOLTage:CONTrol:SPAN 0"
20 OUTPUT 717;":SOURce:FP1:VOLTage:CONTrol:SPAN ?"
30 ENTER 717;A


SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STARt = Value

Value = SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STARt

Description

This command sets/gets voltage control start, for the selected channel Ch.

Variable

Parameter | Value
Description | Voltage control start
Data Type | Double precision floating point type (Double)
Range | -15 ~ 35
Preset Value | 0
Unit | V
Resolution | 100u
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.FP1.VOLTage.CONTrol.STARt = Var
Var = SCPI.SOURce.FP1.VOLTage.CONTrol.STARt

Related Objects

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.CENTer

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.SPAN

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STOP

Equivalent Key

FP Menu: Start/Center > DC Control Start

FP Menu: Stop/Span > DC Control Start

Equivalent SCPI Command

Syntax

:SOURce:FP[1-1]:VOLTage:CONTrol:STARt {-15 ~ 35}

:SOURce:FP[1-1]:VOLTage:CONTrol:STARt?

Query Response

{-15 ~ 35} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:FP1:VOLTage:CONTrol:STARt 0"
20 OUTPUT 717;":SOURce:FP1:VOLTage:CONTrol:STARt ?"
30 ENTER 717;A


SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STOP = Value

Value = SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STOP

Description

This command sets/gets voltage control stop, for the selected channel Ch.

Variable

Parameter | Value
Description | Voltage control stop
Data Type | Double precision floating point type (Double)
Range | -15 ~ 35
Preset Value | 100u
Unit | V
Resolution | 100u
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.FP1.VOLTage.CONTrol.STOP = Var
Var = SCPI.SOURce.FP1.VOLTage.CONTrol.STOP

Related Objects

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.CENTer

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.SPAN

SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STARt

Equivalent Key

FP Menu: Start/Center > DC Control Stop

FP Menu: Stop/Span > DC Control Stop

Equivalent SCPI Command

Syntax

:SOURce:FP[1-1]:VOLTage:CONTrol:STOP {-15 ~ 35}

:SOURce:FP[1-1]:VOLTage:CONTrol:STOP?

Query Response

{-15 ~ 35} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:FP1:VOLTage:CONTrol:STOP 0"
20 OUTPUT 717;":SOURce:FP1:VOLTage:CONTrol:STOP ?"
30 ENTER 717;A


SCPI.SOURce.FP(Ch).VOLTage.POWer.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.FP(Ch).VOLTage.POWer.CENTer = Value

Value = SCPI.SOURce.FP(Ch).VOLTage.POWer.CENTer

Description

This command sets/gets voltage power center, for the selected channel Ch.

Variable

Parameter | Value
Description | Voltage power center
Data Type | Double precision floating point type (Double)
Range | 0 ~ 16
Preset Value | 500u
Unit | V
Resolution | 500u
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.FP1.VOLTage.POWer.CENTer = Var
Var = SCPI.SOURce.FP1.VOLTage.POWer.CENTer

Related Objects

SCPI.SOURce.FP(Ch).VOLTage.POWer.SPAN

SCPI.SOURce.FP(Ch).VOLTage.POWer.STARt

SCPI.SOURce.FP(Ch).VOLTage.POWer.STOP

Equivalent Key

FP Menu: Start/Center > DC Power Center

FP Menu: Stop/Span > DC Power Center

Equivalent SCPI Command

Syntax

:SOURce:FP[1-1]:VOLTage:POWer:CENTer {0 ~ 16}

:SOURce:FP[1-1]:VOLTage:POWer:CENTer?

Query Response

{0 ~ 16} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:FP1:VOLTage:POWer:CENTer 0"
20 OUTPUT 717;":SOURce:FP1:VOLTage:POWer:CENTer ?"
30 ENTER 717;A


SCPI.SOURce.FP(Ch).VOLTage.POWer.SPAN

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.FP(Ch).VOLTage.POWer.SPAN = Value

Value = SCPI.SOURce.FP(Ch).VOLTage.POWer.SPAN

Description

This command sets/gets voltage power span, for the selected channel Ch.

Variable

Parameter | Value
Description | Voltage power span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 16
Preset Value | 1m
Unit | V
Resolution | 1m
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.FP1.VOLTage.POWer.SPAN = Var
Var = SCPI.SOURce.FP1.VOLTage.POWer.SPAN

Related Objects

SCPI.SOURce.FP(Ch).VOLTage.POWer.CENTer

SCPI.SOURce.FP(Ch).VOLTage.POWer.STARt

SCPI.SOURce.FP(Ch).VOLTage.POWer.STOP

Equivalent Key

FP Menu: Start/Center > DC Power Span

FP Menu: Stop/Span > DC Power Span

Equivalent SCPI Command

Syntax

:SOURce:FP[1-1]:VOLTage:POWer:SPAN {0 ~ 16}

:SOURce:FP[1-1]:VOLTage:POWer:SPAN?

Query Response

{0 ~ 16} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:FP1:VOLTage:POWer:SPAN 0"
20 OUTPUT 717;":SOURce:FP1:VOLTage:POWer:SPAN ?"
30 ENTER 717;A


SCPI.SOURce.FP(Ch).VOLTage.POWer.STARt

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.FP(Ch).VOLTage.POWer.STARt = Value

Value = SCPI.SOURce.FP(Ch).VOLTage.POWer.STARt

Description

This command sets/gets voltage power start, for the selected channel Ch.

Variable

Parameter | Value
Description | Voltage power start
Data Type | Double precision floating point type (Double)
Range | 0 ~ 16
Preset Value | 0
Unit | V
Resolution | 1m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.FP1.VOLTage.POWer.STARt = Var
Var = SCPI.SOURce.FP1.VOLTage.POWer.STARt

Related Objects

SCPI.SOURce.FP(Ch).VOLTage.POWer.CENTer

SCPI.SOURce.FP(Ch).VOLTage.POWer.SPAN

SCPI.SOURce.FP(Ch).VOLTage.POWer.STOP

Equivalent Key

FP Menu: Start/Center > DC Power Start

FP Menu: Stop/Span > DC Power Start

Equivalent SCPI Command

Syntax

:SOURce:FP[1-1]:VOLTage:POWer:STARt {0 ~ 16}

:SOURce:FP[1-1]:VOLTage:POWer:STARt?

Query Response

{0 ~ 16} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:FP1:VOLTage:POWer:STARt 0"
20 OUTPUT 717;":SOURce:FP1:VOLTage:POWer:STARt ?"
30 ENTER 717;A


SCPI.SOURce.FP(Ch).VOLTage.POWer.STOP

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.FP(Ch).VOLTage.POWer.STOP = Value

Value = SCPI.SOURce.FP(Ch).VOLTage.POWer.STOP

Description

This command sets/gets voltage power stop, for the selected channel Ch.

Variable

Parameter | Value
Description | Voltage power stop
Data Type | Double precision floating point type (Double)
Range | 0 ~ 16
Preset Value | 1m
Unit | V
Resolution | 1m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.FP1.VOLTage.POWer.STOP = Var
Var = SCPI.SOURce.FP1.VOLTage.POWer.STOP

Related Objects

SCPI.SOURce.FP(Ch).VOLTage.POWer.CENTer

SCPI.SOURce.FP(Ch).VOLTage.POWer.SPAN

SCPI.SOURce.FP(Ch).VOLTage.POWer.STARt

Equivalent Key

FP Menu: Start/Center > DC Power Stop

FP Menu: Stop/Span > DC Power Stop

Equivalent SCPI Command

Syntax

:SOURce:FP[1-1]:VOLTage:POWer:STOP {0 ~ 16}

:SOURce:FP[1-1]:VOLTage:POWer:STOP?

Query Response

{0 ~ 16} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:FP1:VOLTage:POWer:STOP 0"
20 OUTPUT 717;":SOURce:FP1:VOLTage:POWer:STOP ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd = Value

Value = SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

Description

This command sets/gets frequency band.

Variable

Parameter | Value
Description | Frequency band
Data Type | Character string type (String)
Range | LOW|HIGH|BAND3|BAND4
Preset Value | HIGH
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "LOW"
SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd = Var
Var = SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

Related Objects

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Equivalent Key

PN Menu: DC Control Voltage > Auto Freq Control > Frequency Band

SP Menu: DC Control Voltage > Auto Freq Control > Frequency Band

FP Menu: DC Control Voltage > Auto Freq Control > Frequency Band

TR Menu: DC Control Voltage > Auto Freq Control > Frequency Band

AM Menu: DC Control Voltage > Auto Freq Control > Frequency Band

BB Menu: DC Control Voltage > Auto Freq Control > Frequency Band

USER Menu: DC Control Voltage > Auto Freq Control > Frequency Band

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:AFC:FBANd {LOW|HIGH|BAND3|BAND4}

:SOURce:VOLTage:CONTrol:AFC:FBANd?

Query Response

{LOW|HIGH|BAND3|BAND4} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:FBANd LOW"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:FBANd ?"
30 ENTER 717;A$


SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

Description

This command immediately executes AFC .

Examples

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

Related Objects

SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:AFC:IMMediate

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:IMMediate"


SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum = Value

Value = SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

Description

This command sets/gets max input level.

Variable

Parameter | Value
Description | Max Input Level
Data Type | Double precision floating point type (Double)
Range | -45 ~ 30
Preset Value | 0
Unit | dBm
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum = Var
Var = SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

Related Objects

SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Equivalent Key

PN Menu: DC Control Voltage > Auto Freq Control > Max Input Level

SP Menu: DC Control Voltage > Auto Freq Control > Max Input Level

FP Menu: DC Control Voltage > Auto Freq Control > Max Input Level

TR Menu: DC Control Voltage > Auto Freq Control > Max Input Level

AM Menu: DC Control Voltage > Auto Freq Control > Max Input Level

BB Menu: DC Control Voltage > Auto Freq Control > Max Input Level

USER Menu: DC Control Voltage > Auto Freq Control > Max Input Level

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:AFC:INPut:LEVel:MAXimum {-45 ~ 30}

:SOURce:VOLTage:CONTrol:AFC:INPut:LEVel:MAXimum?

Query Response

{-45 ~ 30} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:INPut:LEVel:MAXimum 0"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:INPut:LEVel:MAXimum ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation = Value

Value = SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

Description

This command sets/gets the maximum number of times that the measurement and calculation are repeated in AFC.

Variable

Parameter | Value
Description | The maximum number of times that the measurement and calculation are repeated in AFC
Data Type | Long integer type (Long)
Range | 1 ~ 99
Preset Value | 10
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Long
Var= 1
SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation = Var
Var = SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

Related Objects

SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Equivalent Key

PN Menu: DC Control Voltage > Auto Freq Control > Max Iteration

SP Menu: DC Control Voltage > Auto Freq Control > Max Iteration

FP Menu: DC Control Voltage > Auto Freq Control > Max Iteration

TR Menu: DC Control Voltage > Auto Freq Control > Max Iteration

AM Menu: DC Control Voltage > Auto Freq Control > Max Iteration

BB Menu: DC Control Voltage > Auto Freq Control > Max Iteration

USER Menu: DC Control Voltage > Auto Freq Control > Max Iteration

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:AFC:ITERation {1 ~ 99}

:SOURce:VOLTage:CONTrol:AFC:ITERation?

Query Response

{1 ~ 99} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:ITERation 1 "
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:ITERation ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH = Value

Value = SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

Description

This command sets/gets AFC voltage control high limit.

Variable

Parameter | Value
Description | AFC Voltage control high limit
Data Type | Double precision floating point type (Double)
Range | -15 ~ 35
Preset Value | 35
Unit | V
Resolution | 100u
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH = Var
Var = SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

Related Objects

SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Equivalent Key

PN Menu: DC Control Voltage > Auto Freq Control > Max Ctrl Voltage Limit

SP Menu: DC Control Voltage > Auto Freq Control > Max Ctrl Voltage Limit

FP Menu: DC Control Voltage > Auto Freq Control > Max Ctrl Voltage Limit

TR Menu: DC Control Voltage > Auto Freq Control > Max Ctrl Voltage Limit

AM Menu: DC Control Voltage > Auto Freq Control > Max Ctrl Voltage Limit

BB Menu: DC Control Voltage > Auto Freq Control > Max Ctrl Voltage Limit

USER Menu: DC Control Voltage > Auto Freq Control > Max Ctrl Voltage Limit

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:AFC:LIMit:HIGH {-15 ~ 35}

:SOURce:VOLTage:CONTrol:AFC:LIMit:HIGH?

Query Response

{-15 ~ 35} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:LIMit:HIGH 0"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:LIMit:HIGH ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW = Value

Value = SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

Description

This command sets/gets AFC voltage control low limit.

Variable

Parameter | Value
Description | AFC Voltage control low limit
Data Type | Double precision floating point type (Double)
Range | -15 ~ 35
Preset Value | -15
Unit | V
Resolution | 100u
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW = Var
Var = SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

Related Objects

SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Equivalent Key

PN Menu: DC Control Voltage > Auto Freq Control > Min Ctrl Voltage Limit

SP Menu: DC Control Voltage > Auto Freq Control > Min Ctrl Voltage Limit

FP Menu: DC Control Voltage > Auto Freq Control > Min Ctrl Voltage Limit

TR Menu: DC Control Voltage > Auto Freq Control > Min Ctrl Voltage Limit

AM Menu: DC Control Voltage > Auto Freq Control > Min Ctrl Voltage Limit

BB Menu: DC Control Voltage > Auto Freq Control > Min Ctrl Voltage Limit

USER Menu: DC Control Voltage > Auto Freq Control > Min Ctrl Voltage Limit

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:AFC:LIMit:LOW {-15 ~ 35}

:SOURce:VOLTage:CONTrol:AFC:LIMit:LOW?

Query Response

{-15 ~ 35} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:LIMit:LOW 0"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:LIMit:LOW ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity = Value

Value = SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

Description

This command sets/gets the DUT's approximate tuning sensitivity used in AFC.

Variable

Parameter | Value
Description | DUT's approximate tuning sensitivity used in AFC
Data Type | Double precision floating point type (Double)
Range | -5G ~ 5G
Preset Value | 10M
Unit | Hz/V
Resolution | 1
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= -5000000000
SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity = Var
Var = SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

Related Objects

SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Equivalent Key

PN Menu: DC Control Voltage > Auto Freq Control > Sensitivity

SP Menu: DC Control Voltage > Auto Freq Control > Sensitivity

FP Menu: DC Control Voltage > Auto Freq Control > Sensitivity

TR Menu: DC Control Voltage > Auto Freq Control > Sensitivity

AM Menu: DC Control Voltage > Auto Freq Control > Sensitivity

BB Menu: DC Control Voltage > Auto Freq Control > Sensitivity

USER Menu: DC Control Voltage > Auto Freq Control > Sensitivity

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:AFC:SENSitivity {-5G ~ 5G}

:SOURce:VOLTage:CONTrol:AFC:SENSitivity?

Query Response

{-5G ~ 5G} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:SENSitivity -5000000000"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:SENSitivity ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.AFC.STATe = Value

Value = SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

Description

This command sets/gets the AFC state for PN/SP.

Variable

Parameter | Value
Description | AFC state for PN/SP
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SOURce.VOLTage.CONTrol.AFC.STATe = Var
Var = SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

Related Objects

SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:AFC[:STATe] {ON|OFF|1|0}

:SOURce:VOLTage:CONTrol:AFC[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC[:STATe] 1"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC[:STATe] ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet = Value

Value = SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

Description

This command sets/gets the target frequency for AFC.

Variable

Parameter | Value
Description | Target frequency for AFC
Data Type | Double precision floating point type (Double)
Range | 10M ~ 337G
Preset Value | 1G
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 10000000
SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet = Var
Var = SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

Related Objects

SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Equivalent Key

PN Menu: DC Control Voltage > Auto Freq Control > Target

SP Menu: DC Control Voltage > Auto Freq Control > Target

FP Menu: DC Control Voltage > Auto Freq Control > Target

TR Menu: DC Control Voltage > Auto Freq Control > Target

AM Menu: DC Control Voltage > Auto Freq Control > Target

BB Menu: DC Control Voltage > Auto Freq Control > Target

USER Menu: DC Control Voltage > Auto Freq Control > Target

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:AFC:TARGet {10M ~ 337G}

:SOURce:VOLTage:CONTrol:AFC:TARGet?

Query Response

{10M ~ 337G} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:TARGet 10000000"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:TARGet ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance = Value

Value = SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Description

This command sets/gets the allowable difference between the target frequency and the actual frequency settings in AFC.

Variable

Parameter | Value
Description | The allowable difference between the target frequency and the actual frequency settings in AFC
Data Type | Double precision floating point type (Double)
Range | 20 ~ 10M
Preset Value | 1k
Unit | Hz
Resolution | 100m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance = Var
Var = SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance

Related Objects

SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd

SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate

SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum

SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH

SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW

SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity

SCPI.SOURce.VOLTage.CONTrol.AFC.STATe

SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet

Equivalent Key

PN Menu: DC Control Voltage > Auto Freq Control > Tolerance

SP Menu: DC Control Voltage > Auto Freq Control > Tolerance

FP Menu: DC Control Voltage > Auto Freq Control > Tolerance

TR Menu: DC Control Voltage > Auto Freq Control > Tolerance

AM Menu: DC Control Voltage > Auto Freq Control > Tolerance

BB Menu: DC Control Voltage > Auto Freq Control > Tolerance

USER Menu: DC Control Voltage > Auto Freq Control > Tolerance

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:AFC:TOLerance {20 ~ 10M}

:SOURce:VOLTage:CONTrol:AFC:TOLerance?

Query Response

{20 ~ 10M} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:TOLerance 0"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:AFC:TOLerance ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.CORRection.COLLect.ACQuire

Object Type

Method (Write Only)

Syntax

SCPI.SOURce.VOLTage.CONTrol.CORRection.COLLect.ACQuire

Description

This command executes DC control drift calibration..

Examples

SCPI.SOURce.VOLTage.CONTrol.CORRection.COLLect.ACQuire

Related Objects

SCPI.SOURce.VOLTage.CONTrol.CORRection.STATe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:CORRection:COLLect:ACQuire

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:CORRection:COLLect:ACQuire"


SCPI.SOURce.VOLTage.CONTrol.CORRection.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.CORRection.STATe = Value

Value = SCPI.SOURce.VOLTage.CONTrol.CORRection.STATe

Description

This command sets/gets DC control drift calibration state.

Variable

Parameter | Value
Description | DC control drift calibration state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SOURce.VOLTage.CONTrol.CORRection.STATe = Var
Var = SCPI.SOURce.VOLTage.CONTrol.CORRection.STATe

Related Objects

SCPI.SOURce.VOLTage.CONTrol.CORRection.COLLect.ACQuire

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:CORRection[:STATe] {ON|OFF|1|0}

:SOURce:VOLTage:CONTrol:CORRection[:STATe]?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:CORRection[:STATe] 1"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:CORRection[:STATe] ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.DELay

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.DELay = Value

Value = SCPI.SOURce.VOLTage.CONTrol.DELay

Description

This command sets/gets Source Control setting delay (in sec).

Variable

Parameter | Value
Description | Source Control setting delay
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1
Preset Value | 100m
Unit | s
Resolution | 1m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.CONTrol.DELay = Var
Var = SCPI.SOURce.VOLTage.CONTrol.DELay

Equivalent Key

PN Menu: DC Control Voltage > DC Control Delay

SP Menu: DC Control Voltage > DC Control Delay

FP Menu: DC Control Voltage > DC Control Delay

TR Menu: DC Control Voltage > DC Control Delay

AM Menu: DC Control Voltage > DC Control Delay

BB Menu: DC Control Voltage > DC Control Delay

USER Menu: DC Control Voltage > DC Control Delay

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:DELay {0 ~ 1}

:SOURce:VOLTage:CONTrol:DELay?

Query Response

{0 ~ 1} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:DELay 0"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:DELay ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.LEVel.AMPLitude

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.LEVel.AMPLitude = Value

Value = SCPI.SOURce.VOLTage.CONTrol.LEVel.AMPLitude

Description

This command sets/gets fixed voltage control value at voltage power sweep.

Variable

Parameter | Value
Description | Fixed Voltage control value at Voltage power sweep
Data Type | Double precision floating point type (Double)
Range | -15 ~ 35
Preset Value | 0
Unit | V
Resolution | 100u
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.CONTrol.LEVel.AMPLitude = Var
Var = SCPI.SOURce.VOLTage.CONTrol.LEVel.AMPLitude

Related Objects

SCPI.SOURce.VOLTage.CONTrol.LEVel.STATe

Equivalent Key

PN Menu: DC Control Voltage > DC Control Voltage

SP Menu: DC Control Voltage > DC Control Voltage

FP Menu: DC Control Voltage > DC Control Voltage

TR Menu: DC Control Voltage > DC Control Voltage

AM Menu: DC Control Voltage > DC Control Voltage

BB Menu: DC Control Voltage > DC Control Voltage

USER Menu: DC Control Voltage > DC Control Voltage

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:LEVel:AMPLitude {-15 ~ 35}

:SOURce:VOLTage:CONTrol:LEVel:AMPLitude?

Query Response

{-15 ~ 35} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:LEVel:AMPLitude 0"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:LEVel:AMPLitude ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.LEVel.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.LEVel.STATe = Value

Value = SCPI.SOURce.VOLTage.CONTrol.LEVel.STATe

Description

This command sets/gets fixed voltage control On/Off at voltage power sweep.

Variable

Parameter | Value
Description | Fixed voltage control On/Off at voltage power sweep
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SOURce.VOLTage.CONTrol.LEVel.STATe = Var
Var = SCPI.SOURce.VOLTage.CONTrol.LEVel.STATe

Related Objects

SCPI.SOURce.VOLTage.CONTrol.LEVel.AMPLitude

Equivalent Key

PN Menu: DC Control Voltage > DC Control Output

SP Menu: DC Control Voltage > DC Control Output

FP Menu: DC Control Voltage > DC Control Output

TR Menu: DC Control Voltage > DC Control Output

AM Menu: DC Control Voltage > DC Control Output

BB Menu: DC Control Voltage > DC Control Output

USER Menu: DC Control Voltage > DC Control Output

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:LEVel:STATe {ON|OFF|1|0}

:SOURce:VOLTage:CONTrol:LEVel:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:LEVel:STATe 1"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:LEVel:STATe ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.LIMit.HIGH

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.LIMit.HIGH = Value

Value = SCPI.SOURce.VOLTage.CONTrol.LIMit.HIGH

Description

This command sets/gets fixed Voltage control high limit, Resolution 0.1mV.

Variable

Parameter | Value
Description | Fixed Voltage control high limit, Resolution 0.1mV
Data Type | Double precision floating point type (Double)
Range | -15 ~ 35
Preset Value | 35
Unit | V
Resolution | 100u
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.CONTrol.LIMit.HIGH = Var
Var = SCPI.SOURce.VOLTage.CONTrol.LIMit.HIGH

Related Objects

SCPI.SOURce.VOLTage.CONTrol.LIMit.LOW

Equivalent Key

PN Menu: DC Control Voltage > Max Ctrl Voltage Limit

SP Menu: DC Control Voltage > Max Ctrl Voltage Limit

FP Menu: DC Control Voltage > Max Ctrl Voltage Limit

TR Menu: DC Control Voltage > Max Ctrl Voltage Limit

AM Menu: DC Control Voltage > Max Ctrl Voltage Limit

BB Menu: DC Control Voltage > Max Ctrl Voltage Limit

USER Menu: DC Control Voltage > Max Ctrl Voltage Limit

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:LIMit:HIGH {-15 ~ 35}

:SOURce:VOLTage:CONTrol:LIMit:HIGH?

Query Response

{-15 ~ 35} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:LIMit:HIGH 0"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:LIMit:HIGH ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.CONTrol.LIMit.LOW

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.CONTrol.LIMit.LOW = Value

Value = SCPI.SOURce.VOLTage.CONTrol.LIMit.LOW

Description

This command sets/gets fixed voltage control low limit, Resolution 0.1mdV.

Variable

Parameter | Value
Description | Fixed Voltage control low limit, Resolution 0.1mdV
Data Type | Double precision floating point type (Double)
Range | -15 ~ 35
Preset Value | -15
Unit | V
Resolution | 100u
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.CONTrol.LIMit.LOW = Var
Var = SCPI.SOURce.VOLTage.CONTrol.LIMit.LOW

Related Objects

SCPI.SOURce.VOLTage.CONTrol.LIMit.HIGH

Equivalent Key

PN Menu: DC Control Voltage > Min Ctrl Voltage Limit

SP Menu: DC Control Voltage > Min Ctrl Voltage Limit

FP Menu: DC Control Voltage > Min Ctrl Voltage Limit

TR Menu: DC Control Voltage > Min Ctrl Voltage Limit

AM Menu: DC Control Voltage > Min Ctrl Voltage Limit

BB Menu: DC Control Voltage > Min Ctrl Voltage Limit

USER Menu: DC Control Voltage > Min Ctrl Voltage Limit

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:CONTrol:LIMit:LOW {-15 ~ 35}

:SOURce:VOLTage:CONTrol:LIMit:LOW?

Query Response

{-15 ~ 35} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:CONTrol:LIMit:LOW 0"
20 OUTPUT 717;":SOURce:VOLTage:CONTrol:LIMit:LOW ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.POWer.DELay

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.POWer.DELay = Value

Value = SCPI.SOURce.VOLTage.POWer.DELay

Description

This command sets/gets source power setting delay (in sec).

Variable

Parameter | Value
Description | Source Power setting delay (in sec)
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1
Preset Value | 100m
Unit | s
Resolution | 1m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.POWer.DELay = Var
Var = SCPI.SOURce.VOLTage.POWer.DELay

Equivalent Key

PN Menu: DC Power Voltage > DC Power Delay

SP Menu: DC Power Voltage > DC Power Delay

FP Menu: DC Power Voltage > DC Power Delay

TR Menu: DC Power Voltage > DC Power Delay

AM Menu: DC Power Voltage > DC Power Delay

BB Menu: DC Power Voltage > DC Power Delay

USER Menu: DC Power Voltage > DC Power Delay

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:POWer:DELay {0 ~ 1}

:SOURce:VOLTage:POWer:DELay?

Query Response

{0 ~ 1} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:POWer:DELay 0"
20 OUTPUT 717;":SOURce:VOLTage:POWer:DELay ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.POWer.LEVel.AMPLitude

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.POWer.LEVel.AMPLitude = Value

Value = SCPI.SOURce.VOLTage.POWer.LEVel.AMPLitude

Description

This command sets/gets fixed voltage power value at voltage control sweep.

Variable

Parameter | Value
Description | Fixed voltage power value at voltage control sweep
Data Type | Double precision floating point type (Double)
Range | 0 ~ 16
Preset Value | 0
Unit | V
Resolution | 1m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.POWer.LEVel.AMPLitude = Var
Var = SCPI.SOURce.VOLTage.POWer.LEVel.AMPLitude

Related Objects

SCPI.SOURce.VOLTage.POWer.LEVel.STATe

Equivalent Key

PN Menu: DC Power Voltage > DC Power Voltage

SP Menu: DC Power Voltage > DC Power Voltage

FP Menu: DC Power Voltage > DC Power Voltage

TR Menu: DC Power Voltage > DC Power Voltage

AM Menu: DC Power Voltage > DC Power Voltage

BB Menu: DC Power Voltage > DC Power Voltage

USER Menu: DC Power Voltage > DC Power Voltage

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:POWer:LEVel:AMPLitude {0 ~ 16}

:SOURce:VOLTage:POWer:LEVel:AMPLitude?

Query Response

{0 ~ 16} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:POWer:LEVel:AMPLitude 0"
20 OUTPUT 717;":SOURce:VOLTage:POWer:LEVel:AMPLitude ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.POWer.LEVel.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.POWer.LEVel.STATe = Value

Value = SCPI.SOURce.VOLTage.POWer.LEVel.STATe

Description

This command sets/gets fixed voltage power On/Off at voltage control sweep.

Variable

Parameter | Value
Description | fixed voltage power On/Off at voltage control sweep
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SOURce.VOLTage.POWer.LEVel.STATe = Var
Var = SCPI.SOURce.VOLTage.POWer.LEVel.STATe

Related Objects

SCPI.SOURce.VOLTage.POWer.LEVel.AMPLitude

Equivalent Key

PN Menu: DC Power Voltage > DC Power Output

SP Menu: DC Power Voltage > DC Power Output

FP Menu: DC Power Voltage > DC Power Output

TR Menu: DC Power Voltage > DC Power Output

AM Menu: DC Power Voltage > DC Power Output

BB Menu: DC Power Voltage > DC Power Output

USER Menu: DC Power Voltage > DC Power Output

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:POWer:LEVel:STATe {ON|OFF|1|0}

:SOURce:VOLTage:POWer:LEVel:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:POWer:LEVel:STATe 1"
20 OUTPUT 717;":SOURce:VOLTage:POWer:LEVel:STATe ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.POWer.LIMit.HIGH

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.POWer.LIMit.HIGH = Value

Value = SCPI.SOURce.VOLTage.POWer.LIMit.HIGH

Description

This command sets/gets fixed voltage power high limit, Resolution 1mV.

Variable

Parameter | Value
Description | Fixed voltage power high limit, Resolution 1mV
Data Type | Double precision floating point type (Double)
Range | 0 ~ 16
Preset Value | 16
Unit | V
Resolution | 1m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.POWer.LIMit.HIGH = Var
Var = SCPI.SOURce.VOLTage.POWer.LIMit.HIGH

Related Objects

SCPI.SOURce.VOLTage.POWer.LIMit.LOW

Equivalent Key

PN Menu: DC Power Voltage > Max Pwr Voltage Limit

SP Menu: DC Power Voltage > Max Pwr Voltage Limit

FP Menu: DC Power Voltage > Max Pwr Voltage Limit

TR Menu: DC Power Voltage > Max Pwr Voltage Limit

AM Menu: DC Power Voltage > Max Pwr Voltage Limit

BB Menu: DC Power Voltage > Max Pwr Voltage Limit

USER Menu: DC Power Voltage > Max Pwr Voltage Limit

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:POWer:LIMit:HIGH {0 ~ 16}

:SOURce:VOLTage:POWer:LIMit:HIGH?

Query Response

{0 ~ 16} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:POWer:LIMit:HIGH 0"
20 OUTPUT 717;":SOURce:VOLTage:POWer:LIMit:HIGH ?"
30 ENTER 717;A


SCPI.SOURce.VOLTage.POWer.LIMit.LOW

Object Type

Property (Read-Write)

Syntax

SCPI.SOURce.VOLTage.POWer.LIMit.LOW = Value

Value = SCPI.SOURce.VOLTage.POWer.LIMit.LOW

Description

This command sets/gets fixed voltage power low limit, Resolution 1mdV.

Variable

Parameter | Value
Description | Fixed voltage power low limit
Data Type | Double precision floating point type (Double)
Range | 0 ~ 16
Preset Value | 0
Unit | V
Resolution | 1m
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.SOURce.VOLTage.POWer.LIMit.LOW = Var
Var = SCPI.SOURce.VOLTage.POWer.LIMit.LOW

Related Objects

SCPI.SOURce.VOLTage.POWer.LIMit.HIGH

Equivalent Key

PN Menu: DC Power Voltage > Min Pwr Voltage Limit

SP Menu: DC Power Voltage > Min Pwr Voltage Limit

FP Menu: DC Power Voltage > Min Pwr Voltage Limit

TR Menu: DC Power Voltage > Min Pwr Voltage Limit

AM Menu: DC Power Voltage > Min Pwr Voltage Limit

BB Menu: DC Power Voltage > Min Pwr Voltage Limit

USER Menu: DC Power Voltage > Min Pwr Voltage Limit

Equivalent SCPI Command

Syntax

:SOURce:VOLTage:POWer:LIMit:LOW {0 ~ 16}

:SOURce:VOLTage:POWer:LIMit:LOW?

Query Response

{0 ~ 16} <newline><^END>

Example of use

10 OUTPUT 717;":SOURce:VOLTage:POWer:LIMit:LOW 0"
20 OUTPUT 717;":SOURce:VOLTage:POWer:LIMit:LOW ?"
30 ENTER 717;A


SCPI.STATus.OPERation.BIT12.CLEar

Object Type

Method (Write Only)

Syntax

SCPI.STATus.OPERation.BIT12.CLEar = Value

Description

This command clears specified bit of BIT12 condition register.

  • Parameter is bit position number.

Variable

Parameter | Value
Description | Clears specified bit of BIT12 condition register
Data Type | Long integer type (Long)
Range | 0 ~ 14
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.OPERation.BIT12.CLEar = Var

Related Objects

SCPI.STATus.OPERation.BIT12.CONDition

SCPI.STATus.OPERation.BIT12.ENABle

SCPI.STATus.OPERation.BIT12.EVENt

SCPI.STATus.OPERation.BIT12.NTRansition

SCPI.STATus.OPERation.BIT12.PTRansition

SCPI.STATus.OPERation.BIT12.SET

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:BIT12:CLEar {0 ~ 14}

Query Response

{0 ~ 14} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:BIT12:CLEar 0 "
20 ENTER 717;A


SCPI.STATus.OPERation.BIT12.CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.OPERation.BIT12.CONDition

Description

This command gets operation-program status register.

  • Effective only for 0-14 bits..

Variable

Parameter | Value
Description | Operation-program status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.OPERation.BIT12.CONDition

Related Objects

SCPI.STATus.OPERation.BIT12.CLEar

SCPI.STATus.OPERation.BIT12.ENABle

SCPI.STATus.OPERation.BIT12.EVENt

SCPI.STATus.OPERation.BIT12.NTRansition

SCPI.STATus.OPERation.BIT12.PTRansition

SCPI.STATus.OPERation.BIT12.SET

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:BIT12:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:BIT12:CONDition ?"
20 ENTER 717;A


SCPI.STATus.OPERation.BIT12.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.OPERation.BIT12.ENABle = Value

Value = SCPI.STATus.OPERation.BIT12.ENABle

Description

This command sets/gets operation-program status enable register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Operation-program status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.OPERation.BIT12.ENABle = Var
Var = SCPI.STATus.OPERation.BIT12.ENABle

Related Objects

SCPI.STATus.OPERation.BIT12.CLEar

SCPI.STATus.OPERation.BIT12.CONDition

SCPI.STATus.OPERation.BIT12.EVENt

SCPI.STATus.OPERation.BIT12.NTRansition

SCPI.STATus.OPERation.BIT12.PTRansition

SCPI.STATus.OPERation.BIT12.SET

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:BIT12:ENABle {0 ~ 65535}

:STATus:OPERation:BIT12:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:BIT12:ENABle 0 "
20 OUTPUT 717;":STATus:OPERation:BIT12:ENABle ?"
30 ENTER 717;A


SCPI.STATus.OPERation.BIT12.EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.OPERation.BIT12.EVENt

Description

This command gets operation-program status event register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Operation-program status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.OPERation.BIT12.EVENt

Related Objects

SCPI.STATus.OPERation.BIT12.CLEar

SCPI.STATus.OPERation.BIT12.CONDition

SCPI.STATus.OPERation.BIT12.ENABle

SCPI.STATus.OPERation.BIT12.NTRansition

SCPI.STATus.OPERation.BIT12.PTRansition

SCPI.STATus.OPERation.BIT12.SET

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:BIT12[:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:BIT12[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.OPERation.BIT12.NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.OPERation.BIT12.NTRansition = Value

Value = SCPI.STATus.OPERation.BIT12.NTRansition

Description

This command sets/gets operation-program status negative transition filter.

  • Effective only for 0-14 bits..

Variable

Parameter | Value
Description | Operation-program status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.OPERation.BIT12.NTRansition = Var
Var = SCPI.STATus.OPERation.BIT12.NTRansition

Related Objects

SCPI.STATus.OPERation.BIT12.CLEar

SCPI.STATus.OPERation.BIT12.CONDition

SCPI.STATus.OPERation.BIT12.ENABle

SCPI.STATus.OPERation.BIT12.EVENt

SCPI.STATus.OPERation.BIT12.PTRansition

SCPI.STATus.OPERation.BIT12.SET

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:BIT12:NTRansition {0 ~ 65535}

:STATus:OPERation:BIT12:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:BIT12:NTRansition 0 "
20 OUTPUT 717;":STATus:OPERation:BIT12:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.OPERation.BIT12.PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.OPERation.BIT12.PTRansition = Value

Value = SCPI.STATus.OPERation.BIT12.PTRansition

Description

This command sets/gets operation-program status positive transition filter.

  • Effective only for 0-14 bits. (*1).

Variable

Parameter | Value
Description | Operation-program status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.OPERation.BIT12.PTRansition = Var
Var = SCPI.STATus.OPERation.BIT12.PTRansition

Related Objects

SCPI.STATus.OPERation.BIT12.CLEar

SCPI.STATus.OPERation.BIT12.CONDition

SCPI.STATus.OPERation.BIT12.ENABle

SCPI.STATus.OPERation.BIT12.EVENt

SCPI.STATus.OPERation.BIT12.NTRansition

SCPI.STATus.OPERation.BIT12.SET

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:BIT12:PTRansition {0 ~ 65535}

:STATus:OPERation:BIT12:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:BIT12:PTRansition 0 "
20 OUTPUT 717;":STATus:OPERation:BIT12:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.OPERation.BIT12.SET

Object Type

Method (Write Only)

Syntax

SCPI.STATus.OPERation.BIT12.SET = Value

Description

This command sets specified bit of BIT12 condition register.

  • Parameter is bit position number.

Variable

Parameter | Value
Description | Specified bit of BIT12 condition register
Data Type | Long integer type (Long)
Range | 0 ~ 14
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.OPERation.BIT12.SET = Var

Related Objects

SCPI.STATus.OPERation.BIT12.CLEar

SCPI.STATus.OPERation.BIT12.CONDition

SCPI.STATus.OPERation.BIT12.ENABle

SCPI.STATus.OPERation.BIT12.EVENt

SCPI.STATus.OPERation.BIT12.NTRansition

SCPI.STATus.OPERation.BIT12.PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:BIT12:SET {0 ~ 14}

Query Response

{0 ~ 14} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:BIT12:SET 0 "
20 ENTER 717;A


SCPI.STATus.OPERation.CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.OPERation.CONDition

Description

This command gets operation status register.

  • Effective only for 0-14 bits..

Variable

Parameter | Value
Description | operation status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.OPERation.CONDition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:CONDition ?"
20 ENTER 717;A


SCPI.STATus.OPERation.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.OPERation.ENABle = Value

Value = SCPI.STATus.OPERation.ENABle

Description

This command sets/gets operation status enable register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Operation status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.OPERation.ENABle = Var
Var = SCPI.STATus.OPERation.ENABle

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:ENABle {0 ~ 65535}

:STATus:OPERation:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:ENABle 0 "
20 OUTPUT 717;":STATus:OPERation:ENABle ?"
30 ENTER 717;A


SCPI.STATus.OPERation.EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.OPERation.EVENt

Description

This command gets operation status event register.

  • Effective only for 0-14 bits..

Variable

Parameter | Value
Description | Operation status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.OPERation.EVENt

Related Objects

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation[:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.OPERation.NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.OPERation.NTRansition = Value

Value = SCPI.STATus.OPERation.NTRansition

Description

This command sets/gets operation status negative transition filter.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Operation status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.OPERation.NTRansition = Var
Var = SCPI.STATus.OPERation.NTRansition

Related Objects

SCPI.STATus.OPERation.PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:NTRansition {0 ~ 65535}

:STATus:OPERation:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:NTRansition 0 "
20 OUTPUT 717;":STATus:OPERation:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.OPERation.PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.OPERation.PTRansition = Value

Value = SCPI.STATus.OPERation.PTRansition

Description

This command sets/gets operation status positive transition filter.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Operation status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.OPERation.PTRansition = Var
Var = SCPI.STATus.OPERation.PTRansition

Related Objects

SCPI.STATus.OPERation.NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:OPERation:PTRansition {0 ~ 65535}

:STATus:OPERation:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:OPERation:PTRansition 0 "
20 OUTPUT 717;":STATus:OPERation:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.PRESet

Object Type

Method (Write Only)

Syntax

SCPI.STATus.PRESet

Description

This command presets status registers.

Examples

SCPI.STATus.PRESet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:PRESet

Example of use

10 OUTPUT 717;":STATus:PRESet"


SCPI.STATus.QUEStionable.CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.CONDition

Description

This command gets questionable status register.

  • Effective only for 0-14 bits..

Variable

Parameter | Value
Description | Questionable status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.CONDition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:CONDition ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.CURRent.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.CURRent.ENABle = Value

Value = SCPI.STATus.QUEStionable.CURRent.ENABle

Description

This command sets/gets questionable-current status enable register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-current status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.CURRent.ENABle = Var
Var = SCPI.STATus.QUEStionable.CURRent.ENABle

Related Objects

SCPI.STATus.QUEStionable.CURRent.EVENt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:CURRent:ENABle {0 ~ 65535}

:STATus:QUEStionable:CURRent:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:CURRent:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:CURRent:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.CURRent.EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.CURRent.EVENt

Description

This command gets questionable-current status event register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-current status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.CURRent.EVENt

Related Objects

SCPI.STATus.QUEStionable.CURRent.ENABle

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:CURRent[:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:CURRent[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.DCONverter.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.DCONverter.ENABle = Value

Value = SCPI.STATus.QUEStionable.DCONverter.ENABle

Description

This command sets/gets questionable-downconverter status enable register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-downconverter status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.DCONverter.ENABle = Var
Var = SCPI.STATus.QUEStionable.DCONverter.ENABle

Related Objects

SCPI.STATus.QUEStionable.DCONverter.EVENt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:DCONverter:ENABle {0 ~ 65535}

:STATus:QUEStionable:DCONverter:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:DCONverter:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:DCONverter:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.DCONverter.EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.DCONverter.EVENt

Description

This command gets questionable-downconverter status event register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-downconverter status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.DCONverter.EVENt

Related Objects

SCPI.STATus.QUEStionable.DCONverter.ENABle

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:DCONverter[:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:DCONverter[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.ENABle = Value

Value = SCPI.STATus.QUEStionable.ENABle

Description

This command sets/gets questionable status enable register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.ENABle = Var
Var = SCPI.STATus.QUEStionable.ENABle

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:ENABle {0 ~ 65535}

:STATus:QUEStionable:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.EVENt

Description

This command gets questionable status event register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.EVENt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable[:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.AM(Ch).CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.AM(Ch).CONDition

Description

This command gets questionable-limit-am1 status register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-am1 status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.AM1.CONDition

Related Objects

SCPI.STATus.QUEStionable.LIMit.AM(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.AM(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.AM(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.AM(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:AM[1-1]:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:AM1:CONDition ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.AM(Ch).ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.AM(Ch).ENABle = Value

Value = SCPI.STATus.QUEStionable.LIMit.AM(Ch).ENABle

Description

This command sets/gets questionable-limit-am1 status enable register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-am1 status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.AM1.ENABle = Var
Var = SCPI.STATus.QUEStionable.LIMit.AM1.ENABle

Related Objects

SCPI.STATus.QUEStionable.LIMit.AM(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.AM(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.AM(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.AM(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:AM[1-1]:ENABle {0 ~ 65535}

:STATus:QUEStionable:LIMit:AM[1-1]:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:AM1:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:AM1:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.AM(Ch).EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.AM(Ch).EVENt

Description

This command gets questionable-limit-am1 status event register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-am1 status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.AM1.EVENt

Related Objects

SCPI.STATus.QUEStionable.LIMit.AM(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.AM(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.AM(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.AM(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:AM[1-1][:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:AM1[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.AM(Ch).NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.AM(Ch).NTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.AM(Ch).NTRansition

Description

This command sets/gets questionable-limit-am1 status negative transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-am1 status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.AM1.NTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.AM1.NTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.AM(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.AM(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.AM(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.AM(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:AM[1-1]:NTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:AM[1-1]:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:AM1:NTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:AM1:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.AM(Ch).PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.AM(Ch).PTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.AM(Ch).PTRansition

Description

This command sets/gets questionable-limit-am1 status positive transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-am1 status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.AM1.PTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.AM1.PTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.AM(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.AM(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.AM(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.AM(Ch).NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:AM[1-1]:PTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:AM[1-1]:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:AM1:PTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:AM1:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.BB(Ch).CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.BB(Ch).CONDition

Description

This command gets questionable-limit-bb1 status register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-bb1 status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.BB1.CONDition

Related Objects

SCPI.STATus.QUEStionable.LIMit.BB(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.BB(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.BB(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.BB(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:BB[1-1]:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:BB1:CONDition ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.BB(Ch).ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.BB(Ch).ENABle = Value

Value = SCPI.STATus.QUEStionable.LIMit.BB(Ch).ENABle

Description

This command sets/gets questionable-limit-bb1 status enable register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-bb1 status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.BB1.ENABle = Var
Var = SCPI.STATus.QUEStionable.LIMit.BB1.ENABle

Related Objects

SCPI.STATus.QUEStionable.LIMit.BB(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.BB(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.BB(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.BB(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:BB[1-1]:ENABle {0 ~ 65535}

:STATus:QUEStionable:LIMit:BB[1-1]:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:BB1:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:BB1:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.BB(Ch).EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.BB(Ch).EVENt

Description

This command gets questionable-limit-bb1 status event register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-bb1 status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.BB1.EVENt

Related Objects

SCPI.STATus.QUEStionable.LIMit.BB(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.BB(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.BB(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.BB(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:BB[1-1][:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:BB1[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.BB(Ch).NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.BB(Ch).NTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.BB(Ch).NTRansition

Description

This command sets/gets questionable-limit-bb1 status negative transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-bb1 status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.BB1.NTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.BB1.NTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.BB(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.BB(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.BB(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.BB(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:BB[1-1]:NTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:BB[1-1]:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:BB1:NTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:BB1:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.BB(Ch).PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.BB(Ch).PTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.BB(Ch).PTRansition

Description

This command sets/gets questionable-limit-bb1 status positive transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-bb1 status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.BB1.PTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.BB1.PTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.BB(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.BB(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.BB(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.BB(Ch).NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:BB[1-1]:PTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:BB[1-1]:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:BB1:PTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:BB1:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.CONDition

Description

This command gets questionable-limit status register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.CONDition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:CONDition ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.ENABle = Value

Value = SCPI.STATus.QUEStionable.LIMit.ENABle

Description

This command sets/gets questionable-limit status enable register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.ENABle = Var
Var = SCPI.STATus.QUEStionable.LIMit.ENABle

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:ENABle {0 ~ 65535}

:STATus:QUEStionable:LIMit:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.EVENt

Description

This command gets questionable-limit status event register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.EVENt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit[:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.FP(Ch).CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.FP(Ch).CONDition

Description

This command gets questionable-limit-fp1 status register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-fp1 status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.FP1.CONDition

Related Objects

SCPI.STATus.QUEStionable.LIMit.FP(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.FP(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.FP(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.FP(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:FP[1-1]:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:FP1:CONDition ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.FP(Ch).ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.FP(Ch).ENABle = Value

Value = SCPI.STATus.QUEStionable.LIMit.FP(Ch).ENABle

Description

This command sets/gets questionable-limit-fp1 status enable register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-fp1 status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.FP1.ENABle = Var
Var = SCPI.STATus.QUEStionable.LIMit.FP1.ENABle

Related Objects

SCPI.STATus.QUEStionable.LIMit.FP(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.FP(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.FP(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.FP(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:FP[1-1]:ENABle {0 ~ 65535}

:STATus:QUEStionable:LIMit:FP[1-1]:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:FP1:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:FP1:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.FP(Ch).EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.FP(Ch).EVENt

Description

This command gets questionable-limit-fp1 status event register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-fp1 status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.FP1.EVENt

Related Objects

SCPI.STATus.QUEStionable.LIMit.FP(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.FP(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.FP(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.FP(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:FP[1-1][:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:FP1[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.FP(Ch).NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.FP(Ch).NTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.FP(Ch).NTRansition

Description

This command sets/gets questionable-limit-fp1 status negative transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-fp1 status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.FP1.NTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.FP1.NTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.FP(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.FP(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.FP(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.FP(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:FP[1-1]:NTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:FP[1-1]:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:FP1:NTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:FP1:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.FP(Ch).PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.FP(Ch).PTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.FP(Ch).PTRansition

Description

This command sets/gets questionable-limit-fp1 status positive transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-fp1 status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.FP1.PTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.FP1.PTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.FP(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.FP(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.FP(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.FP(Ch).NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:FP[1-1]:PTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:FP[1-1]:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:FP1:PTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:FP1:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.NTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.NTRansition

Description

This command sets/gets questionable-limit status negative transition filter.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.NTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:NTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:NTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PN(Ch).CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.PN(Ch).CONDition

Description

This command gets questionable-limit-pn1 status register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-pn1 status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.PN1.CONDition

Related Objects

SCPI.STATus.QUEStionable.LIMit.PN(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.PN(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.PN(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.PN(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PN[1-1]:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PN1:CONDition ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PN(Ch).ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.PN(Ch).ENABle = Value

Value = SCPI.STATus.QUEStionable.LIMit.PN(Ch).ENABle

Description

This command sets/gets questionable-limit-pn1 status enable register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-pn1 status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.PN1.ENABle = Var
Var = SCPI.STATus.QUEStionable.LIMit.PN1.ENABle

Related Objects

SCPI.STATus.QUEStionable.LIMit.PN(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.PN(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.PN(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.PN(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PN[1-1]:ENABle {0 ~ 65535}

:STATus:QUEStionable:LIMit:PN[1-1]:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PN1:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:PN1:ENABle?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PN(Ch).EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.PN(Ch).EVENt

Description

This command gets questionable-limit-pn1 status event register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-pn1 status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.PN1.EVENt

Related Objects

SCPI.STATus.QUEStionable.LIMit.PN(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.PN(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.PN(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.PN(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PN[1-1][:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PN1[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PN(Ch).NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.PN(Ch).NTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.PN(Ch).NTRansition

Description

This command sets/gets questionable-limit-pn1 status negative transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-pn1 status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.PN1.NTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.PN1.NTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.PN(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.PN(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.PN(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.PN(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PN[1-1]:NTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:PN[1-1]:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PN1:NTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:PN1:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PN(Ch).PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.PN(Ch).PTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.PN(Ch).PTRansition

Description

This command sets/gets questionable-limit-pn1 status positive transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-pn1 status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.PN1.PTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.PN1.PTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.PN(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.PN(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.PN(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.PN(Ch).NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PN[1-1]:PTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:PN[1-1]:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PN1:PTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:PN1:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PS(Ch).CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.PS(Ch).CONDition

Description

This command gets questionable-limit-pn1 status register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-pn1 status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.PS1.CONDition

Related Objects

SCPI.STATus.QUEStionable.LIMit.PN(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.PN(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.PN(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.PN(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PS[1-1]:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PS1:CONDition?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PS(Ch).ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.PS(Ch).ENABle = Value

Value = SCPI.STATus.QUEStionable.LIMit.PS(Ch).ENABle

Description

This command sets/gets questionable-limit-pn1 status enable register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-pn1 status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.PS1.ENABle = Var
Var = SCPI.STATus.QUEStionable.LIMit.PS1.ENABle

Related Objects

SCPI.STATus.QUEStionable.LIMit.PS(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.PS(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.PS(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.PS(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PS[1-1]:ENABle {0 ~ 65535}

:STATus:QUEStionable:LIMit:PS[1-1]:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PS1:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:PS1:ENABle?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PS(Ch).EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.PS(Ch).EVENt

Description

This command gets questionable-limit-pn1 status event register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-pn1 status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var = SCPI.STATus.QUEStionable.LIMit.PS1.EVENt

Related Objects

SCPI.STATus.QUEStionable.LIMit.PS(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.PS(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.PS(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.PS(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PS[1-1][:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PS1[:EVENt]?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PS(Ch).NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.PS(Ch).NTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.PS(Ch).NTRansition

Description

This command sets/gets questionable-limit-pn1 status negative transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-pn1 status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.PS1.NTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.PS1.NTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.PS(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.PS(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.PS(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.PS(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PS[1-1]:NTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:PS[1-1]:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PS1:NTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:PS1:NTRansition?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PS(Ch).PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.PS(Ch).PTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.PS(Ch).PTRansition

Description

This command sets/gets questionable-limit-pn1 status positive transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-pn1 status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.PS1.PTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.PS1.PTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.PS(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.PS(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.PS(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.PS(Ch).NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PS[1-1]:PTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:PS[1-1]:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PS1:PTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:PS1:PTRansition?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.PTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.PTRansition

Description

This command sets/gets questionable-limit status positive transition filter.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.PTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:PTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:PTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.SP(Ch).CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.SP(Ch).CONDition

Description

This command gets questionable-limit-sp1 status register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-sp1 status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.SP1.CONDition

Related Objects

SCPI.STATus.QUEStionable.LIMit.SP(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.SP(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.SP(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.SP(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:SP[1-1]:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:SP1:CONDition ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.SP(Ch).ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.SP(Ch).ENABle = Value

Value = SCPI.STATus.QUEStionable.LIMit.SP(Ch).ENABle

Description

This command sets/gets questionable-limit-sp1 status enable register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-sp1 status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.SP1.ENABle = Var
Var = SCPI.STATus.QUEStionable.LIMit.SP1.ENABle

Related Objects

SCPI.STATus.QUEStionable.LIMit.SP(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.SP(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.SP(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.SP(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:SP[1-1]:ENABle {0 ~ 65535}

:STATus:QUEStionable:LIMit:SP[1-1]:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:SP1:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:SP1:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.SP(Ch).EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.SP(Ch).EVENt

Description

This command gets questionable-limit-sp1 status event register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-sp1 status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.SP1.EVENt

Related Objects

SCPI.STATus.QUEStionable.LIMit.SP(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.SP(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.SP(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.SP(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:SP[1-1][:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:SP1[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.SP(Ch).NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.SP(Ch).NTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.SP(Ch).NTRansition

Description

This command sets/gets questionable-limit-sp1 status negative transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-sp1 status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.SP1.NTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.SP1.NTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.SP(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.SP(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.SP(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.SP(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:SP[1-1]:NTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:SP[1-1]:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:SP1:NTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:SP1:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.SP(Ch).PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.SP(Ch).PTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.SP(Ch).PTRansition

Description

This command sets/gets questionable-limit-sp1 status positive transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-sp1 status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.SP1.PTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.SP1.PTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.SP(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.SP(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.SP(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.SP(Ch).NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:SP[1-1]:PTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:SP[1-1]:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:SP1:PTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:SP1:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.TR(Ch).CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.TR(Ch).CONDition

Description

This command gets questionable-limit-tr1 status register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-tr1 status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.TR1.CONDition

Related Objects

SCPI.STATus.QUEStionable.LIMit.TR(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.TR(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.TR(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.TR(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:TR[1-1]:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:TR1:CONDition ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.TR(Ch).ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.TR(Ch).ENABle = Value

Value = SCPI.STATus.QUEStionable.LIMit.TR(Ch).ENABle

Description

This command sets/gets questionable-limit-tr1 status enable register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-tr1 status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.TR1.ENABle = Var
Var = SCPI.STATus.QUEStionable.LIMit.TR1.ENABle

Related Objects

SCPI.STATus.QUEStionable.LIMit.TR(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.TR(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.TR(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.TR(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:TR[1-1]:ENABle {0 ~ 65535}

:STATus:QUEStionable:LIMit:TR[1-1]:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:TR1:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:TR1:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.TR(Ch).EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.TR(Ch).EVENt

Description

This command gets questionable-limit-tr1 status event register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-tr1 status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.TR1.EVENt

Related Objects

SCPI.STATus.QUEStionable.LIMit.TR(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.TR(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.TR(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.TR(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:TR[1-1][:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:TR1[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.TR(Ch).NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.TR(Ch).NTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.TR(Ch).NTRansition

Description

This command sets/gets questionable-limit-tr1 status negative transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-tr1 status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.TR1.NTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.TR1.NTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.TR(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.TR(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.TR(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.TR(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:TR[1-1]:NTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:TR[1-1]:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:TR1:NTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:TR1:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.TR(Ch).PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.TR(Ch).PTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.TR(Ch).PTRansition

Description

This command sets/gets questionable-limit-tr1 status positive transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-tr1 status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.TR1.PTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.TR1.PTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.TR(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.TR(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.TR(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.TR(Ch).NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:TR[1-1]:PTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:TR[1-1]:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:TR1:PTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:TR1:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.USER(Ch).CONDition

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.USER(Ch).CONDition

Description

This command gets questionable-limit-User1 status register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-User1 status register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.USER1.CONDition

Related Objects

SCPI.STATus.QUEStionable.LIMit.USER(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.USER(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.USER(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.USER(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:USER[1-1]:CONDition?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:USER1:CONDition ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.USER(Ch).ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.USER(Ch).ENABle = Value

Value = SCPI.STATus.QUEStionable.LIMit.USER(Ch).ENABle

Description

This command sets/gets questionable-limit-User1 status enable register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-User1 status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.USER1.ENABle = Var
Var = SCPI.STATus.QUEStionable.LIMit.USER1.ENABle

Related Objects

SCPI.STATus.QUEStionable.LIMit.USER(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.USER(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.USER(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.USER(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:USER[1-1]:ENABle {0 ~ 65535}

:STATus:QUEStionable:LIMit:USER[1-1]:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:USER1:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:USER1:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.USER(Ch).EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.LIMit.USER(Ch).EVENt

Description

This command gets questionable-limit-User1 status event register, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-User1 status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.LIMit.USER1.EVENt

Related Objects

SCPI.STATus.QUEStionable.LIMit.USER(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.USER(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.USER(Ch).NTRansition

SCPI.STATus.QUEStionable.LIMit.USER(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:USER[1-1][:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:USER1[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.USER(Ch).NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.USER(Ch).NTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.USER(Ch).NTRansition

Description

This command sets/gets questionable-limit-User1 status negative transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-User1 status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.USER1.NTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.USER1.NTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.USER(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.USER(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.USER(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.USER(Ch).PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:USER[1-1]:NTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:USER[1-1]:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:USER1:NTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:USER1:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.LIMit.USER(Ch).PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.LIMit.USER(Ch).PTRansition = Value

Value = SCPI.STATus.QUEStionable.LIMit.USER(Ch).PTRansition

Description

This command sets/gets questionable-limit-User1 status positive transition filter, for the selected channel Ch.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-limit-User1 status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.LIMit.USER1.PTRansition = Var
Var = SCPI.STATus.QUEStionable.LIMit.USER1.PTRansition

Related Objects

SCPI.STATus.QUEStionable.LIMit.USER(Ch).CONDition

SCPI.STATus.QUEStionable.LIMit.USER(Ch).ENABle

SCPI.STATus.QUEStionable.LIMit.USER(Ch).EVENt

SCPI.STATus.QUEStionable.LIMit.USER(Ch).NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:LIMit:USER[1-1]:PTRansition {0 ~ 65535}

:STATus:QUEStionable:LIMit:USER[1-1]:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:LIMit:USER1:PTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:LIMit:USER1:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.MISC.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.MISC.ENABle = Value

Value = SCPI.STATus.QUEStionable.MISC.ENABle

Description

This command sets/gets questionable-misc status enable register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-misc status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.MISC.ENABle = Var
Var = SCPI.STATus.QUEStionable.MISC.ENABle

Related Objects

SCPI.STATus.QUEStionable.MISC.EVENt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:MISC:ENABle {0 ~ 65535}

:STATus:QUEStionable:MISC:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:MISC:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:MISC:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.MISC.EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.MISC.EVENt

Description

This command gets questionable-misc status event register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-misc status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.MISC.EVENt

Related Objects

SCPI.STATus.QUEStionable.MISC.ENABle

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:MISC[:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:MISC[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.NTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.NTRansition = Value

Value = SCPI.STATus.QUEStionable.NTRansition

Description

This command sets/gets questionable status negative transition filter.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable status negative transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.NTRansition = Var
Var = SCPI.STATus.QUEStionable.NTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:NTRansition {0 ~ 65535}

:STATus:QUEStionable:NTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:NTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:NTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.PHASe.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.PHASe.ENABle = Value

Value = SCPI.STATus.QUEStionable.PHASe.ENABle

Description

This command sets/gets questionable-phase status enable register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-phase status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.PHASe.ENABle = Var
Var = SCPI.STATus.QUEStionable.PHASe.ENABle

Related Objects

SCPI.STATus.QUEStionable.PHASe.EVENt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:PHASe:ENABle {0 ~ 65535}

:STATus:QUEStionable:PHASe:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:PHASe:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:PHASe:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.PHASe.EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.PHASe.EVENt

Description

This command gets questionable-phase status event register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-phase status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.PHASe.EVENt

Related Objects

SCPI.STATus.QUEStionable.PHASe.ENABle

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:PHASe[:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:PHASe[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.POWer.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.POWer.ENABle = Value

Value = SCPI.STATus.QUEStionable.POWer.ENABle

Description

This command sets/gets questionable-power status enable register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-power status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.POWer.ENABle = Var
Var = SCPI.STATus.QUEStionable.POWer.ENABle

Related Objects

SCPI.STATus.QUEStionable.POWer.EVENt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:POWer:ENABle {0 ~ 65535}

:STATus:QUEStionable:POWer:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:POWer:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:POWer:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.POWer.EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.POWer.EVENt

Description

This command gets questionable-power status event register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-power status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.POWer.EVENt

Related Objects

SCPI.STATus.QUEStionable.POWer.ENABle

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:POWer[:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:POWer[:EVENt] ?"
20 ENTER 717;A


SCPI.STATus.QUEStionable.PTRansition

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.PTRansition = Value

Value = SCPI.STATus.QUEStionable.PTRansition

Description

This command sets/gets questionable status positive transition filter.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable status positive transition filter
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 32767
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.PTRansition = Var
Var = SCPI.STATus.QUEStionable.PTRansition

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:PTRansition {0 ~ 65535}

:STATus:QUEStionable:PTRansition?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:PTRansition 0 "
20 OUTPUT 717;":STATus:QUEStionable:PTRansition ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.REFerence.ENABle

Object Type

Property (Read-Write)

Syntax

SCPI.STATus.QUEStionable.REFerence.ENABle = Value

Value = SCPI.STATus.QUEStionable.REFerence.ENABle

Description

This command sets/gets questionable-reference signal status enable register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-reference signal status enable register
Data Type | Long integer type (Long)
Range | 0 ~ 65535
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
SCPI.STATus.QUEStionable.REFerence.ENABle = Var
Var = SCPI.STATus.QUEStionable.REFerence.ENABle

Related Objects

SCPI.STATus.QUEStionable.REFerence.EVENt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:REFerence:ENABle {0 ~ 65535}

:STATus:QUEStionable:REFerence:ENABle?

Query Response

{0 ~ 65535} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:REFerence:ENABle 0 "
20 OUTPUT 717;":STATus:QUEStionable:REFerence:ENABle ?"
30 ENTER 717;A


SCPI.STATus.QUEStionable.REFerence.EVENt

Object Type

Property (Read Only)

Syntax

Value = SCPI.STATus.QUEStionable.REFerence.EVENt

Description

This command gets questionable-reference signal status event register.

  • Effective only for 0-14 bits.

Variable

Parameter | Value
Description | Questionable-reference signal status event register
Data Type | Long integer type (Long)
Range | 0 ~ 32767
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var= 0
Var = SCPI.STATus.QUEStionable.REFerence.EVENt

Related Objects

SCPI.STATus.QUEStionable.REFerence.EVENt

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:STATus:QUEStionable:REFerence[:EVENt]?

Query Response

{0 ~ 32767} <newline><^END>

Example of use

10 OUTPUT 717;":STATus:QUEStionable:REFerence[:EVENt] ?"
20 ENTER 717;A


SCPI.SYSTem.BACKlight.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SYSTem.BACKlight.STATe = Value

Value = SCPI.SYSTem.BACKlight.STATe

Description

This command turns backlight On/Off.

Variable

Parameter | Value
Description | Turns backlight On/Off
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SYSTem.BACKlight.STATe = Var
Var = SCPI.SYSTem.BACKlight.STATe

Equivalent Key

PN Menu: System > Backlight

SP Menu: System > Backlight

FP Menu: System > Backlight

TR Menu: System > Backlight

AM Menu: System > Backlight

BB Menu: System > Backlight

USER Menu: System > Backlight

Equivalent SCPI Command

Syntax

:SYSTem:BACKlight:STATe {ON|OFF|1|0}

:SYSTem:BACKlight:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SYSTem:BACKlight:STATe 1"
20 OUTPUT 717;":SYSTem:BACKlight:STATe ?"
30 ENTER 717;A


SCPI.SYSTem.BEEPer.COMPlete.IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.SYSTem.BEEPer.COMPlete.IMMediate

Description

This command sets beep complete immediately.

Examples

SCPI.SYSTem.BEEPer.COMPlete.IMMediate

Related Objects

SCPI.SYSTem.BEEPer.COMPlete.STATe

Equivalent Key

PN Menu: System > Misc Setup > Beeper > Test Beep Complete

SP Menu: System > Misc Setup > Beeper > Test Beep Complete

FP Menu: System > Misc Setup > Beeper > Test Beep Complete

TR Menu: System > Misc Setup > Beeper > Test Beep Complete

AM Menu: System > Misc Setup > Beeper > Test Beep Complete

BB Menu: System > Misc Setup > Beeper > Test Beep Complete

USER Menu: System > Misc Setup > Beeper > Test Beep Complete

Equivalent SCPI Command

Syntax

:SYSTem:BEEPer:COMPlete:IMMediate

Example of use

10 OUTPUT 717;":SYSTem:BEEPer:COMPlete:IMMediate"


SCPI.SYSTem.BEEPer.COMPlete.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SYSTem.BEEPer.COMPlete.STATe = Value

Value = SCPI.SYSTem.BEEPer.COMPlete.STATe

Description

This command sets/gets complete beeper state.

Variable

Parameter | Value
Description | Complete beeper state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SYSTem.BEEPer.COMPlete.STATe = Var
Var = SCPI.SYSTem.BEEPer.COMPlete.STATe

Related Objects

SCPI.SYSTem.BEEPer.COMPlete.IMMediate

Equivalent Key

PN Menu: System > Misc Setup > Beeper > Beep Complete

SP Menu: System > Misc Setup > Beeper > Beep Complete

FP Menu: System > Misc Setup > Beeper > Beep Complete

TR Menu: System > Misc Setup > Beeper > Beep Complete

AM Menu: System > Misc Setup > Beeper > Beep Complete

BB Menu: System > Misc Setup > Beeper > Beep Complete

USER Menu: System > Misc Setup > Beeper > Beep Complete

Equivalent SCPI Command

Syntax

:SYSTem:BEEPer:COMPlete:STATe {ON|OFF|1|0}

:SYSTem:BEEPer:COMPlete:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SYSTem:BEEPer:COMPlete:STATe 1"
20 OUTPUT 717;":SYSTem:BEEPer:COMPlete:STATe ?"
30 ENTER 717;A


SCPI.SYSTem.BEEPer.WARNing.IMMediate

Object Type

Method (Write Only)

Syntax

SCPI.SYSTem.BEEPer.WARNing.IMMediate

Description

This command sets beep warning immediate.

Examples

SCPI.SYSTem.BEEPer.WARNing.IMMediate

Related Objects

SCPI.SYSTem.BEEPer.WARNing.STATe

Equivalent Key

PN Menu: System > Misc Setup > Beeper > Test Beep Warning

SP Menu: System > Misc Setup > Beeper > Test Beep Warning

FP Menu: System > Misc Setup > Beeper > Test Beep Warning

TR Menu: System > Misc Setup > Beeper > Test Beep Warning

AM Menu: System > Misc Setup > Beeper > Test Beep Warning

BB Menu: System > Misc Setup > Beeper > Test Beep Warning

USER Menu: System > Misc Setup > Beeper > Test Beep Warning

Equivalent SCPI Command

Syntax

:SYSTem:BEEPer:WARNing:IMMediate

Example of use

10 OUTPUT 717;":SYSTem:BEEPer:WARNing:IMMediate"


SCPI.SYSTem.BEEPer.WARNing.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.SYSTem.BEEPer.WARNing.STATe = Value

Value = SCPI.SYSTem.BEEPer.WARNing.STATe

Description

This command sets/gets warning beeper state.

Variable

Parameter | Value
Description | Warning beeper state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SYSTem.BEEPer.WARNing.STATe = Var
Var = SCPI.SYSTem.BEEPer.WARNing.STATe

Related Objects

SCPI.SYSTem.BEEPer.WARNing.IMMediate

Equivalent Key

PN Menu: System > Misc Setup > Beeper > Beep Warning

SP Menu: System > Misc Setup > Beeper > Beep Warning

FP Menu: System > Misc Setup > Beeper > Beep Warning

TR Menu: System > Misc Setup > Beeper > Beep Warning

AM Menu: System > Misc Setup > Beeper > Beep Warning

BB Menu: System > Misc Setup > Beeper > Beep Warning

USER Menu: System > Misc Setup > Beeper > Beep Warning

Equivalent SCPI Command

Syntax

:SYSTem:BEEPer:WARNing:STATe {ON|OFF|1|0}

:SYSTem:BEEPer:WARNing:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SYSTem:BEEPer:WARNing:STATe 1"
20 OUTPUT 717;":SYSTem:BEEPer:WARNing:STATe ?"
30 ENTER 717;A


SCPI.SYSTem.COMMunicate.LAN.CONTrol

Object Type

Property (Read Only)

Syntax

Value = SCPI.SYSTem.COMMunicate.LAN.CONTrol

Description

This command gets control port number of socket connection.

Variable

Parameter | Value
Description | Control port number of socket connection
Data Type | Long integer type (Long)
Range | -
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Long
Var = SCPI.SYSTem.COMMunicate.LAN.CONTrol

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SYSTem:COMMunicate:LAN:CONTrol?

Query Response

{Long} <newline><^END>

Example of use

10 OUTPUT 717;":SYSTem:COMMunicate:LAN:CONTrol ?"
20 ENTER 717;A


SCPI.SYSTem.DATE[_Q] year, month, day

Object Type

Property (Read-Write)

Syntax

SCPI.SYSTem.DATE[_Q] year, month, day = Value

Value = SCPI.SYSTem.DATE[_Q] year, month, day

Description

This command sets/gets system date.

Variable

Parameter | year
Description | System date
Data Type | Long integer type (Long)
Range | 1980 ~ 2030
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -224, "Illegal parameter value"

Parameter | month
Description | System date
Data Type | Long integer type (Long)
Range | 1 ~ 12
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -224, "Illegal parameter value"

Parameter | day
Description | System date
Data Type | Long integer type (Long)
Range | 1 ~ 31
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -224, "Illegal parameter value"

Examples

Dim Var as Variant
SCPI.SYSTem.DATE[_Q] year, month, day = Var
Var = SCPI.SYSTem.DATE[_Q] year, month, day

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SYSTem:DATE {1980 ~ 2030 1 ~ 12 1 ~ 31}

:SYSTem:DATE?

Query Response

{1980 ~ 2030 1 ~ 12 1 ~ 31} <newline><^END>

Example of use

10 OUTPUT 717;":SYSTem:DATE -"
20 OUTPUT 717;":SYSTem:DATE ?"
20 ENTER 717;A


SCPI.SYSTem.ERRor.NEXT_Q err_no, err_desc

Object Type

Property (Read Only)

Syntax

Value = SCPI.SYSTem.ERRor.NEXT_Q err_no, err_desc

Description

This command gets error code & description.

Variable

Parameter | err_no
Description | Error code
Data Type | Character string type (String)
Range | -
Preset Value | 0
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Parameter | err_desc
Description | Error description
Data Type | Long integer type (Long)
Range | - 254 chars
Preset Value | "No error"
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Variant
Var = SCPI.SYSTem.ERRor.NEXT_Q err_no, err_desc

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SYSTem:ERRor[:NEXT]?

Query Response

{ - 254 chars} <newline><^END>

Example of use

10 OUTPUT 717;":SYSTem:ERRor[:NEXT] ?"
20 ENTER 717;A


SCPI.SYSTem.KLOCk.KBD

Object Type

Property (Read-Write)

Syntax

SCPI.SYSTem.KLOCk.KBD = Value

Value = SCPI.SYSTem.KLOCk.KBD

Description

This command sets/gets front panel and keyboard lock state.

Variable

Parameter | Value
Description | Front panel and keyboard lock state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SYSTem.KLOCk.KBD = Var
Var = SCPI.SYSTem.KLOCk.KBD

Related Objects

SCPI.SYSTem.KLOCk.MOUSe

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SYSTem:KLOCk:KBD {ON|OFF|1|0}

:SYSTem:KLOCk:KBD?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SYSTem:KLOCk:KBD 1"
20 OUTPUT 717;":SYSTem:KLOCk:KBD ?"
30 ENTER 717;A


SCPI.SYSTem.KLOCk.MOUSe

Object Type

Property (Read-Write)

Syntax

SCPI.SYSTem.KLOCk.MOUSe = Value

Value = SCPI.SYSTem.KLOCk.MOUSe

Description

This command sets/gets touch screen and mouse lock state.

Variable

Parameter | Value
Description | Touch screen and mouse lock state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.SYSTem.KLOCk.MOUSe = Var
Var = SCPI.SYSTem.KLOCk.MOUSe

Related Objects

SCPI.SYSTem.KLOCk.KBD

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SYSTem:KLOCk:MOUSe {ON|OFF|1|0}

:SYSTem:KLOCk:MOUSe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":SYSTem:KLOCk:MOUSe 1"
20 OUTPUT 717;":SYSTem:KLOCk:MOUSe ?"
30 ENTER 717;A


SCPI.SYSTem.POFF

Object Type

Method (Write Only)

Syntax

SCPI.SYSTem.POFF

Description

This command turns the instrument power off.

Examples

SCPI.SYSTem.POFF

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SYSTem:POFF

Example of use

10 OUTPUT 717;":SYSTem:POFF"


SCPI.SYSTem.PRESet

Object Type

Method (Write Only)

Syntax

SCPI.SYSTem.PRESet

Description

This command sets preset instrument state. It is same as: '*RST;:INIT:instr:CONT ON'(`instr' is all instrument)..

Examples

SCPI.SYSTem.PRESet

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SYSTem:PRESet

Example of use

10 OUTPUT 717;":SYSTem:PRESet"


SCPI.SYSTem.SECurity.LEVel

Object Type

Property (Read-Write)

Syntax

SCPI.SYSTem.SECurity.LEVel = Value

Value = SCPI.SYSTem.SECurity.LEVel

Description

This command sets/gets security level setting.

Variable

Parameter | Value
Description | Security level setting
Data Type | Character string type (String)
Range | NONE|LOW|HIGH
Preset Value | NONE
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NONE"
SCPI.SYSTem.SECurity.LEVel = Var
Var = SCPI.SYSTem.SECurity.LEVel

Equivalent Key

PN Menu: Display > Security Level

SP Menu: Display > Security Level

FP Menu: Display > Security Level

TR Menu: Display > Security Level

AM Menu: Display > Security Level

BB Menu: Display > Security Level

USER Menu: Display > Security Level

Equivalent SCPI Command

Syntax

:SYSTem:SECurity[:LEVel] {NONE|LOW|HIGH}

:SYSTem:SECurity[:LEVel]?

Query Response

{NONE|LOW|HIGH} <newline><^END>

Example of use

10 OUTPUT 717;":SYSTem:SECurity[:LEVel] NONE"
20 OUTPUT 717;":SYSTem:SECurity[:LEVel] ?"
30 ENTER 717;A$


SCPI.SYSTem.SET

Object Type

Method (Write Only)

Syntax

SCPI.SYSTem.SET

Description

This command sets the instrument to the state determined by the contents of the parameter.

Examples

SCPI.SYSTem.SET

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SYSTem:SET

Example of use

10 OUTPUT 717;":SYSTem:SET NONE"


SCPI.SYSTem.TIME[_Q] hour, minute, second

Object Type

Property (Read-Write)

Syntax

SCPI.SYSTem.TIME[_Q] hour, minute, second = Value

Value = SCPI.SYSTem.TIME[_Q] hour, minute, second

Description

This command sets/gets system time.

Variable

Parameter | hour
Description | System time
Data Type | Long integer type (Long)
Range | 0 ~ 23
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -224, "Illegal parameter value"

Parameter | minute
Description | System time
Data Type | Long integer type (Long)
Range | 0 ~ 59
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -224, "Illegal parameter value"

Parameter | second
Description | System time
Data Type | Long integer type (Long)
Range | 0 ~ 59
Preset Value | -
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -224, "Illegal parameter value"

Examples

Dim Var as Variant
SCPI.SYSTem.TIME[_Q] hour, minute, second = Var
Var = SCPI.SYSTem.TIME[_Q] hour, minute, second

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:SYSTem:TIME {0 ~ 23 0 ~ 59 0 ~ 59}

:SYSTem:TIME?

Query Response

{0 ~ 23 0 ~ 59 0 ~ 59} <newline><^END>

Example of use

10 OUTPUT 717;":SYSTem:TIME NONE"
20 OUTPUT 717;":SYSTem:TIME ?"
30 ENTER 717;A$


SCPI.TRIGger.AM(Ch).SOURce

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.AM(Ch).SOURce = Value

Value = SCPI.TRIGger.AM(Ch).SOURce

Description

This command sets/gets trigger source, for the selected channel Ch.

Variable

Parameter | Value
Description | Trigger source
Data Type | Character string type (String)
Range | INTernal|EXTernal|MANual|BUS
Preset Value | INTernal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "INTernal"
SCPI.TRIGger.AM1.SOURce = Var
Var = SCPI.TRIGger.AM1.SOURce

Equivalent Key

AM Menu: Trigger > Source

Equivalent SCPI Command

Syntax

:TRIGger:AM[1-1]:SOURce {INTernal|EXTernal|MANual|BUS}

:TRIGger:AM[1-1]:SOURce?

Query Response

{INTernal|EXTernal|MANual|BUS} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:AM1:SOURce INTernal"
20 OUTPUT 717;":TRIGger:AM1:SOURce ?"
30 ENTER 717;A$


SCPI.TRIGger.AVERage

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.AVERage = Value

Value = SCPI.TRIGger.AVERage

Description

This command sets/gets trigger system initialization average times.

Variable

Parameter | Value
Description | Trigger system initialization average times
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.TRIGger.AVERage = Var
Var = SCPI.TRIGger.AVERage

Equivalent Key

PN Menu: Trigger > Average Trigger

SP Menu: Trigger > Average Trigger

FP Menu: Trigger > Average Trigger

TR Menu: Trigger > Average Trigger

AM Menu: Trigger > Average Trigger

BB Menu: Trigger > Average Trigger

Equivalent SCPI Command

Syntax

:TRIGger:AVERage {ON|OFF|1|0}

:TRIGger:AVERage?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:AVERage 1"
20 OUTPUT 717;":TRIGger:AVERage ?"
30 ENTER 717;A


SCPI.TRIGger.BB(Ch).SOURce

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.BB(Ch).SOURce = Value

Value = SCPI.TRIGger.BB(Ch).SOURce

Description

This command sets/gets trigger source, for the selected channel Ch.

Variable

Parameter | Value
Description | Trigger source
Data Type | Character string type (String)
Range | INTernal|EXTernal|MANual|BUS
Preset Value | INTernal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "INTernal"
SCPI.TRIGger.BB1.SOURce = Var
Var = SCPI.TRIGger.BB1.SOURce

Equivalent Key

BB Menu: Trigger > Source

Equivalent SCPI Command

Syntax

:TRIGger:BB[1-1]:SOURce {INTernal|EXTernal|MANual|BUS}

:TRIGger:BB[1-1]:SOURce?

Query Response

{INTernal|EXTernal|MANual|BUS} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:BB1:SOURce INTernal"
20 OUTPUT 717;":TRIGger:BB1:SOURce ?"
30 ENTER 717;A$


SCPI.TRIGger.EXTernal.SLOPe

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.EXTernal.SLOPe = Value

Value = SCPI.TRIGger.EXTernal.SLOPe

Description

This command sets/gets external trigger polarity.

Variable

Parameter | Value
Description | External trigger polarity
Data Type | Character string type (String)
Range | NEGative|POSitive
Preset Value | NEGative
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "NEGative"
SCPI.TRIGger.EXTernal.SLOPe = Var
Var = SCPI.TRIGger.EXTernal.SLOPe

Equivalent Key

PN Menu: Trigger > Ext Trig Polarity

SP Menu: Trigger > Ext Trig Polarity

FP Menu: Trigger > Ext Trig Polarity

TR Menu: Trigger > Ext Trig Polarity

AM Menu: Trigger > Ext Trig Polarity

BB Menu: Trigger > Ext Trig Polarity

Equivalent SCPI Command

Syntax

:TRIGger:EXTernal:SLOPe {NEGative|POSitive}

:TRIGger:EXTernal:SLOPe?

Query Response

{NEGative|POSitive} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:EXTernal:SLOPe NEGative"
20 OUTPUT 717;":TRIGger:EXTernal:SLOPe ?"
30 ENTER 717;A$


SCPI.TRIGger.FP(Ch).MODE

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.FP(Ch).MODE = Value

Value = SCPI.TRIGger.FP(Ch).MODE

Description

This command sets/gets trigger mode, for the selected channel Ch.

Variable

Parameter | Value
Description | Trigger mode
Data Type | Character string type (String)
Range | ANALyzer|TESTer
Preset Value | ANALyzer
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 100, "Option not installed"

Examples

Dim Var as String
Var= "ANALyzer"
SCPI.TRIGger.FP1.MODE = Var
Var = SCPI.TRIGger.FP1.MODE

Related Objects

SCPI.TRIGger.FP(Ch).SOURce

Equivalent Key

FP Menu: Trigger > Mode

Equivalent SCPI Command

Syntax

:TRIGger:FP[1-1]:MODE {ANALyzer|TESTer}

:TRIGger:FP[1-1]:MODE?

Query Response

{ANALyzer|TESTer} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:FP1:MODE ANALyzer"
20 OUTPUT 717;":TRIGger:FP1:MODE ?"
30 ENTER 717;A$


SCPI.TRIGger.FP(Ch).SOURce

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.FP(Ch).SOURce = Value

Value = SCPI.TRIGger.FP(Ch).SOURce

Description

This command sets/gets trigger source, for the selected channel Ch.

Variable

Parameter | Value
Description | Trigger source
Data Type | Character string type (String)
Range | INTernal|EXTernal|MANual|BUS
Preset Value | INTernal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "INTernal"
SCPI.TRIGger.FP1.SOURce = Var
Var = SCPI.TRIGger.FP1.SOURce

Related Objects

SCPI.TRIGger.FP(Ch).MODE

Equivalent Key

FP Menu: Trigger > Source

Equivalent SCPI Command

Syntax

:TRIGger:FP[1-1]:SOURce {INTernal|EXTernal|MANual|BUS}

:TRIGger:FP[1-1]:SOURce?

Query Response

{INTernal|EXTernal|MANual|BUS} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:FP1:SOURce INTernal"
20 OUTPUT 717;":TRIGger:FP1:SOURce ?"
30 ENTER 717;A$


SCPI.TRIGger.MODE

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.MODE = Value

Value = SCPI.TRIGger.MODE

Description

This command sets/gets measurement mode.

Variable

Parameter | Value
Description | Measurement mode
Data Type | Character string type (String)
Range | PN1|SP1|FP1|TR1|AM1|BB1|PS1
Preset Value | PN1
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | 100, "Option not installed"

Examples

Dim Var as String
Var= "PN1"
SCPI.TRIGger.MODE = Var
Var = SCPI.TRIGger.MODE

Equivalent Key

PN Menu: Trigger > Trigger to Phase Noise

SP Menu: Trigger > Trigger to Spectrum Monitor

FP Menu: Trigger > Trigger to Freq & Power

TR Menu: Trigger > Trigger to Transient

AM Menu: Trigger > Trigger to AM Noise

BB Menu: Trigger > Trigger to Baseband Noise

PS Menu: Trigger > Trigger to Segment PN

Equivalent SCPI Command

Syntax

:TRIGger:MODE {PN1|SP1|FP1|TR1|AM1|BB1|PS1}

:TRIGger:MODE?

Query Response

{PN1|SP1|FP1|TR1|AM1|BB1|PS1} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:MODE PN1"
20 OUTPUT 717;":TRIGger:MODE ?"
30 ENTER 717;A$


SCPI.TRIGger.OUTPut.POLarity

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.OUTPut.POLarity = Value

Value = SCPI.TRIGger.OUTPut.POLarity

Description

This command sets/gets external trigger output polarity.

Variable

Parameter | Value
Description | External trigger output polarity
Data Type | Character string type (String)
Range | POSitive|NEGative
Preset Value | POSitive
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "POSitive"
SCPI.TRIGger.OUTPut.POLarity = Var
Var = SCPI.TRIGger.OUTPut.POLarity

Related Objects

SCPI.TRIGger.OUTPut.POLarity

SCPI.TRIGger.OUTPut.SELect

SCPI.TRIGger.OUTPut.STATe

Equivalent Key

PN Menu: Trigger > Ext Trig Output > Polarity

SP Menu: Trigger > Ext Trig Output > Polarity

FP Menu: Trigger > Ext Trig Output > Polarity

TR Menu: Trigger > Ext Trig Output > Polarity

AM Menu: Trigger > Ext Trig Output > Polarity

BB Menu: Trigger > Ext Trig Output > Polarity

Equivalent SCPI Command

Syntax

:TRIGger:OUTPut:POLarity {POSitive|NEGative}

:TRIGger:OUTPut:POLarity?

Query Response

{POSitive|NEGative} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:OUTPut:POLarity POSitive"
20 OUTPUT 717;":TRIGger:OUTPut:POLarity ?"
30 ENTER 717;A$


SCPI.TRIGger.OUTPut.SELect

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.OUTPut.SELect = Value

Value = SCPI.TRIGger.OUTPut.SELect

Description

This command sets/gets external trigger output timing selection.

Variable

Parameter | Value
Description | External trigger output timing selection
Data Type | Character string type (String)
Range | EOM|INDex
Preset Value | EOM
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "EOM"
SCPI.TRIGger.OUTPut.SELect = Var
Var = SCPI.TRIGger.OUTPut.SELect

Related Objects

SCPI.TRIGger.OUTPut.POLarity

SCPI.TRIGger.OUTPut.STATe

Equivalent Key

PN Menu: Trigger > Ext Trig Output > Selection

SP Menu: Trigger > Ext Trig Output > Selection

FP Menu: Trigger > Ext Trig Output > Selection

TR Menu: Trigger > Ext Trig Output > Selection

AM Menu: Trigger > Ext Trig Output > Selection

BB Menu: Trigger > Ext Trig Output > Selection

Equivalent SCPI Command

Syntax

:TRIGger:OUTPut:SELect {EOM|INDex}

:TRIGger:OUTPut:SELect?

Query Response

{EOM|INDex} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:OUTPut:SELect EOM"
20 OUTPUT 717;":TRIGger:OUTPut:SELect ?"
30 ENTER 717;A$


SCPI.TRIGger.OUTPut.STATe

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.OUTPut.STATe = Value

Value = SCPI.TRIGger.OUTPut.STATe

Description

This command sets/gets External trigger output ON/OFF.

Variable

Parameter | Value
Description | External trigger output (On/Off)
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.TRIGger.OUTPut.STATe = Var
Var = SCPI.TRIGger.OUTPut.STATe

Related Objects

SCPI.TRIGger.OUTPut.POLarity

SCPI.TRIGger.OUTPut.SELect

Equivalent Key

PN Menu: Trigger > Ext Trig Output > State

SP Menu: Trigger > Ext Trig Output > State

FP Menu: Trigger > Ext Trig Output > State

TR Menu: Trigger > Ext Trig Output > State

AM Menu: Trigger > Ext Trig Output > State

BB Menu: Trigger > Ext Trig Output > State

Equivalent SCPI Command

Syntax

:TRIGger:OUTPut:STATe {ON|OFF|1|0}

:TRIGger:OUTPut:STATe?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:OUTPut:STATe 1"
20 OUTPUT 717;":TRIGger:OUTPut:STATe ?"
30 ENTER 717;A


SCPI.TRIGger.PN(Ch).SOURce

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.PN(Ch).SOURce = Value

Value = SCPI.TRIGger.PN(Ch).SOURce

Description

This command sets/gets trigger source, for the selected channel Ch.

Variable

Parameter | Value
Description | Trigger source
Data Type | Character string type (String)
Range | INTernal|EXTernal|MANual|BUS
Preset Value | INTernal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "INTernal"
SCPI.TRIGger.PN1.SOURce = Var
Var = SCPI.TRIGger.PN1.SOURce

Equivalent Key

PN Menu: Trigger > Source

Equivalent SCPI Command

Syntax

:TRIGger:PN[1-1]:SOURce {INTernal|EXTernal|MANual|BUS}

:TRIGger:PN[1-1]:SOURce?

Query Response

{INTernal|EXTernal|MANual|BUS} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:PN1:SOURce INTernal"
20 OUTPUT 717;":TRIGger:PN1:SOURce ?"
30 ENTER 717;A$


SCPI.TRIGger.PS(Ch).SOURce

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.PS(Ch).SOURce = Value

Value = SCPI.TRIGger.PS(Ch).SOURce

Description

This command sets/gets trigger source, for the selected channel Ch.

Variable

Parameter | Value
Description | Trigger source
Data Type | Character string type (String)
Range | INTernal|EXTernal|MANual|BUS
Preset Value | INTernal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "INTernal"
SCPI.TRIGger.PS1.SOURce = Var
Var = SCPI.TRIGger.PS1.SOURce

Equivalent Key

PS Menu: Trigger > Source

Equivalent SCPI Command

Syntax

:TRIGger:PS[1-1]:SOURce {INTernal|EXTernal|MANual|BUS}

:TRIGger:PS[1-1]:SOURce?

Query Response

{INTernal|EXTernal|MANual|BUS} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:PS1:SOURce INTernal"
20 OUTPUT 717;":TRIGger:PS1:SOURce?"
30 ENTER 717;A$


SCPI.TRIGger.SOPC

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.SOPC = Value

Value = SCPI.TRIGger.SOPC

Description

This command sets/gets Trigger system synchronous to *OPC?/*OPC/*WAI.

Variable

Parameter | Value
Description | Trigger system synchronous to *OPC?/*OPC/*WAI
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | No
Save-Recall Effect | No
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.TRIGger.SOPC = Var
Var = SCPI.TRIGger.SOPC

Equivalent Key

PN Menu: System > Service Menu > Service Function > Service Functions > Misc > Trigger Sync. OPC

SP Menu: System > Service Menu > Service Function > Service Functions > Misc > Trigger Sync. OPC

FP Menu: System > Service Menu > Service Function > Service Functions > Misc > Trigger Sync. OPC

TR Menu: System > Service Menu > Service Function > Service Functions > Misc > Trigger Sync. OPC

AM Menu: System > Service Menu > Service Function > Service Functions > Misc > Trigger Sync. OPC

BB Menu: System > Service Menu > Service Function > Service Functions > Misc > Trigger Sync. OPC

USER Menu: System > Service Menu > Service Function > Service Functions > Misc > Trigger Sync. OPC

Equivalent SCPI Command

Syntax

:TRIGger:SOPC {ON|OFF|1|0}

:TRIGger:SOPC?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:SOPC 1"
20 OUTPUT 717;":TRIGger:SOPC ?"
30 ENTER 717;A


SCPI.TRIGger.SP(Ch).SOURce

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.SP(Ch).SOURce = Value

Value = SCPI.TRIGger.SP(Ch).SOURce

Description

This command sets/gets trigger source, for the selected channel Ch.

Variable

Parameter | Value
Description | Trigger source
Data Type | Character string type (String)
Range | INTernal|EXTernal|MANual|BUS
Preset Value | INTernal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "INTernal"
SCPI.TRIGger.SP1.SOURce = Var
Var = SCPI.TRIGger.SP1.SOURce

Equivalent Key

SP Menu: Trigger > Source

Equivalent SCPI Command

Syntax

:TRIGger:SP[1-1]:SOURce {INTernal|EXTernal|MANual|BUS}

:TRIGger:SP[1-1]:SOURce?

Query Response

{INTernal|EXTernal|MANual|BUS} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:SP1:SOURce INTernal"
20 OUTPUT 717;":TRIGger:SP1:SOURce ?"
30 ENTER 717;A$


SCPI.TRIGger.TR(Ch).ETTAdjust

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.TR(Ch).ETTAdjust = Value

Value = SCPI.TRIGger.TR(Ch).ETTAdjust

Description

This command sets/gets external trigger timing adjust, for the selected channel Ch.

Variable

Parameter | Value
Description | External trigger timing adjust
Data Type | Double precision floating point type (Double)
Range | 0 ~ 1u
Preset Value | 0
Unit | s
Resolution | 10n
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.TRIGger.TR1.ETTAdjust = Var
Var = SCPI.TRIGger.TR1.ETTAdjust

Equivalent Key

TR Menu: Trigger > Ext Trig Timing Adj.

Equivalent SCPI Command

Syntax

:TRIGger:TR[1-1]:ETTAdjust {0 ~ 1u}

:TRIGger:TR[1-1]:ETTAdjust?

Query Response

{0 ~ 1u} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:TR1:ETTAdjust 0"
20 OUTPUT 717;":TRIGger:TR1:ETTAdjust ?"
30 ENTER 717;A


SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.CENTer = Value

Value = SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.CENTer

Description

This command sets/gets narrow video trigger frequency, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Narrow video trigger frequency
Data Type | Double precision floating point type (Double)
Range | 9.2M ~ 337.04G
Preset Value | 1.00390625G
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 9200000
SCPI.TRIGger.TR1.NARRow1.VIDeo.FREQuency.CENTer = Var
Var = SCPI.TRIGger.TR1.NARRow1.VIDeo.FREQuency.CENTer

Related Objects

SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.WIDTh

Equivalent Key

TR Menu: Setup > Video Trigger > Narrow Freq

TR Menu: Setup > Video Trigger > Narrow2 Freq

Equivalent SCPI Command

Syntax

:TRIGger:TR[1-1]:NARRow[1-2]:VIDeo:FREQuency:CENTer {9.2M ~ 337.04G}

:TRIGger:TR[1-1]:NARRow[1-2]:VIDeo:FREQuency:CENTer?

Query Response

{9.2M ~ 337.04G} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:TR1:NARRow1:VIDeo:FREQuency:CENTer 9200000"
20 OUTPUT 717;":TRIGger:TR1:NARRow1:VIDeo:FREQuency:CENTer ?"
30 ENTER 717;A


SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.WIDTh

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.WIDTh = Value

Value = SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.WIDTh

Description

This command sets/gets narrow video trigger frequency span, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Narrow video trigger frequency span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 85M
Preset Value | 13.8M
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.TRIGger.TR1.NARRow1.VIDeo.FREQuency.WIDTh = Var
Var = SCPI.TRIGger.TR1.NARRow1.VIDeo.FREQuency.WIDTh

Related Objects

SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.CENTer

Equivalent Key

TR Menu: Setup > Video Trigger > Narrow Width

TR Menu: Setup > Video Trigger > Narrow2 Width

Equivalent SCPI Command

Syntax

:TRIGger:TR[1-1]:NARRow[1-2]:VIDeo:FREQuency:WIDTh {0 ~ 85M}

:TRIGger:TR[1-1]:NARRow[1-2]:VIDeo:FREQuency:WIDTh?

Query Response

{0 ~ 85M} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:TR1:NARRow1:VIDeo:FREQuency:WIDTh 0"
20 OUTPUT 717;":TRIGger:TR1:NARRow1:VIDeo:FREQuency:WIDTh ?"
30 ENTER 717;A


SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.MODE

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.MODE = Value

Value = SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.MODE

Description

This command sets/gets narrow video trigger mode, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Narrow video trigger mode
Data Type | Character string type (String)
Range | IN|OUT|POSitive|NEGative
Preset Value | IN
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "IN"
SCPI.TRIGger.TR1.NARRow1.VIDeo.MODE = Var
Var = SCPI.TRIGger.TR1.NARRow1.VIDeo.MODE

Equivalent Key

TR Menu: Setup > Video Trigger > Narrow Video Mode

TR Menu: Setup > Video Trigger > Narrow2 Video Mode

Equivalent SCPI Command

Syntax

:TRIGger:TR[1-1]:NARRow[1-2]:VIDeo:MODE {IN|OUT|POSitive|NEGative}

:TRIGger:TR[1-1]:NARRow[1-2]:VIDeo:MODE?

Query Response

{IN|OUT|POSitive|NEGative} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:TR1:NARRow1:VIDeo:MODE IN"
20 OUTPUT 717;":TRIGger:TR1:NARRow1:VIDeo:MODE ?"
30 ENTER 717;A$


SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.THReshold

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.THReshold = Value

Value = SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.THReshold

Description

This command sets/gets video trigger threshold level relative to max input level, for the selected narrow Nr of the selected channel Ch.

Variable

Parameter | Value
Description | Video trigger threshold level relative to max input level
Data Type | Double precision floating point type (Double)
Range | -100 ~ 0
Preset Value | -20
Unit | dB
Resolution | 1
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.TRIGger.TR1.NARRow1.VIDeo.THReshold = Var
Var = SCPI.TRIGger.TR1.NARRow1.VIDeo.THReshold

Equivalent Key

TR Menu: Setup > Video Trigger > Minimum Power Level

Equivalent SCPI Command

Syntax

:TRIGger:TR[1-1]:NARRow[1-2]:VIDeo:THReshold {-100 ~ 0}

:TRIGger:TR[1-1]:NARRow[1-2]:VIDeo:THReshold?

Query Response

{-100 ~ 0} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:TR1:NARRow1:VIDeo:THReshold 0"
20 OUTPUT 717;":TRIGger:TR1:NARRow1:VIDeo:THReshold ?"
30 ENTER 717;A


SCPI.TRIGger.TR(Ch).SOURce

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.TR(Ch).SOURce = Value

Value = SCPI.TRIGger.TR(Ch).SOURce

Description

This command sets/gets trigger source, for the selected channel Ch.

  • Sets N2Video automatically when the measurement mode changed from WN to NN if selected WVIDeo.

  • Sets WVIDeo automatically when the measurement mode changed form NN to WN if selected N2Video.

Variable

Parameter | Value
Description | Trigger source
Data Type | Character string type (String)
Range | INTernal|EXTernal|MANual|BUS|WVIDeo|NVIDeo|N2Video
Preset Value | INTernal
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "INTernal"
SCPI.TRIGger.TR1.SOURce = Var
Var = SCPI.TRIGger.TR1.SOURce

Equivalent Key

TR Menu: Trigger > Source

Equivalent SCPI Command

Syntax

:TRIGger:TR[1-1]:SOURce {INTernal|EXTernal|MANual|BUS|WVIDeo|NVIDeo|N2Video}

:TRIGger:TR[1-1]:SOURce?

Query Response

{INTernal|EXTernal|MANual|BUS|WVIDeo|NVIDeo|N2Video} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:TR1:SOURce INTernal"
20 OUTPUT 717;":TRIGger:TR1:SOURce ?"
30 ENTER 717;A$


SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.CENTer

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.CENTer = Value

Value = SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.CENTer

Description

This command sets/gets wide video trigger frequency, for the selected channel Ch.

Variable

Parameter | Value
Description | Wide video trigger frequency
Data Type | Double precision floating point type (Double)
Range | 50M ~ 337G
Preset Value | 1G
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 50000000
SCPI.TRIGger.TR1.WIDE.VIDeo.FREQuency.CENTer = Var
Var = SCPI.TRIGger.TR1.WIDE.VIDeo.FREQuency.CENTer

Related Objects

SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.WIDTh

Equivalent Key

TR Menu: Setup > Video Trigger > Wide Freq

Equivalent SCPI Command

Syntax

:TRIGger:TR[1-1]:WIDE:VIDeo:FREQuency:CENTer {50M ~ 337G}

:TRIGger:TR[1-1]:WIDE:VIDeo:FREQuency:CENTer?

Query Response

{50M ~ 337G} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:TR1:WIDE:VIDeo:FREQuency:CENTer 50000000"
20 OUTPUT 717;":TRIGger:TR1:WIDE:VIDeo:FREQuency:CENTer ?"
30 ENTER 717;A


SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.WIDTh

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.WIDTh = Value

Value = SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.WIDTh

Description

This command sets/gets wide video trigger frequency span, for the selected channel Ch.

Variable

Parameter | Value
Description | Wide video trigger frequency span
Data Type | Double precision floating point type (Double)
Range | 0 ~ 5.28G
Preset Value | 880M
Unit | Hz
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Double
Var= 0
SCPI.TRIGger.TR1.WIDE.VIDeo.FREQuency.WIDTh = Var
Var = SCPI.TRIGger.TR1.WIDE.VIDeo.FREQuency.WIDTh

Related Objects

SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.CENTer

Equivalent Key

No equivalent key is available on the front panel.

Equivalent SCPI Command

Syntax

:TRIGger:TR[1-1]:WIDE:VIDeo:FREQuency:WIDTh {0 ~ 5.28G}

:TRIGger:TR[1-1]:WIDE:VIDeo:FREQuency:WIDTh?

Query Response

{0 ~ 5.28G} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:TR1:WIDE:VIDeo:FREQuency:WIDTh 0"
20 OUTPUT 717;":TRIGger:TR1:WIDE:VIDeo:FREQuency:WIDTh ?"
30 ENTER 717;A


SCPI.TRIGger.TR(Ch).WIDE.VIDeo.MODE

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.TR(Ch).WIDE.VIDeo.MODE = Value

Value = SCPI.TRIGger.TR(Ch).WIDE.VIDeo.MODE

Description

This command sets/gets wide video trigger mode, for the selected channel Ch.

Variable

Parameter | Value
Description | Wide video trigger mode
Data Type | Character string type (String)
Range | IN|OUT|POSitive|NEGative
Preset Value | IN
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as String
Var= "IN"
SCPI.TRIGger.TR1.WIDE.VIDeo.MODE = Var
Var = SCPI.TRIGger.TR1.WIDE.VIDeo.MODE

Equivalent Key

TR Menu: Setup > Video Trigger > Wide Video Mode

Equivalent SCPI Command

Syntax

:TRIGger:TR[1-1]:WIDE:VIDeo:MODE {IN|OUT|POSitive|NEGative}

:TRIGger:TR[1-1]:WIDE:VIDeo:MODE?

Query Response

{IN|OUT|POSitive|NEGative} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:TR1:WIDE:VIDeo:MODE IN"
20 OUTPUT 717;":TRIGger:TR1:WIDE:VIDeo:MODE ?"
30 ENTER 717;A$


SCPI.TRIGger.WCOuple

Object Type

Property (Read-Write)

Syntax

SCPI.TRIGger.WCOuple = Value

Value = SCPI.TRIGger.WCOuple

Description

This command sets/gets couple active window and trigger mode.

  • This function cannot be used if you changed active window to USER with couple ON.

  • The active window remains even after changing the trigger mode with couple ON.

Variable

Parameter | Value
Description | Couple active window and trigger mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -
Preset Effect | Yes
Save-Recall Effect | Yes
Error | -

Examples

Dim Var as Boolean
Var= 1
SCPI.TRIGger.WCOuple = Var
Var = SCPI.TRIGger.WCOuple

Equivalent Key

PN Menu: Trigger > Window Couple

SP Menu: Trigger > Window Couple

FP Menu: Trigger > Window Couple

TR Menu: Trigger > Window Couple

AM Menu: Trigger > Window Couple

PS Menu: Trigger > Window Couple

BB Menu: Trigger > Window Couple

Equivalent SCPI Command

Syntax

:TRIGger:WCOuple {ON|OFF|1|0}

:TRIGger:WCOuple?

Query Response

{ON|OFF|1|0} <newline><^END>

Example of use

10 OUTPUT 717;":TRIGger:WCOuple 1"
20 OUTPUT 717;":TRIGger:WCOuple?"
30 ENTER 717;A


Product Information

  • Documentations

  • Specifications

  • Customer Contacts

  • System Accessories

  • Default Conditions

  • Error Message

  • Troubleshooting

  • Maintenance

  • Revision History


documentations

Documentations for E5052B

Manuals for E5052B

The following documentations are provided for E5052B.

Name | Description
Help (This file) | Provides the information about the measurement operation, programming, built-in VBA, I/O interface.
Installation Guide | Provides information about start up setup and system recovery information when the Windows cannot be boot up.
Service Guide | Provides information about the parts, troubleshooting, performance test, adjustment and service menu.

The Installation Guide is furnished with E5052B as a paper manual.

Both Installation Guide and Service Guide can be downloaded from http://www.agilent.com/find/ssa.

The latest revision of Help and Help in PDF, WebHelp formats are also available at the site.

Other topics about Product Information


Specifications

The Data Sheet (PDF format) shows the E5052B specifications.

The latest version of data sheet is available at http://cp.literature.agilent.com/litweb/pdf/5989-6388EN.pdf

For its history, see Data Sheet Revision History.

Other topics about Product Information


Customer Contacts

For assistance on E5052B, refer to http://www.agilent.com/find/assist for your regional customer contacts. Click Select a Country or Area on the upper right of the web page to select your region.

Other topics about Product Information


System Accessories

  • USB/GPIB Interface

  • GPIB Cables

  • Agilent IO Libraries

Other topics about Product Information

82357A/B USB/GPIB Interface

The 82357A/B can be used to control external GPIB devices by the E5052B. This also can be used to control E5052B by PC with USB. See the page of "82357B USB/GPIB Interface High-Speed USB 2.0" in http://www.agilent.com/find/gpib for more information.

GPIB Cables

The following GPIB cables can be used to connect the analyzer with an external device such as a computer.

Product Number | Length
10833A | 1.0 m (3.3 ft)
10833B | 2.0 m (6.6 ft)
10833C | 3.0 m (9.9 ft)
10833D | 0.5 m (1.6 ft)

Agilent IO Libraries

Agilent IO Libraries is a collection of libraries that give you the ability to use your instruments from a test and measurement program, and utilities that help you quickly and easily connect your instruments to your PC.

See the IO libraries manual for more information. The latest revision of IO Libraries can be downloaded from http://www.agilent.com/find/iolib.

  • Do not update Agilent IO Library on E5052B besides Agilent recommends to do so. Refer to http://www.agilent.com/find/ssa for the information.


Default Conditions

This default conditions finder provides the default values, settings for Save/Recall of an object, and settings for backing up an object when using the E5052B.

Conventions used for Preset, *RST, and Save/Recall

Symbol | Description
<< | Setup is same as that of the default value
* | Save/Recall can be performed


Error Message

  • Error Messages

  • Warning Message


Error Messages

An error message is displayed against a red background in the instrument message/warning area in the lower-left part of the screen. Touching Entry Off key at the front panel or executing the :DISPlay:MESSage:CLEar command clears the error message. Moreover, about a specific error message, when a sweep is started again, the display of an error message may disappear. Errors caused by operation of a front panel key simply appear on the display; with a few exceptions, these are not stored in the error queue.

The log of an error message,a maximum of 100 pieces are recorded, and it can go back and check from the newest error. The following procedures perform the procedure of elimination of an error check and an error log. This operation can be performed only from a front panel. It cannot be operated by the "SCPI" command.
System > Error Log > View Error Log
System > Error Log > Clear Error Log
An error with a positive error number is one uniquely defined for this instrument. On the other hand, an error with a negative error number is basically one defined for common GPIB General Purpose Interface Bus - IEEE 488 bus is interconnect bus and protocol, allows linking of instruments and computer. devices in IEEE488.2

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

No.

Message

Description

120

AFC Failed

This error message appears when the Automatic frequency control function could not follow the fluctuation in the measurement condition or automatic frequency control function was set on, however, the power or control voltage is not being applied to the DUT For the corrective actions, refer to the error message “AFC out of loop” and the warning message “DC output on required in AFC”.

330

AFC out of loop

The Automatic frequency control function could not follow the fluctuation in the measurement condition, and did not converge on the target frequency. Possible problems and corrective action are shown below.

  • Press DC Control > Auto Freq Control > Sensitivity to specify a proper tuning sensitivity.

  • Press DC Control > Auto Freq Control > Max Iteration to specify a value larger than the current setting.

  • Press DC Control > Auto Freq Control > Max Ctrl Voltage Limit to specify a maximum value larger then the current setting. Be careful not to set a value that exceeds the DUT’s maximum acceptable value.

  • Press DC Control > DC control Delay to specify a value larger than the current setting.

51

A21 flash ROM write error

This error occurs when writing the system calibration data to ROM on the A21 board fails. Contact Agilent Technologies’ Customer Contact given at the end of this guide or the company from which you bought the device.

311

A4/A5 local unlocked

This error occurs when the internal Local signal of the instrument cannot be unlocked. There is the possibility of a device failure. Contact an Agilent Technologies sales office or the company from which you bought the device.

130

Auto Setting failed

This error occurs when Freq Band, Input Attn and IF gain cannot be set to optimum value according to the input signal.

D

No. | Message | Description
-222 | Data out of range | A data element (not violating the standard) outside the range defined by this instrument has been received. This error occurs, for example, when an integer-based command for which the parameter can be rounded exceeds the range of -65536 to +65536 or when a real-number-based command for which the parameter can be rounded exceeds the range of -9.9e37 to +9.9e37.
280 | DC control overload | The current through the DC CONTROL connector is too large.
270 | DC power overload | The current through the DC POWER connector is too large.
373 | Downconverter Fan Stop | This error occurs when the fan of the downconverter stops. Contact Agilent Technologies’ Customer Contact given at the end of this guide or the company from which you bought the device.
354 | Downconverter IF Intermediate Frequency: the frequency at which a signal is processed after mixing. not found | This error occurs when the down-converted signal does not fall into the expected IF range. The deviation between the set nominal frequency and the actual input signal's frequency may be too large. Execute the carrier search function, and set a correct nominal frequency.
352 | Downconverter Oven Cold | This error may occur due to the unlocked PLL because the oven is not heated sufficiently for some time after the downconverter is turned on. Heat the oven for some time with the power on.
374 | Downconverter P5V power fail | This error occurs when the 5-V power of the downconverter fails. A device failure is suspected. Contact Agilent Technologies’ Customer Contact given at the end of this guide or the company from which you bought the device.
353 | Downconverter Ref Input Level Low | This error occurs when the level of the 10-MHz reference signal to the downconverter is low.
372 | Downconverter Ref PLL unlocked | This error occurs when the PLL circuit of the downconverter is unlocked during measurement. This error may occur when the carrier frequency of the measurement sample is unstable. It may occur also due to the same reason as "Downconverter Oven Cold."
375 | Downconverter test failed | This error occurs when the self-test of the downconverter fails. A device failure is suspected. Contact Agilent Technologies’ Customer Contact given at the end of this guide or the company from which you bought the device.
371 | Downconverter local unlocked | This error occurs when the local of the downconverter cannot be locked. A device failure is suspected. Contact Agilent Technologies’ Customer Contact given at the end of this guide or the company from which you bought the device.

E

No. | Message | Description
-200 | Execution error | An error associated with execution has been generated for which this instrument cannot specify the error message. This code shows the occurrence of an error associated with execution, as defined in 11.5.1.1.5, IEEE488.2.

F

No. | Message | Description
72 | Failed to copy file | This error occurs when copying a file (MMEM:COPY command) fails.
74 | Failed to create directory | This error occurs when creating a directory (MMEM:MDIR command) fails.
73 | Failed to delete file | This error occurs when deleting a file (MMEM:DEL command) fails.
91 | Failed to execute user defined key | In the user menu function, this error occurs when a disabled softkey is executed.
61 | Failed to hide trace | In the user window, this error occurs when the show trace "OFF" command is executed to turn off the remaining trace on the window. At least one trace should be visible at all times.
60 | Failed to hide window | This error occurs when the show window "OFF" command is executed to turn off the remaining window on the screen. At least one window should be visible at all times.
70 | Failed to read file | This error occurs when a VBA project file (MMEM:LOAD:PROG command) or other type of file cannot be read normally.
90 | Failed to stop program | This error occurs when stopping a program fails.
71 | Failed to write file | This error occurs when the display image (MMEM:STOR:IMAG command) for the LCD screen, a VBA project file (MMEM:STOR:PROG command) or other type of file cannot be written normally.
-257 | File name error | A file name error. This message appears when an error exists in the file name and thus a command is not executed correctly. This error occurs, for example, when you try to copy to an improper file name.
-256 | File name not found | The file name specified is not found and thus the command is not executed correctly. This error occurs, for example, when you try to read a file that does not exist in a disk or a disk is not correctly inserted into the drive.
80 | File transfer failed | This error occurs when writing data into or reading data from a file (MMEM:DATA command) fails.
131 | Failed to find Freq Band | The current measurement disables to adapt to carrier frequency, which is measurement target.
133 | Failed to find IF Gain | This error occurs when the input signal level is high at IF gain setting for frequency band 1-3 in PN/PLL mode. Under this condition auto setting is disabled.

I

No.

Message

Description

213

IF A/D overflow

This message appears when the internal IF level is too high and it exceeds the internal A/D converter input range. In the phase noise measurement, check that the DUT’s carrier signal is within the selected frequency band. Also, the message may appear if a DUT that has a large noise level and an unstable output level is measured. When measuring phase noise in such a case, decrease the IF Gain value or increase the sweep start value if possible. In the spectrum monitor measurement, decrease the DUT’s carrier level, or set the reference level or input attenuator value larger than the current setting. In the transient measurement, decrease the DUT’s carrier level, or set the max input level or input attenuator value larger than the current setting.

260

IF Level Overload

The IF level is too high. Set the input attenuator value larger than the current setting.

312

IF not found

The IF signal cannot be found. Please confirm whether the cable between RF1 IN - OUT and RF2 IN - OUT is connected correctly. When the connection of these cables has the trouble, error message "IF not found" occurs. The downconverter user may find this error message when the user changes the cable connection.

In the phase noise measurement,this error occurs when no signal is inputted to the RF IN, or the input level to the RF IN is too low. Also, the message may appear if a DUT that has an unstable output level is measured, or if the carrier frequency of a DUT is out of the specified frequency band. Aside from the above reasons, there is the possibility of a device failure. Contact an Agilent Technologies sales office or the company from which you bought the device.

-224

Illegal parameter value

The parameter value is improperly set.

-282

Illegal program name

This error occurs when a nonexistent VBA program name is specified by the PROG:SEL:NAME command.

-213

Init ignored

Because another measurement is in progress, the request for initiating a measurement (“INIT” command) is ignored.

250

Insufficient IF Level

The IF level is too low. Set the input attenuator value smaller than the current setting.

230

Insufficient RF Level

The input level to the RF IN connector is too low.

50

Internal test failed

Internal test failed

170

Invalid equation label

The invalid character is received in the label data element

171

Invalid equation expression

The formula data element is invalid.

L

No. | Message | Description
101 | License installation failed | This error occurs when an invalid license code is input during installation of the E5001 SSA-J license.
77 | Load VBA program failed | This error occurs when loading a VBA program file fails.

M

No. | Message | Description
20 | Marker search failed | This error occurs when marker search fails.
-109 | Missing parameter | The number of parameters is less than that required for the command, or the parameter has not been entered.

N

No. | Message | Description
351 | No downconverter unit connected | This error occurs when the downconverter is not turned on or when the USB cable is not connected even though the downconverter is enabled. Disable the downconverter, turn on the downconverter, or connect the USB cable.
111 | No signal found | This error message appears when a carrier is outside the selected frequency band or the attenuator is improperly set during execution of the Carrier to function. Set the attenuator to 0 in case you measure a DUT whose output is less than - 15 dBm.

O

No. | Message | Description
100 | Option not installed | The command received has been ignored because of the mismatch between the contents of an option for this instrument and the command. This error is not generated by front key operations.
290 | Oven Cold | This error occurs when PLL cannot be locked because the oven is not warm enough after start-up the E5052B. The resolution is to wait until the oven becomes warm.

P

No. | Message | Description
-220 | Parameter error | This error message is displayed when a parameter-related error other than Error -221 to -229 occurs.
-108 | Parameter not allowed | The number of parameters exceeds that required for the command. See the command reference to confirm the required number of parameters.
200 | Power on test failed | This error occurs when the power-on test fails, indicating a failure of the instrument. Contact an Agilent Technologies sales office or the company from which you bought the instrument.
40 | Printer error | This error occurs when the previous printing is still in progress or the printer fails (offline, short of paper, etc.) at the time of outputting the display image on the LCD screen to the printer (HCOP:IMM command).
41 | Print failed | This error occurs when printing fails for reasons other than Error 40, Printer error.
-284 | Program currently running | This error occurs when the PROG:SEL:STAT RUN command is executed when the VBA program is in the Run state.
-286 | Program runtime error | An error occurring when VBA is executed.
92 | Program not running | This error occurs when :PROG:QUER? command is executed when the VBA program is not running.
93 | Program command error | This error occurs when :PROG:COMM command is executed and another command is sent for execution before the first command execution is finished.

R

No. | Message | Description
75 | Recall failed | This error occurs when reading an instrument status file (State01.sta, etc.) (MMEM:LOAD:STAT command) fails.
291 | Ref In 1 input not detected | This error occurs when the external reference input to Ref In 1 port is not detected.
220 | RF freq out of range | This error occurs when the DUT’s output frequency is not within the measurement range.
240 | RF level overload | This error occurs when the input to the RF IN port exceeds the maximum input level in the measurement. The measurement value obtained in such a case is not correct. In the worst case, a failure (damage to the receiver) may occur.

S

No.

Message

Description

76

Save failed

This error occurs when writing an instrument status file (State01.sta, etc.) (MMEM:STOR:STAT command) fails.

78

Save VBA program failed

This error occurs when saving a VBA program file fails.

210

System PLL unlocked

This error occurs when the PLL circuit of the instrument becomes unlocked while the measurement is in progress. This message may appear if the DUT’s carrier signal is unstable. If this message is displayed in the phase noise measurement, the following problems and corrective actions are shown below.

  • The DUT’s noise level is too large, or a large level spurious component exists in the measurement range.

Verify the spectrum of the DUT’s output signal.

Decrease the IF Gain value, or increase the sweep start value when possible.

  • The DUT’s output signal is being modulated in frequency.

Stop the frequency modulation.

  • A large harmonics component is included in the DUT’s output signal.

Insert a low-pass filter between the DUT’s output terminal and the E5052B RF IN connector to eliminate the harmonics component.

211

System PLL frequency range over

This error occurs when the internal PLL circuit becomes unlocked while the measurement is in progress. This error may occur when the frequency of the input signal is out of range.

212

System PLL Input overflow

This error occurs when the internal PLL circuit becomes unlocked while the measurement is in progress. This error may occur when the level of the input signal is too large.

214

System FLL unlocked

This error occurs when FLL version of “210 System PLL unlocked." When the capture range in PN measurement is Normal, it’s 210 and when Wide, 214.

215

System FLL frequency range over

This error occurs when FLL version of "211 System PLL frequency range over." When the capture range in PN measurement is Normal, it’s 211 and when Wide, 215.

-310

System error

One of the errors designated as “system errors” in this instrument has occurred.

T

No. | Message | Description
110 | Target freq out of range | This error indicates the 2nd, 3rd, or nth order harmonics is not within the E5052B measurement range. At this time, the previous measurement conditions still remain (any of sweep parameters are not changed).
-223 | Too much data | The block-, expression-, or character-string-type program data that have been received conform with the standard but exceed the amount that can be processed under the conditions of the memory or conditions specific to memory-related devices. In this instrument, this error occurs when the number of characters exceeds 254 in a character-string parameter.
-211 | Trigger A signal that causes the instrument to make a measurement. The user can select several options for triggering, such as manual, continuous, or external (for synchronizing measurements to an external source). ignored | This instrument receives and detects a trigger command (“TRIG”) or an external trigger signal, but it is ignored due to the timing conditions (the instrument is not in the wait-for- trigger state, for example). Change the setup so that a trigger command or an external trigger signal can be sent after the instrument has entered the wait-for-trigger state.
320 | Thermometer out of range | The internal thermometer reading is out of the proper range. Adjustment or repair is necessary.
132 | Try wide capture range | This error occurs when the input level of the input signal is high, and exceeds the input level of the unit. It is recommended to change the Capture range to wide.

U

No. | Message | Description
-113 | Undefined header | A command not defined in this instrument, although not illegal in the syntactic structure, has been received. See the command reference and use correct commands.


Warning Message

A warning message is displayed in the instrument message/Warning area in the lower-left part of the display against a gray background. Touching Entry Off key at the front panel executing the :DISPlay:MESSage:CLEar command clears the message. Moreover, about a specific warning message, when a sweep is started again, a warning message may disappear.

This message simply appears on the display, since it is not known to remote environments such as a GPIB. This message is not displayed when another error message (against a red background) has already been displayed in the instrument message/Warning area.

The warning messages for this instrument are as follows:

No. | Message | Description
571 | DC control out of limit | This message occurs when the specified DC control voltage or the sweep start/stop DC control voltage for the frequency & power measurement is out of the maximum/minimum allowed voltage of DC control.
580 | DC control output ON required in AFC | The automatic frequency control function was set on, however, the power or control voltage is not being applied to the DUT. Verify that the control voltage output is set to ON.
570 | DC power out of limit | This message occurs when the specified DC power voltage or the sweep start/stop DC power voltage for the frequency & power measurement is out of the maximum/minimum allowance voltage of DC control.
560 | Incompatible recall file | This message occurs when an incompatible file is read.
550 | Marker tracking failed | This message occurs when marker tracking fails.
503 | Set RF Radio Frequency (from approximately 50 kHz to approximately 3 GHz). Usually referred to whenever a signal is radiated through the air. ATT 0dB | This message occurs when the input attenuator is set improperly. Set the input attenuator to 0 dB Decibel: a relative unit of measure. The ratio in dB is given by: 10 log10 (P1/P2) where P1 and P2 are the measured powers. The dB is preferred instead of arithmetic ratios or percentages because when components are connected in series, their effect on power, expressed in dB, may be arithmetically added and subtracted. For example, if a 3dB attenuator is connected to a 10dB amplifier, the net gain of the two components is (-3dB + 10dB = +7dB). .
504 | Set RF ATT 5dB | This message occurs when the input attenuator is set improperly. Set the input attenuator to 5 dB.
505 | Set RF ATT 10dB | This message occurs when the input attenuator is set improperly. Set the input attenuator to 10 dB.
506 | Set RF ATT 15dB | This message occurs when the input attenuator is set improperly. Set the input attenuator to 15 dB.
507 | Set RF ATT 20dB | This message occurs when the input attenuator is set improperly. Set the input attenuator to 20 dB.
508 | Set RF ATT 25dB | This message occurs when the input attenuator is set improperly. Set the input attenuator to 25 dB.
510 | Set RF ATT 30dB | This message occurs when the input attenuator is set improperly. Set the input attenuator to 30 dB.
511 | Set RF ATT 35dB | This message occurs when the input attenuator is set improperly. Set the input attenuator to 35 dB.
590 | Unable to find help file | Help file doesn't appear
591 | Failed to read help file | Help file is found. But could not be read.
561 | Recall in bad condition | This message occurs when the measurement data does not corresponds with the X-axis value of the reading data.


Troubleshooting

This section explains the steps you should take when you believe the Agilent E5052B is operating improperly. The results of these simple investigative procedures may help you avoid the down-time and inconvenience of repair service. The troubleshooting instructions are divided into three categories.

When taking all solution but it does not work. Contact Agilent Technology's Customer Contact.

  • Troubleshooting during Startup

  • Troubleshooting during Operation

  • Troubleshooting for External Devices

Troubleshooting during Startup

Symptom

Solution

Turning on (|) the standby switch does not start up the system.

  • Confirm that the power cable is properly plugged in.

  • Confirm that the line switch on the rear panel is turned on.

The system starts up, but it automatically shuts down immediately.

Execute system recovery.

The system starts up, but it enters the service mode (the instrument status bar in the lower right part of the screen displays SVC in red)

Execute system recovery.

The measurement screen appears after startup, but the date and time displayed on the instrument status bar in the lower right part of the screen differ greatly from the previous settings

Execute system recovery.

The measurement screen appears after startup, but the power-on test fails with Error Message A message on a display that indicates an error condition. Missing or failed hardware, improper user operation, or other conditions that require additional attention can cause an error condition. Generally, the requested action or operation cannot be completed until the condition is resolved. 200 appearing against a red background in the instrument message/warning area in the lower left part of the screen

Execute system recovery.

"Invalid power on test data. Old test limit file" dialog box is displayed.

The file D:\limit\selftest.xml is an old revision. Test revision 2 or above is required. When you replace the removable HDD,you need to copy the selftest.xml file.

Note: You can see the test revision when you open the selftest.xml file.

- <!-- Test Revision -->

- <TEST_REVISION>

<d>2</d>

</TEST_REVISION>

(If the test revision is not explicitly stated, then it is revision 1.)

"Ax is not found in slot y" dialog box is displayed (where x is 4, 5 or 6 and y is 2, 3 or 5).

Update the firmware revision to A.03.30 or above.

It is not possible to lock the removable hard disk after replacing it with another one.

Confirm that the connector at the rear end of the HDD is the same as the original HDD.

There are two types of connectors as shown in the following figure. If they are different, contact your Agilent service office.

  • Occasionally, a few pixels may appear on the screen as a fixed point of blue, green or red. Please note that this is not a failure and does not affect the performance of your product.

Troubleshooting during Operation

Symptom

Solution

The sweep action stops during measurement or is not executed, but the front keys and softkeys are operational

There is a possibility of a failure

During measurement of the DUT, Error Messages 240 “RF level overload” is displayed.

This error occurs when the input to the RF IN port exceeds the maximum input level in the measurement. The measurement value obtained in such a case is not correct. In the worst case, a failure (damage to the receiver) may occur.

Change the measurement condition so that the input to the RF IN port does not exceed the maximum input level.

A Clearly Abnormal Measurement Value

The measurement value is not reproducible, or clearly abnormal.

  • Confirm that the DUT, connection cables, and other parts are connected correctly.

  • Confirm that the connectors and cables used to connect the DUT are free from damage or poor contact.

The System Cannot be Operated Manually (Front Panel Keys, Keyboard, Touch Screen and Mouse)

The keyboard or mouse becomes inoperable.

Confirm that the keyboard or mouse is connected correctly. When it is connected correctly, turn off the power and restart the system.

The front panel key or keyboard becomes inoperable.

Using the mouse, turn System > Misc Setup > Key Lock > Front Panel & Keyboard Lock OFF to turn OFF the lock.

The touch screen becomes inoperable.

  • Using the front panel keys, turn System > Misc Setup > Key Lock > Touch Screen & Mouse Lock OFF to turn OFF the lock.

  • Execute the calibration of the touch screen. For information on the execution procedure, see Calibration of the Touch Screen.

The mouse becomes inoperable.

Using the front panel keys, turn System > Misc Setup > Key Lock > Touch Screen & Mouse Lock OFF to turn OFF the lock.

All of the front panel keys, keyboard, and mouse become inoperable

Confirm that the keyboard or mouse is connected correctly. When it is connected correctly, turn off the power once, and restart the system.

The keyboard and mouse have been connected after power-on

Turn off the power once, and restart the system. When taking all these measures does not recover operability, there is a possibility of a failure.

The Screen Freezes and All Operations Become Impossible.

The measurement in progress or screen update is stalled and all of the front panel keys, keyboard, mouse, and touch screen are inoperable.

Press the standby switch to turn off the power and restart the system. If a similar symptom reappears, there is a possibility of a device failure.

The System Freezes while in Operation

Press the standby switch to turn off the power and restart the system.

The Rear Cooling Fan Does Not Operate.

There is a possibility of a failure.

An error or warning message is displayed on the instrument message/warning area in the lower part of the screen

Refer to Error Messages and Warning Messages.

Troubleshooting for External Devices

Symptom

Solution

Cannot Output to a Printer

Cannot output a measurement screen or data to a printer.

Attempting to output to a printer causes Error Messages 40 and 41 to appear

  • Confirm that the power to the printer is on and that the power cable is connected correctly.

  • Confirm that the connector cable of the printer is connected correctly.

  • Confirm that the printer is online.

  • Confirm that the printer has not run out of paper.

  • Confirm that the printer has not run out of ink.

A GPIB device does not respond to the external controller, or fails to function normally.

  • Confirm that the GPIB address is defined correctly.

  • Confirm that the GPIB cable is connected.

  • Confirm that another instrument connected by the GPIB cable does not have the same GPIB address.

  • Confirm that the GPIB cable connection does not forms a loop.

When E5053A which serial number prefix is MY452, SG425 or above is connected to E5052B, the "Found New Hardware Wizard" is executed. However, "The wizard could not find the software on your computer for..." is displayed.

Your E5052B requires a new driver software for E5053A. To install the driver, update the firmware to revision A.03.30 and above.


Maintenance

  • Backing Up the Data

  • Cautions Applicable to Requesting Repair, Replacement, Regular Calibration, etc.

  • Cleaning this Instrument

  • Removing/Mounting Removable Hard Disk

  • Replacement of Parts with Limited Service Life

  • System Recovery

  • Updating Firmware


Backing Up the Data

Be sure to back up regularly your important data (including program) files in this instrument to a CD-R or other backup medium. Agilent Technologies shall not be liable for any data damages caused by troubles of this instrument.

Making Backup Files

You can make backup files on the hard disk of an external PC using following methods.

You can access to drive D: of the E5052B from an external PC via LAN, and copy your important data files on the drive D: to the external PC. See Accessing Hard Disk of E5052B from External PC for details.

You can transfer your important data files on the drive D: of the E5052B to the external PC using :MMEM:TRAN command via GPIB.

  • Do not modify any files and folders in drives other than drive D:. Doing so will cause malfunctions.

Other topics about Maintenance


Cautions Applicable to Requesting,Repair,Replacement,Regular

Cautions Applicable to Requesting Repair, Replacement, Regular Calibration, etc.

  • Backing Up Data in the Hard Disk

  • Devices to be Sent Back for Repair or Regular Calibration

Other topics about Maintenance

Backing Up Data in the Hard Disk

The user is requested to back up the stored programs and data into external media by using the instrument's storing function before requesting the Company's Service Center to repair the instrument or replace hard disks.

See Making Backup Files for how to make backup files.

Please take note that the Company will not be held liable to any extent for potential erasure or change of stored programs or data due to the repair or replacement of hard disks performed by the Company. When a hard disk itself fails, the programs and data stored in it cannot be recovered.

Devices to be Sent Back for Repair or Regular Calibration

If it is necessary to send the unit to the Service Center of Agilent Technologies for repair or regular calibration, please follow the instructions below.

Equipment to be Sent

When requesting repair or regular calibration of the unit by our Service Center, send only the E5052B main unit without any installed option you may have ordered. Unless specifically instructed, it is not necessary to send accessories and calibration kits.

Packing

Use the original package and shock absorbers, or equivalent anti-static packing materials, when sending the unit.

Shipping Address

For the location of the nearest Agilent Technologies Service Center, contact the Customer Contact.

Recommended Calibration Period

The recommended calibration period for this instrument is one year. The user is recommended to request the Company's Service Center to perform regular calibration every year.


Cleaning this Instrument

  • Cleaning an LCD

  • Maintenance of Test Ports and Other Connectors/Ports

  • Cleaning a Display Other than an LCD

Other topics about Maintenance

This section describes how to clean the instrument.

To protect yourself from electrical shock, be sure to unplug the power cable from the outlet before cleaning the instrument.

Never clean the internal components of the instrument.

Cleaning an LCD

Use one of the following methods to clean the display surface regularly.

  • For normal cleaning, rub the surface gently with a dry, soft cloth.

  • When stains are difficult to remove, gently wipe the surface with cloth damped with a small amount of ethanol or isopropyl alcohol.
    You can clean the standard type LCD (no touch screen function) with a cloth dipped in water and then wrung tightly.

  • Do not use chemicals other than ethanol and isopropyl alcohol to wet the cleaning cloth. To clean the touch screen LCD, do not wet the cloth with water.

Maintenance of Test Ports and Other Connectors/Ports

Test ports on the front panel of the E5052B are fitted with N Type connectors (f). Stains or other damage to these connectors would significantly affect the accuracy in measurements in the RF range. Always pay attention to the following precautions.

  • Always keep the connectors free from stains and dust.

  • Do not touch the contact surface on the connectors.

  • Do not plug damaged or scratched connectors into the test ports.

  • Use compressed air for cleaning connectors. Do not use abrasives under any circumstance.

The above precautions must also be observed in maintaining connectors and ports other than these test ports.

Cleaning a Display Other than an LCD

To remove stains on parts other than the LCD, test ports, and other connectors/ports of the instrument, wipe them gently with a soft cloth that is dry or wetted with a small amount of water and wrung tightly.


Removing/Mounting Removable Hard Disk

  • Saving system calibration data from removable hard disk to USB pen drive

  • Removing Removable Hard Disk

  • Mounting Removable Hard Disk

  • Recalling System Calibration Data from USB Pen drive to Removable Hard Disk

Other topics about Maintenance

This section provides information on how to save system calibration data from removable hard disk to USB pen drive, recall system calibration data from USB pen drive to removable hard disk as well as mount and remove a removable hard disk.

For calibration or repair of the E5052B, send it with the removable hard disk mounted.

Saving system calibration data from removable hard disk to USB pen drive

Replacing a removable hard disk causes the system calibration data to be lost. Therefore, before replacing the removable hard disk, you need to save the system calibration data to a USB Pen drive.

Follow the steps below to save the system calibration data to a USB Pen drive before replacing the removable hard disk:

  1. Exit the measurement window.

Press System > Service Menu > Administrator Menu > Exit E5052B > OK

  2. Insert a USB Pen drive into the USB port in front panel.

  3. Open Recovery (D) Drive.

  4. Copy the entire D:\syscal directory to the USB Pen drive.

Place the mouse pointer at the D:\syscal directory, right-click it, and select Copy .

Place the mouse pointer at the USB Pen drive, right-click it, and select Paste .

  5. Copy the entire D:\limit directory to the USB Pen drive.

Place the mouse pointer at the D:\limit directory, right-click it, and select Copy .

Place the mouse pointer at the USB pen drive, right-click it, and select Paste .

Removing Removable Hard Disk

Follow the steps below to remove a removable hard disk.

  1. Turn off the power.

  2. Insert the key (furnished, Agilent Part Number 5188-4426) in the lock and turn anti-clockwise.

  3. Open the screw in clockwise direction.

  4. Press the button under the screw.

  5. Remove the hard disk.

  6. Do not attempt to unlock the key and remove the hard disk when the power is on. Doing so will turn off the power automatically.

Mounting Removable Hard Disk

Follow the steps below to mount a removable hard disk.

  1. Insert the hard disk into the slot.

  2. Turn the screw in anti-clockwise direction until it is locked.

  3. Turn the key to the right until it is locked.

      • If it is not possible to lock the removable hard disk, refer to Troubleshooting_during_Startup.

  4. Remove the key.

  5. Turn on the E5052B.

      • The key is available to remove even in Unlocked state. Before power on, confirm if Removable hard disk is locked completely.

Recalling System Calibration Data from USB Pen drive to Removable Hard Disk

When you install another hard disk drive into the E5052B, the system calibration data and limit files are required to copy from the HDD which is placed in the unit to the HDD which will be installed. Follow the procedure below.

  1. Turn on the E5052B

  2. Initial registration of E5052B if it is required.

  3. Execute "Calibration of Touch Screen"

  4. Restart

  5. Exit the measurement window.

Press System > Service Menu > Administrator Menu > Exit E5052B > OK

  6. Insert a USB Pen drive where you stored the original data into the USB port in front panel.

  7. If the unit is returned from Agilent Service center, it is required to update the firmware to A.03.30 or above.

  8. Open Recovery (D) Drive.

  9. Click syscal folder in the USB Pen drive from the explorer.

  10. Select Edit > Copy from menu bar of the explorer.

  11. Click the D:\ of the explorer.

  12. Select Edit > Paste from menu bar of the explorer.

  13. Click limit folder in the USB Pen drive from the explorer.

  14. Select Edit > Copy from menu bar of the explorer.

  15. Click the D:\ of the explorer.

  16. Select Edit > Paste from menu bar of the explorer.

  17. Restart E5052B


Replacement of Parts with Limited Service Life

This instrument incorporates parts with limited service life as shown in the following table. Using the recommended replacement time as a guide, request the Agilent Service Center to replace these parts. However, a part may need to be replaced at an earlier time than that listed in the table, depending on such conditions as location, frequency of use, and where it is stored.

  • Each service life and recommended replacement time listed below is for reference only and does not imply a guarantee of the part's service life.

Part Name | Service Life (Parts supplier reference value) | Recommended replacement time
Hard Disk Drive (HDD) | 5 years or 20,000 operating hours, whichever comes earlier. Exchanging hard disk drives causes the contents written after shipment from the factory (LAN setup, etc.)to be initialized to the state at the time of shipment. The programs and data stored in Drive D (user directory) are erased. | 3 years
Main fan | 50,000 operating hours. The service life may be significantly shorter when used in a dusty and dirty environment. | 5 years
CPU fan
Battery on Mother board | 50,000 operating hours. The service life may be shorter if E5052B power has not been turned on for long time. | 5 years
Power supply | 50,000 operating hours (Depends on the service life of the power supply cooling fun) The service life may be significantly shorter when used in a dusty and dirty environment. | 5 years
LCD screen backlight | 50,000 operating hours. When the unit is used for automatic measurements in a production line and the on-screen information is not required, the life of the LCD backlight can be saved by turning it off. As for the method of turning the backlight off, refer to Turning off the LCD Screen Backlight. | 5 years
Touch screen (function) | One million times (dotting life) | 5 years
USB receptacle | 1,500 cycles insertion / extraction. The service life may be shorter when used in a dusty and dirty environment. In the case that the insertion / extraction is in heavy usage, using USB extension cable may save the USB receptacle life. | N/A

Other topics about Maintenance


System Recovery

By executing system recovery, you can return the system of the E5052B (the Windows operating system and the firmware) to the factory state (at the time of purchase) or the user state at the setting the user performed save user state.

  • User state recovery function is available at HDD revision NM320 and below.

The procedure of system recovery is described in both installation manual and Service Manual.

Other topics about Maintenance


Updating Firmware

The latest firmware and its update procedure is available from the Technical Support at http://www.agilent.com/find/ssa.

Other topics about Maintenance


Revision History

  • Firmware Revision History

  • HDD Revision History

  • Data Sheet Revision History

Other topics about Product Information


Firmware Revision History

Firmware revision denotes E5052B measurement software. To know E5052B firmware revision, refer to Checking the product information.

  • A.03.3x

  • A.03.2x

  • A.03.10

  • A.03.03

  • A.03.02

Other topics about Revision History

A.03.3x

  • The windows icon for minimize, maximize and close are replaced with resize due to windows license change.

  • Supports the E5053A which serial number prefix is MY452, SG425 or above.

A.03.2x

  • Segment Phase Noise Measurement

  • Transient Measurement

    • Two narrow channels (narrow-narrow mode)

    • X-axis, Target Frequency or Frequency Range Setting by using the mouse

    • Automatic Phase Reference Offset Setting

    • Adjust Phase Reference at Averaged Value in Specified Span

  • Spurious Sensibility

  • Searching for Spurious

  • Scaling by using the mouse

  • Trigger Couple

  • Carrier information data can be stored

A.03.10

New Features

  • Context Sensitive Help

  • Equation Editor

  • LXI-C

  • Setting Window Layout

  • PN Auto Setting

  • AM Auto Setting

  • Recall Memory/Data Trace

  • Omit Specified Spurious

  • Marker to Spurious

  • *TST

Modifications

  • Enhanced Command Reference

  • SSA-J Enhancement

  • Setting Display Magnification

  • Setting Data Hold

  • Modified Data Sheet

  • Setting Data Format of Baseband Measurement

  • Video Trigger Resolution

  • Enabling Web Server

  • Error Message

  • Warning Message

A.03.03

New Features

  • Updated: Setting the GPIB

  • Updated: Executing Clock Jitter Measurement

A.03.02

This revision is the first revision of E5052B.

New Features from E5052A

  • Phase Noise Measurement

    • Discriminator Measurement

    • Extension of Offset Frequency

    • Switch Reference Signal

  • AM Noise Measurement

  • Baseband Noise Measurement

  • Transient measurement

    • Frequency Measurement Range extended to 80MHz

    • Advanced Mode

    • Extension of Video Trigger

  • XGA 10.4 inch LCD

  • External Trigger Output

  • Online Help

  • Save/Recall Compatibility

  • Windows XP (Open Windows)

  • Web Enabled

  • Progress Indicator Display

Deleted Functions

  • Floppy Disk Drive


HDD Revision History

HDD revision is based upon a number of factors such as windows OS, driver upgrade patch which are installed at the factory shipment. Firmware revision denotes E5052B measurement software. To know E5052B HDD revision, refer to Checking the product information.

  • NF330

  • NM330

  • NM322/NM323

  • NM321

  • NM320

  • NM310

Other topics about Revision History

NF330

  • Initial registration procedure is changed.

  • System recovery procedure is changed.

  • Administrator account at the factory shipment is defined.

  • Windows Licence is changed to Windows XP Pro for embedded systems.

NM330

  • Supports the E5053A which serial number prefix is MY452, SG425 or above.

NM322/NM323

  • No change in functionality

NM321

  • Initial registration procedure has been changed.

  • Factory recovery procedure has been changed.

  • User recovery capability has been deleted.

NM320

  • Windows SP3 is applied.

NM310

  • LXI is supported


Data Sheet Revision History

Data sheet revision is the "printed date" published at the last page of the E5052B data sheet.

  • February 16, 2011

  • March 11,2009

  • February 3, 2009

Other topics about Revision History

February 16, 2011

  • Change in rear panel due to CPU board change.

March 11, 2009

  • Transient measurement, Table 4-1. Transient measurement performance Residual FM is added in Frequency Measurement.

February 3, 2009

  • Specification of segment PN mode is added.

  • Specification of advanced mode in transient measurement is added.

  • Power level of reference output port in the E5052B is changed to 2.5 dBm ± 2 dB typical.

  • Input level of external reference signal input port in the E5053A is changed to -6 dBm to 6 dBm typical.

  • System SSB phase noise sensitivity (dBc/Hz) in normal capture range mode (E5053A + E5052B) is improved at 1 Hz offset frequency, and definition is changed to SPD.


Auto Frequency Control Function

Frequency/Power measurement mode in analyzer mode and Transient measurement mode doesn't have the ON/OFF status, but has the Immediate status only.


compatibility of files

If files saved with the standard model contain data trace, “state & data”, having not-allowed parameters such as start offset frequency down to 1 Hz, they cannot be recalled with the option 011. In case that files contain instrument settings only, “state only”, which is not available for the option 011, that parameters is automatically set to the initial settings of the option 011.


Example

This is an example of a graphical popup window. Unlike text only popup, it can contain graphics [image] as well.


External Trigger

If External is selected for the trigger source, the trigger signal must be provided by an external instrument. Refer to Setting External Trigger for the setting procedure.


New Topic2

For the content of saving, refer to List of Default Values.


New Topic3

Assumes 3 dB loss of the waveguide adaptors between output port of the DUT and the mixers. If the DUT noise floor at IF Intermediate Frequency: the frequency at which a signal is processed after mixing. port is greater than -110 dBc/Hz, the phase-noise measurement may not be performed properly. A poor S/N ratio would prevent the frequency counter of the E5052B from working correctly.


To open control panel

In Windows XP, click Start, click Control Panel

or

In E5052B, press System > Misc Setup > Control Panel key


Trigger Source external

If External is selected for the trigger source, the trigger signal must be provided by an external instrument. Refer to Setting External Trigger for the setting procedure.


Trigger Source List

Softkey | Overview
Internal | Sets trigger source to internal continuous trigger signal
External | Sets trigger source to external trigger input connector
Manual | Sets trigger source to manual operation
Bus | Sets trigger source to the bus; the trigger signal is issued by the trigger command via USB, GPIB interface or LAN.
Wide Video | Sets trigger source to Wide Video. This can be selected Wide-Narrow mode. You must set up the video trigger. Refer to Setting Video Trigger for the setting procedure.
Narrow Video | Sets trigger source to Narrow Video. This can be selected Wide-Narrow mode or Narrow-Narrow mode. You must set up the video trigger. Refer to Setting Video Trigger for the setting procedure.
Narrow2 Video | Sets trigger source to Narrow2 Video. This can be selected Narrow-Narrow mode. You must set up the video trigger. Refer to Setting Video Trigger for the setting procedure.


Trigger to Measurement

Softkey | Overview
Trigger to AM Noise | Send a trigger to the AM noise measurement
Trigger to Freq & Power | Send a trigger to the frequency/power measurement
Trigger to Baseband Noise | Send a trigger to the baseband measurement
Trigger to Phase Noise | Send a trigger to the phase noise measurement
Trigger to Segment PN | Send a trigger to the segment phase noise measurement
Trigger to Spectrum Monitor | Send a trigger to the spectrum monitor measurement
Trigger to Transient | Send a trigger to the transient measurement

  • When the Window Couple is ON, you cannot use this softkey.


wide narrow trigger

This function is effective only for the transient measurement. This trigger source cannot be selected for other measurements. It is not displayed on the softkey either.


Cust_Contact

Customer Contacts

For assistance on E5052B, refer to http://www.agilent.com/find/assist for your regional customer contacts. Click Select a Country or Area on the upper right of the web page to select your region.


AM_Meas_DC

AM Noise Measurement


BB_Meas_DC

Baseband Noise Measurement


Freq_Power_Meas_DC

Frequency- Power Measurement


PN_Meas_DC

Phase Noise Measurement


PS_Meas_DC

Segment Phase Noise Measurement


SP_Meas_DC

Spectrum Monitor Measurement


Transient_Meas_DC

Transient Measurement


User_Meas_DC

USER Measurement


all_system

System - ALL Measurements

Softkey under System key |  |  |  |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  |  |  |  | Preset | *RST
Print |  |  |  |  |  |  |  |
Abort Printing |  |  |  |  |  |  |  |
Printer Setup… |  |  |  |  |  |  |  |
Invert Image |  |  |  |  | OFF | << | << | *
Dump Screen Image... |  |  |  |  |  |  |  |
Misc Setup | Beeper | Beep Complete |  |  | ON | << | << | *
 |  | Test Beep Complete |  |  |  |  |  |
 |  | Beep Warning |  |  | OFF | << | << | *
 |  | Test Beep Warning |  |  |  |  |  |
 | GPIB Setup | Talker/Listener Address |  |  | 17 | Non-changing | << |
 |  | System Controller Configuration |  |  |  |  |  |
 | Network Setup | Telnet Server |  |  | OFF | Non-changing | << |
 |  | Socket Server |  |  | OFF | Non-changing | << |
 |  | SICL-LAN Server |  |  | OFF | Non-changing | << |
 |  | SICL-LAN Address |  |  | 17 | Non-changing | << |
 |  | Web Server |  |  |  |  |  |
 |  | VNC Server Configuration … |  |  |  |  |  |
 |  | Network Identification... |  |  |  |  |  |
 |  | Network Configuration … |  |  |  |  |  |
 | Clock Setup | Set Date and Time |  |  |  |  |  |
 |  | Show Clock |  |  | ON | << | << | *
 | Key Lock | Front Panel & Keyboard Lock |  |  | OFF | << | << | *
 |  | Touch Screen & Nouse Lock |  |  | OFF | << | << | *
 | Display Setup | Color Setup | Normal Color | Data Trace 1 | Red:255 Green:255 Blue:0 | << | << | *
 |  |  |  | Data Trace 2 | Red:0 Green:255 Blue:255 | << | << | *
 |  |  |  | Data Trace 3 | Red:0 Green:255 Blue:0 | << | << | *
 |  |  |  | Data Trace 4 | Red:255 Green:0 Blue:255 | << | << | *
 |  |  |  | Data Trace 5 | Red:255 Green:255 Blue:0 | << | << | *
 |  |  |  | Data Trace 6 | Red:0 Green:255 Blue:255 | << | << | *
 |  |  |  | Data Trace 7 | Red:0 Green:255 Blue:0 | << | << | *
 |  |  |  | Data Trace 8 | Red:255 Green:0 Blue:255 | << | << | *
 |  |  |  | Mem Trace 1 | Red:127 Green:127 Blue:0 | << | << | *
 |  |  |  | Mem Trace 2 | Red:0 Green:127 Blue:127 | << | << | *
 |  |  |  | Mem Trace 3 | Red:0 Green:127 Blue:0 | << | << | *
 |  |  |  | Mem Trace 4 | Red:127 Green:0 Blue:127 | << | << | *
 |  |  |  | Mem Trace 5 | Red:127 Green:127 Blue:0 | << | << | *
 |  |  |  | Mem Trace 6 | Red:0 Green:127 Blue:127 | << | << | *
 |  |  |  | Mem Trace 7 | Red:0 Green:127 Blue:0 | << | << | *
 |  |  |  | Mem Trace 8 | Red:127 Green:0 Blue:127 | << | << | *
 |  |  |  | Graticule Main | Red:127 Green:127 Blue:127 | << | << | *
 |  |  |  | Graticule Sub | Red:63 Green:63 Blue:63 | << | << | *
 |  |  |  | Limit Fail | Red:255 Green:0 Blue:0 | << | << | *
 |  |  |  | Limit Line | Red:160 Green:32 Blue:32 | << | << | *
 |  |  |  | Background | Red:0 Green:0 Blue:0 | << | << | *
 |  |  |  | Reset Color |  |  |  |
 |  |  | Invert Color | Data Trace 1 | Red:0 Green:0 Blue:255 | << | << | *
 |  |  |  | Data Trace 2 | Red:255 Green:0 Blue:0 | << | << | *
 |  |  |  | Data Trace 3 | Red:255 Green:0 Blue:255 | << | << | *
 |  |  |  | Data Trace 4 | Red:0 Green:255 Blue:0 | << | << | *
 |  |  |  | Data Trace 5 | Red:0 Green:0 Blue:255 | << | << | *
 |  |  |  | Data Trace 6 | Red:255 Green:0 Blue:0 | << | << | *
 |  |  |  | Data Trace 7 | Red:255 Green:0 Blue:255 | << | << | *
 |  |  |  | Data Trace 8 | Red:0 Green:255 Blue:0 | << | << | *
 |  |  |  | Mem Trace 1 | Red:128 Green:128 Blue:255 | << | << | *
 |  |  |  | Mem Trace 2 | Red:255 Green:128 Blue:128 | << | << | *
 |  |  |  | Mem Trace 3 | Red:255 Green:128 Blue:255 | << | << | *
 |  |  |  | Mem Trace 4 | Red:128 Green:255 Blue:128 | << | << | *
 |  |  |  | Mem Trace 5 | Red:128 Green:128 Blue:255 | << | << | *
 |  |  |  | Mem Trace 6 | Red:255 Green:128 Blue:128 | << | << | *
 |  |  |  | Mem Trace 7 | Red:255 Green:128 Blue:255 | << | << | *
 |  |  |  | Mem Trace 8 | Red:128 Green:255 Blue:128 | << | << | *
 |  |  |  | Graticule Main | Red:128 Green:128 Blue:128 | << | << | *
 |  |  |  | Graticule Sub | Red:192 Green:192 Blue:192 | << | << | *
 |  |  |  | Limit Fail | Red:0 Green:255 Blue:255 | << | << | *
 |  |  |  | Limit Line | Red:95 Green:223 Blue:223 | << | << | *
 |  |  |  | Background | Red:255 Green:255 Blue:255 | << | << | *
 |  |  |  | Reset Color |  |  |  |
 |  |  | Magnification |  | Normal |  |  |
 | Control Panel … |  |  |  |  |  |  |
Backlight |  |  |  |  | ON |  |  |
Instrument Setup | Correction | Power Correction |  |  | OFF | << | << | *
 |  | Import Power Correction Table |  |  |  |  |  |
 |  | File Dialog … |  |  |  |  |  |
 | Downconverter Manual Setup | ΔIF = IF2-IF1 |  |  | 0Hz | << | << | *
 |  | IF Gain 1 |  |  | 0dB | << | << | *
 |  | IF Gain 2 |  |  | 0dB | << | << | *
 |  | LO1 Frequency |  |  | 2.975GHz | << | << | *
 |  | LO1 Level |  |  | 10dBm | << | << | *
 |  | LO2 Frequency |  |  | 2.975GHz | << | << | *
 |  | LO2 Level |  |  | 10dBm | << | << | *
 |  | Current |  |  | 0A | << | << | *
 |  | Mixer 1 Bias |  |  | OFF | << | << | *
 |  | Mixer 2 Bias |  |  | OFF | << | << | *
 | Frequency Offset (User Downconv.) | Frequency Offset |  |  | OFF | << | << | *
 |  | Conversion Mode |  |  | RF = n*LO + IF | << | << | *
 |  | LO Frequency |  |  | 3GHz | << | << | *
 |  | Harmonic # |  |  | 1 | << | << | *
 | PN Ext. Prescaler | Division |  |  | 1 | << | << | *
 |  | Output Power Level |  |  | 0dBm | << | << | *
Product Information |  |  |  |  |  |  |  |


macro_run_break

Macro Run & Macro Break

No Softkey is available under Macro Run and Macro Break for ALL Measurements.


macro_setup

Macro Setup - ALL Measurements

Softkey under Macro Setup key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
User Menu | User Label 1 |  |  |  |
Echo Window Menu | Echo Window | OFF |  |  |
 | Clear Echo |  |  |  |
 | Echo Font Size | 11 |  |  |
E5052 Event |  | OFF |  |  |


Preset

Preset - ALL Measurements

Softkey under Preset key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Factory |  |  |  |


user_disabled

USER Measurement

No Softkey is available under Format, Average, Start/Center, Stop/Span, Setup, Trigger, Marker -> (To), Macro Run and Macro Break for USER Measurements.


dc_control

DC Control- ALL Measurements

Softkey under DC Control key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Auto Freq Control | AFC Status | OFF |  |  |
 | Frequency Band | 250M - 7GHz | << | << | *
 | Max Ctrl Voltage Limit | 35V | << | << | *
 | Max Input Level | 0dBm | << | << | *
 | Max Iteration | 10 | << | << | *
 | Min Ctrl Voltage Limit | -15V | << | << | *
 | Sensitivity | 10MHz/V | << | << | *
 | Target | 1GHz | << | << | *
 | Tolerance | 1kHz | << | << | *
Control Voltage Cal |  | OFF | << | << | *
DC Control Delay |  | 100ms | << | << | *
DC Control Output |  | OFF | << | << |
DC Control Voltage |  | 0V | << | << | *
Max Ctrl Voltage Limit |  | 35V | << | << | *
Min Ctrl Voltage Limit |  | -15V | << | << | *


DC_Power

DC Power-ALL Measurements

Softkey under DC Power key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
DC Power Delay | 100ms | << | << | *
DC Power Output | OFF | << | << |
DC Power Voltage | 0V | << | << | *
Max Pwr Voltage Limit | 16V | << | << | *
Min Pwr Voltage Limit | 0V | << | << | *


attn_all

Attn - ALL Measurements

Softkey under Attn Key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Input Attenuator | 5dB | << | << | *


input_all

Input - ALL Measurements

Softkey under Input key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Input Port | Downconverter | OFF | << | << | *
 | RF Input | Not Used | << | << | *
 | External Mixer | Downconverter | << | << | *


meas_view

Meas/View - ALL Measurements

Softkey under Meas/View key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Show Window | Phase Noise | ON | << | << | *
 | Spectrum Monitor | ON | << | << | *
 | Freq & Power | ON | << | << | *
 | Transient | ON | << | << | *
 | AM Noise | ON | << | << | *
 | Baseband Noise | ON | << | << | *
 | Segment PN | OFF | << | << | *
 | User | OFF | << | << | *
Phase Noise |  | Selected Phase Noise | << | << | *
Spectrum Monitor |  | Selected Phase Noise | << | << | *
Freq & Power |  | Selected Phase Noise | << | << | *
Transient |  | Selected Phase Noise | << | << | *
AM Noise |  | Selected Phase Noise | << | << | *
Baseband Noise |  | Selected Phase Noise | << | << | *
Segment PN |  | Selected Phase Noise | << | << | *
User |  | Selected Phase Noise | << | << | *


am_setup

Setup - AM Measurements

Softkey under Setup key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Frequency Band | 250M-7GHz | << | << | *
Nominal Frequency | 3GHz | << | << | *
Carrier Search |  |  |  |
Measurement Quality | Normal | << | << | *
Fast Measurement | OFF | << | << | *
Auto Setting |  |  |  |


bb_setup

Setup - BB Measurements

Softkey under Setup key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
IF Gain | 20dB | << | << | *
Measurement Quality | Normal | << | << | *
Cutoff Frequency | Low | << | << | *
Discharge DC Block Capacitor |  |  |  |


fp_setup

Setup - FP Measurement

Softkey under Setup key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Sweep Parameter | Control Voltage | << | << | *
Frequency Band | 250M - 7GHz | << | << | *
Nominal Frequency | 3GHz | << | << | *
Carrier Search |  |  |  |
Freq Resolution | 64kHz | << | << | *
Point Delay | 0s | << | << | *
Points | 201 | << | << | *
Max Input Level | 0dBm | << | << | *


pn_setup

Setup - PN Measurements

Softkey under Setup key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Frequency Band |  | 250M- 7GHz | << | << | *
Nominal Frequency |  | 3 GHz | << | << | *
Carrier Search |  |  |  |  |
IF Gain |  | 20dB | << | << | *
LO PhNoise Optimize |  | L(f)for < 150kHz | << | << | *
Measurement Quality |  | Normal | << | << | *
Capture Range |  | Normal | << | << | *
Reference Oscillator | Bandwidth | Narrow | << | << | *
 | Ref. Osc.1 source | Internal | << | << | *
 | Ref. Osc.2 source | Internal | << | << | *
Auto setting |  |  |  |  |


ps_setup

Setup - Segment PN Measurements

Softkey under Setup key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Frequency Band |  | 250M- 7GHz | << | << | *
Nominal Frequency |  | 3 GHz | << | << | *
Carrier Search |  |  |  |  |
IF Gain |  | 20dB | << | << | *
LO PhNoise Optimize |  | L(f)for < 150kHz | << | << | *
Capture Range |  | Normal | << | << | *
Reference Oscillator | Bandwidth | Narrow | << | << | *
 | Ref. Osc.1 source | Internal | << | << | *
 | Ref. Osc.2 source | Internal | << | << | *
Auto setting |  |  |  |  |


sp_setup

Setup - SP Measurement

Softkey under Setup key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Reference Level | 5dBm | << | << | *


tr_setup

Setup - TR Measurement

Softkey under Setup key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Wide Max Frequency |  | 1.2GHz | << | << | *
Wide Freq Range |  | 400M - 1.2GHz | << | << | *
Target Freq |  | 1GHz | << | << | *
Freq Range |  | 25.6MHz | << | << | *
Phase Reference |  | 1GHz | << | << | *
N2 Target Freq |  | 1GHz | << | << | *
N2 Freq Range |  | 25.6MHz | << | << | *
N2 Phase Reference |  | 1GHz | << | << | *
Recalc Phase Reference | Phase Ref Offset | 0Hz | << | << | *
Max Input Level |  | 0dBm | << | << | *
Video Trigger | Wide Video Mode | In | << | << | *
 | Wide Freq | 1GHz | << | << | *
 | Wide Width | 880MHz | << | << | *
 | Narrow Video Mode | In | << | << | *
 | Narrow Freq | 1GHz | << | << | *
 | Narrow Width | 13.8MHz | << | << | *
 | Minimum Power Level | -20dB | << | << | *
 | Narrow2 Video Mode | In | << | << | *
 | Narrow2 Freq | 1GHz | << | << | *
 | Narrow2 Width | 13.8MHz | << | << | *
 | Minimum Power Level | -20dB | << | << | *
Advanced Setup | Advanced mode | OFF | << | << | *
 | Narrow Freq Reso. | 290Hz | << | << | *
 | Narrow Time Reso. | 100µs | << | << | *
 | Narrow Zoom Out | OFF | << | << | *
 | Narrow Display Start | -50ms | << | << | *
Measurement Mode |  | Wide-Narrow | << | << | *


am_trigger

Trigger - AM Measurement

Softkey under Trigger key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Trigger to AM Noise |  | Selected Phase Noise | << | << | *
Source |  | Internal | << | << | *
Ext Trig Polarity |  | Negative | << | << | *
Ext Trig Output | State | OFF | << | << | *
 | Polarity | Positive | << | << | *
 | Selection | Sweep end | << | << | *
Average Trigger |  | OFF |  |  | *
Window Couple |  | OFF | << | << | *


bb_trigger

Trigger - BB Measurement

Softkey under Trigger key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Trigger to Baseband Noise |  | Selected Phase Noise | << | << | *
Source |  | Internal | << | << | *
Ext Trig Polarity |  | Negative | << | << | *
Ext Trig Output | State | OFF | << | << | *
 | Polarity | Positive | << | << | *
 | Selection | Sweep end | << | << | *
Average Trigger |  | OFF |  |  | *
Window Couple |  | OFF | << | << | *


fp_trigger

Trigger - FP Measurement

Softkey under Trigger key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Trigger to Spectrum Monitor |  | Selected Phase Noise | << | << | *
Source |  | Internal | << | << | *
Ext Trig Polarity |  | Negative | << | << | *
Ext Trig Output | State | OFF | << | << | *
 | Polarity | Positive | << | << | *
 | Selection | Sweep end | << | << | *
Average Trigger |  | OFF |  |  | *
Mode |  | Analyzer (standard) | << | << | *
 |  | Tester (option 011) | << | << | *
Window Couple |  | OFF | << | << | *


pn_trigger

Trigger - PN Measurement

Softkey under Trigger key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Trigger to Phase Noise |  | Selected Phase Noise | << | << | *
Source |  | Internal | << | << | *
Ext Trig Polarity |  | Negative | << | << | *
Ext Trig Output | State | OFF | << | << | *
 | Polarity | Positive | << | << | *
 | Selection | Sweep end | << | << | *
Average Trigger |  | OFF |  |  | *
Window Couple |  | OFF | << |  | *


ps_trigger

Trigger - Segment PN Measurement

Softkey under Trigger key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Trigger to Phase Segment |  | Selected Phase Segment | << | << | *
Source |  | Internal | << | << | *
Ext Trig Polarity |  | Negative | << | << | *
Ext Trig Output | State | OFF | << | << | *
 | Polarity | Positive | << | << | *
 | Selection | Sweep end | << | << | *
Average Trigger |  | OFF |  |  | *
Window Couple |  | OFF | << |  | *


sp_trigger

Trigger - SP Measurement

Softkey under Trigger key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Trigger to Spectrum Monitor |  | Selected Phase Noise | << | << | *
Source |  | Internal | << | << | *
Ext Trig Polarity |  | Negative | << | << | *
Ext Trig Output | State | OFF | << | << | *
 | Polarity | Positive | << | << | *
 | Selection | Sweep end | << | << | *
Average Trigger |  | OFF |  |  | *
Window Couple |  | OFF | << | << | *


tr_trigger

Trigger - TR Measurement

Softkey under Trigger key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Trigger to Transient |  | Selected Phase Noise | << | << | *
Source |  | Internal | << | << | *
Ext Trig Polarity |  | Negative | << | << | *
Ext Trig Output | State | OFF | << | << | *
 | Polarity | Positive | << | << | *
 | Selection | Sweep end | << | << | *
Average Trigger |  | OFF |  |  | *
Ext Trig Timing Adj. |  | 0s | << | << | *
Window Couple |  | OFF | << | << | *


am_avg_bw

Avg/BW - AM Measurement

Softkey under Avg/BW key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Averaging Restart |  |  |  |
Avg Factor | 16 | << | << | *
Averaging | OFF | << | << | *
Correlation | 1 | << | << | *


bb_avg_bw

Avg/BW - BB Measurement

Softkey under Avg/BW key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Averaging Restart |  |  |  |
Avg Factor | 16 | << | << | *
Averaging | OFF | << | << | *
Correlation | 1 | << | << | *


fp_avg_bw

Avg/BW - FP Measurement

Softkey under Avg/BW key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Averaging Restart |  |  |  |
Avg Factor | 16 | << | << | *
Averaging | OFF | << | << | *


pn_avg_bw

Avg/BW - PN Measurement

Softkey under Avg/BW key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Averaging Restart |  |  |  |
Avg Factor | 16 | << | << | *
Averaging | OFF | << | << | *
Correlation | 1 | << | << | *


ps_avg_bw

Avg/BW - Segment PN Measurement

Softkey under Avg/BW key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Averaging Restart |  |  |  |
Avg Factor | 16 | << | << | *
Averaging | OFF | << | << | *
Correlation | 1 | << | << | *
RBW | 25kHz | << | << | *


sp_avg_bw

Avg/BW - SP Measurement

Softkey under Avg/BW key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Averaging Restart |  |  |  |
Avg Factor | 16 | << | << | *
Averaging | OFF | << | << | *
Averaging Type | Log-Pwr Avg | << | << | *
RBW | 25kHz | << | << | *


tr_avg_bw

Avg/BW - TR Measurement

Softkey under Avg/BW key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Averaging Restart |  |  |  |
Avg Factor | 16 | << | << | *
Averaging | OFF | << | << | *


ALL_display

Display - ALL Measurements

Softkey under Display key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Update |  | ON | << | << | *
Edit Title Label |  | "" | << | << | *
Title Label |  | OFF | << | << | *
Y # of Digits |  | 4-digits | << | << | *
Relative Y-Scale |  | OFF | << | << | *
Meas Condition |  | ON | << | << | *
Marker Information |  | Right | << | << | *
Color Type |  | Normal | << | << | *
Limit Test | Limit Test | OFF | << | << | *
 | Limit Line | ON | << | << | *
 | Fail Sign | ON | << | << | *
 | Import Upper Limit Line... |  |  |  |
 | Import Lower Limit Line... |  |  |  |
 | Delete Upper Limit Line |  |  |  |
 | Delete Lower Limit Line |  |  |  |
Security Level |  | None | << | << | *
Progress Indicator |  | ON | << | << | *


am_format

No Softkey, SCPI or COM Command is available under Format for AM Measurement.


bb_format

Format - BB Measurement

Softkey under Format key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Format | dBV/Hz | << | << | *


fp_format

Format - FP Measurement

Softkey under Format key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Frequency Format | Hz | << | << | *
Sensitivity Aperture | 1% | << | << | *
Frequency Reference | 0Hz | << | << | *
Marker -> Frequency Reference |  |  |  |


pn_format

No Softkey, SCPI or COM Command is available under Format for PN Measurement.


ps_format

Segment PN Format

No Softkey, SCPI or COM Command is available under Format for PS Measurement.


sp_format

Format - SP Measurement

Softkey under Format key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Format | dBm | << | << | *
Detector Mode | Positive | << | << | *


tr_format

Format - TR Measurement

Softkey under Format key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Frequency Format | Hz | << | << | *
Frequency Reference | 0Hz | << | << | *
Marker -> Frequency Reference |  |  |  |
Phase Unit | Deg | << | << | *
Wrap Phase | ON | << | << | *
Phase X Reference | 1001.07936s | << | << | *
X Reference Span | 0s | << | << | *
Marker -> Phase X Reference |  |  |  |


am_scale

Scale - AM Measurement

Softkey under Scale key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Auto Scale |  |  |  |  |
Divisions |  | 12 | << | << | *
Scale/Div |  | 10dB/div | << | << | *
Reference Position |  | 12Div | << | << | *
Reference Value |  | -20dBc/Hz | << | << | *
Marker -> Reference |  |  |  |  |
X Axis | Auto | ON | << | << | *
 | Left | 1kHz | << | << | *
 | Right | 10MHz | << | << | *
 | Band Marker -> XAxis |  |  |  |


bb_scale

Scale - BB Measurement

Softkey under Scale key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Auto Scale |  |  |  |  |
Divisions |  | 12 | << | << | *
Scale/Div |  | 10dB/div | << | << | *
Reference Position |  | 12Div | << | << | *
Reference Value |  | -80dBV/Hz | << | << | *
Top |  | -80dBV/Hz | << | << | *
Bottom |  | -200dBV/Hz | << | << | *
Marker -> Reference |  |  |  |  |
X Axis | Auto | ON | << | << | *
 | Left | 1kHz | << | << | *
 | Right | 10 MHz | << | << | *
 | Band Marker -> XAxis |  |  |  |


fp_scale

Scale - FP Measurement

Softkey under Scale key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Auto Scale |  |  |  |  |
Auto Scale All |  |  |  |  |
Divisions |  | 10 | << | << | *
Scale/Div |  | 100MHz/div | << | << | *
Reference Position |  | 5Div | << | << | *
Reference Value |  | 1.5GHz | << | << | *
Marker -> Reference |  |  |  |  |
X Axis | Auto | ON | << | << | *
 | Left | 0 | << | << | *
 | Right | 100µs | << | << | *
 | BandMarker-> XAxis |  |  |  |


pn_scale

Scale - PN Measurement

Softkey under Scale key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Auto Scale |  |  |  |  |
Divisions |  | 16 | << | << | *
Scale/Div |  | 10dB/div | << | << | *
Reference Position |  | 16Div | << | << | *
Reference Value |  | -20dBc/Hz | << | << | *
Marker -> Reference |  |  |  |  |
X Axis | Auto | ON | << | << | *
 | Left | 1kHz | << | << | *
 | Right | 10MHz | << | << | *
 | Band Marker -> XAxis |  |  |  |


ps_scale

Scale - Segment PN Measurement

Softkey under Scale key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Auto Scale |  |  |  |  |
Divisions |  | 10 | << | << | *
Scale/Div |  | 10dB/Div | << | << | *
Reference Position |  | 10Div | << | << | *
Reference Value |  | -20dBc/Hz | << | << | *
Marker -> Reference |  |  |  |  |
X Axis | Auto | ON | << | << | *
 | Left | 1kHz | << | << | *
 | Right | 1MHz | << | << | *
 | Band Marker -> XAxis |  |  |  |


sp_scale

Scale - SP Measurement

Softkey under Scale key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Auto Scale |  |  |  |  |
Divisions |  | 10 | << | << | *
Scale/Div |  | 10dB/div | << | << | *
Reference Position |  | 10Div | << | << | *
Reference Value |  | 10dBm | << | << | *
Marker -> Reference |  |  |  |  |
X Axis | Auto | ON | << | << | *
 | Left | 992.5MHz | << | << | *
 | Right | 1.0075GHz | << | << | *
 | Band Marker -> XAxis |  |  |  |


tr_scale

Scale - TR Measurement

Softkey under Scale key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Auto Scale |  |  |  |  |
Auto Scale All |  |  |  |  |
Divisions |  | 10 | << | << | *
Scale/Div |  | 80MHz/div | << | << | *
Reference Position |  | 5Div | << | << | *
Reference Value |  | 800MHz | << | << | *
Marker -> Reference |  |  |  |  |
Trigger Freq -> Reference |  |  |  |  |
X Axis | Auto | ON | << | << | *
 | Left | -50ms | << | << | *
 | Right | 50ms | << | << | *
 | Band Marker -> XAxis |  |  |  |


user_scale

Scale - USER Measurement

Softkey under Scale key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Auto Scale |  |  |  |  |
Auto Scale All |  |  |  |  |
Divisions |  | 10 | << | << | *
Scale/Div |  | 10U/div | << | << | *
Reference Position |  | 5Div | << | << | *
Reference Value |  | -40U | << | << | *
Marker -> Reference |  |  |  |  |
Trigger Freq -> Reference |  |  |  |  |
X Axis | Auto | ON | << | << | *
 | Left | 0U | << | << | *
 | Right | 100U | << | << | *
 | Band Marker -> XAxis |  |  |  |
X Unit |  | "U" | << | << | *
Y Unit |  | "U" | << | << | *
X Axis Type |  | Linear | << | << | *


am_trace_view

Trace/View - AM Measurement

Softkey under Trace/View key |  |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  |  | Preset | *RST
Smoothing |  |  | OFF | << | << | *
Aperture |  |  | 1.5% | << | << | *
Data Hold |  |  | Off | << | << | *
Display Trace |  |  | Data | << | << | *
Data -> Mem |  |  |  |  |  |
Data Math |  |  | Off | << | << | *
Equation Editor... |  |  |  |  |  |
Offset |  |  | 0dB | << | << | *
Marker -> Offset |  |  |  |  |  |
Persistence | Persistence Mode |  | OFF | << | << | *
 | Clear All Persistent Data |  |  |  |  |
Spurious | Omit |  |  |  |  |
 | Power (dBc) |  |  |  |  |
 | Normalized (dBc/Hz) |  |  |  |  |
 | Spurious List |  |  |  |  |
 | Import Threshold Table… |  |  |  |  |
 | Clear Threshold Table |  |  |  |  |
 | Explorer |  |  |  |  |
 | Minimum Spur Level |  | -500dBc | << | << | *
 | Spur Sensibility |  | 3 | << | << | *
 | Omit Specified Spur | Omit | OFF | << | << | *
 |  | Import Spurious Table... |  |  |  |
 |  | Export Spurious Table... |  |  |  |
 |  | Clear Spurious Table |  |  |  |
Trace Label |  |  | "AM Noise" | << | << | *


bb_trace_view

Trace/View - BB Measurement

Softkey under Trace/View key |  |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  |  | Preset | *RST
Smoothing |  |  | OFF | << | << | *
Aperture |  |  | 1.5% | << | << | *
Data Hold |  |  | Off | << | << | *
Display Trace |  |  | Data | << | << | *
Data -> Mem |  |  |  |  |  |
Data Math |  |  | Off | << | << | *
Equation Editor |  |  |  |  |  |
Offset |  |  | 0dB | << | << | *
Marker -> Offset |  |  |  |  |  |
Persistence | Persistence Mode |  | OFF | << | << | *
 | Clear All Persistent Data |  |  |  |  |
Spurious | Omit |  |  |  |  |
 | Power (dBc) |  |  |  |  |
 | Normalized (dBc/Hz) |  |  |  |  |
 | Spurious List |  |  |  |  |
 | Import Threshold Table… |  |  |  |  |
 | Clear Threshold Table |  |  |  |  |
 | Explorer |  |  |  |  |
 | Minimum Spur Level |  | -500dBV | << | << | *
 | Spur Sensibility |  | 3 | << | << | *
 | Omit Specified Spur | Omit | OFF | << | << | *
 |  | Import Spurious Table... |  |  |  |
 |  | Export Spurious Table... |  |  |  |
 |  | Clear Spurious Table |  |  |  |
Trace Label |  |  | "Baseband" | << | << | *


fp_trace_view

Trace/View - FP Measurement

Softkey under Trace/View key |  |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  |  | Preset | *RST
Smoothing |  |  | OFF | << | << | *
Aperture |  |  | 1.5% | << | << | *
Data Hold |  |  | Off | << | << | *
Display Trace |  |  | Data | << | << | *
Data -> Mem |  |  |  |  |  |
Memory Trace | Line (Y = AX + B) | A | 0 | << | << | *
 |  | B | 0 | << | << | *
 |  | Data Trace -> A,B |  |  |  |
 |  | Set Line to Memory |  |  |  |
Data Math |  |  | Off | << | << | *
Equation Editor... |  |  |  |  |  |
Offset |  |  | 0Hz/V | << | << | *
Marker -> Offset |  |  |  |  |  |
Persistence | Persistence Mode |  | OFF | << | << | *
 | Clear All Persistent Data |  |  |  |  |
Copy to User | Copy to User1 |  |  |  |  |
 | Copy to User2 |  |  |  |  |
 | Copy to User3 |  |  |  |  |
 | Copy to User4 |  |  |  |  |
 | Copy to User5 |  |  |  |  |
 | Copy to User6 |  |  |  |  |
 | Copy to User7 |  |  |  |  |
 | Copy to User8 |  |  |  |  |
Trace Label |  |  | "Freq" | << | << | *


pn_trace_view

Trace/View - PN Measurement

Softkey under Trace/View key |  |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  |  | Preset | *RST
Smoothing |  |  | OFF | << | << | *
Aperture |  |  | 1.5% | << | << | *
Data Hold |  |  | Off | << | << | *
Display Trace |  |  | Data | << | << | *
Data -> Mem |  |  |  |  |  |
Data Math |  |  | Off | << | << | *
Equation Editor... |  |  |  | << | << | *
Offset |  |  | 0dB | << | << | *
Marker -> -Offset |  |  |  |  |  |
Persistence | Persistence Mode |  | OFF | << | << | *
 | Clear Persistent Data |  |  |  |  |
Spurious | Omit |  |  |  |  |
 | Power (dBc) |  |  |  |  |
 | Normalized (dBc/Hz) |  |  |  |  |
 | Spurious List |  |  |  |  |
 | Import Threshold Table… |  |  |  |  |
 | Clear Threshold Table |  |  |  |  |
 | Explorer |  |  |  |  |
 | Minimum Spur Level |  | -500dBc | << | << | *
 | Spur Sensibility |  | 3 | << | << | *
 | Omit Specified Spur | Omit | OFF | << | << | *
 |  | Import Spurious Table... |  |  |  |
 |  | Export Spurious Table... |  |  |  |
 |  | Clear Spurious Table |  |  |  |
Trace Label |  |  | "Phase Noise" | << | << | *


ps_trace_view

Trace/View - Segment PN Measurement

Softkey under Trace/View key |  |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  |  | Preset | *RST
Smoothing |  |  | OFF | << | << | *
Aperture |  |  | 1.5% | << | << | *
Data Hold |  |  | Off | << | << | *
Display Trace |  |  | Data | << | << | *
Data -> Mem |  |  |  |  |  |
Data Math |  |  | Off | << | << | *
Equation Editor... |  |  |  | << | << | *
Offset |  |  | 0dB | << | << | *
Marker -> -Offset |  |  |  |  |  |
Persistence | Persistence Mode |  | OFF | << | << | *
 | Clear Persistent Data |  |  |  |  |
Spurious | Omit |  |  |  |  |
 | Power (dBc) |  |  |  |  |
 | Normalized (dBc/Hz) |  |  |  |  |
 | Spurious List |  |  |  |  |
 | Import Threshold Table… |  |  |  |  |
 | Clear Threshold Table |  |  |  |  |
 | Explorer |  |  |  |  |
 | Minimum Spur Level |  | -500dBc | << | << | *
 | Spur Sensibility |  | 3 | << | << | *
 | Omit Specified Spur | Omit | OFF | << | << | *
 |  | Import Spurious Table... |  |  |  |
 |  | Export Spurious Table... |  |  |  |
 |  | Clear Spurious Table |  |  |  |
Trace Label |  |  | "Phase Segment" | << | << | *


sp_trace_view

Trace/View - SP Measurement

Softkey under Trace/View key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Smoothing |  | OFF | << | << | *
Aperture |  | 1.5% | << | << | *
Data Hold |  | Off | << | << | *
Display Trace |  | Data | << | << | *
Data -> Mem |  |  |  |  |
Data Math |  | Off | << | << | *
Equation Editor... |  |  | << | << | *
Offset |  | 0dB | << | << | *
Marker -> -Offset |  |  |  |  |
Persistence | Persistence Mode | OFF | << | << | *
 | Clear Persistent Data |  |  |  |
Copy to USER | Copy to User1 |  |  |  |
 | Copy to User2 |  |  |  |
 | Copy to User3 |  |  |  |
 | Copy to User4 |  |  |  |
 | Copy to User5 |  |  |  |
 | Copy to User6 |  |  |  |
 | Copy to User7 |  |  |  |
 | Copy to User8 |  |  |  |
Trace Label |  | "Spectrum" | << | << | *


tr_trace_view

Trace/View - TR Measurement

Softkey under Trace/View key |  |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  |  | Preset | *RST
Smoothing |  |  | OFF | << | << | *
Aperture |  |  | 1.5% | << | << | *
Data Hold |  |  | Off | << | << | *
Display Trace |  |  | Data | << | << | *
Data -> Mem |  |  |  |  |  |
Memory Trace | Line (Y = AX + B) | A | 0 | << | << | *
 |  | B | 0 | << | << | *
 |  | Data Trace -> A,B |  |  |  |
 |  | Set Line to Memory |  |  |  |
Data Math |  |  | Off | << | << | *
Equation editor |  |  |  |  |  |
Offset |  |  | 0Hz | << | << | *
Marker -> Offset |  |  |  |  |  |
Persistence | Persistence Mode |  | OFF | << | << | *
 | Clear All Persistent Data |  |  |  |  |
Copy to User | Copy to User1 |  |  |  |  |
 | Copy to User2 |  |  |  |  |
 | Copy to User3 |  |  |  |  |
 | Copy to User4 |  |  |  |  |
 | Copy to User5 |  |  |  |  |
 | Copy to User6 |  |  |  |  |
 | Copy to User7 |  |  |  |  |
 | Copy to User8 |  |  |  |  |
Trace Label |  |  | "" | << | << | *


user_trace_view

Trace/View- USER Measurement

Softkey under Trace/View key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Enable Trace | Trace 1 | OFF | << | << | *
 | Trace 2 | OFF | << | << | *
 | Trace 3 | OFF | << | << | *
 | Trace 4 | OFF | << | << | *
 | Trace 5 | OFF | << | << | *
 | Trace 6 | OFF | << | << | *
 | Trace 7 | OFF | << | << | *
 | Trace 8 | OFF | << | << | *
Smoothing |  | OFF | << | << | *
Aperture |  | 1.5% | << | << | *
Data Hold |  | Off | << | << | *
Display Trace |  | Data | << | << | *
Data -> Mem |  |  |  |  |
Data Math |  | Off | << | << | *
Equation Editor |  |  |  |  |
Offset |  | 0U | << | << | *
Marker -> Offset |  |  |  |  |
Persistence | Persistence Mode | OFF | << | << | *
 | Clear All Persistent Data |  |  |  |
Copy to User | Copy to User1 |  |  |  |
 | Copy to User2 |  |  |  |
 | Copy to User3 |  |  |  |
 | Copy to User4 |  |  |  |
 | Copy to User5 |  |  |  |
 | Copy to User6 |  |  |  |
 | Copy to User7 |  |  |  |
 | Copy to User8 |  |  |  |
Trace Label |  | "" | << | << | *
Trace Annotation |  | "" | << | << | *


ALL_marker

Marker- PN/SP/AM/BB/PS Measurements

Softkey under Marker key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Clear Marker Menu | Marker 1 | OFF | << | << | *
Marker List |  | OFF | << | << | *
More Functions | Discrete | OFF | << | << | *
 | Ref Marker | 1 | << | << | *
 | Ref Marker Mode | OFF | << | << | *


FP_TR_marker

Marker- FP/TR/User Measurements

Softkey under Marker key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Clear Marker Menu | Marker 1 | OFF | << | << | *
Marker List |  | OFF | << | << | *
Couple |  | OFF | << | << | *
More Functions | Discrete | OFF | << | << | *
 | Ref Marker | 1 | << | << | *
 | Ref Marker Mode | OFF | << | << | *


AM_PN_marker_function

Marker Function - AM/PN/Segment PN Measurements

Softkey under Marker Fctn Key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1THz | << | << | *
 | Stop | 1THz | << | << | *
 | Center | 0Hz |  |  |
 | Span | 2THz |  |  |
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TdBc/Hz | << | << | *
 | Stop | 1TdBc/Hz | << | << | *
 | Center | 0dBc/Hz |  |  |
 | Span | 2TdB |  |  |
Analysis Range (X) |  | Band Marker | << | << | *
Analysis Range (Y) |  | Band Marker | << | << | *
Analysis Type |  | Off | << | << | *


BB_marker_function

Marker Function - BB Measurements

Softkey under Marker Fctn Key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1THz | << | << | *
 | Stop | 1THz | << | << | *
 | Center | 0Hz |  |  |
 | Span | 2THz |  |  |
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TdBV/Hz | << | << | *
 | Stop | 1TdBV/Hz | << | << | *
 | Center | 0dBV/Hz |  |  |
 | Span | 2TdB |  |  |
Analysis Range (X) |  | Band Marker | << | << | *
Analysis Range (Y) |  | Band Marker | << | << | *
Analysis Type |  | Off | << | << | *


FP_marker_function

Marker Function - FP Measurements

Softkey under Marker Fctn Key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1TV | << | << | *
 | Stop | 1TV | << | << | *
 | Center | 0V |  |  |
 | Span | 2TV |  |  |
Couple |  | OFF | << | << | *
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TA | << | << | *
 | Stop | 1TA | << | << | *
 | Center | 0A |  |  |
 | Span | 2TA |  |  |
Analysis Range (X) |  | Band Marker | << | << | *
Analysis Range (Y) |  | Band Marker | << | << | *
Analysis Type |  | Off | << | << | *


SP_marker_function

Marker Function - SP Measurements

Softkey under Marker Fctn Key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1THz | << | << | *
 | Stop | 1THz | << | << | *
 | Center | 0Hz |  |  |
 | Span | 2THz |  |  |
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TdBm | << | << | *
 | Stop | 1TdBm | << | << | *
 | Center | 0dBm |  |  |
 | Span | 2TdB |  |  |
Analysis Range (X) |  | Band Marker | << | << | *
Analysis Range (Y) |  | Band Marker | << | << | *
Analysis Type |  | Off | << | << | *


TR_marker_function

Marker Function - TR Measurements

Softkey under Marker Fctn Key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1Ts | << | << | *
 | Stop | 1Ts | << | << | *
 | Center | 0s |  |  |
 | Span | 2Ts |  |  |
Couple |  | OFF | << | << | *
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1THz | << | << | *
 | Stop | 1THz | << | << | *
 | Center | 0Hz |  |  |
 | Span | 2THz |  |  |
Analysis Range (X) |  | Band Marker | << | << | *
Analysis Range (Y) |  | Band Marker | << | << | *
Analysis Type |  | Off | << | << | *


User_marker_function

Marker Function - USER Measurements

Softkey under Marker Fctn Key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1TU | << | << | *
 | Stop | 1TU | << | << | *
 | Center | 0U |  |  |
 | Span | 2TU |  |  |
Couple |  | OFF | << | << | *
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TU | << | << | *
 | Stop | 1TU | << | << | *
 | Center | 0U |  |  |
 | Span | 2TU |  |  |
Analysis Range (X) |  | Band Marker | << | << | *
Analysis Range (Y) |  | Band Marker | << | << | *
Analysis Type |  | Off | << | << | *


am_marker_search

Marker Search - AM Measurements

Softkey under Marker Search key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Search Max |  |  |  |  |
Search Min |  |  |  |  |
Peak | Search Peak |  |  |  |
 | Search Peak All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Peak Excursion | 0dB | << | << | *
 | Peak Polarity | Positive | << | << | *
Target | Search Target |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Target Value | 0dBc/Hz | << | << | *
 | Target Transition | Both | << | << | *
Spurious | Search Spurious |  |  |  |
 | Search Spurious All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
Tracking |  | Off | << | << | *
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1THz | << | << | *
 | Stop | 1THz | << | << | *
 | Center | 0Hz |  |  |
 | Span | 2THz |  |  |
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TdBc/Hz | << | << | *
 | Stop | 1TdBc/Hz | << | << | *
 | Center | 0dBc/Hz |  |  |
 | Span | 2TdB |  |  |
Search Range (X) |  | Full Range | << | << | *
Search Range (Y) |  | Full Range | << | << | *


bb_marker_search

Marker Search - BB Measurements

Softkey under Marker Search key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Search Max |  |  |  |  |
Search Min |  |  |  |  |
Peak | Search Peak |  |  |  |
 | Search Peak All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Peak Excursion | 0dB | << | << | *
 | Peak Polarity | Positive | << | << | *
Target | Search Target |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Target Value | 0dBV/Hz | << | << | *
 | Target Transition | Both | << | << | *
Spurious | Search Spurious |  |  |  |
 | Search Spurious All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
Tracking |  | Off | << | << | *
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1THz | << | << | *
 | Stop | 1THz | << | << | *
 | Center | 0Hz |  |  |
 | Span | 2THz |  |  |
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TdBV/Hz | << | << | *
 | Stop | 1TdBV/Hz | << | << | *
 | Center | 0dBV/Hz |  |  |
 | Span | 2TdB |  |  |
Search Range (X) |  | Full Range | << | << | *
Search Range (Y) |  | Full Range | << | << | *


fp_marker_search

Marker Search - FP Measurements

Softkey under Marker Search key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Search Max |  |  |  |  |
Search Min |  |  |  |  |
Peak | Search Peak |  |  |  |
 | Search Peak All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Peak Excursion | 0dB | << | << | *
 | Peak Polarity | Positive | << | << | *
Target | Search Target |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Target Value | 0dB | << | << | *
 | Target Transition | Both | << | << | *
Tracking |  | Off | << | << | *
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1TV | << | << | *
 | Stop | 1TV | << | << | *
 | Center | 0V |  |  |
 | Span | 2TV |  |  |
Couple |  | OFF | << | << | *
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1THz/V | << | << | *
 | Stop | 1THz/V | << | << | *
 | Center | 0Hz/V |  |  |
 | Span | 2THz/V |  |  |
Search Range (X) |  | Full Range | << | << | *
Search Range (Y) |  | Full Range | << | << | *


pn_marker_search

Marker Search - PN Measurements

Softkey under Marker Search key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Search Max |  |  |  |  |
Search Min |  |  |  |  |
Peak | Search Peak |  |  |  |
 | Search Peak All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Peak Excursion | 0dB | << | << | *
 | Peak Polarity | Positive | << | << | *
Target | Search Target |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Target Value | 0dBc/Hz | << | << | *
 | Target Transition | Both | << | << | *
Spurious | Search Spurious |  |  |  |
 | Search Spurious All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
Tracking |  | Off | << | << | *
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1THz | << | << | *
 | Stop | 1THz | << | << | *
 | Center | 0Hz |  |  |
 | Span | 2THz |  |  |
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TdBc/Hz | << | << | *
 | Stop | 1TdBc/Hz | << | << | *
 | Center | 0dBc/Hz |  |  |
 | Span | 2TdB |  |  |
Search Range (X) |  | Full Range | << | << | *
Search Range (Y) |  | Full Range | << | << | *


ps_marker_search

Marker Search - Segment PN Measurements

Softkey under Marker Search key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Search Max |  |  |  |  |
Search Min |  |  |  |  |
Peak | Search Peak |  |  |  |
 | Search Peak All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Peak Excursion | 0dB | << | << | *
 | Peak Polarity | Positive | << | << | *
Target | Search Target |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Target Value | 0dBc/Hz | << | << | *
 | Target Transition | Both | << | << | *
Spurious | Search Spurious |  |  |  |
 | Search Spurious All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
Tracking |  | Off | << | << | *
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1THz | << | << | *
 | Stop | 1THz | << | << | *
 | Center | 0Hz |  |  |
 | Span | 2THz |  |  |
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TdBc/Hz | << | << | *
 | Stop | 1TdBc/Hz | << | << | *
 | Center | 0dBc/Hz |  |  |
 | Span | 2TdB |  |  |
Search Range (X) |  | Full Range | << | << | *
Search Range (Y) |  | Full Range | << | << | *


sp_marker_search

Marker Search - SP Measurements

Softkey under Marker Search key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Search Max |  |  |  |  |
Search Min |  |  |  |  |
Peak | Search Peak |  |  |  |
 | Search Peak All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Peak Excursion | 0dB | << | << | *
 | Peak Polarity | Positive | << | << | *
Target | Search Target |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Target Value | 0dB | << | << | *
 | Target Transition | Both | << | << | *
Tracking |  | Off | << | << | *
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1THz | << | << | *
 | Stop | 1THz | << | << | *
 | Center | 0Hz |  |  |
 | Span | 2THz |  |  |
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TdBm | << | << | *
 | Stop | 1TdBm | << | << | *
 | Center | 0dBm |  |  |
 | Span | 2TdB |  |  |
Search Range (X) |  | Full Range | << | << | *
Search Range (Y) |  | Full Range | << | << | *


tr_marker_search

Marker Search - TR Measurements

Softkey under Marker Search key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Search Max |  |  |  |  |
Search Min |  |  |  |  |
Peak | Search Peak |  |  |  |
 | Search Peak All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Peak Excursion | 0dB | << | << | *
 | Peak Polarity | Positive | << | << | *
Target | Search Target |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Target Value | 0dB | << | << | *
 | Target Transition | Both | << | << | *
Tracking |  | Off | << | << | *
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1Ts | << | << | *
 | Stop | 1Ts | << | << | *
 | Center | 0s |  |  |
 | Span | 2Ts |  |  |
Couple |  | OFF | << | << | *
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1THz | << | << | *
 | Stop | 1THz | << | << | *
 | Center | 0Hz |  |  |
 | Span | 2THz |  |  |
Search Range (X) |  | Full Range | << | << | *
Search Range (Y) |  | Full Range | << | << | *


user_marker_search

Marker Search - USER Measurements

Softkey under Marker Search key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Search Max |  |  |  |  |
Search Min |  |  |  |  |
Peak | Search Peak |  |  |  |
 | Search Peak All |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Peak Excursion | 0dB | << | << | *
 | Peak Polarity | Positive | << | << | *
Target | Search Target |  |  |  |
 | Search Left |  |  |  |
 | Search Right |  |  |  |
 | Target Value | 0dB | << | << | *
 | Target Transition | Both | << | << | *
Tracking |  | Off | << | << | *
Band Marker X | Band Marker X | OFF | << | << | *
 | Start | -1TU | << | << | *
 | Stop | 1TU | << | << | *
 | Center | 0U |  |  |
 | Span | 2TU |  |  |
Couple |  | OFF | << | << | *
Band Marker Y | Band Marker Y | OFF | << | << | *
 | Start | -1TU | << | << | *
 | Stop | 1TU | << | << | *
 | Center | 0U |  |  |
 | Span | 2TU |  |  |
Search Range (X) |  | Full Range | << | << | *
Search Range (Y) |  | Full Range | << | << | *


am_bb_pn_marker_to

Marker -> (To) - AM/PN/BB Measurements

Softkey under Marker -> key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Marker -> Start |  |  |  |
Marker -> Stop |  |  |  |
Marker -> Omit Spur |  |  |  |


ps_marker_to

Marker -> (To) - Segment PN Measurements

Softkey under Marker -> key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Marker -> Start |  |  |  |
Marker -> Stop |  |  |  |
Marker -> Center |  |  |  |
Marker -> Omit Spur |  |  |  |


SP_FP_marker_to

Marker -> (To) - FP/SP Measurements

Softkey under Marker-> key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Marker -> Start |  |  |  |
Marker -> Stop |  |  |  |
Marker -> Center |  |  |  |


tr_marker_to

Marker -> (To) - TR Measurements

Softkey under Marker-> key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Marker -> Target Freq |  |  |  |
Marker -> Phase Reference |  |  |  |
Marker -> N2 Target Freq |  |  |  |
Marker -> N2 Phase Reference |  |  |  |


pn_save_recall

Save/Recall - AM/PN/PS Measurement

Softkey under Save/Recall key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Save State | Save Type | State Only |  |  |
Additional Info |  | OFF |  |  |


sp_tr_fp_user_bb_save_recall

Save/Recall - SP/FP/TR/BB/User Measurement

Softkey under Save/Recall key |  | Factory-shipped Setting | Default Value |  | Save/Recall
 |  |  | Preset | *RST
Save State | Save Type | State Only |  |  |


am_bb_pn_start_center

Start/Center-AM/BB/PN Measurements

Softkey under Start/Center key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
1Hz | 1kHz | << | << | *
10Hz |  | << | << | *
100Hz |  | << | << | *
1kHz |  | << | << | *


am_stop_span

Stop/Span-AM Measurements

Softkey under Stop/Span key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
100kHz | 10MHz | << | << | *
1MHz |  | << | << | *
5MHz |  | << | << | *
10MHz |  | << | << | *
20MHz |  | << | << | *
40MHz |  | << | << | *


bb_stop_span

Stop/Span-BB Measurements

Softkey under Stop/Span key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
100kHz | 10MHz | << | << | *
1MHz |  | << | << | *
5MHz |  | << | << | *
10MHz |  | << | << | *
20MHz |  | << | << | *
40MHz |  | << | << | *
100MHz |  | << | << | *


fp_stop_span

Start/Centre & Stop/Span- FP Measurements

Softkey under Start/Center & Stop/Span key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
DC Control Start | 0V | << | << | *
DC Control Stop | 100µV | << | << | *
DC Control Center | 50µV |  |  |
DC Control Span | 100µV |  |  |
DC Power Start | 0V | << | << | *
DC Power Stop | 1mV | << | << | *
DC Power Center | 500µV |  |  |
DC Power Span | 1mV |  |  |


pn_stop_span

Stop/Span-PN Measurements

Softkey under Stop/Span key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
100Hz | 10MHz | << | << | *
1MHz |  | << | << | *
5MHz |  | << | << | *
10MHz |  | << | << | *
20MHz |  | << | << | *
40MHz |  | << | << | *
100MHz |  | << | << | *


ps_start_center

Start/Center & Stop/Span-Segment PN Measurements

Softkey under Start/Center & Stop/Span key | Factory-shipped Setting | Default value |  | Save/Recall
 |  | Preset | *RST
Start | 1kHz | << | << | *
Stop | 1MHz | << | << | *
Center | 500.5kHz | << | << | *
Span | 999kHz | << | << | *


sp_start_center

Start/Center & Stop/Span- SP Measurements

Softkey under Start/Center & Stop/Span Key |  | Factory-shipped Setting | Default value |  | Save/Recall
 |  |  | Preset | *RST
Start |  | 992.5GHz | << | << | *
Stop |  | 1.0075GHz | << | << | *
Center |  | 1GHz | << | << | *
Span |  | 15MHz | << | << | *
Carrier To | Carrier -> Center |  |  |  |
 | Carrier x 2 -> Center |  |  |  |
 | Carrier x 3 -> Center |  |  |  |
 | Carrier x # -> Center |  |  |  |
 | Harmonic # | 4 | << | << | *
 | Frequency Band | 250M - 7GHz | << | << | *


tr_stop_span

Start/Centre & Stop/Span-TR Measurements

Softkey under Start/Center & Stop/Span key | Factory-shipped Setting | Default Value |  | Save/Recall
 |  | Preset | *RST
Wide Span | 100ms | << | << | *
Wide Ref Position | Center | << | << | *
Wide Time Offset | 0s | << | << | *
Narrow Span | 100 ms | << | << | *
Narrow Ref Position | Center | << | << | *
Narrow Time Offset | 0 s | << | << | *
Narrow2 Span | 100 ms | << | << | *
Narrow2 Ref Position | Center | << | << | *
Narrow Settings -> Wide |  |  |  |
Wide Settings -> Narrow |  |  |  |


AM_Noise_Meas_CF

AM Noise Measurement


BB_Noise_Meas_CF

Baseband Noise Measurement


Freq_Power_Meas_CF

Frequency- Power Measurement


PN_Meas_CF

Phase Noise Measurement


PS_Meas_CF

Segment Phase Noise Measurement


Spectrum Monitor Meas CF

Spectrum Monitor Measurement


Transient_Meas_CF

Transient Measurement


USER Meas CF

USER Measurement


all_system

System - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Macro Setup Key |  |  |  |  | COM Command | SCPI Command
Print |  |  |  |  | SCPI.HCOPy.IMAGe | :HCOPy:IMAGe
Abort Printing |  |  |  |  | SCPI.HCOPy.ABORt | :HCOPy:ABORt
Printer Setup… |  |  |  |  | None | None
Invert Image |  |  |  |  | SCPI.HCOPy.IMAGe | :HCOPy:IMAGe
Dump Screen Image |  |  |  |  | SCPI.MMEMory.STORe.IMAGe | :MMEMory:STORe:IMAGe
Misc Setup | Beeper | Beep Complete |  |  | SCPI.SYSTem.BEEPer.COMPlete.STATe | :SYSTem:BEEPer:COMPlete:STATe
 |  | Test Beep Complete |  |  | SCPI.SYSTem.BEEPer.COMPlete.IMMediate | :SYSTem:BEEPer:COMPlete:IMMediate
 |  | Beep Warning |  |  | SCPI.SYSTem.BEEPer.WARNing.STATe | :SYSTem:BEEPer:WARNing:STATe
 |  | Test Beep Warning |  |  | SCPI.SYSTem.BEEPer.WARNing.IMMediate | :SYSTem:BEEPer:WARNing:IMMediate
 | GPIB Setup | Talker/Listener Address |  |  | None | None
 |  | System Controller Configuration |  |  | None | None
 | Network Setup | Telnet Server |  |  | None | None
 |  | Socket Server |  |  | None | None
 |  | SICL-LAN Server |  |  | None | None
 |  | SICL-LAN Address |  |  | None | None
 |  | Web Server |  |  | None | None
 |  | VNC Server Configuration … |  |  | None | None
 |  | Network Identification … |  |  | None | None
 |  | Network Configuration … |  |  | None | None
 | Clock Setup | Set Date and Time |  |  | None | None
 |  | Show Clock |  |  | SCPI.DISPlay.CLOCk | :DISPlay:CLOCk
 | key Lock | Front Panel & Keyboard Lock |  |  | SCPI.SYSTem.KLOCk.KBD | :SYSTem:KLOCk:KBD
 |  | Touch Screen & Nouse Lock |  |  | SCPI.SYSTem.KLOCk.MOUSe | :SYSTem:KLOCk:MOUSe
 | Display Setup | Color Setup | Normal Color | Data Trace 1 | SCPI.DISPlay.COLor(1-2).TRACe(Tr).DATA.VALue[_Q] red, green, blue | :DISPlay:COLor1:TRACe1:DATA[:VALue]
 |  |  |  | Data Trace 2 |  | :DISPlay:COLor1:TRACe2:DATA[:VALue]
 |  |  |  | Data Trace 3 |  | :DISPlay:COLor1:TRACe3:DATA[:VALue]
 |  |  |  | Data Trace 4 |  | :DISPlay:COLor1:TRACe4:DATA[:VALue]
 |  |  |  | Data Trace 5 |  | :DISPlay:COLor1:TRACe5:DATA[:VALue]
 |  |  |  | Data Trace 6 |  | :DISPlay:COLor1:TRACe6:DATA[:VALue]
 |  |  |  | Data Trace 7 |  | :DISPlay:COLor1:TRACe7:DATA[:VALue]
 |  |  |  | Data Trace 8 |  | :DISPlay:COLor1:TRACe8:DATA[:VALue]
 |  |  |  | Mem Trace 1 | SCPI.DISPlay.COLor(1-2).TRACe(Tr).MEMory.VALue[_Q] red, green, blue | :DISPlay:COLor1:TRACe1:MEMory[:VALue]
 |  |  |  | Mem Trace 2 |  | :DISPlay:COLor1:TRACe2:MEMory[:VALue]
 |  |  |  | Mem Trace 3 |  | :DISPlay:COLor1:TRACe3:MEMory[:VALue]
 |  |  |  | Mem Trace 4 |  | :DISPlay:COLor1:TRACe4:MEMory[:VALue]
 |  |  |  | Mem Trace 5 |  | :DISPlay:COLor1:TRACe5:MEMory[:VALue]
 |  |  |  | Mem Trace 6 |  | :DISPlay:COLor1:TRACe6:MEMory[:VALue]
 |  |  |  | Mem Trace 7 |  | :DISPlay:COLor1:TRACe7:MEMory[:VALue]
 |  |  |  | Mem Trace 8 |  | :DISPlay:COLor1:TRACe8:MEMory[:VALue]
 |  |  |  | Graticule Main | SCPI.DISPlay.COLor1.GRATicule1.VALue[_Q] | :DISPlay:COLor1:GRATicule1[:VALue]
 |  |  |  | Graticule Sub | SCPI.DISPlay.COLor1.GRATicule2.VALue[_Q] | :DISPlay:COLor1:GRATicule2[:VALue]
 |  |  |  | Limit Fail | SCPI.DISPlay.COLor1.LIMit1.VALue[_Q] | :DISPlay:COLor1:LIMit1[:VALue]
 |  |  |  | Limit Line | SCPI.DISPlay.COLor1.LIMit2.VALue[_Q] | :DISPlay:COLor1:LIMit2[:VALue]
 |  |  |  | Background | SCPI.DISPlay.COLor1.BACK.VALue[_Q] | :DISPlay:COLor1:BACK[:VALue]
 |  |  |  | Reset Color | SCPI.DISPlay.COLor1.RESet | :DISPlay:COLor1:RESet
 |  |  | Invert Color | Data Trace 1 | SCPI.DISPlay.COLor2.TRACe1.DATA.VALue[_Q] | :DISPlay:COLor2:TRACe1:DATA[:VALue]
 |  |  |  | Data Trace 2 |  | :DISPlay:COLor2:TRACe2:DATA[:VALue]
 |  |  |  | Data Trace 3 |  | :DISPlay:COLor2:TRACe3:DATA[:VALue]
 |  |  |  | Data Trace 4 |  | :DISPlay:COLor2:TRACe4:DATA[:VALue]
 |  |  |  | Data Trace 5 |  | :DISPlay:COLor2:TRACe5:DATA[:VALue]
 |  |  |  | Data Trace 6 |  | :DISPlay:COLor2:TRACe6:DATA[:VALue]
 |  |  |  | Data Trace 7 |  | :DISPlay:COLor2:TRACe7:DATA[:VALue]
 |  |  |  | Data Trace 8 |  | :DISPlay:COLor2:TRACe8:DATA[:VALue]
 |  |  |  | Mem Trace 1 | SCPI.DISPlay.COLor2.TRACe1.MEMory.VALue[_Q] | :DISPlay:COLor2:TRACe1:MEMory[:VALue]
 |  |  |  | Mem Trace 2 |  | :DISPlay:COLor2:TRACe2:MEMory[:VALue]
 |  |  |  | Mem Trace 3 |  | :DISPlay:COLor2:TRACe3:MEMory[:VALue]
 |  |  |  | Mem Trace 4 |  | :DISPlay:COLor2:TRACe4:MEMory[:VALue]
 |  |  |  | Mem Trace 5 |  | :DISPlay:COLor2:TRACe5:MEMory[:VALue]
 |  |  |  | Mem Trace 6 |  | :DISPlay:COLor2:TRACe6:MEMory[:VALue]
 |  |  |  | Mem Trace 7 |  | :DISPlay:COLor2:TRACe7:MEMory[:VALue]
 |  |  |  | Mem Trace 8 |  | :DISPlay:COLor2:TRACe8:MEMory[:VALue]
 |  |  |  | Graticule Main | SCPI.DISPlay.COLor2.GRATicule1.VALue[_Q] | :DISPlay:COLor2:GRATicule1[:VALue]
 |  |  |  | Graticule Sub | SCPI.DISPlay.COLor2.GRATicule2.VALue[_Q] | :DISPlay:COLor2:GRATicule2[:VALue]
 |  |  |  | Limit Fail | SCPI.DISPlay.COLor2.LIMit1.VALue[_Q] | :DISPlay:COLor2:LIMit1[:VALue]
 |  |  |  | Limit Line | SCPI.DISPlay.COLor2.LIMit2.VALue[_Q] | :DISPlay:COLor2:LIMit2[:VALue]
 |  |  |  | Background | SCPI.DISPlay.COLor2.BACK.VALue[_Q] | :DISPlay:COLor2:BACK[:VALue]
 |  |  |  | Reset Color | SCPI.DISPlay.COLor2.RESet | :DISPlay:COLor2:RESet
 |  | Magnification | Small |  | None | None
 |  |  | Normal |  | None | None
 |  |  | Large |  | None | None
 | Control Panel … |  |  |  | None | None
Backlight |  |  |  |  | SCPI.SYSTem.BACKlight.STATe | :SYSTem:BACKlight:STATe
Instrument Setup | Correction | Power Correction |  |  | SCPI.SENSe.CORRection.POWer.STATe | :SENSe:CORRection:POWer:STATe
 |  | Import Power Correction Table |  |  | None | None
 |  | File Dialog … |  |  | None | None
 | Downconverter Manual Setup | ΔIF = IF2-IF1 |  |  | SCPI.SENSe.DCONverter.MANual.IFDelta | :SENSe:DCONverter:MANual:IFDelta
 |  | IF Gain 1 |  |  | SCPI.SENSe.DCONverter.MANual.IFGain(1-2) | :SENSe:DCONverter:MANual:IFGain[1-2]
 |  | LO1 Frequency |  |  | SCPI.SENSe.DCONverter.MANual.LO(1-2).FREQuency | :SENSe:DCONverter:MANual:LO[1-2]:FREQuency
 |  | LO1 Level |  |  | SCPI.SENSe.DCONverter.MANual.LO(1-2).LEVel | :SENSe:DCONverter:MANual:LO[1-2]:LEVel
 |  | Current |  |  | SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.CURRent | :SENSe:DCONverter:MANual:MEXTernal[1-2]:BIAS:CURRent
 |  | Mixer 1 Bias |  |  | SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.STATe | :SENSe:DCONverter:MANual:MEXTernal[1-2]:BIAS:STATe
 | Frequency Offset (User Downconv.) | Frequency Offset |  |  | SCPI.SENSe.UDConverter.STATe | :SENSe:UDConverter:STATe
 |  | Conversion Mode | RF = n*LO + IF |  | SCPI.SENSe.UDConverter.MODE | :SENSe:UDConverter:MODE USB
 |  |  | RF = n*LO - IF |  |  | :SENSe:UDConverter:MODE LSB
 |  | LO Frequency |  |  | SCPI.SENSe.UDConverter.LO | :SENSe:UDConverter:LO
 |  | Harmonic # |  |  | SCPI.SENSe.UDConverter.HARMonic | :SENSe:UDConverter:HARMonic
 | PN Ext. Prescaler | Division |  |  | SCPI.SENSe.PN(1-1).EPRescaler.DIVision | :SENSe:PN[1-1]:EPRescaler:DIVision
 |  | Output Power Level |  |  | SCPI.SENSe.PN(1-1).EPRescaler.POWer | :SENSe:PN[1-1]:EPRescaler:POWer
Service Menu | Test Menu |  |  |  | None | None
 | Administrator Menu |  |  |  | None | None
 | Service Function | Service Functions |  |  | None | None
 | Error Log |  |  |  | None | None
 | Install Option License |  |  |  | None | None
Product Information |  |  |  |  | None | None
Help |  |  |  |  | None | None


all_system_COM

System - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Macro Setup Key |  |  |  |  | COM Command
Print |  |  |  |  | SCPI.HCOPy.IMAGe
Abort Printing |  |  |  |  | SCPI.HCOPy.ABORt
Printer Setup… |  |  |  |  | None
Invert Image |  |  |  |  | SCPI.HCOPy.IMAGe
Dump Screen Image |  |  |  |  | SCPI.MMEMory.STORe.IMAGe
Misc Setup | Beeper | Beep Complete |  |  | SCPI.SYSTem.BEEPer.COMPlete.STATe
 |  | Test Beep Complete |  |  | SCPI.SYSTem.BEEPer.COMPlete.IMMediate
 |  | Beep Warning |  |  | SCPI.SYSTem.BEEPer.WARNing.STATe
 |  | Test Beep Warning |  |  | SCPI.SYSTem.BEEPer.WARNing.IMMediate
 | GPIB Setup | Talker/Listener Address |  |  | None
 |  | System Controller Configuration |  |  | None
 | Network Setup | Telnet Server |  |  | None
 |  | Socket Server |  |  | None
 |  | SICL-LAN Server |  |  | None
 |  | SICL-LAN Address |  |  | None
 |  | Web Server |  |  | None
 |  | VNC Server Configuration … |  |  | None
 |  | Network Identification … |  |  | None
 |  | Network Configuration … |  |  | None
 | Clock Setup | Set Date and Time |  |  | None
 |  | Show Clock |  |  | SCPI.DISPlay.CLOCk
 | key Lock | Front Panel & Keyboard Lock |  |  | SCPI.SYSTem.KLOCk.KBD
 |  | Touch Screen & Nouse Lock |  |  | SCPI.SYSTem.KLOCk.MOUSe
 | Display Setup | Color Setup | Normal Color | Data Trace 1 | SCPI.DISPlay.COLor(1-2).TRACe(Tr).DATA.VALue[_Q] red, green, blue
 |  |  |  | Data Trace 2
 |  |  |  | Data Trace 3
 |  |  |  | Data Trace 4
 |  |  |  | Data Trace 5
 |  |  |  | Data Trace 6
 |  |  |  | Data Trace 7
 |  |  |  | Data Trace 8
 |  |  |  | Mem Trace 1 | SCPI.DISPlay.COLor(1-2).TRACe(Tr).MEMory.VALue[_Q] red, green, blue
 |  |  |  | Mem Trace 2
 |  |  |  | Mem Trace 3
 |  |  |  | Mem Trace 4
 |  |  |  | Mem Trace 5
 |  |  |  | Mem Trace 6
 |  |  |  | Mem Trace 7
 |  |  |  | Mem Trace 8
 |  |  |  | Graticule Main | SCPI.DISPlay.COLor1.GRATicule1.VALue[_Q]
 |  |  |  | Graticule Sub | SCPI.DISPlay.COLor1.GRATicule2.VALue[_Q]
 |  |  |  | Limit Fail | SCPI.DISPlay.COLor1.LIMit1.VALue[_Q]
 |  |  |  | Limit Line | SCPI.DISPlay.COLor1.LIMit2.VALue[_Q]
 |  |  |  | Background | SCPI.DISPlay.COLor1.BACK.VALue[_Q]
 |  |  |  | Reset Color | SCPI.DISPlay.COLor1.RESet
 |  |  | Invert Color | Data Trace 1 | SCPI.DISPlay.COLor2.TRACe1.DATA.VALue[_Q]
 |  |  |  | Data Trace 2
 |  |  |  | Data Trace 3
 |  |  |  | Data Trace 4
 |  |  |  | Data Trace 5
 |  |  |  | Data Trace 6
 |  |  |  | Data Trace 7
 |  |  |  | Data Trace 8
 |  |  |  | Mem Trace 1 | SCPI.DISPlay.COLor2.TRACe1.MEMory.VALue[_Q]
 |  |  |  | Mem Trace 2
 |  |  |  | Mem Trace 3
 |  |  |  | Mem Trace 4
 |  |  |  | Mem Trace 5
 |  |  |  | Mem Trace 6
 |  |  |  | Mem Trace 7
 |  |  |  | Mem Trace 8
 |  |  |  | Graticule Main | SCPI.DISPlay.COLor2.GRATicule1.VALue[_Q]
 |  |  |  | Graticule Sub | SCPI.DISPlay.COLor2.GRATicule2.VALue[_Q]
 |  |  |  | Limit Fail | SCPI.DISPlay.COLor2.LIMit1.VALue[_Q]
 |  |  |  | Limit Line | SCPI.DISPlay.COLor2.LIMit2.VALue[_Q]
 |  |  |  | Background | SCPI.DISPlay.COLor2.BACK.VALue[_Q]
 |  |  |  | Reset Color | SCPI.DISPlay.COLor2.RESet
 |  | Magnification | Small |  | None
 |  |  | Normal |  | None
 |  |  | Large |  | None
 | Control Panel … |  |  |  | None
Backlight |  |  |  |  | SCPI.SYSTem.BACKlight.STATe
Instrument Setup | Correction | Power Correction |  |  | SCPI.SENSe.CORRection.POWer.STATe
 |  | Import Power Correction Table |  |  | None
 |  | File Dialog … |  |  | None
 | Downconverter Manual Setup | ΔIF = IF2-IF1 |  |  | SCPI.SENSe.DCONverter.MANual.IFDelta
 |  | IF Gain 1 |  |  | SCPI.SENSe.DCONverter.MANual.IFGain(1-2)
 |  | LO1 Frequency |  |  | SCPI.SENSe.DCONverter.MANual.LO(1-2).FREQuency
 |  | LO1 Level |  |  | SCPI.SENSe.DCONverter.MANual.LO(1-2).LEVel
 |  | Current |  |  | SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.CURRent
 |  | Mixer 1 Bias |  |  | SCPI.SENSe.DCONverter.MANual.MEXTernal(1-2).BIAS.STATe
 | Frequency Offset (User Downconv.) | Frequency Offset |  |  | SCPI.SENSe.UDConverter.STATe
 |  | Conversion Mode | RF = n*LO + IF |  | SCPI.SENSe.UDConverter.MODE
 |  |  | RF = n*LO - IF |
 |  | LO Frequency |  |  | SCPI.SENSe.UDConverter.LO
 |  | Harmonic # |  |  | SCPI.SENSe.UDConverter.HARMonic
 | PN Ext. Prescaler | Division |  |  | SCPI.SENSe.PN(1-1).EPRescaler.DIVision
 |  | Output Power Level |  |  | SCPI.SENSe.PN(1-1).EPRescaler.POWer
Service Menu | Test Menu |  |  |  | None
 | Administrator Menu |  |  |  | None
 | Service Function | Service Functions |  |  | None
 | Error Log |  |  |  | None
 | Install Option License |  |  |  | None
Product Information |  |  |  |  | None
Help |  |  |  |  | None


all_system_SCPI

System - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Macro Setup Key |  |  |  |  | SCPI Command
Print |  |  |  |  | :HCOPy:IMAGe
Abort Printing |  |  |  |  | :HCOPy:ABORt
Printer Setup… |  |  |  |  | None
Invert Image |  |  |  |  | :HCOPy:IMAGe
Dump Screen Image |  |  |  |  | :MMEMory:STORe:IMAGe
Misc Setup | Beeper | Beep Complete |  |  | :SYSTem:BEEPer:COMPlete:STATe
 |  | Test Beep Complete |  |  | :SYSTem:BEEPer:COMPlete:IMMediate
 |  | Beep Warning |  |  | :SYSTem:BEEPer:WARNing:STATe
 |  | Test Beep Warning |  |  | :SYSTem:BEEPer:WARNing:IMMediate
 | GPIB Setup | Talker/Listener Address |  |  | None
 |  | System Controller Configuration |  |  | None
 | Network Setup | Telnet Server |  |  | None
 |  | Socket Server |  |  | None
 |  | SICL-LAN Server |  |  | None
 |  | SICL-LAN Address |  |  | None
 |  | Web Server |  |  | None
 |  | VNC Server Configuration … |  |  | None
 |  | Network Identification … |  |  | None
 |  | Network Configuration … |  |  | None
 | Clock Setup | Set Date and Time |  |  | None
 |  | Show Clock |  |  | :DISPlay:CLOCk
 | key Lock | Front Panel & Keyboard Lock |  |  | :SYSTem:KLOCk:KBD
 |  | Touch Screen & Nouse Lock |  |  | :SYSTem:KLOCk:MOUSe
 | Display Setup | Color Setup | Normal Color | Data Trace 1 | :DISPlay:COLor1:TRACe1:DATA[:VALue]
 |  |  |  | Data Trace 2 | :DISPlay:COLor1:TRACe2:DATA[:VALue]
 |  |  |  | Data Trace 3 | :DISPlay:COLor1:TRACe3:DATA[:VALue]
 |  |  |  | Data Trace 4 | :DISPlay:COLor1:TRACe4:DATA[:VALue]
 |  |  |  | Data Trace 5 | :DISPlay:COLor1:TRACe5:DATA[:VALue]
 |  |  |  | Data Trace 6 | :DISPlay:COLor1:TRACe6:DATA[:VALue]
 |  |  |  | Data Trace 7 | :DISPlay:COLor1:TRACe7:DATA[:VALue]
 |  |  |  | Data Trace 8 | :DISPlay:COLor1:TRACe8:DATA[:VALue]
 |  |  |  | Mem Trace 1 | :DISPlay:COLor1:TRACe1:MEMory[:VALue]
 |  |  |  | Mem Trace 2 | :DISPlay:COLor1:TRACe2:MEMory[:VALue]
 |  |  |  | Mem Trace 3 | :DISPlay:COLor1:TRACe3:MEMory[:VALue]
 |  |  |  | Mem Trace 4 | :DISPlay:COLor1:TRACe4:MEMory[:VALue]
 |  |  |  | Mem Trace 5 | :DISPlay:COLor1:TRACe5:MEMory[:VALue]
 |  |  |  | Mem Trace 6 | :DISPlay:COLor1:TRACe6:MEMory[:VALue]
 |  |  |  | Mem Trace 7 | :DISPlay:COLor1:TRACe7:MEMory[:VALue]
 |  |  |  | Mem Trace 8 | :DISPlay:COLor1:TRACe8:MEMory[:VALue]
 |  |  |  | Graticule Main | :DISPlay:COLor1:GRATicule1[:VALue]
 |  |  |  | Graticule Sub | :DISPlay:COLor1:GRATicule2[:VALue]
 |  |  |  | Limit Fail | :DISPlay:COLor1:LIMit1[:VALue]
 |  |  |  | Limit Line | :DISPlay:COLor1:LIMit2[:VALue]
 |  |  |  | Background | :DISPlay:COLor1:BACK[:VALue]
 |  |  |  | Reset Color | :DISPlay:COLor1:RESet
 |  |  | Invert Color | Data Trace 1 | :DISPlay:COLor2:TRACe1:DATA[:VALue]
 |  |  |  | Data Trace 2 | :DISPlay:COLor2:TRACe2:DATA[:VALue]
 |  |  |  | Data Trace 3 | :DISPlay:COLor2:TRACe3:DATA[:VALue]
 |  |  |  | Data Trace 4 | :DISPlay:COLor2:TRACe4:DATA[:VALue]
 |  |  |  | Data Trace 5 | :DISPlay:COLor2:TRACe5:DATA[:VALue]
 |  |  |  | Data Trace 6 | :DISPlay:COLor2:TRACe6:DATA[:VALue]
 |  |  |  | Data Trace 7 | :DISPlay:COLor2:TRACe7:DATA[:VALue]
 |  |  |  | Data Trace 8 | :DISPlay:COLor2:TRACe8:DATA[:VALue]
 |  |  |  | Mem Trace 1 | :DISPlay:COLor2:TRACe1:MEMory[:VALue]
 |  |  |  | Mem Trace 2 | :DISPlay:COLor2:TRACe2:MEMory[:VALue]
 |  |  |  | Mem Trace 3 | :DISPlay:COLor2:TRACe3:MEMory[:VALue]
 |  |  |  | Mem Trace 4 | :DISPlay:COLor2:TRACe4:MEMory[:VALue]
 |  |  |  | Mem Trace 5 | :DISPlay:COLor2:TRACe5:MEMory[:VALue]
 |  |  |  | Mem Trace 6 | :DISPlay:COLor2:TRACe6:MEMory[:VALue]
 |  |  |  | Mem Trace 7 | :DISPlay:COLor2:TRACe7:MEMory[:VALue]
 |  |  |  | Mem Trace 8 | :DISPlay:COLor2:TRACe8:MEMory[:VALue]
 |  |  |  | Graticule Main | :DISPlay:COLor2:GRATicule1[:VALue]
 |  |  |  | Graticule Sub | :DISPlay:COLor2:GRATicule2[:VALue]
 |  |  |  | Limit Fail | :DISPlay:COLor2:LIMit1[:VALue]
 |  |  |  | Limit Line | :DISPlay:COLor2:LIMit2[:VALue]
 |  |  |  | Background | :DISPlay:COLor2:BACK[:VALue]
 |  |  |  | Reset Color | :DISPlay:COLor2:RESet
 |  | Magnification | Small |  | None
 |  |  | Normal |  | None
 |  |  | Large |  | None
 | Control Panel … |  |  |  | None
Backlight |  |  |  |  | :SYSTem:BACKlight:STATe
Instrument Setup | Correction | Power Correction |  |  | :SENSe:CORRection:POWer:STATe
 |  | Import Power Correction Table |  |  | None
 |  | File Dialog … |  |  | None
 | Downconverter Manual Setup | ΔIF = IF2-IF1 |  |  | :SENSe:DCONverter:MANual:IFDelta
 |  | IF Gain 1 |  |  | :SENSe:DCONverter:MANual:IFGain[1-2]
 |  | LO1 Frequency |  |  | :SENSe:DCONverter:MANual:LO[1-2]:FREQuency
 |  | LO1 Level |  |  | :SENSe:DCONverter:MANual:LO[1-2]:LEVel
 |  | Current |  |  | :SENSe:DCONverter:MANual:MEXTernal[1-2]:BIAS:CURRent
 |  | Mixer 1 Bias |  |  | :SENSe:DCONverter:MANual:MEXTernal[1-2]:BIAS:STATe
 | Frequency Offset (User Downconv.) | Frequency Offset |  |  | :SENSe:UDConverter:STATe
 |  | Conversion Mode | RF = n*LO + IF |  | :SENSe:UDConverter:MODE USB
 |  |  | RF = n*LO - IF |  | :SENSe:UDConverter:MODE LSB
 |  | LO Frequency |  |  | :SENSe:UDConverter:LO
 |  | Harmonic # |  |  | :SENSe:UDConverter:HARMonic
 | PN Ext. Prescaler | Division |  |  | :SENSe:PN[1-1]:EPRescaler:DIVision
 |  | Output Power Level |  |  | :SENSe:PN[1-1]:EPRescaler:POWer
Service Menu | Test Menu |  |  |  | None
 | Administrator Menu |  |  |  | None
 | Service Function | Service Functions |  |  | None
 | Error Log |  |  |  | None
 | Install Option License |  |  |  | None
Product Information |  |  |  |  | None
Help |  |  |  |  | None


Macro_Run_Break

Macro Run & Macro Break

No Softkey, SCPI or COM Command is available under Macro Run and Macro Break for ALL Measurements.


Macro Setup

Macro Setup - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Macro Setup Key |  | COM Command | SCPI Command
User Menu | User Label 1 | SCPI.PROGram.SKEY.ITEM1.IMMediate | :PROGram:SKEY:ITEM1:IMMediate
 | User Label 2 | SCPI.PROGram.SKEY.ITEM2.IMMediate | :PROGram:SKEY:ITEM2:IMMediate
 | User Label 3 | SCPI.PROGram.SKEY.ITEM3.IMMediate | :PROGram:SKEY:ITEM3:IMMediate
 | User Label 4 | SCPI.PROGram.SKEY.ITEM4.IMMediate | :PROGram:SKEY:ITEM4:IMMediate
 | User Label 5 | SCPI.PROGram.SKEY.ITEM5.IMMediate | :PROGram:SKEY:ITEM5:IMMediate
 | User Label 6 | SCPI.PROGram.SKEY.ITEM6.IMMediate | :PROGram:SKEY:ITEM6:IMMediate
 | User Label 7 | SCPI.PROGram.SKEY.ITEM7.IMMediate | :PROGram:SKEY:ITEM7:IMMediate
 | User Label 8 | SCPI.PROGram.SKEY.ITEM8.IMMediate | :PROGram:SKEY:ITEM8:IMMediate
VBA Editor Menu | Open Editor | None | None
 | Close Editor | None | None
 | New Project | None | None
 | Load Project … | SCPI.MMEMory.LOAD.PROGram | :MMEMory:LOAD:PROGram
 | Save Project … | SCPI.MMEMory.STORe.PROGram | :MMEMory:STORe:PROGram
Load & Run |  | None | None
Select Macro … |  | SCPI.PROGram.SELected.NAME | :PROGram:SELected:NAME
Stop |  | SCPI.PROGram.SELected.STATe | :PROGram:SELected:STATe
Application | mmWave | None | None
 | Jitter | None | None
Echo Window Menu | Echo Window | SCPI.DISPlay.ECHO.STATe | :DISPlay:ECHO:STATe
 | Clear Echo | SCPI.DISPlay.ECHO.CLEar | :DISPlay:ECHO:CLEar
 | Echo Font Size | SCPI.DISPlay.ECHO.FSIZe | :DISPlay:ECHO:FSIZe
E5052 Event |  | SCPI.PROGram.COM.EVENt | :PROGram:COM:EVENt


Macro Setup COM

Macro Setup - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Macro Setup Key |  | COM Command
User Menu | User Label 1 | SCPI.PROGram.SKEY.ITEM1.IMMediate
 | User Label 2 | SCPI.PROGram.SKEY.ITEM2.IMMediate
 | User Label 3 | SCPI.PROGram.SKEY.ITEM3.IMMediate
 | User Label 4 | SCPI.PROGram.SKEY.ITEM4.IMMediate
 | User Label 5 | SCPI.PROGram.SKEY.ITEM5.IMMediate
 | User Label 6 | SCPI.PROGram.SKEY.ITEM6.IMMediate
 | User Label 7 | SCPI.PROGram.SKEY.ITEM7.IMMediate
 | User Label 8 | SCPI.PROGram.SKEY.ITEM8.IMMediate
VBA Editor Menu | Open Editor | None
 | Close Editor | None
 | New Project | None
 | Load Project … | SCPI.MMEMory.LOAD.PROGram
 | Save Project … | SCPI.MMEMory.STORe.PROGram
Load & Run |  | None
Select Macro … |  | SCPI.PROGram.SELected.NAME
Stop |  | SCPI.PROGram.SELected.STATe
Application | mmWave | None
 | Jitter | None
Echo Window Menu | Echo Window | SCPI.DISPlay.ECHO.STATe
 | Clear Echo | SCPI.DISPlay.ECHO.CLEar
 | Echo Font Size | SCPI.DISPlay.ECHO.FSIZe
E5052 Event |  | SCPI.PROGram.COM.EVENt


Macro Setup SCPI

Macro Setup - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Macro Setup Key |  | SCPI Command
User Menu | User Label 1 | :PROGram:SKEY:ITEM1:IMMediate
 | User Label 2 | :PROGram:SKEY:ITEM2:IMMediate
 | User Label 3 | :PROGram:SKEY:ITEM3:IMMediate
 | User Label 4 | :PROGram:SKEY:ITEM4:IMMediate
 | User Label 5 | :PROGram:SKEY:ITEM5:IMMediate
 | User Label 6 | :PROGram:SKEY:ITEM6:IMMediate
 | User Label 7 | :PROGram:SKEY:ITEM7:IMMediate
 | User Label 8 | :PROGram:SKEY:ITEM8:IMMediate
VBA Editor Menu | Open Editor | None
 | Close Editor | None
 | New Project | None
 | Load Project … | :MMEMory:LOAD:PROGram
 | Save Project … | :MMEMory:STORe:PROGram
Load & Run |  | None
Select Macro … |  | :PROGram:SELected:NAME
Stop |  | :PROGram:SELected:STATe
Application | mmWave | None
 | Jitter | None
Echo Window Menu | Echo Window | :DISPlay:ECHO:STATe
 | Clear Echo | :DISPlay:ECHO:CLEar
 | Echo Font Size | :DISPlay:ECHO:FSIZe
E5052 Event |  | :PROGram:COM:EVENt


preset

Preset - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Macro Setup Key | COM Command | SCPI Command
Factory | SCPI.SYSTem.PRESet | :SYSTem:PRESet
User | None | None


preset COM

Preset - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Macro Setup Key | COM Command
Factory | SCPI.SYSTem.PRESet
User | None


preset SCPI

Preset - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Macro Setup Key | SCPI Command
Factory | :SYSTem:PRESet
User | None


USER_Disabled

USER Measurement

No Softkey, SCPI or COM Command is available under Format, Average, Start/Center, Stop/Span, Setup, Trigger, Marker -> (To), Macro Run and Macro Break for USER Measurements.


DC Control with links

DC Control-ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under DC Control key |  | COM Command | SCPI Command
Auto Freq Control | AFC Status | SCPI.SOURce.VOLTage.CONTrol.AFC.STATe SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate | :SOUR:VOLT:CONT:AFC[:STAT] :SOUR:VOLT:CONT:AFC:IMM
 | Frequency Band | SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd | :SOUR:VOLT:CONT:AFC:FBAN
 | Max Ctrl Voltage Limit | SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH | :SOUR:VOLT:CONT:AFC:LIM: HIGH
 | Max Input Level | SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum | :SOUR:VOLT:CONT:AFC:INP:L EV:MAX
 | Max Iteration | SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation | :SOUR:VOLT:CONT:AFC:ITER
 | Min Ctrl Voltage Limit | SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW | :SOUR:VOLT:CONT:AFC:LIM: LOW
 | Sensitivity | SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity | :SOUR:VOLT:CONT:AFC:SENS
 | Target | SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet | :SOUR:VOLT:CONT:AFC:TARG
 | Tolerance | SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance | :SOUR:VOLT:CONT:AFC:TOL
Control Voltage Cal |  | SCPI.SOURce.VOLTage.CONTrol.CORRection.STATe | :SOUR:VOLT:CONT:CORR[:ST AT]
DC Control Delay |  | SCPI.SOURce.VOLTage.CONTrol.DELay | :SOUR:VOLT:CONT:DEL
DC Control Output |  | SCPI.SOURce.VOLTage.CONTrol.LEVel.STATe | :SOUR:VOLT:CONT:LEV:STAT
DC Control Voltage |  | SCPI.SOURce.VOLTage.CONTrol.LEVel.AMPLitude | :SOUR:VOLT:CONT:LEV:AMP L
Execute Control Voltage Cal |  | SCPI.SOURce.VOLTage.CONTrol.CORRection.COLLect.ACQuire | :SOUR:VOLT:CONT:CORR:CO LL:ACQ
Max Ctrl Voltage Limit |  | SCPI.SOURce.VOLTage.CONTrol.LIMit.HIGH | :SOUR:VOLT:CONT:LIM:HIGH
Min Ctrl Voltage Limit |  | SCPI.SOURce.VOLTage.CONTrol.LIMit.LOW | :SOUR:VOLT:CONT:LIM:LOW


DC Control with links SCPI

DC Control-ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under DC Control key |  | SCPI Command
Auto Freq Control | AFC Status | :SOUR:VOLT:CONT:AFC[:STAT] :SOUR:VOLT:CONT:AFC:IMM
 | Frequency Band | :SOUR:VOLT:CONT:AFC:FBAN
 | Max Ctrl Voltage Limit | :SOUR:VOLT:CONT:AFC:LIM: HIGH
 | Max Input Level | :SOUR:VOLT:CONT:AFC:INP:L EV:MAX
 | Max Iteration | :SOUR:VOLT:CONT:AFC:ITER
 | Min Ctrl Voltage Limit | :SOUR:VOLT:CONT:AFC:LIM: LOW
 | Sensitivity | :SOUR:VOLT:CONT:AFC:SENS
 | Target | :SOUR:VOLT:CONT:AFC:TARG
 | Tolerance | :SOUR:VOLT:CONT:AFC:TOL
Control Voltage Cal |  | :SOUR:VOLT:CONT:CORR[:ST AT]
DC Control Delay |  | :SOUR:VOLT:CONT:DEL
DC Control Output |  | :SOUR:VOLT:CONT:LEV:STAT
DC Control Voltage |  | :SOUR:VOLT:CONT:LEV:AMP L
Execute Control Voltage Cal |  | :SOUR:VOLT:CONT:CORR:CO LL:ACQ
Max Ctrl Voltage Limit |  | :SOUR:VOLT:CONT:LIM:HIGH
Min Ctrl Voltage Limit |  | :SOUR:VOLT:CONT:LIM:LOW


DC Control with links_COM

DC Control-ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under DC Control key |  | COM Command
Auto Freq Control | AFC Status | SCPI.SOURce.VOLTage.CONTrol.AFC.STATe SCPI.SOURce.VOLTage.CONTrol.AFC.IMMediate
 | Frequency Band | SCPI.SOURce.VOLTage.CONTrol.AFC.FBANd
 | Max Ctrl Voltage Limit | SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.HIGH
 | Max Input Level | SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum
 | Max Iteration | SCPI.SOURce.VOLTage.CONTrol.AFC.ITERation
 | Min Ctrl Voltage Limit | SCPI.SOURce.VOLTage.CONTrol.AFC.LIMit.LOW
 | Sensitivity | SCPI.SOURce.VOLTage.CONTrol.AFC.SENSitivity
 | Target | SCPI.SOURce.VOLTage.CONTrol.AFC.TARGet
 | Tolerance | SCPI.SOURce.VOLTage.CONTrol.AFC.TOLerance
Control Voltage Cal |  | SCPI.SOURce.VOLTage.CONTrol.CORRection.STATe
DC Control Delay |  | SCPI.SOURce.VOLTage.CONTrol.DELay
DC Control Output |  | SCPI.SOURce.VOLTage.CONTrol.LEVel.STATe
DC Control Voltage |  | SCPI.SOURce.VOLTage.CONTrol.LEVel.AMPLitude
Execute Control Voltage Cal |  | SCPI.SOURce.VOLTage.CONTrol.CORRection.COLLect.ACQuire
Max Ctrl Voltage Limit |  | SCPI.SOURce.VOLTage.CONTrol.LIMit.HIGH
Min Ctrl Voltage Limit |  | SCPI.SOURce.VOLTage.CONTrol.LIMit.LOW


DC Power with links

DC Power-ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under DC Power key | COM Command | SCPI Command
DC Power Delay | SCPI.SOURce.VOLTage.POWer.DELay | :SOUR:VOLT:POW:DEL
DC Power Output | SCPI.SOURce.VOLTage.POWer.LEVel.STATe | :SOUR:VOLT:POW:LEV:STAT
DC Power Voltage | SCPI.SOURce.VOLTage.POWer.LEVel.AMPLitude | :SOUR:VOLT:POW:LEV:AMPL
Max Pwr Voltage Limit | SCPI.SOURce.VOLTage.POWer.LIMit.HIGH | :SOUR:VOLT:POW:LIM:HIGH
Min Pwr Voltage Limit | SCPI.SOURce.VOLTage.POWer.LIMit.LOW | :SOUR:VOLT:POW:LIM:LOW


DC Power with links SCPI

DC Power-ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under DC Power key | SCPI Command
DC Power Delay | :SOUR:VOLT:POW:DEL
DC Power Output | :SOUR:VOLT:POW:LEV:STAT
DC Power Voltage | :SOUR:VOLT:POW:LEV:AMPL
Max Pwr Voltage Limit | :SOUR:VOLT:POW:LIM:HIGH
Min Pwr Voltage Limit | :SOUR:VOLT:POW:LIM:LOW


DC Power with links_COM

DC Power-ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under DC Power key | COM Command
DC Power Delay | SCPI.SOURce.VOLTage.POWer.DELay
DC Power Output | SCPI.SOURce.VOLTage.POWer.LEVel.STATe
DC Power Voltage | SCPI.SOURce.VOLTage.POWer.LEVel.AMPLitude
Max Pwr Voltage Limit | SCPI.SOURce.VOLTage.POWer.LIMit.HIGH
Min Pwr Voltage Limit | SCPI.SOURce.VOLTage.POWer.LIMit.LOW


attn_all

Attn - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Attn Key | COM Command | SCPI Command
Input Attenuator | SCPI.SENSe.ATTenuation.LEVel | :SENS:ATT:LEV


Attn_All_COM

Attn - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Attn Key | COM Command
Input Attenuator | SCPI.SENSe.ATTenuation.LEVel


Attn_All_SCPI

Attn - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Attn Key | SCPI Command
Input Attenuator | :SENS:ATT:LEV


input_all

Input - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Input Key |  |  | COM Command | SCPI Command
Input Port | [RF IN] |  | SCPI.SENSe.DCONverter.INPut | :SENSe:DCONverter:INPut
Downconverter | Downconverter |  | SCPI.SENSe.DCONverter.STATe | :SENSe:DCONverter[:STATe]
 | RF Input | Downconverter | SCPI.SENSe.DCONverter.INPut | :SENSe:DCONverter:INPut DCON
 |  | E5052B Direct |  | :SENSe:DCONverter:INPut DIR
 | External Mixer | Not Used | SCPI.SENSe.DCONverter.MEXTernal | :SENSe:DCONverter:MEXTernal OFF
 |  | ON |  | :SENSe:DCONverter:MEXTernal ON


input_all_COM

Input - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Input Key |  |  | COM Command
Input Port | [RF IN] |  | SCPI.SENSe.DCONverter.INPut
Downconverter | Downconverter |  | SCPI.SENSe.DCONverter.STATe
 | RF Input | Downconverter | SCPI.SENSe.DCONverter.INPut
 |  | E5052B Direct
 | External Mixer | Not Used | SCPI.SENSe.DCONverter.MEXTernal
 |  | ON


input_all_SCPI

Input - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Input Key |  |  | SCPI Command
Input Port | [RF IN] |  | :SENSe:DCONverter:INPut
Downconverter | Downconverter |  | :SENSe:DCONverter[:STATe]
 | RF Input | Downconverter | :SENSe:DCONverter:INPut DCON
 |  | E5052B Direct | :SENSe:DCONverter:INPut DIR
 | External Mixer | Not Used | :SENSe:DCONverter:MEXTernal OFF
 |  | ON | :SENSe:DCONverter:MEXTernal ON


meas_view

Meas/View - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Meas/View Key |  | COM Command | SCPI Command
Show Window | Phase Noise | SCPI.DISPlay.PN(Ch).STATe | :DISPlay:PN[Ch]:STATe
 | Spectrum Monitor | SCPI.DISPlay.SP(Ch).STATe | :DISPlay:SP[Ch]:STATe
 | Freq & Power | SCPI.DISPlay.FP(Ch).STATe | :DISPlay:FP[Ch]:STATe
 | Transient | SCPI.DISPlay.TR(Ch).STATe | :DISPlay:TR[Ch]:STATe
 | AM Noise | SCPI.DISPlay.AM(Ch).STATe | :DISPlay:AM[Ch]:STATe
 | Baseband Noise | SCPI.DISPlay.BB(Ch).STATe | :DISPlay:BB[Ch]:STATe
 | Segment PN | SCPI.DISPlay.PS(Ch).STATe | :DISPlay:PS[Ch]:STATe
 | User | SCPI.DISPlay.USER(Ch).STATe | :DISPlay:USER[Ch]:STATe
Phase Noise |  | SCPI.DISPlay.WINDow.ACTive | :DISPlay:WINDow:ACTive PN1
Spectrum Monitor |  |  | :DISPlay:WINDow:ACTive SP1
Freq & Power |  |  | :DISPlay:WINDow:ACTive FP1
Transient |  |  | :DISPlay:WINDow:ACTive TR1
AM Noise |  |  | :DISPlay:WINDow:ACTive AM1
Baseband Noise |  |  | :DISPlay:WINDow:ACTive BB1
Segment PN |  |  | :DISPlay:WINDow:ACTive PS1
User |  |  | :DISPlay:WINDow:ACTive USER1


meas_view_COM

Meas/View - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Meas/View Key |  | COM Command
Show Window | Phase Noise | SCPI.DISPlay.PN(Ch).STATe
 | Spectrum Monitor | SCPI.DISPlay.SP(Ch).STATe
 | Freq & Power | SCPI.DISPlay.FP(Ch).STATe
 | Transient | SCPI.DISPlay.TR(Ch).STATe
 | AM Noise | SCPI.DISPlay.AM(Ch).STATe
 | Baseband Noise | SCPI.DISPlay.BB(Ch).STATe
 | Segment PN | SCPI.DISPlay.PS(Ch).STATe
 | User | SCPI.DISPlay.USER(Ch).STATe
Phase Noise |  | SCPI.DISPlay.WINDow.ACTive
Spectrum Monitor |
Freq & Power |
Transient |
AM Noise |
Baseband Noise |
Segment PN |
User |


meas_view_SCPI

Meas/View - ALL Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Meas/View Key |  | SCPI Command
Show Window | Phase Noise | :DISPlay:PN[Ch]:STATe
 | Spectrum Monitor | :DISPlay:SP[Ch]:STATe
 | Freq & Power | :DISPlay:FP[Ch]:STATe
 | Transient | :DISPlay:TR[Ch]:STATe
 | AM Noise | :DISPlay:AM[Ch]:STATe
 | Baseband Noise | :DISPlay:BB[Ch]:STATe
 | Segment PN | :DISPlay:PS[Ch]:STATe
 | User | :DISPlay:USER[Ch]:STATe
Phase Noise |  | :DISPlay:WINDow:ACTive PN1
Spectrum Monitor |  | :DISPlay:WINDow:ACTive SP1
Freq & Power |  | :DISPlay:WINDow:ACTive FP1
Transient |  | :DISPlay:WINDow:ACTive TR1
AM Noise |  | :DISPlay:WINDow:ACTive AM1
Baseband Noise |  | :DISPlay:WINDow:ACTive BB1
Segment PN |  | :DISPlay:WINDow:ACTive PS1
User |  | :DISPlay:WINDow:ACTive USER1


Window_Trace

Window/Trace

No Softkey, SCPI or COM Command is available under Window Next, Window Max, Trace Next and Trace Max for ALL Measurements.


AM_Setup

Setup - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  | COM Command | SCPI Command
Frequency Band | 60M - 111MHz | SCPI.SENSe.AM(Ch).FBANd | :SENSe:AM[1-1]:FBANd BAND2
 | 109M - 1.5GHz |  | :SENSe:AM[1-1]:FBANd BAND3
 | 250M - 7GHz |  | :SENSe:AM[1-1]:FBANd BAND4
 | 3GHz - 10GHz |  | :SENSe:AM[1-1]:FBANd BAND5
 | 9GHz - 26.5GHz |  | :SENSe:AM[1-1]:FBANd BAND6
Nominal Frequency |  | SCPI.SENSe.AM(1-1).DCONverter.FREQuency | :SENSe:AM[1-1]:DCONverter:FREQuency
Carrier Search |  | SCPI.SENSe.AM(1-1).DCONverter.SSEarch.EXECute | :SENSe:AM[1-1]:DCONverter:SSEarch:EXECute
Measurement Quality | Normal | SCPI.SENSe.AM(1-1).SEGTable.MEASurement.QUALity | :SENSe:AM[1-1]:SEGTable[:MEASurement][:QUALity] NORM
 | Fast |  | :SENSe:AM[1-1]:SEGTable[:MEASurement][:QUALity] FAST
Fast Measurement |  | SCPI.SENSe.AM(1-1).FAST | :SENSe:AM[1-1]:FAST
Auto Setting |  | SCPI.SENSe.AM(Ch).ASET | :SENSe:AM(Ch):ASET


AM_Setup_COM

Setup - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  | COM Command
Frequency Band | 60M - 111MHz | SCPI.SENSe.AM(Ch).FBANd
 | 109M - 1.5GHz
 | 250M - 7GHz
 | 3GHz - 10GHz
 | 9GHz - 26.5GHz
Nominal Frequency |  | SCPI.SENSe.AM(1-1).DCONverter.FREQuency
Carrier Search |  | SCPI.SENSe.AM(1-1).DCONverter.SSEarch.EXECute
Measurement Quality | Normal | SCPI.SENSe.AM(1-1).SEGTable.MEASurement.QUALity
 | Fast
Fast Measurement |  | SCPI.SENSe.AM(1-1).FAST
Auto Setting |  | SCPI.SENSe.AM(Ch).ASET


AM_Setup_SCPI

Setup - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  | SCPI Command
Frequency Band | 60M - 111MHz | :SENSe:AM[1-1]:FBANd BAND2
 | 109M - 1.5GHz | :SENSe:AM[1-1]:FBANd BAND3
 | 250M - 7GHz | :SENSe:AM[1-1]:FBANd BAND4
 | 3GHz - 10GHz | :SENSe:AM[1-1]:FBANd BAND5
 | 9GHz - 26.5GHz | :SENSe:AM[1-1]:FBANd BAND6
Nominal Frequency |  | :SENSe:AM[1-1]:DCONverter:FREQuency
Carrier Search |  | :SENSe:AM[1-1]:DCONverter:SSEarch:EXECute
Measurement Quality | Normal | :SENSe:AM[1-1]:SEGTable[:MEASurement][:QUALity] NORM
 | Fast | :SENSe:AM[1-1]:SEGTable[:MEASurement][:QUALity] FAST
Fast Measurement |  | :SENSe:AM[1-1]:FAST
Auto Setting |  | :SENSe:AM(Ch):ASET


BB_Setup

Setup - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  | COM Command | SCPI Command
IF Gain |  | SCPI.SENSe.BB(Ch).IFGain | :SENSe:BB[Ch]:IFGain
Measurement Quality | Normal | SCPI.SENSe.BB(Ch).SEGTable.MEASurement.QUALity | :SENSe:BB[Ch]:SEGTable[:MEASurement][:QUALity] NORM
 | Fast |  | :SENSe:BB[Ch]:SEGTable[:MEASurement][:QUALity] FAST
Cutoff Frequency | Low | SCPI.SENSe.BB(Ch).COFRequency | :SENSe:BB[Ch]:COFRequency LOW
 | High |  | :SENSe:BB[Ch]:COFRequency HIGH
Discharge DC Block Capacitor |  | SCPI.SENSe.BB(Ch).DISCharge | :SENSe:BB[Ch]:DISCharge


BB_Setup_COM

Setup - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  | COM Command
IF Gain |  | SCPI.SENSe.BB(Ch).IFGain
Measurement Quality | Normal | SCPI.SENSe.BB(Ch).SEGTable.MEASurement.QUALity
 | Fast
Cutoff Frequency | Low | SCPI.SENSe.BB(Ch).COFRequency
 | High
Discharge DC Block Capacitor |  | SCPI.SENSe.BB(Ch).DISCharge


BB_Setup_SCPI

Setup - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  | SCPI Command
IF Gain |  | :SENSe:BB[Ch]:IFGain
Measurement Quality | Normal | :SENSe:BB[Ch]:SEGTable[:MEASurement][:QUALity] NORM
 | Fast | :SENSe:BB[Ch]:SEGTable[:MEASurement][:QUALity] FAST
Cutoff Frequency | Low | :SENSe:BB[Ch]:COFRequency LOW
 | High | :SENSe:BB[Ch]:COFRequency HIGH
Discharge DC Block Capacitor |  | :SENSe:BB[Ch]:DISCharge


fp_setup

Setup - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Setup Key |  | COM Command | SCPI Command
Sweep Parameter | Control Voltage | SCPI.SOURce.FP(Ch).SWEep.PARameter | :SOURce:FP[Ch]:SWEep:PARameter CONT
 | Power Voltage |  | :SOURce:FP[Ch]:SWEep:PARameter POW
Frequency Band | 10M - 1.5GHz | SCPI.SENSe.FP(Ch).FBANd | :SENSe:FP[Ch]:FBANd LOW
 | 250M - 7GHz |  | :SENSe:FP[Ch]:FBANd HIGH
 | 3G - 10GHz |  | :SENSe:FP[Ch]:FBANd BAND3
 | 9GHz - 26.5GHz |  | :SENSe:FP[Ch]:FBANd BAND4
Nominal Frequency |  | SCPI.SENSe.FP(Ch).DCONverter.FREQuency | :SENSe:FP[Ch]:DCONverter:FREQuency
Carrier Search |  | SCPI.SENSe.FP(Ch).DCONverter.SSEarch.EXECute | :SENSe:FP[Ch]:DCONverter:SSEarch:EXECute
Freq Resolution | 10Hz | SCPI.SENSe.FP(Ch).FREQuency.RESolution | :SENSe:FP[Ch]:FREQuency:RESolution NARR
 | 1kHz |  | :SENSe:FP[Ch]:FREQuency:RESolution MIDD
 | 64kHz |  | :SENSe:FP[Ch]:FREQuency:RESolution WIDE
Point Delay |  | SCPI.SENSe.FP(Ch).SWEep.DWELl | :SENSe:FP[Ch]:SWEep:DWELl
Points |  | SCPI.SOURce.FP(Ch).SWEep.POINts | :SOURce:FP[Ch]:SWEep:POINts
Max Input Level |  | SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum | :SOURce:VOLTage:CONTrol:AFC:INPut:LEVel:MAXimum


fp_setup_COM

Setup - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Setup Key |  | COM Command
Sweep Parameter | Control Voltage | SCPI.SOURce.FP(Ch).SWEep.PARameter
 | Power Voltage
Frequency Band | 10M - 1.5GHz | SCPI.SENSe.FP(Ch).FBANd
 | 250M - 7GHz
 | 3G - 10GHz
 | 9GHz - 26.5GHz
Nominal Frequency |  | SCPI.SENSe.FP(Ch).DCONverter.FREQuency
Carrier Search |  | SCPI.SENSe.FP(Ch).DCONverter.SSEarch.EXECute
Freq Resolution | 10Hz | SCPI.SENSe.FP(Ch).FREQuency.RESolution
 | 1kHz
 | 64kHz
Point Delay |  | SCPI.SENSe.FP(Ch).SWEep.DWELl
Points |  | SCPI.SOURce.FP(Ch).SWEep.POINts
Max Input Level |  | SCPI.SOURce.VOLTage.CONTrol.AFC.INPut.LEVel.MAXimum


fp_setup_SCPI

Setup - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Setup Key |  | SCPI Command
Sweep Parameter | Control Voltage | :SOURce:FP[Ch]:SWEep:PARameter CONT
 | Power Voltage | :SOURce:FP[Ch]:SWEep:PARameter POW
Frequency Band | 10M - 1.5GHz | :SENSe:FP[Ch]:FBANd LOW
 | 250M - 7GHz | :SENSe:FP[Ch]:FBANd HIGH
 | 3G - 10GHz | :SENSe:FP[Ch]:FBANd BAND3
 | 9GHz - 26.5GHz | :SENSe:FP[Ch]:FBANd BAND4
Nominal Frequency |  | :SENSe:FP[Ch]:DCONverter:FREQuency
Carrier Search |  | :SENSe:FP[Ch]:DCONverter:SSEarch:EXECute
Freq Resolution | 10Hz | :SENSe:FP[Ch]:FREQuency:RESolution NARR
 | 1kHz | :SENSe:FP[Ch]:FREQuency:RESolution MIDD
 | 64kHz | :SENSe:FP[Ch]:FREQuency:RESolution WIDE
Point Delay |  | :SENSe:FP[Ch]:SWEep:DWELl
Points |  | :SOURce:FP[Ch]:SWEep:POINts
Max Input Level |  | :SOURce:VOLTage:CONTrol:AFC:INPut:LEVel:MAXimum


PN_Setup

Setup - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  |  | COM Command | SCPI Command
Frequency Band | 10M - 41MHz |  | SCPI.SENSe.PN(Ch).FBANd | :SENSe:PN[Ch]:FBANd BAND1
 | 39M - 101MHz |  |  | :SENSe:PN[Ch]:FBANd BAND2
 | 99M - 1.5GHz |  |  | :SENSe:PN[Ch]:FBANd BAND3
 | 250M - 7GHz |  |  | :SENSe:PN[Ch]:FBANd BAND4
 | 3GHz - 10GHz |  |  | :SENSe:PN[Ch]:FBANd BAND5
 | 9GHz - 26.5GHz |  |  | :SENSe:PN[Ch]:FBANd BAND6
Nominal Frequency |  |  | SCPI.SENSe.PN(Ch).DCONverter.FREQuency | :SENSe:PN[Ch]:DCONverter:FREQuency
Carrier Search |  |  | SCPI.SENSe.PN(Ch).DCONverter.SSEarch.EXECute | :SENSe:PN[Ch]:DCONverter:SSEarch:EXECute
IF Gain |  |  | SCPI.SENSe.PN(Ch).IFGain | :SENSe:PN[Ch]:IFGain
LO PhNoise Optimize | L(f)for > 150kHz |  | SCPI.SENSe.PN(Ch).LOBandwidth | :SENSe:PN[Ch]:LOBandwidth NARR
 | L(f)for < 150kHz |  |  | :SENSe:PN[Ch]:LOBandwidth WIDE
Measurement Quality | Normal |  | SCPI.SENSe.PN(Ch).SEGTable.MEASurement.QUALity | :SENSe:PN[Ch]:SEGTable[:MEASurement][:QUALity] NORM
 | Fast |  |  | :SENSe:PN[Ch]:SEGTable[:MEASurement][:QUALity] FAST
Capture Range | Normal |  | SCPI.SENSe.PN(Ch).CRANge | :SENSe:PN[Ch]:CRANge NORM
 | Wide |  |  | :SENSe:PN[Ch]:CRANge WIDE
Reference Oscillator | Bandwidth | Narrow | SCPI.SENSe.PN(Ch).ROSCillator.BANDwidth | :SENSe:PN[Ch]:ROSCillator:BANDwidth NARR
 |  | Wide |  | :SENSe:PN[Ch]:ROSCillator:BANDwidth WIDE
 | Ref. Osc.1 source | internal | SCPI.SENSe.PN(Ch).ROSCillator.REFerence1.SOURce | :SENSe:PN[Ch]:ROSCillator:REFerence1:SOURce INT
 | Ref. Osc.2 source | External | SCPI.SENSe.PN(Ch).ROSCillator.REFerence1.SOURce | :SENSe:PN[Ch]:ROSCillator:REFerence1:SOURce EXT
 | Ref. Osc.2 source | internal | SCPI.SENSe.PN(Ch).ROSCillator.REFerence2.SOURce | :SENSe:PN[Ch]:ROSCillator:REFerence2:SOURce INT
 | Ref. Osc.3 source | External | SCPI.SENSe.PN(Ch).ROSCillator.REFerence2.SOURce | :SENSe:PN[Ch]:ROSCillator:REFerence2:SOURce EXT
Auto setting |  |  | SCPI.SENSe.PN(Ch).ASET | :SENSe:PN(Ch):ASET


PN_Setup_COM

Setup - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  |  | COM Command
Frequency Band | 10M - 41MHz |  | SCPI.SENSe.PN(Ch).FBANd
 | 39M - 101MHz
 | 99M - 1.5GHz
 | 250M - 7GHz
 | 3GHz - 10GHz
 | 9GHz - 26.5GHz
Nominal Frequency |  |  | SCPI.SENSe.PN(Ch).DCONverter.FREQuency
Carrier Search |  |  | SCPI.SENSe.PN(Ch).DCONverter.SSEarch.EXECute
IF Gain |  |  | SCPI.SENSe.PN(Ch).IFGain
LO PhNoise Optimize | L(f)for > 150kHz |  | SCPI.SENSe.PN(Ch).LOBandwidth
 | L(f)for < 150kHz
Measurement Quality | Normal |  | SCPI.SENSe.PN(Ch).SEGTable.MEASurement.QUALity
 | Fast
Capture Range | Normal |  | SCPI.SENSe.PN(Ch).CRANge
 | Wide
Reference Oscillator | Bandwidth | Narrow | SCPI.SENSe.PN(Ch).ROSCillator.BANDwidth
 |  | Wide
 | Ref. Osc.1 source | internal | SCPI.SENSe.PN(Ch).ROSCillator.REFerence1.SOURce
 | Ref. Osc.2 source | External | SCPI.SENSe.PN(Ch).ROSCillator.REFerence1.SOURce
 | Ref. Osc.2 source | internal | SCPI.SENSe.PN(Ch).ROSCillator.REFerence2.SOURce
 | Ref. Osc.3 source | External | SCPI.SENSe.PN(Ch).ROSCillator.REFerence2.SOURce
Auto setting |  |  | SCPI.SENSe.PN(Ch).ASET


PN_Setup_SCPI

Setup - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  |  | SCPI Command
Frequency Band | 10M - 41MHz |  | :SENSe:PN[Ch]:FBANd BAND1
 | 39M - 101MHz |  | :SENSe:PN[Ch]:FBANd BAND2
 | 99M - 1.5GHz |  | :SENSe:PN[Ch]:FBANd BAND3
 | 250M - 7GHz |  | :SENSe:PN[Ch]:FBANd BAND4
 | 3GHz - 10GHz |  | :SENSe:PN[Ch]:FBANd BAND5
 | 9GHz - 26.5GHz |  | :SENSe:PN[Ch]:FBANd BAND6
Nominal Frequency |  |  | :SENSe:PN[Ch]:DCONverter:FREQuency
Carrier Search |  |  | :SENSe:PN[Ch]:DCONverter:SSEarch:EXECute
IF Gain |  |  | :SENSe:PN[Ch]:IFGain
LO PhNoise Optimize | L(f)for > 150kHz |  | :SENSe:PN[Ch]:LOBandwidth NARR
 | L(f)for < 150kHz |  | :SENSe:PN[Ch]:LOBandwidth WIDE
Measurement Quality | Normal |  | :SENSe:PN[Ch]:SEGTable[:MEASurement][:QUALity] NORM
 | Fast |  | :SENSe:PN[Ch]:SEGTable[:MEASurement][:QUALity] FAST
Capture Range | Normal |  | :SENSe:PN[Ch]:CRANge NORM
 | Wide |  | :SENSe:PN[Ch]:CRANge WIDE
Reference Oscillator | Bandwidth | Narrow | :SENSe:PN[Ch]:ROSCillator:BANDwidth NARR
 |  | Wide | :SENSe:PN[Ch]:ROSCillator:BANDwidth WIDE
 | Ref. Osc.1 source | internal | :SENSe:PN[Ch]:ROSCillator:REFerence1:SOURce INT
 | Ref. Osc.2 source | External | :SENSe:PN[Ch]:ROSCillator:REFerence1:SOURce EXT
 | Ref. Osc.2 source | internal | :SENSe:PN[Ch]:ROSCillator:REFerence2:SOURce INT
 | Ref. Osc.3 source | External | :SENSe:PN[Ch]:ROSCillator:REFerence2:SOURce EXT
Auto setting |  |  | :SENSe:PN(Ch):ASET


PS_Setup

Setup - PS Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  |  | COM Command | SCPI Command
Frequency Band | 10M - 41MHz |  | SCPI.SENSe.PS(Ch).FBANd | :SENSe:PS[Ch]:FBANd BAND1
 | 39M - 101MHz |  |  | :SENSe:PS[Ch]:FBANd BAND2
 | 99M - 1.5GHz |  |  | :SENSe:PS[Ch]:FBANd BAND3
 | 250M - 7GHz |  |  | :SENSe:PS[Ch]:FBANd BAND4
 | 3GHz - 10GHz |  |  | :SENSe:PS[Ch]:FBANd BAND5
 | 9GHz - 26.5GHz |  |  | :SENSe:PS[Ch]:FBANd BAND6
Nominal Frequency |  |  | SCPI.SENSe.PS(Ch).DCONverter.FREQuency | :SENSe:PS[Ch]:DCONverter:FREQuency
Carrier Search |  |  | SCPI.SENSe.PS(Ch).DCONverter.SSEarch.EXECute | :SENSe:PS[Ch]:DCONverter:SSEarch:EXECute
IF Gain |  |  | SCPI.SENSe.PS(Ch).IFGain | :SENSe:PS[Ch]:IFGain
LO PhNoise Optimize | L(f)for > 150kHz |  | SCPI.SENSe.PS(Ch).LOBandwidth | :SENSe:PS[Ch]:LOBandwidth NARR
 | L(f)for < 150kHz |  |  | :SENSe:PS[Ch]:LOBandwidth WIDE
Capture Range | Normal |  | SCPI.SENSe.PS(Ch).CRANge | :SENSe:PS[Ch]:CRANge NORM
 | Wide |  |  | :SENSe:PS[Ch]:CRANge WIDE
Reference Oscillator | Bandwidth | Narrow | SCPI.SENSe.PS(Ch).ROSCillator.BANDwidth | :SENSe:PS[Ch]:ROSCillator:BANDwidth NARR
 |  | Wide |  | :SENSe:PS[Ch]:ROSCillator:BANDwidth WIDE
 | Ref. Osc.1 source | internal | SCPI.SENSe.PS(Ch).ROSCillator.REFerence1.SOURce | :SENSe:PS[Ch]:ROSCillator:REFerence1:SOURce INT
 | Ref. Osc.2 source | External | SCPI.SENSe.PS(Ch).ROSCillator.REFerence1.SOURce | :SENSe:PS[Ch]:ROSCillator:REFerence1:SOURce EXT
 | Ref. Osc.2 source | internal | SCPI.SENSe.PS(Ch).ROSCillator.REFerence2.SOURce | :SENSe:PS[Ch]:ROSCillator:REFerence2:SOURce INT
 | Ref. Osc.3 source | External | SCPI.SENSe.PS(Ch).ROSCillator.REFerence2.SOURce | :SENSe:PS[Ch]:ROSCillator:REFerence2:SOURce EXT
Auto setting |  |  | SCPI.SENSe.PS(Ch).ASET | :SENSe:PS(Ch):ASET


PS_Setup_COM

Setup - PS Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  |  | COM Command
Frequency Band | 10M - 41MHz |  | SCPI.SENSe.PS(Ch).FBANd
 | 39M - 101MHz
 | 99M - 1.5GHz
 | 250M - 7GHz
 | 3GHz - 10GHz
 | 9GHz - 26.5GHz
Nominal Frequency |  |  | SCPI.SENSe.PS(Ch).DCONverter.FREQuency
Carrier Search |  |  | SCPI.SENSe.PS(Ch).DCONverter.SSEarch.EXECute
IF Gain |  |  | SCPI.SENSe.PS(Ch).IFGain
LO PhNoise Optimize | L(f)for > 150kHz |  | SCPI.SENSe.PS(Ch).LOBandwidth
 | L(f)for < 150kHz
Capture Range | Normal |  | SCPI.SENSe.PS(Ch).CRANge
 | Wide
Reference Oscillator | Bandwidth | Narrow | SCPI.SENSe.PS(Ch).ROSCillator.BANDwidth
 |  | Wide
 | Ref. Osc.1 source | internal | SCPI.SENSe.PS(Ch).ROSCillator.REFerence1.SOURce
 | Ref. Osc.2 source | External | SCPI.SENSe.PS(Ch).ROSCillator.REFerence1.SOURce
 | Ref. Osc.2 source | internal | SCPI.SENSe.PS(Ch).ROSCillator.REFerence2.SOURce
 | Ref. Osc.3 source | External | SCPI.SENSe.PS(Ch).ROSCillator.REFerence2.SOURce
Auto setting |  |  | SCPI.SENSe.PS(Ch).ASET


PS_Setup_SCPI

Setup - PS Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Setup key |  |  | SCPI Command
Frequency Band | 10M - 41MHz |  | :SENSe:PS[Ch]:FBANd BAND1
 | 39M - 101MHz |  | :SENSe:PS[Ch]:FBANd BAND2
 | 99M - 1.5GHz |  | :SENSe:PS[Ch]:FBANd BAND3
 | 250M - 7GHz |  | :SENSe:PS[Ch]:FBANd BAND4
 | 3GHz - 10GHz |  | :SENSe:PS[Ch]:FBANd BAND5
 | 9GHz - 26.5GHz |  | :SENSe:PS[Ch]:FBANd BAND6
Nominal Frequency |  |  | :SENSe:PS[Ch]:DCONverter:FREQuency
Carrier Search |  |  | :SENSe:PS[Ch]:DCONverter:SSEarch:EXECute
IF Gain |  |  | :SENSe:PS[Ch]:IFGain
LO PhNoise Optimize | L(f)for > 150kHz |  | :SENSe:PS[Ch]:LOBandwidth NARR
 | L(f)for < 150kHz |  | :SENSe:PS[Ch]:LOBandwidth WIDE
Capture Range | Normal |  | :SENSe:PS[Ch]:CRANge NORM
 | Wide |  | :SENSe:PS[Ch]:CRANge WIDE
Reference Oscillator | Bandwidth | Narrow | :SENSe:PS[Ch]:ROSCillator:BANDwidth NARR
 |  | Wide | :SENSe:PS[Ch]:ROSCillator:BANDwidth WIDE
 | Ref. Osc.1 source | internal | :SENSe:PS[Ch]:ROSCillator:REFerence1:SOURce INT
 | Ref. Osc.2 source | External | :SENSe:PS[Ch]:ROSCillator:REFerence1:SOURce EXT
 | Ref. Osc.2 source | internal | :SENSe:PS[Ch]:ROSCillator:REFerence2:SOURce INT
 | Ref. Osc.3 source | External | :SENSe:PS[Ch]:ROSCillator:REFerence2:SOURce EXT
Auto setting |  |  | :SENSe:PS(Ch):ASET


sp_setup

Setup - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Setup Key | COM Command | SCPI Command
Reference Level | SCPI.SENSe.SP(Ch).POWer.RLEVel | :SENSe:SP[Ch]:POWer:RLEVel


sp_setup_COM

Setup - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Setup Key | COM Command
Reference Level | SCPI.SENSe.SP(Ch).POWer.RLEVel


sp_setup_SCPI

Setup - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Setup Key | SCPI Command
Reference Level | :SENSe:SP[1-1]:POWer:RLEVel


tr_setup

Setup - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Setup Key |  |  | COM Command | SCPI Command
Wide Max Frequency |  |  | SCPI.SENSe.TR(Ch).WIDE.FREQuency.MAXimum | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum
Wide Freq Range | 50 M - 150 MHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 150M
 | 100 M - 300 MHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 300M
 | 200 M - 600 MHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 600M
 | 300 M - 900 MHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 900M
 | 400 M - 1.2 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 1.2G
 | 500 M - 1.5 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 1.5G
 | 600 M - 1.8 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 1.8G
 | 800 M - 2.4 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 2.4G
 | 1 G - 3 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 3G
 | 1.2 G - 3.6 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 3.6G
 | 1.4 G - 4.2 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 4.2G
 | 1.6 G - 4.8 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 4.8G
 | 1.2 G - 6 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 6G
 | 1.8 G - 5.4 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 5.4G
 | 2 G - 6 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 6G
 | 2.2 G - 6.6 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 6.6G
 | 2.4 G - 7.2 GHz |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 7.2G
Target Freq |  |  | SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:TARGet
Freq Range | 80MHz |  | SCPI.SENSe.TR(Ch).NARRow (Nr).FREQuency.RANGe | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R80
 | 25.6MHz |  |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R25_6
 | 1.6MHz |  |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R1_6
 | 200kHz |  |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R0_2
 | 25kHz |  |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R25K
 | 3.125kHz |  |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R3K
Phase Reference |  |  | SCPI.SENSe.TR(Ch).NARRow (Nr).FREQuency.PREFerence | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:PREFerence
N2 Target Freq |  |  | SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:TARGet
N2 Freq Range | 80MHz |  | SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RANGe | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R80
 | 25.6MHz |  |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R25_6
 | 1.6MHz |  |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R1_6
 | 200kHz |  |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R0_2
 | 25kHz |  |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R25K
 | 3.125kHz |  |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R3K
N2 Phase Reference |  |  | SCPI.SENSe.TR(Ch).NARRow (Nr).FREQuency.PREFerence | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:PREFerence
Recalc Phase Reference | Phase Ref. Offset |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.OFFSet | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:PREFerence:OFFSet
 | Auto Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.AUTO | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:AUTO
 | X Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XPOSition | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:XPOSition
 | X Span |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XSPan | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:XSPan
 | N2 Phase Ref. Offset |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.OFFSet | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:PREFerence:OFFSet
 | N2 Auto Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.AUTO | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:AUTO
 | N2 X Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XPOSition | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:XPOSition
 | N2 X Span |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XSPan | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:XSPan
Max Input Level |  |  | SCPI.SENSe.TR(Ch).POWer.INPut.LEVel.MAXimum | :SENSe:TR[Ch]:POWer:INPut:LEVel:MAXimum
Video Trigger | Wide Video Mode | In | SCPI.TRIGger.TR(Ch).WIDE.VIDeo.MODE | :TRIGger:TR[Ch]:WIDE:VIDeo:MODE IN
 |  | Out |  | :TRIGger:TR[Ch]:WIDE:VIDeo:MODE OUT
 |  | Positive |  | :TRIGger:TR[Ch]:WIDE:VIDeo:MODE POS
 |  | Negative |  | :TRIGger:TR[Ch]:WIDE:VIDeo:MODE NEG
 | Wide Freq |  | SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.CENTer | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:CENTer
 | Wide Width | 13.8MHz | SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.WIDTh | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 13.8M
 |  | 27.5MHz |  | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 27.5M
 |  | 55MHz |  | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 55M
 |  | 110MHz |  | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 110M
 |  | 220MHz |  | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 220M
 |  | 440MHz |  | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 440M
 |  | 880MHz |  | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 880M
 | Narrow Video Mode | In | SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.MODE | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE IN
 |  | Out |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE OUT
 |  | Positive |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE POS
 |  | Negative |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE NEG
 | Narrow Freq |  | SCPI.TRIGger.TR(Ch).NARRow (Nr).VIDeo.FREQuency.CENTer | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:CENTer
 | Narrow Width | 430kHz | SCPI.TRIGger.TR(Ch).NARRow (Nr).VIDeo.FREQuency.WIDTh | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 430k
 |  | 859kHz |  | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 859k
 |  | 1.72MHz |  | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 1.72M
 |  | 3.44MHz |  | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 3.44M
 |  | 6.88MHz |  | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 6.88M
 |  | 13.8MHz |  | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 13.8M
 |  | 27.5MHz |  | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 27.5M
 | Minimum Power Level |  | SCPI.TRIGger.TR(Ch).NARRow (Nr).VIDeo.THReshold | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:THReshold
 | Narrow2 Video Mode | In | SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.MODE | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE IN
 |  | Out |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE OUT
 |  | Positive |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE POS
 |  | Negative |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE NEG
 | Narrow2 Freq |  | SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.CENTer | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:CENTer
 | Narrow2 Width | 0 | SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.WIDTh | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 0
 |  | 1 |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 1
 |  | 2 |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 2
 |  | 3 |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 3
 |  | 4 |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 4
 |  | 5 |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 5
 |  | 6 |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 6
 |  | 7 |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 7
 |  | 8 |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 8
 |  | 9 |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 9
 | Minimum Power Level |  | SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.THReshold | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:THReshold
Advanced Setup | Advanced mode |  | SCPI.SENSe.TR(Ch).NARRow(Nr).AMODe | :SENSe:TR[Ch]:NARRow (Nr):AMODe
 | Narrow Freq Reso. | 290Hz | SCPI.SENSe.TR(Ch).NARRow (Nr).FREQuency.RESolution | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RESolution R1
 |  | 810Hz |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RESolution R2
 |  | 2.3kHz |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RESolution R3
 |  | 6.5kHz |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RESolution R4
 | Narrow Time Reso. |  | SCPI.SENSe.TR(Ch).NARRow (Nr).TIME.RESolution | :SENSe:TR[Ch]:NARRow (Nr):TIME:RESolution
 | Narrow Zoom Out |  | SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.ZOUT | :SENSe:TR[Ch]:NARRow(Nr):TIME:ZOUT
 | Narrow Display Start |  | SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.DSTart | :SENSe:TR[Ch]:NARRow(Nr):TIME:DSTart
Measurement Mode | Wide-Narrow |  | SCPI.SENSe.TR(Ch).MMODe | :SENSe:TR(Ch):MMODe WN
 | Narrow-Narrow |  |  |


tr_setup_COM

Setup - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Setup Key |  |  | COM Command
Wide Max Frequency |  |  | SCPI.SENSe.TR(Ch).WIDE.FREQuency.MAXimum
Wide Freq Range | 50 M - 150 MHz |
 | 100 M - 300 MHz |
 | 200 M - 600 MHz |
 | 300 M - 900 MHz |
 | 400 M - 1.2 GHz |
 | 500 M - 1.5 GHz |
 | 600 M - 1.8 GHz |
 | 800 M - 2.4 GHz |
 | 1 G - 3 GHz |
 | 1.2 G - 3.6 GHz |
 | 1.4 G - 4.2 GHz |
 | 1.6 G - 4.8 GHz |
 | 1.2 G - 6 GHz |
 | 1.8 G - 5.4 GHz |
 | 2 G - 6 GHz |
 | 2.2 G - 6.6 GHz |
 | 2.4 G - 7.2 GHz |
Target Freq |  |  | SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet
Freq Range | 80MHz |  | SCPI.SENSe.TR(Ch).NARRow (Nr).FREQuency.RANGe
 | 25.6MHz |
 | 1.6MHz |
 | 200kHz |
 | 25kHz |
 | 3.125kHz |
Phase Reference |  |  | SCPI.SENSe.TR(Ch).NARRow (Nr).FREQuency.PREFerence
N2 Target Freq |  |  | SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet
N2 Freq Range | 80MHz |  | SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.RANGe
 | 25.6MHz |
 | 1.6MHz |
 | 200kHz |
 | 25kHz |
 | 3.125kHz |
N2 Phase Reference |  |  | SCPI.SENSe.TR(Ch).NARRow (Nr).FREQuency.PREFerence
Recalc Phase Reference | Phase Ref. Offset |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.OFFSet
 | Auto Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.AUTO
 | X Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XPOSition
 | X Span |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XSPan
 | N2 Phase Ref. Offset |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.OFFSet
 | N2 Auto Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.AUTO
 | N2 X Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XPOSition
 | N2 X Span |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.PREFerence.XSPan
Max Input Level |  |  | SCPI.SENSe.TR(Ch).POWer.INPut.LEVel.MAXimum
Video Trigger | Wide Video Mode | In | SCPI.TRIGger.TR(Ch).WIDE.VIDeo.MODE
 |  | Out
 |  | Positive
 |  | Negative
 | Wide Freq |  | SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.CENTer
 | Wide Width | 13.8MHz | SCPI.TRIGger.TR(Ch).WIDE.VIDeo.FREQuency.WIDTh
 |  | 27.5MHz
 |  | 55MHz
 |  | 110MHz
 |  | 220MHz
 |  | 440MHz
 |  | 880MHz
 | Narrow Video Mode | In | SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.MODE
 |  | Out
 |  | Positive
 |  | Negative
 | Narrow Freq |  | SCPI.TRIGger.TR(Ch).NARRow (Nr).VIDeo.FREQuency.CENTer
 | Narrow Width | 430kHz | SCPI.TRIGger.TR(Ch).NARRow (Nr).VIDeo.FREQuency.WIDTh
 |  | 859kHz
 |  | 1.72MHz
 |  | 3.44MHz
 |  | 6.88MHz
 |  | 13.8MHz
 |  | 27.5MHz
 | Minimum Power Level |  | SCPI.TRIGger.TR(Ch).NARRow (Nr).VIDeo.THReshold
 | Narrow2 Video Mode | In | SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.MODE
 |  | Out
 |  | Positive
 |  | Negative
 | Narrow2 Freq |  | SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.CENTer
 | Narrow2 Width | 0 | SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.FREQuency.WIDTh
 |  | 1
 |  | 2
 |  | 3
 |  | 4
 |  | 5
 |  | 6
 |  | 7
 |  | 8
 |  | 9
 | Minimum Power Level |  | SCPI.TRIGger.TR(Ch).NARRow(Nr).VIDeo.THReshold
Advanced Setup | Advanced mode |  | SCPI.SENSe.TR(Ch).NARRow(Nr).AMODe
 | Narrow Freq Reso. | 290Hz | SCPI.SENSe.TR(Ch).NARRow (Nr).FREQuency.RESolution
 |  | 810Hz
 |  | 2.3kHz
 |  | 6.5kHz
 | Narrow Time Reso. |  | SCPI.SENSe.TR(Ch).NARRow (Nr).TIME.RESolution
 | Narrow Zoom Out |  | SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.ZOUT
 | Narrow Display Start |  | SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.DSTart
Measurement Mode | Wide-Narrow |  | SCPI.SENSe.TR(Ch).MMODe
 | Narrow-Narrow |


tr_setup_SCPI

Setup - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Setup Key |  |  | SCPI Command
Wide Max Frequency |  |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum
Wide Freq Range | 50 M - 150 MHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 150M
 | 100 M - 300 MHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 300M
 | 200 M - 600 MHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 600M
 | 300 M - 900 MHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 900M
 | 400 M - 1.2 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 1.2G
 | 500 M - 1.5 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 1.5G
 | 600 M - 1.8 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 1.8G
 | 800 M - 2.4 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 2.4G
 | 1 G - 3 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 3G
 | 1.2 G - 3.6 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 3.6G
 | 1.4 G - 4.2 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 4.2G
 | 1.6 G - 4.8 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 4.8G
 | 1.2 G - 6 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 6G
 | 1.8 G - 5.4 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 5.4G
 | 2 G - 6 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 6G
 | 2.2 G - 6.6 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 6.6G
 | 2.4 G - 7.2 GHz |  | :SENSe:TR[Ch]:WIDE:FREQuency:MAXimum 7.2G
Target Freq |  |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:TARGet
Freq Range | 80MHz |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R80
 | 25.6MHz |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R25_6
 | 1.6MHz |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R1_6
 | 200kHz |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R0_2
 | 25kHz |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R25K
 | 3.125kHz |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RANGe R3K
Phase Reference |  |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:PREFerence
N2 Target Freq |  |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:TARGet
N2 Freq Range | 80MHz |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R80
 | 25.6MHz |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R25_6
 | 1.6MHz |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R1_6
 | 200kHz |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R0_2
 | 25kHz |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R25K
 | 3.125kHz |  | :SENSe:TR[Ch]:NARRow(Nr):FREQuency:RANGe R3K
N2 Phase Reference |  |  | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:PREFerence
Recalc Phase Reference | Phase Ref. Offset |  | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:PREFerence:OFFSet
 | Auto Reference |  | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:AUTO
 | X Reference |  | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:XPOSition
 | X Span |  | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:XSPan
 | N2 Phase Ref. Offset |  | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:PREFerence:OFFSet
 | N2 Auto Reference |  | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:AUTO
 | N2 X Reference |  | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:XPOSition
 | N2 X Span |  | :CALCulate:TR(Ch):TRACe(Tr):FORMat:PHASe:PREFerence:XSPan
Max Input Level |  |  | :SENSe:TR[Ch]:POWer:INPut:LEVel:MAXimum
Video Trigger | Wide Video Mode | In | :TRIGger:TR[Ch]:WIDE:VIDeo:MODE IN
 |  | Out | :TRIGger:TR[Ch]:WIDE:VIDeo:MODE OUT
 |  | Positive | :TRIGger:TR[Ch]:WIDE:VIDeo:MODE POS
 |  | Negative | :TRIGger:TR[Ch]:WIDE:VIDeo:MODE NEG
 | Wide Freq |  | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:CENTer
 | Wide Width | 13.8MHz | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 13.8M
 |  | 27.5MHz | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 27.5M
 |  | 55MHz | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 55M
 |  | 110MHz | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 110M
 |  | 220MHz | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 220M
 |  | 440MHz | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 440M
 |  | 880MHz | :TRIGger:TR[Ch]:WIDE:VIDeo:FREQuency:WIDTh 880M
 | Narrow Video Mode | In | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE IN
 |  | Out | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE OUT
 |  | Positive | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE POS
 |  | Negative | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE NEG
 | Narrow Freq |  | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:CENTer
 | Narrow Width | 430kHz | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 430k
 |  | 859kHz | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 859k
 |  | 1.72MHz | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 1.72M
 |  | 3.44MHz | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 3.44M
 |  | 6.88MHz | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 6.88M
 |  | 13.8MHz | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 13.8M
 |  | 27.5MHz | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:FREQuency:WIDTh 27.5M
 | Minimum Power Level |  | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:THReshold
 | Narrow2 Video Mode | In | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE IN
 |  | Out | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE OUT
 |  | Positive | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE POS
 |  | Negative | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:MODE NEG
 | Narrow2 Freq |  | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:CENTer
 | Narrow2 Width | 0 | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 0
 |  | 1 | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 1
 |  | 2 | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 2
 |  | 3 | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 3
 |  | 4 | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 4
 |  | 5 | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 5
 |  | 6 | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 6
 |  | 7 | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 7
 |  | 8 | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 8
 |  | 9 | :TRIGger:TR[Ch]:NARRow(Nr):VIDeo:FREQuency:WIDTh 9
 | Minimum Power Level |  | :TRIGger:TR[Ch]:NARRow (Nr):VIDeo:THReshold
Advanced Setup | Advanced mode |  | :SENSe:TR[Ch]:NARRow(Nr):AMODe
 | Narrow Freq Reso. | 290Hz | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RESolution R1
 |  | 810Hz | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RESolution R2
 |  | 2.3kHz | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RESolution R3
 |  | 6.5kHz | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:RESolution R4
 | Narrow Time Reso. |  | :SENSe:TR[Ch]:NARRow (Nr):TIME:RESolution
 | Narrow Zoom Out |  | :SENSe:TR[Ch]:NARRow(Nr):TIME:ZOUT
 | Narrow Display Start |  | :SENSe:TR[Ch]:NARRow(Nr):TIME:DSTart
Measurement Mode | Wide-Narrow |  | :SENSe:TR(Ch):MMODe WN
 | Narrow-Narrow |  |


am_trigger

Trigger - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command | SCPI Command
Trigger to AM Noise |  |  | SCPI.TRIGger.MODE | :TRIGger:MODE AM1
Hold |  |  | SCPI.INITiate.AM(Ch).IMMediate | :INITiate:AM[Ch]:IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.AM(Ch).CONTinuous | :INITiate:AM[Ch]:CONTinuous
Restart |  |  | SCPI.INITiate.AM(Ch).IMMediate | :INITiate:AM[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.AM(Ch).SOURce | :TRIGger:AM[Ch]:SOURce INT
 | External |  |  | :TRIGger:AM[Ch]:SOURce EXT
 | Manual |  |  | :TRIGger:AM[Ch]:SOURce MAN
 | Bus |  |  | :TRIGger:AM[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe | :TRIGger:OUTPut:STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity | :TRIGger:OUTPut:POLarity POS
 |  | Negative |  | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End |  | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | SCPI.TRIGger.AVERage | :TRIGger:AVERage
Window Couple |  |  | SCPI.TRIGger.WCOuple | :TRIGger:WCOuple


am_trigger_COM

Trigger - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command
Trigger to AM Noise |  |  | SCPI.TRIGger.MODE
Hold |  |  | SCPI.INITiate.AM(Ch).IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.AM(Ch).CONTinuous
Restart |  |  | SCPI.INITiate.AM(Ch).IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.AM(Ch).SOURce
 | External |
 | Manual |
 | Bus |
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe
 | Positive |
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity
 |  | Negative
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect
 |  | Analog meas. End
Average Trigger |  |  | SCPI.TRIGger.AVERage
Window Couple |  |  | SCPI.TRIGger.WCOuple


am_trigger_SCPI

Trigger - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | SCPI Command
Trigger to AM Noise |  |  | :TRIGger:MODE AM1
Hold |  |  | :INITiate:AM[Ch]:IMMediate
Single |  |
Continuous |  |  | :INITiate:AM[Ch]:CONTinuous
Restart |  |  | :INITiate:AM[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | :TRIGger:AM[Ch]:SOURce INT
 | External |  | :TRIGger:AM[Ch]:SOURce EXT
 | Manual |  | :TRIGger:AM[Ch]:SOURce MAN
 | Bus |  | :TRIGger:AM[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | :TRIGger:OUTPut:STATe
 | Polarity | Positive | :TRIGger:OUTPut:POLarity POS
 |  | Negative | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | :TRIGger:AVERage
Window Couple |  |  | :TRIGger:WCOuple


bb_trigger

Trigger - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command | SCPI Command
Trigger to Baseband Noise |  |  | SCPI.TRIGger.MODE | :TRIGger:MODE BB1
Hold |  |  | SCPI.INITiate.BB(Ch).IMMediate | :INITiate:BB[Ch]:IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.BB(Ch).CONTinuous | :INITiate:BB[Ch]:CONTinuous
Restart |  |  | SCPI.INITiate.BB(Ch).IMMediate | :INITiate:BB[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.BB(Ch).SOURce | :TRIGger:BB[Ch]:SOURce INT
 | External |  |  | :TRIGger:BB[Ch]:SOURce EXT
 | Manual |  |  | :TRIGger:BB[Ch]:SOURce MAN
 | Bus |  |  | :TRIGger:BB[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe | :TRIGger:OUTPut:STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity | :TRIGger:OUTPut:POLarity POS
 |  | Negative |  | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End |  | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | SCPI.TRIGger.AVERage | :TRIGger:AVERage
Window Couple |  |  | SCPI.TRIGger.WCOuple | :TRIGger:WCOuple


bb_trigger_COM

Trigger - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command
Trigger to Baseband Noise |  |  | SCPI.TRIGger.MODE
Hold |  |  | SCPI.INITiate.BB(Ch).IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.BB(Ch).CONTinuous
Restart |  |  | SCPI.INITiate.BB(Ch).IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.BB(Ch).SOURce
 | External |
 | Manual |
 | Bus |
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe
 | Positive |
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity
 |  | Negative
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect
 |  | Analog meas. End
Average Trigger |  |  | SCPI.TRIGger.AVERage
Window Couple |  |  | SCPI.TRIGger.WCOuple


bb_trigger_SCPI

Trigger - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | SCPI Command
Trigger to Baseband Noise |  |  | :TRIGger:MODE BB1
Hold |  |  | :INITiate:BB[Ch]:IMMediate
Single |  |
Continuous |  |  | :INITiate:BB[Ch]:CONTinuous
Restart |  |  | :INITiate:BB[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | :TRIGger:BB[Ch]:SOURce INT
 | External |  | :TRIGger:BB[Ch]:SOURce EXT
 | Manual |  | :TRIGger:BB[Ch]:SOURce MAN
 | Bus |  | :TRIGger:BB[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | :TRIGger:OUTPut:STATe
 | Polarity | Positive | :TRIGger:OUTPut:POLarity POS
 |  | Negative | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | :TRIGger:AVERage
Window Couple |  |  | :TRIGger:WCOuple


fp_trigger

Trigger - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command | SCPI Command
Trigger to Freq & Power |  |  | SCPI.TRIGger.MODE | :TRIGger:MODE FP1
Hold |  |  | SCPI.INITiate.FP(Ch).IMMediate | :INITiate:FP[Ch]:IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.FP(Ch).CONTinuous | :INITiate:FP[Ch]:CONTinuous
Restart |  |  | SCPI.INITiate.FP(Ch).IMMediate | :INITiate:FP[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.FP(Ch).SOURce | :TRIGger:FP[Ch]:SOURce INT
 | External |  |  | :TRIGger:FP[Ch]:SOURce EXT
 | Manual |  |  | :TRIGger:FP[Ch]:SOURce MAN
 | Bus |  |  | :TRIGger:FP[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe | :TRIGger:OUTPut:STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity | :TRIGger:OUTPut:POLarity POS
 |  | Negative |  | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End |  | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | SCPI.TRIGger.AVERage | :TRIGger:AVERage
Mode | Analyzer |  | SCPI.TRIGger.FP(Ch).MODE | :TRIGger:FP[Ch]:MODE ANAL
 | Testing |  |  | :TRIGger:FP[Ch]:MODE TEST
Window Couple |  |  | SCPI.TRIGger.WCOuple | :TRIGger:WCOuple


fp_trigger_COM

Trigger - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command
Trigger to Freq & Power |  |  | SCPI.TRIGger.MODE
Hold |  |  | SCPI.INITiate.FP(Ch).IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.FP(Ch).CONTinuous
Restart |  |  | SCPI.INITiate.FP(Ch).IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.FP(Ch).SOURce
 | External |
 | Manual |
 | Bus |
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe
 | Positive |
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity
 |  | Negative
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect
 |  | Analog meas. End
Average Trigger |  |  | SCPI.TRIGger.AVERage
Mode | Analyzer |  | SCPI.TRIGger.FP(Ch).MODE
 | Testing |
Window Couple |  |  | SCPI.TRIGger.WCOuple


fp_trigger_SCPI

Trigger - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | SCPI Command
Trigger to Freq & Power |  |  | :TRIGger:MODE FP1
Hold |  |  | :INITiate:FP[Ch]:IMMediate
Single |  |
Continuous |  |  | :INITiate:FP[Ch]:CONTinuous
Restart |  |  | :INITiate:FP[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | :TRIGger:FP[Ch]:SOURce INT
 | External |  | :TRIGger:FP[Ch]:SOURce EXT
 | Manual |  | :TRIGger:FP[Ch]:SOURce MAN
 | Bus |  | :TRIGger:FP[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | :TRIGger:OUTPut:STATe
 | Polarity | Positive | :TRIGger:OUTPut:POLarity POS
 |  | Negative | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | :TRIGger:AVERage
Mode | Analyzer |  | :TRIGger:FP[Ch]:MODE ANAL
 | Testing |  | :TRIGger:FP[Ch]:MODE TEST
Window Couple |  |  | :TRIGger:WCOuple


pn_trigger

Trigger - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command | SCPI Command
Trigger to Phase Noise |  |  | SCPI.TRIGger.MODE | :TRIGger:MODE PN1
Hold |  |  | SCPI.INITiate.PN(Ch).IMMediate | :INITiate:PN[Ch]:IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.PN(Ch).CONTinuous | :INITiate:PN[Ch]:CONTinuous
Restart |  |  | SCPI.INITiate.PN(Ch).IMMediate | :INITiate:PN[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.PN(Ch).SOURce | :TRIGger:PN[Ch]:SOURce INT
 | External |  |  | :TRIGger:PN[Ch]:SOURce EXT
 | Manual |  |  | :TRIGger:PN[Ch]:SOURce MAN
 | Bus |  |  | :TRIGger:PN[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe | :TRIGger:OUTPut:STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity | :TRIGger:OUTPut:POLarity POS
 |  | Negative |  | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End |  | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | SCPI.TRIGger.AVERage | :TRIGger:AVERage
Window Couple |  |  | SCPI.TRIGger.WCOuple | :TRIGger:WCOuple


pn_trigger_COM

Trigger - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command
Trigger to Phase Noise |  |  | SCPI.TRIGger.MODE
Hold |  |  | SCPI.INITiate.PN(Ch).IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.PN(Ch).CONTinuous
Restart |  |  | SCPI.INITiate.PN(Ch).IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.PN(Ch).SOURce
 | External |
 | Manual |
 | Bus |
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe
 | Positive |
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity
 |  | Negative
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect
 |  | Analog meas. End
Average Trigger |  |  | SCPI.TRIGger.AVERage
Window Couple |  |  | SCPI.TRIGger.WCOuple


pn_trigger_SCPI

Trigger - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | SCPI Command
Trigger to Phase Noise |  |  | :TRIGger:MODE PN1
Hold |  |  | :INITiate:PN[Ch]:IMMediate
Single |  |
Continuous |  |  | :INITiate:PN[Ch]:CONTinuous
Restart |  |  | :INITiate:PN[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | :TRIGger:PN[Ch]:SOURce INT
 | External |  | :TRIGger:PN[Ch]:SOURce EXT
 | Manual |  | :TRIGger:PN[Ch]:SOURce MAN
 | Bus |  | :TRIGger:PN[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | :TRIGger:OUTPut:STATe
 | Polarity | Positive | :TRIGger:OUTPut:POLarity POS
 |  | Negative | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | :TRIGger:AVERage
Window Couple |  |  | :TRIGger:WCOuple


ps_trigger

Trigger - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command | SCPI Command
Trigger to Segment PN |  |  | SCPI.TRIGger.MODE | :TRIGger:MODE PS1
Hold |  |  | SCPI.INITiate.PS(Ch).IMMediate | :INITiate:PS[Ch]:IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.PS(Ch).CONTinuous | :INITiate:PS[Ch]:CONTinuous
Restart |  |  | SCPI.INITiate.PS(Ch).IMMediate | :INITiate:PS[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.PS(Ch).SOURce | :TRIGger:PS[Ch]:SOURce INT
 | External |  |  | :TRIGger:PS[Ch]:SOURce EXT
 | Manual |  |  | :TRIGger:PS[Ch]:SOURce MAN
 | Bus |  |  | :TRIGger:PS[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe | :TRIGger:OUTPut:STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity | :TRIGger:OUTPut:POLarity POS
 |  | Negative |  | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End |  | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | SCPI.TRIGger.AVERage | :TRIGger:AVERage
Window Couple |  |  | SCPI.TRIGger.WCOuple | :TRIGger:WCOuple


ps_trigger_COM

Trigger - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command
Trigger to Segment PN |  |  | SCPI.TRIGger.MODE
Hold |  |  | SCPI.INITiate.PS(Ch).IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.PS(Ch).CONTinuous
Restart |  |  | SCPI.INITiate.PS(Ch).IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.PS(Ch).SOURce
 | External |
 | Manual |
 | Bus |
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe
 | Positive |
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity
 |  | Negative
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect
 |  | Analog meas. End
Average Trigger |  |  | SCPI.TRIGger.AVERage
Window Couple |  |  | SCPI.TRIGger.WCOuple


ps_trigger_SCPI

Trigger - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | SCPI Command
Trigger to Segment PN |  |  | :TRIGger:MODE PS1
Hold |  |  | :INITiate:PS[Ch]:IMMediate
Single |  |
Continuous |  |  | :INITiate:PS[Ch]:CONTinuous
Restart |  |  | :INITiate:PS[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | :TRIGger:PS[Ch]:SOURce INT
 | External |  | :TRIGger:PS[Ch]:SOURce EXT
 | Manual |  | :TRIGger:PS[Ch]:SOURce MAN
 | Bus |  | :TRIGger:PS[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | :TRIGger:OUTPut:STATe
 | Polarity | Positive | :TRIGger:OUTPut:POLarity POS
 |  | Negative | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | :TRIGger:AVERage
Window Couple |  |  | :TRIGger:WCOuple


sp_trigger

Trigger - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command | SCPI Command
Trigger to Spectrum Monitor |  |  | SCPI.TRIGger.MODE | :TRIGger:MODE SP1
Hold |  |  | SCPI.INITiate.SP(Ch).IMMediate | :INITiate:SP[Ch]:IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.SP(Ch).CONTinuous | :INITiate:SP[Ch]:CONTinuous
Restart |  |  | SCPI.INITiate.SP(Ch).IMMediate | :INITiate:SP[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.SP(Ch).SOURce | :TRIGger:SP[Ch]:SOURce INT
 | External |  |  | :TRIGger:SP[Ch]:SOURce EXT
 | Manual |  |  | :TRIGger:SP[Ch]:SOURce MAN
 | Bus |  |  | :TRIGger:SP[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe | :TRIGger:OUTPut:STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity | :TRIGger:OUTPut:POLarity POS
 |  | Negative |  | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End |  | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | SCPI.TRIGger.AVERage | :TRIGger:AVERage
Window Couple |  |  | SCPI.TRIGger.WCOuple | :TRIGger:WCOuple


sp_trigger_COM

Trigger - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command
Trigger to Spectrum Monitor |  |  | SCPI.TRIGger.MODE
Hold |  |  | SCPI.INITiate.SP(Ch).IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.SP(Ch).CONTinuous
Restart |  |  | SCPI.INITiate.SP(Ch).IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.SP(Ch).SOURce
 | External |
 | Manual |
 | Bus |
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe
 | Positive |
Ext Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity
 |  | Negative
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect
 |  | Analog meas. End
Average Trigger |  |  | SCPI.TRIGger.AVERage
Window Couple |  |  | SCPI.TRIGger.WCOuple


sp_trigger_SCPI

Trigger - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | SCPI Command
Trigger to Spectrum Monitor |  |  | :TRIGger:MODE SP1
Hold |  |  | :INITiate:SP[Ch]:IMMediate
Single |  |
Continuous |  |  | :INITiate:SP[Ch]:CONTinuous
Restart |  |  | :INITiate:SP[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | :TRIGger:SP[Ch]:SOURce INT
 | External |  | :TRIGger:SP[Ch]:SOURce EXT
 | Manual |  | :TRIGger:SP[Ch]:SOURce MAN
 | Bus |  | :TRIGger:SP[Ch]:SOURce BUS
Ext Trig Polarity | Negative |  | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  | :TRIGger:EXTernal:SLOPe POS
Ext Trig Output | State |  | :TRIGger:OUTPut:STATe
 | Polarity | Positive | :TRIGger:OUTPut:POLarity POS
 |  | Negative | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | :TRIGger:AVERage
Window Couple |  |  | :TRIGger:WCOuple


tr_trigger

Trigger - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command | SCPI Command
Trigger to Transient |  |  | SCPI.TRIGger.MODE | :TRIGger:MODE TR1
Hold |  |  | SCPI.INITiate.TR(Ch).IMMediate | :INITiate:TR[Ch]:IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.TR(Ch).CONTinuous | :INITiate:TR[Ch]:CONTinuous
Restart |  |  | SCPI.INITiate.TR(Ch).IMMediate | :INITiate:TR[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.TR(Ch).SOURce | :TRIGger:TR[Ch]:SOURce INT
 | External |  |  | :TRIGger:TR[Ch]:SOURce EXT
 | Manual |  |  | :TRIGger:TR[Ch]:SOURce MAN
 | Bus |  |  | :TRIGger:TR[Ch]:SOURce BUS
 | Wide Video |  |  | :TRIGger:TR[Ch]:SOURce WVID
 | Narrow Video |  |  | :TRIGger:TR[Ch]:SOURce NVID
 | Narrow2 Video |  |  | :TRIGger:TR[Ch]:SOURce N2VID
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  |  | :TRIGger:EXTernal:SLOPe POS
Ext. Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe | :TRIGger:OUTPut:STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity | :TRIGger:OUTPut:POLarity POS
 |  | Negative |  | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End |  | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | SCPI.TRIGger.AVERage | :TRIGger:AVERage
Ext Trig Timing Adj. |  |  | SCPI.TRIGger.TR(Ch).ETTAdjust | :TRIGger:TR[Ch]:ETTAdjust
Window Couple |  |  | SCPI.TRIGger.WCOuple | :TRIGger:WCOuple


tr_trigger_COM

Trigger - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | COM Command
Trigger to Transient |  |  | SCPI.TRIGger.MODE
Hold |  |  | SCPI.INITiate.TR(Ch).IMMediate
Single |  |
Continuous |  |  | SCPI.INITiate.TR(Ch).CONTinuous
Restart |  |  | SCPI.INITiate.TR(Ch).IMMediate
Manual Trigger |  |
Source | Internal |  | SCPI.TRIGger.TR(Ch).SOURce
 | External |
 | Manual |
 | Bus |
 | Wide Video |
 | Narrow Video |
 | Narrow2 Video |
Ext Trig Polarity | Negative |  | SCPI.TRIGger.EXTernal.SLOPe
 | Positive |
Ext. Trig Output | State |  | SCPI.TRIGger.OUTPut.STATe
 | Polarity | Positive | SCPI.TRIGger.OUTPut.POLarity
 |  | Negative
 | Selection | Sweep end | SCPI.TRIGger.OUTPut.SELect
 |  | Analog meas. End
Average Trigger |  |  | SCPI.TRIGger.AVERage
Ext Trig Timing Adj. |  |  | SCPI.TRIGger.TR(Ch).ETTAdjust
Window Couple |  |  | SCPI.TRIGger.WCOuple


tr_trigger_SCPI

Trigger - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trigger Key |  |  | SCPI Command
Trigger to Transient |  |  | :TRIGger:MODE TR1
Hold |  |  | :INITiate:TR[Ch]:IMMediate
Single |  |
Continuous |  |  | :INITiate:TR[Ch]:CONTinuous
Restart |  |  | :INITiate:TR[Ch]:IMMediate
Manual Trigger |  |
Source | Internal |  | :TRIGger:TR[Ch]:SOURce INT
 | External |  | :TRIGger:TR[Ch]:SOURce EXT
 | Manual |  | :TRIGger:TR[Ch]:SOURce MAN
 | Bus |  | :TRIGger:TR[Ch]:SOURce BUS
 | Wide Video |  | :TRIGger:TR[Ch]:SOURce WVID
 | Narrow Video |  | :TRIGger:TR[Ch]:SOURce NVID
 | Narrow2 Video |  | :TRIGger:TR[Ch]:SOURce N2VID
Ext Trig Polarity | Negative |  | :TRIGger:EXTernal:SLOPe NEG
 | Positive |  | :TRIGger:EXTernal:SLOPe POS
Ext. Trig Output | State |  | :TRIGger:OUTPut:STATe
 | Polarity | Positive | :TRIGger:OUTPut:POLarity POS
 |  | Negative | :TRIGger:OUTPut:POLarity NEG
 | Selection | Sweep end | :TRIGger:OUTPut:SELect EOM
 |  | Analog meas. End | :TRIGger:OUTPut:SELect IND
Average Trigger |  |  | :TRIGger:AVERage
Ext Trig Timing Adj. |  |  | :TRIGger:TR[Ch]:ETTAdjust
Window Couple |  |  | :TRIGger:WCOuple


am_avg_bw

Avg/BW - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command | SCPI Command
Averaging Restart | SCPI.SENSe.AM(Ch).AVERage.CLEar | :SENSe:AM[Ch]:AVERage:CLEar
Avg Factor | SCPI.SENSe.AM(Ch).AVERage.COUNt | :SENSe:AM[Ch]:AVERage:COUNt
Averaging | SCPI.SENSe.AM(Ch).AVERage.STATe | :SENSe:AM[Ch]:AVERage:STATe
Correlation | SCPI.SENSe.AM(Ch).CORRelation.COUNt | :SENSe:AM[Ch]:CORRelation:COUNt


am_avg_bw_COM

Avg/BW - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command
Averaging Restart | SCPI.SENSe.AM(Ch).AVERage.CLEar
Avg Factor | SCPI.SENSe.AM(Ch).AVERage.COUNt
Averaging | SCPI.SENSe.AM(Ch).AVERage.STATe
Correlation | SCPI.SENSe.AM(Ch).CORRelation.COUNt


am_avg_bw_SCPI

Avg/BW - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | SCPI Command
Averaging Restart | :SENSe:AM[Ch]:AVERage:CLEar
Avg Factor | :SENSe:AM[Ch]:AVERage:COUNt
Averaging | :SENSe:AM[Ch]:AVERage:STATe
Correlation | :SENSe:AM[Ch]:CORRelation:COUNt


bb_avg_bw

Avg/BW - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command | SCPI Command
Averaging Restart | SCPI.SENSe.BB(Ch).AVERage.CLEar | :SENSe:BB[Ch]:AVERage:CLEar
Avg Factor | SCPI.SENSe.BB(Ch).AVERage.COUNt | :SENSe:BB[Ch]:AVERage:COUNt
Averaging | SCPI.SENSe.BB(Ch).AVERage.STATe | :SENSe:BB[Ch]:AVERage:STATe
Correlation | SCPI.SENSe.BB(Ch).CORRelation.COUNt | :SENSe:BB[Ch]:CORRelation:COUNt


bb_avg_bw_COM

Avg/BW - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command
Averaging Restart | SCPI.SENSe.BB(Ch).AVERage.CLEar
Avg Factor | SCPI.SENSe.BB(Ch).AVERage.COUNt
Averaging | SCPI.SENSe.BB(Ch).AVERage.STATe
Correlation | SCPI.SENSe.BB(Ch).CORRelation.COUNt


bb_avg_bw_SCPI

Avg/BW - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | SCPI Command
Averaging Restart | :SENSe:BB[Ch]:AVERage:CLEar
Avg Factor | :SENSe:BB[Ch]:AVERage:COUNt
Averaging | :SENSe:BB[Ch]:AVERage:STATe
Correlation | :SENSe:BB[Ch]:CORRelation:COUNt


fp_avg_bw

Avg/BW - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command | SCPI Command
Averaging Restart | SCPI.SENSe.FP(Ch).AVERage.CLEar | :SENSe:FP[Ch]:AVERage:CLEar
Avg Factor | SCPI.SENSe.FP(Ch).AVERage.COUNt | :SENSe:FP[Ch]:AVERage:COUNt
Averaging | SCPI.SENSe.FP(Ch).AVERage.STATe | :SENSe:FP[Ch]:AVERage:STATe


fp_avg_bw_COM

Avg/BW - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command
Averaging Restart | SCPI.SENSe.FP(Ch).AVERage.CLEar
Avg Factor | SCPI.SENSe.FP(Ch).AVERage.COUNt
Averaging | SCPI.SENSe.FP(Ch).AVERage.STATe


fp_avg_bw_SCPI

Avg/BW - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | SCPI Command
Averaging Restart | :SENSe:FP[Ch]:AVERage:CLEar
Avg Factor | :SENSe:FP[Ch]:AVERage:COUNt
Averaging | :SENSe:FP[Ch]:AVERage:STATe


pn_avg_bw

Avg/BW - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command | SCPI Command
Averaging Restart | SCPI.SENSe.PN(Ch).AVERage.CLEar | :SENSe:PN[Ch]:AVERage:CLEar
Avg Factor | SCPI.SENSe.PN(Ch).AVERage.COUNt | :SENSe:PN[Ch]:AVERage:COUNt
Averaging | SCPI.SENSe.PN(Ch).AVERage.STATe | :SENSe:PN[Ch]:AVERage:STATe
Correlation | SCPI.SENSe.PN(Ch).CORRelation.COUNt | :SENSe:PN[Ch]:CORRelation:COUNt


pn_avg_bw_COM

Avg/BW - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command
Averaging Restart | SCPI.SENSe.PN(Ch).AVERage.CLEar
Avg Factor | SCPI.SENSe.PN(Ch).AVERage.COUNt
Averaging | SCPI.SENSe.PN(Ch).AVERage.STATe
Correlation | SCPI.SENSe.PN(Ch).CORRelation.COUNt


pn_avg_bw_SCPI

Avg/BW - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | SCPI Command
Averaging Restart | :SENSe:PN[Ch]:AVERage:CLEar
Avg Factor | :SENSe:PN[Ch]:AVERage:COUNt
Averaging | :SENSe:PN[Ch]:AVERage:STATe
Correlation | :SENSe:PN[Ch]:CORRelation:COUNt


ps_avg_bw

Avg/BW - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command | SCPI Command
Averaging Restart | SCPI.SENSe.PS(Ch).AVERage.CLEar | :SENSe:PS[Ch]:AVERage:CLEar
Avg Factor | SCPI.SENSe.PS(Ch).AVERage.COUNt | :SENSe:PS[Ch]:AVERage:COUNt
Averaging | SCPI.SENSe.PS(Ch).AVERage.STATe | :SENSe:PS[Ch]:AVERage:STATe
Correlation | SCPI.SENSe.PS(Ch).CORRelation.COUNt | :SENSe:PS[Ch]:CORRelation:COUNt
RBW | SCPI.SENSe.PS(Ch).BANDwidth:RESolution | :SENSe:PS[Ch]:BANDwidth:RESolution


ps_avg_bw_COM

Avg/BW - Segment Phase Noise Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command
Averaging Restart | SCPI.SENSe.PS(Ch).AVERage.CLEar
Avg Factor | SCPI.SENSe.PS(Ch).AVERage.COUNt
Averaging | SCPI.SENSe.PS(Ch).AVERage.STATe
Correlation | SCPI.SENSe.PS(Ch).CORRelation.COUNt
RBW | SCPI.SENSe.PS(Ch).BANDwidth:RESolution


ps_avg_bw_SCPI

Avg/BW - Segment Phase Noise Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | SCPI Command
Averaging Restart | :SENSe:PS[Ch]:AVERage:CLEar
Avg Factor | :SENSe:PS[Ch]:AVERage:COUNt
Averaging | :SENSe:PS[Ch]:AVERage:STATe
Correlation | :SENSe:PS[Ch]:CORRelation:COUNt
RBW | :SENSe:PS[Ch]:BANDwidth:RESolution


sp_avg_bw

Avg/BW - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key |  | COM Command | SCPI Command
Averaging Restart |  | SCPI.SENSe.SP(Ch).AVERage.CLEar | :SENSe:SP[Ch]:AVERage:CLEar
Avg Factor |  | SCPI.SENSe.SP(Ch).AVERage.COUNt | :SENSe:SP[Ch]:AVERage:COUNt
Averaging |  | SCPI.SENSe.SP(Ch).AVERage.STATe | :SENSe:SP[Ch]:AVERage:STATe
Averaging Type | Pwr Avg (RMS) | SCPI.SENSe.SP(Ch).AVERage.TYPE | :SENSe:SP[Ch]:AVERage:TYPE RMS
 | Log-Pwr Avg |  | :SENSe:SP[Ch]:AVERage:TYPE LOG
RBW |  | SCPI.SENSe.SP(Ch).BANDwidth.RESolution | :SENSe:SP[Ch]:BANDwidth:RESolution


sp_avg_bw_COM

Avg/BW - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key |  | COM Command
Averaging Restart |  | SCPI.SENSe.SP(Ch).AVERage.CLEar
Avg Factor |  | SCPI.SENSe.SP(Ch).AVERage.COUNt
Averaging |  | SCPI.SENSe.SP(Ch).AVERage.STATe
Averaging Type | Pwr Avg (RMS) | SCPI.SENSe.SP(Ch).AVERage.TYPE
 | Log-Pwr Avg
RBW |  | SCPI.SENSe.SP(Ch).BANDwidth.RESolution


sp_avg_bw_SCPI

Avg/BW - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key |  | SCPI Command
Averaging Restart |  | :SENSe:SP[Ch]:AVERage:CLEar
Avg Factor |  | :SENSe:SP[Ch]:AVERage:COUNt
Averaging |  | :SENSe:SP[Ch]:AVERage:STATe
Averaging Type | Pwr Avg (RMS) | :SENSe:SP[Ch]:AVERage:TYPE RMS
 | Log-Pwr Avg | :SENSe:SP[Ch]:AVERage:TYPE LOG
RBW |  | :SENSe:SP[Ch]:BANDwidth:RESolution


tr_avg_bw

Avg/BW - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command | SCPI Command
Averaging Restart | SCPI.SENSe.TR(Ch).AVERage.CLEar | :SENSe:TR[Ch]:AVERage:CLEar
Avg Factor | SCPI.SENSe.TR(Ch).AVERage.COUNt | :SENSe:TR[Ch]:AVERage:COUNt
Averaging | SCPI.SENSe.TR(Ch).AVERage.STATe | :SENSe:TR[Ch]:AVERage:STATe


tr_avg_bw_COM

Avg/BW - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | COM Command
Averaging Restart | SCPI.SENSe.TR(Ch).AVERage.CLEar
Avg Factor | SCPI.SENSe.TR(Ch).AVERage.COUNt
Averaging | SCPI.SENSe.TR(Ch).AVERage.STATe


tr_avg_bw_SCPI

Avg/BW - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Avg/BW Key | SCPI Command
Averaging Restart | :SENSe:TR[Ch]:AVERage:CLEar
Avg Factor | :SENSe:TR[Ch]:AVERage:COUNt
Averaging | :SENSe:TR[Ch]:AVERage:STATe


am_display

Display - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command | SCPI Command
Update |  | SCPI.DISPlay.ENABle | :DISPlay:ENABle
Edit Title Label |  | SCPI.DISPlay.AM(Ch).LABel.DATA | :DISPlay:AM[Ch]:LABel:DATA
Title Label |  | SCPI.DISPlay.AM(Ch).LABel.STATe | :DISPlay:AM[Ch]:LABel:STATe
Y # of Digits | Off | SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.STATe | :DISPlay:AM[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits |  | :DISPlay:AM[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits |  | :DISPlay:AM[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits |  | :DISPlay:AM[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.RELative | :DISPlay:AM[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | SCPI.DISPlay.AM(Ch).ANNotation.MEASurement.STATe | :DISPlay:AM[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | SCPI.DISPlay.AM(Ch).ANNotation.MARKer.POSition | :DISPlay:AM[Ch]:ANNotation:MARKer:POSition LEFT
 | Right |  | :DISPlay:AM[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | SCPI.DISPlay.IMAGe | :DISPlay:IMAGe NORM
 | Invert |  | :DISPlay:IMAGe INV
Limit Test | Limit Test | SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe | :CALCulate:AM[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | SCPI.DISPlay.AM(Ch).TRACe(Tr).LIMit.LINE | :DISPlay:AM[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | SCPI.DISPlay.AM(Ch).LIMit.FSIGn | :DISPlay:AM[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.LIMit.UPPer | :MMEMory:AM[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.LIMit.LOWer | :MMEMory:AM[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar | :CALCulate:AM[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar | :CALCulate:AM[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank |  | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank |  | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe | :DISPlay:PROGress:STATe


am_display_COM

Display - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command
Update |  | SCPI.DISPlay.ENABle
Edit Title Label |  | SCPI.DISPlay.AM(Ch).LABel.DATA
Title Label |  | SCPI.DISPlay.AM(Ch).LABel.STATe
Y # of Digits | Off | SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.STATe
 | 4-digits
 | 12-digits
 | 8-digits
Relative YScale |  | SCPI.DISPlay.AM(Ch).GRATicule.AXIS.Y.RELative
Meas Condition |  | SCPI.DISPlay.AM(Ch).ANNotation.MEASurement.STATe
Marker Information | Left | SCPI.DISPlay.AM(Ch).ANNotation.MARKer.POSition
 | Right
Color Type | Normal | SCPI.DISPlay.IMAGe
 | Invert
Limit Test | Limit Test | SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.STATe
 | Limit Line | SCPI.DISPlay.AM(Ch).TRACe(Tr).LIMit.LINE
 | Fail Sign | SCPI.DISPlay.AM(Ch).LIMit.FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.LIMit.UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.LIMit.LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.AM(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar
 | Explorer | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel
 | Frequency Blank
 | All Numeric Blank
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe


am_display_SCPI

Display - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | SCPI Command
Update |  | :DISPlay:ENABle
Edit Title Label |  | :DISPlay:AM[Ch]:LABel:DATA
Title Label |  | :DISPlay:AM[Ch]:LABel:STATe
Y # of Digits | Off | :DISPlay:AM[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits | :DISPlay:AM[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits | :DISPlay:AM[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits | :DISPlay:AM[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | :DISPlay:AM[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | :DISPlay:AM[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | :DISPlay:AM[Ch]:ANNotation:MARKer:POSition LEFT
 | Right | :DISPlay:AM[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | :DISPlay:IMAGe NORM
 | Invert | :DISPlay:IMAGe INV
Limit Test | Limit Test | :CALCulate:AM[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | :DISPlay:AM[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | :DISPlay:AM[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | :MMEMory:AM[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | :MMEMory:AM[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | :CALCulate:AM[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | :CALCulate:AM[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None
Security Level | None | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | :DISPlay:PROGress:STATe


bb_display

Display - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command | SCPI Command
Update |  | SCPI.DISPlay.ENABle | :DISPlay:ENABle
Edit Title Label |  | SCPI.DISPlay.BB(Ch).LABel.DATA | :DISPlay:BB[Ch]:LABel:DATA
Title Label |  | SCPI.DISPlay.BB(Ch).LABel.STATe | :DISPlay:BB[Ch]:LABel:STATe
Y # of Digits | Off | SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.STATe | :DISPlay:BB[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits |  | :DISPlay:BB[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits |  | :DISPlay:BB[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits |  | :DISPlay:BB[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.RELative | :DISPlay:BB[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | SCPI.DISPlay.BB(Ch).ANNotation.MEASurement.STATe | :DISPlay:BB[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | SCPI.DISPlay.BB(Ch).ANNotation.MARKer.POSition | :DISPlay:BB[Ch]:ANNotation:MARKer:POSition LEFT
 | Right |  | :DISPlay:BB[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | SCPI.DISPlay.IMAGe | :DISPlay:IMAGe NORM
 | Invert |  | :DISPlay:IMAGe INV
Limit Test | Limit Test | SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe | :CALCulate:BB[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | SCPI.DISPlay.BB(Ch).TRACe(Tr).LIMit.LINE | :DISPlay:BB[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | SCPI.DISPlay.BB(Ch).LIMit.FSIGn | :DISPlay:BB[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.UPPer | :MMEMory:BB[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.LOWer | :MMEMory:BB[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar | :CALCulate:BB[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar | :CALCulate:BB[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank |  | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank |  | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe | :DISPlay:PROGress:STATe


bb_display_COM

Display - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command
Update |  | SCPI.DISPlay.ENABle
Edit Title Label |  | SCPI.DISPlay.BB(Ch).LABel.DATA
Title Label |  | SCPI.DISPlay.BB(Ch).LABel.STATe
Y # of Digits | Off | SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.STATe
 | 4-digits
 | 12-digits
 | 8-digits
Relative YScale |  | SCPI.DISPlay.BB(Ch).GRATicule.AXIS.Y.RELative
Meas Condition |  | SCPI.DISPlay.BB(Ch).ANNotation.MEASurement.STATe
Marker Information | Left | SCPI.DISPlay.BB(Ch).ANNotation.MARKer.POSition
 | Right
Color Type | Normal | SCPI.DISPlay.IMAGe
 | Invert
Limit Test | Limit Test | SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.STATe
 | Limit Line | SCPI.DISPlay.BB(Ch).TRACe(Tr).LIMit.LINE
 | Fail Sign | SCPI.DISPlay.BB(Ch).LIMit.FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.LIMit.LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.BB(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar
 | Explorer | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel
 | Frequency Blank
 | All Numeric Blank
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe


bb_display_SCPI

Display - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | SCPI Command
Update |  | :DISPlay:ENABle
Edit Title Label |  | :DISPlay:BB[Ch]:LABel:DATA
Title Label |  | :DISPlay:BB[Ch]:LABel:STATe
Y # of Digits | Off | :DISPlay:BB[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits | :DISPlay:BB[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits | :DISPlay:BB[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits | :DISPlay:BB[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | :DISPlay:BB[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | :DISPlay:BB[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | :DISPlay:BB[Ch]:ANNotation:MARKer:POSition LEFT
 | Right | :DISPlay:BB[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | :DISPlay:IMAGe NORM
 | Invert | :DISPlay:IMAGe INV
Limit Test | Limit Test | :CALCulate:BB[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | :DISPlay:BB[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | :DISPlay:BB[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | :MMEMory:BB[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | :MMEMory:BB[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | :CALCulate:BB[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | :CALCulate:BB[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None
Security Level | None | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | :DISPlay:PROGress:STATe


fp_display

Display - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command | SCPI Command
Update |  | SCPI.DISPlay.ENABle | :DISPlay:ENABle
Edit Title Label |  | SCPI.DISPlay.FP(Ch).LABel.DATA | :DISPlay:FP[Ch]:LABel:DATA
Title Label |  | SCPI.DISPlay.FP(Ch).LABel.STATe | :DISPlay:FP[Ch]:LABel:STATe
Y # of Digits | Off | SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.STATe | :DISPlay:FP[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits |  | :DISPlay:FP[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits |  | :DISPlay:FP[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits |  | :DISPlay:FP[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.RELative | :DISPlay:FP[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | SCPI.DISPlay.FP(Ch).ANNotation.MEASurement.STATe | :DISPlay:FP[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | SCPI.DISPlay.FP(Ch).ANNotation.MARKer.POSition | :DISPlay:FP[Ch]:ANNotation:MARKer:POSition LEFT
 | Right |  | :DISPlay:FP[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | SCPI.DISPlay.IMAGe | :DISPlay:IMAGe NORM
 | Invert |  | :DISPlay:IMAGe INV
Limit Test | Limit Test | SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.STATe | :CALCulate:FP[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | SCPI.DISPlay.FP(Ch).TRACe(Tr).LIMit.LINE | :DISPlay:FP[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | SCPI.DISPlay.FP(Ch).LIMit.FSIGn | :DISPlay:FP[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.UPPer | :MMEMory:FP[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.LOWer | :MMEMory:FP[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar | :CALCulate:FP[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar | :CALCulate:FP[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None | None
Allocate | x3 | SCPI.DISPlay.FP(Ch).SPLit | :DISPlay:FP[Ch]:SPLit D11_23
 | x4 |  | :DISPlay:FP[Ch]:SPLit D12_34
Security Level | None | SCPI.SYSTem.SECurity.LEVel | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank |  | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank |  | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe | :DISPlay:PROGress:STATe


fp_display_COM

Display - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command
Update |  | SCPI.DISPlay.ENABle
Edit Title Label |  | SCPI.DISPlay.FP(Ch).LABel.DATA
Title Label |  | SCPI.DISPlay.FP(Ch).LABel.STATe
Y # of Digits | Off | SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.STATe
 | 4-digits
 | 12-digits
 | 8-digits
Relative YScale |  | SCPI.DISPlay.FP(Ch).GRATicule.AXIS.Y.RELative
Meas Condition |  | SCPI.DISPlay.FP(Ch).ANNotation.MEASurement.STATe
Marker Information | Left | SCPI.DISPlay.FP(Ch).ANNotation.MARKer.POSition
 | Right
Color Type | Normal | SCPI.DISPlay.IMAGe
 | Invert
Limit Test | Limit Test | SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.STATe
 | Limit Line | SCPI.DISPlay.FP(Ch).TRACe(Tr).LIMit.LINE
 | Fail Sign | SCPI.DISPlay.FP(Ch).LIMit.FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.LIMit.LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.FP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar
 | Explorer | None
Allocate | x3 | SCPI.DISPlay.FP(Ch).SPLit
 | x4
Security Level | None | SCPI.SYSTem.SECurity.LEVel
 | Frequency Blank
 | All Numeric Blank
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe


fp_display_SCPI

Display - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | SCPI Command
Update |  | :DISPlay:ENABle
Edit Title Label |  | :DISPlay:FP[Ch]:LABel:DATA
Title Label |  | :DISPlay:FP[Ch]:LABel:STATe
Y # of Digits | Off | :DISPlay:FP[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits | :DISPlay:FP[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits | :DISPlay:FP[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits | :DISPlay:FP[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | :DISPlay:FP[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | :DISPlay:FP[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | :DISPlay:FP[Ch]:ANNotation:MARKer:POSition LEFT
 | Right | :DISPlay:FP[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | :DISPlay:IMAGe NORM
 | Invert | :DISPlay:IMAGe INV
Limit Test | Limit Test | :CALCulate:FP[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | :DISPlay:FP[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | :DISPlay:FP[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | :MMEMory:FP[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | :MMEMory:FP[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | :CALCulate:FP[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | :CALCulate:FP[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None
Allocate | x3 | :DISPlay:FP[Ch]:SPLit D11_23
 | x4 | :DISPlay:FP[Ch]:SPLit D12_34
Security Level | None | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | :DISPlay:PROGress:STATe


pn_display

Display - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command | SCPI Command
Update |  | SCPI.DISPlay.ENABle | :DISPlay:ENABle
Edit Title Label |  | SCPI.DISPlay.PN(Ch).LABel.DATA | :DISPlay:PN[Ch]:LABel:DATA
Title Label |  | SCPI.DISPlay.PN(Ch).LABel.STATe | :DISPlay:PN[Ch]:LABel:STATe
Y # of Digits | Off | SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.STATe | :DISPlay:PN[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits |  | :DISPlay:PN[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits |  | :DISPlay:PN[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits |  | :DISPlay:PN[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.RELative | :DISPlay:PN[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | SCPI.DISPlay.PN(Ch).ANNotation.MEASurement.STATe | :DISPlay:PN[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | SCPI.DISPlay.PN(Ch).ANNotation.MARKer.POSition | :DISPlay:PN[Ch]:ANNotation:MARKer:POSition LEFT
 | Right |  | :DISPlay:PN[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | SCPI.DISPlay.IMAGe | :DISPlay:IMAGe NORM
 | Invert |  | :DISPlay:IMAGe INV
Limit Test | Limit Test | SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.STATe | :CALCulate:PN[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | SCPI.DISPlay.PN(Ch).TRACe(Tr).LIMit.LINE | :DISPlay:PN[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | SCPI.DISPlay.PN(Ch).LIMit.FSIGn | :DISPlay:PN[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.LIMit.UPPer | :MMEMory:PN[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.LIMit.LOWer | :MMEMory:PN[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar | :CALCulate:PN[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar | :CALCulate:PN[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank |  | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank |  | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe | :DISPlay:PROGress:STATe


pn_display_COM

Display - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command
Update |  | SCPI.DISPlay.ENABle
Edit Title Label |  | SCPI.DISPlay.PN(Ch).LABel.DATA
Title Label |  | SCPI.DISPlay.PN(Ch).LABel.STATe
Y # of Digits | Off | SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.STATe
 | 4-digits
 | 12-digits
 | 8-digits
Relative YScale |  | SCPI.DISPlay.PN(Ch).GRATicule.AXIS.Y.RELative
Meas Condition |  | SCPI.DISPlay.PN(Ch).ANNotation.MEASurement.STATe
Marker Information | Left | SCPI.DISPlay.PN(Ch).ANNotation.MARKer.POSition
 | Right
Color Type | Normal | SCPI.DISPlay.IMAGe
 | Invert
Limit Test | Limit Test | SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.STATe
 | Limit Line | SCPI.DISPlay.PN(Ch).TRACe(Tr).LIMit.LINE
 | Fail Sign | SCPI.DISPlay.PN(Ch).LIMit.FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.LIMit.UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.LIMit.LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.PN(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar
 | Explorer | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel
 | Frequency Blank
 | All Numeric Blank
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe


pn_display_SCPI

Display - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | SCPI Command
Update |  | :DISPlay:ENABle
Edit Title Label |  | :DISPlay:PN[Ch]:LABel:DATA
Title Label |  | :DISPlay:PN[Ch]:LABel:STATe
Y # of Digits | Off | :DISPlay:PN[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits | :DISPlay:PN[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits | :DISPlay:PN[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits | :DISPlay:PN[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | :DISPlay:PN[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | :DISPlay:PN[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | :DISPlay:PN[Ch]:ANNotation:MARKer:POSition LEFT
 | Right | :DISPlay:PN[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | :DISPlay:IMAGe NORM
 | Invert | :DISPlay:IMAGe INV
Limit Test | Limit Test | :CALCulate:PN[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | :DISPlay:PN[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | :DISPlay:PN[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | :MMEMory:PN[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | :MMEMory:PN[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | :CALCulate:PN[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | :CALCulate:PN[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None
Security Level | None | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | :DISPlay:PROGress:STATe


ps_display

Display - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command | SCPI Command
Update |  | SCPI.DISPlay.ENABle | :DISPlay:ENABle
Edit Title Label |  | SCPI.DISPlay.PS(Ch).LABel.DATA | :DISPlay:PS[Ch]:LABel:DATA
Title Label |  | SCPI.DISPlay.PS(Ch).LABel.STATe | :DISPlay:PS[Ch]:LABel:STATe
Y # of Digits | Off | SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.STATe | :DISPlay:PS[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits |  | :DISPlay:PS[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits |  | :DISPlay:PS[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits |  | :DISPlay:PS[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.RELative | :DISPlay:PS[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | SCPI.DISPlay.PS(Ch).ANNotation.MEASurement.STATe | :DISPlay:PS[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | SCPI.DISPlay.PS(Ch).ANNotation.MARKer.POSition | :DISPlay:PS[Ch]:ANNotation:MARKer:POSition LEFT
 | Right |  | :DISPlay:PS[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | SCPI.DISPlay.IMAGe | :DISPlay:IMAGe NORM
 | Invert |  | :DISPlay:IMAGe INV
Limit Test | Limit Test | SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.STATe | :CALCulate:PS[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | SCPI.DISPlay.PS(Ch).TRACe(Tr).LIMit.LINE | :DISPlay:PS[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | SCPI.DISPlay.PS(Ch).LIMit.FSIGn | :DISPlay:PS[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.LIMit.UPPer | :MMEMory:PS[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.LIMit.LOWer | :MMEMory:PS[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar | :CALCulate:PS[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar | :CALCulate:PS[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank |  | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank |  | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe | :DISPlay:PROGress:STATe


ps_display_COM

Display - Segment Phase Noise Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command
Update |  | SCPI.DISPlay.ENABle
Edit Title Label |  | SCPI.DISPlay.PS(Ch).LABel.DATA
Title Label |  | SCPI.DISPlay.PS(Ch).LABel.STATe
Y # of Digits | Off | SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.STATe
 | 4-digits
 | 12-digits
 | 8-digits
Relative YScale |  | SCPI.DISPlay.PS(Ch).GRATicule.AXIS.Y.RELative
Meas Condition |  | SCPI.DISPlay.PS(Ch).ANNotation.MEASurement.STATe
Marker Information | Left | SCPI.DISPlay.PS(Ch).ANNotation.MARKer.POSition
 | Right
Color Type | Normal | SCPI.DISPlay.IMAGe
 | Invert
Limit Test | Limit Test | SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.STATe
 | Limit Line | SCPI.DISPlay.PS(Ch).TRACe(Tr).LIMit.LINE
 | Fail Sign | SCPI.DISPlay.PS(Ch).LIMit.FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.LIMit.UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.LIMit.LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.PS(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar
 | Explorer | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel
 | Frequency Blank
 | All Numeric Blank
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe


ps_display_SCPI

Display - Segment Phase Noise Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | SCPI Command
Update |  | :DISPlay:ENABle
Edit Title Label |  | :DISPlay:PS[Ch]:LABel:DATA
Title Label |  | :DISPlay:PS[Ch]:LABel:STATe
Y # of Digits | Off | :DISPlay:PS[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits | :DISPlay:PS[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits | :DISPlay:PS[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits | :DISPlay:PS[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | :DISPlay:PS[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | :DISPlay:PS[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | :DISPlay:PS[Ch]:ANNotation:MARKer:POSition LEFT
 | Right | :DISPlay:PS[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | :DISPlay:IMAGe NORM
 | Invert | :DISPlay:IMAGe INV
Limit Test | Limit Test | :CALCulate:PS[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | :DISPlay:PS[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | :DISPlay:PS[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | :MMEMory:PS[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | :MMEMory:PS[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | :CALCulate:PS[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | :CALCulate:PS[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None
Security Level | None | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | :DISPlay:PROGress:STATe


sp_display

Display - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command | SCPI Command
Update |  | SCPI.DISPlay.ENABle | :DISPlay:ENABle
Edit Title Label |  | SCPI.DISPlay.SP(Ch).LABel.DATA | :DISPlay:SP[Ch]:LABel:DATA
Title Label |  | SCPI.DISPlay.SP(Ch).LABel.STATe | :DISPlay:SP[Ch]:LABel:STATe
Y # of Digits | Off | SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.STATe | :DISPlay:SP[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits |  | :DISPlay:SP[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits |  | :DISPlay:SP[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits |  | :DISPlay:SP[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.RELative | :DISPlay:SP[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | SCPI.DISPlay.SP(Ch).ANNotation.MEASurement.STATe | :DISPlay:SP[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | SCPI.DISPlay.SP(Ch).ANNotation.MARKer.POSition | :DISPlay:SP[Ch]:ANNotation:MARKer:POSition LEFT
 | Right |  | :DISPlay:SP[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | SCPI.DISPlay.IMAGe | :DISPlay:IMAGe NORM
 | Invert |  | :DISPlay:IMAGe INV
Limit Test | Limit Test | SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.STATe | :CALCulate:SP[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | SCPI.DISPlay.SP(Ch).TRACe(Tr).LIMit.LINE | :DISPlay:SP[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | SCPI.DISPlay.SP(Ch).LIMit.FSIGn | :DISPlay:SP[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.LIMit.UPPer | :MMEMory:SP[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.LIMit.LOWer | :MMEMory:SP[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar | :CALCulate:SP[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar | :CALCulate:SP[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank |  | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank |  | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe | :DISPlay:PROGress:STATe


sp_display_COM

Display - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command
Update |  | SCPI.DISPlay.ENABle
Edit Title Label |  | SCPI.DISPlay.SP(Ch).LABel.DATA
Title Label |  | SCPI.DISPlay.SP(Ch).LABel.STATe
Y # of Digits | Off | SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.STATe
 | 4-digits
 | 12-digits
 | 8-digits
Relative YScale |  | SCPI.DISPlay.SP(Ch).GRATicule.AXIS.Y.RELative
Meas Condition |  | SCPI.DISPlay.SP(Ch).ANNotation.MEASurement.STATe
Marker Information | Left | SCPI.DISPlay.SP(Ch).ANNotation.MARKer.POSition
 | Right
Color Type | Normal | SCPI.DISPlay.IMAGe
 | Invert
Limit Test | Limit Test | SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.STATe
 | Limit Line | SCPI.DISPlay.SP(Ch).TRACe(Tr).LIMit.LINE
 | Fail Sign | SCPI.DISPlay.SP(Ch).LIMit.FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.LIMit.UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.LIMit.LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.SP(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar
 | Explorer | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel
 | Frequency Blank
 | All Numeric Blank
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe


sp_display_SCPI

Display - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | SCPI Command
Update |  | :DISPlay:ENABle
Edit Title Label |  | :DISPlay:SP[Ch]:LABel:DATA
Title Label |  | :DISPlay:SP[Ch]:LABel:STATe
Y # of Digits | Off | :DISPlay:SP[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits | :DISPlay:SP[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits | :DISPlay:SP[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits | :DISPlay:SP[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | :DISPlay:SP[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | :DISPlay:SP[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | :DISPlay:SP[Ch]:ANNotation:MARKer:POSition LEFT
 | Right | :DISPlay:SP[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | :DISPlay:IMAGe NORM
 | Invert | :DISPlay:IMAGe INV
Limit Test | Limit Test | :CALCulate:SP[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | :DISPlay:SP[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | :DISPlay:SP[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | :MMEMory:SP[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | :MMEMory:SP[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | :CALCulate:SP[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | :CALCulate:SP[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None
Security Level | None | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | :DISPlay:PROGress:STATe


tr_display

Display - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command | SCPI Command
Update |  | SCPI.DISPlay.ENABle | :DISPlay:ENABle
Edit Title Label |  | SCPI.DISPlay.TR(Ch).LABel.DATA | :DISPlay:TR[Ch]:LABel:DATA
Title Label |  | SCPI.DISPlay.TR(Ch).LABel.STATe | :DISPlay:TR[Ch]:LABel:STATe
Y # of Digits | Off | SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.STATe | :DISPlay:TR[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits |  | :DISPlay:TR[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits |  | :DISPlay:TR[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits |  | :DISPlay:TR[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.RELative | :DISPlay:TR[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | SCPI.DISPlay.TR(Ch).ANNotation.MEASurement.STATe | :DISPlay:TR[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | SCPI.DISPlay.TR(Ch).ANNotation.MARKer.POSition | :DISPlay:TR[Ch]:ANNotation:MARKer:POSition LEFT
 | Right |  | :DISPlay:TR[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | SCPI.DISPlay.IMAGe | :DISPlay:IMAGe NORM
 | Invert |  | :DISPlay:IMAGe INV
Limit Test | Limit Test | SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.STATe | :CALCulate:TR[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | SCPI.DISPlay.TR(Ch).TRACe(Tr).LIMit.LINE | :DISPlay:TR[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | SCPI.DISPlay.TR(Ch).LIMit.FSIGn | :DISPlay:TR[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.LIMit.UPPer | :MMEMory:TR[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.LIMit.LOWer | :MMEMory:TR[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar | :CALCulate:TR[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar | :CALCulate:TR[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None | None
Parameters | All | SCPI.DISPlay.TR(Ch).PARameter | :DISPlay:TR(Ch):PARameter:ALL
 | Frequency |  | :DISPlay:TR(Ch):PARameter:FREQ
 | Power |  | :DISPlay:TR(Ch):PARameter:POW
 | Phase |  | :DISPlay:TR(Ch):PARameter:PHAS
Security Level | None | SCPI.SYSTem.SECurity.LEVel | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank |  | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank |  | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe | :DISPlay:PROGress:STATe


tr_display_COM

Display - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command
Update |  | SCPI.DISPlay.ENABle
Edit Title Label |  | SCPI.DISPlay.TR(Ch).LABel.DATA
Title Label |  | SCPI.DISPlay.TR(Ch).LABel.STATe
Y # of Digits | Off | SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.STATe
 | 4-digits
 | 12-digits
 | 8-digits
Relative YScale |  | SCPI.DISPlay.TR(Ch).GRATicule.AXIS.Y.RELative
Meas Condition |  | SCPI.DISPlay.TR(Ch).ANNotation.MEASurement.STATe
Marker Information | Left | SCPI.DISPlay.TR(Ch).ANNotation.MARKer.POSition
 | Right
Color Type | Normal | SCPI.DISPlay.IMAGe
 | Invert
Limit Test | Limit Test | SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.STATe
 | Limit Line | SCPI.DISPlay.TR(Ch).TRACe(Tr).LIMit.LINE
 | Fail Sign | SCPI.DISPlay.TR(Ch).LIMit.FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.LIMit.UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.LIMit.LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.TR(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar
 | Explorer | None
Parameters | All | SCPI.DISPlay.TR(Ch).PARameter
 | Frequency
 | Power
 | Phase
Security Level | None | SCPI.SYSTem.SECurity.LEVel
 | Frequency Blank
 | All Numeric Blank
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe


tr_display_SCPI

Display - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | SCPI Command
Update |  | :DISPlay:ENABle
Edit Title Label |  | :DISPlay:TR[Ch]:LABel:DATA
Title Label |  | :DISPlay:TR[Ch]:LABel:STATe
Y # of Digits | Off | :DISPlay:TR[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits | :DISPlay:TR[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits | :DISPlay:TR[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits | :DISPlay:TR[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | :DISPlay:TR[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | :DISPlay:TR[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | :DISPlay:TR[Ch]:ANNotation:MARKer:POSition LEFT
 | Right | :DISPlay:TR[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | :DISPlay:IMAGe NORM
 | Invert | :DISPlay:IMAGe INV
Limit Test | Limit Test | :CALCulate:TR[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | :DISPlay:TR[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | :DISPlay:TR[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | :MMEMory:TR[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | :MMEMory:TR[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | :CALCulate:TR[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | :CALCulate:TR[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None
Parameters | All | :DISPlay:TR(Ch):PARameter:ALL
 | Frequency | :DISPlay:TR(Ch):PARameter:FREQ
 | Power | :DISPlay:TR(Ch):PARameter:POW
 | Phase | :DISPlay:TR(Ch):PARameter:PHAS
Security Level | None | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | :DISPlay:PROGress:STATe


user_display

Display - USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command | SCPI Command
Update |  | SCPI.DISPlay.ENABle | :DISPlay:ENABle
Edit Title Label |  | SCPI.DISPlay.USER(Ch).LABel.DATA | :DISPlay:USER[Ch]:LABel:DATA
Title Label |  | SCPI.DISPlay.USER(Ch).LABel.STATe | :DISPlay:USER[Ch]:LABel:STATe
Y # of Digits | Off | SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.STATe | :DISPlay:USER[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits |  | :DISPlay:USER[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits |  | :DISPlay:USER[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits |  | :DISPlay:USER[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.RELative | :DISPlay:USER[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | SCPI.DISPlay.USER(Ch).ANNotation.MEASurement.STATe | :DISPlay:USER[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | SCPI.DISPlay.USER(Ch).ANNotation.MARKer.POSition | :DISPlay:USER[Ch]:ANNotation:MARKer:POSition LEFT
 | Right |  | :DISPlay:USER[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | SCPI.DISPlay.IMAGe | :DISPlay:IMAGe NORM
 | Invert |  | :DISPlay:IMAGe INV
Limit Test | Limit Test | SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.STATe | :CALCulate:USER[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | SCPI.DISPlay.USER(Ch).TRACe(Tr).LIMit.LINE | :DISPlay:USER[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | SCPI.DISPlay.USER(Ch).LIMit.FSIGn | :DISPlay:USER[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.LIMit.UPPer | :MMEMory:USER[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.LIMit.LOWer | :MMEMory:USER[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar | :CALCulate:USER[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar | :CALCulate:USER[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank |  | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank |  | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe | :DISPlay:PROGress:STATe


user_display_COM

Display - USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | COM Command
Update |  | SCPI.DISPlay.ENABle
Edit Title Label |  | SCPI.DISPlay.USER(Ch).LABel.DATA
Title Label |  | SCPI.DISPlay.USER(Ch).LABel.STATe
Y # of Digits | Off | SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.STATe
 | 4-digits
 | 12-digits
 | 8-digits
Relative YScale |  | SCPI.DISPlay.USER(Ch).GRATicule.AXIS.Y.RELative
Meas Condition |  | SCPI.DISPlay.USER(Ch).ANNotation.MEASurement.STATe
Marker Information | Left | SCPI.DISPlay.USER(Ch).ANNotation.MARKer.POSition
 | Right
Color Type | Normal | SCPI.DISPlay.IMAGe
 | Invert
Limit Test | Limit Test | SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.STATe
 | Limit Line | SCPI.DISPlay.USER(Ch).TRACe(Tr).LIMit.LINE
 | Fail Sign | SCPI.DISPlay.USER(Ch).LIMit.FSIGn
 | Import Upper Limit Line... | SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.LIMit.UPPer
 | Import Lower Limit Line... | SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.LIMit.LOWer
 | Delete Upper Limit Line | SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.UPPer.SEGMent.CLEar
 | Delete Lower Limit Line | SCPI.CALCulate.USER(Ch).TRACe(Tr).LIMit.LOWer.SEGMent.CLEar
 | Explorer | None
Security Level | None | SCPI.SYSTem.SECurity.LEVel
 | Frequency Blank
 | All Numeric Blank
Progress Indicator |  | SCPI.DISPlay.PROGress.STATe


user_display_SCPI

Display - USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Display Key |  | SCPI Command
Update |  | :DISPlay:ENABle
Edit Title Label |  | :DISPlay:USER[Ch]:LABel:DATA
Title Label |  | :DISPlay:USER[Ch]:LABel:STATe
Y # of Digits | Off | :DISPlay:USER[Ch]:GRATicule:AXIS:Y:STATe OFF
 | 4-digits | :DISPlay:USER[Ch]:GRATicule:AXIS:Y:STATe SHOR
 | 12-digits | :DISPlay:USER[Ch]:GRATicule:AXIS:Y:STATe MIDD
 | 8-digits | :DISPlay:USER[Ch]:GRATicule:AXIS:Y:STATe LONG
Relative YScale |  | :DISPlay:USER[Ch]:GRATicule:AXIS:Y:RELative
Meas Condition |  | :DISPlay:USER[Ch]:ANNotation:MEASurement:STATe
Marker Information | Left | :DISPlay:USER[Ch]:ANNotation:MARKer:POSition LEFT
 | Right | :DISPlay:USER[Ch]:ANNotation:MARKer:POSition RIGH
Color Type | Normal | :DISPlay:IMAGe NORM
 | Invert | :DISPlay:IMAGe INV
Limit Test | Limit Test | :CALCulate:USER[Ch]:TRACe[Tr]:LIMit[:STATe]
 | Limit Line | :DISPlay:USER[Ch]:TRACe[Tr]:LIMit:LINE
 | Fail Sign | :DISPlay:USER[Ch]:LIMit:FSIGn
 | Import Upper Limit Line... | :MMEMory:USER[Ch]:TRACe[Tr]:LOAD:LIMit:UPPer
 | Import Lower Limit Line... | :MMEMory:USER[Ch]:TRACe[Tr]:LOAD:LIMit:LOWer
 | Delete Upper Limit Line | :CALCulate:USER[Ch]:TRACe[Tr]:LIMit:UPPer:SEGMent:CLEar
 | Delete Lower Limit Line | :CALCulate:USER[Ch]:TRACe[Tr]:LIMit:LOWer:SEGMent:CLEar
 | Explorer | None
Security Level | None | :SYSTem:SECurity[:LEVel] NONE
 | Frequency Blank | :SYSTem:SECurity[:LEVel] LOW
 | All Numeric Blank | :SYSTem:SECurity[:LEVel] HIGH
Progress Indicator |  | :DISPlay:PROGress:STATe


bb_format

Format - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key | COM Command | SCPI Command
dVB/Hz | SCPI.CALCulate.BB(Ch).TRACe(Tr).FORMat | :CALCulate:BB[Ch]:TRACe[Tr]:FORMat DBV
dBm/Hz |  | :CALCulate:BB[Ch]:TRACe[Tr]:FORMat DBM
Volt/Hz |  | :CALCulate:BB(Ch):TRACe(Tr):FORMat VHz


bb_format_COM

Format - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key | COM Command
dVB/Hz | SCPI.CALCulate.BB(Ch).TRACe(Tr).FORMat
dBm/Hz
Volt/Hz


bb_format_SCPI

Format - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key | SCPI Command
dVB/Hz | :CALCulate:BB[Ch]:TRACe[Tr]:FORMat DBV
dBm/Hz | :CALCulate:BB[Ch]:TRACe[Tr]:FORMat DBM
Volt/Hz | :CALCulate:BB(Ch):TRACe(Tr):FORMat VHz


fp_format

Format - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key |  | COM Command | SCPI Command
Frequency Format | Hz | SCPI.CALCulate.FP(Ch).TRACe(Tr).FORMat.FREQuency | :CALCulate:FP[Ch]:TRACe[Tr]:FORMat:FREQuency HZ
 | Hz/V |  | :CALCulate:FP[Ch]:TRACe[Tr]:FORMat:FREQuency HZV
 | ΔHz |  | :CALCulate:FP[Ch]:TRACe[Tr]:FORMat:FREQuency DHZ
 | % |  | :CALCulate:FP[Ch]:TRACe[Tr]:FORMat:FREQuency PCT
 | ppm |  | :CALCulate:FP[Ch]:TRACe[Tr]:FORMat:FREQuency PPM
Sensitivity Aperture |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).SAPerture | :CALCulate:FP[Ch]:TRACe[Tr]:SAPerture
Frequency Reference |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).REFerence.FREQuency | :CALCulate:FP[Ch]:TRACe[Tr]:REFerence:FREQuency
Marker -> Frequency Reference |  | None | None


fp_format_COM

Format - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key |  | COM Command
Frequency Format | Hz | SCPI.CALCulate.FP(Ch).TRACe(Tr).FORMat.FREQuency
 | Hz/V
 | ΔHz
 | %
 | ppm
Sensitivity Aperture |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).SAPerture
Frequency Reference |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).REFerence.FREQuency
Marker -> Frequency Reference |  | None


fp_format_SCPI

Format - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key |  | SCPI Command
Frequency Format | Hz | :CALCulate:FP[Ch]:TRACe[Tr]:FORMat:FREQuency HZ
 | Hz/V | :CALCulate:FP[Ch]:TRACe[Tr]:FORMat:FREQuency HZV
 | ΔHz | :CALCulate:FP[Ch]:TRACe[Tr]:FORMat:FREQuency DHZ
 | % | :CALCulate:FP[Ch]:TRACe[Tr]:FORMat:FREQuency PCT
 | ppm | :CALCulate:FP[Ch]:TRACe[Tr]:FORMat:FREQuency PPM
Sensitivity Aperture |  | :CALCulate:FP[Ch]:TRACe[Tr]:SAPerture
Frequency Reference |  | :CALCulate:FP[Ch]:TRACe[Tr]:REFerence:FREQuency
Marker -> Frequency Reference |  | None


pn_format

Phase Noise Format

No Softkey, SCPI or COM Command is available under Format for PN Measurement.


ps_format

Segment Phase Noise Format

No Softkey, SCPI or COM Command is available under Format for Segment Phase Noise Measurement.


sp_format

Format - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key |  | COM Command | SCPI Command
Format | dBm | SCPI.CALCulate.SP(Ch).TRACe(Tr).FORMat | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat DBM
 | dBV |  | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat DBV
 | Watt |  | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat WATT
 | Volt |  | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat VOLT
 | dBm/Hz |  | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat DBMH
 | dBV/Hz |  | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat DBVH
 | Watt/Hz |  | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat WHZ
 | Volt/Hz |  | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat VHZ
Detector Mode | Positive | SCPI.SENSe.SP(Ch).DETector.FUNCtion | :SENSe:SP[Ch]:DETector:FUNCtion POS
 | Sample |  | :SENSe:SP[Ch]:DETector:FUNCtion SAMP


sp_format_COM

Format - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key |  | COM Command
Format | dBm | SCPI.CALCulate.SP(Ch).TRACe(Tr).FORMat
 | dBV
 | Watt
 | Volt
 | dBm/Hz
 | dBV/Hz
 | Watt/Hz
 | Volt/Hz
Detector Mode | Positive | SCPI.SENSe.SP(Ch).DETector.FUNCtion
 | Sample


sp_format_SCPI

Format - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key |  | SCPI Command
Format | dBm | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat DBM
 | dBV | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat DBV
 | Watt | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat WATT
 | Volt | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat VOLT
 | dBm/Hz | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat DBMH
 | dBV/Hz | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat DBVH
 | Watt/Hz | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat WHZ
 | Volt/Hz | :CALCulate:SP[Ch]:TRACe[Tr]:FORMat VHZ
Detector Mode | Positive | :SENSe:SP[Ch]:DETector:FUNCtion POS
 | Sample | :SENSe:SP[Ch]:DETector:FUNCtion SAMP


tr_format

Format - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key |  | COM Command | SCPI Command
Frequency Format | Hz | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.FREQuency | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:FREQuency HZ
 | ΔHz |  | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:FREQuency DHZ
 | % |  | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:FREQuency PCT
 | ppm |  | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:FREQuency PPM
Frequency Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).REFerence.FREQuency | :CALCulate:TR[Ch]:TRACe[Tr]:REFerence:FREQuency
Marker -> Frequency Reference |  | None | None
Phase Unit | Deg | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.UNIT | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:UNIT GED
 | Rad |  | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:UNIT RAD
 | Grad |  | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:UNIT GRAD
Wrap Phase |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.WRAP | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:WRAP
Phase X Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XREFerence | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:XREFerence
Marker -> Phase X Reference |  | None | None


tr_format_COM

Format - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key |  | COM Command
Frequency Format | Hz | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.FREQuency
 | ΔHz
 | %
 | ppm
Frequency Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).REFerence.FREQuency
Marker -> Frequency Reference |  | None
Phase Unit | Deg | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.UNIT
 | Rad
 | Grad
Wrap Phase |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.WRAP
Phase X Reference |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).FORMat.PHASe.XREFerence
Marker -> Phase X Reference |  | None


tr_format_SCPI

Format - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Format Key |  | SCPI Command
Frequency Format | Hz | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:FREQuency HZ
 | ΔHz | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:FREQuency DHZ
 | % | :CALCulate:TR(Ch]:TRACe[Tr]:FORMat:FREQuency PCT
 | ppm | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:FREQuency PPM
Frequency Reference |  | :CALCulate:TR[Ch]:TRACe[Tr]:REFerence:FREQuency
Marker -> Frequency Reference |  | None
Phase Unit | Deg | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:UNIT GED
 | Rad | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:UNIT RAD
 | Grad | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:UNIT GRAD
Wrap Phase |  | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:WRAP
Phase X Reference |  | :CALCulate:TR[Ch]:TRACe[Tr]:FORMat:PHASe:XREFerence
Marker -> Phase X Reference |  | None


am_scale

Scale - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command | SCPI Command
Auto Scale |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.AUTO | :DISPlay:AM[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Divisions |  | SCPI.DISPlay.AM(Ch).Y.SCALe.DIVisions | :DISPlay:AM[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.PDIVision | :DISPlay:AM[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RPOSition | :DISPlay:AM[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RLEVel | :DISPlay:AM[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
X Axis | Auto | SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.AUTO | :DISPlay:AM[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.LEFT | :DISPlay:AM[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.RIGHt | :DISPlay:AM[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None | None


am_scale_COM

Scale - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command
Auto Scale |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.AUTO
Divisions |  | SCPI.DISPlay.AM(Ch).Y.SCALe.DIVisions
Scale/Div |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.PDIVision
Reference Position |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RPOSition
Reference Value |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).Y.SCALe.RLEVel
Marker -> Reference |
X Axis | Auto | SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.AUTO
 | Left | SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.LEFT
 | Right | SCPI.DISPlay.AM(Ch).TRACe(Tr).X.SCALe.RIGHt
 | Band Marker -> XAxis | None


am_scale_SCPI

Scale - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | SCPI Command
Auto Scale |  | :DISPlay:AM[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Divisions |  | :DISPlay:AM[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | :DISPlay:AM[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | :DISPlay:AM[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | :DISPlay:AM[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
X Axis | Auto | :DISPlay:AM[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | :DISPlay:AM[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | :DISPlay:AM[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None


bb_scale

Scale - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command | SCPI Command
Auto Scale |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.AUTO | :DISPlay:BB[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Divisions |  | SCPI.DISPlay.BB(Ch).Y.SCALe.DIVisions | :DISPlay:BB[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.PDIVision | :DISPlay:BB[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RPOSition | :DISPlay:BB[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RLEVel | :DISPlay:BB[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Top |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.TOP | :DISPlay:BB(Ch):TRACe(Tr).:Y:SCALe:TOP
Bottom |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.BOTTom | :DISPlay:BB(Ch):TRACe(Tr):Y:SCALe:BOTTom
Marker -> Reference |  | None | None
X Axis | Auto | SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.AUTO | :DISPlay:BB[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.LEFT | :DISPlay:BB[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.RIGHt | :DISPlay:BB[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None | None


bb_scale_COM

Scale - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command
Auto Scale |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.AUTO
Divisions |  | SCPI.DISPlay.BB(Ch).Y.SCALe.DIVisions
Scale/Div |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.PDIVision
Reference Position |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RPOSition
Reference Value |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.RLEVel
Top |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.TOP
Bottom |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).Y.SCALe.BOTTom
Marker -> Reference |  | None
X Axis | Auto | SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.AUTO
 | Left | SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.LEFT
 | Right | SCPI.DISPlay.BB(Ch).TRACe(Tr).X.SCALe.RIGHt
 | Band Marker -> XAxis | None


bb_scale_SCPI

Scale - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | SCPI Command
Auto Scale |  | :DISPlay:BB[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Divisions |  | :DISPlay:BB[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | :DISPlay:BB[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | :DISPlay:BB[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | :DISPlay:BB[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Top |  | :DISPlay:BB(Ch):TRACe(Tr).:Y:SCALe:TOP
Bottom |  | :DISPlay:BB(Ch):TRACe(Tr):Y:SCALe:BOTTom
Marker -> Reference |  | None
X Axis | Auto | :DISPlay:BB[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | :DISPlay:BB[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | :DISPlay:BB[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None


fp_scale

Scale - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command | SCPI Command
Auto Scale |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.AUTO | :DISPlay:FP[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Auto Scale All |  | SCPI.DISPlay.FR(Ch).ALLTrace.Y.SCALe.AUTO | :DISPlay:FP[Ch]:ALLTrace:Y:SCALe:AUTO
Divisions |  | SCPI.DISPlay.FP(Ch).Y.SCALe.DIVisions | :DISPlay:FP[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.PDIVision | :DISPlay:FP[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RPOSition | :DISPlay:FP[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RLEVel | :DISPlay:FP[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
X Axis | Auto | SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.AUTO | :DISPlay:FP[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.LEFT | :DISPlay:FP[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.RIGHt | :DISPlay:FP[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt


fp_scale_COM

Scale - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command
Auto Scale |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.AUTO
Auto Scale All |  | SCPI.DISPlay.FR(Ch).ALLTrace.Y.SCALe.AUTO
Divisions |  | SCPI.DISPlay.FP(Ch).Y.SCALe.DIVisions
Scale/Div |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.PDIVision
Reference Position |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RPOSition
Reference Value |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).Y.SCALe.RLEVel
Marker -> Reference |
X Axis | Auto | SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.AUTO
 | Left | SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.LEFT
 | Right | SCPI.DISPlay.FP(Ch).TRACe(Tr).X.SCALe.RIGHt


fp_scale_SCPI

Scale - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | SCPI Command
Auto Scale |  | :DISPlay:FP[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Auto Scale All |  | :DISPlay:FP[Ch]:ALLTrace:Y:SCALe:AUTO
Divisions |  | :DISPlay:FP[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | :DISPlay:FP[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | :DISPlay:FP[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | :DISPlay:FP[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
X Axis | Auto | :DISPlay:FP[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | :DISPlay:FP[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | :DISPlay:FP[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt


pn_scale

Scale - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command | SCPI Command
Auto Scale |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.AUTO | :DISPlay:PN[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Divisions |  | SCPI.DISPlay.PN(Ch).Y.SCALe.DIVisions | :DISPlay:PN[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.PDIVision | :DISPlay:PN[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RPOSition | :DISPlay:PN[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RLEVel | :DISPlay:PN[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
X Axis | Auto | SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.AUTO | :DISPlay:PN[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.LEFT | :DISPlay:PN[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.RIGHt | :DISPlay:PN[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None | None


pn_scale_COM

Scale - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command
Auto Scale |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.AUTO
Divisions |  | SCPI.DISPlay.PN(Ch).Y.SCALe.DIVisions
Scale/Div |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.PDIVision
Reference Position |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RPOSition
Reference Value |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).Y.SCALe.RLEVel
Marker -> Reference |
X Axis | Auto | SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.AUTO
 | Left | SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.LEFT
 | Right | SCPI.DISPlay.PN(Ch).TRACe(Tr).X.SCALe.RIGHt
 | Band Marker -> XAxis | None


pn_scale_SCPI

Scale - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | SCPI Command
Auto Scale |  | :DISPlay:PN[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Divisions |  | :DISPlay:PN[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | :DISPlay:PN[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | :DISPlay:PN[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | :DISPlay:PN[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
X Axis | Auto | :DISPlay:PN[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | :DISPlay:PN[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | :DISPlay:PN[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None


ps_scale

Scale - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command | SCPI Command
Auto Scale |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.AUTO | :DISPlay:PS[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Divisions |  | SCPI.DISPlay.PS(Ch).Y.SCALe.DIVisions | :DISPlay:PS[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.PDIVision | :DISPlay:PS[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RPOSition | :DISPlay:PS[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RLEVel | :DISPlay:PS[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
X Axis | Auto | SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.AUTO | :DISPlay:PS[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.LEFT | :DISPlay:PS[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.RIGHt | :DISPlay:PS[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None | None


ps_scale_COM

Scale - Segment Phase Noise Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command
Auto Scale |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.AUTO
Divisions |  | SCPI.DISPlay.PS(Ch).Y.SCALe.DIVisions
Scale/Div |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.PDIVision
Reference Position |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RPOSition
Reference Value |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).Y.SCALe.RLEVel
Marker -> Reference |
X Axis | Auto | SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.AUTO
 | Left | SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.LEFT
 | Right | SCPI.DISPlay.PS(Ch).TRACe(Tr).X.SCALe.RIGHt
 | Band Marker -> XAxis | None


ps_scale_SCPI

Scale - Segment Phase Noise Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | SCPI Command
Auto Scale |  | :DISPlay:PS[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Divisions |  | :DISPlay:PS[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | :DISPlay:PS[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | :DISPlay:PS[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | :DISPlay:PS[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
X Axis | Auto | :DISPlay:PS[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | :DISPlay:PS[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | :DISPlay:PS[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None


sp_scale

Scale - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command | SCPI Command
Auto Scale |  | SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.AUTO | :DISPlay:SP[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Divisions |  | SCPI.DISPlay.SP(Ch).Y.SCALe.DIVisions | :DISPlay:SP[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.PDIVision | :DISPlay:SP[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RPOSition | :DISPlay:SP[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RLEVel | :DISPlay:SP[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
X Axis | Auto | SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.AUTO | :DISPlay:SP[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.LEFT | :DISPlay:SP[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.RIGHt | :DISPlay:SP[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None | None


sp_scale_COM

Scale - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command
Auto Scale |  | SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.AUTO
Divisions |  | SCPI.DISPlay.SP(Ch).Y.SCALe.DIVisions
Scale/Div |  | SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.PDIVision
Reference Position |  | SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RPOSition
Reference Value |  | SCPI.DISPlay.SP(Ch).TRACe(Tr).Y.SCALe.RLEVel
Marker -> Reference |
X Axis | Auto | SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.AUTO
 | Left | SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.LEFT
 | Right | SCPI.DISPlay.SP(Ch).TRACe(Tr).X.SCALe.RIGHt
 | Band Marker -> XAxis | None


sp_scale_SCPI

Scale - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | SCPI Command
Auto Scale |  | :DISPlay:SP[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Divisions |  | :DISPlay:SP[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | :DISPlay:SP[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | :DISPlay:SP[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | :DISPlay:SP[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
X Axis | Auto | :DISPlay:SP[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | :DISPlay:SP[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | :DISPlay:SP[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None


tr_scale

Scale - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command | SCPI Command
Auto Scale |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.AUTO | :DISPlay:TR[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Auto Scale All |  | SCPI.DISPlay.TR(Ch).ALLTrace.Y.SCALe.AUTO | :DISPlay:TR[Ch]:ALLTrace:Y:SCALe:AUTO
Divisions |  | SCPI.DISPlay.TR(Ch).Y.SCALe.DIVisions | :DISPlay:TR[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.PDIVision | :DISPlay:TR[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RPOSition | :DISPlay:TR[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RLEVel | :DISPlay:TR[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
Trigger Freq -> Reference |
X Axis | Auto | SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.AUTO | :DISPlay:TR[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.LEFT | :DISPlay:TR[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.RIGHt | :DISPlay:TR[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None | None


tr_scale_COM

Scale - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command
Auto Scale |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.AUTO
Auto Scale All |  | SCPI.DISPlay.TR(Ch).ALLTrace.Y.SCALe.AUTO
Divisions |  | SCPI.DISPlay.TR(Ch).Y.SCALe.DIVisions
Scale/Div |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.PDIVision
Reference Position |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RPOSition
Reference Value |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).Y.SCALe.RLEVel
Marker -> Reference |
Trigger Freq -> Reference |
X Axis | Auto | SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.AUTO
 | Left | SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.LEFT
 | Right | SCPI.DISPlay.TR(Ch).TRACe(Tr).X.SCALe.RIGHt
 | Band Marker -> XAxis | None


tr_scale_SCPI

Scale - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | SCPI Command
Auto Scale |  | :DISPlay:TR[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Auto Scale All |  | :DISPlay:TR[Ch]:ALLTrace:Y:SCALe:AUTO
Divisions |  | :DISPlay:TR[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | :DISPlay:TR[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | :DISPlay:TR[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | :DISPlay:TR[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
Trigger Freq -> Reference |
X Axis | Auto | :DISPlay:TR[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | :DISPlay:TR[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | :DISPlay:TR[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
 | Band Marker -> XAxis | None


user_scale

Scale - USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command | SCPI Command
Auto Scale |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.AUTO | :DISPlay:USER[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Auto Scale All |  | SCPI.DISPlay.USER(Ch).ALLTrace.Y.SCALe.AUTO | :DISPlay:USER[Ch]:ALLTrace:Y:SCALe:AUTO
Divisions |  | SCPI.DISPlay.USER(Ch).Y.SCALe.DIVisions | :DISPlay:USER[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.PDIVision | :DISPlay:USER[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RPOSition | :DISPlay:USER[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RLEVel | :DISPlay:USER[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
Trigger Freq -> Reference |
X Axis | Auto | SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO | :DISPlay:USER[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.LEFT | :DISPlay:USER[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.RIGHt | :DISPlay:USER[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
X Unit |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).X.UNIT | :DISPlay:USER[Ch]:TRACe[Tr]:X:UNIT
Y Unit |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.UNIT | :DISPlay:USER[Ch]:TRACe[Tr]:Y:UNIT
X Axis Type | Linear | SCPI.DISPlay.USER(Ch).TRACe(Tr).X.TYPE | :DISPlay:USER[Ch]:TRACe[Tr]:X:TYPE LIN
 | Logarithmic |  | :DISPlay:USER[Ch]:TRACe[Tr]:X:TYPE LOG


user_scale_COM

Scale - USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | COM Command
Auto Scale |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.AUTO
Auto Scale All |  | SCPI.DISPlay.USER(Ch).ALLTrace.Y.SCALe.AUTO
Divisions |  | SCPI.DISPlay.USER(Ch).Y.SCALe.DIVisions
Scale/Div |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.PDIVision
Reference Position |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RPOSition
Reference Value |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.SCALe.RLEVel
Marker -> Reference |
Trigger Freq -> Reference |
X Axis | Auto | SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.AUTO
 | Left | SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.LEFT
 | Right | SCPI.DISPlay.USER(Ch).TRACe(Tr).X.SCALe.RIGHt
X Unit |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).X.UNIT
Y Unit |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).Y.UNIT
X Axis Type | Linear | SCPI.DISPlay.USER(Ch).TRACe(Tr).X.TYPE
 | Logarithmic


user_scale_SCPI

Scale - USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Scale Key |  | SCPI Command
Auto Scale |  | :DISPlay:USER[Ch]:TRACe[Tr]:Y[:SCALe]:AUTO
Auto Scale All |  | :DISPlay:USER[Ch]:ALLTrace:Y:SCALe:AUTO
Divisions |  | :DISPlay:USER[Ch]:Y[:SCALe]:DIVisions
Scale/Div |  | :DISPlay:USER[Ch]:TRACe[Tr]:Y[:SCALe]:PDIVision
Reference Position |  | :DISPlay:USER[Ch]:TRACe[Tr]:Y[:SCALe]:RPOSition
Reference Value |  | :DISPlay:USER[Ch]:TRACe[Tr]:Y[:SCALe]:RLEVel
Marker -> Reference |
Trigger Freq -> Reference |
X Axis | Auto | :DISPlay:USER[Ch]:TRACe[Tr]:X[:SCALe]:AUTO
 | Left | :DISPlay:USER[Ch]:TRACe[Tr]:X[:SCALe]:LEFT
 | Right | :DISPlay:USER[Ch]:TRACe[Tr]:X[:SCALe]:RIGHt
X Unit |  | :DISPlay:USER[Ch]:TRACe[Tr]:X:UNIT
Y Unit |  | :DISPlay:USER[Ch]:TRACe[Tr]:Y:UNIT
X Axis Type | Linear | :DISPlay:USER[Ch]:TRACe[Tr]:X:TYPE LIN
 | Logarithmic | :DISPlay:USER[Ch]:TRACe[Tr]:X:TYPE LOG


am_trace_view

Trace/View AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command | SCPI Command
Smoothing |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe | :CALCulate:AM[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture | :CALCulate:AM[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).HOLD | :CALCulate:AM[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).MODE | :DISPlay:AM[Ch]:TRACe[Tr]:MODE OFF
 | Data |  |  | :DISPlay:AM[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  |  | :DISPlay:AM[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  |  | :DISPlay:AM[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.MEMorize | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.FUNCtion | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | USER Equation |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation editor |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).EQUation.TEXT | :CALCulate:AM(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.OFFSet | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).PERSistence.STATe | :DISPlay:AM[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.AM(Ch).ALLTrace.PERSistence.CLEar | :DISPlay:AM[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.AM(Ch).TRACe1.DATA.COPY | :CALCulate:AM[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  |  | :CALCulate:AM[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  |  | :CALCulate:AM[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  |  | :CALCulate:AM[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  |  | :CALCulate:AM[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  |  | :CALCulate:AM[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  |  | :CALCulate:AM[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  |  | :CALCulate:AM[Ch]:TRACe8:DATA:COPY
Spurious | Omit |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion | :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:OMISsion ON
 | Power (dBc) |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer | :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:POWer ON
 | Normalized (dBc/Hz) |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer | :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:OMISsion OFF :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:POWer OFF
 | Spurious List |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt | :CALCulate:AM(Ch):TRACe(Tr):SPURious:SLISt
 | Import Threshold Table… |  | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.THReshold | :MMEMory:AM[Ch]:TRACe[Tr]:LOAD:SPURious:THReshold
 | Clear Threshold Table |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar | :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:THReshold:TABLe:CLEar
 | Explorer |  | None | None
 | Minimum Spru Level |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum | :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:THReshold:LEVel:MINimum
 | Spur Sensibility |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility | :CALCulate:AM(Ch):TRACe(Tr):SPURious:SENSibility
 | Omit Specified Spur | Omit | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion | :CALCulate:AM(Ch):TRACe(Tr):SPURious:OSSPur:OMISsion OFF
 |  | Import Spurious Table... | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt | :MMEMory:AM(Ch):TRACe(Tr):LOAD:SPURious:OSSPur:FLISt
 |  | Export Spurious Table... | SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt | :MMEMory:AM(Ch):TRACe(Tr):STORe:SPURious:OSSPur:FLISt
 |  | Clear Spurious Table | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar | :CALCulate:AM(Ch):TRACe(Tr):SPURious:OSSPur:FLISt:CLEar
Trace Label |  |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).LABel.DATA | :DISPlay:AM[Ch]:TRACe[Tr]:LABel:DATA


am_trace_view_COM

Trace/View AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command
Smoothing |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.STATe
Aperture |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SMOothing.APERture
Data Hold | Off |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).HOLD
 | Maximum
 | Minimum
Display Trace | Off |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).MODE
 | Data
 | Mem
 | Data & Mem
Data -> Mem |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.MEMorize
Data Math | Off |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.FUNCtion
 | Data - Mem
 | Data / Mem
 | Data + Mem
 | Data * Mem
 | USER Equation
Equation editor |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).EQUation.TEXT
Offset |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MATH.OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).PERSistence.STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.AM(Ch).ALLTrace.PERSistence.CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.AM(Ch).TRACe1.DATA.COPY
 | Copy to User2
 | Copy to User3
 | Copy to User4
 | Copy to User5
 | Copy to User6
 | Copy to User7
 | Copy to User8
Spurious | Omit |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion
 | Power (dBc) |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer
 | Normalized (dBc/Hz) |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OMISsion SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.POWer
 | Spurious List |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SLISt
 | Import Threshold Table… |  | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.THReshold
 | Clear Threshold Table |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar
 | Explorer |  | None
 | Minimum Spru Level |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum
 | Spur Sensibility |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.SENSibility
 | Omit Specified Spur | Omit | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion
 |  | Import Spurious Table... | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt
 |  | Export Spurious Table... | SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt
 |  | Clear Spurious Table | SCPI.CALCulate.AM(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar
Trace Label |  |  | SCPI.DISPlay.AM(Ch).TRACe(Tr).LABel.DATA


am_trace_view_SCPI

Trace/View AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | SCPI Command
Smoothing |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | :CALCulate:AM[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  | :CALCulate:AM[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  | :CALCulate:AM[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | :DISPlay:AM[Ch]:TRACe[Tr]:MODE OFF
 | Data |  | :DISPlay:AM[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  | :DISPlay:AM[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  | :DISPlay:AM[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | USER Equation |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation editor |  |  | :CALCulate:AM(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | :DISPlay:AM[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | :DISPlay:AM[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | :CALCulate:AM[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  | :CALCulate:AM[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  | :CALCulate:AM[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  | :CALCulate:AM[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  | :CALCulate:AM[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  | :CALCulate:AM[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  | :CALCulate:AM[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  | :CALCulate:AM[Ch]:TRACe8:DATA:COPY
Spurious | Omit |  | :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:OMISsion ON
 | Power (dBc) |  | :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:POWer ON
 | Normalized (dBc/Hz) |  | :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:OMISsion OFF :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:POWer OFF
 | Spurious List |  | :CALCulate:AM(Ch):TRACe(Tr):SPURious:SLISt
 | Import Threshold Table… |  | :MMEMory:AM[Ch]:TRACe[Tr]:LOAD:SPURious:THReshold
 | Clear Threshold Table |  | :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:THReshold:TABLe:CLEar
 | Explorer |  | None
 | Minimum Spru Level |  | :CALCulate:AM[Ch]:TRACe[Tr]:SPURious:THReshold:LEVel:MINimum
 | Spur Sensibility |  | :CALCulate:AM(Ch):TRACe(Tr):SPURious:SENSibility
 | Omit Specified Spur | Omit | :CALCulate:AM(Ch):TRACe(Tr):SPURious:OSSPur:OMISsion OFF
 |  | Import Spurious Table... | :MMEMory:AM(Ch):TRACe(Tr):LOAD:SPURious:OSSPur:FLISt
 |  | Export Spurious Table... | :MMEMory:AM(Ch):TRACe(Tr):STORe:SPURious:OSSPur:FLISt
 |  | Clear Spurious Table | :CALCulate:AM(Ch):TRACe(Tr):SPURious:OSSPur:FLISt:CLEar
Trace Label |  |  | :DISPlay:AM[Ch]:TRACe[Tr]:LABel:DATA


bb_trace_view

Trace/View - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command | SCPI Command
Smoothing |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.STATe | :CALCulate:BB[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.APERture | :CALCulate:BB[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).HOLD | :CALCulate:BB[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).MODE | :DISPlay:BB[Ch]:TRACe[Tr]:MODE OFF
 | Data |  |  | :DISPlay:BB[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  |  | :DISPlay:BB[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  |  | :DISPlay:BB[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.MEMorize | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.FUNCtion | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | USER Equation |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).EQUation.TEXT | :CALCulate:BB(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.OFFSet | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).PERSistence.STATe | :DISPlay:BB[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.BB(Ch).ALLTrace.PERSistence.CLEar | :DISPlay:BB[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.BB(Ch).TRACe1.DATA.COPY | :CALCulate:BB[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  |  | :CALCulate:BB[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  |  | :CALCulate:BB[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  |  | :CALCulate:BB[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  |  | :CALCulate:BB[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  |  | :CALCulate:BB[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  |  | :CALCulate:BB[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  |  | :CALCulate:BB[Ch]:TRACe8:DATA:COPY
Spurious | Omit |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion | :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:OMISsion ON
 | Power (dBc) |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer | :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:POWer ON
 | Normalized (dBc/Hz) |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer | :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:OMISsion OFF :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:POWer OFF
 | Spurious List |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt | :CALCulate:BB(Ch):TRACe(Tr):SPURious:SLISt
 | Import Threshold Table… |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.THReshold | :MMEMory:BB[Ch]:TRACe[Tr]:LOAD:SPURious:THReshold
 | Clear Threshold Table |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar | :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:THReshold:TABLe:CLEar
 | Explorer |  | None | None
 | Minimum Spur Level |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum | :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:THReshold:LEVel:MINimum
 | Spur Sensibility |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SENSibility | :CALCulate:BB(Ch):TRACe(Tr):SPURious:SENSibility
 | Omit Specified Spur | Omit | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion | :CALCulate:BB(Ch):TRACe(Tr):SPURious:OSSPur:OMISsion OFF
 |  | Import Spurious Table... | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt | :MMEMory:BB(Ch):TRACe(Tr):LOAD:SPURious:OSSPur:FLISt
 |  | Export Spurious Table... | SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt | :MMEMory:BB(Ch):TRACe(Tr):STORe:SPURious:OSSPur:FLISt
 |  | Clear Spurious Table | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar | :CALCulate:BB(Ch):TRACe(Tr):SPURious:OSSPur:FLISt:CLEar
Trace Label |  |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).LABel.DATA | :DISPlay:BB[Ch]:TRACe[Tr]:LABel:DATA


bb_trace_view_COM

Trace/View - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command
Smoothing |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.STATe
Aperture |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SMOothing.APERture
Data Hold | Off |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).HOLD
 | Maximum
 | Minimum
Display Trace | Off |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).MODE
 | Data
 | Mem
 | Data & Mem
Data -> Mem |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.MEMorize
Data Math | Off |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.FUNCtion
 | Data - Mem
 | Data / Mem
 | Data + Mem
 | Data * Mem
 | USER Equation
Equation Editor |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).EQUation.TEXT
Offset |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MATH.OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).PERSistence.STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.BB(Ch).ALLTrace.PERSistence.CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.BB(Ch).TRACe1.DATA.COPY
 | Copy to User2
 | Copy to User3
 | Copy to User4
 | Copy to User5
 | Copy to User6
 | Copy to User7
 | Copy to User8
Spurious | Omit |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion
 | Power (dBc) |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer
 | Normalized (dBc/Hz) |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OMISsion SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.POWer
 | Spurious List |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SLISt
 | Import Threshold Table… |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.THReshold
 | Clear Threshold Table |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar
 | Explorer |  | None
 | Minimum Spur Level |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum
 | Spur Sensibility |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.SENSibility
 | Omit Specified Spur | Omit | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion
 |  | Import Spurious Table... | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt
 |  | Export Spurious Table... | SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt
 |  | Clear Spurious Table | SCPI.CALCulate.BB(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar
Trace Label |  |  | SCPI.DISPlay.BB(Ch).TRACe(Tr).LABel.DATA


bb_trace_view_SCPI

Trace/View - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | SCPI Command
Smoothing |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | :CALCulate:BB[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  | :CALCulate:BB[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  | :CALCulate:BB[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | :DISPlay:BB[Ch]:TRACe[Tr]:MODE OFF
 | Data |  | :DISPlay:BB[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  | :DISPlay:BB[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  | :DISPlay:BB[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | USER Equation |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  |  | :CALCulate:BB(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | :DISPlay:BB[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | :DISPlay:BB[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | :CALCulate:BB[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  | :CALCulate:BB[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  | :CALCulate:BB[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  | :CALCulate:BB[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  | :CALCulate:BB[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  | :CALCulate:BB[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  | :CALCulate:BB[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  | :CALCulate:BB[Ch]:TRACe8:DATA:COPY
Spurious | Omit |  | :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:OMISsion ON
 | Power (dBc) |  | :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:POWer ON
 | Normalized (dBc/Hz) |  | :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:OMISsion OFF :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:POWer OFF
 | Spurious List |  | :CALCulate:BB(Ch):TRACe(Tr):SPURious:SLISt
 | Import Threshold Table… |  | :MMEMory:BB[Ch]:TRACe[Tr]:LOAD:SPURious:THReshold
 | Clear Threshold Table |  | :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:THReshold:TABLe:CLEar
 | Explorer |  | None
 | Minimum Spur Level |  | :CALCulate:BB[Ch]:TRACe[Tr]:SPURious:THReshold:LEVel:MINimum
 | Spur Sensibility |  | :CALCulate:BB(Ch):TRACe(Tr):SPURious:SENSibility
 | Omit Specified Spur | Omit | :CALCulate:BB(Ch):TRACe(Tr):SPURious:OSSPur:OMISsion OFF
 |  | Import Spurious Table... | :MMEMory:BB(Ch):TRACe(Tr):LOAD:SPURious:OSSPur:FLISt
 |  | Export Spurious Table... | :MMEMory:BB(Ch):TRACe(Tr):STORe:SPURious:OSSPur:FLISt
 |  | Clear Spurious Table | :CALCulate:BB(Ch):TRACe(Tr):SPURious:OSSPur:FLISt:CLEar
Trace Label |  |  | :DISPlay:BB[Ch]:TRACe[Tr]:LABel:DATA


fp_trace_view

Trace/View - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command | SCPI Command
Smoothing |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.STATe | :CALCulate:FP[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.APERture | :CALCulate:FP[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).HOLD | :CALCulate:FP[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).MODE | :DISPlay:FP[Ch]:TRACe[Tr]:MODE OFF
 | Data |  |  | :DISPlay:FP[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  |  | :DISPlay:FP[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  |  | :DISPlay:FP[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.MEMorize | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:MEMorize
Memory Trace | Line (Y = AX + B) | A | SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.A | :CALCulate:FP[Ch]:TRACe[Tr]:LINE:A
 |  | B | SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.B | :CALCulate:FP[Ch]:TRACe[Tr]:LINE:B
 |  | Data Trace -> A,B | SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:STATistics:DATA
 |  | Set Line to Memory | SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:STATistics:MEMory
Data Math | Off |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.FUNCtion | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | User Equation |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation editor |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).EQUation.TEXT | :CALCulate:FP(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.OFFSet | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).PERSistence.STATe | :DISPlay:FP[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.FP(Ch).ALLTrace.PERSistence.CLEar | :DISPlay:FP[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.FP(Ch).TRACe1.DATA.COPY | :CALCulate:FP[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  |  | :CALCulate:FP[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  |  | :CALCulate:FP[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  |  | :CALCulate:FP[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  |  | :CALCulate:FP[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  |  | :CALCulate:FP[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  |  | :CALCulate:FP[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  |  | :CALCulate:FP[Ch]:TRACe8:DATA:COPY
Trace Label |  |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).LABel.DATA | :DISPlay:FP[Ch]:TRACe[Tr]:LABel:DATA


fp_trace_view_COM

Trace/View - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command
Smoothing |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.STATe
Aperture |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).SMOothing.APERture
Data Hold | Off |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).HOLD
 | Maximum
 | Minimum
Display Trace | Off |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).MODE
 | Data
 | Mem
 | Data & Mem
Data -> Mem |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.MEMorize
Memory Trace | Line (Y = AX + B) | A | SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.A
 |  | B | SCPI.CALCulate.FP(Ch).TRACe(Tr).LINE.B
 |  | Data Trace -> A,B | SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q
 |  | Set Line to Memory | SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q
Data Math | Off |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.FUNCtion
 | Data - Mem
 | Data / Mem
 | Data + Mem
 | Data * Mem
 | User Equation
Equation editor |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).EQUation.TEXT
Offset |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MATH.OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).PERSistence.STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.FP(Ch).ALLTrace.PERSistence.CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.FP(Ch).TRACe1.DATA.COPY
 | Copy to User2
 | Copy to User3
 | Copy to User4
 | Copy to User5
 | Copy to User6
 | Copy to User7
 | Copy to User8
Trace Label |  |  | SCPI.DISPlay.FP(Ch).TRACe(Tr).LABel.DATA


fp_trace_view_SCPI

Trace/View - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | SCPI Command
Smoothing |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | :CALCulate:FP[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  | :CALCulate:FP[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  | :CALCulate:FP[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | :DISPlay:FP[Ch]:TRACe[Tr]:MODE OFF
 | Data |  | :DISPlay:FP[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  | :DISPlay:FP[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  | :DISPlay:FP[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:MEMorize
Memory Trace | Line (Y = AX + B) | A | :CALCulate:FP[Ch]:TRACe[Tr]:LINE:A
 |  | B | :CALCulate:FP[Ch]:TRACe[Tr]:LINE:B
 |  | Data Trace -> A,B | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:STATistics:DATA
 |  | Set Line to Memory | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:STATistics:MEMory
Data Math | Off |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | User Equation |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation editor |  |  | :CALCulate:FP(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | :DISPlay:FP[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | :DISPlay:FP[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | :CALCulate:FP[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  | :CALCulate:FP[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  | :CALCulate:FP[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  | :CALCulate:FP[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  | :CALCulate:FP[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  | :CALCulate:FP[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  | :CALCulate:FP[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  | :CALCulate:FP[Ch]:TRACe8:DATA:COPY
Trace Label |  |  | :DISPlay:FP[Ch]:TRACe[Tr]:LABel:DATA


pn_trace_view

Trace/View - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command | SCPI Command
Smoothing |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.STATe | :CALCulate:PN[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.APERture | :CALCulate:PN[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).HOLD | :CALCulate:PN[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).MODE | :DISPlay:PN[Ch]:TRACe[Tr]:MODE OFF
 | Data |  |  | :DISPlay:PN[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  |  | :DISPlay:PN[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  |  | :DISPlay:PN[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.MEMorize | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.FUNCtion | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | USER Equation |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).EQUation.TEXT | :CALCulate:PN(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.OFFSet | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).PERSistence.STATe | :DISPlay:PN[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.PN(Ch).ALLTrace.PERSistence.CLEar | :DISPlay:PN[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.PN(Ch).TRACe1.DATA.COPY | :CALCulate:PN[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  |  | :CALCulate:PN[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  |  | :CALCulate:PN[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  |  | :CALCulate:PN[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  |  | :CALCulate:PN[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  |  | :CALCulate:PN[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  |  | :CALCulate:PN[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  |  | :CALCulate:PN[Ch]:TRACe8:DATA:COPY
Spurious | Omit |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OMISsion | :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:OMISsion ON
 | Power (dBc) |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.POWer | :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:POWer ON
 | Normalized (dBc/Hz) |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OMISsion SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.POWer | :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:OMISsion OFF :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:POWer OFF
 | Spurious List |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.SLISt | :CALCulate:PN(Ch):TRACe(Tr):SPURious:SLISt
 | Import Threshold Table… |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.THReshold | :MMEMory:PN[Ch]:TRACe[Tr]:LOAD:SPURious:THReshold
 | Clear Threshold Table |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar | :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:THReshold:TABLe:CLEar
 | Explorer |  | None | None
 | Minimum Spru Level |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum | :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:THReshold:LEVel:MINimum
 | Spur Sensibility |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.SENSibility | :CALCulate:PN(Ch):TRACe(Tr):SPURious:SENSibility
 | Omit Specified Spur | Omit | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion | :CALCulate:PN(Ch):TRACe(Tr):SPURious:OSSPur:OMISsion OFF
 |  | Import Spurious Table... | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt | :MMEMory:PN(Ch):TRACe(Tr):LOAD:SPURious:OSSPur:FLISt
 |  | Export Spurious Table... | SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt | :MMEMory:PN(Ch):TRACe(Tr):STORe:SPURious:OSSPur:FLISt
 |  | Clear Spurious Table | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar | :CALCulate:PN(Ch):TRACe(Tr):SPURious:OSSPur:FLISt:CLEar
Trace Label |  |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).LABel.DATA | :DISPlay:PN[Ch]:TRACe[Tr]:LABel:DATA


pn_trace_view_COM

Trace/View - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command
Smoothing |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.STATe
Aperture |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SMOothing.APERture
Data Hold | Off |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).HOLD
 | Maximum
 | Minimum
Display Trace | Off |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).MODE
 | Data
 | Mem
 | Data & Mem
Data -> Mem |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.MEMorize
Data Math | Off |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.FUNCtion
 | Data - Mem
 | Data / Mem
 | Data + Mem
 | Data * Mem
 | USER Equation
Equation Editor |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).EQUation.TEXT
Offset |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MATH.OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).PERSistence.STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.PN(Ch).ALLTrace.PERSistence.CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.PN(Ch).TRACe1.DATA.COPY
 | Copy to User2
 | Copy to User3
 | Copy to User4
 | Copy to User5
 | Copy to User6
 | Copy to User7
 | Copy to User8
Spurious | Omit |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OMISsion
 | Power (dBc) |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.POWer
 | Normalized (dBc/Hz) |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OMISsion SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.POWer
 | Spurious List |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.SLISt
 | Import Threshold Table… |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.THReshold
 | Clear Threshold Table |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar
 | Explorer |  | None
 | Minimum Spru Level |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum
 | Spur Sensibility |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.SENSibility
 | Omit Specified Spur | Omit | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion
 |  | Import Spurious Table... | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt
 |  | Export Spurious Table... | SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt
 |  | Clear Spurious Table | SCPI.CALCulate.PN(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar
Trace Label |  |  | SCPI.DISPlay.PN(Ch).TRACe(Tr).LABel.DATA


pn_trace_view_SCPI

Trace/View - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | SCPI Command
Smoothing |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | :CALCulate:PN[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  | :CALCulate:PN[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  | :CALCulate:PN[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | :DISPlay:PN[Ch]:TRACe[Tr]:MODE OFF
 | Data |  | :DISPlay:PN[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  | :DISPlay:PN[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  | :DISPlay:PN[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | USER Equation |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  |  | :CALCulate:PN(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | :DISPlay:PN[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | :DISPlay:PN[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | :CALCulate:PN[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  | :CALCulate:PN[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  | :CALCulate:PN[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  | :CALCulate:PN[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  | :CALCulate:PN[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  | :CALCulate:PN[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  | :CALCulate:PN[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  | :CALCulate:PN[Ch]:TRACe8:DATA:COPY
Spurious | Omit |  | :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:OMISsion ON
 | Power (dBc) |  | :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:POWer ON
 | Normalized (dBc/Hz) |  | :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:OMISsion OFF :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:POWer OFF
 | Spurious List |  | :CALCulate:PN(Ch):TRACe(Tr):SPURious:SLISt
 | Import Threshold Table… |  | :MMEMory:PN[Ch]:TRACe[Tr]:LOAD:SPURious:THReshold
 | Clear Threshold Table |  | :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:THReshold:TABLe:CLEar
 | Explorer |  | None
 | Minimum Spru Level |  | :CALCulate:PN[Ch]:TRACe[Tr]:SPURious:THReshold:LEVel:MINimum
 | Spur Sensibility |  | :CALCulate:PN(Ch):TRACe(Tr):SPURious:SENSibility
 | Omit Specified Spur | Omit | :CALCulate:PN(Ch):TRACe(Tr):SPURious:OSSPur:OMISsion OFF
 |  | Import Spurious Table... | :MMEMory:PN(Ch):TRACe(Tr):LOAD:SPURious:OSSPur:FLISt
 |  | Export Spurious Table... | :MMEMory:PN(Ch):TRACe(Tr):STORe:SPURious:OSSPur:FLISt
 |  | Clear Spurious Table | :CALCulate:PN(Ch):TRACe(Tr):SPURious:OSSPur:FLISt:CLEar
Trace Label |  |  | :DISPlay:PN[Ch]:TRACe[Tr]:LABel:DATA


ps_trace_view

Trace/View - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command | SCPI Command
Smoothing |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.STATe | :CALCulate:PS[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.APERture | :CALCulate:PS[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).HOLD | :CALCulate:PS[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).MODE | :DISPlay:PS[Ch]:TRACe[Tr]:MODE OFF
 | Data |  |  | :DISPlay:PS[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  |  | :DISPlay:PS[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  |  | :DISPlay:PS[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.MEMorize | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.FUNCtion | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | USER Equation |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).EQUation.TEXT | :CALCulate:PS(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.OFFSet | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).PERSistence.STATe | :DISPlay:PS[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.PS(Ch).ALLTrace.PERSistence.CLEar | :DISPlay:PS[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.PS(Ch).TRACe1.DATA.COPY | :CALCulate:PS[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  |  | :CALCulate:PS[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  |  | :CALCulate:PS[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  |  | :CALCulate:PS[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  |  | :CALCulate:PS[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  |  | :CALCulate:PS[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  |  | :CALCulate:PS[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  |  | :CALCulate:PS[Ch]:TRACe8:DATA:COPY
Spurious | Omit |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OMISsion | :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:OMISsion ON
 | Power (dBc) |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.POWer | :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:POWer ON
 | Normalized (dBc/Hz) |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OMISsion SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.POWer | :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:OMISsion OFF :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:POWer OFF
 | Spurious List |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.SLISt | :CALCulate:PS(Ch):TRACe(Tr):SPURious:SLISt
 | Import Threshold Table… |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.THReshold | :MMEMory:PS[Ch]:TRACe[Tr]:LOAD:SPURious:THReshold
 | Clear Threshold Table |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar | :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:THReshold:TABLe:CLEar
 | Explorer |  | None | None
 | Minimum Spur Level |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum | :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:THReshold:LEVel:MINimum
 | Spur Sensibility |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.SENSibility | :CALCulate:PS(Ch):TRACe(Tr):SPURious:SENSibility
 | Omit Specified Spur | Omit | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion | :CALCulate:PS(Ch):TRACe(Tr):SPURious:OSSPur:OMISsion OFF
 |  | Import Spurious Table... | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt | :MMEMory:PS(Ch):TRACe(Tr):LOAD:SPURious:OSSPur:FLISt
 |  | Export Spurious Table... | SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt | :MMEMory:PS(Ch):TRACe(Tr):STORe:SPURious:OSSPur:FLISt
 |  | Clear Spurious Table | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar | :CALCulate:PS(Ch):TRACe(Tr):SPURious:OSSPur:FLISt:CLEar
Trace Label |  |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).LABel.DATA | :DISPlay:PS[Ch]:TRACe[Tr]:LABel:DATA


ps_trace_view_COM

Trace/View - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command
Smoothing |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.STATe
Aperture |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SMOothing.APERture
Data Hold | Off |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).HOLD
 | Maximum
 | Minimum
Display Trace | Off |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).MODE
 | Data
 | Mem
 | Data & Mem
Data -> Mem |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.MEMorize
Data Math | Off |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.FUNCtion
 | Data - Mem
 | Data / Mem
 | Data + Mem
 | Data * Mem
 | USER Equation
Equation Editor |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).EQUation.TEXT
Offset |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MATH.OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).PERSistence.STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.PS(Ch).ALLTrace.PERSistence.CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.PS(Ch).TRACe1.DATA.COPY
 | Copy to User2
 | Copy to User3
 | Copy to User4
 | Copy to User5
 | Copy to User6
 | Copy to User7
 | Copy to User8
Spurious | Omit |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OMISsion
 | Power (dBc) |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.POWer
 | Normalized (dBc/Hz) |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OMISsion SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.POWer
 | Spurious List |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.SLISt
 | Import Threshold Table… |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.THReshold
 | Clear Threshold Table |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.TABLe.CLEar
 | Explorer |  | None
 | Minimum Spur Level |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.THReshold.LEVel.MINimum
 | Spur Sensibility |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.SENSibility
 | Omit Specified Spur | Omit | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.OMISsion
 |  | Import Spurious Table... | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.SPURious.OSSPur.FLISt
 |  | Export Spurious Table... | SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.SPURious.OSSPur.FLISt
 |  | Clear Spurious Table | SCPI.CALCulate.PS(Ch).TRACe(Tr).SPURious.OSSPur.FLISt.CLEar
Trace Label |  |  | SCPI.DISPlay.PS(Ch).TRACe(Tr).LABel.DATA


ps_trace_view_SCPI

Trace/View - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | SCPI Command
Smoothing |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | :CALCulate:PS[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  | :CALCulate:PS[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  | :CALCulate:PS[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | :DISPlay:PS[Ch]:TRACe[Tr]:MODE OFF
 | Data |  | :DISPlay:PS[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  | :DISPlay:PS[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  | :DISPlay:PS[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | USER Equation |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  |  | :CALCulate:PS(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | :DISPlay:PS[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | :DISPlay:PS[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | :CALCulate:PS[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  | :CALCulate:PS[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  | :CALCulate:PS[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  | :CALCulate:PS[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  | :CALCulate:PS[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  | :CALCulate:PS[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  | :CALCulate:PS[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  | :CALCulate:PS[Ch]:TRACe8:DATA:COPY
Spurious | Omit |  | :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:OMISsion ON
 | Power (dBc) |  | :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:POWer ON
 | Normalized (dBc/Hz) |  | :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:OMISsion OFF :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:POWer OFF
 | Spurious List |  | :CALCulate:PS(Ch):TRACe(Tr):SPURious:SLISt
 | Import Threshold Table… |  | :MMEMory:PS[Ch]:TRACe[Tr]:LOAD:SPURious:THReshold
 | Clear Threshold Table |  | :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:THReshold:TABLe:CLEar
 | Explorer |  | None
 | Minimum Spur Level |  | :CALCulate:PS[Ch]:TRACe[Tr]:SPURious:THReshold:LEVel:MINimum
 | Spur Sensibility |  | :CALCulate:PS(Ch):TRACe(Tr):SPURious:SENSibility
 | Omit Specified Spur | Omit | :CALCulate:PS(Ch):TRACe(Tr):SPURious:OSSPur:OMISsion OFF
 |  | Import Spurious Table... | :MMEMory:PS(Ch):TRACe(Tr):LOAD:SPURious:OSSPur:FLISt
 |  | Export Spurious Table... | :MMEMory:PS(Ch):TRACe(Tr):STORe:SPURious:OSSPur:FLISt
 |  | Clear Spurious Table | :CALCulate:PS(Ch):TRACe(Tr):SPURious:OSSPur:FLISt:CLEar
Trace Label |  |  | :DISPlay:PS[Ch]:TRACe[Tr]:LABel:DATA


sp_trace_view

Trace/View - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  | COM Command | SCPI Command
Smoothing |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.STATe | :CALCulate:SP[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.APERture | :CALCulate:SP[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off | SCPI.CALCulate.SP(Ch).TRACe(Tr).HOLD | :CALCulate:SP[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  | :CALCulate:SP[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  | :CALCulate:SP[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off | SCPI.DISPlay.SP(Ch).TRACe(Tr).MODE | :DISPlay:SP[Ch]:TRACe[Tr]:MODE OFF
 | Data |  | :DISPlay:SP[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  | :DISPlay:SP[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  | :DISPlay:SP[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.MEMorize | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off | SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.FUNCtion | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | USER Equation |  | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).EQUation.TEXT | :CALCulate:SP(Ch):TRACe(Tr:.EQUation:TEXT
Offset |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.OFFSet | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode | SCPI.DISPlay.SP(Ch).TRACe(Tr).PERSistence.STATe | :DISPlay:SP[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data | SCPI.DISPlay.SP(Ch).ALLTrace.PERSistence.CLEar | :DISPlay:SP[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 | SCPI.CALCulate.SP(Ch).TRACe1.DATA.COPY | :CALCulate:SP[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  | :CALCulate:SP[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  | :CALCulate:SP[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  | :CALCulate:SP[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  | :CALCulate:SP[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  | :CALCulate:SP[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  | :CALCulate:SP[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  | :CALCulate:SP[Ch]:TRACe8:DATA:COPY
Trace Label |  | SCPI.DISPlay.SP(Ch).TRACe(Tr).LABel.DATA | :DISPlay:SP[Ch]:TRACe[Tr]:LABel:DATA


sp_trace_view_COM

Trace/View - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  | COM Command
Smoothing |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.STATe
Aperture |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).SMOothing.APERture
Data Hold | Off | SCPI.CALCulate.SP(Ch).TRACe(Tr).HOLD
 | Maximum
 | Minimum
Display Trace | Off | SCPI.DISPlay.SP(Ch).TRACe(Tr).MODE
 | Data
 | Mem
 | Data & Mem
Data -> Mem |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.MEMorize
Data Math | Off | SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.FUNCtion
 | Data - Mem
 | Data / Mem
 | Data + Mem
 | Data * Mem
 | USER Equation
Equation Editor |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).EQUation.TEXT
Offset |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MATH.OFFSet
Marker -> Offset |
Persistence | Persistence Mode | SCPI.DISPlay.SP(Ch).TRACe(Tr).PERSistence.STATe
 | Clear All Persistent Data | SCPI.DISPlay.SP(Ch).ALLTrace.PERSistence.CLEar
Copy to User | Copy to User1 | SCPI.CALCulate.SP(Ch).TRACe1.DATA.COPY
 | Copy to User2
 | Copy to User3
 | Copy to User4
 | Copy to User5
 | Copy to User6
 | Copy to User7
 | Copy to User8
Trace Label |  | SCPI.DISPlay.SP(Ch).TRACe(Tr).LABel.DATA


sp_trace_view_SCPI

Trace/View - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  | SCPI Command
Smoothing |  | :CALCulate:SP[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  | :CALCulate:SP[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off | :CALCulate:SP[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum | :CALCulate:SP[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum | :CALCulate:SP[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off | :DISPlay:SP[Ch]:TRACe[Tr]:MODE OFF
 | Data | :DISPlay:SP[Ch]:TRACe[Tr]:MODE DATA
 | Mem | :DISPlay:SP[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem | :DISPlay:SP[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | USER Equation | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  | :CALCulate:SP(Ch):TRACe(Tr:.EQUation:TEXT
Offset |  | :CALCulate:SP[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode | :DISPlay:SP[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data | :DISPlay:SP[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 | :CALCulate:SP[Ch]:TRACe1:DATA:COPY
 | Copy to User2 | :CALCulate:SP[Ch]:TRACe2:DATA:COPY
 | Copy to User3 | :CALCulate:SP[Ch]:TRACe3:DATA:COPY
 | Copy to User4 | :CALCulate:SP[Ch]:TRACe4:DATA:COPY
 | Copy to User5 | :CALCulate:SP[Ch]:TRACe5:DATA:COPY
 | Copy to User6 | :CALCulate:SP[Ch]:TRACe6:DATA:COPY
 | Copy to User7 | :CALCulate:SP[Ch]:TRACe7:DATA:COPY
 | Copy to User8 | :CALCulate:SP[Ch]:TRACe8:DATA:COPY
Trace Label |  | :DISPlay:SP[Ch]:TRACe[Tr]:LABel:DATA


tr_trace_view

Trace/View - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command | SCPI Command
Smoothing |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.STATe | :CALCulate:TR[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.APERture | :CALCulate:TR[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).HOLD | :CALCulate:TR[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).MODE | :DISPlay:TR[Ch]:TRACe[Tr]:MODE OFF
 | Data |  |  | :DISPlay:TR[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  |  | :DISPlay:TR[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  |  | :DISPlay:TR[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.MEMorize | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:MEMorize
Memory Trace | Line (Y = AX + B) | A | SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.A | :CALCulate:TR[Ch]:TRACe[Tr]:LINE:A
 |  | B | SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.B | :CALCulate:TR[Ch]:TRACe[Tr]:LINE:B
 |  | Data Trace -> A,B | SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:STATistics:DATA
 |  | Set Line to Memory | SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:STATistics:MEMory
Data Math | Off |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.FUNCtion | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | User Equation |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).EQUation.TEXT | :CALCulate:TR(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.OFFSet | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).PERSistence.STATe | :DISPlay:TR[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.TR(Ch).ALLTrace.PERSistence.CLEar | :DISPlay:TR[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.TR(Ch).TRACe1.DATA.COPY | :CALCulate:TR[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  |  | :CALCulate:TR[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  |  | :CALCulate:TR[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  |  | :CALCulate:TR[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  |  | :CALCulate:TR[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  |  | :CALCulate:TR[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  |  | :CALCulate:TR[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  |  | :CALCulate:TR[Ch]:TRACe8:DATA:COPY
Trace Label |  |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).LABel.DATA | :DISPlay:TR[Ch]:TRACe[Tr]:LABel:DATA


tr_trace_view_COM

Trace/View - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | COM Command
Smoothing |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.STATe
Aperture |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).SMOothing.APERture
Data Hold | Off |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).HOLD
 | Maximum
 | Minimum
Display Trace | Off |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).MODE
 | Data
 | Mem
 | Data & Mem
Data -> Mem |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.MEMorize
Memory Trace | Line (Y = AX + B) | A | SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.A
 |  | B | SCPI.CALCulate.TR(Ch).TRACe(Tr).LINE.B
 |  | Data Trace -> A,B | SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.STATistics.DATA_Q
 |  | Set Line to Memory | SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.STATistics.MEMory_Q
Data Math | Off |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.FUNCtion
 | Data - Mem
 | Data / Mem
 | Data + Mem
 | Data * Mem
 | User Equation
Equation Editor |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).EQUation.TEXT
Offset |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MATH.OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).PERSistence.STATe
 | Clear All Persistent Data |  | SCPI.DISPlay.TR(Ch).ALLTrace.PERSistence.CLEar
Copy to User | Copy to User1 |  | SCPI.CALCulate.TR(Ch).TRACe1.DATA.COPY
 | Copy to User2
 | Copy to User3
 | Copy to User4
 | Copy to User5
 | Copy to User6
 | Copy to User7
 | Copy to User8
Trace Label |  |  | SCPI.DISPlay.TR(Ch).TRACe(Tr).LABel.DATA


tr_trace_view_SCPI

Trace/View - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  |  | SCPI Command
Smoothing |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off |  | :CALCulate:TR[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  | :CALCulate:TR[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  | :CALCulate:TR[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off |  | :DISPlay:TR[Ch]:TRACe[Tr]:MODE OFF
 | Data |  | :DISPlay:TR[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  | :DISPlay:TR[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  | :DISPlay:TR[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:MEMorize
Memory Trace | Line (Y = AX + B) | A | :CALCulate:TR[Ch]:TRACe[Tr]:LINE:A
 |  | B | :CALCulate:TR[Ch]:TRACe[Tr]:LINE:B
 |  | Data Trace -> A,B | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:STATistics:DATA
 |  | Set Line to Memory | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:STATistics:MEMory
Data Math | Off |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | User Equation |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  |  | :CALCulate:TR(Ch):TRACe(Tr):EQUation:TEXT
Offset |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode |  | :DISPlay:TR[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data |  | :DISPlay:TR[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 |  | :CALCulate:TR[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  | :CALCulate:TR[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  | :CALCulate:TR[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  | :CALCulate:TR[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  | :CALCulate:TR[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  | :CALCulate:TR[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  | :CALCulate:TR[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  | :CALCulate:TR[Ch]:TRACe8:DATA:COPY
Trace Label |  |  | :DISPlay:TR[Ch]:TRACe[Tr]:LABel:DATA


user_trace_view

Trace/View USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  | COM Command | SCPI Command
Enable Trace | Trace 1 | SCPI.DISPlay.USER(Ch).TRACe(Tr).STATe | :DISPlay:USER[Ch]:TRACe1:STATe
 | Trace 2 |  | :DISPlay:USER[Ch]:TRACe2:STATe
 | Trace 3 |  | :DISPlay:USER[Ch]:TRACe3:STATe
 | Trace 4 |  | :DISPlay:USER[Ch]:TRACe4:STATe
 | Trace 5 |  | :DISPlay:USER[Ch]:TRACe5:STATe
 | Trace 6 |  | :DISPlay:USER[Ch]:TRACe6:STATe
 | Trace 7 |  | :DISPlay:USER[Ch]:TRACe7:STATe
 | Trace 8 |  | :DISPlay:USER[Ch]:TRACe8:STATe
Smoothing |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.STATe | :CALCulate:USER[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.APERture | :CALCulate:USER[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off | SCPI.CALCulate.USER(Ch).TRACe(Tr).HOLD | :CALCulate:USER[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum |  | :CALCulate:USER[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum |  | :CALCulate:USER[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off | SCPI.DISPlay.USER(Ch).TRACe(Tr).MODE | :DISPlay:USER[Ch]:TRACe[Tr]:MODE OFF
 | Data |  | :DISPlay:USER[Ch]:TRACe[Tr]:MODE DATA
 | Mem |  | :DISPlay:USER[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem |  | :DISPlay:USER[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.MEMorize | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off | SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.FUNCtion | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem |  | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem |  | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem |  | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem |  | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | User Equation |  | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).EQUation.TEXT | :CALCulate:USER(Ch):TRACe(Tr):EQUation:TEXT
Offset |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.OFFSet | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode | SCPI.DISPlay.USER(Ch).TRACe(Tr).PERSistence.STATe | :DISPlay:USER[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data | SCPI.DISPlay.USER(Ch).ALLTrace.PERSistence.CLEar | :DISPlay:USER[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 | SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY | :CALCulate:USER[Ch]:TRACe1:DATA:COPY
 | Copy to User2 |  | :CALCulate:USER[Ch]:TRACe2:DATA:COPY
 | Copy to User3 |  | :CALCulate:USER[Ch]:TRACe3:DATA:COPY
 | Copy to User4 |  | :CALCulate:USER[Ch]:TRACe4:DATA:COPY
 | Copy to User5 |  | :CALCulate:USER[Ch]:TRACe5:DATA:COPY
 | Copy to User6 |  | :CALCulate:USER[Ch]:TRACe6:DATA:COPY
 | Copy to User7 |  | :CALCulate:USER[Ch]:TRACe7:DATA:COPY
 | Copy to User8 |  | :CALCulate:USER[Ch]:TRACe8:DATA:COPY
Trace Label |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).LABel.DATA | :DISPlay:USER[Ch]:TRACe[Tr]:LABel:DATA
Trace Annotation |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).ANNotation.DATA | :DISPlay:USER[Ch]:TRACe[Tr]:ANNotation:DATA


user_trace_view_COM

Trace/View USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  | COM Command
Enable Trace | Trace 1 | SCPI.DISPlay.USER(Ch).TRACe(Tr).STATe
 | Trace 2
 | Trace 3
 | Trace 4
 | Trace 5
 | Trace 6
 | Trace 7
 | Trace 8
Smoothing |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.STATe
Aperture |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).SMOothing.APERture
Data Hold | Off | SCPI.CALCulate.USER(Ch).TRACe(Tr).HOLD
 | Maximum
 | Minimum
Display Trace | Off | SCPI.DISPlay.USER(Ch).TRACe(Tr).MODE
 | Data
 | Mem
 | Data & Mem
Data -> Mem |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.MEMorize
Data Math | Off | SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.FUNCtion
 | Data - Mem
 | Data / Mem
 | Data + Mem
 | Data * Mem
 | User Equation
Equation Editor |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).EQUation.TEXT
Offset |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MATH.OFFSet
Marker -> Offset |
Persistence | Persistence Mode | SCPI.DISPlay.USER(Ch).TRACe(Tr).PERSistence.STATe
 | Clear All Persistent Data | SCPI.DISPlay.USER(Ch).ALLTrace.PERSistence.CLEar
Copy to User | Copy to User1 | SCPI.CALCulate.USER(Ch).TRACe(Tr).DATA.COPY
 | Copy to User2
 | Copy to User3
 | Copy to User4
 | Copy to User5
 | Copy to User6
 | Copy to User7
 | Copy to User8
Trace Label |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).LABel.DATA
Trace Annotation |  | SCPI.DISPlay.USER(Ch).TRACe(Tr).ANNotation.DATA


user_trace_view_SCPI

Trace/View USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Trace/View Key |  | SCPI Command
Enable Trace | Trace 1 | :DISPlay:USER[Ch]:TRACe1:STATe
 | Trace 2 | :DISPlay:USER[Ch]:TRACe2:STATe
 | Trace 3 | :DISPlay:USER[Ch]:TRACe3:STATe
 | Trace 4 | :DISPlay:USER[Ch]:TRACe4:STATe
 | Trace 5 | :DISPlay:USER[Ch]:TRACe5:STATe
 | Trace 6 | :DISPlay:USER[Ch]:TRACe6:STATe
 | Trace 7 | :DISPlay:USER[Ch]:TRACe7:STATe
 | Trace 8 | :DISPlay:USER[Ch]:TRACe8:STATe
Smoothing |  | :CALCulate:USER[Ch]:TRACe[Tr]:SMOothing:STATe
Aperture |  | :CALCulate:USER[Ch]:TRACe[Tr]:SMOothing:APERture
Data Hold | Off | :CALCulate:USER[Ch]:TRACe[Tr]:HOLD OFF
 | Maximum | :CALCulate:USER[Ch]:TRACe[Tr]:HOLD MAX
 | Minimum | :CALCulate:USER[Ch]:TRACe[Tr]:HOLD MIN
Display Trace | Off | :DISPlay:USER[Ch]:TRACe[Tr]:MODE OFF
 | Data | :DISPlay:USER[Ch]:TRACe[Tr]:MODE DATA
 | Mem | :DISPlay:USER[Ch]:TRACe[Tr]:MODE MEM
 | Data & Mem | :DISPlay:USER[Ch]:TRACe[Tr]:MODE BOTH
Data -> Mem |  | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:MEMorize
Data Math | Off | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion NORM
 | Data - Mem | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion SUBT
 | Data / Mem | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion DIV
 | Data + Mem | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion ADD
 | Data * Mem | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion MULT
 | User Equation | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:FUNCtion USER
Equation Editor |  | :CALCulate:USER(Ch):TRACe(Tr):EQUation:TEXT
Offset |  | :CALCulate:USER[Ch]:TRACe[Tr]:MATH:OFFSet
Marker -> Offset |
Persistence | Persistence Mode | :DISPlay:USER[Ch]:TRACe[Tr]:PERSistence:STATe
 | Clear All Persistent Data | :DISPlay:USER[Ch]:ALLTrace:PERSistence:CLEar
Copy to User | Copy to User1 | :CALCulate:USER[Ch]:TRACe1:DATA:COPY
 | Copy to User2 | :CALCulate:USER[Ch]:TRACe2:DATA:COPY
 | Copy to User3 | :CALCulate:USER[Ch]:TRACe3:DATA:COPY
 | Copy to User4 | :CALCulate:USER[Ch]:TRACe4:DATA:COPY
 | Copy to User5 | :CALCulate:USER[Ch]:TRACe5:DATA:COPY
 | Copy to User6 | :CALCulate:USER[Ch]:TRACe6:DATA:COPY
 | Copy to User7 | :CALCulate:USER[Ch]:TRACe7:DATA:COPY
 | Copy to User8 | :CALCulate:USER[Ch]:TRACe8:DATA:COPY
Trace Label |  | :DISPlay:USER[Ch]:TRACe[Tr]:LABel:DATA
Trace Annotation |  | :DISPlay:USER[Ch]:TRACe[Tr]:ANNotation:DATA


AM_Marker

Marker- AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command | SCPI Command
Marker 1 |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None | None
 | Marker 1 | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk)1.STATe | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | SCPI.DISPlay.AM(Ch).TABLe.STATe | :DISPlay:AM[Ch]:TABLe[:STATe]
More Functions |  | SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.DISCrete.STATe | :CALCulate:AM[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.STATe | :CALCulate:AM[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.NUMBer | :CALCulate:AM[Ch]:ALLTrace:MARKer:REFerence:NUMBer


AM_Marker_COM

Marker- AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command
Marker 1 |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).STATe
Marker 2 |
Marker 3 |
Marker 4 |
Marker 5 |
Marker 6 |
More Markers | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Clear Marker Menu | All Off | None
 | Marker 1 | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk)1.STATe
 | Marker 2
 | Marker 3
 | Marker 4
 | Marker 5
 | Marker 6
 | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Marker List |  | SCPI.DISPlay.AM(Ch).TABLe.STATe
More Functions |  | SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.DISCrete.STATe
 |  | SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.STATe
 |  | SCPI.CALCulate.AM(Ch).ALLTrace.MARKer.REFerence.NUMBer


AM_Marker_SCPI

Marker- AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | SCPI Command
Marker 1 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None
 | Marker 1 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | :DISPlay:AM[Ch]:TABLe[:STATe]
More Functions |  | :CALCulate:AM[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | :CALCulate:AM[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | :CALCulate:AM[Ch]:ALLTrace:MARKer:REFerence:NUMBer


BB_Marker

Marker- BB Measurements

Softkey under Marker key |  | COM Command | SCPI Command
Marker 1 |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None | None
 | Marker 1 | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | SCPI.DISPlay.BB(Ch).TABLe.STATe | :DISPlay:BB[Ch]:TABLe[:STATe]
More Functions |  | SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.DISCrete.STATe | :CALCulate:BB[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.STATe | :CALCulate:BB[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.NUMBer | :CALCulate:BB[Ch]:ALLTrace:MARKer:REFerence:NUMBer


BB_Marker_COM

Marker- BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command
Marker 1 |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).STATe
Marker 2 |
Marker 3 |
Marker 4 |
Marker 5 |
Marker 6 |
More Markers | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Clear Marker Menu | All Off | None
 | Marker 1 | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).STATe
 | Marker 2
 | Marker 3
 | Marker 4
 | Marker 5
 | Marker 6
 | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Marker List |  | SCPI.DISPlay.BB(Ch).TABLe.STATe
More Functions |  | SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.DISCrete.STATe
 |  | SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.STATe
 |  | SCPI.CALCulate.BB(Ch).ALLTrace.MARKer.REFerence.NUMBer


BB_Marker_SCPI

Marker- BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | SCPI Command
Marker 1 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None
 | Marker 1 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | :DISPlay:BB[Ch]:TABLe[:STATe]
More Functions |  | :CALCulate:BB[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | :CALCulate:BB[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | :CALCulate:BB[Ch]:ALLTrace:MARKer:REFerence:NUMBer


FP_Marker

Marker- FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command | SCPI Command
Marker 1 |  | SCPI.CALCulate.FP(Ch).TRACe(Tr)).MARKer(Mk).STATe | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None | None
 | Marker 1 | SCPI.CALCulate.FP(Ch).TRACe(Tr)).MARKer(Mk).STATe | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | SCPI.DISPlay.FP(Ch).TABLe.STATe | :DISPlay:FP[Ch]:TABLe[:STATe]
Couple |  | SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.COUPle.STATe | :CALCulate:FP[Ch]:ALLTrace:MARKer:COUPle:STATe
More Functions |  | SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.DISCrete.STATe | :CALCulate:FP[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.STATe | :CALCulate:FP[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.NUMBer | :CALCulate:FP[Ch]:ALLTrace:MARKer:REFerence:NUMBer


FP_Marker_COM

Marker- FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command
Marker 1 |  | SCPI.CALCulate.FP(Ch).TRACe(Tr)).MARKer(Mk).STATe
Marker 2 |
Marker 3 |
Marker 4 |
Marker 5 |
Marker 6 |
More Markers | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Clear Marker Menu | All Off | None
 | Marker 1 | SCPI.CALCulate.FP(Ch).TRACe(Tr)).MARKer(Mk).STATe
 | Marker 2
 | Marker 3
 | Marker 4
 | Marker 5
 | Marker 6
 | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Marker List |  | SCPI.DISPlay.FP(Ch).TABLe.STATe
Couple |  | SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.COUPle.STATe
More Functions |  | SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.DISCrete.STATe
 |  | SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.STATe
 |  | SCPI.CALCulate.FP(Ch).ALLTrace.MARKer.REFerence.NUMBer


FP_Marker_SCPI

Marker- FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | SCPI Command
Marker 1 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None
 | Marker 1 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | :DISPlay:FP[Ch]:TABLe[:STATe]
Couple |  | :CALCulate:FP[Ch]:ALLTrace:MARKer:COUPle:STATe
More Functions |  | :CALCulate:FP[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | :CALCulate:FP[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | :CALCulate:FP[Ch]:ALLTrace:MARKer:REFerence:NUMBer


PN_Marker

Marker- PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command | SCPI Command
Marker 1 |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None | None
 | Marker 1 | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | SCPI.DISPlay.PN(Ch).TABLe.STATe | :DISPlay:PN[Ch]:TABLe[:STATe]
More Functions |  | SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.DISCrete.STATe | :CALCulate:PN[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.STATe | :CALCulate:PN[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.NUMBer | :CALCulate:PN[Ch]:ALLTrace:MARKer:REFerence:NUMBer


PN_Marker_COM

Marker- PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command
Marker 1 |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).STATe
Marker 2 |
Marker 3 |
Marker 4 |
Marker 5 |
Marker 6 |
More Markers | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Clear Marker Menu | All Off | None
 | Marker 1 | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).STATe
 | Marker 2
 | Marker 3
 | Marker 4
 | Marker 5
 | Marker 6
 | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Marker List |  | SCPI.DISPlay.PN(Ch).TABLe.STATe
More Functions |  | SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.DISCrete.STATe
 |  | SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.STATe
 |  | SCPI.CALCulate.PN(Ch).ALLTrace.MARKer.REFerence.NUMBer


PN_Marker_SCPI

Marker- PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | SCPI Command
Marker 1 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None
 | Marker 1 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | :DISPlay:PN[Ch]:TABLe[:STATe]
More Functions |  | :CALCulate:PN[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | :CALCulate:PN[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | :CALCulate:PN[Ch]:ALLTrace:MARKer:REFerence:NUMBer


PS_Marker

Marker- PS Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command | SCPI Command
Marker 1 |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None | None
 | Marker 1 | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | SCPI.DISPlay.PS(Ch).TABLe.STATe | :DISPlay:PS[Ch]:TABLe[:STATe]
More Functions |  | SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.DISCrete.STATe | :CALCulate:PS[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.STATe | :CALCulate:PS[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.NUMBer | :CALCulate:PS[Ch]:ALLTrace:MARKer:REFerence:NUMBer


PS_Marker_COM

Marker- PS Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command
Marker 1 |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).STATe
Marker 2 |
Marker 3 |
Marker 4 |
Marker 5 |
Marker 6 |
More Markers | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Clear Marker Menu | All Off | None
 | Marker 1 | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).STATe
 | Marker 2
 | Marker 3
 | Marker 4
 | Marker 5
 | Marker 6
 | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Marker List |  | SCPI.DISPlay.PS(Ch).TABLe.STATe
More Functions |  | SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.DISCrete.STATe
 |  | SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.STATe
 |  | SCPI.CALCulate.PS(Ch).ALLTrace.MARKer.REFerence.NUMBer


PS_Marker_SCPI

Marker- PS Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | SCPI Command
Marker 1 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None
 | Marker 1 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | :DISPlay:PS[Ch]:TABLe[:STATe]
More Functions |  | :CALCulate:PS[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | :CALCulate:PS[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | :CALCulate:PS[Ch]:ALLTrace:MARKer:REFerence:NUMBer


SP_Marker

Marker - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command | SCPI Command
Marker 1 |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None | None
 | Marker 1 | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | SCPI.DISPlay.SP(Ch).TABLe.STATe | :DISPlay:SP[Ch]:TABLe[:STATe]
More Functions |  | SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.DISCrete.STATe | :CALCulate:SP[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.STATe | :CALCulate:SP[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.NUMBer | :CALCulate:SP[Ch]:ALLTrace:MARKer:REFerence:NUMBer


SP_Marker_COM

Marker - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command
Marker 1 |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).STATe
Marker 2 |
Marker 3 |
Marker 4 |
Marker 5 |
Marker 6 |
More Markers | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Clear Marker Menu | All Off | None
 | Marker 1 | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).STATe
 | Marker 2
 | Marker 3
 | Marker 4
 | Marker 5
 | Marker 6
 | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Marker List |  | SCPI.DISPlay.SP(Ch).TABLe.STATe
More Functions |  | SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.DISCrete.STATe
 |  | SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.STATe
 |  | SCPI.CALCulate.SP(Ch).ALLTrace.MARKer.REFerence.NUMBer


SP_Marker_SCPI

Marker - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | SCPI Command
Marker 1 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None
 | Marker 1 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | :DISPlay:SP[Ch]:TABLe[:STATe]
More Functions |  | :CALCulate:SP[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | :CALCulate:SP[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | :CALCulate:SP[Ch]:ALLTrace:MARKer:REFerence:NUMBer


TR_Marker

Marker - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command | SCPI Command
Marker 1 |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None | None
 | Marker 1 | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | SCPI.DISPlay.TR(Ch).TABLe.STATe | :DISPlay:TR[Ch]:TABLe[:STATe]
Couple |  | SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.COUPle.STATe | :CALCulate:TR[Ch]:ALLTrace:MARKer:COUPle:STATe
More Functions |  | SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.DISCrete.STATe | :CALCulate:TR[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.STATe | :CALCulate:TR[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.NUMBer | :CALCulate:TR[Ch]:ALLTrace:MARKer:REFerence:NUMBer


TR_Marker_COM

Marker - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command
Marker 1 |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).STATe
Marker 2 |
Marker 3 |
Marker 4 |
Marker 5 |
Marker 6 |
More Markers | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Clear Marker Menu | All Off | None
 | Marker 1 | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).STATe
 | Marker 2
 | Marker 3
 | Marker 4
 | Marker 5
 | Marker 6
 | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Marker List |  | SCPI.DISPlay.TR(Ch).TABLe.STATe
Couple |  | SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.COUPle.STATe
More Functions |  | SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.DISCrete.STATe
 |  | SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.STATe
 |  | SCPI.CALCulate.TR(Ch).ALLTrace.MARKer.REFerence.NUMBer


TR_Marker_SCPI

Marker - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | SCPI Command
Marker 1 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None
 | Marker 1 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | :DISPlay:TR[Ch]:TABLe[:STATe]
Couple |  | :CALCulate:TR[Ch]:ALLTrace:MARKer:COUPle:STATe
More Functions |  | :CALCulate:TR[Ch]:ALLTrace:MARKer:DISCrete:STATe
 |  | :CALCulate:TR[Ch]:ALLTrace:MARKer:REFerence:STATe
 |  | :CALCulate:TR[Ch]:ALLTrace:MARKer:REFerence:NUMBer


User_Marker

Marker - USER Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command | SCPI Command
Marker 1 |  | SCPI.CALCulate.USER.TRACe(Tr).MARKer(Mk).STATe | :CALCulate:USER:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  |  | :CALCulate:USER:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  |  | :CALCulate:USER:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  |  | :CALCulate:USER:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  |  | :CALCulate:USER:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  |  | :CALCulate:USER:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 |  | :CALCulate:USER:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 |  | :CALCulate:USER:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 |  | :CALCulate:USER:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 |  | :CALCulate:USER:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None | None
 | Marker 1 | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).STATe | :CALCulate:USER:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 |  | :CALCulate:USER:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 |  | :CALCulate:USER:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 |  | :CALCulate:USER:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 |  | :CALCulate:USER:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 |  | :CALCulate:USER:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 |  | :CALCulate:USER:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 |  | :CALCulate:USER:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 |  | :CALCulate:USER:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 |  | :CALCulate:USER:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | SCPI.DISPlay.USER.TABLe.STATe | :DISPlay:USER:TABLe[:STATe]
Couple |  | SCPI.CALCulate.USER.ALLTrace.MARKer.COUPle.STATe | :CALCulate:USER:ALLTrace:MARKer:COUPle:STATe
More Functions |  | SCPI.CALCulate.USER.ALLTrace.MARKer.DISCrete.STATe | :CALCulate:USER:ALLTrace:MARKer:DISCrete:STATe
 |  | SCPI.CALCulate.USER.ALLTrace.MARKer.REFerence.STATe | :CALCulate:USER:ALLTrace:MARKer:REFerence:STATe
 |  | SCPI.CALCulate.USER.ALLTrace.MARKer.REFerence.NUMBer | :CALCulate:USER:ALLTrace:MARKer:REFerence:NUMBer


User_Marker_COM

Marker - USER Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | COM Command
Marker 1 |  | SCPI.CALCulate.USER.TRACe(Tr).MARKer(Mk).STATe
Marker 2 |
Marker 3 |
Marker 4 |
Marker 5 |
Marker 6 |
More Markers | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Clear Marker Menu | All Off | None
 | Marker 1 | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(Mk).STATe
 | Marker 2
 | Marker 3
 | Marker 4
 | Marker 5
 | Marker 6
 | Marker 7
 | Marker 8
 | Marker 9
 | Marker 10
Marker List |  | SCPI.DISPlay.USER.TABLe.STATe
Couple |  | SCPI.CALCulate.USER.ALLTrace.MARKer.COUPle.STATe
More Functions |  | SCPI.CALCulate.USER.ALLTrace.MARKer.DISCrete.STATe
 |  | SCPI.CALCulate.USER.ALLTrace.MARKer.REFerence.STATe
 |  | SCPI.CALCulate.USER.ALLTrace.MARKer.REFerence.NUMBer


User_Marker_SCPI

Marker - USER Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker key |  | SCPI Command
Marker 1 |  | :CALCulate:USER:TRACe[Tr]:MARKer1:STATe ON
Marker 2 |  | :CALCulate:USER:TRACe[Tr]:MARKer2:STATe ON
Marker 3 |  | :CALCulate:USER:TRACe[Tr]:MARKer3:STATe ON
Marker 4 |  | :CALCulate:USER:TRACe[Tr]:MARKer4:STATe ON
Marker 5 |  | :CALCulate:USER:TRACe[Tr]:MARKer5:STATe ON
Marker 6 |  | :CALCulate:USER:TRACe[Tr]:MARKer6:STATe ON
More Markers | Marker 7 | :CALCulate:USER:TRACe[Tr]:MARKer7:STATe ON
 | Marker 8 | :CALCulate:USER:TRACe[Tr]:MARKer8:STATe ON
 | Marker 9 | :CALCulate:USER:TRACe[Tr]:MARKer9:STATe ON
 | Marker 10 | :CALCulate:USER:TRACe[Tr]:MARKer10:STATe ON
Clear Marker Menu | All Off | None
 | Marker 1 | :CALCulate:USER:TRACe[Tr]:MARKer1:STATe OFF
 | Marker 2 | :CALCulate:USER:TRACe[Tr]:MARKer2:STATe OFF
 | Marker 3 | :CALCulate:USER:TRACe[Tr]:MARKer3:STATe OFF
 | Marker 4 | :CALCulate:USER:TRACe[Tr]:MARKer4:STATe OFF
 | Marker 5 | :CALCulate:USER:TRACe[Tr]:MARKer5:STATe OFF
 | Marker 6 | :CALCulate:USER:TRACe[Tr]:MARKer6:STATe OFF
 | Marker 7 | :CALCulate:USER:TRACe[Tr]:MARKer7:STATe OFF
 | Marker 8 | :CALCulate:USER:TRACe[Tr]:MARKer8:STATe OFF
 | Marker 9 | :CALCulate:USER:TRACe[Tr]:MARKer9:STATe OFF
 | Marker 10 | :CALCulate:USER:TRACe[Tr]:MARKer10:STATe OFF
Marker List |  | :DISPlay:USER:TABLe[:STATe]
Couple |  | :CALCulate:USER:ALLTrace:MARKer:COUPle:STATe
More Functions |  | :CALCulate:USER:ALLTrace:MARKer:DISCrete:STATe
 |  | :CALCulate:USER:ALLTrace:MARKer:REFerence:STATe
 |  | :CALCulate:USER:ALLTrace:MARKer:REFerence:NUMBer


AM_Marker_Function

Marker Function - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command | SCPI Command
Band Marker X | Band Marker X | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.X | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker |  | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.Y | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.TYPE | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics |  | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT


AM_Marker_Function_COM

Marker Function - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command
Band Marker X | Band Marker X | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.X
 | Band Marker
Analysis Range (Y) | Full Range | SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.DOMain.Y
 | Band Marker
Analysis Type | Off | SCPI.CALCulate.AM(Ch).TRACe(Tr).FUNCtion.TYPE
 | Statistics


AM_Marker_Function_SCPI

Marker Function - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | SCPI Command
Band Marker X | Band Marker X | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics | :CALCulate:AM[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT


BB_Marker_Function

Marker Function - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command | SCPI Command
Band Marker X | Band Marker X | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.X | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker |  | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.Y | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.TYPE | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics |  | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT


BB_Marker_Function_COM

Marker Function - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command
Band Marker X | Band Marker X | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.X
 | Band Marker
Analysis Range (Y) | Full Range | SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.DOMain.Y
 | Band Marker
Analysis Type | Off | SCPI.CALCulate.BB(Ch).TRACe(Tr).FUNCtion.TYPE
 | Statistics


BB_Marker_Function_SCPI

Marker Function - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | SCPI Command
Band Marker X | Band Marker X | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics | :CALCulate:BB[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT


FP_Marker_Function

Marker Function - FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command | SCPI Command
Band Marker X | Band Marker X | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Couple |  | SCPI.CALCulate.FP(Ch).ALLTrace.BDMarker.X.COUPle.STATe | :CALCulate:FP[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Band Marker Y | Band Marker Y | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker |  | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics |  | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT
 | Linear Regression |  | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:TYPE LREG


FP_Marker_Function_COM

Marker Function - FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command
Band Marker X | Band Marker X | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN
Couple |  | SCPI.CALCulate.FP(Ch).ALLTrace.BDMarker.X.COUPle.STATe
Band Marker Y | Band Marker Y | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.X
 | Band Marker
Analysis Range (Y) | Full Range | SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.DOMain.Y
 | Band Marker
Analysis Type | Off | SCPI.CALCulate.FP(Ch).TRACe(Tr).FUNCtion.TYPE
 | Statistics
 | Linear Regression


FP_Marker_Function_SCPI

Marker Function - FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | SCPI Command
Band Marker X | Band Marker X | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Couple |  | :CALCulate:FP[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Band Marker Y | Band Marker Y | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT
 | Linear Regression | :CALCulate:FP[Ch]:TRACe[Tr]:FUNCtion:TYPE LREG


PN_Marker_Function

Marker Function - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command | SCPI Command
Band Marker X | Band Marker X | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.X | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker |  | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.Y | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.TYPE | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics |  | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT
 | Integral |  | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:TYPE INT


PN_Marker_Function_COM

Marker Function - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command
Band Marker X | Band Marker X | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.X
 | Band Marker
Analysis Range (Y) | Full Range | SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.DOMain.Y
 | Band Marker
Analysis Type | Off | SCPI.CALCulate.PN(Ch).TRACe(Tr).FUNCtion.TYPE
 | Statistics
 | Integral


PN_Marker_Function_SCPI

Marker Function - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | SCPI Command
Band Marker X | Band Marker X | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT
 | Integral | :CALCulate:PN[Ch]:TRACe[Tr]:FUNCtion:TYPE INT


PS_Marker_Function

Marker Function - PS Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command | SCPI Command
Band Marker X | Band Marker X | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.X | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker |  | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.Y | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.TYPE | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics |  | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT
 | Integral |  | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:TYPE INT


PS_Marker_Function_COM

Marker Function - Segment Phase Noise Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command
Band Marker X | Band Marker X | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.X
 | Band Marker
Analysis Range (Y) | Full Range | SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.DOMain.Y
 | Band Marker
Analysis Type | Off | SCPI.CALCulate.PS(Ch).TRACe(Tr).FUNCtion.TYPE
 | Statistics
 | Integral


PS_Marker_Function_SCPI

Marker Function - Segment Phase Noise Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | SCPI Command
Band Marker X | Band Marker X | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT
 | Integral | :CALCulate:PS[Ch]:TRACe[Tr]:FUNCtion:TYPE INT


SP_Marker_Function

Marker Function - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command | SCPI Command
Band Marker X | Band Marker X | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.X | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker |  | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.Y | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.TYPE | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics |  | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT


SP_Marker_Function_COM

Marker Function - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command
Band Marker X | Band Marker X | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.X
 | Band Marker
Analysis Range (Y) | Full Range | SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.DOMain.Y
 | Band Marker
Analysis Type | Off | SCPI.CALCulate.SP(Ch).TRACe(Tr).FUNCtion.TYPE
 | Statistics


SP_Marker_Function_SCPI

Marker Function - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | SCPI Command
Band Marker X | Band Marker X | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics | :CALCulate:SP[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT


TR_Marker_Function

Marker Function - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command | SCPI Command
Band Marker X | Band Marker X | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Couple |  | SCPI.CALCulate.TR(Ch).ALLTrace.BDMarker.X.COUPle.STATe | :CALCulate:TR[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Analysis Range (X) | Full Range | SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.X | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker |  | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.Y | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.TYPE | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics |  | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT
 | Linear Regression |  | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:TYPE LREG


TR_Marker_Function_COM

Marker Function - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command
Band Marker X | Band Marker X | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN
Couple |  | SCPI.CALCulate.TR(Ch).ALLTrace.BDMarker.X.COUPle.STATe
Analysis Range (X) | Full Range | SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.X
 | Band Marker
Analysis Range (Y) | Full Range | SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.DOMain.Y
 | Band Marker
Analysis Type | Off | SCPI.CALCulate.TR(Ch).TRACe(Tr).FUNCtion.TYPE
 | Statistics
 | Linear Regression


TR_Marker_Function_SCPI

Marker Function - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | SCPI Command
Band Marker X | Band Marker X | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Couple |  | :CALCulate:TR[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Analysis Range (X) | Full Range | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT
 | Linear Regression | :CALCulate:TR[Ch]:TRACe[Tr]:FUNCtion:TYPE LREG


User_Marker_Function

Marker Function - USER Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command | SCPI Command
Band Marker X | Band Marker X | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Couple |  | SCPI.CALCulate.USER(Ch).ALLTrace.BDMarker.X.COUPle.STATe | :CALCulate:USER[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Band Marker Y | Band Marker Y | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.X | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker |  | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.Y | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.TYPE | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics |  | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT


User_Marker_Function_COM

Marker Function - USER Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | COM Command
Band Marker X | Band Marker X | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN
Couple |  | SCPI.CALCulate.USER(Ch).ALLTrace.BDMarker.X.COUPle.STATe
Band Marker Y | Band Marker Y | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN
Analysis Range (X) | Full Range | SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.X
 | Band Marker
Analysis Range (Y) | Full Range | SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.DOMain.Y
 | Band Marker
Analysis Type | Off | SCPI.CALCulate.USER(Ch).TRACe(Tr).FUNCtion.TYPE
 | Statistics


User_Marker_Function_SCPI

Marker Function - USER Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Fctn Key |  | SCPI Command
Band Marker X | Band Marker X | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Couple |  | :CALCulate:USER[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Band Marker Y | Band Marker Y | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Analysis Range (X) | Full Range | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:DOMain:X FRAN
 | Band Marker | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:DOMain:X BDM
Analysis Range (Y) | Full Range | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y FRAN
 | Band Marker | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:DOMain:Y BDM
Analysis Type | Off | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:TYPE OFF
 | Statistics | :CALCulate:USER[Ch]:TRACe[Tr]:FUNCtion:TYPE STAT


AM_Marker_Search

Marker Search - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command | SCPI Command
Search Max |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum | :CALCulate:AM[Ch]:TRACe[Ch]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Ch0).SEARch.EXECute.MINimum | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK | :CALCulate:AM[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Spurious | Search Spurious |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious | :CALCulate:AM(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:SPURious
 | Search Spurious All |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious | :CALCulate:AM(Ch)TRACe(Tr):ALLMarker:SEARch:SPURious
 | Search Left |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious | :CALCulate:AM(Ch)TRACe(Tr):MARKer(Mk):SEARch:EXECute:LSPurious
 | Search Right |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious | :CALCulate:AM(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:RSPurious
Tracking | Off |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
 | Spurious |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE SPUR
Band Marker X | Band Marker X |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X | :CALCulate:AM[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y | :CALCulate:AM[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


AM_Marker_Search_COM

Marker Search - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command
Search Max |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum
Search Min |  |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Ch0).SEARch.EXECute.MINimum
Peak | Search Peak |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK
 | Search Peak All |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK
 | Search Left |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak
 | Search Right |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak
 | Peak Excursion |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity
 |  | Negative
 |  | Both
Target | Search Target |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet
 | Search Left |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget
 | Search Right |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget
 | Target Value |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y
 | Target Transition | Positive | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition
 |  | Negative
 |  | Both
Spurious | Search Spurious |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious
 | Search Spurious All |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious
 | Search Left |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious
 | Search Right |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious
Tracking | Off |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE
 | Maximum |
 | Minimum |
 | Peak |
 | Target |
 | Spurious |
Band Marker X | Band Marker X |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).BDMarker.Y.SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X
 | Band Marker |
Search Range (Y) | Full Range |  | SCPI.CALCulate.AM(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y
 | Band Marker |


AM_Marker_Search_SCPI

Marker Search - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | SCPI Command
Search Max |  |  | :CALCulate:AM[Ch]:TRACe[Ch]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | :CALCulate:AM[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Spurious | Search Spurious |  | :CALCulate:AM(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:SPURious
 | Search Spurious All |  | :CALCulate:AM(Ch)TRACe(Tr):ALLMarker:SEARch:SPURious
 | Search Left |  | :CALCulate:AM(Ch)TRACe(Tr):MARKer(Mk):SEARch:EXECute:LSPurious
 | Search Right |  | :CALCulate:AM(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:RSPurious
Tracking | Off |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
 | Spurious |  | :CALCulate:AM[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE SPUR
Band Marker X | Band Marker X |  | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y |  | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | :CALCulate:AM[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | :CALCulate:AM[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  | :CALCulate:AM[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | :CALCulate:AM[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:AM[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


BB_Marker_Search

Marker Search - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command | SCPI Command
Search Max |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK | :CALCulate:BB[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Spurious | Search Spurious |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious | :CALCulate:BB(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:SPURious
 | Search Spurious AllS |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious | :CALCulate:BB(Ch):TRACe(Tr):ALLMarker:SEARch:SPURious
 | Search Left |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious | :CALCulate:BB(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:LSPurious
 | Search Right |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious | :CALCulate:BB(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:RSPurious
Tracking | Off |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
 | Spurious |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE SPUR
Band Marker X | Band Marker X |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X | :CALCulate:BB[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y | :CALCulate:BB[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


BB_Marker_Search_COM

Marker Search - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command
Search Max |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum
Search Min |  |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum
Peak | Search Peak |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK
 | Search Peak All |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK
 | Search Left |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak
 | Search Right |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak
 | Peak Excursion |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity
 |  | Negative
 |  | Both
Target | Search Target |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet
 | Search Left |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget
 | Search Right |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget
 | Target Value |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y
 | Target Transition | Positive | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition
 |  | Negative
 |  | Both
Spurious | Search Spurious |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious
 | Search Spurious AllS |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious
 | Search Left |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious
 | Search Right |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious
Tracking | Off |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE
 | Maximum |
 | Minimum |
 | Peak |
 | Target |
 | Spurious |
Band Marker X | Band Marker X |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).BDMarker.Y.SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X
 | Band Marker |
Search Range (Y) | Full Range |  | SCPI.CALCulate.BB(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y
 | Band Marker |


BB_Marker_Search_SCPI

Marker Search - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | SCPI Command
Search Max |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | :CALCulate:BB[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Spurious | Search Spurious |  | :CALCulate:BB(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:SPURious
 | Search Spurious AllS |  | :CALCulate:BB(Ch):TRACe(Tr):ALLMarker:SEARch:SPURious
 | Search Left |  | :CALCulate:BB(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:LSPurious
 | Search Right |  | :CALCulate:BB(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:RSPurious
Tracking | Off |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
 | Spurious |  | :CALCulate:BB[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE SPUR
Band Marker X | Band Marker X |  | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y |  | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | :CALCulate:BB[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | :CALCulate:BB[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  | :CALCulate:BB[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | :CALCulate:BB[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:BB[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


FP_Marker_Search

Marker Search - FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command | SCPI Command
Search Max |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK | :CALCulate:FP[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Tracking | Off |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
Band Marker X | Band Marker X |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Couple |  |  | SCPI.CALCulate.FP(Ch).ALLTrace.BDMarker.X.COUPle.STATe | :CALCulate:FP[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X | :CALCulate:FP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y | :CALCulate:FP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


FP_Marker_Search_COM

Marker Search - FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command
Search Max |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum
Search Min |  |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum
Peak | Search Peak |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK
 | Search Peak All |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK
 | Search Left |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak
 | Search Right |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak
 | Peak Excursion |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity
 |  | Negative
 |  | Both
Target | Search Target |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet
 | Search Left |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget
 | Search Right |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget
 | Target Value |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y
 | Target Transition | Positive | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition
 |  | Negative
 |  | Both
Tracking | Off |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE
 | Maximum |
 | Minimum |
 | Peak |
 | Target |
Band Marker X | Band Marker X |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.X.SPAN
Couple |  |  | SCPI.CALCulate.FP(Ch).ALLTrace.BDMarker.X.COUPle.STATe
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).BDMarker.Y.SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X
 | Band Marker |
Search Range (Y) | Full Range |  | SCPI.CALCulate.FP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y
 | Band Marker |


FP_Marker_Search_SCPI

Marker Search - FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | SCPI Command
Search Max |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | :CALCulate:FP[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Tracking | Off |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  | :CALCulate:FP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
Band Marker X | Band Marker X |  | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Couple |  |  | :CALCulate:FP[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Band Marker Y | Band Marker Y |  | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | :CALCulate:FP[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | :CALCulate:FP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  | :CALCulate:FP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | :CALCulate:FP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:FP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


PN_Marker_Search

Marker Search - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command | SCPI Command
Search Max |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK | :CALCulate:PN[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Spurious | Search Spurious |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious | :CALCulate:PN(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:SPURious
 | Search Spurious All |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious | :CALCulate:PN(Ch):TRACe(Tr):ALLMarker:SEARch:SPURious
 | Search Left |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious | :CALCulate:PN(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:LSPurious
 | Search Right |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious | :CALCulat:.PN(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:RSPurious
Tracking | Off |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
 | Spurious |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE SPUR
Band Marker X | Band Marker X |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X | :CALCulate:PN[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y | :CALCulate:PN[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


PN_Marker_Search_COM

Marker Search - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command
Search Max |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum
Search Min |  |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum
Peak | Search Peak |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK
 | Search Peak All |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK
 | Search Left |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak
 | Search Right |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak
 | Peak Excursion |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity
 |  | Negative
 |  | Both
Target | Search Target |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet
 | Search Left |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget
 | Search Right |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget
 | Target Value |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y
 | Target Transition | Positive | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition
 |  | Negative
 |  | Both
Spurious | Search Spurious |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious
 | Search Spurious All |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious
 | Search Left |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious
 | Search Right |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious
Tracking | Off |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE
 | Maximum |
 | Minimum |
 | Peak |
 | Target |
 | Spurious |
Band Marker X | Band Marker X |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).BDMarker.Y.SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X
 | Band Marker |
Search Range (Y) | Full Range |  | SCPI.CALCulate.PN(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y
 | Band Marker |


PN_Marker_Search_SCPI

Marker Search - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | SCPI Command
Search Max |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | :CALCulate:PN[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Spurious | Search Spurious |  | :CALCulate:PN(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:SPURious
 | Search Spurious All |  | :CALCulate:PN(Ch):TRACe(Tr):ALLMarker:SEARch:SPURious
 | Search Left |  | :CALCulate:PN(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:LSPurious
 | Search Right |  | :CALCulat:.PN(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:RSPurious
Tracking | Off |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
 | Spurious |  | :CALCulate:PN[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE SPUR
Band Marker X | Band Marker X |  | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y |  | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | :CALCulate:PN[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | :CALCulate:PN[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  | :CALCulate:PN[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | :CALCulate:PN[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:PN[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


PS_Marker_Search

Marker Search - Segment Phase Noise Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command | SCPI Command
Search Max |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK | :CALCulate:PS[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEA Rch:EXECute:LPEak
 | Search Right |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget | :CA SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.PEAKLCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Spurious | Search Spurious |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious | :CALCulate:PS(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:SPURious
 | Search Spurious All |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious | :CALCulate.PS(Ch):TRACe(Tr):ALLMarker:SEARch:SPURious
 | Search Left |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious | :CALCulate:PS(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:LSPurious
 | Search Right |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious | :CALCulate:PS(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:RSPurious
Tracking | Off |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
 | Spurious |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE SPUR
Band Marker X | Band Marker X |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X | :CALCulate:PS[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y | :CALCulate:PS[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


PS_Marker_Search_COM

Marker Search - Segment Phase Noise Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command
Search Max |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum
Search Min |  |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum
Peak | Search Peak |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK
 | Search Peak All |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK
 | Search Left |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak
 | Search Right |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak
 | Peak Excursion |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity
 |  | Negative
 |  | Both
Target | Search Target |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet
 | Search Left |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget
 | Search Right |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget
 | Target Value |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y
 | Target Transition | Positive | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition
 |  | Negative
 |  | Both
Spurious | Search Spurious |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.SPURious
 | Search Spurious All |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.SPURious
 | Search Left |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LSPurious
 | Search Right |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RSPurious
Tracking | Off |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE
 | Maximum |
 | Minimum |
 | Peak |
 | Target |
 | Spurious |
Band Marker X | Band Marker X |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).BDMarker.Y.SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X
 | Band Marker |
Search Range (Y) | Full Range |  | SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y
 | Band Marker |


PS_Marker_Search_SCPI

Marker Search - Segment Phase Noise Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | SCPI Command
Search Max |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | :CALCulate:PS[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEA Rch:EXECute:LPEak
 | Search Right |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | :CA SCPI.CALCulate.PS(Ch).TRACe(Tr).ALLMarker.SEARch.PEAKLCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Spurious | Search Spurious |  | :CALCulate:PS(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:SPURious
 | Search Spurious All |  | :CALCulate.PS(Ch):TRACe(Tr):ALLMarker:SEARch:SPURious
 | Search Left |  | :CALCulate:PS(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:LSPurious
 | Search Right |  | :CALCulate:PS(Ch):TRACe(Tr):MARKer(Mk):SEARch:EXECute:RSPurious
Tracking | Off |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
 | Spurious |  | :CALCulate:PS[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE SPUR
Band Marker X | Band Marker X |  | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y |  | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | :CALCulate:PS[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | :CALCulate:PS[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  | :CALCulate:PS[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | :CALCulate:PS[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:PS[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


SP_Marker_Search

Marker Search - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command | SCPI Command
Search Max |  |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK | :CALCulate:SP[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Tracking | Off |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
Band Marker X | Band Marker X |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X | :CALCulate:SP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y | :CALCulate:SP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


SP_Marker_Search_COM

Marker Search - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command
Search Max |  |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum
Search Min |  |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum
Peak | Search Peak |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK
 | Search Peak All |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK
 | Search Left |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak
 | Search Right |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak
 | Peak Excursion |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity
 |  | Negative
 |  | Both
Target | Search Target |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet
 | Search Left |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget
 | Search Right |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget
 | Target Value |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y
 | Target Transition | Positive | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition
 |  | Negative
 |  | Both
Tracking | Off |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE
 | Maximum |
 | Minimum |
 | Peak |
 | Target |
Band Marker X | Band Marker X |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.X.SPAN
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).BDMarker.Y.SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X
 | Band Marker |
Search Range (Y) | Full Range |  | SCPI.CALCulate.SP(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y
 | Band Marker |


SP_Marker_Search_SCPI

Marker Search - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | SCPI Command
Search Max |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | :CALCulate:SP[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Tracking | Off |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  | :CALCulate:SP[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
Band Marker X | Band Marker X |  | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Band Marker Y | Band Marker Y |  | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | :CALCulate:SP[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | :CALCulate:SP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  | :CALCulate:SP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | :CALCulate:SP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:SP[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


TR_Marker_Search

Marker Search - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command | SCPI Command
Search Max |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK | :CALCulate:TR[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Tracking | Off |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
Band Marker X | Band Marker X |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Couple |  |  | SCPI.CALCulate.TR(Ch).ALLTrace.BDMarker.X.COUPle.STATe | :CALCulate:TR[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X | :CALCulate:TR[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y | :CALCulate:TR[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


TR_Marker_Search_COM

Marker Search - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command
Search Max |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MAXimum
Search Min |  |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.MINimum
Peak | Search Peak |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.PEAK
 | Search Peak All |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK
 | Search Left |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LPEak
 | Search Right |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RPEak
 | Peak Excursion |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.PEAK.POLarity
 |  | Negative
 |  | Both
Target | Search Target |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.TARGet
 | Search Left |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.LTARget
 | Search Right |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.EXECute.RTARget
 | Target Value |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.Y
 | Target Transition | Positive | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TARGet.TRANsition
 |  | Negative
 |  | Both
Tracking | Off |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).MARKer(Mk).SEARch.TRACking.TYPE
 | Maximum |
 | Minimum |
 | Peak |
 | Target |
Band Marker X | Band Marker X |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.X.SPAN
Couple |  |  | SCPI.CALCulate.TR(Ch).ALLTrace.BDMarker.X.COUPle.STATe
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).BDMarker.Y.SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X
 | Band Marker |
Search Range (Y) | Full Range |  | SCPI.CALCulate.TR(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y
 | Band Marker |


TR_Marker_Search_SCPI

Marker Search - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | SCPI Command
Search Max |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MAXimum
Search Min |  |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:MINimum
Peak | Search Peak |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:PEAK
 | Search Peak All |  | :CALCulate:TR[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LPEak
 | Search Right |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RPEak
 | Peak Excursion |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity POS
 |  | Negative | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity NEG
 |  | Both | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:TARGet
 | Search Left |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:LTARget
 | Search Right |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:EXECute:RTARget
 | Target Value |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:Y
 | Target Transition | Positive | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition POS
 |  | Negative | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition NEG
 |  | Both | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TARGet:TRANsition BOTH
Tracking | Off |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE OFF
 | Maximum |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MAX
 | Minimum |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE MIN
 | Peak |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE PEAK
 | Target |  | :CALCulate:TR[Ch]:TRACe[Tr]:MARKer[Mk]:SEARch:TRACking:TYPE TARG
Band Marker X | Band Marker X |  | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Couple |  |  | :CALCulate:TR[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Band Marker Y | Band Marker Y |  | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | :CALCulate:TR[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | :CALCulate:TR[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  | :CALCulate:TR[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | :CALCulate:TR[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:TR[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


User_Marker_Search

Marker Search - USER Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command | SCPI Command
Search Max |  |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.MAXimum | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:MAXimum
Search Min |  |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.MINimum | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:MINimum
Peak | Search Peak |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.PEAK | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:PEAK
 | Search Peak All |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK | :CALCulate:USER[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.LPEak | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:LPEak
 | Search Right |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.RPEak | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:RPEak
 | Peak Excursion |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.PEAK.EXCursion | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.PEAK.POLarity | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:PEAK:POLarity POS
 |  | Negative |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:PEAK:POLarity NEG
 |  | Both |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.TARGet | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:TARGet
 | Search Left |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.LTARget | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:LTARget
 | Search Right |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.RTARget | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:RTARget
 | Target Value |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.TARGet.Y | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TARGet:Y
 | Target Transition | Positive | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.TARGet.TRANsition | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TARGet:TRANsition POS
 |  | Negative |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TARGet:TRANsition NEG
 |  | Both |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TARGet:TRANsition BOTH
Tracking | Off |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.TRACking.TYPE | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TRACking:TYPE OFF
 | Maximum |  |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TRACking:TYPE MAX
 | Minimum |  |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TRACking:TYPE MIN
 | Peak |  |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TRACking:TYPE PEAK
 | Target |  |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TRACking:TYPE TARG
Band Marker X | Band Marker X |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Couple |  |  | SCPI.CALCulate.USER(Ch).ALLTrace.BDMarker.X.COUPle.STATe | :CALCulate:USER[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X | :CALCulate:USER[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  |  | :CALCulate:USER[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y | :CALCulate:USER[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  |  | :CALCulate:USER[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


User_Marker_Search_COM

Marker Search - USER Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | COM Command
Search Max |  |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.MAXimum
Search Min |  |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.MINimum
Peak | Search Peak |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.PEAK
 | Search Peak All |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.PEAK
 | Search Left |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.LPEak
 | Search Right |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.RPEak
 | Peak Excursion |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.PEAK.EXCursion
 | Peak Polarity | Positive | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.PEAK.POLarity
 |  | Negative
 |  | Both
Target | Search Target |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.TARGet
 | Search Left |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.LTARget
 | Search Right |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.EXECute.RTARget
 | Target Value |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.TARGet.Y
 | Target Transition | Positive | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.TARGet.TRANsition
 |  | Negative
 |  | Both
Tracking | Off |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).MARKer(MkA).SEARch.TRACking.TYPE
 | Maximum |
 | Minimum |
 | Peak |
 | Target |
Band Marker X | Band Marker X |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STATe
 | Start |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STARt
 | Stop |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.STOP
 | Center |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.CENTer
 | Span |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.X.SPAN
Couple |  |  | SCPI.CALCulate.USER(Ch).ALLTrace.BDMarker.X.COUPle.STATe
Band Marker Y | Band Marker Y |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STATe
 | Start |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STARt
 | Stop |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.STOP
 | Center |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.CENTer
 | Span |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).BDMarker.Y.SPAN
Search Range (X) | Full Range |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.X
 | Band Marker |
Search Range (Y) | Full Range |  | SCPI.CALCulate.USER(Ch).TRACe(Tr).ALLMarker.SEARch.DOMain.Y
 | Band Marker |


User_Marker_Search_SCPI

Marker Search - USER Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker Search key |  |  | SCPI Command
Search Max |  |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:MAXimum
Search Min |  |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:MINimum
Peak | Search Peak |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:PEAK
 | Search Peak All |  | :CALCulate:USER[Ch]:TRACe[Tr]:ALLMarker:SEARch:PEAK
 | Search Left |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:LPEak
 | Search Right |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:RPEak
 | Peak Excursion |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:PEAK:EXCursion
 | Peak Polarity | Positive | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:PEAK:POLarity POS
 |  | Negative | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:PEAK:POLarity NEG
 |  | Both | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:PEAK:POLarity BOTH
Target | Search Target |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:TARGet
 | Search Left |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:LTARget
 | Search Right |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:EXECute:RTARget
 | Target Value |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TARGet:Y
 | Target Transition | Positive | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TARGet:TRANsition POS
 |  | Negative | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TARGet:TRANsition NEG
 |  | Both | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TARGet:TRANsition BOTH
Tracking | Off |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TRACking:TYPE OFF
 | Maximum |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TRACking:TYPE MAX
 | Minimum |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TRACking:TYPE MIN
 | Peak |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TRACking:TYPE PEAK
 | Target |  | :CALCulate:USER[Ch]:TRACe[Tr]:MARKer[MkA]:SEARch:TRACking:TYPE TARG
Band Marker X | Band Marker X |  | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STATe
 | Start |  | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STARt
 | Stop |  | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:STOP
 | Center |  | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:CENTer
 | Span |  | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:X:SPAN
Couple |  |  | :CALCulate:USER[Ch]:ALLTrace:BDMarker:X:COUPle:STATe
Band Marker Y | Band Marker Y |  | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STATe
 | Start |  | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STARt
 | Stop |  | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:STOP
 | Center |  | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:CENTer
 | Span |  | :CALCulate:USER[Ch]:TRACe[Tr]:BDMarker:Y:SPAN
Search Range (X) | Full Range |  | :CALCulate:USER[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X FRAN
 | Band Marker |  | :CALCulate:USER[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:X BDM
Search Range (Y) | Full Range |  | :CALCulate:USER[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y FRAN
 | Band Marker |  | :CALCulate:USER[Ch]:TRACe[Tr]:ALLMarker:SEARch:DOMain:Y BDM


AM_Marker_To

Marker -> (To) - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command | SCPI Command
Marker -> Start | SCPI.SENSe.AM(Ch).FREQuency.STARt | :SENSe:AM[Ch]:FREQuency:STARt
Marker -> Stop | SCPI.SENSe.AM(Ch).FREQuency.STOP | :SENSe:AM[Ch]:FREQuency:STOP
Marker -> Omit Spur | None | None


AM_Marker_To_COM

Marker -> (To) - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command
Marker -> Start | SCPI.SENSe.AM(Ch).FREQuency.STARt
Marker -> Stop | SCPI.SENSe.AM(Ch).FREQuency.STOP
Marker -> Omit Spur | None


AM_Marker_To_SCPI

Marker -> (To) - AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | SCPI Command
Marker -> Start | :SENSe:AM[Ch]:FREQuency:STARt
Marker -> Stop | :SENSe:AM[Ch]:FREQuency:STOP
Marker -> Omit Spur | None


BB_Marker_To

Marker -> (To) - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command | SCPI Command
Marker -> Start | SCPI.SENSe.BB(Ch).FREQuency.STARt | :SENSe:BB[Ch]:FREQuency:STARt
Marker -> Stop | SCPI.SENSe.BB(Ch).FREQuency.STOP | :SENSe:BB[Ch]:FREQuency:STOP
Marker -> Omit Spur | None | None


BB_Marker_To_COM

Marker -> (To) - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command
Marker -> Start | SCPI.SENSe.BB(Ch).FREQuency.STARt
Marker -> Stop | SCPI.SENSe.BB(Ch).FREQuency.STOP
Marker -> Omit Spur | None


BB_Marker_To_SCPI

Marker -> (To) - BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | SCPI Command
Marker -> Start | :SENSe:BB[Ch]:FREQuency:STARt
Marker -> Stop | :SENSe:BB[Ch]:FREQuency:STOP
Marker -> Omit Spur | None


FP_Marker_To

Marker -> (To) - FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command | SCPI Command
Marker -> Start | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STARt SCPI.SOURce.FP(Ch).VOLTage.POWer.STARt | :SOURce:FP[Ch]:VOLTage:CONTrol:STARt :SOURce:FP[Ch]:VOLTage:POWer:STARt
Marker -> Stop | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STOP SCPI.SOURce.FP(Ch).VOLTage.POWer.STOP | :SOURce:FP[Ch]:VOLTage:CONTrol:STOP :SOURce:FP[Ch]:VOLTage:POWer:STOP
Marker -> Center | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.CENTer SCPI.SOURce.FP(Ch).VOLTage.POWer.CENTer | :SOURce:FP[Ch]:VOLTage:CONTrol:CENTer :SOURce:FP[Ch]:VOLTage:POWer:CENTer


FP_Marker_To_COM

Marker -> (To) - FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command
Marker -> Start | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STARt SCPI.SOURce.FP(Ch).VOLTage.POWer.STARt
Marker -> Stop | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STOP SCPI.SOURce.FP(Ch).VOLTage.POWer.STOP
Marker -> Center | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.CENTer SCPI.SOURce.FP(Ch).VOLTage.POWer.CENTer


FP_Marker_To_SCPI

Marker -> (To) - FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | SCPI Command
Marker -> Start | :SOURce:FP[Ch]:VOLTage:CONTrol:STARt :SOURce:FP[Ch]:VOLTage:POWer:STARt
Marker -> Stop | :SOURce:FP[Ch]:VOLTage:CONTrol:STOP :SOURce:FP[Ch]:VOLTage:POWer:STOP
Marker -> Center | :SOURce:FP[Ch]:VOLTage:CONTrol:CENTer :SOURce:FP[Ch]:VOLTage:POWer:CENTer


PN_Marker_To

Marker -> (To) - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command | SCPI Command
Marker -> Start | SCPI.SENSe.PN(Ch).FREQuency.STARt | :SENSe:PN[Ch]:FREQuency:STARt
Marker -> Stop | SCPI.SENSe.PN(Ch).FREQuency.STOP | :SENSe:PN[Ch]:FREQuency:STOP
Marker -> Omit Spur | None | None


PN_Marker_To_COM

Marker -> (To) - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command
Marker -> Start | SCPI.SENSe.PN(Ch).FREQuency.STARt
Marker -> Stop | SCPI.SENSe.PN(Ch).FREQuency.STOP
Marker -> Omit Spur | None


PN_Marker_To_SCPI

Marker -> (To) - PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | SCPI Command
Marker -> Start | :SENSe:PN[Ch]:FREQuency:STARt
Marker -> Stop | :SENSe:PN[Ch]:FREQuency:STOP
Marker -> Omit Spur | None


PS_Marker_To

Marker -> (To) - Segment Phase Noise Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command | SCPI Command
Marker -> Start | SCPI.SENSe.PS(Ch).FREQuency.STARt | :SENSe:PS[Ch]:FREQuency:STARt
Marker -> Stop | SCPI.SENSe.PS(Ch).FREQuency.STOP | :SENSe:PS[Ch]:FREQuency:STOP
Marker -> Center | SCPI.SENSe.PS(Ch).FREQuency.CENTer | :SENSe:PS[Ch]:FREQuency:CENTer
Marker -> Omit Spur | None | None


PS_Marker_To_COM

Marker -> (To) - Segment Phase Noise Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command
Marker -> Start | SCPI.SENSe.PS(Ch).FREQuency.STARt
Marker -> Stop | SCPI.SENSe.PS(Ch).FREQuency.STOP
Marker -> Center | SCPI.SENSe.PS(Ch).FREQuency.CENTer
Marker -> Omit Spur | None


PS_Marker_To_SCPI

Marker -> (To) - Segment Phase Noise Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | SCPI Command
Marker -> Start | :SENSe:PS[Ch]:FREQuency:STARt
Marker -> Stop | :SENSe:PS[Ch]:FREQuency:STOP
Marker -> Center | :SENSe:PS[Ch]:FREQuency:CENTer
Marker -> Omit Spur | None


SP_Marker_To

Marker -> (To) - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command | SCPI Command
Marker -> Start | SCPI.SENSe.SP(Ch).FREQuency.STARt | :SENSe:SP[Ch]:FREQuency:STARt
Marker -> Stop | SCPI.SENSe.SP(Ch).FREQuency.STOP | :SENSe:SP[Ch]:FREQuency:STOP
Marker -> Center | SCPI.SENSe.SP(Ch).FREQuency.CENTer | :SENSe:SP[Ch]:FREQuency:CENTer


SP_Marker_To_COM

Marker -> (To) - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command
Marker -> Start | SCPI.SENSe.SP(Ch).FREQuency.STARt
Marker -> Stop | SCPI.SENSe.SP(Ch).FREQuency.STOP
Marker -> Center | SCPI.SENSe.SP(Ch).FREQuency.CENTer


SP_Marker_To_SCPI

Marker -> (To) - SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | SCPI Command
Marker -> Start | :SENSe:SP[Ch]:FREQuency:STARt
Marker -> Stop | :SENSe:SP[Ch]:FREQuency:STOP
Marker -> Center | :SENSe:SP[Ch]:FREQuency:CENTer


TR_Marker_To

Marker -> (To) - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command | SCPI Command
Marker -> Target Freq | SCPI.SENSe.TR(Ch).NARRow(Nr).FREQuency.TARGet | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:TARGet
Marker -> Phase Reference |  |


TR_Marker_To_COM

Marker -> (To) - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | COM Command
Marker -> Target Freq | SCPI.SENSe.TR(Ch).NARRow (Nr).FREQuency.TARGet
Marker -> Phase Reference |


TR_Marker_To_SCPI

Marker -> (To) - TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Marker -> key | SCPI Command
Marker -> Target Freq | :SENSe:TR[Ch]:NARRow (Nr):FREQuency:TARGet
Marker -> Phase Reference |


am_save_recall

Save/Recall - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command | SCPI Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe | :MMEMory:STORe:STYPe STAT
 |  | State & Data |  | :MMEMory:STORe:STYPe DST
 | State01 |  | SCPI.MMEMory.STORe.STATe | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.DATA | :MMEMory:AM[Ch]:TRACe[Tr]:STORe[:DATA]
Save Memory Trace … |  |  | SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.MEMory | :MMEMory:AM[Ch]:TRACe[Tr]:STORe:MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.DATA | :MMEMory:AM[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.MEMory | :MMEMory:AM[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None | None


am_save_recall_COM

Save/Recall - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe
 |  | State & Data
 | State01 |  | SCPI.MMEMory.STORe.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe
Save Data Trace … |  |  | SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.AM(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.AM(Ch).TRACe(Tr).LOAD.MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation
Explorer |  |  | None


am_save_recall_SCPI

Save/Recall - AM Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | SCPI Command
Save State | Save Type | State Only | :MMEMory:STORe:STYPe STAT
 |  | State & Data | :MMEMory:STORe:STYPe DST
 | State01 |  | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | :MMEMory:AM[Ch]:TRACe[Tr]:STORe[:DATA]
Save Memory Trace … |  |  | :MMEMory:AM[Ch]:TRACe[Tr]:STORe:MEMory
Recall Data Trace … |  |  | :MMEMory:AM[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | :MMEMory:AM[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None


bb_save_recall

Save/Recall - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command | SCPI Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe | :MMEMory:STORe:STYPe STAT
 |  | State & Data |  | :MMEMory:STORe:STYPe DST
 | State01 |  | SCPI.MMEMory.STORe.STATe | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.DATA | SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.MEMory | SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.DATA | :MMEMory:BB[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.MEMory | :MMEMory:BB[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None | None


bb_save_recall_COM

Save/Recall - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe
 |  | State & Data
 | State01 |  | SCPI.MMEMory.STORe.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe
Save Data Trace … |  |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).LOAD.MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation
Explorer |  |  | None


bb_save_recall_SCPI

Save/Recall - BB Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | SCPI Command
Save State | Save Type | State Only | :MMEMory:STORe:STYPe STAT
 |  | State & Data | :MMEMory:STORe:STYPe DST
 | State01 |  | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.BB(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | :MMEMory:BB[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | :MMEMory:BB[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None


fp_save_recall

Save/Recall - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command | SCPI Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe | :MMEMory:STORe:STYPe STAT
 |  | State & Data |  | :MMEMory:STORe:STYPe DST
 | State01 |  | SCPI.MMEMory.STORe.STATe | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.FP(Ch).TRACe(Tr).STORe.DATA | :MMEMory:FP[Ch]:TRACe[Tr]:STORe[:DATA]
Save Memory Trace … |  |  | SCPI.MMEMory.FP(Ch).TRACe(Tr).STORe.MEMory | :MMEMory:FP[Ch]:TRACe[Tr]:STORe:MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.DATA | :MMEMory:FP[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.MEMory | :MMEMory:FP[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None | None


fp_save_recall_COM

Save/Recall - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe
 |  | State & Data
 | State01 |  | SCPI.MMEMory.STORe.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe
Save Data Trace … |  |  | SCPI.MMEMory.FP(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.FP(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.FP(Ch).TRACe(Tr).LOAD.MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation
Explorer |  |  | None


fp_save_recall_SCPI

Save/Recall - FP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | SCPI Command
Save State | Save Type | State Only | :MMEMory:STORe:STYPe STAT
 |  | State & Data | :MMEMory:STORe:STYPe DST
 | State01 |  | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | :MMEMory:FP[Ch]:TRACe[Tr]:STORe[:DATA]
Save Memory Trace … |  |  | :MMEMory:FP[Ch]:TRACe[Tr]:STORe:MEMory
Recall Data Trace … |  |  | :MMEMory:FP[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | :MMEMory:FP[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None


pn_save_recall

Save/Recall - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command | SCPI Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe | :MMEMory:STORe:STYPe STAT
 |  | State & Data |  | :MMEMory:STORe:STYPe DST
 | State01 |  | SCPI.MMEMory.STORe.STATe | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.DATA | SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.MEMory | SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.DATA | :MMEMory:PN[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.MEMory | :MMEMory:PN[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None | None


pn_save_recall_COM1

Save/Recall - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe
 |  | State & Data
 | State01 |  | SCPI.MMEMory.STORe.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe
Save Data Trace … |  |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).LOAD.MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation
Explorer |  |  | None


pn_save_recall_SCPI

Save/Recall - PN Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | SCPI Command
Save State | Save Type | State Only | :MMEMory:STORe:STYPe STAT
 |  | State & Data | :MMEMory:STORe:STYPe DST
 | State01 |  | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.PN(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | :MMEMory:PN[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | :MMEMory:PN[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None


ps_save_recall

Save/Recall - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command | SCPI Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe | :MMEMory:STORe:STYPe STAT
 |  | State & Data |  | :MMEMory:STORe:STYPe DST
 | State01 |  | SCPI.MMEMory.STORe.STATe | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.DATA | SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.MEMory | SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.DATA | :MMEMory:PS[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.MEMory | :MMEMory:PS[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None | None


ps_save_recall_COM

Save/Recall - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe
 |  | State & Data
 | State01 |  | SCPI.MMEMory.STORe.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe
Save Data Trace … |  |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).LOAD.MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation
Explorer |  |  | None


ps_save_recall_SCPI

Save/Recall - PS Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | SCPI Command
Save State | Save Type | State Only | :MMEMory:STORe:STYPe STAT
 |  | State & Data | :MMEMory:STORe:STYPe DST
 | State01 |  | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.PS(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | :MMEMory:PS[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | :MMEMory:PS[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None


sp_save_recall

Save/Recall - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command | SCPI Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe | :MMEMory:STORe:STYPe STAT
 |  | State & Data |  | :MMEMory:STORe:STYPe DST
 | State01 |  | SCPI.MMEMory.STORe.STATe | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.DATA | SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.MEMory | SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.DATA | :MMEMory:SP[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.MEMory | :MMEMory:SP[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None | None


sp_save_recall_COM

Save/Recall - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe
 |  | State & Data
 | State01 |  | SCPI.MMEMory.STORe.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe
Save Data Trace … |  |  | SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.SP(Ch).TRACe(Tr).LOAD.MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation
Explorer |  |  | None


sp_save_recall_SCPI

Save/Recall - SP Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | SCPI Command
Save State | Save Type | State Only | :MMEMory:STORe:STYPe STAT
 |  | State & Data | :MMEMory:STORe:STYPe DST
 | State01 |  | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.SP(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | :MMEMory:SP[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | :MMEMory:SP[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None


tr_save_recall

Save/Recall - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command | SCPI Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe | :MMEMory:STORe:STYPe STAT
 |  | State & Data |  | :MMEMory:STORe:STYPe DST
 | State01 |  | SCPI.MMEMory.STORe.STATe | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.DATA | SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.MEMory | SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.DATA | :MMEMory:TR[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.MEMory | :MMEMory:TR[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None | None


tr_save_recall_COM

Save/Recall - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe
 |  | State & Data
 | State01 |  | SCPI.MMEMory.STORe.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe
Save Data Trace … |  |  | SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.TR(Ch).TRACe(Tr).LOAD.MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation
Explorer |  |  | None


tr_save_recall_SCPI

Save/Recall - TR Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | SCPI Command
Save State | Save Type | State Only | :MMEMory:STORe:STYPe STAT
 |  | State & Data | :MMEMory:STORe:STYPe DST
 | State01 |  | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.TR(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | :MMEMory:TR[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | :MMEMory:TR[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None


user_save_recall

Save/Recall - USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command | SCPI Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe | :MMEMory:STORe:STYPe STAT
 |  | State & Data |  | :MMEMory:STORe:STYPe DST
 | State01 |  | SCPI.MMEMory.STORe.STATe | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.DATA | SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.MEMory | SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.DATA | :MMEMory:USER[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.MEMory | :MMEMory:USER[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None | None


user_save_recall_COM

Save/Recall - USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | COM Command
Save State | Save Type | State Only | SCPI.MMEMory.STORe.STYPe
 |  | State & Data
 | State01 |  | SCPI.MMEMory.STORe.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | SCPI.MMEMory.LOAD.STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | SCPI.MMEMory.LOAD.STATe
Save Data Trace … |  |  | SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.DATA
Recall Memory Trace … |  |  | SCPI.MMEMory.USER(Ch).TRACe(Tr).LOAD.MEMory
Additional Information |  |  | SCPI.MMEMory.STORe.TRACe.AINFormation
Explorer |  |  | None


user_save_recall_SCPI

Save/Recall - USER Measurement

COM Commands|SCPI Commands| All Commands

Softkey under Save/Recall Key |  |  | SCPI Command
Save State | Save Type | State Only | :MMEMory:STORe:STYPe STAT
 |  | State & Data | :MMEMory:STORe:STYPe DST
 | State01 |  | :MMEMory:STORe:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall State | State01 |  | :MMEMory:LOAD:STATe
 | State02 |
 | State03 |
 | State04 |
 | State05 |
 | State06 |
 | Autorec |
 | File Dialog |  | None
Recall by File Name |  |  | :MMEMory:LOAD:STATe
Save Data Trace … |  |  | SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.DATA
Save Memory Trace … |  |  | SCPI.MMEMory.USER(Ch).TRACe(Tr).STORe.MEMory
Recall Data Trace … |  |  | :MMEMory:USER[Ch]:TRACe[Tr]:LOAD:DATA
Recall Memory Trace … |  |  | :MMEMory:USER[Ch]:TRACe[Tr]:LOAD:MEMory
Additional Information |  |  | :MMEMory:STORe:TRACe:AINFormation
Explorer |  |  | None


AM_Start_Center

Start/Centre-AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Centre Key | COM Command | SCPI Command
1Hz | SCPI.SENSe.AM(Ch).FREQuency.STARt | :SENSe:AM[Ch]:FREQuency:STARt 1Hz
10Hz |  | :SENSe:AM[Ch]:FREQuency:STARt 10Hz
100Hz |  | :SENSe:AM[Ch]:FREQuency:STARt 100Hz
1kHz |  | :SENSe:AM[Ch]:FREQuency:STARt 1kHz


AM_Start_Center_COM

Stop/Span-AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Stop/Span Key | COM Command
100kHz | SCPI.SENSe.AM(Ch).FREQuency.STOP
1MHz
5MHz
10MHz
20MHz
40MHz


AM_Start_Center_SCPI

Stop/Span-AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Stop/Span Key | SCPI Command
100kHz | :SENSe:AM[Ch]:FREQuency:STOP 100kHz
1MHz | :SENSe:AM[Ch]:FREQuency:STOP 1 MHz
5MHz | :SENSe:AM[Ch]:FREQuency:STOP 5 MHz
10MHz | :SENSe:AM[Ch]:FREQuency:STOP 10 MHz
20MHz | :SENSe:AM[Ch]:FREQuency:STOP 20 MHz
40MHz | :SENSe:AM[Ch]:FREQuency:STOP 40MHz


BB_Start_Center

Start/Center-BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center Key | COM Command | SCPI Command
1Hz | SCPI.SENSe.BB(Ch).FREQuency.STARt | :SENSe:BB[Ch]:FREQuency:STARt 1Hz
10Hz |  | :SENSe:BB[Ch]:FREQuency:STARt 10Hz
100Hz |  | :SENSe:BB[Ch]:FREQuency:STARt 100Hz
1kHz |  | :SENSe:BB[Ch]:FREQuency:STARt 1kHz


BB_Start_Center_COM

Start/Center-BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center Key | COM Command
1Hz | SCPI.SENSe.BB(Ch).FREQuency.STARt
10Hz
100Hz
1kHz


BB_Start_Center_SCPI

Start/Center-BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center Key | SCPI Command
1Hz | :SENSe:BB[Ch]:FREQuency:STARt 1Hz
10Hz | :SENSe:BB[Ch]:FREQuency:STARt 10Hz
100Hz | :SENSe:BB[Ch]:FREQuency:STARt 100Hz
1kHz | :SENSe:BB[Ch]:FREQuency:STARt 1kHz


PN_Start_Center

Start/Center-PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center Key | COM Command | SCPI Command
1Hz | SCPI.SENSe.PN(Ch).FREQuency.STARt | :SENSe:PN[Ch]:FREQuency:STARt 1Hz
10Hz |  | :SENSe:PN[Ch]:FREQuency:STARt 10Hz
100Hz |  | :SENSe:PN[Ch]:FREQuency:STARt 100Hz
1kHz |  | :SENSe:PN[Ch]:FREQuency:STARt 1kHz


PN_Start_Center_COM

Start/Center-PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center Key | COM Command
1Hz | SCPI.SENSe.PN(Ch).FREQuency.STARt
10Hz
100Hz
1kHz


PN_Start_Center_SCPI

Start/Center-PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center Key | SCPI Command
1Hz | :SENSe:PN[Ch]:FREQuency:STARt 1Hz
10Hz | :SENSe:PN[Ch]:FREQuency:STARt 10Hz
100Hz | :SENSe:PN[Ch]:FREQuency:STARt 100Hz
1kHz | :SENSe:PN[Ch]:FREQuency:STARt 1kHz


PS_Start_Center

Start/Center & Stop/Span-PS Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center & Stop/Span Key | COM Command | SCPI Command
Start | SCPI.SENSe.PS(Ch).FREQuency.STARt | :SENSe:PS[Ch]:FREQuency:STARt
Stop | SCPI.SENSe.PS(Ch).FREQuency.STOP | :SENSe:PS[Ch]:FREQuency:STOP
Center | SCPI.SENSe.PS(Ch).FREQuency.CENTer | :SENSe:PS[Ch]:FREQuency:CENTer
Span | SCPI.SENSe.PS(Ch).FREQuency.SPAN | :SENSe:PS[Ch]:FREQuency:SPAN


PS_Start_Center_COM

Start/Center & Stop/Span-PS Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center & Stop/Span Key | COM Command
Start | SCPI.SENSe.PS(Ch).FREQuency.STARt
Stop | SCPI.SENSe.PS(Ch).FREQuency.STOP
Center | SCPI.SENSe.PS(Ch).FREQuency.CENTer
Span | SCPI.SENSe.PS(Ch).FREQuency.SPAN


PS_Start_Center_SCPI

Start/Center & Stop/Span-PS Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center & Stop/Span Key | SCPI Command
Start | :SENSe:PS[Ch]:FREQuency:STARt
Stop | :SENSe:PS[Ch]:FREQuency:STOP
Center | :SENSe:PS[Ch]:FREQuency:CENTer
Span | :SENSe:PS[Ch]:FREQuency:SPAN


SP_Start_Center

Start/Center & Stop/Span-SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center & Stop/Span Key |  |  | COM Command | SCPI Command
Start |  |  | SCPI.SENSe.SP(Ch).FREQuency.STARt | :SENSe:SP[Ch]:FREQuency:STARt
Stop |  |  | SCPI.SENSe.SP(Ch).FREQuency.STOP | :SENSe:SP[Ch]:FREQuency:STOP
Center |  |  | SCPI.SENSe.SP(Ch).FREQuency.CENTer | :SENSe:SP[Ch]:FREQuency:CENTer
Span |  |  | SCPI.SENSe.SP(Ch).FREQuency.SPAN | :SENSe:SP[Ch]:FREQuency:SPAN
Carrier To | Carrier -> Center |  | SCPI.SENSe.SP(Ch).CARRier.SET.CENTer | :SENSe:SP[Ch]:CARRier:SET:CENTer 1
 | Carrier x 2 -> Center |  |  | :SENSe:SP[Ch]:CARRier:SET:CENTer 2
 | Carrier x 3 -> Center |  |  | :SENSe:SP[Ch]:CARRier:SET:CENTer 3
 | Carrier x # -> Center |  |  | :SENSe:SP[Ch]:CARRier:SET:CENTer #
 | Harmonic # |  | None | None
 | Frequency Band | 10M - 1.5GHz | SCPI.SENSe.SP(Ch).CARRier.FBANd | :SENSe:SP[Ch]:CARRier:FBANd LOW
 |  | 250M - 7GHz |  | :SENSe:SP[Ch]:CARRier:FBANd HIGH
 |  | 3G - 10GHz |  | :SENSe:SP[Ch]:CARRier:FBANd BAND3
 |  | 9G - 26.5GHz |  | :SENSe:SP[Ch]:CARRier:FBANd BAND4


SP_Start_Center_COM

Start/Center & Stop/Span-SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center & Stop/Span Key |  |  | COM Command
Start |  |  | SCPI.SENSe.SP(Ch).FREQuency.STARt
Stop |  |  | SCPI.SENSe.SP(Ch).FREQuency.STOP
Center |  |  | SCPI.SENSe.SP(Ch).FREQuency.CENTer
Span |  |  | SCPI.SENSe.SP(Ch).FREQuency.SPAN
Carrier To | Carrier -> Center |  | SCPI.SENSe.SP(Ch).CARRier.SET.CENTer
 | Carrier x 2 -> Center |
 | Carrier x 3 -> Center |
 | Carrier x # -> Center |
 | Harmonic # |  | None
 | Frequency Band | 10M - 1.5GHz | SCPI.SENSe.SP(Ch).CARRier.FBANd
 |  | 250M - 7GHz
 |  | 3G - 10GHz
 |  | 9G - 26.5GHz


SP_Start_Center_SCPI

Start/Center & Stop/Span-SP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Center & Stop/Span Key |  |  | SCPI Command
Start |  |  | :SENSe:SP[Ch]:FREQuency:STARt
Stop |  |  | :SENSe:SP[Ch]:FREQuency:STOP
Center |  |  | :SENSe:SP[Ch]:FREQuency:CENTer
Span |  |  | :SENSe:SP[Ch]:FREQuency:SPAN
Carrier To | Carrier -> Center |  | :SENSe:SP[Ch]:CARRier:SET:CENTer 1
 | Carrier x 2 -> Center |  | :SENSe:SP[Ch]:CARRier:SET:CENTer 2
 | Carrier x 3 -> Center |  | :SENSe:SP[Ch]:CARRier:SET:CENTer 3
 | Carrier x # -> Center |  | :SENSe:SP[Ch]:CARRier:SET:CENTer #
 | Harmonic # |  | None
 | Frequency Band | 10M - 1.5GHz | :SENSe:SP[Ch]:CARRier:FBANd LOW
 |  | 250M - 7GHz | :SENSe:SP[Ch]:CARRier:FBANd HIGH
 |  | 3G - 10GHz | :SENSe:SP[Ch]:CARRier:FBANd BAND3
 |  | 9G - 26.5GHz | :SENSe:SP[Ch]:CARRier:FBANd BAND4


AM_Stop_Span

Stop/Span-AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Stop/Span Key | COM Command | SCPI Command
100kHz | SCPI.SENSe.AM(Ch).FREQuency.STOP | :SENSe:AM[Ch]:FREQuency:STOP 100kHz
1MHz |  | :SENSe:AM[Ch]:FREQuency:STOP 1 MHz
5MHz |  | :SENSe:AM[Ch]:FREQuency:STOP 5 MHz
10MHz |  | :SENSe:AM[Ch]:FREQuency:STOP 10 MHz
20MHz |  | :SENSe:AM[Ch]:FREQuency:STOP 20 MHz
40MHz |  | :SENSe:AM[Ch]:FREQuency:STOP 40MHz


AM_Stop_Span_COM

Start/Centre-AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Centre Key | COM Command
1Hz | SCPI.SENSe.AM(Ch).FREQuency.STARt
10Hz
100Hz
1kHz


AM_Stop_Span_SCPI

Start/Centre-AM Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Centre Key | SCPI Command
1Hz | :SENSe:AM[Ch]:FREQuency:STARt 1Hz
10Hz | :SENSe:AM[Ch]:FREQuency:STARt 10Hz
100Hz | :SENSe:AM[Ch]:FREQuency:STARt 100Hz
1kHz | :SENSe:AM[Ch]:FREQuency:STARt 1kHz


BB_Stop_Span

Stop/Span-BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Stop/Span Key | COM Command | SCPI Command
100Hz | SCPI.SENSe.BB(Ch).FREQuency.STOP | :SENSe:BB[Ch]:FREQuency:STOP 100kHz
1MHz |  | :SENSe:BB[Ch]:FREQuency:STOP 1MHz
5MHz |  | :SENSe:BB[Ch]:FREQuency:STOP 5MHz
10MHz |  | :SENSe:BB[Ch]:FREQuency:STOP 10MHz
20MHz |  | :SENSe:BB[Ch]:FREQuency:STOP 20MHz
40MHz |  | :SENSe:BB[Ch]:FREQuency:STOP 40MHz
100MHz |  | :SENSe:BB[Ch]:FREQuency:STOP 100MHz


BB_Stop_Span_COM

Stop/Span-BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Stop/Span Key | COM Command
100Hz | SCPI.SENSe.BB(Ch).FREQuency.STOP
1MHz
5MHz
10MHz
20MHz
40MHz
100MHz


BB_Stop_Span_SCPI

Stop/Span-BB Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Stop/Span Key | SCPI Command
100Hz | :SENSe:BB[Ch]:FREQuency:STOP 100kHz
1MHz | :SENSe:BB[Ch]:FREQuency:STOP 1MHz
5MHz | :SENSe:BB[Ch]:FREQuency:STOP 5MHz
10MHz | :SENSe:BB[Ch]:FREQuency:STOP 10MHz
20MHz | :SENSe:BB[Ch]:FREQuency:STOP 20MHz
40MHz | :SENSe:BB[Ch]:FREQuency:STOP 40MHz
100MHz | :SENSe:BB[Ch]:FREQuency:STOP 100MHz


FP_Stop_Span

Start/Centre & Stop/Span-FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Centre & Stop/Span Key | COM Command | SCPI Command
DC Control Start | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STARt | :SOURce:FP[Ch]:VOLTage:CONTrol:STARt
DC Control Stop | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STOP | :SOURce:FP[Ch]:VOLTage:CONTrol:STOP
DC Control Center | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.CENTer | :SOURce:FP[Ch]:VOLTage:CONTrol:CENTer
DC Control Span | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.SPAN | :SOURce:FP[Ch]:VOLTage:CONTrol:SPAN
DC Power Start | SCPI.SOURce.FP(Ch).VOLTage.POWer.STARt | :SOURce:FP[Ch]:VOLTage:POWer:STARt
DC Power Stop | SCPI.SOURce.FP(Ch).VOLTage.POWer.STOP | :SOURce:FP[Ch]:VOLTage:POWer:STOP
DC Power Center | SCPI.SOURce.FP(Ch).VOLTage.POWer.CENTer | :SOURce:FP[Ch]:VOLTage:POWer:CENTer
DC Power Span | SCPI.SOURce.FP(Ch).VOLTage.POWer.SPAN | :SOURce:FP[Ch]:VOLTage:POWer:SPAN


FP_Stop_Span_COM

Start/Centre & Stop/Span-FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Centre & Stop/Span Key | COM Command
DC Control Start | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STARt
DC Control Stop | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.STOP
DC Control Center | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.CENTer
DC Control Span | SCPI.SOURce.FP(Ch).VOLTage.CONTrol.SPAN
DC Power Start | SCPI.SOURce.FP(Ch).VOLTage.POWer.STARt
DC Power Stop | SCPI.SOURce.FP(Ch).VOLTage.POWer.STOP
DC Power Center | SCPI.SOURce.FP(Ch).VOLTage.POWer.CENTer
DC Power Span | SCPI.SOURce.FP(Ch).VOLTage.POWer.SPAN


FP_Stop_Span_SCPI

Start/Centre & Stop/Span-FP Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Centre & Stop/Span Key | SCPI Command
DC Control Start | :SOURce:FP[Ch]:VOLTage:CONTrol:STARt
DC Control Stop | :SOURce:FP[Ch]:VOLTage:CONTrol:STOP
DC Control Center | :SOURce:FP[Ch]:VOLTage:CONTrol:CENTer
DC Control Span | :SOURce:FP[Ch]:VOLTage:CONTrol:SPAN
DC Power Start | :SOURce:FP[Ch]:VOLTage:POWer:STARt
DC Power Stop | :SOURce:FP[Ch]:VOLTage:POWer:STOP
DC Power Center | :SOURce:FP[Ch]:VOLTage:POWer:CENTer
DC Power Span | :SOURce:FP[Ch]:VOLTage:POWer:SPAN


PN_Stop_Span

Stop/Span-PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Stop/Span Key | COM Command | SCPI Command
100Hz | SCPI.SENSe.PN(Ch).FREQuency.STOP | :SENSe:PN[Ch]:FREQuency:STOP 100kHz
1MHz |  | :SENSe:PN[Ch]:FREQuency:STOP 1MHz
5MHz |  | :SENSe:PN[Ch]:FREQuency:STOP 5MHz
10MHz |  | :SENSe:PN[Ch]:FREQuency:STOP 10MHz
20MHz |  | :SENSe:PN[Ch]:FREQuency:STOP 20MHz
40MHz |  | :SENSe:PN[Ch]:FREQuency:STOP 40MHz
100MHz |  | :SENSe:PN[Ch]:FREQuency:STOP 100MHz


PN_Stop_Span_COM

Stop/Span-PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Stop/Span Key | COM Command
100Hz | SCPI.SENSe.PN(Ch).FREQuency.STOP
1MHz
5MHz
10MHz
20MHz
40MHz
100MHz


PN_Stop_Span_SCPI

Stop/Span-PN Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Stop/Span Key | SCPI Command
100Hz | :SENSe:PN[Ch]:FREQuency:STOP 100kHz
1MHz | :SENSe:PN[Ch]:FREQuency:STOP 1MHz
5MHz | :SENSe:PN[Ch]:FREQuency:STOP 5MHz
10MHz | :SENSe:PN[Ch]:FREQuency:STOP 10MHz
20MHz | :SENSe:PN[Ch]:FREQuency:STOP 20MHz
40MHz | :SENSe:PN[Ch]:FREQuency:STOP 40MHz
100MHz | :SENSe:PN[Ch]:FREQuency:STOP 100MHz


TR_Stop_Span

Start/Centre & Stop/Span-TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Centre & Stop/Span Key |  | COM Command | SCPI Command
Wide Span |  | SCPI.SENSe.TR(Ch).WIDE.TIME.SPAN | :SENSe:TR[Ch]:WIDE:TIME:SPAN
Wide Ref Position | Left | SCPI.SENSe.TR(Ch).WIDE.TIME.REFerence | :SENSe:TR[Ch]:WIDE:TIME:REFerence LEFT
 | Center |  | :SENSe:TR[Ch]:WIDE:TIME:REFerence CENT
 | Right |  | :SENSe:TR[Ch]:WIDE:TIME:REFerence RIGH
Wide Time Offset |  | SCPI.SENSe.TR(Ch).WIDE.TIME.OFFSet | :SENSe:TR[Ch]:WIDE:TIME:OFFSet
Narrow Span |  | SCPI.SENSe.TR(Ch).NARRow(Nr).TIME.SPAN | :SENSe:TR[Ch]:NARRow (Nr):TIME:SPAN
Narrow Ref Position | Left | SCPI.SENSe.TR(Ch).NARRow (Nr).TIME.REFerence | :SENSe:TR[Ch]:NARRow (Nr):TIME:REFerence LEFT
 | Center |  | :SENSe:TR[Ch]:NARRow (Nr):TIME:REFerence CENT
 | Right |  | :SENSe:TR[Ch]:NARRow (Nr):TIME:REFerence RIGH
Narrow Time Offset |  | SCPI.SENSe.TR(Ch).NARRow (Nr).TIME.OFFSet | :SENSe:TR[Ch]:NARRow (Nr):TIME:OFFSet
Narrow Settings -> Wide |  | None | None
Narrow Settings -> Narrow |  | None | None


TR_Stop_Span_COM

Start/Centre & Stop/Span-TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Centre & Stop/Span Key |  | COM Command
Wide Span |  | SCPI.SENSe.TR(Ch).WIDE.TIME.SPAN
Wide Ref Position | Left | SCPI.SENSe.TR(Ch).WIDE.TIME.REFerence
 | Center
 | Right
Wide Time Offset |  | SCPI.SENSe.TR(Ch).WIDE.TIME.OFFSet
Narrow Span |  | SCPI.SENSe.TR(Ch).NARRow (Nr).TIME.SPAN
Narrow Ref Position | Left | SCPI.SENSe.TR(Ch).NARRow (Nr).TIME.REFerence
 | Center
 | Right
Narrow Time Offset |  | SCPI.SENSe.TR(Ch).NARRow (Nr).TIME.OFFSet
Narrow Settings -> Wide |  | None
Narrow Settings -> Narrow |  | None


TR_Stop_Span_SCPI

Start/Centre & Stop/Span-TR Measurements

COM Commands|SCPI Commands| All Commands

Softkey under Start/Centre & Stop/Span Key |  | SCPI Command
Wide Span |  | :SENSe:TR[Ch]:WIDE:TIME:SPAN
Wide Ref Position | Left | :SENSe:TR[Ch]:WIDE:TIME:REFerence LEFT
 | Center | :SENSe:TR[Ch]:WIDE:TIME:REFerence CENT
 | Right | :SENSe:TR[Ch]:WIDE:TIME:REFerence RIGH
Wide Time Offset |  | :SENSe:TR[Ch]:WIDE:TIME:OFFSet
Narrow Span |  | :SENSe:TR[Ch]:NARRow (Nr):TIME:SPAN
Narrow Ref Position | Left | :SENSe:TR[Ch]:NARRow (Nr):TIME:REFerence LEFT
 | Center | :SENSe:TR[Ch]:NARRow (Nr):TIME:REFerence CENT
 | Right | :SENSe:TR[Ch]:NARRow (Nr):TIME:REFerence RIGH
Narrow Time Offset |  | :SENSe:TR[Ch]:NARRow (Nr):TIME:OFFSet
Narrow Settings -> Wide |  | None
Narrow Settings -> Narrow |  | None